/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLOS;CONDITIONS.LSP                               */
#include <ecl/ecl-cmp.h>
#include "clos/conditions.eclh"
/*	local function UNIQUE-ID                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1unique_id(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  OBJ             */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, ECL_SYM("POINTER",1117), V4);
   return value0;
  }
 }
}
/*	function definition for COMPUTE-RESTARTS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2compute_restarts(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  ASSOC-RESTART   */
   cl_object V3;                                  /*  OTHER           */
   cl_object V4;                                  /*  OUTPUT          */
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   if (Null(V1)) { goto L5; }
   {
    cl_object V5;
    V5 = ecl_symbol_value(VV[1]);
    goto L10;
L9:;
    {
     cl_object V6;                                /*  I               */
     V6 = ecl_car(V5);
     T0 = ecl_car(V6);
     if (!((T0)==(V1))) { goto L15; }
     T0 = ecl_cdr(V6);
     V2 = ecl_append(T0,V2);
     goto L14;
L15:;
     T0 = ecl_cdr(V6);
     V3 = ecl_append(T0,V3);
L14:;
    }
    V5 = ecl_cdr(V5);
L10:;
    if (Null(V5)) { goto L21; }
    goto L9;
L21:;
   }
L5:;
   {
    cl_object V5;
    V5 = ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4));
    goto L27;
L26:;
    {
     cl_object V6;                                /*  RESTART-CLUSTER */
     V6 = ecl_car(V5);
     {
      cl_object V7;
      V7 = V6;
      goto L35;
L34:;
      {
       cl_object V8;                              /*  RESTART         */
       V8 = ecl_car(V7);
       if (Null(V1)) { goto L42; }
       if ((ecl_memql(V8,V2))!=ECL_NIL) { goto L42; }
       if ((ecl_memql(V8,V3))!=ECL_NIL) { goto L39; }
       goto L41;
L42:;
L41:;
       T0 = ecl_function_dispatch(cl_env_copy,VV[56])(1, V8) /*  RESTART-TEST-FUNCTION */;
       if (Null(ecl_function_dispatch(cl_env_copy,T0)(1, V1))) { goto L39; }
       V4 = CONS(V8,V4);
L39:;
      }
      V7 = ecl_cdr(V7);
L35:;
      if (Null(V7)) { goto L49; }
      goto L34;
L49:;
     }
    }
    V5 = ecl_cdr(V5);
L27:;
    if (Null(V5)) { goto L53; }
    goto L26;
L53:;
   }
   value0 = cl_nreverse(V4);
   return value0;
  }
 }
}
/*	function definition for RESTART-PRINT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3restart_print(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",48)))) { goto L2; }
  T0 = cl_type_of(V1);
  T1 = si_pointer(V1);
  cl_format(4, V2, _ecl_static_1, T0, T1);
  goto L1;
L2:;
  L5restart_report(V1, V2);
L1:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MAKE-RESTART                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4make_restart(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L4make_restartkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   if (Null(keyvars[9])) {
    V5 = cl_constantly(ECL_T);
   } else {
    V5 = keyvars[4];
   }
  }
  value0 = si_make_structure(6, VV[6], V1, V2, V3, V4, V5);
  return value0;
 }
}
/*	function definition for RESTART-REPORT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5restart_report(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  FN              */
   V3 = ecl_function_dispatch(cl_env_copy,VV[64])(1, V1) /*  RESTART-REPORT-FUNCTION */;
   if (Null(V3)) { goto L2; }
   value0 = ecl_function_dispatch(cl_env_copy,V3)(1, V2);
   return value0;
L2:;
   value0 = (cl_env_copy->function=(ECL_SYM("RESTART-NAME",723)->symbol.gfdef))->cfun.entry(1, V1) /*  RESTART-NAME */;
   if ((value0)!=ECL_NIL) { goto L6; }
   T0 = V1;
   goto L4;
L6:;
   T0 = value0;
   goto L4;
L4:;
   value0 = cl_format(3, V2, _ecl_static_3, T0);
   return value0;
  }
 }
}
/*	function definition for BIND-SIMPLE-RESTARTS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_bind_simple_restarts(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  I               */
   V3 = ecl_make_fixnum(1);
   {
    cl_object V4;                                 /*  LET956          */
    cl_object V5;                                 /*  N               */
    cl_object V6;
    if (!(ECL_ATOM(V2))) { goto L4; }
    V4 = ecl_list1(V2);
    goto L3;
L4:;
    V4 = V2;
L3:;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    V6 = V4;
    {
     cl_object V7;                                /*  F               */
     V7 = ECL_NIL;
     {
      cl_object V8;
      cl_object V9;
      V8 = ecl_list1(ECL_NIL);
      V9 = V8;
L12:;
      if (!(ecl_endp(V6))) { goto L14; }
      goto L13;
L14:;
      V5 = _ecl_car(V6);
      {
       cl_object V10;
       V10 = _ecl_cdr(V6);
       if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
       V6 = V10;
      }
      V7 = LC7simple_restart_function(V1, V3);
      if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
      T1 = V9;
      T2 = L4make_restart(4, ECL_SYM("NAME",1273), V5, ECL_SYM("FUNCTION",1241), V7);
      V9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=V9,T1);
      V3 = ecl_one_plus(V3);
      goto L12;
L13:;
      T0 = ecl_cdr(V8);
      goto L1;
     }
    }
   }
  }
L1:;
  value0 = CONS(T0,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SIMPLE-RESTART-FUNCTION                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7simple_restart_function(cl_object V1, cl_object V2)
{
 cl_object env0;
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  TAG             */
  CLV1 = env0 = CONS(V2,env0);                    /*  CODE            */
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cclosure_va((cl_objectfn)LC6__g17,env0,Cblock);
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G17                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g17(cl_narg narg, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  CODE            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = V1;
  cl_env_copy->values[0] = ECL_CONS_CAR(CLV1);
  cl_throw(ECL_CONS_CAR(CLV0));
 }
 }
}
/*	function definition for BIND-SIMPLE-HANDLERS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_bind_simple_handlers(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  I               */
   V3 = ecl_make_fixnum(1);
   {
    cl_object V4;                                 /*  LET958          */
    cl_object V5;                                 /*  N               */
    cl_object V6;
    if (!(ECL_ATOM(V2))) { goto L4; }
    V4 = ecl_list1(V2);
    goto L3;
L4:;
    V4 = V2;
L3:;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    V6 = V4;
    {
     cl_object V7;                                /*  F               */
     V7 = ECL_NIL;
     {
      cl_object V8;
      cl_object V9;
      V8 = ecl_list1(ECL_NIL);
      V9 = V8;
L12:;
      if (!(ecl_endp(V6))) { goto L14; }
      goto L13;
L14:;
      V5 = _ecl_car(V6);
      {
       cl_object V10;
       V10 = _ecl_cdr(V6);
       if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
       V6 = V10;
      }
      V7 = ecl_function_dispatch(cl_env_copy,VV[65])(2, V1, V3) /*  SIMPLE-RESTART-FUNCTION */;
      if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
      T1 = V9;
      T2 = CONS(ecl_symbol_value(VV[8]),V7);
      V9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=V9,T1);
      V3 = ecl_one_plus(V3);
      goto L12;
L13:;
      T0 = ecl_cdr(V8);
      goto L1;
     }
    }
   }
  }
L1:;
  value0 = CONS(T0,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function RESTART-BIND                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10restart_bind(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  BINDINGS        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;
    cl_object V6;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    V6 = V4;
    {
     cl_object V7;
     cl_object V8;
     V7 = ecl_list1(ECL_NIL);
     V8 = V7;
L14:;
     if (!(ecl_endp(V6))) { goto L16; }
     goto L15;
L16:;
     V5 = _ecl_car(V6);
     {
      cl_object V9;
      V9 = _ecl_cdr(V6);
      if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
      V6 = V9;
     }
     if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
     T1 = V8;
     T3 = ecl_car(V5);
     T4 = cl_list(2, ECL_SYM("QUOTE",679), T3);
     T5 = ecl_cadr(V5);
     T6 = ecl_cddr(V5);
     T2 = cl_listX(6, VV[7], ECL_SYM("NAME",1273), T4, ECL_SYM("FUNCTION",1241), T5, T6);
     V8 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V8,T1);
     goto L14;
L15:;
     T0 = ecl_cdr(V7);
     goto L8;
    }
   }
L8:;
   T1 = CONS(ECL_SYM("LIST",481),T0);
   T2 = cl_list(3, ECL_SYM("CONS",251), T1, ECL_SYM("*RESTART-CLUSTERS*",4));
   T3 = cl_list(2, ECL_SYM("*RESTART-CLUSTERS*",4), T2);
   T4 = ecl_list1(T3);
   value0 = cl_listX(3, ECL_SYM("LET",477), T4, V3);
   return value0;
  }
 }
}
/*	function definition for FIND-RESTART                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11find_restart(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;
   V3 = L2compute_restarts(1, V2);
   goto L5;
L4:;
   {
    cl_object V4;                                 /*  RESTART         */
    V4 = ecl_car(V3);
    if ((V4)==(V1)) { goto L11; }
    T0 = (cl_env_copy->function=(ECL_SYM("RESTART-NAME",723)->symbol.gfdef))->cfun.entry(1, V4) /*  RESTART-NAME */;
    if (!((T0)==(V1))) { goto L9; }
    goto L10;
L11:;
L10:;
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
L9:;
   }
   V3 = ecl_cdr(V3);
L5:;
   if (Null(V3)) { goto L15; }
   goto L4;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FIND-RESTART-NEVER-FAIL               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12find_restart_never_fail(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = L11find_restart(2, V1, V2);
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = ecl_list1(V1);
  value0 = si_signal_simple_error(4, ECL_SYM("CONTROL-ERROR",255), ECL_NIL, _ecl_static_4, T0);
  return value0;
L3:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INVOKE-RESTART                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13invoke_restart(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  REAL-RESTART    */
   V3 = L12find_restart_never_fail(1, V1);
   T0 = ecl_function_dispatch(cl_env_copy,VV[69])(1, V3) /*  RESTART-FUNCTION */;
   value0 = cl_apply(2, T0, V2);
   return value0;
  }
 }
}
/*	function definition for INVOKE-RESTART-INTERACTIVELY          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14invoke_restart_interactively(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  REAL-RESTART    */
   V2 = L12find_restart_never_fail(1, V1);
   T0 = ecl_function_dispatch(cl_env_copy,VV[69])(1, V2) /*  RESTART-FUNCTION */;
   {
    cl_object V3;                                 /*  INTERACTIVE-FUNCTION */
    V3 = ecl_function_dispatch(cl_env_copy,VV[71])(1, V2) /*  RESTART-INTERACTIVE-FUNCTION */;
    if (Null(V3)) { goto L4; }
    T1 = ecl_function_dispatch(cl_env_copy,V3)(0);
    goto L2;
L4:;
    T1 = ECL_NIL;
   }
L2:;
   value0 = cl_apply(2, T0, T1);
   return value0;
  }
 }
}
/*	local function RESTART-CASE                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16restart_case(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  EXPRESSION      */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {cl_object V5;
    V5 = ECL_NIL;
    V5 = ecl_make_cfun_va((cl_objectfn)LC15transform_keywords,ECL_NIL,Cblock);
    {
     cl_object V6;                                /*  BLOCK-TAG       */
     cl_object V7;                                /*  TEMP-VAR        */
     cl_object V8;                                /*  DATA            */
     V6 = cl_gensym(0);
     V7 = cl_gensym(0);
     {
      cl_object V9;
      cl_object V10;
      V9 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
      V10 = V3;
      {
       cl_object V11;
       cl_object V12;
       V11 = ecl_list1(ECL_NIL);
       V12 = V11;
L16:;
       if (!(ecl_endp(V10))) { goto L18; }
       goto L17;
L18:;
       V9 = _ecl_car(V10);
       {
        cl_object V13;
        V13 = _ecl_cdr(V10);
        if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
        V10 = V13;
       }
       if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
       T0 = V12;
       {
        cl_object V13;                            /*  LET963          */
        cl_object V14;                            /*  KEYWORDS        */
        cl_object V15;                            /*  FORMS           */
        V13 = ecl_cddr(V9);
        V14 = ECL_NIL;
        V15 = V13;
        goto L37;
L36:;
        T2 = ecl_car(V15);
        if (Null(cl_keywordp(T2))) { goto L40; }
        T2 = ecl_car(V15);
        T3 = ecl_cadr(V15);
        V14 = cl_listX(3, T2, T3, V14);
        V15 = ecl_cddr(V15);
        goto L39;
L40:;
        goto L34;
L39:;
L37:;
        if (V15==ECL_NIL) { goto L45; }
        goto L36;
L45:;
L34:;
        T2 = ecl_car(V9);
        T3 = cl_gensym(0);
        T4 = cl_apply(2, V5, V14);
        T5 = ecl_cadr(V9);
        T1 = cl_list(5, T2, T3, T4, T5, V15);
       }
       V12 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=V12,T0);
       goto L16;
L17:;
       V8 = ecl_cdr(V11);
       goto L10;
      }
     }
L10:;
     {
      cl_object V9;                               /*  EXPRESSION2     */
      V9 = cl_macroexpand(2, V4, V2);
      if (!(ECL_CONSP(V9))) { goto L49; }
      {
       cl_object V10;                             /*  CONDITION-FORM  */
       cl_object V11;                             /*  CONDITION-VAR   */
       cl_object V12;                             /*  NAME            */
       V10 = ECL_NIL;
       V11 = cl_gensym(0);
       V12 = ecl_car(V9);
       if (!((V12)==(ECL_SYM("SIGNAL",760)))) { goto L56; }
       V10 = ecl_cadr(V9);
       goto L55;
L56:;
       if (!((V12)==(ECL_SYM("ERROR",337)))) { goto L59; }
       T0 = ecl_cadr(V9);
       T1 = ecl_cddr(V9);
       T2 = CONS(ECL_SYM("LIST",481),T1);
       V10 = cl_listX(4, VV[17], T0, T2, VV[18]);
       goto L55;
L59:;
       if (!((V12)==(ECL_SYM("CERROR",202)))) { goto L62; }
       T0 = ecl_caddr(V9);
       T1 = ecl_cdddr(V9);
       T2 = CONS(ECL_SYM("LIST",481),T1);
       V10 = cl_listX(4, VV[17], T0, T2, VV[19]);
       goto L55;
L62:;
       if (!((V12)==(ECL_SYM("WARN",903)))) { goto L55; }
       T0 = ecl_cadr(V9);
       T1 = ecl_cddr(V9);
       T2 = CONS(ECL_SYM("LIST",481),T1);
       V10 = cl_listX(4, VV[17], T0, T2, VV[20]);
L55:;
       if (Null(V10)) { goto L49; }
       T0 = cl_list(2, V11, V10);
       T1 = ecl_list1(T0);
       if (!((V12)==(ECL_SYM("CERROR",202)))) { goto L70; }
       T3 = ecl_cadr(V9);
       T2 = cl_list(3, ECL_SYM("CERROR",202), T3, V11);
       goto L69;
L70:;
       T2 = cl_list(2, V12, V11);
L69:;
       T3 = cl_list(4, ECL_SYM("WITH-CONDITION-RESTARTS",908), V11, VV[21], T2);
       V4 = cl_list(3, ECL_SYM("LET",477), T1, T3);
      }
     }
L49:;
     T0 = cl_list(2, V7, ECL_NIL);
     T1 = ecl_list1(T0);
     {
      cl_object V9;
      cl_object V10;
      V9 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V10 = V8;
      {
       cl_object V11;
       cl_object V12;
       V11 = ecl_list1(ECL_NIL);
       V12 = V11;
L78:;
       if (!(ecl_endp(V10))) { goto L80; }
       goto L79;
L80:;
       V9 = _ecl_car(V10);
       {
        cl_object V13;
        V13 = _ecl_cdr(V10);
        if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
        V10 = V13;
       }
       if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
       T3 = V12;
       {
        cl_object V13;                            /*  NAME            */
        cl_object V14;                            /*  TAG             */
        cl_object V15;                            /*  KEYS            */
        V13 = ecl_car(V9);
        V14 = ecl_cadr(V9);
        V15 = ecl_caddr(V9);
        T5 = cl_list(3, ECL_SYM("SETQ",751), V7, VV[23]);
        T6 = cl_list(2, ECL_SYM("GO",414), V14);
        T7 = cl_list(4, ECL_SYM("LAMBDA",452), VV[22], T5, T6);
        T8 = cl_list(2, ECL_SYM("FUNCTION",396), T7);
        T4 = cl_listX(3, V13, T8, V15);
       }
       V12 = ecl_list1(T4);
       (ECL_CONS_CDR(T3)=V12,T3);
       goto L78;
L79:;
       T2 = ecl_cdr(V11);
       goto L72;
      }
     }
L72:;
     T3 = cl_list(3, ECL_SYM("RETURN-FROM",725), V6, V4);
     T4 = cl_list(3, VV[9], T2, T3);
     {
      cl_object V9;
      cl_object V10;
      V9 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V10 = V8;
      {
       cl_object V11;
       cl_object V12;
       V11 = ecl_list1(ECL_NIL);
       V12 = V11;
L104:;
       if (!(ecl_endp(V10))) { goto L106; }
       goto L105;
L106:;
       V9 = _ecl_car(V10);
       {
        cl_object V13;
        V13 = _ecl_cdr(V10);
        if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
        V10 = V13;
       }
       {
        cl_object V13;
        {
         cl_object V14;                           /*  TAG             */
         cl_object V15;                           /*  BVL             */
         cl_object V16;                           /*  BODY            */
         V14 = ecl_cadr(V9);
         V15 = ecl_cadddr(V9);
         T6 = ecl_cddddr(V9);
         V16 = ecl_car(T6);
         T6 = cl_listX(3, ECL_SYM("LAMBDA",452), V15, V16);
         T7 = cl_list(2, ECL_SYM("FUNCTION",396), T6);
         T8 = cl_list(3, ECL_SYM("APPLY",89), T7, V7);
         T9 = cl_list(3, ECL_SYM("RETURN-FROM",725), V6, T8);
         V13 = cl_list(2, V14, T9);
        }
        if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
        T6 = V12;
        (ECL_CONS_CDR(T6)=V13,T6);
        if (Null(V13)) { goto L114; }
       }
       T6 = ecl_cdr(V12);
       V12 = ecl_last(T6,1);
L114:;
       goto L104;
L105:;
       T5 = ecl_cdr(V11);
       goto L98;
      }
     }
L98:;
     T6 = cl_listX(3, ECL_SYM("TAGBODY",850), T4, T5);
     T7 = cl_list(3, ECL_SYM("LET",477), T1, T6);
     value0 = cl_list(3, ECL_SYM("BLOCK",137), V6, T7);
     return value0;
    }
   }
  }
 }
}
/*	local function TRANSFORM-KEYWORDS                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15transform_keywords(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,LC15transform_keywordskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
  }
  {
   cl_object V4;                                  /*  KEYWORDS        */
   V4 = ECL_NIL;
   if (Null(V3)) { goto L2; }
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), V3);
   V4 = cl_list(2, VV[13], T0);
L2:;
   if (Null(V2)) { goto L5; }
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), V2);
   V4 = cl_list(2, VV[14], T0);
L5:;
   if (Null(V1)) { goto L8; }
   if (!(ECL_STRINGP(V1))) { goto L12; }
   T1 = cl_list(3, ECL_SYM("WRITE-STRING",922), V1, ECL_SYM("STREAM",799));
   T2 = cl_list(3, ECL_SYM("LAMBDA",452), VV[16], T1);
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), T2);
   goto L11;
L12:;
   T0 = cl_list(2, ECL_SYM("FUNCTION",396), V1);
L11:;
   V4 = cl_listX(3, VV[15], T0, V4);
L8:;
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function WITH-SIMPLE-RESTART                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17with_simple_restart(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  RESTART-NAME    */
   cl_object V7;                                  /*  FORMAT-CONTROL  */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V8;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V8;
   }
   T0 = CONS(ECL_SYM("PROGN",671),V3);
   T1 = cl_listX(4, ECL_SYM("FORMAT",387), ECL_SYM("STREAM",799), V7, V5);
   T2 = cl_list(3, ECL_SYM("LAMBDA",452), VV[16], T1);
   T3 = cl_list(5, V6, ECL_NIL, ECL_SYM("REPORT",1302), T2, VV[25]);
   value0 = cl_list(3, VV[24], T0, T3);
   return value0;
  }
 }
}
/*	local function WITH-CONDITION-RESTARTS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18with_condition_restarts(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  CONDITION       */
   cl_object V5;                                  /*  RESTARTS        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = cl_list(3, ECL_SYM("CONS",251), V4, V5);
   T1 = cl_list(3, ECL_SYM("CONS",251), T0, VV[1]);
   T2 = cl_list(2, VV[1], T1);
   T3 = ecl_list1(T2);
   value0 = cl_listX(3, ECL_SYM("LET",477), T3, V3);
   return value0;
  }
 }
}
/*	local function G86                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19__g86(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*PRINT-ESCAPE*",48)))) { goto L1; }
  if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1475)))) { goto L3; }
  T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1475)));
  T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1475)));
  value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1473)), T1);
  return value0;
L3:;
  value0 = cl_error(1, _ecl_static_5);
  return value0;
L1:;
  {
   cl_object V3;                                  /*  REPORTER        */
   V3 = cl_slot_value(V1, ECL_SYM("REPORT-FUNCTION",1928));
   if (!(ECL_STRINGP(V3))) { goto L7; }
   value0 = cl_write_string(2, V3, V2);
   return value0;
L7:;
   if (!(V3==ECL_NIL)) { goto L9; }
   if (Null(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1475)))) { goto L11; }
   T0 = ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1475)));
   T1 = ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1475)));
   value0 = ecl_function_dispatch(cl_env_copy,T0)(2, ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1473)), T1);
   return value0;
L11:;
   value0 = cl_error(1, _ecl_static_5);
   return value0;
L9:;
   value0 = ecl_function_dispatch(cl_env_copy,V3)(2, V1, V2);
   return value0;
  }
 }
}
/*	local function DEFINE-CONDITION                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20define_condition(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  PARENT-LIST     */
   cl_object V6;                                  /*  SLOT-SPECS      */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   {
    cl_object V7;                                 /*  CLASS-OPTIONS   */
    V7 = ECL_NIL;
    {
     cl_object V8;
     V8 = V3;
     goto L25;
L24:;
     {
      cl_object V9;                               /*  OPTION          */
      V9 = ecl_car(V8);
      {
       cl_object V10;
       V10 = ecl_car(V9);
       if (!(ecl_eql(V10,ECL_SYM("DEFAULT-INITARGS",987)))) { goto L36; }
       goto L33;
       goto L34;
L36:;
       goto L34;
L34:;
       if (!(ecl_eql(V10,ECL_SYM("DOCUMENTATION",1222)))) { goto L31; }
       goto L32;
L33:;
L32:;
       V7 = CONS(V9,V7);
       goto L29;
L31:;
       if (!(ecl_eql(V10,ECL_SYM("REPORT",1302)))) { goto L40; }
       {
        cl_object V11;                            /*  REPORT-FUNCTION */
        V11 = ecl_cadr(V9);
        if (!(ECL_SYMBOLP(V11))) { goto L45; }
        T0 = cl_list(2, ECL_SYM("QUOTE",679), V11);
        goto L44;
L45:;
        T0 = V11;
L44:;
        T1 = cl_list(3, ECL_SYM("REPORT-FUNCTION",1928), ECL_SYM("INITFORM",996), T0);
        V6 = CONS(T1,V6);
        goto L29;
       }
L40:;
       cl_cerror(3, _ecl_static_6, _ecl_static_7, V9);
      }
L29:;
     }
     V8 = ecl_cdr(V8);
L25:;
     if (Null(V8)) { goto L49; }
     goto L24;
L49:;
    }
    value0 = V5;
    if ((value0)!=ECL_NIL) { goto L53; }
    T0 = VV[30];
    goto L51;
L53:;
    T0 = value0;
    goto L51;
L51:;
    T1 = cl_listX(5, ECL_SYM("DEFCLASS",937), V4, T0, V6, V7);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    value0 = cl_list(3, ECL_SYM("PROGN",671), T1, T2);
    return value0;
   }
  }
 }
}
/*	function definition for FIND-SUBCLASSES-OF-TYPE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21find_subclasses_of_type(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, V2, V1))) { goto L1; }
  value0 = ecl_list1(V2);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V3;                                  /*  LET969          */
   cl_object V4;                                  /*  C               */
   cl_object V5;
   V3 = ecl_function_dispatch(cl_env_copy,ECL_SYM("CLASS-DIRECT-SUBCLASSES",1489))(1, V2) /*  CLASS-DIRECT-SUBCLASSES */;
   V4 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
   V5 = V3;
   {
    cl_object V6;
    cl_object V7;
    V6 = ecl_list1(ECL_NIL);
    V7 = V6;
L9:;
    if (!(ecl_endp(V5))) { goto L11; }
    goto L10;
L11:;
    V4 = _ecl_car(V5);
    {
     cl_object V8;
     V8 = _ecl_cdr(V5);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V5 = V8;
    }
    {
     cl_object V8;
     V8 = L21find_subclasses_of_type(V1, V4);
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T0 = V7;
     (ECL_CONS_CDR(T0)=V8,T0);
     if (Null(V8)) { goto L19; }
    }
    T0 = ecl_cdr(V7);
    V7 = ecl_last(T0,1);
L19:;
    goto L9;
L10:;
    value0 = ecl_cdr(V6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for MAKE-CONDITION                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22make_condition(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  CLASS           */
   if (!(ECL_SYMBOLP(V1))) { goto L6; }
   value0 = cl_find_class(2, V1, ECL_NIL);
   goto L4;
L6:;
   value0 = ECL_NIL;
   goto L4;
L4:;
   if ((value0)!=ECL_NIL) { goto L3; }
   T0 = cl_find_class(1, ECL_SYM("CONDITION",248));
   T1 = L21find_subclasses_of_type(V1, T0);
   T2 = (ECL_SYM("SUBCLASSP",1178)->symbol.gfdef);
   T3 = cl_sort(2, T1, T2);
   T4 = ecl_last(T3,1);
   V3 = ecl_car(T4);
   goto L1;
L3:;
   V3 = value0;
   goto L1;
L1:;
   if ((V3)!=ECL_NIL) { goto L9; }
   T0 = ecl_list1(V1);
   cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), ECL_SYM("CONDITION",248), ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_8, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
L9:;
   T0 = (ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef);
   value0 = cl_apply(3, T0, V3, V2);
   return value0;
  }
 }
}
/*	local function HANDLER-BIND                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24handler_bind(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  BINDINGS        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {cl_object V5;
    V5 = ECL_NIL;
    V5 = ecl_make_cfun((cl_objectfn_fixed)LC23__g131,ECL_NIL,Cblock,1);
    T0 = V5;
   }
   if ((cl_every(2, T0, V4))!=ECL_NIL) { goto L8; }
   cl_error(1, _ecl_static_9);
L8:;
   {
    cl_object V5;
    cl_object V6;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    V6 = V4;
    {
     cl_object V7;
     cl_object V8;
     V7 = ecl_list1(ECL_NIL);
     V8 = V7;
L17:;
     if (!(ecl_endp(V6))) { goto L19; }
     goto L18;
L19:;
     V5 = _ecl_car(V6);
     {
      cl_object V9;
      V9 = _ecl_cdr(V6);
      if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
      V6 = V9;
     }
     if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
     T1 = V8;
     T3 = ecl_car(V5);
     T4 = cl_list(2, ECL_SYM("QUOTE",679), T3);
     T5 = ecl_cadr(V5);
     T2 = cl_list(3, ECL_SYM("CONS",251), T4, T5);
     V8 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V8,T1);
     goto L17;
L18:;
     T0 = ecl_cdr(V7);
     goto L11;
    }
   }
L11:;
   T1 = CONS(ECL_SYM("LIST",481),T0);
   T2 = cl_list(3, ECL_SYM("CONS",251), T1, ECL_SYM("*HANDLER-CLUSTERS*",5));
   T3 = cl_list(2, ECL_SYM("*HANDLER-CLUSTERS*",5), T2);
   T4 = ecl_list1(T3);
   value0 = cl_listX(3, ECL_SYM("LET",477), T4, V3);
   return value0;
  }
 }
}
/*	local function G131                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g131(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(V1))) { goto L2; }
  {
   cl_fixnum V2;
   V2 = ecl_length(V1);
   value0 = ecl_make_bool((V2)==(2));
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SIGNAL                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25signal(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  CONDITION       */
   V3 = L26coerce_to_condition(V1, V2, ECL_SYM("SIMPLE-CONDITION",767), ECL_SYM("SIGNAL",760));
   ecl_bds_push(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5)); /*  *HANDLER-CLUSTERS* */
   if (Null(cl_typep(2, V3, ecl_symbol_value(ECL_SYM("*BREAK-ON-SIGNALS*",25))))) { goto L2; }
   L29break(2, _ecl_static_10, V3);
L2:;
L5:;
   if ((ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)))!=ECL_NIL) { goto L7; }
   goto L4;
L7:;
   {
    cl_object V4;                                 /*  CLUSTER         */
    {
     cl_object V5;
     V5 = ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5));
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     if (Null(V5)) { goto L13; }
     {
      cl_object V6;
      V6 = ECL_CONS_CDR(V5);
      cl_set(ECL_SYM("*HANDLER-CLUSTERS*",5),V6);
      V5 = ECL_CONS_CAR(V5);
     }
L13:;
     V4 = V5;
    }
    {
     cl_object V5;
     V5 = V4;
     goto L22;
L21:;
     {
      cl_object V6;                               /*  HANDLER         */
      V6 = ecl_car(V5);
      T0 = ecl_car(V6);
      if (Null(cl_typep(2, V3, T0))) { goto L26; }
      T0 = ecl_cdr(V6);
      ecl_function_dispatch(cl_env_copy,T0)(1, V3);
L26:;
     }
     V5 = ecl_cdr(V5);
L22:;
     if (Null(V5)) { goto L31; }
     goto L21;
L31:;
    }
   }
   goto L5;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	function definition for COERCE-TO-CONDITION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26coerce_to_condition(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_of_class_p(2, V1, ECL_SYM("CONDITION",248)))) { goto L1; }
  if (Null(V2)) { goto L3; }
  T0 = cl_list(2, V1, V4);
  cl_cerror(10, _ecl_static_11, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V2, ECL_SYM("EXPECTED-TYPE",1232), ECL_SYM("NULL",605), ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_12, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
L3:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_SYMBOLP(V1))) { goto L5; }
  T0 = (VV[32]->symbol.gfdef);
  value0 = cl_apply(3, T0, V1, V2);
  return value0;
L5:;
  if (ECL_STRINGP(V1)) { goto L10; }
  if (Null(cl_functionp(V1))) { goto L8; }
  goto L9;
L10:;
L9:;
  value0 = L22make_condition(5, V3, ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2);
  return value0;
L8:;
  T0 = cl_list(2, V4, V1);
  value0 = cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), VV[35], ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_13, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
  return value0;
 }
}
/*	function definition for BREAK                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29break(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  volatile cl_object V1;
  volatile cl_object V2;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   int i = 0;
   if (i >= narg) {
    V1 = _ecl_static_14;
   } else {
    i++;
    V1 = ecl_va_arg(args);
   }
  }
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*DEBUGGER-HOOK*",31),ECL_NIL); /*  *DEBUGGER-HOOK* */
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L3;
    ecl_internal_error("GO found an inexistent tag");
    }
    {cl_object V3;
     V3 = ECL_NIL;
     V3 = ecl_make_cclosure_va((cl_objectfn)LC27__g147,env2,Cblock);
     T0 = V3;
    }
    {cl_object V3;
     V3 = ECL_NIL;
     V3 = ecl_make_cfun((cl_objectfn_fixed)LC28__g148,ECL_NIL,Cblock,1);
     T1 = V3;
    }
    T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
    T3 = ecl_list1(T2);
    T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
    T0 = L22make_condition(5, ECL_SYM("SIMPLE-CONDITION",767), ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2);
    (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, T0) /*  INVOKE-DEBUGGER */;
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    goto L2;
L3:;
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    goto L2;
   }
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	closure G147                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g147(cl_narg narg, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	local function G148                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g148(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, V1, _ecl_static_15);
  return value0;
 }
}
/*	function definition for WARN                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32warn(volatile cl_narg narg, cl_object volatile V1, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   volatile cl_object V3;                         /*  CONDITION       */
   V3 = L26coerce_to_condition(V1, V2, ECL_SYM("SIMPLE-WARNING",776), ECL_SYM("WARN",903));
   {
    cl_object V4;
    V4 = V3;
    if ((si_of_class_p(2, V4, ECL_SYM("WARNING",904)))!=ECL_NIL) { goto L4; }
    V3 = si_do_check_type(V4, ECL_SYM("WARNING",904), _ecl_static_16, ECL_SYM("CONDITION",248));
L4:;
   }
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L8;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V4;
      V4 = ECL_NIL;
      V4 = ecl_make_cclosure_va((cl_objectfn)LC30__g156,env2,Cblock);
      T0 = V4;
     }
     {cl_object V4;
      V4 = ECL_NIL;
      V4 = ecl_make_cfun((cl_objectfn_fixed)LC31__g157,ECL_NIL,Cblock,1);
      T1 = V4;
     }
     T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("MUFFLE-WARNING",571), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     T0 = ecl_car(ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     T1 = CONS(V3,T0);
     T2 = CONS(T1,ecl_symbol_value(VV[1]));
     ecl_bds_bind(cl_env_copy,VV[1],T2);          /*  *CONDITION-RESTARTS* */
     L25signal(1, V3);
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     goto L7;
L8:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L7:;
   cl_format(3, ecl_symbol_value(ECL_SYM("*ERROR-OUTPUT*",33)), _ecl_static_18, V3);
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G156                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g156(cl_narg narg, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	local function G157                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g157(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_write_string(2, _ecl_static_17, V1);
  return value0;
 }
}
/*	local function G159                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34__g159()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC33__g160,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G160                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33__g160(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",768)->symbol.gfdef))->cfun.entry(1, V1) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
  T1 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-ARGUMENTS",769)->symbol.gfdef))->cfun.entry(1, V1) /*  SIMPLE-CONDITION-FORMAT-ARGUMENTS */;
  value0 = cl_format(4, V2, _ecl_static_19, T0, T1);
  return value0;
 }
}
/*	local function G161                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36__g161()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC35__g162,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G162                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35__g162(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  TYPE            */
   cl_object V4;                                  /*  SIZE            */
   V3 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STACK-OVERFLOW-TYPE",1666))(1, V1) /*  STACK-OVERFLOW-TYPE */;
   V4 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STACK-OVERFLOW-SIZE",1665))(1, V1) /*  STACK-OVERFLOW-SIZE */;
   if (Null(V4)) { goto L3; }
   value0 = cl_format(4, V2, _ecl_static_20, V3, V4);
   return value0;
L3:;
   value0 = cl_format(3, V2, _ecl_static_21, V3);
   return value0;
  }
 }
}
/*	local function G163                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38__g163()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC37__g164,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G164                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37__g164(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("UNIX-SIGNAL-RECEIVED-CODE",1797))(1, V1) /*  UNIX-SIGNAL-RECEIVED-CODE */;
  value0 = cl_format(3, V2, _ecl_static_22, T0);
  return value0;
 }
}
/*	local function G165                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g165()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC39__g166,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G166                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39__g166(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("TYPE-ERROR-DATUM",871)->symbol.gfdef))->cfun.entry(1, V1) /*  TYPE-ERROR-DATUM */;
  T1 = (cl_env_copy->function=(ECL_SYM("TYPE-ERROR-EXPECTED-TYPE",872)->symbol.gfdef))->cfun.entry(1, V1) /*  TYPE-ERROR-EXPECTED-TYPE */;
  value0 = cl_format(4, V2, _ecl_static_23, T0, T1);
  return value0;
 }
}
/*	local function G167                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g167()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC41__g168,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G168                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41__g168(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("TYPE-ERROR-DATUM",871)->symbol.gfdef))->cfun.entry(1, V1) /*  TYPE-ERROR-DATUM */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[85])(1, V1) /*  CASE-FAILURE-NAME */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[86])(1, V1) /*  CASE-FAILURE-POSSIBILITIES */;
  value0 = cl_format(5, V2, _ecl_static_24, T0, T1, T2);
  return value0;
 }
}
/*	local function G169                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g169()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC43__g170,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G170                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g170(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("STREAM-ERROR-STREAM",802)->symbol.gfdef))->cfun.entry(1, V1) /*  STREAM-ERROR-STREAM */;
  value0 = cl_format(3, V2, _ecl_static_25, T0);
  return value0;
 }
}
/*	local function G171                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46__g171()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC45__g172,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G172                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45__g172(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("FILE-ERROR-PATHNAME",354)->symbol.gfdef))->cfun.entry(1, V1) /*  FILE-ERROR-PATHNAME */;
  value0 = cl_format(3, V2, _ecl_static_26, T0);
  return value0;
 }
}
/*	local function G173                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g173()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC47__g174,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G174                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47__g174(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CELL-ERROR-NAME",201)->symbol.gfdef))->cfun.entry(1, V1) /*  CELL-ERROR-NAME */;
  value0 = cl_format(3, V2, _ecl_static_27, T0);
  return value0;
 }
}
/*	local function G175                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50__g175()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC49__g176,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G176                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49__g176(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CELL-ERROR-NAME",201)->symbol.gfdef))->cfun.entry(1, V1) /*  CELL-ERROR-NAME */;
  T1 = (cl_env_copy->function=(ECL_SYM("UNBOUND-SLOT-INSTANCE",877)->symbol.gfdef))->cfun.entry(1, V1) /*  UNBOUND-SLOT-INSTANCE */;
  value0 = cl_format(4, V2, _ecl_static_28, T0, T1);
  return value0;
 }
}
/*	local function G177                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52__g177()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC51__g178,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G178                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g178(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CELL-ERROR-NAME",201)->symbol.gfdef))->cfun.entry(1, V1) /*  CELL-ERROR-NAME */;
  value0 = cl_format(3, V2, _ecl_static_29, T0);
  return value0;
 }
}
/*	local function G179                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54__g179()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC53__g180,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G180                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53__g180(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("PRINT-NOT-READABLE-OBJECT",664)->symbol.gfdef))->cfun.entry(1, V1) /*  PRINT-NOT-READABLE-OBJECT */;
  value0 = cl_format(3, V2, _ecl_static_30, T0);
  return value0;
 }
}
/*	local function G181                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56__g181()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC55__g182,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G183                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57__g183()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[42]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G184                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58__g184()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[43]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G182                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55__g182(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[87])(1, V1) /*  FORMAT-ERROR-PRINT-BANNER */;
  T1 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",768)->symbol.gfdef))->cfun.entry(1, V1) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
  T2 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-ARGUMENTS",769)->symbol.gfdef))->cfun.entry(1, V1) /*  SIMPLE-CONDITION-FORMAT-ARGUMENTS */;
  T3 = ecl_function_dispatch(cl_env_copy,VV[88])(1, V1) /*  FORMAT-ERROR-CONTROL-STRING */;
  T4 = ecl_function_dispatch(cl_env_copy,VV[89])(1, V1) /*  FORMAT-ERROR-OFFSET */;
  value0 = cl_format(7, V2, _ecl_static_31, T0, T1, T2, T3, T4);
  return value0;
 }
}
/*	function definition for SIGNAL-SIMPLE-ERROR                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_signal_simple_error(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 {
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V4,narg,4);
  V5 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V6;                                  /*  SIMPLE-ERROR-NAME */
   T0 = cl_string(V1);
   T1 = cl_concatenate(3, ECL_SYM("STRING",805), _ecl_static_32, T0);
   T2 = cl_find_package(_ecl_static_33);
   V6 = cl_intern(2, T1, T2);
   if ((cl_find_class(2, V6, ECL_NIL))!=ECL_NIL) { goto L2; }
   T0 = cl_list(2, ECL_SYM("SIMPLE-ERROR",770), V1);
   T1 = cl_list(4, ECL_SYM("DEFCLASS",937), V6, T0, ECL_NIL);
   cl_eval(T1);
L2:;
   if (Null(V2)) { goto L4; }
   T0 = (ECL_SYM("CERROR",202)->symbol.gfdef);
   value0 = cl_apply(8, T0, V2, V6, ECL_SYM("FORMAT-CONTROL",1240), V3, ECL_SYM("FORMAT-ARGUMENTS",1239), V4, V5);
   return value0;
L4:;
   T0 = (ECL_SYM("ERROR",337)->symbol.gfdef);
   value0 = cl_apply(7, T0, V6, ECL_SYM("FORMAT-CONTROL",1240), V3, ECL_SYM("FORMAT-ARGUMENTS",1239), V4, V5);
   return value0;
  }
 }
}
/*	local function HANDLER-CASE                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59handler_case(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  FORM            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  NO-ERROR-CLAUSE */
    V5 = ecl_assql(VV[44],V3);
    if (Null(V5)) { goto L9; }
    {
     cl_object V6;                                /*  NORMAL-RETURN   */
     cl_object V7;                                /*  ERROR-RETURN    */
     V6 = cl_make_symbol(_ecl_static_34);
     V7 = cl_make_symbol(_ecl_static_35);
     T0 = ecl_cdr(V5);
     T1 = CONS(ECL_SYM("LAMBDA",452),T0);
     T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
     T3 = cl_list(3, ECL_SYM("RETURN-FROM",725), V6, V4);
     T4 = cl_remove(2, V5, V3);
     T5 = cl_listX(3, ECL_SYM("HANDLER-CASE",416), T3, T4);
     T6 = cl_list(3, ECL_SYM("RETURN-FROM",725), V7, T5);
     T7 = cl_list(3, ECL_SYM("BLOCK",137), V6, T6);
     T8 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-CALL",573), T2, T7);
     value0 = cl_list(3, ECL_SYM("BLOCK",137), V7, T8);
     return value0;
    }
L9:;
    {
     cl_object V8;                                /*  TAG             */
     cl_object V9;                                /*  VAR             */
     cl_object V10;                               /*  ANNOTATED-CASES */
     V8 = cl_gensym(0);
     V9 = cl_gensym(0);
     {
      cl_object V11;
      cl_object V12;
      V11 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
      V12 = V3;
      {
       cl_object V13;
       cl_object V14;
       V13 = ecl_list1(ECL_NIL);
       V14 = V13;
L21:;
       if (!(ecl_endp(V12))) { goto L23; }
       goto L22;
L23:;
       V11 = _ecl_car(V12);
       {
        cl_object V15;
        V15 = _ecl_cdr(V12);
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        V12 = V15;
       }
       if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
       T0 = V14;
       T2 = cl_gensym(0);
       T1 = CONS(T2,V11);
       V14 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=V14,T0);
       goto L21;
L22:;
       V10 = ecl_cdr(V13);
       goto L15;
      }
     }
L15:;
     T0 = cl_list(2, V9, ECL_NIL);
     T1 = ecl_list1(T0);
     T2 = cl_list(2, ECL_SYM("IGNORABLE",427), V9);
     T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
     {
      cl_object V11;
      cl_object V12;
      V11 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
      V12 = V10;
      {
       cl_object V13;
       cl_object V14;
       V13 = ecl_list1(ECL_NIL);
       V14 = V13;
L44:;
       if (!(ecl_endp(V12))) { goto L46; }
       goto L45;
L46:;
       V11 = _ecl_car(V12);
       {
        cl_object V15;
        V15 = _ecl_cdr(V12);
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        V12 = V15;
       }
       if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
       T5 = V14;
       T7 = ecl_cadr(V11);
       if (Null(ecl_caddr(V11))) { goto L60; }
       T9 = cl_list(3, ECL_SYM("SETQ",751), V9, VV[23]);
       T8 = ecl_list1(T9);
       goto L59;
L60:;
       T8 = ECL_NIL;
L59:;
       T9 = ecl_car(V11);
       T10 = cl_list(2, ECL_SYM("GO",414), T9);
       T11 = ecl_list1(T10);
       T12 = ecl_append(T8,T11);
       T13 = cl_listX(4, ECL_SYM("LAMBDA",452), VV[45], VV[46], T12);
       T14 = cl_list(2, ECL_SYM("FUNCTION",396), T13);
       T6 = cl_list(2, T7, T14);
       V14 = ecl_list1(T6);
       (ECL_CONS_CDR(T5)=V14,T5);
       goto L44;
L45:;
       T4 = ecl_cdr(V13);
       goto L38;
      }
     }
L38:;
     T5 = cl_list(3, ECL_SYM("RETURN-FROM",725), V8, V4);
     T6 = cl_list(3, VV[33], T4, T5);
     {
      cl_object V11;
      cl_object V12;
      V11 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
      V12 = V10;
      {
       cl_object V13;
       cl_object V14;
       V13 = ecl_list1(ECL_NIL);
       V14 = V13;
L70:;
       if (!(ecl_endp(V12))) { goto L72; }
       goto L71;
L72:;
       V11 = _ecl_car(V12);
       {
        cl_object V15;
        V15 = _ecl_cdr(V12);
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        V12 = V15;
       }
       {
        cl_object V15;
        T8 = ecl_car(V11);
        {
         cl_object V16;                           /*  BODY            */
         V16 = ecl_cdddr(V11);
         if (Null(ecl_caddr(V11))) { goto L86; }
         T11 = ecl_caaddr(V11);
         T12 = cl_list(2, T11, V9);
         T13 = ecl_list1(T12);
         T10 = cl_listX(3, ECL_SYM("LET",477), T13, V16);
         goto L85;
L86:;
         T10 = CONS(ECL_SYM("LOCALLY",490),V16);
L85:;
         T9 = cl_list(3, ECL_SYM("RETURN-FROM",725), V8, T10);
        }
        V15 = cl_list(2, T8, T9);
        if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
        T8 = V14;
        (ECL_CONS_CDR(T8)=V15,T8);
        if (Null(V15)) { goto L80; }
       }
       T8 = ecl_cdr(V14);
       V14 = ecl_last(T8,1);
L80:;
       goto L70;
L71:;
       T7 = ecl_cdr(V13);
       goto L64;
      }
     }
L64:;
     T8 = cl_listX(3, ECL_SYM("TAGBODY",850), T6, T7);
     T9 = cl_list(4, ECL_SYM("LET",477), T1, T3, T8);
     value0 = cl_list(3, ECL_SYM("BLOCK",137), V8, T9);
     return value0;
    }
   }
  }
 }
}
/*	local function IGNORE-ERRORS                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60ignore_errors(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   T0 = CONS(ECL_SYM("PROGN",671),V3);
   value0 = cl_list(3, VV[47], T0, VV[48]);
   return value0;
  }
 }
}
/*	function definition for ABORT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_abort(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = L12find_restart_never_fail(2, ECL_SYM("ABORT",77), V1);
  L13invoke_restart(1, T0);
  value0 = cl_error(1, VV[41]);
  return value0;
 }
}
/*	function definition for CONTINUE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_continue(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  RESTART         */
   V2 = L11find_restart(2, ECL_SYM("CONTINUE",250), V1);
   if (Null(V2)) { goto L4; }
   value0 = L13invoke_restart(1, V2);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MUFFLE-WARNING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_muffle_warning(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = L12find_restart_never_fail(2, ECL_SYM("MUFFLE-WARNING",571), V1);
  value0 = L13invoke_restart(1, T0);
  return value0;
 }
}
/*	function definition for STORE-VALUE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_store_value(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  RESTART         */
   V3 = L11find_restart(2, ECL_SYM("STORE-VALUE",798), V2);
   if (Null(V3)) { goto L4; }
   value0 = L13invoke_restart(2, V3, V1);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for USE-VALUE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_use_value(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  RESTART         */
   V3 = L11find_restart(2, ECL_SYM("USE-VALUE",893), V2);
   if (Null(V3)) { goto L4; }
   value0 = L13invoke_restart(2, V3, V1);
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ASSERT-REPORT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61assert_report(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_format(2, V2, _ecl_static_36);
  if (Null(V1)) { goto L2; }
  {
   cl_fixnum V3;
   V3 = ecl_length(V1);
   value0 = cl_format(4, V2, _ecl_static_37, ecl_make_fixnum(V3), V1);
   return value0;
  }
L2:;
  value0 = cl_format(2, V2, _ecl_static_38);
  return value0;
 }
}
/*	function definition for ASSERT-PROMPT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63assert_prompt(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_y_or_n_p(3, _ecl_static_39, V1, V2))) { goto L1; }
  cl_format(2, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), _ecl_static_40);
  if (!(ECL_SYMBOLP(V1))) { goto L4; }
  {
   cl_object V4, V5; cl_index V3;
   V4 = ecl_list1(V1);
   V5 = ecl_list1(V2);
   V3 = ecl_progv(cl_env_copy, V4, V5);
   value0 = LC62read_it();
   ecl_bds_unwind(cl_env_copy,V3);
   return value0;
  }
L4:;
  value0 = LC62read_it();
  return value0;
L1:;
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function READ-IT                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC62read_it()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_read(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
  value0 = cl_eval(T0);
  return value0;
 }
}
/*	function definition for ASSERT-FAILURE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_assert_failure(volatile cl_narg narg, cl_object volatile V1, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  volatile cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   int i = 1;
   if (i >= narg) {
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ECL_NIL,env0);             /*  PLACE-NAMES     */
   } else {
    i++;
    env0 = ECL_NIL;
    CLV0 = env0 = CONS(ecl_va_arg(args),env0);    /*  PLACE-NAMES     */
   }
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = ecl_va_arg(args);
   }
  }
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if ((V3)!=ECL_NIL) { goto L2; }
  T0 = ecl_list1(V1);
  V3 = cl_list(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), ECL_NIL, ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_41, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
L2:;
  {
   volatile cl_object env1 = env0;
   CLV1 = env1 = CONS(ECL_NIL,env1);
   CLV2 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))) {
   if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L5;
   ecl_internal_error("GO found an inexistent tag");
   }
   {cl_object V4;
    V4 = ECL_NIL;
    V4 = ecl_make_cclosure_va((cl_objectfn)LC64__g220,env1,Cblock);
    T0 = V4;
   }
   {cl_object V4;
    V4 = ECL_NIL;
    V4 = ecl_make_cclosure_va((cl_objectfn)LC65__g221,env1,Cblock);
    T1 = V4;
   }
   T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
   T3 = ecl_list1(T2);
   T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
   {
    cl_object V4;
    T0 = ecl_car(V3);
    T1 = ecl_cdr(V3);
    T2 = L26coerce_to_condition(T0, T1, ECL_SYM("SIMPLE-ERROR",770), ECL_SYM("ASSERT",113));
    T3 = ECL_NIL;
    V4 = L26coerce_to_condition(T2, T3, ECL_SYM("SIMPLE-ERROR",770), ECL_SYM("ERROR",337));
    T0 = ecl_car(ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
    T1 = CONS(V4,T0);
    T2 = CONS(T1,ecl_symbol_value(VV[1]));
    ecl_bds_bind(cl_env_copy,VV[1],T2);           /*  *CONDITION-RESTARTS* */
    value0 = cl_error(1, V4);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L5:;
   {
    cl_object V4;                                 /*  PLACE-NAME      */
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(ECL_CONS_CAR(CLV0)))) FEtype_error_list(ECL_CONS_CAR(CLV0));
    V5 = ECL_CONS_CAR(CLV0);
    {
     cl_object V6;                                /*  VALUE           */
     cl_object V7;
     V6 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
     V7 = V2;
     {
      cl_object V8;
      cl_object V9;
      V8 = ecl_list1(ECL_NIL);
      V9 = V8;
L20:;
      if (!(ecl_endp(V5))) { goto L22; }
      goto L21;
L22:;
      V4 = _ecl_car(V5);
      {
       cl_object V10;
       V10 = _ecl_cdr(V5);
       if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
       V5 = V10;
      }
      if (!(ecl_endp(V7))) { goto L30; }
      goto L21;
L30:;
      V6 = _ecl_car(V7);
      {
       cl_object V10;
       V10 = _ecl_cdr(V7);
       if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
       V7 = V10;
      }
      if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
      T1 = V9;
      T2 = L63assert_prompt(V4, V6);
      V9 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=V9,T1);
      goto L20;
L21:;
      T0 = ecl_cdr(V8);
      goto L11;
     }
    }
   }
L11:;
   value0 = cl_values_list(T0);
   ecl_frs_pop(cl_env_copy);
   return value0;
  }
 }
}
/*	closure G220                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC64__g220(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  TAGBODY         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV1) = V1;
  cl_go(ECL_CONS_CAR(CLV2),ecl_make_fixnum(0));
 }
 }
}
/*	closure G221                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65__g221(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);                           /*  PLACE-NAMES     */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = L61assert_report(ECL_CONS_CAR(CLV0), V1);
  return value0;
 }
 }
}
/*	function definition for UNIVERSAL-ERROR-HANDLER               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76universal_error_handler(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  CONTINUE-STRING */
  CLV1 = env0 = CONS(V3,env0);                    /*  ARGS            */
  {
   volatile cl_object V4;                         /*  CONDITION       */
   V4 = L26coerce_to_condition(V2, ECL_CONS_CAR(CLV1), ECL_SYM("SIMPLE-ERROR",770), ECL_SYM("ERROR",337));
   if (!((ECL_T)==(ECL_CONS_CAR(CLV0)))) { goto L2; }
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L4;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V5;
      V5 = ECL_NIL;
      V5 = ecl_make_cclosure_va((cl_objectfn)LC66__g231,env2,Cblock);
      T0 = V5;
     }
     {cl_object V5;
      V5 = ECL_NIL;
      V5 = ecl_make_cfun((cl_objectfn_fixed)LC67__g232,ECL_NIL,Cblock,1);
      T1 = V5;
     }
     T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("IGNORE",428), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     L25signal(1, V4);
     value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V4) /*  INVOKE-DEBUGGER */;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
L4:;
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_T;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L2:;
   if (!(ECL_STRINGP(ECL_CONS_CAR(CLV0)))) { goto L10; }
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L12;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V5;
      V5 = ECL_NIL;
      V5 = ecl_make_cclosure_va((cl_objectfn)LC68__g238,env2,Cblock);
      T0 = V5;
     }
     {cl_object V5;
      V5 = ECL_NIL;
      V5 = ecl_make_cclosure_va((cl_objectfn)LC69__g239,env2,Cblock);
      T1 = V5;
     }
     T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     L25signal(1, V4);
     value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V4) /*  INVOKE-DEBUGGER */;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
L12:;
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_T;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L10:;
   if (Null(ECL_CONS_CAR(CLV0))) { goto L18; }
   if (!(ECL_SYMBOLP(ECL_CONS_CAR(CLV0)))) { goto L18; }
   {
    volatile cl_object env1 = env0;
    CLV2 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV3 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV3))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L21;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V5;
      V5 = ECL_NIL;
      V5 = ecl_make_cclosure_va((cl_objectfn)LC70__g245,env2,Cblock);
      T0 = V5;
     }
     {cl_object V5;
      V5 = ECL_NIL;
      V5 = ecl_make_cfun((cl_objectfn_fixed)LC71__g246,ECL_NIL,Cblock,1);
      T1 = V5;
     }
     T2 = L4make_restart(6, ECL_SYM("NAME",1273), VV[51], ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     {
      volatile cl_object env3 = env2;
      CLV4 = env3 = CONS(ECL_NIL,env3);
      {
       volatile cl_object env4 = env3;
       CLV5 = env4 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env4); /*  TAGBODY */
       if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV5))) {
       if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L26;
       ecl_internal_error("GO found an inexistent tag");
       }
       {cl_object V5;
        V5 = ECL_NIL;
        V5 = ecl_make_cclosure_va((cl_objectfn)LC72__g251,env4,Cblock);
        T0 = V5;
       }
       {cl_object V5;
        V5 = ECL_NIL;
        V5 = ecl_make_cfun((cl_objectfn_fixed)LC73__g252,ECL_NIL,Cblock,1);
        T1 = V5;
       }
       T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("IGNORE",428), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
       T3 = ecl_list1(T2);
       T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
       ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
       {
        volatile cl_object env5 = env4;
        CLV6 = env5 = CONS(ECL_NIL,env5);
        {
         volatile cl_object env6 = env5;
         CLV7 = env6 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env6); /*  TAGBODY */
         if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV7))) {
         if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L31;
         ecl_internal_error("GO found an inexistent tag");
         }
         {cl_object V5;
          V5 = ECL_NIL;
          V5 = ecl_make_cclosure_va((cl_objectfn)LC74__g257,env6,Cblock);
          T0 = V5;
         }
         {cl_object V5;
          V5 = ECL_NIL;
          V5 = ecl_make_cclosure_va((cl_objectfn)LC75__g258,env6,Cblock);
          T1 = V5;
         }
         T2 = L4make_restart(6, ECL_SYM("NAME",1273), ECL_SYM("CONTINUE",250), ECL_SYM("FUNCTION",1241), T0, VV[15], T1);
         T3 = ecl_list1(T2);
         T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
         ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
         L25signal(1, V4);
         cl_env_copy->values[0] = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V4) /*  INVOKE-DEBUGGER */;
         ecl_frs_pop(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
         goto L30;
L31:;
         cl_env_copy->nvalues = 2;
         cl_env_copy->values[1] = ECL_T;
         cl_env_copy->values[0] = ECL_NIL;
         ecl_frs_pop(cl_env_copy);
         goto L30;
        }
       }
L30:;
       {
        volatile cl_object V6;                    /*  RV              */
        volatile cl_object V7;                    /*  USED-RESTART    */
        {
         int V8 = cl_env_copy->nvalues-0;
         if (V8--<=0) goto L37;
         V6 = cl_env_copy->values[0];
         if (V8--<=0) goto L38;
         V7 = cl_env_copy->values[1];
         goto L39;
        }
L37:;
        V6 = ECL_NIL;
L38:;
        V7 = ECL_NIL;
L39:;
        if (Null(V7)) { goto L40; }
        cl_env_copy->values[0] = ECL_CONS_CAR(CLV0);
        cl_env_copy->nvalues = 1;
        ecl_frs_pop(cl_env_copy);
        ecl_bds_unwind1(cl_env_copy);
        goto L25;
L40:;
        cl_env_copy->values[0] = V6;
        cl_env_copy->nvalues = 1;
        ecl_frs_pop(cl_env_copy);
        ecl_bds_unwind1(cl_env_copy);
        goto L25;
       }
L26:;
       cl_env_copy->nvalues = 2;
       cl_env_copy->values[1] = ECL_T;
       cl_env_copy->values[0] = ECL_NIL;
       ecl_frs_pop(cl_env_copy);
       goto L25;
      }
     }
L25:;
     {
      volatile cl_object V6;                      /*  RV              */
      volatile cl_object V7;                      /*  USED-RESTART    */
      {
       int V8 = cl_env_copy->nvalues-0;
       if (V8--<=0) goto L43;
       V6 = cl_env_copy->values[0];
       if (V8--<=0) goto L44;
       V7 = cl_env_copy->values[1];
       goto L45;
      }
L43:;
      V6 = ECL_NIL;
L44:;
      V7 = ECL_NIL;
L45:;
      if (Null(V7)) { goto L46; }
      value0 = ECL_T;
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      return value0;
L46:;
      value0 = V6;
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      return value0;
     }
L21:;
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = ECL_T;
     cl_env_copy->values[0] = ECL_NIL;
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L18:;
   L25signal(1, V4);
   value0 = (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V4) /*  INVOKE-DEBUGGER */;
   return value0;
  }
 }
}
/*	closure G231                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66__g231(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = V1;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*	local function G232                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67__g232(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, V1, _ecl_static_42);
  return value0;
 }
}
/*	closure G238                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68__g238(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = V1;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*	closure G239                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69__g239(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);                           /*  ARGS            */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = cl_format(4, ECL_NIL, _ecl_static_19, ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1));
  value0 = cl_format(3, V1, _ecl_static_43, T0);
  return value0;
 }
 }
}
/*	closure G245                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70__g245(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV3 = env0;                                     /*  TAGBODY         */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV2) = V1;
  cl_go(ECL_CONS_CAR(CLV3),ecl_make_fixnum(0));
 }
 }
}
/*	local function G246                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71__g246(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, V1, _ecl_static_44);
  return value0;
 }
}
/*	closure G251                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72__g251(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV5 = env0;                                     /*  TAGBODY         */
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV4) = V1;
  cl_go(ECL_CONS_CAR(CLV5),ecl_make_fixnum(0));
 }
 }
}
/*	local function G252                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73__g252(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_format(2, V1, _ecl_static_42);
  return value0;
 }
}
/*	closure G257                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74__g257(cl_narg narg, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;                                     /*  TAGBODY         */
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV6) = V1;
  cl_go(ECL_CONS_CAR(CLV7),ecl_make_fixnum(0));
 }
 }
}
/*	closure G258                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75__g258(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);                           /*  CONTINUE-STRING */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_format(3, V1, _ecl_static_45, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*	function definition for TPL-CONTINUE-COMMAND                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77tpl_continue_command(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (VV[11]->symbol.gfdef);
  value0 = cl_apply(3, T0, ECL_SYM("CONTINUE",250), V1);
  return value0;
 }
}

#include "clos/conditions.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclYy2GIjZ7_aS9gNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLOS;CONDITIONS.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclYy2GIjZ7_aS9gNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defmacro(VV[54]);                        /*  UNIQUE-ID       */
 si_Xmake_special(ECL_SYM("*RESTART-CLUSTERS*",4));
 cl_set(ECL_SYM("*RESTART-CLUSTERS*",4),ECL_NIL);
 si_Xmake_special(VV[1]);
 cl_set(VV[1],ECL_NIL);
 ecl_cmp_defun(VV[55]);                           /*  COMPUTE-RESTARTS */
 ecl_cmp_defun(VV[57]);                           /*  RESTART-PRINT   */
 si_define_structure(15, ECL_SYM("RESTART",720), _ecl_static_2, ECL_NIL, ECL_NIL, VVtemp[0], VVtemp[1], VV[4], ECL_NIL, VV[3], ECL_NIL, VVtemp[2], ecl_make_fixnum(5), ECL_NIL, ECL_NIL, VV[5]);
 VV[6]= cl_find_class(1, ECL_SYM("RESTART",720));
 ecl_cmp_defun(VV[58]);                           /*  MAKE-RESTART    */
 (void)0; /* No entry created for RESTART-REPORT */
 (void)0; /* No entry created for BIND-SIMPLE-RESTARTS */
 (void)0; /* No entry created for BIND-SIMPLE-HANDLERS */
 ecl_cmp_defmacro(VV[66]);                        /*  RESTART-BIND    */
 ecl_cmp_defun(VV[67]);                           /*  FIND-RESTART    */
 (void)0; /* No entry created for FIND-RESTART-NEVER-FAIL */
 ecl_cmp_defun(VV[68]);                           /*  INVOKE-RESTART  */
 ecl_cmp_defun(VV[70]);                           /*  INVOKE-RESTART-INTERACTIVELY */
 ecl_cmp_defmacro(VV[72]);                        /*  RESTART-CASE    */
 ecl_cmp_defmacro(VV[76]);                        /*  WITH-SIMPLE-RESTART */
 ecl_cmp_defmacro(VV[77]);                        /*  WITH-CONDITION-RESTARTS */
 clos_load_defclass(ECL_SYM("CONDITION",248), ECL_NIL, VVtemp[3], ECL_NIL);
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC19__g86,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 clos_install_method(6, ECL_SYM("PRINT-OBJECT",961), ECL_NIL, VVtemp[4], VVtemp[5], T0, ECL_T);
 }
 ecl_cmp_defmacro(VV[78]);                        /*  DEFINE-CONDITION */
 (void)0; /* No entry created for FIND-SUBCLASSES-OF-TYPE */
 ecl_cmp_defun(VV[79]);                           /*  MAKE-CONDITION  */
 si_Xmake_special(ECL_SYM("*HANDLER-CLUSTERS*",5));
 cl_set(ECL_SYM("*HANDLER-CLUSTERS*",5),ECL_NIL);
 ecl_cmp_defmacro(VV[80]);                        /*  HANDLER-BIND    */
 ecl_cmp_defun(VV[81]);                           /*  SIGNAL          */
 ecl_cmp_defun(VV[82]);                           /*  COERCE-TO-CONDITION */
 ecl_cmp_defun(VV[83]);                           /*  BREAK           */
 ecl_cmp_defun(VV[84]);                           /*  WARN            */
 clos_load_defclass(ECL_SYM("WARNING",904), VV[30], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("SERIOUS-CONDITION",742), VV[30], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("ERROR",337), VVtemp[6], ECL_NIL, ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC34__g159,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[7]);
 T2 = cl_list(3, T1, VVtemp[8], VVtemp[9]);
 clos_load_defclass(ECL_SYM("SIMPLE-CONDITION",767), VV[30], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("SIMPLE-WARNING",776), VVtemp[10], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("STYLE-WARNING",827), VVtemp[11], ECL_NIL, ECL_NIL);
 clos_load_defclass(VV[39], VVtemp[12], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("SIMPLE-ERROR",770), VVtemp[13], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("STORAGE-CONDITION",797), VVtemp[6], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("SEGMENTATION-VIOLATION",1675), VVtemp[14], VVtemp[15], ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC36__g161,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[16]);
 T2 = cl_list(3, T1, VVtemp[17], VVtemp[18]);
 clos_load_defclass(ECL_SYM("STACK-OVERFLOW",1664), VVtemp[14], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("STORAGE-EXHAUSTED",1663), VVtemp[14], VVtemp[19], ECL_NIL);
 clos_load_defclass(ECL_SYM("ILLEGAL-INSTRUCTION",1672), VVtemp[6], VVtemp[20], ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC38__g163,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[21]);
 T2 = cl_list(2, T1, VVtemp[22]);
 clos_load_defclass(ECL_SYM("UNIX-SIGNAL-RECEIVED",1796), VV[30], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC40__g165,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[24]);
 T2 = cl_list(3, T1, VVtemp[25], VVtemp[26]);
 clos_load_defclass(ECL_SYM("TYPE-ERROR",870), VVtemp[23], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("SIMPLE-TYPE-ERROR",773), VVtemp[27], ECL_NIL, ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC42__g167,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[29]);
 T2 = cl_list(3, T1, VVtemp[30], VVtemp[31]);
 clos_load_defclass(VV[40], VVtemp[28], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("PROGRAM-ERROR",672), VVtemp[23], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("CONTROL-ERROR",255), VVtemp[23], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("STREAM-ERROR",801), VVtemp[23], VVtemp[32], ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC44__g169,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[34]);
 T2 = ecl_list1(T1);
 clos_load_defclass(ECL_SYM("END-OF-FILE",329), VVtemp[33], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC46__g171,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[35]);
 T2 = cl_list(2, T1, VVtemp[36]);
 clos_load_defclass(ECL_SYM("FILE-ERROR",353), VVtemp[23], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("PACKAGE-ERROR",618), VVtemp[23], VVtemp[37], ECL_NIL);
 clos_load_defclass(ECL_SYM("CELL-ERROR",200), VVtemp[23], VVtemp[38], ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC48__g173,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[40]);
 T2 = ecl_list1(T1);
 clos_load_defclass(ECL_SYM("UNBOUND-VARIABLE",878), VVtemp[39], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC50__g175,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[41]);
 T2 = cl_list(2, T1, VVtemp[42]);
 clos_load_defclass(ECL_SYM("UNBOUND-SLOT",876), VVtemp[39], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC52__g177,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[43]);
 T2 = ecl_list1(T1);
 clos_load_defclass(ECL_SYM("UNDEFINED-FUNCTION",879), VVtemp[39], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("ARITHMETIC-ERROR",93), VVtemp[23], VVtemp[44], ECL_NIL);
 clos_load_defclass(ECL_SYM("DIVISION-BY-ZERO",306), VVtemp[45], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("FLOATING-POINT-OVERFLOW",381), VVtemp[45], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("FLOATING-POINT-UNDERFLOW",382), VVtemp[45], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("FLOATING-POINT-INEXACT",379), VVtemp[45], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("FLOATING-POINT-INVALID-OPERATION",380), VVtemp[45], ECL_NIL, ECL_NIL);
 clos_load_defclass(VV[41], VVtemp[46], VVtemp[47], ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC54__g179,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[48]);
 T2 = cl_list(2, T1, VVtemp[49]);
 clos_load_defclass(ECL_SYM("PRINT-NOT-READABLE",663), VVtemp[23], T2, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("PARSE-ERROR",627), VVtemp[23], ECL_NIL, ECL_NIL);
 clos_load_defclass(ECL_SYM("READER-ERROR",699), VVtemp[50], ECL_NIL, ECL_NIL);
 {
  cl_object T0, T1, T2, T3, T4, T5, T6;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC56__g181,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[52]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC57__g183,ECL_NIL,Cblock,0);
  T2 = V1;
 }
 T3 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T2, VVtemp[55]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC58__g184,ECL_NIL,Cblock,0);
  T4 = V1;
 }
 T5 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T4, VVtemp[56]);
 T6 = cl_list(6, T1, VVtemp[53], VVtemp[54], T3, T5, VVtemp[57]);
 clos_load_defclass(ECL_SYM("FORMAT-ERROR",1074), VVtemp[51], T6, ECL_NIL);
 }
 clos_load_defclass(ECL_SYM("INTERACTIVE-INTERRUPT",1662), VVtemp[6], VVtemp[58], ECL_NIL);
 (void)0; /* No entry created for SIGNAL-SIMPLE-ERROR */
 ecl_cmp_defmacro(VV[90]);                        /*  HANDLER-CASE    */
 ecl_cmp_defmacro(VV[91]);                        /*  IGNORE-ERRORS   */
 (void)0; /* No entry created for ABORT */
 (void)0; /* No entry created for CONTINUE */
 (void)0; /* No entry created for MUFFLE-WARNING */
 (void)0; /* No entry created for STORE-VALUE */
 (void)0; /* No entry created for USE-VALUE */
 (void)0; /* No entry created for ASSERT-REPORT */
 (void)0; /* No entry created for ASSERT-PROMPT */
 ecl_cmp_defun(VV[92]);                           /*  ASSERT-FAILURE  */
 ecl_cmp_defun(VV[93]);                           /*  UNIVERSAL-ERROR-HANDLER */
 ecl_cmp_defun(VV[94]);                           /*  TPL-CONTINUE-COMMAND */
}
