/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLOS;CPL.LSP                                      */
#include <ecl/ecl-cmp.h>
#include "clos/cpl.eclh"
/*	function definition for COMPUTE-CLOS-CLASS-PRECEDENCE-LIST    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7compute_clos_class_precedence_list(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V2==ECL_NIL)) { goto L1; }
  value0 = ecl_list1(V1);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = ecl_cdr(V2);
  if (!(ecl_endp(T0))) { goto L3; }
  {
   cl_object V3;                                  /*  CLASS           */
   V3 = ecl_car(V2);
   T0 = cl_slot_value(V3, VV[1]);
   value0 = CONS(V1,T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
L3:;
  cl_env_copy->values[0] = LC1walk_supers(V2);
  {
   cl_object V5;                                  /*  CLASS-LIST      */
   cl_object V6;                                  /*  PRECEDENCE-LISTS */
   {
    int V7 = cl_env_copy->nvalues-0;
    if (V7--<=0) goto L7;
    V5 = cl_env_copy->values[0];
    if (V7--<=0) goto L8;
    V6 = cl_env_copy->values[1];
    goto L9;
   }
L7:;
   V5 = ECL_NIL;
L8:;
   V6 = ECL_NIL;
L9:;
   {
    cl_object V7;                                 /*  CPL             */
    V7 = ecl_list1(V1);
    goto L13;
L12:;
    {
     cl_object V8;                                /*  CANDIDATES      */
     cl_object V9;                                /*  NEXT            */
     V8 = LC4free_elements(V5, V6);
     V9 = LC5next_element(V8, V7);
     if ((V9)!=ECL_NIL) { goto L18; }
     LC2cycle_error(V1);
L18:;
     V6 = LC6delete_class(V9, V6);
     V5 = cl_delete(2, V9, V5);
     V7 = CONS(V9,V7);
    }
L13:;
    if (V5==ECL_NIL) { goto L25; }
    goto L12;
L25:;
    if (Null(V6)) { goto L27; }
    value0 = LC2cycle_error(V1);
    return value0;
L27:;
    value0 = cl_nreverse(V7);
    return value0;
   }
  }
 }
}
/*	local function DELETE-CLASS                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6delete_class(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  L               */
   V3 = V2;
   goto L4;
L3:;
   {
    cl_object V4;                                 /*  ONE-LIST        */
    V4 = ecl_car(V3);
    T0 = ecl_car(V4);
    if (!((V1)==(T0))) { goto L6; }
    {
     cl_object V5;
     V5 = ecl_cdr(V4);
     if (ecl_unlikely(ECL_ATOM(V3))) FEtype_error_cons(V3);
     T0 = V3;
     (ECL_CONS_CAR(T0)=V5,T0);
    }
   }
L6:;
   V3 = ecl_cdr(V3);
L4:;
   if (V3==ECL_NIL) { goto L15; }
   goto L3;
L15:;
   value0 = cl_delete(2, ECL_NIL, V2);
   return value0;
  }
 }
}
/*	local function NEXT-ELEMENT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5next_element(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (V2==ECL_NIL) { goto L3; }
  if (ecl_endp(V1)) { goto L3; }
  T0 = ecl_cdr(V1);
  if (!(ecl_endp(T0))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = ecl_car(V1);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V3;
   V3 = V2;
   goto L9;
L8:;
   {
    cl_object V4;                                 /*  I               */
    V4 = ecl_car(V3);
    {
     cl_object V5;
     V5 = cl_slot_value(V4, VV[0]);
     goto L17;
L16:;
     {
      cl_object V6;                               /*  J               */
      V6 = ecl_car(V5);
      if (Null(ecl_memql(V6,V1))) { goto L21; }
      value0 = V6;
      cl_env_copy->nvalues = 1;
      return value0;
L21:;
     }
     V5 = ecl_cdr(V5);
L17:;
     if (Null(V5)) { goto L25; }
     goto L16;
L25:;
    }
   }
   V3 = ecl_cdr(V3);
L9:;
   if (Null(V3)) { goto L29; }
   goto L8;
L29:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function FREE-ELEMENTS                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4free_elements(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  OUTPUT          */
   V3 = ECL_NIL;
   {
    cl_object V4;
    V4 = V1;
    goto L6;
L5:;
    {
     cl_object V5;                                /*  CLASS           */
     V5 = ecl_car(V4);
     if (Null(LC3has_no_precedent(V5, V2))) { goto L10; }
     V3 = CONS(V5,V3);
L10:;
    }
    V4 = ecl_cdr(V4);
L6:;
    if (Null(V4)) { goto L15; }
    goto L5;
L15:;
   }
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function HAS-NO-PRECEDENT                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3has_no_precedent(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = V2;
   goto L4;
L3:;
   {
    cl_object V4;                                 /*  PARTIAL-ORDER   */
    V4 = ecl_car(V3);
    T0 = ecl_cdr(V4);
    if (Null(ecl_memql(V1,T0))) { goto L8; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L8:;
   }
   V3 = ecl_cdr(V3);
L4:;
   if (Null(V3)) { goto L12; }
   goto L3;
L12:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CYCLE-ERROR                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2cycle_error(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (cl_env_copy->function=(ECL_SYM("CLASS-NAME",934)->symbol.gfdef))->cfun.entry(1, V1) /*  CLASS-NAME */;
  value0 = cl_error(2, _ecl_static_1, T0);
  return value0;
 }
}
/*	local function WALK-SUPERS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1walk_supers(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET780          */
   cl_object V3;                                  /*  CLASS-LIST      */
   cl_object V4;                                  /*  PRECEDENCE-LISTS */
   V2 = ecl_list1(V1);
   V3 = ECL_NIL;
   V4 = V2;
L4:;
   if ((V1)!=ECL_NIL) { goto L6; }
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V4;
   cl_env_copy->values[0] = V3;
   return cl_env_copy->values[0];
L6:;
   {
    cl_object V5;                                 /*  NEXT-CLASS      */
    {
     cl_object V6;
     V6 = V1;
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     if (Null(V6)) { goto L12; }
     {
      cl_object V7;
      V7 = ECL_CONS_CDR(V6);
      V1 = V7;
      V6 = ECL_CONS_CAR(V6);
     }
L12:;
     V5 = V6;
    }
    if ((ecl_memql(V5,V3))!=ECL_NIL) { goto L5; }
    {
     cl_object V6;                                /*  MORE-CLASSES    */
     V6 = cl_slot_value(V5, VV[0]);
     V3 = CONS(V5,V3);
     T0 = CONS(V5,V6);
     V4 = CONS(T0,V4);
     V1 = ecl_append(V6,V1);
    }
   }
L5:;
   goto L4;
  }
 }
}

#include "clos/cpl.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclGx5BgiZ7_aC5gNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLOS;CPL.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclGx5BgiZ7_aC5gNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[3]);                            /*  COMPUTE-CLOS-CLASS-PRECEDENCE-LIST */
}
