/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:ECL-CDB;ECL-CDB.LISP                              */
#include <ecl/ecl-cmp.h>
#include "clos/ecl-cdb.eclh"
/*	function definition for MAKE-CDB                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_cdb(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L1make_cdbkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
  }
  value0 = si_make_structure(6, VV[3], V1, V2, V3, V4, V5);
  return value0;
 }
}
/*	function definition for READ-WORD                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2read_word(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_read_byte(1, V1);
  T1 = cl_read_byte(1, V1);
  T2 = cl_ash(T1, ecl_make_fixnum(8));
  T3 = cl_read_byte(1, V1);
  T4 = cl_ash(T3, ecl_make_fixnum(16));
  T5 = cl_read_byte(1, V1);
  T6 = cl_ash(T5, ecl_make_fixnum(24));
  value0 = cl_logior(4, T0, T2, T4, T6);
  return value0;
 }
}
/*	function definition for WRITE-WORD                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L3write_word(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 unsigned int V3;
 V3 = ecl_to_uint(V1);
TTL:
 {
  cl_fixnum V4;
  V4 = ((255) & ((cl_fixnum)(V3)));
  cl_write_byte(ecl_make_fixnum(V4), V2);
 }
 {
  cl_fixnum V4;
  V4 = ((V3) >> (8));
  {
   cl_fixnum V5;
   V5 = ((255) & (V4));
   cl_write_byte(ecl_make_fixnum(V5), V2);
  }
 }
 {
  cl_fixnum V4;
  V4 = ((V3) >> (16));
  {
   cl_fixnum V5;
   V5 = ((255) & (V4));
   cl_write_byte(ecl_make_fixnum(V5), V2);
  }
 }
 {
  cl_fixnum V4;
  V4 = ((V3) >> (24));
  {
   cl_fixnum V5;
   V5 = ((255) & (V4));
   value0 = cl_write_byte(ecl_make_fixnum(V5), V2);
   return value0;
  }
 }
}
/*	function definition for WRITE-VECTOR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4write_vector(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  V               */
   cl_fixnum V4;
   cl_fixnum V5;
   V3 = ECL_NIL;
   V4 = 0;
   V5 = 0;
   V5 = ecl_length(V1);
L4:;
   if (!((V4)>=(V5))) { goto L8; }
   goto L5;
L8:;
   {
    cl_fixnum V6;
    if (ecl_unlikely((V4)>=(V1)->vector.dim))
           FEwrong_index(ECL_NIL,V1,-1,ecl_make_fixnum(V4),(V1)->vector.dim);
    V6 = V4;
    V3 = ecl_make_uint8_t((V1)->vector.self.b8[V6]);
   }
   {
    cl_object V6;
    V6 = ecl_make_integer((V4)+1);
    {
     bool V7;
     V7 = ECL_FIXNUMP(V6);
     if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V6);
    }
    V4 = ecl_fixnum(V6);
   }
   L3write_word(V3, V2);
   goto L4;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for TO-CDB-HASH                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5to_cdb_hash(cl_object V1)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  H               */
   V2 = ecl_make_fixnum(5381);
   {
    uint8_t V3;                                   /*  BYTE            */
    cl_object V4;
    cl_fixnum V5;
    cl_fixnum V6;
    {
     cl_fixnum V7;
     V7 = 0;
     V7 = 0;
     if (!((V7)<=(255))) { goto L12; }
     T0 = ecl_make_bool((V7)>=(0));
     goto L4;
L12:;
     T0 = ECL_NIL;
     goto L4;
     T0 = ECL_NIL;
     goto L4;
    }
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],ecl_make_fixnum(0));
    V3 = (uint8_t)(0);
    if (ecl_unlikely(!ECL_VECTORP(V1))) FEtype_error_vector(V1);
    V4 = V1;
    V5 = 0;
    V6 = 0;
    V6 = ecl_length(V4);
L18:;
    if (!((V5)>=(V6))) { goto L22; }
    goto L19;
L22:;
    {
     cl_object V7;
     {
      cl_fixnum V8;
      if (ecl_unlikely((V5)>=(V4)->vector.dim))
           FEwrong_index(ECL_NIL,V4,-1,ecl_make_fixnum(V5),(V4)->vector.dim);
      V8 = V5;
      V7 = ecl_aref_unsafe(V4,V8);
     }
     {
      cl_fixnum V8;
      V8 = 0;
      if (!(ECL_FIXNUMP(V7))) { goto L34; }
      V8 = ecl_fixnum(V7);
      if (!((V8)<=(255))) { goto L39; }
      T0 = ecl_make_bool((V8)>=(0));
      goto L31;
L39:;
      T0 = ECL_NIL;
      goto L31;
L34:;
      T0 = ECL_NIL;
      goto L31;
     }
L31:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V7);
     V3 = ecl_fixnum(V7);
    }
    {
     cl_object V7;
     V7 = ecl_make_integer((V5)+1);
     {
      bool V8;
      V8 = ECL_FIXNUMP(V7);
      if (ecl_unlikely(!(V8)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V7);
     }
     V5 = ecl_fixnum(V7);
    }
    T0 = cl_logand(2, ecl_make_fixnum(134217727), V2);
    T1 = cl_ash(T0, ecl_make_fixnum(5));
    T2 = ecl_plus(T1,V2);
    T3 = ecl_boole(ECL_BOOLAND,(VV[9]),(T2));
    V2 = ecl_boole(ECL_BOOLXOR,(T3),(ecl_make_uint8_t(V3)));
    goto L18;
L19:;
    value0 = V2;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for %MAKE-CDB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6_make_cdb(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  STREAM          */
   V3 = cl_open(9, V2, ECL_SYM("DIRECTION",1218), ECL_SYM("OUTPUT",1282), ECL_SYM("IF-EXISTS",1245), ECL_SYM("SUPERSEDE",1314), ECL_SYM("IF-DOES-NOT-EXIST",1244), ECL_SYM("CREATE",1213), ECL_SYM("ELEMENT-TYPE",1224), VV[8]);
   if (Null(V3)) { goto L2; }
   cl_file_position(2, V3, ecl_make_fixnum(0));
   {
    cl_fixnum V4;                                 /*  I               */
    V4 = 0;
    goto L8;
L7:;
    L3write_word(ecl_make_fixnum(0), V3);
    V4 = (V4)+1;
L8:;
    if (!((V4)<(512))) { goto L13; }
    goto L7;
L13:;
   }
   T0 = si_make_vector(ECL_T, ecl_make_fixnum(256), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   T1 = si_fill_array_with_elt(T0, ECL_NIL, ecl_make_fixnum(0), ECL_NIL);
   value0 = L1make_cdb(8, ECL_SYM("STREAM",1313), V3, ECL_SYM("PATHNAME",1285), V1, VV[11], T1, VV[12], V2);
   return value0;
L2:;
   value0 = cl_error(2, _ecl_static_2, V2);
   return value0;
  }
 }
}
/*	local function WITH-OUTPUT-TO-CDB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7with_output_to_cdb(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  CDB             */
   cl_object V7;                                  /*  CDB-PATHNAME    */
   cl_object V8;                                  /*  TEMPORARY-PATHNAME */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V9;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V9;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V9;
   }
   if (!(V5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(V1);
L22:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V9;
   }
   if (Null(V5)) { goto L27; }
   si_dm_too_many_arguments(V1);
L27:;
   T0 = ecl_list1(V6);
   T1 = cl_list(3, VV[13], V7, V8);
   T2 = cl_list(3, ECL_SYM("SETF",750), V6, T1);
   T3 = cl_listX(3, ECL_SYM("PROGN",671), T2, V3);
   T4 = cl_list(2, VV[14], V6);
   T5 = cl_list(3, ECL_SYM("UNWIND-PROTECT",888), T3, T4);
   value0 = cl_list(3, ECL_SYM("LET",477), T0, T5);
   return value0;
  }
 }
}
/*	function definition for ADD-RECORD                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8add_record(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  HASH-KEY        */
   cl_object V5;                                  /*  TABLE-INDEX     */
   cl_object V6;                                  /*  STREAM          */
   V4 = L5to_cdb_hash(V1);
   V5 = ecl_boole(ECL_BOOLAND,(ecl_make_fixnum(255)),(V4));
   V6 = ecl_function_dispatch(cl_env_copy,VV[39])(1, V3) /*  CDB-STREAM */;
   {
    cl_object V7;
    cl_object V8;
    cl_object V9;
    T0 = cl_file_position(1, V6);
    V7 = CONS(V4,T0);
    V8 = ecl_function_dispatch(cl_env_copy,VV[40])(1, V3) /*  CDB-TABLES */;
    {
     cl_fixnum V10;
     if (ecl_unlikely((ecl_fixnum(V5))>=(V8)->vector.dim))
           FEwrong_index(ECL_NIL,V8,-1,ecl_make_fixnum(ecl_fixnum(V5)),(V8)->vector.dim);
     V10 = ecl_to_fixnum(V5);
     T0 = ecl_aref_unsafe(V8,V10);
    }
    V9 = CONS(V7,T0);
    {
     cl_fixnum V10;
     if (ecl_unlikely((ecl_fixnum(V5))>=(V8)->vector.dim))
           FEwrong_index(ECL_NIL,V8,-1,ecl_make_fixnum(ecl_fixnum(V5)),(V8)->vector.dim);
     V10 = ecl_to_fixnum(V5);
     ecl_aset_unsafe(V8,V10,V9);
    }
   }
   {
    cl_fixnum V7;
    V7 = ecl_length(V1);
    L3write_word(ecl_make_fixnum(V7), V6);
   }
   {
    cl_fixnum V7;
    V7 = ecl_length(V2);
    L3write_word(ecl_make_fixnum(V7), V6);
   }
   cl_write_sequence(2, V1, V6);
   value0 = cl_write_sequence(2, V2, V6);
   return value0;
  }
 }
}
/*	function definition for DUMP-TABLE                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L9dump_table(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V3;                                   /*  LENGTH          */
  {
   cl_fixnum V4;
   V4 = ecl_length(V1);
   V3 = ecl_times(ecl_make_fixnum(2),ecl_make_fixnum(V4));
  }
  {
   cl_object V4;                                  /*  VECTOR          */
   T0 = ecl_times(ecl_make_fixnum(2),V3);
   T1 = si_make_pure_array(ECL_SYM("BYTE32",1332), T0, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   V4 = si_fill_array_with_elt(T1, ecl_make_fixnum(0), ecl_make_fixnum(0), ECL_NIL);
   {
    cl_object V5;                                 /*  HASH-KEY        */
    cl_object V6;                                 /*  POS             */
    cl_object V7;
    V5 = ECL_NIL;
    V6 = ECL_NIL;
    V7 = V1;
    {
     cl_object V8;                                /*  INDEX           */
     V8 = ECL_NIL;
L7:;
     if (!(V7==ECL_NIL)) { goto L9; }
     goto L8;
L9:;
     {
      cl_object V9;
      V9 = ECL_CONS_CAR(V7);
      V5 = _ecl_car(V9);
      V9 = _ecl_cdr(V9);
      V6 = V9;
     }
     V7 = ECL_CONS_CDR(V7);
     T0 = ecl_ash(V5,-8);
     V8 = (ecl_floor2(T0,V3),cl_env_copy->values[1]);
     {
      cl_object V9;                               /*  DISP            */
      V9 = ecl_make_fixnum(0);
      {
       cl_object V10;                             /*  I               */
       V10 = ECL_NIL;
       {
        cl_object V11;                            /*  RECORD-POS      */
        V11 = ECL_NIL;
L26:;
        if (!(ecl_number_compare(V9,V3)>=0)) { goto L28; }
        goto L27;
L28:;
        T0 = ecl_plus(V9,V8);
        T1 = (ecl_floor2(T0,V3),cl_env_copy->values[1]);
        V10 = ecl_times(ecl_make_fixnum(2),T1);
        T0 = ecl_one_plus(V10);
        V11 = ecl_make_uint32_t((V4)->vector.self.b32[ecl_fixnum(T0)]);
        if (!(ecl_zerop(V11))) { goto L34; }
        goto L27;
L34:;
        V9 = ecl_one_plus(V9);
        goto L26;
L27:;
        (V4)->vector.self.b32[ecl_fixnum(V10)]= ecl_to_uint(V5);
        T0 = ecl_one_plus(V10);
        (V4)->vector.self.b32[ecl_fixnum(T0)]= ecl_to_uint(V6);
       }
      }
     }
     goto L7;
L8:;
     L4write_vector(V4, V2);
     value0 = V3;
     cl_env_copy->nvalues = 1;
     return value0;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	function definition for DUMP-CDB                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10dump_cdb(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  STREAM          */
   cl_object V3;                                  /*  INDEX           */
   V2 = ecl_function_dispatch(cl_env_copy,VV[39])(1, V1) /*  CDB-STREAM */;
   V3 = si_make_vector(ECL_SYM("BYTE32",1332), ecl_make_fixnum(512), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   {
    cl_object V4;                                 /*  LET1536         */
    cl_object V5;                                 /*  TABLE           */
    cl_object V6;
    cl_fixnum V7;
    cl_fixnum V8;
    V4 = ecl_function_dispatch(cl_env_copy,VV[40])(1, V1) /*  CDB-TABLES */;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_VECTORP(V4))) FEtype_error_vector(V4);
    V6 = V4;
    V7 = 0;
    V8 = 0;
    {
     cl_fixnum V9;                                /*  I               */
     V9 = 0;
     V8 = ecl_length(V6);
     if (!((V7)>=(V8))) { goto L15; }
     goto L12;
L15:;
     {
      cl_fixnum V10;
      if (ecl_unlikely((V7)>=(V6)->vector.dim))
           FEwrong_index(ECL_NIL,V6,-1,ecl_make_fixnum(V7),(V6)->vector.dim);
      V10 = V7;
      V5 = ecl_aref_unsafe(V6,V10);
     }
     {
      cl_object V10;
      V10 = ecl_make_integer((V7)+1);
      {
       bool V11;
       V11 = ECL_FIXNUMP(V10);
       if (ecl_unlikely(!(V11)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V10);
      }
      V7 = ecl_fixnum(V10);
     }
L11:;
     {
      cl_fixnum V10;
      if (ecl_unlikely((V9)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(V9),(V3)->vector.dim);
      V10 = V9;
      T0 = cl_file_position(1, V2);
      (V3)->vector.self.b32[V10]= ecl_to_uint(T0);
     }
     {
      cl_fixnum V10;
      {
       cl_object V11;
       V11 = ecl_make_integer((V9)+1);
       if (ecl_unlikely((ecl_fixnum(V11))>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(ecl_fixnum(V11)),(V3)->vector.dim);
       V10 = ecl_fixnum(V11);
      }
      T0 = L9dump_table(V5, V2);
      (V3)->vector.self.b32[V10]= ecl_to_uint(T0);
     }
     if (!((V7)>=(V8))) { goto L35; }
     goto L12;
L35:;
     {
      cl_fixnum V10;
      if (ecl_unlikely((V7)>=(V6)->vector.dim))
           FEwrong_index(ECL_NIL,V6,-1,ecl_make_fixnum(V7),(V6)->vector.dim);
      V10 = V7;
      V5 = ecl_aref_unsafe(V6,V10);
     }
     {
      cl_object V10;
      V10 = ecl_make_integer((V7)+1);
      {
       bool V11;
       V11 = ECL_FIXNUMP(V10);
       if (ecl_unlikely(!(V11)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V10);
      }
      V7 = ecl_fixnum(V10);
     }
     V9 = (V9)+(2);
     goto L11;
L12:;
    }
   }
   cl_file_position(2, V2, ecl_make_fixnum(0));
   value0 = L4write_vector(V3, V2);
   return value0;
  }
 }
}
/*	function definition for CLOSE-CDB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11close_cdb(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  STREAM          */
   V2 = ecl_function_dispatch(cl_env_copy,VV[39])(1, V1) /*  CDB-STREAM */;
   if (Null(cl_open_stream_p(V2))) { goto L2; }
   L10dump_cdb(V1);
   cl_close(1, V2);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[44])(1, V1) /*  CDB-PATHNAME */)) { goto L6; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  CDB-TEMPORARY-PATHNAME */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[44])(1, V1) /*  CDB-PATHNAME */;
   value0 = cl_rename_file(2, T0, T1);
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for CDB-ERROR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12cdb_error(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(2, _ecl_static_3, V1);
  return value0;
 }
}
/*	function definition for VALUES-COINCIDE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13values_coincide(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((cl_file_position(2, V3, V1))!=ECL_NIL) { goto L1; }
  L12cdb_error(V3);
L1:;
  {
   cl_object V5;                                  /*  KEY-LENGTH      */
   V5 = L2read_word(V3);
   {
    cl_fixnum V6;
    V6 = ecl_length(V2);
    if (!(ecl_number_equalp(V5,ecl_make_fixnum(V6)))) { goto L4; }
   }
   {
    cl_object V6;                                 /*  VALUE-LENGTH    */
    cl_object V7;                                 /*  OTHER-KEY       */
    V6 = L2read_word(V3);
    V7 = si_make_pure_array(ECL_SYM("BYTE8",1330), V5, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
    cl_read_sequence(2, V7, V3);
    if (!(ecl_equalp(V7,V2))) { goto L9; }
    if (Null(V4)) { goto L11; }
    value0 = cl_file_position(1, V3);
    return value0;
L11:;
    {
     cl_object V8;                                /*  VALUE           */
     V8 = si_make_pure_array(ECL_SYM("BYTE8",1330), V6, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
     cl_read_sequence(2, V8, V3);
     value0 = V8;
     cl_env_copy->nvalues = 1;
     return value0;
    }
L9:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-CDB                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14lookup_cdb(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(cl_streamp(V2))) { goto L2; }
  {
   cl_object V4;                                  /*  HASH            */
   cl_object V5;                                  /*  TABLE           */
   V4 = L5to_cdb_hash(V1);
   V5 = ecl_boole(ECL_BOOLAND,(ecl_make_fixnum(255)),(V4));
   T0 = ecl_times(V5,ecl_make_fixnum(8));
   if ((cl_file_position(2, V2, T0))!=ECL_NIL) { goto L6; }
   L12cdb_error(V2);
L6:;
   {
    cl_object V6;                                 /*  START           */
    cl_object V7;                                 /*  LENGTH          */
    cl_object V8;                                 /*  INDEX           */
    V6 = L2read_word(V2);
    V7 = L2read_word(V2);
    T0 = cl_ash(V4, ecl_make_fixnum(-8));
    V8 = (ecl_floor2(T0,V7),cl_env_copy->values[1]);
    {
     cl_object V9;                                /*  RESET           */
     V9 = ECL_NIL;
     {
      cl_object V10;                              /*  I               */
      cl_object V11;
      V10 = ecl_make_fixnum(0);
      T0 = cl_realp(V7);
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),V7);
      V11 = V7;
      {
       cl_object V12;                             /*  ROUNDED-I       */
       V12 = ECL_NIL;
       {
        cl_object V13;                            /*  POSITION        */
        V13 = ECL_NIL;
        V9 = ECL_T;
L17:;
        if (!(ecl_number_compare(V10,V11)>=0)) { goto L21; }
        goto L18;
L21:;
        T0 = ecl_plus(V8,V10);
        V12 = (ecl_floor2(T0,V7),cl_env_copy->values[1]);
        T0 = ecl_times(ecl_make_fixnum(8),V12);
        V13 = ecl_plus(V6,T0);
        if (Null(V9)) { goto L28; }
        if ((cl_file_position(2, V2, V13))!=ECL_NIL) { goto L30; }
        L12cdb_error(V2);
L30:;
        V9 = ECL_NIL;
L28:;
        {
         cl_object V14;                           /*  OTHER-HASH      */
         cl_object V15;                           /*  RECORD-POSITION */
         V14 = L2read_word(V2);
         V15 = L2read_word(V2);
         if (!(ecl_zerop(V15))) { goto L35; }
         value0 = ECL_NIL;
         cl_env_copy->nvalues = 1;
         return value0;
L35:;
         if (!(ecl_number_equalp(V14,V4))) { goto L27; }
         {
          cl_object V16;                          /*  OUTPUT          */
          V16 = L13values_coincide(V15, V1, V2, V3);
          if (Null(V16)) { goto L39; }
          value0 = V16;
          cl_env_copy->nvalues = 1;
          return value0;
L39:;
          V9 = ECL_T;
         }
        }
L27:;
        V9 = ECL_T;
        V10 = ecl_one_plus(V10);
        goto L17;
L18:;
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 1;
        return value0;
       }
      }
     }
    }
   }
  }
L2:;
  {
   volatile cl_object V14;                        /*  S               */
   V14 = cl_open(5, V2, ECL_SYM("DIRECTION",1218), ECL_SYM("INPUT",1254), ECL_SYM("ELEMENT-TYPE",1224), VV[8]);
   {
    volatile bool unwinding = FALSE;
    cl_index V15=ECL_STACK_INDEX(cl_env_copy),V16;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V17;
      V17 = _ecl_inner_frame;
      cl_env_copy->values[0] = L14lookup_cdb(3, V1, V14, V3);
      ecl_stack_frame_push_values(V17);
      if (Null(V14)) { goto L53; }
      cl_close(1, V14);
L53:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V17);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V16=ecl_stack_push_values(cl_env_copy);
    if (Null(V14)) { goto L55; }
    cl_close(3, V14, ECL_SYM("ABORT",1195), ECL_T);
L55:;
    ecl_stack_pop_values(cl_env_copy,V16);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V15);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for MAP-CDB                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15map_cdb(cl_object volatile V1, cl_object volatile V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_streamp(V2))) { goto L1; }
  {
   cl_object V3;                                  /*  INDEX           */
   V3 = si_make_vector(ECL_SYM("BYTE32",1332), ecl_make_fixnum(512), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   if ((cl_file_position(2, V2, ecl_make_fixnum(0)))!=ECL_NIL) { goto L4; }
   L12cdb_error(V2);
L4:;
   T0 = cl_read_sequence(2, V3, V2);
   {
    cl_fixnum V4;
    V4 = ecl_length(V3);
    if ((ecl_to_fixnum(T0))==(V4)) { goto L6; }
   }
   L12cdb_error(V2);
L6:;
   {
    cl_fixnum V4;                                 /*  LET1542         */
    cl_object V5;                                 /*  I               */
    V4 = ecl_length(V3);
    V5 = ecl_make_fixnum(0);
    {
     cl_object V6;                                /*  TABLE-POSITION  */
     V6 = ECL_NIL;
     {
      cl_object V7;                               /*  TABLE-LENGTH    */
      V7 = ECL_NIL;
L12:;
      if (!(ecl_number_compare(V5,ecl_make_fixnum(V4))>=0)) { goto L14; }
      goto L13;
L14:;
      {
       cl_fixnum V8;
       if (ecl_unlikely((ecl_fixnum(V5))>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(ecl_fixnum(V5)),(V3)->vector.dim);
       V8 = ecl_fixnum(V5);
       V6 = ecl_make_uint32_t((V3)->vector.self.b32[V8]);
      }
      {
       cl_fixnum V8;
       {
        cl_object V9;
        V9 = ecl_one_plus(V5);
        if (ecl_unlikely((ecl_fixnum(V9))>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(ecl_fixnum(V9)),(V3)->vector.dim);
        V8 = ecl_fixnum(V9);
       }
       V7 = ecl_make_uint32_t((V3)->vector.self.b32[V8]);
      }
      if ((cl_file_position(2, V2, V6))!=ECL_NIL) { goto L28; }
      L12cdb_error(V2);
L28:;
      {
       cl_object V8;                              /*  I               */
       cl_object V9;
       V8 = ecl_make_fixnum(0);
       T0 = cl_realp(V7);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),V7);
       V9 = V7;
       {
        cl_object V10;                            /*  POSITION        */
        T0 = cl_realp(V6);
        if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),V6);
        V10 = V6;
        {
         cl_object V11;                           /*  RECORD-HASH     */
         V11 = ECL_NIL;
         {
          cl_object V12;                          /*  RECORD-POSITION */
          V12 = ECL_NIL;
          if (!(ecl_number_compare(V8,V9)>=0)) { goto L39; }
          goto L38;
L39:;
L37:;
          V11 = L2read_word(V2);
          V12 = L2read_word(V2);
          if (ecl_zerop(V12)) { goto L45; }
          if ((cl_file_position(2, V2, V12))!=ECL_NIL) { goto L47; }
          L12cdb_error(V2);
L47:;
          {
          cl_object V13;                          /*  KEY-LENGTH      */
          cl_object V14;                          /*  VALUE-LENGTH    */
          cl_object V15;                          /*  KEY             */
          cl_object V16;                          /*  VALUE           */
          V13 = L2read_word(V2);
          V14 = L2read_word(V2);
          V15 = si_make_pure_array(ECL_SYM("BYTE8",1330), V13, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
          V16 = si_make_pure_array(ECL_SYM("BYTE8",1330), V14, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
          T0 = cl_read_sequence(2, V15, V2);
          if (!(ecl_number_equalp(T0,V13))) { goto L56; }
          T0 = cl_read_sequence(2, V16, V2);
          if (ecl_number_equalp(T0,V14)) { goto L53; }
          goto L54;
L56:;
          goto L54;
L54:;
          L12cdb_error(V2);
L53:;
          ecl_function_dispatch(cl_env_copy,V1)(2, V15, V16);
          }
L45:;
          V8 = ecl_one_plus(V8);
          if (!(ecl_number_compare(V8,V9)>=0)) { goto L60; }
          goto L38;
L60:;
          V10 = ecl_plus(V10,ecl_make_fixnum(8));
          goto L37;
L38:;
         }
        }
       }
      }
      V5 = ecl_plus(V5,ecl_make_fixnum(2));
      goto L12;
L13:;
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
L1:;
  {
   volatile cl_object V8;                         /*  S               */
   V8 = cl_open(5, V2, ECL_SYM("DIRECTION",1218), ECL_SYM("INPUT",1254), ECL_SYM("ELEMENT-TYPE",1224), VV[8]);
   {
    volatile bool unwinding = FALSE;
    cl_index V9=ECL_STACK_INDEX(cl_env_copy),V10;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V11;
      V11 = _ecl_inner_frame;
      cl_env_copy->values[0] = L15map_cdb(V1, V8);
      ecl_stack_frame_push_values(V11);
      if (Null(V8)) { goto L74; }
      cl_close(1, V8);
L74:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V11);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V10=ecl_stack_push_values(cl_env_copy);
    if (Null(V8)) { goto L76; }
    cl_close(3, V8, ECL_SYM("ABORT",1195), ECL_T);
L76:;
    ecl_stack_pop_values(cl_env_copy,V10);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V9);
    return cl_env_copy->values[0];
   }
  }
 }
}

#include "clos/ecl-cdb.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclJIYCozZ7_88HgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:ECL-CDB;ECL-CDB.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclJIYCozZ7_88HgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 ecl_function_dispatch(cl_env_copy,VV[25])(10, _ecl_static_0, ECL_NIL, ECL_NIL, VVtemp[0], ECL_NIL, ECL_NIL, VVtemp[1], ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
 si_select_package(_ecl_static_0);
 si_define_structure(15, VV[0], _ecl_static_1, ECL_NIL, ECL_NIL, VVtemp[2], VVtemp[3], VV[1], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[4], ecl_make_fixnum(5), ECL_NIL, ECL_NIL, VV[2]);
 VV[3]= cl_find_class(1, VV[0]);
 ecl_cmp_defun(VV[26]);                           /*  MAKE-CDB        */
 ecl_cmp_defun(VV[32]);                           /*  READ-WORD       */
 ecl_cmp_defun(VV[33]);                           /*  WRITE-WORD      */
 ecl_cmp_defun(VV[34]);                           /*  WRITE-VECTOR    */
 ecl_cmp_defun(VV[35]);                           /*  TO-CDB-HASH     */
 ecl_cmp_defun(VV[36]);                           /*  %MAKE-CDB       */
 ecl_cmp_defmacro(VV[37]);                        /*  WITH-OUTPUT-TO-CDB */
 ecl_cmp_defun(VV[38]);                           /*  ADD-RECORD      */
 ecl_cmp_defun(VV[41]);                           /*  DUMP-TABLE      */
 ecl_cmp_defun(VV[42]);                           /*  DUMP-CDB        */
 ecl_cmp_defun(VV[43]);                           /*  CLOSE-CDB       */
 ecl_cmp_defun(VV[46]);                           /*  CDB-ERROR       */
 ecl_cmp_defun(VV[47]);                           /*  VALUES-COINCIDE */
 ecl_cmp_defun(VV[48]);                           /*  LOOKUP-CDB      */
 ecl_cmp_defun(VV[49]);                           /*  MAP-CDB         */
 cl_provide(VV[24]);
}
