/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLOS;KERNEL.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "clos/kernel.eclh"
/*	function definition for SETF-FIND-CLASS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1setf_find_class(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  OLD-CLASS       */
   V5 = cl_find_class(2, V2, ECL_NIL);
   if (Null(V5)) { goto L5; }
   if ((si_of_class_p(2, V5, ECL_SYM("BUILT-IN-CLASS",929)))!=ECL_NIL) { goto L8; }
   if (!((V2)==(ECL_SYM("CLASS",933)))) { goto L13; }
   goto L10;
   goto L11;
L13:;
   goto L11;
L11:;
   if (!((V2)==(ECL_SYM("BUILT-IN-CLASS",929)))) { goto L5; }
   goto L6;
L10:;
   goto L6;
L8:;
L6:;
   if ((V1)==(V5)) { goto L3; }
   cl_error(2, _ecl_static_1, V2);
   goto L3;
L5:;
   if (Null(L3classp(V1))) { goto L17; }
   si_hash_set(V2, ecl_symbol_value(ECL_SYM("*CLASS-NAME-HASH-TABLE*",1016)), V1);
   goto L3;
L17:;
   if (!(V1==ECL_NIL)) { goto L19; }
   cl_remhash(V2, ecl_symbol_value(ECL_SYM("*CLASS-NAME-HASH-TABLE*",1016)));
   goto L3;
L19:;
   cl_error(2, _ecl_static_2, V1);
  }
L3:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function FIND-CLASS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2find_class(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = cl_listX(3, VV[3], V1, V2);
  return value0;
 }
}
/*	function definition for CLASSP                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3classp(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_INSTANCEP(V1))) { goto L2; }
  {
   cl_object V2;                                  /*  TOPMOST         */
   V2 = cl_find_class(2, ECL_SYM("CLASS",933), ECL_NIL);
   if (V2==ECL_NIL) { goto L6; }
   T0 = si_instance_class(V1);
   if (Null(si_subclassp(2, T0, V2))) { goto L2; }
   goto L4;
L6:;
  }
L4:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INSTALL-METHOD                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object clos_install_method(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<6)) FEwrong_num_arguments_anonym();
 {
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V6,narg,6);
  V7 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V8;                                  /*  GF              */
   cl_object V9;                                  /*  FUN             */
   cl_object V10;                                 /*  SPECIALIZERS    */
   cl_object V11;                                 /*  METHOD          */
   V8 = (cl_env_copy->function=(VV[7]->symbol.gfdef))->cfun.entry(1, V1) /*  ENSURE-GENERIC-FUNCTION */;
   if (Null(V6)) { goto L3; }
   V9 = L5wrapped_method_function(V5);
   goto L2;
L3:;
   V9 = V5;
L2:;
   {
    cl_object V12;
    cl_object V13;
    V12 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V13 = V3;
    {
     cl_object V14;
     cl_object V15;
     V14 = ecl_list1(ECL_NIL);
     V15 = V14;
L11:;
     if (!(ecl_endp(V13))) { goto L13; }
     goto L12;
L13:;
     V12 = _ecl_car(V13);
     {
      cl_object V16;
      V16 = _ecl_cdr(V13);
      if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
      V13 = V16;
     }
     if (ecl_unlikely(ECL_ATOM(V15))) FEtype_error_cons(V15);
     T0 = V15;
     if (!(ECL_CONSP(V12))) { goto L26; }
     T2 = ecl_cadr(V12);
     T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("INTERN-EQL-SPECIALIZER",1526))(1, T2) /*  INTERN-EQL-SPECIALIZER */;
     goto L25;
L26:;
     if (Null(si_of_class_p(2, V12, ECL_SYM("SPECIALIZER",1555)))) { goto L28; }
     T1 = V12;
     goto L25;
L28:;
     {
      cl_object V16;
      V16 = cl_find_class(2, V12, ECL_NIL);
      if (Null(V16)) { goto L31; }
      T1 = V16;
      goto L25;
L31:;
      T1 = cl_error(3, _ecl_static_3, V1, V3);
     }
L25:;
     V15 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V15,T0);
     goto L11;
L12:;
     V10 = ecl_cdr(V14);
     goto L5;
    }
   }
L5:;
   T0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("GENERIC-FUNCTION-METHOD-CLASS",1522))(1, V8) /*  GENERIC-FUNCTION-METHOD-CLASS */;
   V11 = (cl_env_copy->function=(ECL_SYM("MAKE-METHOD",953)->symbol.gfdef))->cfun.entry(6, T0, V2, V10, V4, V9, V7) /*  MAKE-METHOD */;
   (cl_env_copy->function=(ECL_SYM("ADD-METHOD",928)->symbol.gfdef))->cfun.entry(2, V8, V11) /*  ADD-METHOD */;
   value0 = V11;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for WRAPPED-METHOD-FUNCTION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5wrapped_method_function(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  METHOD-FUNCTION */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC4__g10,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G10                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4__g10(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  METHOD-FUNCTION */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
  ecl_bds_bind(cl_env_copy,ECL_SYM(".COMBINED-METHOD-ARGS.",1473),V1); /*  .COMBINED-METHOD-ARGS. */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*NEXT-METHODS*",1475),V2); /*  *NEXT-METHODS* */
TTL:
  value0 = cl_apply(2, ECL_CONS_CAR(CLV0), ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1473)));
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
 }
}
/*	function definition for ENSURE-GENERIC-FUNCTION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6ensure_generic_function(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L6ensure_generic_functionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    V2 = ECL_UNBOUND;
   } else {
    V2 = keyvars[0];
   }
   V3 = keyvars[1];
  }
  if (Null(cl_fboundp(V1))) { goto L2; }
  T0 = cl_fdefinition(V1);
  if (!(ECL_INSTANCEP(T0))) { goto L2; }
  value0 = cl_fdefinition(V1);
  return value0;
L2:;
  {
   cl_object V4;                                  /*  %CLASS          */
   cl_object V5;                                  /*  GFUN            */
   V4 = cl_find_class(1, ECL_SYM("STANDARD-GENERIC-FUNCTION",974));
   V5 = si_allocate_raw_instance(ECL_NIL, V4, ecl_make_fixnum(11));
   si_instance_set(V5, ecl_make_fixnum(0), V1);
   si_instance_set(V5, ecl_make_fixnum(1), ECL_NIL);
   T0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("FIND-METHOD-COMBINATION",1514))(3, ECL_NIL, ECL_SYM("STANDARD",972), ECL_NIL) /*  FIND-METHOD-COMBINATION */;
   si_instance_set(V5, ecl_make_fixnum(2), T0);
   si_instance_set(V5, ecl_make_fixnum(3), V2);
   if (Null(V3)) { goto L14; }
   T1 = si_process_lambda_list(V2, ECL_T);
   T0 = ecl_cdr(T1);
   goto L12;
L14:;
   T0 = ECL_NIL;
   goto L12;
L12:;
   si_instance_set(V5, ecl_make_fixnum(4), T0);
   T0 = cl_find_class(1, ECL_SYM("STANDARD-METHOD",975));
   si_instance_set(V5, ecl_make_fixnum(5), T0);
   si_instance_set(V5, ecl_make_fixnum(6), ECL_NIL);
   si_instance_set(V5, ecl_make_fixnum(7), ECL_NIL);
   si_instance_set(V5, ecl_make_fixnum(8), ECL_NIL);
   si_instance_set(V5, ecl_make_fixnum(9), ECL_NIL);
   si_instance_set(V5, ecl_make_fixnum(10), ECL_NIL);
   if (Null(V4)) { goto L22; }
   si_instance_sig_set(V5);
L22:;
   clos_set_funcallable_instance_function(V5, ECL_SYM("STANDARD-GENERIC-FUNCTION",974));
   si_fset(4, V1, V5, ECL_NIL, ECL_NIL);
   value0 = V5;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for (SETF GENERIC-FUNCTION-NAME)          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7_setf_generic_function_name_(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[0]))) { goto L1; }
  value0 = (cl_env_copy->function=(ECL_SYM("REINITIALIZE-INSTANCE",963)->symbol.gfdef))->cfun.entry(3, V2, ECL_SYM("NAME",1273), V1) /*  REINITIALIZE-INSTANCE */;
  return value0;
L1:;
  value0 = (cl_env_copy->function=ECL_CONS_CAR(VV[29]))->cfun.entry(3, V1, V2, ECL_SYM("NAME",1535)) /*  (SETF SLOT-VALUE) */;
  return value0;
 }
}
/*	function definition for DEFAULT-DISPATCH                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8default_dispatch(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_symbol_value(VV[0])==ECL_NIL)) { goto L1; }
  value0 = ECL_SYM("STANDARD-GENERIC-FUNCTION",974);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = cl_class_of(V1);
  T1 = ecl_function_dispatch(cl_env_copy,VV[31])(1, T0) /*  CLASS-ID  */;
  if (!((T1)==(ECL_SYM("STANDARD-GENERIC-FUNCTION",974)))) { goto L3; }
  value0 = ECL_SYM("STANDARD-GENERIC-FUNCTION",974);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COMPUTE-DISCRIMINATING-FUNCTION       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10compute_discriminating_function(cl_object V1)
{
 cl_object T0;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  GENERIC-FUNCTION */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC9__g40,env0,Cblock);
   T0 = V2;
  }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	closure G40                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9__g40(cl_narg narg, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  GENERIC-FUNCTION */
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V2;
   cl_object V3;
   V2 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
   V3 = V1;
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_list1(ECL_NIL);
    V5 = V4;
L8:;
    if (!(ecl_endp(V3))) { goto L10; }
    goto L9;
L10:;
    V2 = _ecl_car(V3);
    {
     cl_object V6;
     V6 = _ecl_cdr(V3);
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     V3 = V6;
    }
    if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
    T1 = V5;
    T2 = cl_class_of(V2);
    V5 = ecl_list1(T2);
    (ECL_CONS_CDR(T1)=V5,T1);
    goto L8;
L9:;
    T0 = ecl_cdr(V4);
    goto L2;
   }
  }
L2:;
  cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,ECL_SYM("COMPUTE-APPLICABLE-METHODS-USING-CLASSES",1495))(2, ECL_CONS_CAR(CLV0), T0) /*  COMPUTE-APPLICABLE-METHODS-USING-CLASSES */;
  {
   cl_object V3;                                  /*  METHOD-LIST     */
   cl_object V4;                                  /*  OK              */
   {
    int V5 = cl_env_copy->nvalues-0;
    if (V5--<=0) goto L24;
    V3 = cl_env_copy->values[0];
    if (V5--<=0) goto L25;
    V4 = cl_env_copy->values[1];
    goto L26;
   }
L24:;
   V3 = ECL_NIL;
L25:;
   V4 = ECL_NIL;
L26:;
   if ((V4)!=ECL_NIL) { goto L27; }
   V3 = (cl_env_copy->function=(ECL_SYM("COMPUTE-APPLICABLE-METHODS",936)->symbol.gfdef))->cfun.entry(2, ECL_CONS_CAR(CLV0), V1) /*  COMPUTE-APPLICABLE-METHODS */;
   if ((V3)!=ECL_NIL) { goto L27; }
   ecl_function_dispatch(cl_env_copy,VV[33])(2, ECL_CONS_CAR(CLV0), V1) /*  NO-APPLICABLE-METHODS */;
L27:;
   T1 = ecl_function_dispatch(cl_env_copy,ECL_SYM("GENERIC-FUNCTION-METHOD-COMBINATION",1523))(1, ECL_CONS_CAR(CLV0)) /*  GENERIC-FUNCTION-METHOD-COMBINATION */;
   T0 = clos_compute_effective_method_function(ECL_CONS_CAR(CLV0), T1, V3);
   value0 = ecl_function_dispatch(cl_env_copy,T0)(2, V1, ECL_NIL);
   return value0;
  }
 }
 }
}
/*	function definition for SET-GENERIC-FUNCTION-DISPATCH         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11set_generic_function_dispatch(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[10])(1, V1) /*  COMPUTE-DISCRIMINATING-FUNCTION */;
  {
   cl_object V3;                                  /*  DEFAULT-FUNCTION */
   cl_object V4;                                  /*  OPTIMIZABLE     */
   {
    int V5 = cl_env_copy->nvalues-0;
    if (V5--<=0) goto L2;
    V3 = cl_env_copy->values[0];
    if (V5--<=0) goto L3;
    V4 = cl_env_copy->values[1];
    goto L4;
   }
L2:;
   V3 = ECL_NIL;
L3:;
   V4 = ECL_NIL;
L4:;
   {
    cl_object V5;                                 /*  METHODS         */
    V5 = cl_slot_value(V1, VV[11]);
    if (Null(V4)) { goto L9; }
    T1 = cl_slot_value(V1, VV[12]);
    {
     cl_fixnum V6;
     V6 = ecl_length(T1);
     if (!((V6)>(63))) { goto L7; }
     goto L8;
    }
L9:;
L8:;
    T0 = V3;
    goto L6;
L7:;
    T1 = cl_class_of(V1);
    T2 = cl_slot_value(T1, ECL_SYM("NAME",1535));
    if ((T2)==(ECL_SYM("STANDARD-GENERIC-FUNCTION",974))) { goto L11; }
    if (Null(ecl_symbol_value(VV[0]))) { goto L11; }
    T0 = ECL_T;
    goto L6;
L11:;
    if (!(V5==ECL_NIL)) { goto L14; }
    T0 = ECL_SYM("STANDARD-GENERIC-FUNCTION",974);
    goto L6;
L14:;
    {
     cl_object V6;                                /*  CLASS           */
     V6 = cl_find_class(2, ECL_SYM("STANDARD-OPTIMIZED-READER-METHOD",1565), ECL_NIL);
     {
      cl_object V7;                               /*  M               */
      cl_object V8;
      V7 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
      V8 = V5;
L22:;
      if (!(ecl_endp(V8))) { goto L24; }
      goto L23;
L24:;
      V7 = _ecl_car(V8);
      {
       cl_object V9;
       V9 = _ecl_cdr(V8);
       if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
       V8 = V9;
      }
      T1 = cl_class_of(V7);
      if ((V6)==(T1)) { goto L32; }
      goto L16;
L32:;
      goto L22;
L23:;
      goto L17;
     }
    }
L17:;
    T0 = ECL_SYM("STANDARD-OPTIMIZED-READER-METHOD",1565);
    goto L6;
L16:;
    {
     cl_object V6;                                /*  CLASS           */
     V6 = cl_find_class(2, ECL_SYM("STANDARD-OPTIMIZED-WRITER-METHOD",1566), ECL_NIL);
     {
      cl_object V7;                               /*  M               */
      cl_object V8;
      V7 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
      V8 = V5;
L42:;
      if (!(ecl_endp(V8))) { goto L44; }
      goto L43;
L44:;
      V7 = _ecl_car(V8);
      {
       cl_object V9;
       V9 = _ecl_cdr(V8);
       if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
       V8 = V9;
      }
      T1 = cl_class_of(V7);
      if ((V6)==(T1)) { goto L52; }
      goto L36;
L52:;
      goto L42;
L43:;
      goto L37;
     }
    }
L37:;
    T0 = ECL_SYM("STANDARD-OPTIMIZED-WRITER-METHOD",1566);
    goto L6;
L36:;
    T0 = ECL_SYM("STANDARD-GENERIC-FUNCTION",974);
L6:;
    value0 = clos_set_funcallable_instance_function(V1, T0);
    return value0;
   }
  }
 }
}
/*	function definition for STD-COMPUTE-APPLICABLE-METHODS        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object clos_std_compute_applicable_methods(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L13applicable_method_list(V1, V2);
  value0 = L16sort_applicable_methods(V1, T0, V2);
  return value0;
 }
}
/*	function definition for APPLICABLE-METHOD-LIST                */
/*	optimize speed 3, debug 1, space 1, safety 2                  */
static cl_object L13applicable_method_list(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET818          */
   cl_object V4;                                  /*  METHOD          */
   cl_object V5;
   V3 = ecl_instance_ref((V1),(7));
   V4 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
   V5 = V3;
   {
    cl_object V6;
    cl_object V7;
    V6 = ecl_list1(ECL_NIL);
    V7 = V6;
L7:;
    if (!(ecl_endp(V5))) { goto L9; }
    goto L8;
L9:;
    V4 = _ecl_car(V5);
    {
     cl_object V8;
     V8 = _ecl_cdr(V5);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V5 = V8;
    }
    if (Null(LC12applicable_method_p(V4, V2))) { goto L17; }
    if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
    T0 = V7;
    V7 = ecl_list1(V4);
    (ECL_CONS_CDR(T0)=V7,T0);
L17:;
    goto L7;
L8:;
    value0 = ecl_cdr(V6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function APPLICABLE-METHOD-P                            */
/*	optimize speed 3, debug 1, space 1, safety 2                  */
static cl_object LC12applicable_method_p(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET814          */
   cl_object V4;                                  /*  SPEC            */
   cl_object V5;
   V3 = ecl_instance_ref((V1),(2));
   V4 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
   V5 = V3;
   {
    cl_object V6;                                 /*  ARG             */
    cl_object V7;
    V6 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
    V7 = V2;
L8:;
    if (!(ecl_endp(V5))) { goto L10; }
    goto L9;
L10:;
    V4 = _ecl_car(V5);
    {
     cl_object V8;
     V8 = _ecl_cdr(V5);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V5 = V8;
    }
    if (!(ecl_endp(V7))) { goto L18; }
    goto L9;
L18:;
    V6 = _ecl_car(V7);
    {
     cl_object V8;
     V8 = _ecl_cdr(V7);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V7 = V8;
    }
    if (Null(ecl_instance_ref((V4),(0)))) { goto L28; }
    T0 = ecl_instance_ref((V4),(3));
    if (ecl_eql(V6,T0)) { goto L26; }
    goto L27;
L28:;
    if ((si_of_class_p(2, V6, V4))!=ECL_NIL) { goto L26; }
L27:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L26:;
    goto L8;
L9:;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for STD-COMPUTE-APPLICABLE-METHODS-USING-CLASSES */
/*	optimize speed 3, debug 1, space 1, safety 2                  */
static cl_object L15std_compute_applicable_methods_using_classes(cl_object volatile V1, cl_object volatile V2)
{
 cl_object T0, T1;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   lex0[0] = ECL_NEW_FRAME_ID(cl_env_copy);       /*  STD-COMPUTE-APPLICABLE-METHODS-USING-CLASSES */
   if (ecl_frs_push(cl_env_copy,lex0[0])!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    cl_object V3;                                 /*  LET824          */
    cl_object V4;                                 /*  METHOD          */
    cl_object V5;
    V3 = ecl_instance_ref((V1),(7));
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (Null(LC14applicable_method_p(lex0, V4, V2))) { goto L18; }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     V7 = ecl_list1(V4);
     (ECL_CONS_CDR(T1)=V7,T1);
L18:;
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L1;
    }
   }
L1:;
   T1 = L16sort_applicable_methods(V1, T0, V2);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_T;
   cl_env_copy->values[0] = T1;
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;}
  }
 }
}
/*	local function APPLICABLE-METHOD-P                            */
/*	optimize speed 3, debug 1, space 1, safety 2                  */
static cl_object LC14applicable_method_p(volatile cl_object *lex0, cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET820          */
   cl_object V4;                                  /*  SPEC            */
   cl_object V5;
   V3 = ecl_instance_ref((V1),(2));
   V4 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
   V5 = V3;
   {
    cl_object V6;                                 /*  CLASS           */
    cl_object V7;
    V6 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
    V7 = V2;
L8:;
    if (!(ecl_endp(V5))) { goto L10; }
    goto L9;
L10:;
    V4 = _ecl_car(V5);
    {
     cl_object V8;
     V8 = _ecl_cdr(V5);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V5 = V8;
    }
    if (!(ecl_endp(V7))) { goto L18; }
    goto L9;
L18:;
    V6 = _ecl_car(V7);
    {
     cl_object V8;
     V8 = _ecl_cdr(V7);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V7 = V8;
    }
    if (Null(ecl_instance_ref((V4),(0)))) { goto L28; }
    T0 = ecl_instance_ref((V4),(3));
    if (Null(si_of_class_p(2, T0, V6))) { goto L30; }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_NIL;
    cl_return_from(lex0[0],ECL_NIL);
L30:;
    goto L27;
L28:;
    {
     cl_object V8;
     V8 = si_subclassp(2, V6, V4);
     if (Null(V8)) { goto L34; }
     if ((V8)!=ECL_NIL) { goto L26; }
     goto L27;
L34:;
    }
L27:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L26:;
    goto L8;
L9:;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SORT-APPLICABLE-METHODS               */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L16sort_applicable_methods(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V4;                                   /*  LET825          */
  cl_object V5;                                   /*  LET826          */
  cl_object V6;                                   /*  ARGS-SPECIALIZERS */
  V4 = ecl_instance_ref((V1),(8));
  {
   cl_object V7;
   cl_object V8;
   V7 = ECL_NIL;
   V8 = V3;
   {
    cl_object V9;
    cl_object V10;
    V9 = ecl_list1(ECL_NIL);
    V10 = V9;
L7:;
    if (!(V8==ECL_NIL)) { goto L9; }
    goto L8;
L9:;
    V7 = ECL_CONS_CAR(V8);
    V8 = ECL_CONS_CDR(V8);
    T0 = V10;
    T1 = cl_class_of(V7);
    V10 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=V10,T0);
    goto L7;
L8:;
    V5 = _ecl_cdr(V9);
    goto L2;
   }
  }
L2:;
  V6 = V5;
  if (Null(V4)) { goto L20; }
  T0 = ecl_instance_ref((V1),(4));
  {
   cl_fixnum V7;
   V7 = ecl_length(T0);
   T1 = cl_subseq(3, V6, ecl_make_fixnum(0), ecl_make_fixnum(V7));
   V6 = ecl_function_dispatch(cl_env_copy,V4)(1, T1);
  }
L20:;
  {
   cl_object V7;                                  /*  SCAN            */
   cl_object V8;                                  /*  MOST-SPECIFIC   */
   cl_object V9;                                  /*  ORDERED-LIST    */
   V7 = V2;
   V8 = _ecl_car(V7);
   V9 = ECL_NIL;
   goto L28;
L27:;
   {
    cl_object V10;
    V10 = _ecl_cdr(V7);
    goto L34;
L33:;
    {
     cl_object V11;                               /*  METH            */
     V11 = _ecl_car(V10);
     T0 = L17compare_methods(V8, V11, V6, V4);
     if (!((T0)==(ecl_make_fixnum(2)))) { goto L38; }
     V8 = V11;
L38:;
    }
    V10 = _ecl_cdr(V10);
L34:;
    if (Null(V10)) { goto L43; }
    goto L33;
L43:;
   }
   V7 = cl_delete(2, V8, V7);
   V9 = CONS(V8,V9);
   V8 = _ecl_car(V7);
L28:;
   T0 = _ecl_cdr(V7);
   if (T0==ECL_NIL) { goto L51; }
   goto L27;
L51:;
   if (Null(V8)) { goto L53; }
   V9 = CONS(V8,V9);
   value0 = cl_nreverse(V9);
   return value0;
L53:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for COMPARE-METHODS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17compare_methods(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V5;                                  /*  SPECIALIZERS-LIST-1 */
   cl_object V6;                                  /*  SPECIALIZERS-LIST-2 */
   V5 = ecl_instance_ref((V1),(2));
   V6 = ecl_instance_ref((V2),(2));
   if (Null(V4)) { goto L4; }
   T0 = ecl_function_dispatch(cl_env_copy,V4)(1, V5);
   goto L3;
L4:;
   T0 = V5;
L3:;
   if (Null(V4)) { goto L7; }
   T1 = ecl_function_dispatch(cl_env_copy,V4)(1, V6);
   goto L6;
L7:;
   T1 = V6;
L6:;
   value0 = L18compare_specializers_lists(T0, T1, V3);
   return value0;
  }
 }
}
/*	function definition for COMPARE-SPECIALIZERS-LISTS            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18compare_specializers_lists(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V1)!=ECL_NIL) { goto L3; }
  if (Null(V2)) { goto L1; }
  goto L2;
L3:;
L2:;
  {
   cl_object V4;
   T0 = ecl_car(V1);
   T1 = ecl_car(V2);
   T2 = ecl_car(V3);
   V4 = L20compare_specializers(T0, T1, T2);
   if (!((V4)==(ecl_make_fixnum(1)))) { goto L6; }
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   if (!((V4)==(ecl_make_fixnum(2)))) { goto L8; }
   value0 = ecl_make_fixnum(2);
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   if (!((V4)==(ECL_SYM("=",74)))) { goto L10; }
   V1 = ecl_cdr(V1);
   V2 = ecl_cdr(V2);
   V3 = ecl_cdr(V3);
   goto TTL;
L10:;
   if (!((V4)==(ECL_NIL))) { goto L16; }
   value0 = ecl_car(V1);
   if ((value0)!=ECL_NIL) { goto L21; }
   T0 = ECL_T;
   goto L19;
L21:;
   T0 = value0;
   goto L19;
L19:;
   value0 = ecl_car(V2);
   if ((value0)!=ECL_NIL) { goto L25; }
   T1 = ECL_T;
   goto L23;
L25:;
   T1 = value0;
   goto L23;
L23:;
   T2 = ecl_car(V3);
   value0 = cl_error(4, _ecl_static_4, T0, T1, T2);
   return value0;
L16:;
   value0 = si_ecase_error(V4, VV[17]);
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FAST-SUBTYPEP                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19fast_subtypep(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_instance_ref((V1),(0)))) { goto L1; }
  if (Null(ecl_instance_ref((V2),(0)))) { goto L3; }
  T0 = ecl_instance_ref((V1),(3));
  T1 = ecl_instance_ref((V2),(3));
  value0 = ecl_make_bool(ecl_eql(T0,T1));
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  T0 = ecl_instance_ref((V1),(3));
  value0 = si_of_class_p(2, T0, V2);
  return value0;
L1:;
  if (Null(ecl_instance_ref((V2),(0)))) { goto L5; }
  T0 = ecl_instance_ref((V2),(3));
  if (!(T0==ECL_NIL)) { goto L8; }
  T0 = (cl_env_copy->function=(ECL_SYM("CLASS-NAME",934)->symbol.gfdef))->cfun.entry(1, V1) /*  CLASS-NAME */;
  value0 = ecl_make_bool((T0)==(ECL_SYM("NULL",605)));
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = si_subclassp(2, V1, V2);
  return value0;
 }
}
/*	function definition for COMPARE-SPECIALIZERS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20compare_specializers(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  CPL             */
   V4 = ecl_instance_ref((V3),(7));
   if (!((V1)==(V2))) { goto L2; }
   value0 = ECL_SYM("=",74);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   if (Null(L19fast_subtypep(V1, V2))) { goto L4; }
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   if (Null(L19fast_subtypep(V2, V1))) { goto L6; }
   value0 = ecl_make_fixnum(2);
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   if (Null(ecl_instance_ref((V1),(0)))) { goto L8; }
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   if (Null(ecl_instance_ref((V2),(0)))) { goto L10; }
   value0 = ecl_make_fixnum(2);
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   T0 = ecl_memql(V2,V4);
   if (Null(ecl_memql(V1,T0))) { goto L12; }
   value0 = ecl_make_fixnum(2);
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   T0 = ecl_memql(V1,V4);
   if (Null(ecl_memql(V2,T0))) { goto L15; }
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for COMPUTE-G-F-SPEC-LIST                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22compute_g_f_spec_list(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  SPEC-HOW-LIST   */
   cl_object V3;                                  /*  FUNCTION        */
   cl_object V4;                                  /*  A-P-O           */
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   V4 = ecl_instance_ref((V1),(4));
   {
    cl_object V5;
    V5 = ecl_instance_ref((V1),(7));
    goto L8;
L7:;
    {
     cl_object V6;                                /*  METHOD          */
     V6 = ecl_car(V5);
     T0 = ecl_instance_ref((V6),(2));
     V2 = LC21nupdate_spec_how_list(V2, T0, V1);
    }
    V5 = ecl_cdr(V5);
L8:;
    if (Null(V5)) { goto L16; }
    goto L7;
L16:;
   }
   {
    cl_object V5;
    {
     cl_object V6;                                /*  TYPE            */
     cl_object V7;
     V6 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
     V7 = V2;
     {
      cl_object V8;                               /*  I               */
      V8 = ecl_make_fixnum(0);
      {
       cl_object V9;
       cl_object V10;
       V9 = ecl_list1(ECL_NIL);
       V10 = V9;
       if (!(ecl_endp(V7))) { goto L28; }
       goto L27;
L28:;
       V6 = _ecl_car(V7);
       {
        cl_object V11;
        V11 = _ecl_cdr(V7);
        if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
        V7 = V11;
       }
L26:;
       if (Null(V6)) { goto L36; }
       if (ecl_unlikely(ECL_ATOM(V10))) FEtype_error_cons(V10);
       T0 = V10;
       T1 = CONS(V6,V8);
       V10 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=V10,T0);
L36:;
       if (!(ecl_endp(V7))) { goto L41; }
       goto L27;
L41:;
       V6 = _ecl_car(V7);
       {
        cl_object V11;
        V11 = _ecl_cdr(V7);
        if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
        V7 = V11;
       }
       V8 = ecl_one_plus(V8);
       goto L26;
L27:;
       V5 = ecl_cdr(V9);
       goto L19;
      }
     }
    }
L19:;
    si_instance_set(V1, ecl_make_fixnum(1), V5);
   }
   {
    cl_object V5;                                 /*  G-F-L-L         */
    V5 = ecl_instance_ref((V1),(3));
    if (!(ECL_CONSP(V5))) { goto L53; }
    {
     cl_object V6;                                /*  REQUIRED-ARGUMENTS */
     T0 = si_process_lambda_list(V5, ECL_T);
     V6 = ecl_cdr(T0);
     if (ecl_equal(V4,V6)) { goto L53; }
     T0 = CONS(ECL_SYM("LIST",481),V4);
     T1 = cl_list(4, ECL_SYM("DESTRUCTURING-BIND",300), V6, VV[19], T0);
     T2 = cl_list(3, ECL_SYM("LAMBDA",452), VV[18], T1);
     V3 = si_coerce_to_function(T2);
    }
   }
L53:;
   si_instance_set(V1, ecl_make_fixnum(8), V3);
   value0 = si_clear_gfun_hash(V1);
   return value0;
  }
 }
}
/*	local function NUPDATE-SPEC-HOW-LIST                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21nupdate_spec_how_list(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = V1;
  if ((value0)!=ECL_NIL) { goto L4; }
  V1 = cl_copy_list(V2);
  goto L2;
L4:;
  V1 = value0;
  goto L2;
L2:;
  {
   cl_object V4;                                  /*  L               */
   cl_object V5;                                  /*  L2              */
   cl_object V6;                                  /*  SPEC-HOW        */
   cl_object V7;                                  /*  SPEC-HOW-OLD    */
   V4 = V2;
   V5 = V1;
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   goto L13;
L12:;
   V6 = ecl_car(V4);
   V7 = ecl_car(V5);
   {
    cl_object V8;
    if (Null(ecl_instance_ref((V6),(0)))) { goto L21; }
    T0 = ecl_instance_ref((V6),(3));
    if (!(ECL_CONSP(V7))) { goto L25; }
    T1 = V7;
    goto L23;
L25:;
    T1 = ECL_NIL;
    goto L23;
L23:;
    V8 = CONS(T0,T1);
    goto L20;
L21:;
    if (!(ECL_CONSP(V7))) { goto L27; }
    V8 = V7;
    goto L20;
L27:;
    V8 = V6;
L20:;
    if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
    T0 = V5;
    (ECL_CONS_CAR(T0)=V8,T0);
   }
   V4 = ecl_cdr(V4);
   V5 = ecl_cdr(V5);
L13:;
   if (V4==ECL_NIL) { goto L36; }
   goto L12;
L36:;
  }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for PRINT-OBJECT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23print_object(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_print_unreadable_object_function(V1, V2, ECL_NIL, ECL_NIL, ECL_NIL);
  return value0;
 }
}

#include "clos/kernel.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclSIOXHKa7_Ex5gNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLOS;KERNEL.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclSIOXHKa7_Ex5gNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 si_Xmake_special(VV[0]);
 cl_set(VV[0],ECL_NIL);
 ecl_cmp_defun(VV[22]);                           /*  SETF-FIND-CLASS */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC2find_class,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("FIND-CLASS",943), T0);
 }
 ecl_cmp_defun(VV[23]);                           /*  CLASSP          */
 ecl_cmp_defun(VV[24]);                           /*  INSTALL-METHOD  */
 ecl_cmp_defun(VV[25]);                           /*  WRAPPED-METHOD-FUNCTION */
 ecl_cmp_defun(VV[26]);                           /*  ENSURE-GENERIC-FUNCTION */
 ecl_cmp_defun(VV[28]);                           /*  (SETF GENERIC-FUNCTION-NAME) */
 ecl_cmp_defun(VV[30]);                           /*  DEFAULT-DISPATCH */
 ecl_cmp_defun(VV[32]);                           /*  COMPUTE-DISCRIMINATING-FUNCTION */
 ecl_cmp_defun(VV[34]);                           /*  SET-GENERIC-FUNCTION-DISPATCH */
 (void)0; /* No entry created for STD-COMPUTE-APPLICABLE-METHODS */
 {
  cl_object T0;
 T0 = (ECL_SYM("STD-COMPUTE-APPLICABLE-METHODS",1567)->symbol.gfdef);
 si_fset(4, ECL_SYM("COMPUTE-APPLICABLE-METHODS",936), T0, ECL_NIL, ECL_NIL);
 }
 (void)0; /* No entry created for APPLICABLE-METHOD-LIST */
 ecl_cmp_defun(VV[35]);                           /*  STD-COMPUTE-APPLICABLE-METHODS-USING-CLASSES */
 ecl_cmp_defun(VV[36]);                           /*  SORT-APPLICABLE-METHODS */
 (void)0; /* No entry created for COMPARE-METHODS */
 (void)0; /* No entry created for COMPARE-SPECIALIZERS-LISTS */
 (void)0; /* No entry created for FAST-SUBTYPEP */
 (void)0; /* No entry created for COMPARE-SPECIALIZERS */
 ecl_cmp_defun(VV[37]);                           /*  COMPUTE-G-F-SPEC-LIST */
 ecl_cmp_defun(VV[38]);                           /*  PRINT-OBJECT    */
}
