/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLOS;STD-ACCESSORS.LSP                            */
#include <ecl/ecl-cmp.h>
#include "clos/std-accessors.eclh"
/*	function definition for SAFE-SLOT-DEFINITION-LOCATION         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1safe_slot_definition_location(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ECL_LISTP(V1))) { goto L2; }
  value0 = cl_error(1, _ecl_static_1);
  return value0;
L2:;
  value0 = cl_slot_value(V1, ECL_SYM("LOCATION",1762));
  return value0;
 }
}
/*	function definition for STD-CLASS-OPTIMIZED-ACCESSORS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4std_class_optimized_accessors(cl_object V1)
{
 cl_object T0, T1;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  SLOT-NAME       */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC2__g54,env0,Cblock);
   T0 = V2;
  }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC3__g109,env0,Cblock);
   T1 = V2;
  }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = T1;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	closure G54                                                   */
/*	optimize speed 3, debug 0, space 1, safety 0                  */
static cl_object LC2__g54(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  SLOT-NAME       */
 { /* ... closure scanning finished */
TTL:
 {
  cl_object V2;                                   /*  S               */
  V2 = (V1)->instance.sig;
  if (!((V2)!=ECL_UNBOUND)) { goto L1; }
  T0 = ECL_CLASS_OF(V1);
  T1 = (T0)->instance.slots[6];
  if ((V2)==(T1)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,ECL_SYM("UPDATE-INSTANCE",1572))(1, V1) /*  UPDATE-INSTANCE */;
 }
L1:;
 {
  cl_object V2;                                   /*  CLASS           */
  cl_object V3;                                   /*  TABLE           */
  cl_object V4;                                   /*  INDEX           */
  cl_object V5;                                   /*  VALUE           */
  V2 = ECL_CLASS_OF(V1);
  V3 = (V2)->instance.slots[19];
  V4 = ecl_gethash_safe(ECL_CONS_CAR(CLV0),V3,ECL_NIL);
  if (!(ECL_FIXNUMP(V4))) { goto L9; }
  V5 = (V1)->instance.slots[ecl_fixnum(V4)];
  goto L8;
L9:;
  V5 = ECL_CONS_CAR(V4);
L8:;
  if (!((V5)!=ECL_UNBOUND)) { goto L11; }
  value0 = V5;
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  T0 = ECL_CLASS_OF(V1);
  value0 = (cl_env_copy->function=(ECL_SYM("SLOT-UNBOUND",970)->symbol.gfdef))->cfun.entry(3, T0, V1, ECL_CONS_CAR(CLV0)) /*  SLOT-UNBOUND */;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	closure G109                                                  */
/*	optimize speed 3, debug 0, space 1, safety 0                  */
static cl_object LC3__g109(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  SLOT-NAME       */
 { /* ... closure scanning finished */
TTL:
 {
  cl_object V3;                                   /*  S               */
  V3 = (V2)->instance.sig;
  if (!((V3)!=ECL_UNBOUND)) { goto L1; }
  T0 = ECL_CLASS_OF(V2);
  T1 = (T0)->instance.slots[6];
  if ((V3)==(T1)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,ECL_SYM("UPDATE-INSTANCE",1572))(1, V2) /*  UPDATE-INSTANCE */;
 }
L1:;
 {
  cl_object V3;                                   /*  CLASS           */
  cl_object V4;                                   /*  TABLE           */
  cl_object V5;                                   /*  INDEX           */
  V3 = ECL_CLASS_OF(V2);
  V4 = (V3)->instance.slots[19];
  V5 = ecl_gethash_safe(ECL_CONS_CAR(CLV0),V4,ECL_NIL);
  if (!(ECL_FIXNUMP(V5))) { goto L8; }
  value0 = (V2)->instance.slots[ecl_fixnum(V5)]=(V1);
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  value0 = (ECL_CONS_CAR(V5)=V1,V5);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	function definition for STD-CLASS-SEALED-ACCESSORS            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7std_class_sealed_accessors(cl_object V1)
{
 cl_object T0, T1;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  INDEX           */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC5__g164,env0,Cblock);
   T0 = V2;
  }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC6__g219,env0,Cblock);
   T1 = V2;
  }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = T1;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	closure G164                                                  */
/*	optimize speed 3, debug 0, space 1, safety 0                  */
static cl_object LC5__g164(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  INDEX           */
 { /* ... closure scanning finished */
TTL:
 {
  cl_object V2;                                   /*  S               */
  V2 = (V1)->instance.sig;
  if (!((V2)!=ECL_UNBOUND)) { goto L1; }
  T0 = ECL_CLASS_OF(V1);
  T1 = (T0)->instance.slots[6];
  if ((V2)==(T1)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,ECL_SYM("UPDATE-INSTANCE",1572))(1, V1) /*  UPDATE-INSTANCE */;
 }
L1:;
 value0 = clos_safe_instance_ref(V1, ECL_CONS_CAR(CLV0));
 return value0;
 }
}
/*	closure G219                                                  */
/*	optimize speed 3, debug 0, space 1, safety 0                  */
static cl_object LC6__g219(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  INDEX           */
 { /* ... closure scanning finished */
TTL:
 {
  cl_object V3;                                   /*  S               */
  V3 = (V2)->instance.sig;
  if (!((V3)!=ECL_UNBOUND)) { goto L1; }
  T0 = ECL_CLASS_OF(V2);
  T1 = (T0)->instance.slots[6];
  if ((V3)==(T1)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,ECL_SYM("UPDATE-INSTANCE",1572))(1, V2) /*  UPDATE-INSTANCE */;
 }
L1:;
 value0 = (V2)->instance.slots[ecl_fixnum(ECL_CONS_CAR(CLV0))]=(V1);
 cl_env_copy->nvalues = 1;
 return value0;
 }
}
/*	function definition for STD-CLASS-ACCESSORS                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10std_class_accessors(cl_object V1)
{
 cl_object T0, T1;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  SLOT-NAME       */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC8__g274,env0,Cblock);
   T0 = V2;
  }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC9__g275,env0,Cblock);
   T1 = V2;
  }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = T1;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	closure G274                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g274(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  SLOT-NAME       */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_slot_value(V1, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*	closure G275                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9__g275(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  SLOT-NAME       */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = (cl_env_copy->function=ECL_CONS_CAR(VV[25]))->cfun.entry(3, V1, V2, ECL_CONS_CAR(CLV0)) /*  (SETF SLOT-VALUE) */;
  return value0;
 }
 }
}
/*	function definition for SAFE-ADD-METHOD                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11safe_add_method(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_symbol_value(VV[1]))!=ECL_NIL) { goto L3; }
  if (Null(cl_fboundp(V1))) { goto L3; }
  T0 = cl_fdefinition(V1);
  if (!(ECL_INSTANCEP(T0))) { goto L1; }
  goto L2;
L3:;
L2:;
  T0 = (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(1, V1) /*  ENSURE-GENERIC-FUNCTION */;
  value0 = (cl_env_copy->function=(ECL_SYM("ADD-METHOD",928)->symbol.gfdef))->cfun.entry(2, T0, V2) /*  ADD-METHOD */;
  return value0;
L1:;
  {
   cl_object V3;                                  /*  GF              */
   V3 = (cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(1, VV[2]) /*  ENSURE-GENERIC-FUNCTION */;
   (cl_env_copy->function=(ECL_SYM("ADD-METHOD",928)->symbol.gfdef))->cfun.entry(2, V3, V2) /*  ADD-METHOD */;
   (cl_env_copy->function=ECL_CONS_CAR(VV[27]))->cfun.entry(2, V1, V3) /*  (SETF GENERIC-FUNCTION-NAME) */;
   si_fset(4, V1, V3, ECL_NIL, ECL_NIL);
   value0 = cl_fmakunbound(VV[2]);
   return value0;
  }
 }
}
/*	function definition for STD-CLASS-GENERATE-ACCESSORS          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12std_class_generate_accessors(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_T;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;
   V3 = cl_slot_value(V1, VV[4]);
   goto L5;
L4:;
   {
    cl_object V4;                                 /*  SLOTD           */
    V4 = ecl_car(V3);
    {
     cl_object V5;
     V5 = cl_slot_value(V1, ECL_SYM("NAME",1535));
     if (!((V5)==(ECL_SYM("STANDARD-CLASS",973)))) { goto L15; }
     goto L10;
     goto L13;
L15:;
     goto L13;
L13:;
     if (!((V5)==(ECL_SYM("FUNCALLABLE-STANDARD-CLASS",1516)))) { goto L19; }
     goto L10;
     goto L17;
L19:;
     goto L17;
L17:;
     if (!((V5)==(ECL_SYM("STRUCTURE-CLASS",977)))) { goto L22; }
     goto L10;
     goto L11;
L22:;
     goto L11;
    }
L11:;
    V2 = ECL_NIL;
L10:;
    if (Null(V2)) { goto L26; }
    T0 = cl_slot_value(V4, VV[8]);
    if (!((T0)==(ECL_SYM("INSTANCE",1256)))) { goto L26; }
    T0 = cl_slot_value(V4, ECL_SYM("LOCATION",1762));
    if (!(ECL_FIXNUMP(T0))) { goto L26; }
    T0 = cl_slot_value(V4, ECL_SYM("LOCATION",1762));
    cl_env_copy->values[0] = L7std_class_sealed_accessors(T0);
    goto L25;
L26:;
    if (Null(V2)) { goto L30; }
    T0 = cl_slot_value(V4, ECL_SYM("NAME",1535));
    cl_env_copy->values[0] = L4std_class_optimized_accessors(T0);
    goto L25;
L30:;
    T0 = cl_slot_value(V4, ECL_SYM("NAME",1535));
    cl_env_copy->values[0] = L10std_class_accessors(T0);
L25:;
    {
     cl_object V6;                                /*  READER          */
     cl_object V7;                                /*  WRITER          */
     {
      int V8 = cl_env_copy->nvalues-0;
      if (V8--<=0) goto L32;
      V6 = cl_env_copy->values[0];
      if (V8--<=0) goto L33;
      V7 = cl_env_copy->values[1];
      goto L34;
     }
L32:;
     V6 = ECL_NIL;
L33:;
     V7 = ECL_NIL;
L34:;
     {
      cl_object V8;                               /*  OPTIONS         */
      cl_object V9;                               /*  READER-ARGS     */
      cl_object V10;                              /*  READER-CLASS    */
      cl_object V11;                              /*  WRITER-ARGS     */
      cl_object V12;                              /*  WRITER-CLASS    */
      V8 = cl_list(2, VV[9], V4);
      T0 = ecl_list1(V1);
      V9 = cl_listX(11, ECL_SYM("FUNCTION",1241), V6, VV[10], ECL_NIL, VV[11], ECL_NIL, ECL_SYM("LAMBDA-LIST",998), VV[12], VV[13], T0, V8);
      if (!(ecl_boundp(cl_env_copy,VV[14]))) { goto L38; }
      V10 = ECL_SYM("STANDARD-READER-METHOD",1562);
      goto L37;
L38:;
      T0 = (ECL_SYM("READER-METHOD-CLASS",1536)->symbol.gfdef);
      V10 = cl_apply(4, T0, V1, V4, V9);
L37:;
      T0 = cl_find_class(1, ECL_T);
      T1 = cl_list(2, T0, V1);
      V11 = cl_listX(11, ECL_SYM("FUNCTION",1241), V7, VV[10], ECL_NIL, VV[11], ECL_NIL, ECL_SYM("LAMBDA-LIST",998), VV[15], VV[13], T1, V8);
      if (!(ecl_boundp(cl_env_copy,VV[14]))) { goto L43; }
      V12 = ECL_SYM("STANDARD-WRITER-METHOD",1564);
      goto L42;
L43:;
      T0 = (ECL_SYM("WRITER-METHOD-CLASS",1574)->symbol.gfdef);
      V12 = cl_apply(4, T0, V1, V4, V11);
L42:;
      {
       cl_object V13;
       V13 = cl_slot_value(V4, VV[16]);
       goto L50;
L49:;
       {
        cl_object V14;                            /*  FNAME           */
        V14 = ecl_car(V13);
        {
         cl_object V15;                           /*  METHOD          */
         T0 = ecl_list1(V1);
         T1 = ecl_function_dispatch(cl_env_copy,VV[29])(1, V6) /*  WRAPPED-METHOD-FUNCTION */;
         V15 = (cl_env_copy->function=(ECL_SYM("MAKE-METHOD",953)->symbol.gfdef))->cfun.entry(6, V10, ECL_NIL, T0, VV[17], T1, V8) /*  MAKE-METHOD */;
         L11safe_add_method(V14, V15);
         if ((ecl_symbol_value(VV[1]))!=ECL_NIL) { goto L54; }
         (cl_env_copy->function=ECL_CONS_CAR(VV[25]))->cfun.entry(3, V4, V15, ECL_SYM("SLOT-DEFINITION",1542)) /*  (SETF SLOT-VALUE) */;
        }
L54:;
       }
       V13 = ecl_cdr(V13);
L50:;
       if (Null(V13)) { goto L60; }
       goto L49;
L60:;
      }
      {
       cl_object V13;
       V13 = cl_slot_value(V4, VV[18]);
       goto L65;
L64:;
       {
        cl_object V14;                            /*  FNAME           */
        V14 = ecl_car(V13);
        {
         cl_object V15;                           /*  METHOD          */
         T0 = cl_find_class(1, ECL_T);
         T1 = cl_list(2, T0, V1);
         T2 = ecl_function_dispatch(cl_env_copy,VV[29])(1, V7) /*  WRAPPED-METHOD-FUNCTION */;
         V15 = (cl_env_copy->function=(ECL_SYM("MAKE-METHOD",953)->symbol.gfdef))->cfun.entry(6, V12, ECL_NIL, T1, VV[19], T2, V8) /*  MAKE-METHOD */;
         L11safe_add_method(V14, V15);
         if ((ecl_symbol_value(VV[1]))!=ECL_NIL) { goto L69; }
         (cl_env_copy->function=ECL_CONS_CAR(VV[25]))->cfun.entry(3, V4, V15, ECL_SYM("SLOT-DEFINITION",1542)) /*  (SETF SLOT-VALUE) */;
        }
L69:;
       }
       V13 = ecl_cdr(V13);
L65:;
       if (Null(V13)) { goto L75; }
       goto L64;
L75:;
      }
     }
    }
   }
   V3 = ecl_cdr(V3);
L5:;
   if (Null(V3)) { goto L79; }
   goto L4;
L79:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for READER-CLOSURE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14reader_closure(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  INDEX           */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC13__g301,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G301                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g301(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  INDEX           */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = si_instance_ref(V1, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*	function definition for WRITER-CLOSURE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16writer_closure(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  INDEX           */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC15__g302,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G302                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g302(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  INDEX           */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = si_instance_set(V2, ECL_CONS_CAR(CLV0), V1);
  return value0;
 }
 }
}
/*	local function GENERATE-ACCESSORS                             */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object LC17generate_accessors(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (Null(si_of_class_p(2, V1, VV[21]))) { goto L2; }
 L12std_class_generate_accessors(2, V1, ECL_T);
 goto L1;
L2:;
 {
  cl_object V2;                                   /*  LET860          */
  cl_object V3;                                   /*  SLOTD           */
  cl_object V4;
  V2 = cl_slot_value(V1, VV[22]);
  V3 = ECL_NIL;
  V4 = V2;
  {
   cl_object V5;                                  /*  INDEX           */
   V5 = ECL_NIL;
L8:;
   if (!(V4==ECL_NIL)) { goto L10; }
   goto L9;
L10:;
   V3 = ECL_CONS_CAR(V4);
   V4 = ECL_CONS_CDR(V4);
   V5 = cl_slot_value(V3, ECL_SYM("LOCATION",1762));
   {
    cl_object V6;                                 /*  LET862          */
    cl_object V7;                                 /*  READER          */
    cl_object V8;
    V6 = cl_slot_value(V3, VV[16]);
    V7 = ECL_NIL;
    V8 = V6;
L22:;
    if (!(V8==ECL_NIL)) { goto L24; }
    goto L23;
L24:;
    V7 = ECL_CONS_CAR(V8);
    V8 = ECL_CONS_CDR(V8);
    T0 = L14reader_closure(V5);
    si_fset(4, V7, T0, ECL_NIL, ECL_NIL);
    goto L22;
L23:;
   }
   {
    cl_object V6;                                 /*  LET864          */
    cl_object V7;                                 /*  WRITER          */
    cl_object V8;
    V6 = cl_slot_value(V3, VV[18]);
    V7 = ECL_NIL;
    V8 = V6;
L36:;
    if (!(V8==ECL_NIL)) { goto L38; }
    goto L37;
L38:;
    V7 = ECL_CONS_CAR(V8);
    V8 = ECL_CONS_CDR(V8);
    T0 = L16writer_closure(V5);
    si_fset(4, V7, T0, ECL_NIL, ECL_NIL);
    goto L36;
L37:;
   }
   goto L8;
L9:;
  }
 }
L1:;
 {
  cl_object V2;
  V2 = cl_slot_value(V1, VV[23]);
  {
   cl_object V3;
   cl_object V4;
   V3 = ECL_NIL;
   V4 = V2;
L50:;
   if (!(V4==ECL_NIL)) { goto L52; }
   goto L51;
L52:;
   V3 = ECL_CONS_CAR(V4);
   V4 = ECL_CONS_CDR(V4);
   LC17generate_accessors(V3);
   goto L50;
L51:;
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "clos/std-accessors.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl2BQHDvZ7_Vx6gNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLOS;STD-ACCESSORS.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecl2BQHDvZ7_Vx6gNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[24]);                           /*  SAFE-SLOT-DEFINITION-LOCATION */
 (void)0; /* No entry created for STD-CLASS-OPTIMIZED-ACCESSORS */
 (void)0; /* No entry created for STD-CLASS-SEALED-ACCESSORS */
 (void)0; /* No entry created for STD-CLASS-ACCESSORS */
 ecl_cmp_defun(VV[26]);                           /*  SAFE-ADD-METHOD */
 ecl_cmp_defun(VV[28]);                           /*  STD-CLASS-GENERATE-ACCESSORS */
 (void)0; /* No entry created for READER-CLOSURE */
 (void)0; /* No entry created for WRITER-CLOSURE */
 LC17generate_accessors(ecl_symbol_value(ECL_SYM("+THE-T-CLASS+",1477)));
}
