/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLX;DEPDEFS.LISP                                  */
#include <ecl/ecl-cmp.h>
#include "clx/depdefs.eclh"
/*	local function WITH-VECTOR                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1with_vector(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  VAR             */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V8;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V8;
   }
   if (Null(V5)) { goto L21; }
   si_dm_too_many_arguments(V1);
L21:;
   T0 = cl_list(2, V6, V6);
   T1 = ecl_list1(T0);
   T2 = cl_list(3, ECL_SYM("TYPE",869), V7, V6);
   T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
   value0 = cl_listX(4, ECL_SYM("LET",477), T1, T3, V3);
   return value0;
  }
 }
}
/*	local function WITHIN-DEFINITION                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2within_definition(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  NAME            */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V8;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V8;
   }
   if (Null(V5)) { goto L21; }
   si_dm_too_many_arguments(V1);
L21:;
   value0 = CONS(ECL_SYM("PROGN",671),V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function RESOURCE-ID-MAP-TEST                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3resource_id_map_test(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[3];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function ATOM-CACHE-MAP-TEST                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4atom_cache_map_test(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[5];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function KEYSYM->CHARACTER-MAP-TEST                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5keysym__character_map_test(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[3];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function BUFFER-BYTES                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6buffer_bytes()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[10];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function ARRAY-INDEX                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7array_index()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), ecl_make_fixnum(536870911));
  return value0;
 }
}
/*	function definition for MAKE-INDEX-TYPED                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_index_typed(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_constantp(1, V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = cl_list(3, ECL_SYM("THE",856), VV[11], V1);
  return value0;
 }
}
/*	function definition for MAKE-INDEX-OP                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9make_index_op(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V3;
   V3 = ecl_length(V2);
   if (!((V3)==(0))) { goto L3; }
   T0 = ecl_list1(V1);
   goto L1;
L3:;
   if (!((V3)==(1))) { goto L5; }
   T1 = ecl_car(V2);
   T2 = L8make_index_typed(T1);
   T0 = cl_list(2, V1, T2);
   goto L1;
L5:;
   if (!((V3)==(2))) { goto L7; }
   T1 = ecl_car(V2);
   T2 = L8make_index_typed(T1);
   T3 = ecl_cadr(V2);
   T4 = L8make_index_typed(T3);
   T0 = cl_list(3, V1, T2, T4);
   goto L1;
L7:;
   {
    cl_fixnum V4;
    V4 = ecl_length(V2);
    T1 = ecl_make_integer((V4)-1);
    T2 = cl_subseq(3, V2, ecl_make_fixnum(0), T1);
    T3 = L9make_index_op(V1, T2);
    T4 = ecl_last(V2,1);
    T5 = ecl_car(T4);
    T6 = L8make_index_typed(T5);
    T0 = cl_list(3, V1, T3, T6);
   }
  }
L1:;
  T1 = cl_list(2, ECL_SYM("VALUES",895), T0);
  value0 = cl_list(3, ECL_SYM("THE",856), VV[11], T1);
  return value0;
 }
}
/*	local function INDEX+                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10index_(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("+",14), V3);
   return value0;
  }
 }
}
/*	local function INDEX-LOGAND                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11index_logand(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("LOGAND",492), V3);
   return value0;
  }
 }
}
/*	local function INDEX-LOGIOR                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12index_logior(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("LOGIOR",500), V3);
   return value0;
  }
 }
}
/*	local function INDEX-                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13index_(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("-",17), V3);
   return value0;
  }
 }
}
/*	local function INDEX*                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14index_(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("*",18), V3);
   return value0;
  }
 }
}
/*	local function INDEX1+                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15index1_(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = ecl_list1(V4);
   value0 = L9make_index_op(ECL_SYM("1+",70), T0);
   return value0;
  }
 }
}
/*	local function INDEX1-                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16index1_(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = ecl_list1(V4);
   value0 = L9make_index_op(ECL_SYM("1-",71), T0);
   return value0;
  }
 }
}
/*	local function INDEX-INCF                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17index_incf(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  PLACE           */
   cl_object V5;                                  /*  DELTA           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = ecl_make_fixnum(1);
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("INCF",433), T0);
   return value0;
  }
 }
}
/*	local function INDEX-DECF                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18index_decf(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  PLACE           */
   cl_object V5;                                  /*  DELTA           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = ecl_make_fixnum(1);
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("DECF",271), T0);
   return value0;
  }
 }
}
/*	local function INDEX-MIN                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19index_min(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("MIN",557), V3);
   return value0;
  }
 }
}
/*	local function INDEX-MAX                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20index_max(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L9make_index_op(ECL_SYM("MAX",551), V3);
   return value0;
  }
 }
}
/*	local function INDEX-FLOOR                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21index_floor(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   cl_object V5;                                  /*  DIVISOR         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("FLOOR",384), T0);
   return value0;
  }
 }
}
/*	local function INDEX-CEILING                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22index_ceiling(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   cl_object V5;                                  /*  DIVISOR         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("CEILING",199), T0);
   return value0;
  }
 }
}
/*	local function INDEX-TRUNCATE                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23index_truncate(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   cl_object V5;                                  /*  DIVISOR         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("TRUNCATE",865), T0);
   return value0;
  }
 }
}
/*	local function INDEX-MOD                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24index_mod(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   cl_object V5;                                  /*  DIVISOR         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("MOD",560), T0);
   return value0;
  }
 }
}
/*	local function INDEX-ASH                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25index_ash(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   cl_object V5;                                  /*  COUNT           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = L9make_index_op(ECL_SYM("ASH",110), T0);
   return value0;
  }
 }
}
/*	local function INDEX-PLUSP                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26index_plusp(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[11], V4);
   value0 = cl_list(2, ECL_SYM("PLUSP",642), T0);
   return value0;
  }
 }
}
/*	local function INDEX-ZEROP                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27index_zerop(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[11], V4);
   value0 = cl_list(2, ECL_SYM("ZEROP",926), T0);
   return value0;
  }
 }
}
/*	local function INDEX-EVENP                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28index_evenp(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[11], V4);
   value0 = cl_list(2, ECL_SYM("EVENP",341), T0);
   return value0;
  }
 }
}
/*	local function INDEX-ODDP                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29index_oddp(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NUMBER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(3, ECL_SYM("THE",856), VV[11], V4);
   value0 = cl_list(2, ECL_SYM("ODDP",610), T0);
   return value0;
  }
 }
}
/*	local function INDEX>                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30index_(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     T2 = L8make_index_typed(V4);
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   value0 = CONS(ECL_SYM(">",75),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function INDEX=                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31index_(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     T2 = L8make_index_typed(V4);
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   value0 = CONS(ECL_SYM("=",74),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function INDEX<                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32index_(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     T2 = L8make_index_typed(V4);
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   value0 = CONS(ECL_SYM("<",72),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function INDEX>=                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33index__(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     T2 = L8make_index_typed(V4);
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   value0 = CONS(ECL_SYM(">=",76),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function INDEX<=                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34index__(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     T2 = L8make_index_typed(V4);
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   value0 = CONS(ECL_SYM("<=",73),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MAKE-REPLY-BUFFER-INTERNAL            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35make_reply_buffer_internal(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L35make_reply_buffer_internalkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    V1 = ecl_make_fixnum(0);
   } else {
    V1 = keyvars[0];
   }
   if (Null(keyvars[5])) {
    V2 = ecl_symbol_value(VV[40]);
   } else {
    V2 = keyvars[1];
   }
   V3 = keyvars[2];
   if (Null(keyvars[7])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[3];
   }
  }
  {
   cl_fixnum V5;
   V5 = 0;
   if (!(ECL_FIXNUMP(V4))) { goto L8; }
   V5 = ecl_fixnum(V4);
   if (!((V5)<=(536870911))) { goto L13; }
   if ((V5)>=(0)) { goto L4; }
   goto L5;
L13:;
   goto L5;
L8:;
   goto L5;
  }
L5:;
  si_structure_type_error(4, V4, VV[11], VV[41], VV[43]);
L4:;
  if (V3==ECL_NIL) { goto L15; }
  if ((si_of_class_p(2, V3, VV[41]))!=ECL_NIL) { goto L15; }
  si_structure_type_error(4, V3, VV[44], VV[41], VV[45]);
L15:;
  if ((cl_typep(2, V2, VV[9]))!=ECL_NIL) { goto L18; }
  si_structure_type_error(4, V2, VV[9], VV[41], VV[46]);
L18:;
  {
   cl_fixnum V5;
   V5 = 0;
   if (!(ECL_FIXNUMP(V1))) { goto L24; }
   V5 = ecl_fixnum(V1);
   if (!((V5)<=(536870911))) { goto L29; }
   if ((V5)>=(0)) { goto L20; }
   goto L21;
L29:;
   goto L21;
L24:;
   goto L21;
  }
L21:;
  si_structure_type_error(4, V1, VV[11], VV[41], VV[47]);
L20:;
  value0 = si_make_structure(5, VV[48], V1, V2, V3, V4);
  return value0;
 }
}
/*	local function BUFFER-TEXT16                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36buffer_text16()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_list1(ecl_make_fixnum(256));
  value0 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), VV[52], T0);
  return value0;
 }
}
/*	function definition for XINTERN                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37xintern(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("CONCATENATE",244)->symbol.gfdef);
  {
   cl_object V2;
   cl_object V3;
   V2 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
   V3 = V1;
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_list1(ECL_NIL);
    V5 = V4;
L8:;
    if (!(ecl_endp(V3))) { goto L10; }
    goto L9;
L10:;
    V2 = _ecl_car(V3);
    {
     cl_object V6;
     V6 = _ecl_cdr(V3);
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     V3 = V6;
    }
    if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
    T2 = V5;
    T3 = cl_string(V2);
    V5 = ecl_list1(T3);
    (ECL_CONS_CDR(T2)=V5,T2);
    goto L8;
L9:;
    T1 = ecl_cdr(V4);
    goto L2;
   }
  }
L2:;
  T2 = cl_apply(3, T0, ECL_SYM("STRING",805), T1);
  value0 = cl_intern(2, T2, ecl_symbol_value(VV[53]));
  return value0;
 }
}
/*	function definition for KINTERN                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38kintern(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_string(V1);
  value0 = cl_intern(2, T0, ecl_symbol_value(VV[56]));
  return value0;
 }
}
/*	local function DEF-CLX-CLASS                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43def_clx_class(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22;
 volatile cl_object lex0[1];
 cl_object env0;
 cl_object CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  SLOTS           */
   cl_object env1 = env0;
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    T0 = V7;
   }
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  NAME            */
   V6 = V3;
   if (!(ECL_LISTP(ecl_symbol_value(VV[59])))) { goto L18; }
   if (Null(ecl_memql(ECL_CONS_CAR(CLV0),ecl_symbol_value(VV[59])))) { goto L16; }
   goto L17;
L18:;
L17:;
   {
    cl_object V7;                                 /*  LET2730         */
    cl_object V8;                                 /*  INCLUDE         */
    cl_object V9;                                 /*  PRINT-FUNCTION  */
    cl_object V10;                                /*  COPIER          */
    cl_object V11;                                /*  PREDICATE       */
    cl_object env2 = env1;
    V7 = cl_find_package(VV[60]);
    lex0[0] = V7;                                 /*  CLOS-PACKAGE    */
    CLV1 = env2 = CONS(ECL_T,env2);               /*  CONSTRUCTOR     */
    CLV2 = env2 = CONS(ECL_T,env2);               /*  CONSTRUCTOR-ARGS */
    V8 = ECL_NIL;
    V9 = ECL_NIL;
    V10 = ECL_T;
    V11 = ECL_T;
    {
     cl_object V12;
     V12 = V5;
     goto L29;
L28:;
     {
      cl_object V13;                              /*  OPTION          */
      V13 = ecl_car(V12);
      {
       cl_object V14;
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L38; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L38:;
        V14 = V15;
       }
       if (!(ecl_eql(V14,ECL_SYM("CONSTRUCTOR",1210)))) { goto L44; }
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L51; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L51:;
        ECL_CONS_CAR(CLV1) = V15;
       }
       if (!(V13==ECL_NIL)) { goto L58; }
       ECL_CONS_CAR(CLV2) = ECL_T;
       goto L57;
L58:;
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L63; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L63:;
        ECL_CONS_CAR(CLV2) = V15;
       }
L57:;
       goto L33;
L44:;
       if (!(ecl_eql(V14,ECL_SYM("INCLUDE",1249)))) { goto L69; }
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L75; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L75:;
        V8 = V15;
       }
       goto L33;
L69:;
       if (!(ecl_eql(V14,ECL_SYM("PRINT-FUNCTION",1291)))) { goto L81; }
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L87; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L87:;
        V9 = V15;
       }
       goto L33;
L81:;
       if (!(ecl_eql(V14,ECL_SYM("COPIER",1212)))) { goto L93; }
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L99; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L99:;
        V10 = V15;
       }
       goto L33;
L93:;
       if (!(ecl_eql(V14,ECL_SYM("PREDICATE",1287)))) { goto L105; }
       {
        cl_object V15;
        V15 = V13;
        if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
        if (Null(V15)) { goto L111; }
        {
         cl_object V16;
         V16 = ECL_CONS_CDR(V15);
         V13 = V16;
         V15 = ECL_CONS_CAR(V15);
        }
L111:;
        V11 = V15;
       }
       goto L33;
L105:;
       si_ecase_error(V14, VV[61]);
      }
L33:;
     }
     V12 = ecl_cdr(V12);
L29:;
     if (Null(V12)) { goto L119; }
     goto L28;
L119:;
    }
    if (!((ECL_CONS_CAR(CLV1))==(ECL_T))) { goto L121; }
    ECL_CONS_CAR(CLV1) = LC39cintern(2, VV[62], ECL_CONS_CAR(CLV0));
L121:;
    if (!((V10)==(ECL_T))) { goto L124; }
    V10 = LC39cintern(2, VV[63], ECL_CONS_CAR(CLV0));
L124:;
    if (!((V11)==(ECL_T))) { goto L127; }
    V11 = LC39cintern(2, ECL_CONS_CAR(CLV0), VV[64]);
L127:;
    if (Null(V8)) { goto L130; }
    T0 = ecl_get(V8,VV[65],ECL_NIL);
    V6 = ecl_append(T0,V6);
L130:;
    {
     cl_fixnum V12;                               /*  N-SLOTS         */
     cl_object V13;                               /*  SLOT-NAMES      */
     cl_object V14;                               /*  SLOT-INITFORMS  */
     cl_object V15;                               /*  SLOT-TYPES      */
     V12 = ecl_length(V6);
     V13 = cl_make_list(1, ecl_make_fixnum(V12));
     V14 = cl_make_list(1, ecl_make_fixnum(V12));
     V15 = cl_make_list(1, ecl_make_fixnum(V12));
     {
      cl_object V16;                              /*  I               */
      V16 = ecl_make_fixnum(0);
      goto L140;
L139:;
      {
       cl_object V17;                             /*  SLOT            */
       V17 = ecl_elt(V6,ecl_fixnum(V16));
       {
        cl_object V18;
        V18 = V17;
        if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
        if (Null(V18)) { goto L149; }
        {
         cl_object V19;
         V19 = ECL_CONS_CDR(V18);
         V17 = V19;
         V18 = ECL_CONS_CAR(V18);
        }
L149:;
        T0 = V18;
       }
       ecl_elt_set(V13,ecl_to_size(V16),T0);
       {
        cl_object V18;
        V18 = V17;
        if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
        if (Null(V18)) { goto L160; }
        {
         cl_object V19;
         V19 = ECL_CONS_CDR(V18);
         V17 = V19;
         V18 = ECL_CONS_CAR(V18);
        }
L160:;
        T0 = V18;
       }
       ecl_elt_set(V14,ecl_to_size(V16),T0);
       T0 = cl_getf(3, V17, ECL_SYM("TYPE",1318), ECL_T);
       ecl_elt_set(V15,ecl_to_size(V16),T0);
      }
      V16 = ecl_one_plus(V16);
L140:;
      if (!(ecl_number_compare(V16,ecl_make_fixnum(V12))<0)) { goto L168; }
      goto L139;
L168:;
     }
     T0 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     T1 = cl_list(3, ECL_SYM("GET",402), T0, VV[67]);
     T2 = cl_list(2, ECL_SYM("QUOTE",679), V6);
     T3 = cl_list(3, ECL_SYM("SETF",750), T1, T2);
     T4 = cl_list(3, ECL_SYM("EVAL-WHEN",340), VV[66], T3);
     T5 = cl_list(2, ECL_CONS_CAR(CLV0), VV[65]);
     T6 = LC41closintern(lex0, ECL_SYM("DEFCLASS",937));
     if (Null(V8)) { goto L173; }
     T7 = ecl_list1(V8);
     goto L171;
L173:;
     T7 = ECL_NIL;
     goto L171;
L171:;
     {cl_object V16;
      V16 = ECL_NIL;
      V16 = ecl_make_cclosure_va((cl_objectfn)LC42__g539,env2,Cblock);
      T8 = V16;
     }
     T9 = cl_map(5, ECL_SYM("LIST",481), T8, V13, V14, V15);
     T10 = cl_list(4, T6, ECL_CONS_CAR(CLV0), T7, T9);
     if (Null(ECL_CONS_CAR(CLV1))) { goto L177; }
     if (!((ECL_CONS_CAR(CLV2))==(ECL_T))) { goto L179; }
     T12 = LC41closintern(lex0, ECL_SYM("MAKE-INSTANCE",949));
     T13 = cl_list(2, ECL_SYM("FUNCTION",396), T12);
     T14 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     T15 = cl_list(4, ECL_SYM("APPLY",89), T13, T14, VV[69]);
     T11 = cl_list(4, ECL_SYM("DEFUN",289), ECL_CONS_CAR(CLV1), VV[68], T15);
     goto L176;
L179:;
     T12 = LC41closintern(lex0, ECL_SYM("MAKE-INSTANCE",949));
     T13 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     {
      cl_object V16;
      cl_object V17;
      V16 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(ECL_CONS_CAR(CLV2)))) FEtype_error_list(ECL_CONS_CAR(CLV2));
      V17 = ECL_CONS_CAR(CLV2);
      {
       cl_object V18;
       cl_object V19;
       V18 = ecl_list1(ECL_NIL);
       V19 = V18;
L189:;
       if (!(ecl_endp(V17))) { goto L191; }
       goto L190;
L191:;
       V16 = _ecl_car(V17);
       {
        cl_object V20;
        V20 = _ecl_cdr(V17);
        if (ecl_unlikely(!ECL_LISTP(V20))) FEtype_error_list(V20);
        V17 = V20;
       }
       {
        cl_object V20;
        if (Null(ecl_memql(V16,V13))) { goto L203; }
        T15 = LC40kintern(V16);
        V20 = cl_list(2, T15, V16);
        goto L201;
L203:;
        V20 = ECL_NIL;
        goto L201;
L201:;
        if (ecl_unlikely(ECL_ATOM(V19))) FEtype_error_cons(V19);
        T15 = V19;
        (ECL_CONS_CDR(T15)=V20,T15);
        if (Null(V20)) { goto L199; }
       }
       T15 = ecl_cdr(V19);
       V19 = ecl_last(T15,1);
L199:;
       goto L189;
L190:;
       T14 = ecl_cdr(V18);
       goto L183;
      }
     }
L183:;
     T15 = cl_listX(3, T12, T13, T14);
     T11 = cl_list(4, ECL_SYM("DEFUN",289), ECL_CONS_CAR(CLV1), ECL_CONS_CAR(CLV2), T15);
     goto L176;
L177:;
     T11 = ECL_NIL;
L176:;
     if (Null(V11)) { goto L213; }
     T13 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     T14 = cl_list(3, ECL_SYM("TYPEP",875), VV[71], T13);
     T12 = cl_list(4, ECL_SYM("DEFUN",289), V11, VV[70], T14);
     goto L212;
L213:;
     T12 = ECL_NIL;
L212:;
     if (Null(V10)) { goto L216; }
     T14 = LC41closintern(lex0, ECL_SYM("DEFMETHOD",940));
     T15 = cl_list(2, VV[72], ECL_CONS_CAR(CLV0));
     T16 = ecl_list1(T15);
     T17 = LC41closintern(lex0, ECL_SYM("WITH-SLOTS",982));
     T18 = LC41closintern(lex0, ECL_SYM("MAKE-INSTANCE",949));
     T19 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV0));
     {
      cl_object V16;
      cl_object V17;
      V16 = ECL_NIL;
      V17 = V13;
      {
       cl_object V18;
       cl_object V19;
       V18 = ecl_list1(ECL_NIL);
       V19 = V18;
L226:;
       if (!(ecl_endp(V17))) { goto L228; }
       goto L227;
L228:;
       V16 = _ecl_car(V17);
       {
        cl_object V20;
        V20 = _ecl_cdr(V17);
        if (ecl_unlikely(!ECL_LISTP(V20))) FEtype_error_list(V20);
        V17 = V20;
       }
       {
        cl_object V20;
        T21 = LC40kintern(V16);
        V20 = cl_list(2, T21, V16);
        if (ecl_unlikely(ECL_ATOM(V19))) FEtype_error_cons(V19);
        T21 = V19;
        (ECL_CONS_CDR(T21)=V20,T21);
        if (Null(V20)) { goto L236; }
       }
       T21 = ecl_cdr(V19);
       V19 = ecl_last(T21,1);
L236:;
       goto L226;
L227:;
       T20 = ecl_cdr(V18);
       goto L221;
      }
     }
L221:;
     T21 = cl_listX(3, T18, T19, T20);
     T22 = cl_list(4, T17, V13, VV[72], T21);
     T13 = cl_list(4, T14, V10, T16, T22);
     goto L215;
L216:;
     T13 = ECL_NIL;
L215:;
     if (Null(V9)) { goto L247; }
     T15 = LC41closintern(lex0, ECL_SYM("DEFMETHOD",940));
     T16 = LC41closintern(lex0, ECL_SYM("PRINT-OBJECT",961));
     T17 = cl_list(2, VV[71], ECL_CONS_CAR(CLV0));
     T18 = cl_list(2, T17, ECL_SYM("STREAM",799));
     T19 = CONS(V9,VV[73]);
     T14 = cl_list(4, T15, T16, T18, T19);
     goto L246;
L247:;
     T14 = ECL_NIL;
L246:;
     T15 = cl_list(7, VV[1], T5, T10, T11, T12, T13, T14);
     value0 = cl_list(3, ECL_SYM("PROGN",671), T4, T15);
     return value0;
    }
   }
L16:;
   T0 = cl_list(2, ECL_CONS_CAR(CLV0), VV[65]);
   T1 = CONS(ECL_CONS_CAR(CLV0),V5);
   T2 = cl_listX(3, ECL_SYM("DEFSTRUCT",287), T1, V6);
   value0 = cl_list(3, VV[1], T0, T2);
   return value0;
  }
 }
}
/*	local function CLOSINTERN                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41closintern(volatile cl_object *lex0, cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_name(V1);
  value0 = cl_intern(2, T0, lex0[0]);
  return value0;
 }
}
/*	local function KINTERN                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40kintern(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_name(V1);
  T1 = cl_find_package(VV[57]);
  value0 = cl_intern(2, T0, T1);
  return value0;
 }
}
/*	local function CINTERN                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39cintern(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("CONCATENATE",244)->symbol.gfdef);
  {
   cl_object V2;
   cl_object V3;
   V2 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
   V3 = V1;
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_list1(ECL_NIL);
    V5 = V4;
L8:;
    if (!(ecl_endp(V3))) { goto L10; }
    goto L9;
L10:;
    V2 = _ecl_car(V3);
    {
     cl_object V6;
     V6 = _ecl_cdr(V3);
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     V3 = V6;
    }
    if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
    T2 = V5;
    T3 = ecl_symbol_name(V2);
    V5 = ecl_list1(T3);
    (ECL_CONS_CDR(T2)=V5,T2);
    goto L8;
L9:;
    T1 = ecl_cdr(V4);
    goto L2;
   }
  }
L2:;
  T2 = cl_apply(3, T0, ECL_SYM("SIMPLE-STRING",771), T1);
  value0 = cl_intern(2, T2, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
  return value0;
 }
}
/*	closure G539                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g539(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2;
 cl_object CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  CONSTRUCTOR-ARGS */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = LC39cintern(3, ECL_CONS_CAR(CLV0), ECL_SYM("-",17), V1);
  if (Null(ECL_CONS_CAR(CLV1))) { goto L3; }
  if ((ECL_CONS_CAR(CLV2))==(ECL_T)) { goto L6; }
  if (Null(ecl_memql(V1,ECL_CONS_CAR(CLV2)))) { goto L3; }
  goto L4;
L6:;
L4:;
  T2 = LC40kintern(V1);
  T1 = cl_list(2, ECL_SYM("INITARG",994), T2);
  goto L2;
L3:;
  T1 = ECL_NIL;
L2:;
  value0 = cl_listX(8, V1, ECL_SYM("INITFORM",996), V2, ECL_SYM("TYPE",1318), V3, ECL_SYM("ACCESSOR",983), T0, T1);
  return value0;
 }
 }
}
/*	function definition for UNIX-SOCKET-PATH-FROM-HOST            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44unix_socket_path_from_host(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((cl_stringE(2, V1, _ecl_static_3))!=ECL_NIL) { goto L3; }
  if (Null(cl_stringE(2, V1, _ecl_static_4))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = cl_format(4, ECL_NIL, _ecl_static_5, ecl_symbol_value(VV[80]), V2);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "clx/depdefs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecloUFZ6Va7_XrsgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;DEPDEFS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecloUFZ6Va7_XrsgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[0]) /*  MAPC */;
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1]) /*  MAPC */;
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[2]) /*  MAPC */;
 ecl_cmp_defmacro(VV[82]);                        /*  WITH-VECTOR     */
 ecl_cmp_defmacro(VV[83]);                        /*  WITHIN-DEFINITION */
 si_Xmake_constant(VV[2], VVtemp[3]);
 ecl_cmp_defmacro(VV[84]);                        /*  RESOURCE-ID-MAP-TEST */
 ecl_cmp_defmacro(VV[85]);                        /*  ATOM-CACHE-MAP-TEST */
 ecl_cmp_defmacro(VV[86]);                        /*  KEYSYM->CHARACTER-MAP-TEST */
 cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[8], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC6buffer_bytes,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 si_do_deftype(3, VV[9], VVtemp[4], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC7array_index,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 si_do_deftype(3, VV[11], VVtemp[5], T0);
 }
 ecl_cmp_defun(VV[87]);                           /*  MAKE-INDEX-TYPED */
 ecl_cmp_defun(VV[88]);                           /*  MAKE-INDEX-OP   */
 ecl_cmp_defmacro(VV[89]);                        /*  INDEX+          */
 ecl_cmp_defmacro(VV[90]);                        /*  INDEX-LOGAND    */
 ecl_cmp_defmacro(VV[91]);                        /*  INDEX-LOGIOR    */
 ecl_cmp_defmacro(VV[92]);                        /*  INDEX-          */
 ecl_cmp_defmacro(VV[93]);                        /*  INDEX*          */
 ecl_cmp_defmacro(VV[94]);                        /*  INDEX1+         */
 ecl_cmp_defmacro(VV[95]);                        /*  INDEX1-         */
 ecl_cmp_defmacro(VV[96]);                        /*  INDEX-INCF      */
 ecl_cmp_defmacro(VV[97]);                        /*  INDEX-DECF      */
 ecl_cmp_defmacro(VV[98]);                        /*  INDEX-MIN       */
 ecl_cmp_defmacro(VV[99]);                        /*  INDEX-MAX       */
 ecl_cmp_defmacro(VV[100]);                       /*  INDEX-FLOOR     */
 ecl_cmp_defmacro(VV[101]);                       /*  INDEX-CEILING   */
 ecl_cmp_defmacro(VV[102]);                       /*  INDEX-TRUNCATE  */
 ecl_cmp_defmacro(VV[103]);                       /*  INDEX-MOD       */
 ecl_cmp_defmacro(VV[104]);                       /*  INDEX-ASH       */
 ecl_cmp_defmacro(VV[105]);                       /*  INDEX-PLUSP     */
 ecl_cmp_defmacro(VV[106]);                       /*  INDEX-ZEROP     */
 ecl_cmp_defmacro(VV[107]);                       /*  INDEX-EVENP     */
 ecl_cmp_defmacro(VV[108]);                       /*  INDEX-ODDP      */
 ecl_cmp_defmacro(VV[109]);                       /*  INDEX>          */
 ecl_cmp_defmacro(VV[110]);                       /*  INDEX=          */
 ecl_cmp_defmacro(VV[111]);                       /*  INDEX<          */
 ecl_cmp_defmacro(VV[112]);                       /*  INDEX>=         */
 ecl_cmp_defmacro(VV[113]);                       /*  INDEX<=         */
 si_Xmake_constant(VV[39], ecl_make_fixnum(32));
 si_Xmake_special(VV[40]);
 if (ecl_boundp(cl_env_copy,VV[40])) { goto L91; }
 cl_set(VV[40],cl_make_sequence(2, VV[9], ecl_make_fixnum(0)));
L91:;
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[6]) /*  MAPC */;
 si_define_structure(15, VV[41], VV[42], ECL_NIL, ECL_NIL, VVtemp[7], VVtemp[8], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[9], ecl_make_fixnum(4), ECL_NIL, ECL_NIL, ECL_NIL);
 VV[48]= cl_find_class(1, VV[41]);
 ecl_cmp_defun(VV[114]);                          /*  MAKE-REPLY-BUFFER-INTERNAL */
 si_Xmake_constant(VV[50], ecl_make_fixnum(256));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC36buffer_text16,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 si_do_deftype(3, VV[51], VVtemp[10], T0);
 }
 si_Xmake_special(VV[53]);
 cl_set(VV[53],cl_find_package(VV[54]));
 ecl_cmp_defun(VV[119]);                          /*  XINTERN         */
 si_Xmake_special(VV[56]);
 cl_set(VV[56],cl_find_package(VV[57]));
 ecl_cmp_defun(VV[120]);                          /*  KINTERN         */
 si_Xmake_special(VV[59]);
 if (ecl_boundp(cl_env_copy,VV[59])) { goto L135; }
 cl_set(VV[59],ECL_NIL);
L135:;
 ecl_cmp_defmacro(VV[121]);                       /*  DEF-CLX-CLASS   */
 si_define_structure(15, VV[75], _ecl_static_1, ECL_NIL, ECL_NIL, VVtemp[11], VVtemp[12], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(18), ECL_NIL, ECL_NIL, ECL_NIL);
 si_Xmake_constant(VV[76], ECL_T);
 si_Xmake_constant(VV[77], ECL_T);
 si_Xmake_constant(VV[78], ecl_make_fixnum(32));
 si_Xmake_constant(VV[79], ecl_make_fixnum(32));
 si_Xmake_constant(VV[80], _ecl_static_2);
 ecl_cmp_defun(VV[122]);                          /*  UNIX-SOCKET-PATH-FROM-HOST */
}
