/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLX;DEPENDENT.LISP                                */
#include <ecl/ecl-cmp.h>
#include "clx/dependent.eclh"
/*	function definition for DECLARE-BUFMAC                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1declare_bufmac()
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("SPEED",791), ecl_make_fixnum(3));
  T1 = cl_list(2, ECL_SYM("SAFETY",734), ecl_make_fixnum(0));
  T2 = cl_list(2, ECL_SYM("DEBUG",270), ecl_make_fixnum(1));
  T3 = cl_list(4, ECL_SYM("OPTIMIZE",613), T0, T1, T2);
  value0 = cl_list(2, ECL_SYM("DECLARE",274), T3);
  return value0;
 }
}
/*	function definition for DECLARE-BUFFUN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2declare_buffun()
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("SPEED",791), ecl_make_fixnum(3));
  T1 = cl_list(2, ECL_SYM("SAFETY",734), ecl_make_fixnum(0));
  T2 = cl_list(2, ECL_SYM("DEBUG",270), ecl_make_fixnum(1));
  T3 = cl_list(4, ECL_SYM("OPTIMIZE",613), T0, T1, T2);
  value0 = cl_list(2, ECL_SYM("DECLARE",274), T3);
  return value0;
 }
}
/*	function definition for CARD8->INT8                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L3card8__int8(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 uint8_t V2;
 V2 = ecl_fixnum(V1);
TTL:
 if (Null(cl_logbitp(ecl_make_fixnum(7), ecl_make_uint8_t(V2)))) { goto L1; }
 value0 = ecl_make_int8_t((V2)-(256));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ecl_make_uint8_t(V2);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT8->CARD8                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L4int8__card8(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 int8_t V2;
 V2 = ecl_fixnum(V1);
TTL:
 value0 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (0)) & (cl_fixnum)((cl_fixnum)(V2))) >> (0));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for CARD16->INT16                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L5card16__int16(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V2;
 V2 = ecl_fixnum(V1);
TTL:
 if (Null(cl_logbitp(ecl_make_fixnum(15), ecl_make_fixnum(V2)))) { goto L1; }
 value0 = ecl_make_fixnum((V2)-(65536));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ecl_make_fixnum(V2);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT16->CARD16                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L6int16__card16(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V2;
 V2 = ecl_fixnum(V1);
TTL:
 value0 = ecl_make_fixnum((((~((cl_fixnum)-1 << (16))) << (0)) & (cl_fixnum)(V2)) >> (0));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for CARD32->INT32                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L7card32__int32(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 unsigned int V2;
 V2 = ecl_to_uint(V1);
TTL:
 if (Null(cl_logbitp(ecl_make_fixnum(31), ecl_make_uint(V2)))) { goto L1; }
 value0 = ecl_minus(ecl_make_uint(V2),VV[17]);
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ecl_make_uint(V2);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT32->CARD32                         */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L8int32__card32(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 int V2;
 V2 = ecl_to_int(V1);
TTL:
 T0 = cl_byte(ecl_make_fixnum(32), ecl_make_fixnum(0));
 value0 = cl_ldb(T0, ecl_make_int(V2));
 return value0;
}
/*	function definition for AREF-CARD8                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L9aref_card8(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 value0 = ecl_make_uint8_t((V1)->vector.self.b8[V3]);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for ASET-CARD8                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L10aset_card8(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 uint8_t V4;
 cl_fixnum V5;
 V4 = ecl_fixnum(V1);
 V5 = ecl_fixnum(V3);
TTL:
 value0 = ecl_make_uint8_t((V2)->vector.self.b8[V5]= V4);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-INT8                             */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L11aref_int8(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 {
  uint8_t V4;
  V4 = (uint8_t)((V1)->vector.self.b8[V3]);
  value0 = L3card8__int8(ecl_make_uint8_t(V4));
  return value0;
 }
}
/*	function definition for ASET-INT8                             */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L12aset_int8(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 int8_t V4;
 cl_fixnum V5;
 V4 = ecl_fixnum(V1);
 V5 = ecl_fixnum(V3);
TTL:
 T0 = L4int8__card8(ecl_make_int8_t(V4));
 value0 = ecl_make_uint8_t((V2)->vector.self.b8[V5]= ecl_fixnum(T0));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-CARD16                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L13aref_card16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 {
  uint8_t V4;
  T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(1));
  V4 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
  {
   cl_fixnum V5;
   V5 = (((cl_fixnum)(V4)) << (8));
   {
    uint8_t V6;
    T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(0));
    V6 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
    value0 = ecl_make_fixnum(((V5) | ((cl_fixnum)(V6))));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ASET-CARD16                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L14aset_card16(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V4;
 cl_fixnum V5;
 V4 = ecl_fixnum(V1);
 V5 = ecl_fixnum(V3);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(1));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (8)) & (cl_fixnum)(V4)) >> (8));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(0));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (0)) & (cl_fixnum)(V4)) >> (0));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 value0 = ecl_make_fixnum(V4);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-INT16                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L15aref_int16(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(1));
 T1 = L11aref_int8(V1, T0);
 {
  cl_fixnum V4;
  V4 = ((ecl_fixnum(T1)) << (8));
  {
   uint8_t V5;
   T2 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(0));
   V5 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T2)));
   value0 = ecl_make_fixnum(((V4) | ((cl_fixnum)(V5))));
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ASET-INT16                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L16aset_int16(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V4;
 cl_fixnum V5;
 V4 = ecl_fixnum(V1);
 V5 = ecl_fixnum(V3);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(1));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (8)) & (cl_fixnum)(V4)) >> (8));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(0));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (0)) & (cl_fixnum)(V4)) >> (0));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 value0 = ecl_make_fixnum(V4);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-CARD32                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L17aref_card32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 {
  uint8_t V4;
  T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(3));
  V4 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
  {
   unsigned int V5;
   V5 = (((unsigned int)(V4)) << (24));
   {
    uint8_t V6;
    T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(2));
    V6 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
    {
     cl_fixnum V7;
     V7 = (((cl_fixnum)(V6)) << (16));
     {
      uint8_t V8;
      T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(1));
      V8 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
      {
       cl_fixnum V9;
       V9 = (((cl_fixnum)(V8)) << (8));
       {
        uint8_t V10;
        T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(0));
        V10 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
        value0 = cl_logior(4, ecl_make_uint(V5), ecl_make_fixnum(V7), ecl_make_fixnum(V9), ecl_make_uint8_t(V10));
        return value0;
       }
      }
     }
    }
   }
  }
 }
}
/*	function definition for ASET-CARD32                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L18aset_card32(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 unsigned int V4;
 cl_fixnum V5;
 V4 = ecl_to_uint(V1);
 V5 = ecl_fixnum(V3);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(3));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(24));
 T2 = cl_ldb(T1, ecl_make_uint(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(2));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(16));
 T2 = cl_ldb(T1, ecl_make_uint(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(1));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(8));
 T2 = cl_ldb(T1, ecl_make_uint(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(0));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(0));
 T2 = cl_ldb(T1, ecl_make_uint(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 value0 = ecl_make_uint(V4);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-INT32                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L19aref_int32(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(3));
 T1 = L11aref_int8(V1, T0);
 {
  int V4;
  V4 = ((ecl_to_int(T1)) << (24));
  {
   uint8_t V5;
   T2 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(2));
   V5 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T2)));
   {
    cl_fixnum V6;
    V6 = (((cl_fixnum)(V5)) << (16));
    {
     uint8_t V7;
     T2 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(1));
     V7 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T2)));
     {
      cl_fixnum V8;
      V8 = (((cl_fixnum)(V7)) << (8));
      {
       uint8_t V9;
       T2 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(0));
       V9 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T2)));
       value0 = cl_logior(4, ecl_make_int(V4), ecl_make_fixnum(V6), ecl_make_fixnum(V8), ecl_make_uint8_t(V9));
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for ASET-INT32                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L20aset_int32(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 int V4;
 cl_fixnum V5;
 V4 = ecl_to_int(V1);
 V5 = ecl_fixnum(V3);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(3));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(24));
 T2 = cl_ldb(T1, ecl_make_int(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(2));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(16));
 T2 = cl_ldb(T1, ecl_make_int(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(1));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(8));
 T2 = cl_ldb(T1, ecl_make_int(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(0));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(0));
 T2 = cl_ldb(T1, ecl_make_int(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 value0 = ecl_make_int(V4);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for AREF-CARD29                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L21aref_card29(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V3;
 V3 = ecl_fixnum(V2);
TTL:
 {
  uint8_t V4;
  T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(3));
  V4 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
  {
   cl_fixnum V5;
   V5 = (((cl_fixnum)(V4)) << (24));
   {
    uint8_t V6;
    T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(2));
    V6 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
    {
     cl_fixnum V7;
     V7 = (((cl_fixnum)(V6)) << (16));
     {
      uint8_t V8;
      T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(1));
      V8 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
      {
       cl_fixnum V9;
       V9 = (((cl_fixnum)(V8)) << (8));
       {
        uint8_t V10;
        T0 = ecl_plus(ecl_make_fixnum(V3),ecl_make_fixnum(0));
        V10 = ecl_fixnum(ecl_aref_unsafe(V1,ecl_fixnum(T0)));
        value0 = cl_logior(4, ecl_make_fixnum(V5), ecl_make_fixnum(V7), ecl_make_fixnum(V9), ecl_make_uint8_t(V10));
        return value0;
       }
      }
     }
    }
   }
  }
 }
}
/*	function definition for ASET-CARD29                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L22aset_card29(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V4;
 cl_fixnum V5;
 V4 = ecl_fixnum(V1);
 V5 = ecl_fixnum(V3);
TTL:
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(3));
 T1 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(24));
 T2 = cl_ldb(T1, ecl_make_fixnum(V4));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T2);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(2));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (16)) & (cl_fixnum)(V4)) >> (16));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(1));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (8)) & (cl_fixnum)(V4)) >> (8));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 T0 = ecl_plus(ecl_make_fixnum(V5),ecl_make_fixnum(0));
 T1 = ecl_make_fixnum((((~((cl_fixnum)-1 << (8))) << (0)) & (cl_fixnum)(V4)) >> (0));
 ecl_aset_unsafe(V2,ecl_fixnum(T0),T1);
 value0 = ecl_make_fixnum(V4);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	local function AREF-CARD8                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23aref_card8(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[21], V1, V2, V3);
  return value0;
 }
}
/*	local function AREF-INT8                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24aref_int8(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[23], V1, V2, V3);
  return value0;
 }
}
/*	local function AREF-CARD16                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25aref_card16(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[25], V1, V2, V3);
  return value0;
 }
}
/*	local function AREF-INT16                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26aref_int16(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[27], V1, V2, V3);
  return value0;
 }
}
/*	local function AREF-CARD32                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27aref_card32(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[29], V1, V2, V3);
  return value0;
 }
}
/*	local function AREF-INT32                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28aref_int32(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[31], V1, V2, V3);
  return value0;
 }
}
/*	local function AREF-CARD29                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29aref_card29(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, VV[33], V1, V2, V3);
  return value0;
 }
}
/*	function definition for RGB-VAL->CARD16                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L30rgb_val__card16(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = ecl_round2(V1,_ecl_static_1);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for CARD16->RGB-VAL                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L31card16__rgb_val(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V2;
 V2 = ecl_fixnum(V1);
TTL:
 value0 = ecl_make_single_float((V2)*((float)1.525902189314e-5));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for RADIANS->INT16                        */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L32radians__int16(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = cl_round(2, V1, _ecl_static_2);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for INT16->RADIANS                        */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L33int16__radians(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V2;
 V2 = ecl_fixnum(V1);
TTL:
 value0 = ecl_make_single_float((V2)*((float)2.7270769351e-4));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for ANGLEP                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34anglep(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_realp(V1))) { goto L2; }
  T0 = L32radians__int16(V1);
  value0 = cl_LE(3, ecl_make_fixnum(-23040), T0, ecl_make_fixnum(23040));
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CHAR->CARD8                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L35char__card8(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 unsigned char V2;
 V2 = CHAR_CODE(V1);
TTL:
 value0 = ecl_make_fixnum((ecl_character)(V2));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for CARD8->CHAR                           */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L36card8__char(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 uint8_t V2;
 V2 = ecl_fixnum(V1);
TTL:
 value0 = CODE_CHAR((cl_fixnum)(V2));
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for MAKE-PROCESS-LOCK                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37make_process_lock(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = mp_make_lock(2, ECL_SYM("NAME",1273), V1);
  return value0;
 }
}
/*	local function HOLDING-LOCK                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38holding_lock(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  LOCK            */
   cl_object V7;                                  /*  DISPLAY         */
   cl_object V8;                                  /*  WHOSTATE        */
   cl_object V9;
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V10;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V10;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V10;
   }
   if (Null(V5)) { goto L22; }
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V10;
    goto L21;
   }
L22:;
   V8 = _ecl_static_3;
L21:;
   V9 = si_search_keyword(2, V5, VV[43]);
   si_check_keyword(2, V5, VV[44]);
   T0 = ecl_list1(V6);
   value0 = cl_listX(3, ECL_SYM("WITH-LOCK",1427), T0, V3);
   return value0;
  }
 }
}
/*	local function WITHOUT-ABORTS                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39without_aborts(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = CONS(ECL_SYM("PROGN",671),V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for PROCESS-BLOCK                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40process_block(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
L1:;
  if (Null(cl_apply(2, V2, V3))) { goto L3; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  mp_process_yield();
  goto L1;
 }
}
/*	function definition for PROCESS-WAKEUP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41process_wakeup(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = mp_process_yield();
  return value0;
 }
}
/*	function definition for CURRENT-PROCESS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42current_process()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1398));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITHOUT-INTERRUPTS                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43without_interrupts(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = CONS(ECL_SYM("PROGN",671),V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function WITHOUT-INTERRUPTS                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44without_interrupts(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = CONS(ECL_SYM("WITHOUT-INTERRUPTS",1733),V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CONDITIONAL-STORE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45conditional_store(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  PLACE           */
   cl_object V5;                                  /*  OLD-VALUE       */
   cl_object V6;                                  /*  NEW-VALUE       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_list(3, ECL_SYM("EQ",333), V4, V5);
   T1 = cl_list(3, ECL_SYM("SETF",750), V4, V6);
   T2 = cl_list(3, T0, T1, ECL_T);
   T3 = cl_list(2, ECL_SYM("COND",247), T2);
   value0 = cl_list(2, VV[50], T3);
   return value0;
  }
 }
}
/*	local function WRAP-BUF-OUTPUT                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46wrap_buf_output(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   if (Null(V5)) { goto L15; }
   si_dm_too_many_arguments(V1);
L15:;
   T0 = cl_list(2, VV[53], V6);
   value0 = cl_listX(3, ECL_SYM("UNLESS",883), T0, V3);
   return value0;
  }
 }
}
/*	local function WRAP-BUF-INPUT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47wrap_buf_input(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   if (Null(V5)) { goto L15; }
   si_dm_too_many_arguments(V1);
L15:;
   value0 = CONS(ECL_SYM("PROGN",671),V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for OPEN-X-STREAM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48open_x_stream(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  LOCAL-SOCKET-PATH */
   V4 = ecl_function_dispatch(cl_env_copy,VV[177])(2, V1, V2) /*  UNIX-SOCKET-PATH-FROM-HOST */;
   if (Null(V4)) { goto L3; }
   {
    cl_object V5;                                 /*  S               */
    V5 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(3, VV[56], ECL_SYM("TYPE",1318), ECL_SYM("STREAM",1313)) /*  MAKE-INSTANCE */;
    ecl_function_dispatch(cl_env_copy,VV[178])(2, V5, V4) /*  SOCKET-CONNECT */;
    T0 = V5;
    goto L2;
   }
L3:;
   {
    cl_object V6;                                 /*  HOST            */
    T1 = ecl_function_dispatch(cl_env_copy,VV[179])(1, V1) /*  GET-HOST-BY-NAME */;
    T2 = ecl_function_dispatch(cl_env_copy,VV[180])(1, T1) /*  HOST-ENT-ADDRESSES */;
    V6 = ecl_car(T2);
    if (Null(V6)) { goto L8; }
    {
     cl_object V7;                                /*  S               */
     V7 = (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(5, VV[57], ECL_SYM("TYPE",1318), ECL_SYM("STREAM",1313), VV[58], VV[59]) /*  MAKE-INSTANCE */;
     T1 = ecl_plus(ecl_make_fixnum(6000),V2);
     ecl_function_dispatch(cl_env_copy,VV[178])(3, V7, V6, T1) /*  SOCKET-CONNECT */;
     T0 = V7;
     goto L2;
    }
L8:;
    T0 = ECL_NIL;
   }
L2:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[181])(9, T0, ECL_SYM("ELEMENT-TYPE",1224), VV[60], ECL_SYM("INPUT",1254), ECL_T, ECL_SYM("OUTPUT",1282), ECL_T, VV[61], ECL_SYM("NONE",1597)) /*  SOCKET-MAKE-STREAM */;
   return value0;
  }
 }
}
/*	function definition for BUFFER-READ-DEFAULT                   */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L49buffer_read_default(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V6;
 cl_fixnum V7;
 V6 = ecl_fixnum(V3);
 V7 = ecl_fixnum(V4);
TTL:
 if (!((V5)==(ecl_make_fixnum(0)))) { goto L1; }
 T0 = ecl_function_dispatch(cl_env_copy,VV[183])(1, V1) /*  DISPLAY-INPUT-STREAM */;
 if ((cl_listen(1, T0))!=ECL_NIL) { goto L1; }
 value0 = VV[43];
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 T0 = ecl_function_dispatch(cl_env_copy,VV[183])(1, V1) /*  DISPLAY-INPUT-STREAM */;
 cl_read_sequence(6, V2, T0, ECL_SYM("START",1310), ecl_make_fixnum(V6), ECL_SYM("END",1225), ecl_make_fixnum(V7));
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for BUFFER-WRITE-DEFAULT                  */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L50buffer_write_default(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V5;
 cl_fixnum V6;
 V5 = ecl_fixnum(V3);
 V6 = ecl_fixnum(V4);
TTL:
 T0 = ecl_function_dispatch(cl_env_copy,VV[185])(1, V2) /*  DISPLAY-OUTPUT-STREAM */;
 cl_write_sequence(6, V1, T0, ECL_SYM("START",1310), ecl_make_fixnum(V5), ECL_SYM("END",1225), ecl_make_fixnum(V6));
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for BUFFER-FORCE-OUTPUT-DEFAULT           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51buffer_force_output_default(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  STREAM          */
   {
    cl_object V3;
    V3 = ecl_function_dispatch(cl_env_copy,VV[185])(1, V1) /*  DISPLAY-OUTPUT-STREAM */;
    value0 = ecl_make_bool(V3==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L6; }
    T0 = cl_streamp(V3);
    goto L4;
L6:;
    T0 = value0;
    goto L4;
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[65],V3);
    V2 = V3;
   }
   if (V2==ECL_NIL) { goto L8; }
   value0 = cl_force_output(1, V2);
   return value0;
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for BUFFER-CLOSE-DEFAULT                  */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L52buffer_close_default(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object V2;
 ecl_va_list args; ecl_va_start(args,V1,narg,1);
 {
  cl_object keyvars[2];
  cl_parse_key(args,1,L52buffer_close_defaultkeys,keyvars,NULL,FALSE);
  ecl_va_end(args);
  V2 = keyvars[0];
 }
 {
  cl_object V3;                                   /*  STREAM          */
  V3 = ecl_function_dispatch(cl_env_copy,VV[185])(1, V1) /*  DISPLAY-OUTPUT-STREAM */;
  if (V3==ECL_NIL) { goto L2; }
  value0 = cl_close(3, V3, ECL_SYM("ABORT",1195), V2);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BUFFER-INPUT-WAIT-DEFAULT             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53buffer_input_wait_default(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  STREAM          */
   {
    cl_object V4;
    V4 = ecl_function_dispatch(cl_env_copy,VV[183])(1, V1) /*  DISPLAY-INPUT-STREAM */;
    value0 = ecl_make_bool(V4==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L6; }
    T0 = cl_streamp(V4);
    goto L4;
L6:;
    T0 = value0;
    goto L4;
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[65],V4);
    V3 = V4;
   }
   {
    cl_object V4;
    V4 = ecl_make_bool(V3==ECL_NIL);
    if (Null(V4)) { goto L9; }
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
L9:;
    if (Null(cl_listen(1, V3))) { goto L11; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L11:;
    if (Null(V2)) { goto L13; }
    if (!(ecl_number_equalp(V2,ecl_make_fixnum(0)))) { goto L13; }
    value0 = VV[43];
    cl_env_copy->nvalues = 1;
    return value0;
L13:;
    if (V2==ECL_NIL) { goto L16; }
    cl_env_copy->values[0] = ecl_truncate2(V2,ecl_symbol_value(VV[68]));
    {
     cl_object V6;                                /*  NPOLL           */
     cl_object V7;                                /*  FRACTION        */
     V6 = cl_env_copy->values[0];
     V7 = cl_env_copy->values[1];
     {
      cl_object V8;                               /*  I               */
      V8 = ecl_make_fixnum(0);
      goto L22;
L21:;
      cl_sleep(ecl_symbol_value(VV[68]));
      if (Null(cl_listen(1, V3))) { goto L25; }
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
L25:;
      V8 = ecl_one_plus(V8);
L22:;
      if (!(ecl_number_compare(V8,V6)<0)) { goto L29; }
      goto L21;
L29:;
     }
     if (!(ecl_plusp(V7))) { goto L31; }
     cl_sleep(V7);
     if (Null(cl_listen(1, V3))) { goto L31; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L31:;
     value0 = VV[43];
     cl_env_copy->nvalues = 1;
     return value0;
    }
L16:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for BUFFER-LISTEN-DEFAULT                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54buffer_listen_default(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  STREAM          */
   {
    cl_object V3;
    V3 = ecl_function_dispatch(cl_env_copy,VV[183])(1, V1) /*  DISPLAY-INPUT-STREAM */;
    value0 = ecl_make_bool(V3==ECL_NIL);
    if ((value0)!=ECL_NIL) { goto L6; }
    T0 = cl_streamp(V3);
    goto L4;
L6:;
    T0 = value0;
    goto L4;
L4:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[65],V3);
    V2 = V3;
   }
   if (!(V2==ECL_NIL)) { goto L8; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   value0 = cl_listen(1, V2);
   return value0;
  }
 }
}
/*	local function WITH-STACK-LIST                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55with_stack_list(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  VAR             */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   T0 = CONS(ECL_SYM("LIST",481),V5);
   T1 = cl_list(2, V6, T0);
   T2 = ecl_list1(T1);
   T3 = cl_list(3, ECL_SYM("TYPE",869), ECL_SYM("CONS",251), V6);
   T4 = cl_list(2, ECL_SYM("DYNAMIC-EXTENT",320), V6);
   T5 = cl_list(3, ECL_SYM("DECLARE",274), T3, T4);
   value0 = cl_listX(4, ECL_SYM("LET",477), T2, T5, V3);
   return value0;
  }
 }
}
/*	local function WITH-STACK-LIST*                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56with_stack_list_(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  VAR             */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   T0 = CONS(ECL_SYM("LIST*",482),V5);
   T1 = cl_list(2, V6, T0);
   T2 = ecl_list1(T1);
   T3 = cl_list(3, ECL_SYM("TYPE",869), ECL_SYM("CONS",251), V6);
   T4 = cl_list(2, ECL_SYM("DYNAMIC-EXTENT",320), V6);
   T5 = cl_list(3, ECL_SYM("DECLARE",274), T3, T4);
   value0 = cl_listX(4, ECL_SYM("LET",477), T2, T5, V3);
   return value0;
  }
 }
}
/*	function definition for BUFFER-REPLACE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57buffer_replace(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  cl_fixnum V5;
  cl_fixnum V6;
  cl_fixnum V7;
  va_list args; va_start(args,V4);
  V5 = ecl_to_fixnum(V3);
  V6 = ecl_to_fixnum(V4);
  {
   int i = 4;
   if (i >= narg) {
    V7 = 0;
   } else {
    i++;
    V7 = ecl_to_fixnum(va_arg(args,cl_object));
   }
  }
  va_end(args);
  value0 = cl_replace(8, V1, V2, ECL_SYM("START1",1311), ecl_make_fixnum(V5), ECL_SYM("END1",1226), ecl_make_fixnum(V6), ECL_SYM("START2",1312), ecl_make_fixnum(V7));
  return value0;
 }
}
/*	local function WITH-GCONTEXT-BINDINGS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58with_gcontext_bindings(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  GC              */
   cl_object V7;                                  /*  SAVED-STATE     */
   cl_object V8;                                  /*  INDEXES         */
   cl_object V9;                                  /*  TS-INDEX        */
   cl_object V10;                                 /*  TEMP-MASK       */
   cl_object V11;                                 /*  TEMP-GC         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V12;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(V1);
L22:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L28; }
   si_dm_too_few_arguments(V1);
L28:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V9 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L34; }
   si_dm_too_few_arguments(V1);
L34:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V10 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L40; }
   si_dm_too_few_arguments(V1);
L40:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V11 = V12;
   }
   if (Null(V5)) { goto L45; }
   si_dm_too_many_arguments(V1);
L45:;
   {
    cl_object V12;                                /*  LET2857         */
    cl_object V13;                                /*  RESETS          */
    V12 = cl_gensym(0);
    V13 = ECL_NIL;
    {
     cl_object V14;
     V14 = V8;
     goto L53;
L52:;
     {
      cl_object V15;                              /*  INDEX           */
      V15 = ecl_car(V14);
      T0 = cl_list(3, ECL_SYM("SVREF",838), V12, V15);
      T1 = cl_list(3, ECL_SYM("SVREF",838), V7, V15);
      T2 = cl_list(3, ECL_SYM("SETF",750), T0, T1);
      V13 = CONS(T2,V13);
     }
     V14 = ecl_cdr(V14);
L53:;
     if (Null(V14)) { goto L61; }
     goto L52;
L61:;
    }
    T0 = CONS(ECL_SYM("PROGN",671),V3);
    T1 = cl_list(2, VV[74], V6);
    T2 = cl_list(2, V12, T1);
    T3 = ecl_list1(T2);
    T4 = cl_list(3, ECL_SYM("TYPE",869), VV[75], V12);
    T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
    T6 = cl_list(3, ECL_SYM("SVREF",838), V12, V9);
    T7 = cl_list(3, ECL_SYM("SETF",750), T6, ecl_make_fixnum(0));
    T8 = ecl_list1(T7);
    T9 = ecl_append(V13,T8);
    T10 = cl_listX(4, ECL_SYM("LET",477), T3, T5, T9);
    T11 = cl_list(4, VV[76], V6, V10, V11);
    T12 = cl_list(3, ECL_SYM("WHEN",905), V11, T11);
    T13 = cl_list(2, VV[77], V7);
    value0 = cl_list(5, ECL_SYM("UNWIND-PROTECT",888), T0, T10, T12, T13);
    return value0;
   }
  }
 }
}
/*	local function TYPE?                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59type_(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  OBJECT          */
   cl_object V5;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   if ((cl_constantp(1, V5))!=ECL_NIL) { goto L16; }
   value0 = cl_list(3, ECL_SYM("TYPEP",875), V4, V5);
   return value0;
L16:;
   V5 = cl_eval(V5);
   {
    cl_object V6;                                 /*  PREDICATE       */
    V6 = ecl_assql(V5,VV[80]);
    if (Null(V6)) { goto L21; }
    T0 = ecl_cadr(V6);
    value0 = cl_list(2, T0, V4);
    return value0;
L21:;
    if (!((V5)==(VV[81]))) { goto L23; }
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
L23:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V5);
    T1 = cl_list(3, ECL_SYM("TYPEP",875), V4, T0);
    value0 = cl_list(3, ECL_SYM("LOCALLY",490), VV[82], T1);
    return value0;
   }
  }
 }
}
/*	function definition for X-TYPE-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60x_type_error(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = L64x_error(7, VV[84], ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), V2, VV[85], V3);
  return value0;
 }
}
/*	function definition for DEFAULT-ERROR-HANDLER                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61default_error_handler(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L61default_error_handlerkeys,keyvars,(cl_object*)&V3,TRUE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  if (Null(V4)) { goto L1; }
  T0 = ecl_fdefinition(VV[91]);
  value0 = cl_apply(8, T0, _ecl_static_5, V2, VV[87], V1, VV[88], V2, V3);
  return value0;
L1:;
  T0 = ecl_fdefinition(VV[90]);
  value0 = cl_apply(7, T0, V2, VV[87], V1, VV[88], V2, V3);
  return value0;
 }
}
/*	function definition for X-ERROR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62x_error(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("ERROR",337)->symbol.gfdef);
  value0 = cl_apply(3, T0, V1, V2);
  return value0;
 }
}
/*	function definition for X-CERROR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63x_cerror(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("CERROR",202)->symbol.gfdef);
  value0 = cl_apply(4, T0, V1, V2, V3);
  return value0;
 }
}
/*	function definition for X-ERROR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64x_error(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("MAKE-CONDITION",524)->symbol.gfdef);
  T1 = cl_apply(3, T0, V1, V2);
  T2 = cl_princ_to_string(T1);
  value0 = cl_error(2, _ecl_static_6, T2);
  return value0;
 }
}
/*	function definition for HOST-ADDRESS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66host_address(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  lex0[0] = V1;                                   /*  HOST            */
  {
   int i = 1;
   if (i >= narg) {
    V2 = VV[93];
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  ADDR            */
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     cl_object V4;
     V4 = _ecl_inner_frame;
     T1 = cl_string(lex0[0]);
     cl_env_copy->values[0] = si_lookup_host_entry(T1);
     ecl_stack_frame_push_values(V4);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V4,ECL_SYM("LIST",481));
     value0 = cl_env_copy->values[0];
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   T0 = value0;
   T1 = ecl_cadddr(T0);
   V3 = ecl_car(T1);
   if ((V3)!=ECL_NIL) { goto L8; }
   LC65no_host_error(lex0);
L8:;
   T0 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(24));
   T1 = cl_ldb(T0, V3);
   T2 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(16));
   T3 = cl_ldb(T2, V3);
   T4 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(8));
   T5 = cl_ldb(T4, V3);
   T6 = cl_byte(ecl_make_fixnum(8), ecl_make_fixnum(0));
   T7 = cl_ldb(T6, V3);
   value0 = cl_list(5, VV[93], T1, T3, T5, T7);
   return value0;
  }
 }
}
/*	local function NO-HOST-ERROR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65no_host_error(volatile cl_object *lex0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(2, _ecl_static_7, lex0[0]);
  return value0;
 }
}
/*	local function USE-CLOSURES                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67use_closures(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for CLX-MACROEXPAND                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68clx_macroexpand(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_macroexpand(2, V1, V2);
  return value0;
 }
}
/*	function definition for GETENV                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69getenv(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_getenv(V1);
  return value0;
 }
}
/*	function definition for GET-HOST-NAME                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70get_host_name()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (cl_env_copy->function=(ECL_SYM("MACHINE-INSTANCE",515)->symbol.gfdef))->cfun.entry(0) /*  MACHINE-INSTANCE */;
  return value0;
 }
}
/*	function definition for HOMEDIR-FILE-PATHNAME                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71homedir_file_pathname(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_user_homedir_pathname(0);
  T1 = cl_pathname(V1);
  value0 = cl_merge_pathnames(2, T0, T1);
  return value0;
 }
}
/*	function definition for DEFAULT-RESOURCES-PATHNAME            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72default_resources_pathname()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L71homedir_file_pathname(_ecl_static_8);
  return value0;
 }
}
/*	function definition for RESOURCES-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73resources_pathname()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  STRING          */
   V1 = L69getenv(_ecl_static_9);
   if (Null(V1)) { goto L6; }
   value0 = cl_pathname(V1);
   goto L3;
L6:;
   value0 = ECL_NIL;
   goto L3;
  }
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = L70get_host_name();
  T1 = cl_concatenate(3, ECL_SYM("STRING",805), _ecl_static_10, T0);
  value0 = L71homedir_file_pathname(T1);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for AUTHORITY-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74authority_pathname()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  XAUTHORITY      */
   V1 = L69getenv(_ecl_static_11);
   if (Null(V1)) { goto L6; }
   value0 = cl_pathname(V1);
   goto L3;
L6:;
   value0 = ECL_NIL;
   goto L3;
  }
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = L71homedir_file_pathname(_ecl_static_12);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for GET-DEFAULT-DISPLAY                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75get_default_display(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  NAME            */
   cl_object V3;                                  /*  SLASH-I         */
   cl_object V4;                                  /*  COLON-I         */
   cl_object V5;                                  /*  DECNET-COLON-P  */
   cl_object V6;                                  /*  HOST            */
   cl_object V7;                                  /*  DOT-I           */
   cl_object V8;                                  /*  DISPLAY         */
   cl_object V9;                                  /*  SCREEN          */
   cl_object V10;                                 /*  PROTOCOL        */
   value0 = V1;
   if ((value0)!=ECL_NIL) { goto L4; }
   value0 = L69getenv(_ecl_static_13);
   if ((value0)!=ECL_NIL) { goto L4; }
   V2 = cl_error(1, _ecl_static_14);
   goto L2;
L4:;
   V2 = value0;
   goto L2;
L2:;
   value0 = cl_position(2, CODE_CHAR(47), V2);
   if ((value0)!=ECL_NIL) { goto L9; }
   V3 = ecl_make_fixnum(-1);
   goto L7;
L9:;
   V3 = value0;
   goto L7;
L7:;
   T0 = ecl_one_plus(V3);
   V4 = cl_position(4, CODE_CHAR(58), V2, ECL_SYM("START",1310), T0);
   T0 = ecl_one_plus(V4);
   T1 = ecl_elt(V2,ecl_fixnum(T0));
   V5 = ecl_make_bool(((T1)==ECL_CODE_CHAR((ecl_character)(58))));
   T0 = ecl_one_plus(V3);
   V6 = cl_subseq(3, V2, T0, V4);
   if (Null(V4)) { goto L16; }
   V7 = cl_position(4, CODE_CHAR(46), V2, ECL_SYM("START",1310), V4);
   goto L14;
L16:;
   V7 = ECL_NIL;
   goto L14;
L14:;
   if (Null(V4)) { goto L19; }
   if (Null(V5)) { goto L22; }
   T0 = ecl_plus(V4,ecl_make_fixnum(2));
   goto L21;
L22:;
   T0 = ecl_one_plus(V4);
L21:;
   V8 = cl_parse_integer(5, V2, ECL_SYM("START",1310), T0, ECL_SYM("END",1225), V7);
   goto L18;
L19:;
   V8 = ECL_NIL;
L18:;
   if (Null(V7)) { goto L25; }
   T0 = ecl_one_plus(V7);
   V9 = cl_parse_integer(3, V2, ECL_SYM("START",1310), T0);
   goto L24;
L25:;
   V9 = ECL_NIL;
L24:;
   if ((cl_stringE(2, V6, _ecl_static_15))!=ECL_NIL) { goto L30; }
   if (Null(cl_string_equal(2, V6, _ecl_static_16))) { goto L28; }
   goto L29;
L30:;
L29:;
   V10 = ECL_SYM("LOCAL",1268);
   goto L27;
L28:;
   if (Null(V5)) { goto L32; }
   V10 = VV[104];
   goto L27;
L32:;
   if (!(ecl_number_compare(V3,ecl_make_fixnum(-1))>0)) { goto L34; }
   T0 = cl_subseq(3, V2, ecl_make_fixnum(0), V3);
   T1 = cl_string_upcase(1, T0);
   V10 = cl_intern(2, T1, VV[105]);
   goto L27;
L34:;
   V10 = VV[93];
L27:;
   value0 = V8;
   if ((value0)!=ECL_NIL) { goto L38; }
   T0 = ecl_make_fixnum(0);
   goto L36;
L38:;
   T0 = value0;
   goto L36;
L36:;
   value0 = V9;
   if ((value0)!=ECL_NIL) { goto L42; }
   T1 = ecl_make_fixnum(0);
   goto L40;
L42:;
   T1 = value0;
   goto L40;
L40:;
   value0 = cl_list(4, V6, T0, T1, V10);
   return value0;
  }
 }
}
/*	function definition for GC-CLEANUP                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76gc_cleanup()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[107],ECL_NIL);
  cl_set(VV[108],ECL_NIL);
  if (!(ecl_boundp(cl_env_copy,VV[109]))) { goto L5; }
  cl_fill(2, ecl_symbol_value(VV[109]), ECL_NIL);
L5:;
  cl_set(VV[110],ECL_NIL);
  cl_set(VV[111],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DEFAULT-KEYSYM-TRANSLATE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77default_keysym_translate(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function READ-IMAGE-LOAD-BYTE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78read_image_load_byte(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  SIZE            */
   cl_object V5;                                  /*  POSITION        */
   cl_object V6;                                  /*  INTEGER         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), V4);
   T1 = cl_list(3, ECL_SYM("BYTE",162), V4, V5);
   T2 = cl_list(3, ECL_SYM("THE",856), VV[128], V6);
   T3 = cl_list(3, ECL_SYM("LDB",457), T1, T2);
   value0 = cl_list(3, ECL_SYM("THE",856), T0, T3);
   return value0;
  }
 }
}
/*	local function READ-IMAGE-ASSEMBLE-BYTES                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC79read_image_assemble_bytes(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;                                 /*  LET2859         */
    cl_object V5;                                 /*  IT              */
    cl_object V6;                                 /*  COUNT           */
    V4 = ecl_car(V3);
    V5 = V4;
    V6 = ecl_make_fixnum(0);
    {
     cl_object V7;
     V7 = ecl_cdr(V3);
     goto L10;
L9:;
     {
      cl_object V8;                               /*  BYTE            */
      V8 = ecl_car(V7);
      T0 = cl_list(3, ECL_SYM("THE",856), VV[128], V8);
      V6 = ecl_plus(V6,ecl_make_fixnum(8));
      T1 = V6;
      T2 = cl_list(3, ECL_SYM("BYTE",162), ecl_make_fixnum(8), T1);
      T3 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), V6);
      T4 = cl_list(3, ECL_SYM("THE",856), T3, V5);
      V5 = cl_list(4, ECL_SYM("DPB",318), T0, T2, T4);
     }
     V7 = ecl_cdr(V7);
L10:;
     if (Null(V7)) { goto L20; }
     goto L9;
L20:;
    }
    {
     cl_fixnum V7;
     V7 = ecl_length(V3);
     T0 = ecl_times(ecl_make_fixnum(V7),ecl_make_fixnum(8));
     T1 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), T0);
     value0 = cl_list(3, ECL_SYM("THE",856), T1, V5);
     return value0;
    }
   }
  }
 }
}
/*	local function WRITE-IMAGE-LOAD-BYTE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC80write_image_load_byte(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  POSITION        */
   cl_object V5;                                  /*  INTEGER         */
   cl_object V6;                                  /*  INTEGER-SIZE    */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_list(3, ECL_SYM("BYTE",162), ecl_make_fixnum(8), V4);
   T1 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), V6);
   T2 = cl_list(3, ECL_SYM("THE",856), T1, V5);
   T3 = cl_list(3, ECL_SYM("LDB",457), T0, T2);
   value0 = cl_list(3, ECL_SYM("THE",856), VV[128], T3);
   return value0;
  }
 }
}
/*	local function WRITE-IMAGE-ASSEMBLE-BYTES                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC81write_image_assemble_bytes(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;                                 /*  LET2861         */
    cl_object V5;                                 /*  LET2862         */
    cl_object V6;                                 /*  IT              */
    cl_object V7;                                 /*  COUNT           */
    {
     cl_fixnum V8;
     V8 = ecl_length(V3);
     V4 = ecl_floor2(ecl_make_fixnum(8),ecl_make_fixnum(V8));
    }
    V5 = ecl_car(V3);
    V6 = V5;
    V7 = ecl_make_fixnum(0);
    {
     cl_object V8;
     V8 = ecl_cdr(V3);
     goto L11;
L10:;
     {
      cl_object V9;                               /*  BYTE            */
      V9 = ecl_car(V8);
      T0 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), V4);
      T1 = cl_list(3, ECL_SYM("THE",856), T0, V9);
      V7 = ecl_plus(V7,V4);
      T2 = V7;
      T3 = cl_list(3, ECL_SYM("BYTE",162), V4, T2);
      T4 = cl_list(2, ECL_SYM("UNSIGNED-BYTE",885), V7);
      T5 = cl_list(3, ECL_SYM("THE",856), T4, V6);
      V6 = cl_list(4, ECL_SYM("DPB",318), T1, T3, T5);
     }
     V8 = ecl_cdr(V8);
L11:;
     if (Null(V8)) { goto L21; }
     goto L10;
L21:;
    }
    value0 = cl_list(3, ECL_SYM("THE",856), VV[128], V6);
    return value0;
   }
  }
 }
}
/*	function definition for FAST-READ-PIXARRAY                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82fast_read_pixarray(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum V13;
  cl_fixnum V14;
  cl_fixnum V15;
  cl_fixnum V16;
  cl_fixnum V17;
  cl_fixnum V18;
  int8_t V19;
  int8_t V20;
  V13 = ecl_to_fixnum(V2);
  V14 = ecl_to_fixnum(V4);
  V15 = ecl_to_fixnum(V5);
  V16 = ecl_to_fixnum(V6);
  V17 = ecl_to_fixnum(V7);
  V18 = ecl_to_fixnum(V8);
  V19 = ecl_to_int8_t(V9);
  V20 = ecl_to_int8_t(V10);
TTL:
  goto L13;
  value0 = ecl_function_dispatch(cl_env_copy,VV[219])(16, V1, ecl_make_fixnum(V13), V3, ecl_make_fixnum(V14), ecl_make_fixnum(V15), ecl_make_fixnum(V16), ecl_make_fixnum(V17), ecl_make_fixnum(V18), ecl_make_int8_t(V19), ECL_NIL, ecl_make_int8_t(V20), V11, V12, ecl_make_fixnum(32), ECL_T, ECL_T) /*  READ-PIXARRAY-INTERNAL */;
  return value0;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FAST-WRITE-PIXARRAY                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83fast_write_pixarray(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum V13;
  cl_fixnum V14;
  cl_fixnum V15;
  cl_fixnum V16;
  cl_fixnum V17;
  cl_fixnum V18;
  int8_t V19;
  int8_t V20;
  V13 = ecl_to_fixnum(V2);
  V14 = ecl_to_fixnum(V4);
  V15 = ecl_to_fixnum(V5);
  V16 = ecl_to_fixnum(V6);
  V17 = ecl_to_fixnum(V7);
  V18 = ecl_to_fixnum(V8);
  V19 = ecl_to_int8_t(V9);
  V20 = ecl_to_int8_t(V10);
TTL:
  goto L13;
  value0 = ecl_function_dispatch(cl_env_copy,VV[221])(16, V1, ecl_make_fixnum(V13), V3, ecl_make_fixnum(V14), ecl_make_fixnum(V15), ecl_make_fixnum(V16), ecl_make_fixnum(V17), ecl_make_fixnum(V18), ecl_make_int8_t(V19), ECL_NIL, ecl_make_fixnum(32), ECL_T, ECL_T, ecl_make_int8_t(V20), V11, V12) /*  WRITE-PIXARRAY-INTERNAL */;
  return value0;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FAST-COPY-PIXARRAY                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84fast_copy_pixarray(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum V8;
  cl_fixnum V9;
  cl_fixnum V10;
  cl_fixnum V11;
  int8_t V12;
  V8 = ecl_to_fixnum(V3);
  V9 = ecl_to_fixnum(V4);
  V10 = ecl_to_fixnum(V5);
  V11 = ecl_to_fixnum(V6);
  V12 = ecl_to_int8_t(V7);
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "clx/dependent.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclFvQV9VZ7_IvvgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;DEPENDENT.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclFvQV9VZ7_IvvgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[0]) /*  PROCLAIM */;
 si_Xmake_special(VV[0]);
 cl_set(VV[0],ecl_make_fixnum(8192));
 si_Xmake_special(VV[1]);
 cl_set(VV[1],ECL_NIL);
 si_Xmake_constant(VV[2], ecl_make_fixnum(0));
 si_Xmake_constant(VV[3], ecl_make_fixnum(1));
 si_Xmake_constant(VV[4], ecl_make_fixnum(0));
 si_Xmake_constant(VV[5], ecl_make_fixnum(1));
 si_Xmake_constant(VV[6], ecl_make_fixnum(2));
 si_Xmake_constant(VV[7], ecl_make_fixnum(3));
 si_Xmake_constant(VV[8], ecl_make_fixnum(3));
 si_Xmake_constant(VV[9], ecl_make_fixnum(0));
 si_Xmake_constant(VV[10], ecl_make_fixnum(1));
 ecl_cmp_defun(VV[136]);                          /*  DECLARE-BUFMAC  */
 ecl_cmp_defun(VV[137]);                          /*  DECLARE-BUFFUN  */
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[1]) /*  MAPC */;
 ecl_cmp_defun(VV[138]);                          /*  CARD8->INT8     */
 si_put_sysprop(VV[13], ECL_SYM("INLINE",434), VVtemp[2]);
 ecl_cmp_defun(VV[139]);                          /*  INT8->CARD8     */
 si_put_sysprop(VV[14], ECL_SYM("INLINE",434), VVtemp[3]);
 ecl_cmp_defun(VV[140]);                          /*  CARD16->INT16   */
 si_put_sysprop(VV[15], ECL_SYM("INLINE",434), VVtemp[4]);
 ecl_cmp_defun(VV[141]);                          /*  INT16->CARD16   */
 si_put_sysprop(VV[16], ECL_SYM("INLINE",434), VVtemp[5]);
 ecl_cmp_defun(VV[142]);                          /*  CARD32->INT32   */
 si_put_sysprop(VV[18], ECL_SYM("INLINE",434), VVtemp[6]);
 ecl_cmp_defun(VV[143]);                          /*  INT32->CARD32   */
 si_put_sysprop(VV[19], ECL_SYM("INLINE",434), VVtemp[7]);
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[8]) /*  MAPC */;
 ecl_cmp_defun(VV[144]);                          /*  AREF-CARD8      */
 si_put_sysprop(VV[20], ECL_SYM("INLINE",434), VVtemp[9]);
 ecl_cmp_defun(VV[145]);                          /*  ASET-CARD8      */
 si_put_sysprop(VV[21], ECL_SYM("INLINE",434), VVtemp[10]);
 ecl_cmp_defun(VV[146]);                          /*  AREF-INT8       */
 si_put_sysprop(VV[22], ECL_SYM("INLINE",434), VVtemp[11]);
 ecl_cmp_defun(VV[147]);                          /*  ASET-INT8       */
 si_put_sysprop(VV[23], ECL_SYM("INLINE",434), VVtemp[12]);
 ecl_cmp_defun(VV[148]);                          /*  AREF-CARD16     */
 ecl_cmp_defun(VV[149]);                          /*  ASET-CARD16     */
 ecl_cmp_defun(VV[150]);                          /*  AREF-INT16      */
 ecl_cmp_defun(VV[151]);                          /*  ASET-INT16      */
 ecl_cmp_defun(VV[152]);                          /*  AREF-CARD32     */
 ecl_cmp_defun(VV[153]);                          /*  ASET-CARD32     */
 ecl_cmp_defun(VV[154]);                          /*  AREF-INT32      */
 ecl_cmp_defun(VV[155]);                          /*  ASET-INT32      */
 ecl_cmp_defun(VV[156]);                          /*  AREF-CARD29     */
 ecl_cmp_defun(VV[157]);                          /*  ASET-CARD29     */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC23aref_card8,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[20], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC24aref_int8,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[22], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC25aref_card16,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[24], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC26aref_int16,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[26], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC27aref_card32,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[28], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC28aref_int32,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[30], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC29aref_card29,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[32], T0);
 }
 ecl_cmp_defun(VV[158]);                          /*  RGB-VAL->CARD16 */
 ecl_cmp_defun(VV[159]);                          /*  CARD16->RGB-VAL */
 ecl_cmp_defun(VV[160]);                          /*  RADIANS->INT16  */
 ecl_cmp_defun(VV[161]);                          /*  INT16->RADIANS  */
 si_do_deftype(3, VV[38], VVtemp[13], VVtemp[14]);
 ecl_cmp_defun(VV[162]);                          /*  ANGLEP          */
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[15]) /*  MAPC */;
 ecl_cmp_defun(VV[163]);                          /*  CHAR->CARD8     */
 si_put_sysprop(VV[40], ECL_SYM("INLINE",434), VVtemp[16]);
 ecl_cmp_defun(VV[164]);                          /*  CARD8->CHAR     */
 si_put_sysprop(VV[41], ECL_SYM("INLINE",434), VVtemp[17]);
 ecl_cmp_defun(VV[165]);                          /*  MAKE-PROCESS-LOCK */
 ecl_cmp_defmacro(VV[166]);                       /*  HOLDING-LOCK    */
 ecl_cmp_defmacro(VV[167]);                       /*  WITHOUT-ABORTS  */
 ecl_cmp_defun(VV[168]);                          /*  PROCESS-BLOCK   */
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[18]) /*  MAPC */;
 ecl_cmp_defun(VV[169]);                          /*  PROCESS-WAKEUP  */
 si_put_sysprop(VV[48], ECL_SYM("INLINE",434), VVtemp[19]);
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[20]) /*  MAPC */;
 ecl_cmp_defun(VV[170]);                          /*  CURRENT-PROCESS */
 si_put_sysprop(VV[49], ECL_SYM("INLINE",434), VVtemp[21]);
 ecl_cmp_defmacro(VV[171]);                       /*  WITHOUT-INTERRUPTS */
 ecl_cmp_defmacro(VV[172]);                       /*  WITHOUT-INTERRUPTS */
 ecl_cmp_defmacro(VV[173]);                       /*  CONDITIONAL-STORE */
 ecl_cmp_defmacro(VV[174]);                       /*  WRAP-BUF-OUTPUT */
 ecl_cmp_defmacro(VV[175]);                       /*  WRAP-BUF-INPUT  */
 ecl_cmp_defun(VV[176]);                          /*  OPEN-X-STREAM   */
 ecl_cmp_defun(VV[182]);                          /*  BUFFER-READ-DEFAULT */
 ecl_cmp_defun(VV[184]);                          /*  BUFFER-WRITE-DEFAULT */
 ecl_cmp_defun(VV[186]);                          /*  BUFFER-FORCE-OUTPUT-DEFAULT */
 ecl_cmp_defun(VV[187]);                          /*  BUFFER-CLOSE-DEFAULT */
 si_Xmake_special(VV[68]);
 cl_set(VV[68],_ecl_static_4);
 ecl_cmp_defun(VV[189]);                          /*  BUFFER-INPUT-WAIT-DEFAULT */
 ecl_cmp_defun(VV[190]);                          /*  BUFFER-LISTEN-DEFAULT */
 ecl_cmp_defmacro(VV[191]);                       /*  WITH-STACK-LIST */
 ecl_cmp_defmacro(VV[192]);                       /*  WITH-STACK-LIST* */
 (cl_env_copy->function=(ECL_SYM("MAPC",543)->symbol.gfdef))->cfun.entry(2, ECL_SYM("PROCLAIM",666), VVtemp[22]) /*  MAPC */;
 ecl_cmp_defun(VV[193]);                          /*  BUFFER-REPLACE  */
 si_put_sysprop(VV[73], ECL_SYM("INLINE",434), VVtemp[23]);
 ecl_cmp_defmacro(VV[194]);                       /*  WITH-GCONTEXT-BINDINGS */
 si_Xmake_constant(VV[79], ECL_T);
 ecl_cmp_defmacro(VV[195]);                       /*  TYPE?           */
 ecl_cmp_defun(VV[196]);                          /*  X-TYPE-ERROR    */
 ecl_cmp_defun(VV[197]);                          /*  DEFAULT-ERROR-HANDLER */
 ecl_cmp_defun(VV[199]);                          /*  X-ERROR         */
 ecl_cmp_defun(VV[200]);                          /*  X-CERROR        */
 ecl_cmp_defun(VV[201]);                          /*  X-ERROR         */
 clos_load_defclass(VV[90], VVtemp[24], ECL_NIL, ECL_NIL);
 ecl_cmp_defun(VV[202]);                          /*  HOST-ADDRESS    */
 ecl_cmp_defmacro(VV[203]);                       /*  USE-CLOSURES    */
 ecl_cmp_defun(VV[204]);                          /*  CLX-MACROEXPAND */
 ecl_cmp_defun(VV[205]);                          /*  GETENV          */
 ecl_cmp_defun(VV[206]);                          /*  GET-HOST-NAME   */
 ecl_cmp_defun(VV[207]);                          /*  HOMEDIR-FILE-PATHNAME */
 ecl_cmp_defun(VV[208]);                          /*  DEFAULT-RESOURCES-PATHNAME */
 ecl_cmp_defun(VV[209]);                          /*  RESOURCES-PATHNAME */
 ecl_cmp_defun(VV[210]);                          /*  AUTHORITY-PATHNAME */
 cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[103], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
 ecl_cmp_defun(VV[211]);                          /*  GET-DEFAULT-DISPLAY */
 ecl_cmp_defun(VV[212]);                          /*  GC-CLEANUP      */
 ecl_cmp_defun(VV[213]);                          /*  DEFAULT-KEYSYM-TRANSLATE */
 si_do_deftype(3, VV[114], VVtemp[25], ECL_SYM("BIT",123));
 si_do_deftype(3, VV[115], VVtemp[26], VVtemp[27]);
 si_do_deftype(3, VV[116], VVtemp[28], VV[60]);
 si_do_deftype(3, VV[117], VVtemp[29], VVtemp[30]);
 si_do_deftype(3, VV[118], VVtemp[31], VVtemp[32]);
 si_do_deftype(3, VV[119], VVtemp[33], VVtemp[34]);
 si_do_deftype(3, VV[120], VVtemp[35], VVtemp[36]);
 si_do_deftype(3, VV[121], VVtemp[37], VVtemp[38]);
 si_do_deftype(3, VV[122], VVtemp[39], VVtemp[40]);
 si_do_deftype(3, VV[123], VVtemp[41], VVtemp[42]);
 si_do_deftype(3, VV[124], VVtemp[43], VVtemp[44]);
 si_do_deftype(3, VV[125], VVtemp[45], VVtemp[46]);
 si_do_deftype(3, VV[126], VVtemp[47], VVtemp[48]);
 si_do_deftype(3, VV[127], VVtemp[49], VV[120]);
 ecl_cmp_defmacro(VV[214]);                       /*  READ-IMAGE-LOAD-BYTE */
 ecl_cmp_defmacro(VV[215]);                       /*  READ-IMAGE-ASSEMBLE-BYTES */
 ecl_cmp_defmacro(VV[216]);                       /*  WRITE-IMAGE-LOAD-BYTE */
 ecl_cmp_defmacro(VV[217]);                       /*  WRITE-IMAGE-ASSEMBLE-BYTES */
 ecl_cmp_defun(VV[218]);                          /*  FAST-READ-PIXARRAY */
 ecl_cmp_defun(VV[220]);                          /*  FAST-WRITE-PIXARRAY */
 ecl_cmp_defun(VV[222]);                          /*  FAST-COPY-PIXARRAY */
}
