/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPC-INLINER.LSP                              */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpc-inliner.eclh"
/*	function definition for INLINED-ARG-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1inlined_arg_loc(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_cadr(V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INLINED-ARG-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2inlined_arg_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_car(V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INLINED-ARG-REP-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3inlined_arg_rep_type(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_cadr(V1);
  value0 = ecl_function_dispatch(cl_env_copy,VV[29])(1, T0) /*  LOC-REPRESENTATION-TYPE */;
  return value0;
 }
}
/*	local function DEFINE-C-INLINER                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4define_c_inliner(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  FNAME           */
   cl_object V5;                                  /*  LAMBDA-LIST     */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T1 = cl_list(3, ECL_SYM("GETHASH",413), T0, VV[3]);
   T2 = cl_listX(3, ECL_SYM("BLOCK",137), ECL_NIL, V3);
   T3 = cl_list(3, ECL_SYM("LAMBDA",452), V5, T2);
   T4 = cl_list(2, ECL_SYM("FUNCTION",396), T3);
   value0 = cl_list(3, ECL_SYM("SETF",750), T1, T4);
   return value0;
  }
 }
}
/*	function definition for APPLY-INLINER                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5apply_inliner(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  FD              */
   V4 = ecl_gethash_safe(V1,ecl_symbol_value(VV[3]),ECL_NIL);
   if (Null(V4)) { goto L2; }
   value0 = cl_apply(3, V4, V2, V3);
   return value0;
L2:;
   value0 = L6default_c_inliner(V1, V2, V3);
   return value0;
  }
 }
}
/*	function definition for DEFAULT-C-INLINER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6default_c_inliner(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  ARG-TYPES       */
   cl_object V5;                                  /*  II              */
   {
    cl_object V6;
    cl_object V7;
    V6 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V7 = V3;
    {
     cl_object V8;
     cl_object V9;
     V8 = ecl_list1(ECL_NIL);
     V9 = V8;
L7:;
     if (!(ecl_endp(V7))) { goto L9; }
     goto L8;
L9:;
     V6 = _ecl_car(V7);
     {
      cl_object V10;
      V10 = _ecl_cdr(V7);
      if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
      V7 = V10;
     }
     if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
     T0 = V9;
     T1 = ecl_car(V6);
     V9 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V9,T0);
     goto L7;
L8:;
     V4 = ecl_cdr(V8);
     goto L1;
    }
   }
L1:;
   V5 = L7inline_function(3, V1, V4, V2);
   if (Null(V5)) { goto L25; }
   value0 = L8apply_inline_info(V5, V3);
   return value0;
L25:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for INLINE-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7inline_function(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = VV[7];
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[34])(1, V1) /*  INLINE-POSSIBLE */)) { goto L3; }
  if ((ecl_gethash_safe(V1,ecl_symbol_value(VV[8]),ECL_NIL))!=ECL_NIL) { goto L3; }
  {
   cl_object V5;                                  /*  DEST-REP-TYPE   */
   cl_object V6;                                  /*  II              */
   V5 = ecl_function_dispatch(cl_env_copy,VV[29])(1, ecl_symbol_value(VV[9])) /*  LOC-REPRESENTATION-TYPE */;
   V6 = L10get_inline_info(V1, V2, V3, V4);
   value0 = V6;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for APPLY-INLINE-INFO                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8apply_inline_info(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  ARG-TYPES       */
   cl_object V4;                                  /*  OUT-REP-TYPE    */
   cl_object V5;                                  /*  OUT-TYPE        */
   cl_object V6;                                  /*  SIDE-EFFECTS-P  */
   cl_object V7;                                  /*  FUN             */
   cl_object V8;                                  /*  ONE-LINER       */
   V3 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V1) /*  INLINE-INFO-ARG-TYPES */;
   V4 = ecl_function_dispatch(cl_env_copy,VV[37])(1, V1) /*  INLINE-INFO-RETURN-REP-TYPE */;
   V5 = ecl_function_dispatch(cl_env_copy,VV[38])(1, V1) /*  INLINE-INFO-RETURN-TYPE */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[39])(1, V1) /*  INLINE-INFO-NAME */;
   V6 = ecl_function_dispatch(cl_env_copy,VV[40])(1, T0) /*  FUNCTION-MAY-HAVE-SIDE-EFFECTS */;
   V7 = ecl_function_dispatch(cl_env_copy,VV[41])(1, V1) /*  INLINE-INFO-EXPANSION */;
   V8 = ecl_function_dispatch(cl_env_copy,VV[42])(1, V1) /*  INLINE-INFO-ONE-LINER */;
   T0 = ecl_list1(V4);
   value0 = ecl_function_dispatch(cl_env_copy,VV[43])(6, V2, V3, T0, V7, V6, V8) /*  PRODUCE-INLINE-LOC */;
   return value0;
  }
 }
}
/*	function definition for CHOOSE-INLINE-INFO                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9choose_inline_info(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V4)==(VV[7])) { goto L1; }
  if ((V4)==(ECL_SYM("VOID",1381))) { goto L1; }
  {
   cl_object V5;                                  /*  INFO-TYPE       */
   V5 = ecl_function_dispatch(cl_env_copy,VV[37])(1, V2) /*  INLINE-INFO-RETURN-REP-TYPE */;
   if ((V4)==(V5)) { goto L1; }
   if ((V5)==(VV[12])) { goto L1; }
  }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(V1==ECL_NIL)) { goto L7; }
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V1) /*  INLINE-INFO-ARG-TYPES */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V2) /*  INLINE-INFO-ARG-TYPES */;
  if (!(ecl_equal(T0,T1))) { goto L9; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  T0 = ecl_fdefinition(VV[45]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V1) /*  INLINE-INFO-ARG-TYPES */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V2) /*  INLINE-INFO-ARG-TYPES */;
  if (Null(cl_every(3, T0, T1, T2))) { goto L11; }
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for GET-INLINE-INFO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10get_inline_info(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V5;                                  /*  OUTPUT          */
   V5 = ECL_NIL;
   if ((ecl_function_dispatch(cl_env_copy,VV[46])(0) /*  SAFE-COMPILE */)!=ECL_NIL) { goto L2; }
   {
    cl_object V6;
    V6 = si_get_sysprop(V1, VV[14]);
    goto L7;
L6:;
    {
     cl_object V7;                                /*  X               */
     V7 = ecl_car(V6);
     {
      cl_object V8;                               /*  OTHER           */
      V8 = L13inline_type_matches(V7, V2, V3);
      if (Null(V8)) { goto L11; }
      V5 = L9choose_inline_info(V5, V8, V3, V4);
     }
L11:;
    }
    V6 = ecl_cdr(V6);
L7:;
    if (Null(V6)) { goto L17; }
    goto L6;
L17:;
   }
L2:;
   {
    cl_object V6;
    V6 = si_get_sysprop(V1, VV[15]);
    goto L23;
L22:;
    {
     cl_object V7;                                /*  X               */
     V7 = ecl_car(V6);
     {
      cl_object V8;                               /*  OTHER           */
      V8 = L13inline_type_matches(V7, V2, V3);
      if (Null(V8)) { goto L27; }
      V5 = L9choose_inline_info(V5, V8, V3, V4);
     }
L27:;
    }
    V6 = ecl_cdr(V6);
L23:;
    if (Null(V6)) { goto L33; }
    goto L22;
L33:;
   }
   {
    cl_object V6;
    V6 = si_get_sysprop(V1, VV[16]);
    goto L39;
L38:;
    {
     cl_object V7;                                /*  X               */
     V7 = ecl_car(V6);
     {
      cl_object V8;                               /*  OTHER           */
      V8 = L13inline_type_matches(V7, V2, V3);
      if (Null(V8)) { goto L43; }
      V5 = L9choose_inline_info(V5, V8, V3, V4);
     }
L43:;
    }
    V6 = ecl_cdr(V6);
L39:;
    if (Null(V6)) { goto L49; }
    goto L38;
L49:;
   }
   if (!(V5==ECL_NIL)) { goto L51; }
   if (Null(si_get_sysprop(V1, VV[17]))) { goto L51; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[47])(1, ECL_SYM("SPEED",791)) /*  CMP-ENV-OPTIMIZATION */;
   if (!(ecl_number_compare(T0,ecl_make_fixnum(1))>=0)) { goto L51; }
   ecl_function_dispatch(cl_env_copy,VV[48])(3, _ecl_static_1, V1, V2) /*  CMPWARN-STYLE */;
L51:;
   value0 = V5;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for TO-FIXNUM-FLOAT-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11to_fixnum_float_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;
   V2 = VV[18];
   goto L4;
L3:;
   {
    cl_object V3;                                 /*  I               */
    V3 = ecl_car(V2);
    if (Null(ecl_function_dispatch(cl_env_copy,VV[45])(2, V3, V1) /*  TYPE>= */)) { goto L8; }
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
L8:;
   }
   V2 = ecl_cdr(V2);
L4:;
   if (Null(V2)) { goto L12; }
   goto L3;
L12:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MAXIMUM-FLOAT-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12maximum_float_type(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if ((V1)==(ECL_SYM("LONG-FLOAT",508))) { goto L5; }
  if (!((V2)==(ECL_SYM("LONG-FLOAT",508)))) { goto L3; }
  goto L4;
L5:;
L4:;
  value0 = ECL_SYM("LONG-FLOAT",508);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if ((V1)==(ECL_SYM("DOUBLE-FLOAT",315))) { goto L9; }
  if (!((V2)==(ECL_SYM("DOUBLE-FLOAT",315)))) { goto L7; }
  goto L8;
L9:;
L8:;
  value0 = ECL_SYM("DOUBLE-FLOAT",315);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if ((V1)==(ECL_SYM("SINGLE-FLOAT",778))) { goto L13; }
  if (!((V2)==(ECL_SYM("SINGLE-FLOAT",778)))) { goto L11; }
  goto L12;
L13:;
L12:;
  value0 = ECL_SYM("SINGLE-FLOAT",778);
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  value0 = ECL_SYM("FIXNUM",372);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INLINE-TYPE-MATCHES                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13inline_type_matches(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_function_dispatch(cl_env_copy,VV[52])(1, V1) /*  INLINE-INFO-MULTIPLE-VALUES */)!=ECL_NIL) { goto L1; }
  {
   cl_object V4;
   V4 = ecl_symbol_value(VV[9]);
   if (!((V4)==(ECL_SYM("VALUES",895)))) { goto L8; }
   goto L5;
   goto L6;
L8:;
   goto L6;
L6:;
   if (!((V4)==(ECL_SYM("RETURN",724)))) { goto L1; }
   goto L2;
L5:;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V4;                                  /*  RTS             */
   cl_object V5;                                  /*  NUMBER-MAX      */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   {
    cl_object V6;                                 /*  ARG-TYPES       */
    cl_object V7;                                 /*  TYPES           */
    V6 = V2;
    V7 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V1) /*  INLINE-INFO-ARG-TYPES */;
    goto L18;
L17:;
    {
     cl_object V8;                                /*  ARG-TYPE        */
     cl_object V9;                                /*  TYPE            */
     V8 = ecl_car(V6);
     V9 = ecl_car(V7);
     if (!((V9)==(VV[23]))) { goto L23; }
     {
      cl_object V10;                              /*  NEW-TYPE        */
      V10 = L11to_fixnum_float_type(V8);
      if ((V10)!=ECL_NIL) { goto L26; }
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
L26:;
      V4 = CONS(V10,V4);
      V5 = L12maximum_float_type(V5, V10);
      goto L20;
     }
L23:;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[45])(2, V9, V8) /*  TYPE>= */)) { goto L31; }
     V4 = CONS(V9,V4);
     goto L20;
L31:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
L20:;
    V6 = ecl_cdr(V6);
    V7 = ecl_cdr(V7);
L18:;
    if (ecl_endp(V6)) { goto L38; }
    if (ecl_endp(V7)) { goto L38; }
    goto L17;
L38:;
    if ((V6)!=ECL_NIL) { goto L42; }
    if (Null(V7)) { goto L13; }
    goto L41;
L42:;
L41:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L13:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[37])(1, V1) /*  INLINE-INFO-RETURN-REP-TYPE */;
   if ((T0)==(VV[12])) { goto L46; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[53])(1, V1) /*  INLINE-INFO-EXACT-RETURN-TYPE */;
   if (T0==ECL_NIL) { goto L46; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[54])(0) /*  POLICY-ASSUME-RIGHT-TYPE */)) { goto L44; }
   {
    cl_object V6;                                 /*  INLINE-RETURN-TYPE */
    V6 = ecl_function_dispatch(cl_env_copy,VV[38])(1, V1) /*  INLINE-INFO-RETURN-TYPE */;
    if (Null(V5)) { goto L51; }
    if (!((V5)==(ECL_SYM("FIXNUM",372)))) { goto L55; }
    V5 = ECL_SYM("INTEGER",437);
    goto L54;
L55:;
L54:;
    if (Null(V5)) { goto L44; }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[45])(2, V6, V5) /*  TYPE>= */)) { goto L44; }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[45])(2, V5, V3) /*  TYPE>= */)) { goto L44; }
    goto L45;
L51:;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[45])(2, V6, V3) /*  TYPE>= */)) { goto L44; }
    goto L45;
   }
L46:;
L45:;
   {
    cl_object V6;                                 /*  INLINE-INFO     */
    V6 = cl_copy_structure(V1);
    {
     cl_object V7;
     V7 = cl_nreverse(V4);
     ecl_structure_set(V6,VV[24],3,V7);
    }
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L44:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "cmp/cmpc-inliner.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl9h7X4pa7_kGNgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPC-INLINER.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecl9h7X4pa7_kGNgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[26]);                           /*  INLINED-ARG-LOC */
 ecl_cmp_defun(VV[27]);                           /*  INLINED-ARG-TYPE */
 ecl_cmp_defun(VV[28]);                           /*  INLINED-ARG-REP-TYPE */
 ecl_cmp_defmacro(VV[30]);                        /*  DEFINE-C-INLINER */
 ecl_cmp_defun(VV[31]);                           /*  APPLY-INLINER   */
 ecl_cmp_defun(VV[32]);                           /*  DEFAULT-C-INLINER */
 ecl_cmp_defun(VV[33]);                           /*  INLINE-FUNCTION */
 ecl_cmp_defun(VV[35]);                           /*  APPLY-INLINE-INFO */
 ecl_cmp_defun(VV[44]);                           /*  CHOOSE-INLINE-INFO */
 (void)0; /* No entry created for GET-INLINE-INFO */
 ecl_cmp_defun(VV[49]);                           /*  TO-FIXNUM-FLOAT-TYPE */
 ecl_cmp_defun(VV[50]);                           /*  MAXIMUM-FLOAT-TYPE */
 ecl_cmp_defun(VV[51]);                           /*  INLINE-TYPE-MATCHES */
}
