/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPCALL.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpcall.eclh"
/*	function definition for UNOPTIMIZED-LONG-CALL                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1unoptimized_long_call(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  FRAME           */
   V3 = cl_gensym(0);
   {
    cl_object V4;                                 /*  I               */
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
    V5 = V2;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     T2 = cl_list(3, VV[1], V3, V4);
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   T1 = cl_list(3, ECL_SYM("APPLY-FROM-STACK-FRAME",1614), V3, V1);
   T2 = ecl_list1(T1);
   T3 = ecl_append(T0,T2);
   value0 = cl_listX(3, VV[0], V3, T3);
   return value0;
  }
 }
}
/*	function definition for UNOPTIMIZED-FUNCALL                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2unoptimized_funcall(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V3;                                  /*  L               */
   V3 = ecl_length(V2);
   if (!((V3)<=(63))) { goto L2; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[43])(1, V1) /*  C1EXPR   */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[44])(1, V2) /*  C1ARGS*  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[45])(8, ECL_SYM("FUNCALL",394), VV[3], ECL_T, VV[4], ECL_T, VV[5], T0, T1) /*  MAKE-C1FORM* */;
   return value0;
L2:;
   value0 = L1unoptimized_long_call(V1, V2);
   return value0;
  }
 }
}
/*	function definition for C1FUNCALL                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3c1funcall(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[47])(3, ECL_SYM("FUNCALL",394), V1, ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object V2;                                  /*  LET1688         */
   cl_object V3;                                  /*  LET1689         */
   cl_object V4;                                  /*  FUN             */
   cl_object V5;                                  /*  FD              */
   V2 = ecl_car(V1);
   V3 = ecl_cdr(V1);
   V4 = V2;
   V5 = ECL_NIL;
   if (!(ECL_CONSP(V4))) { goto L6; }
   T0 = ecl_car(V4);
   if (!((T0)==(ECL_SYM("LAMBDA",452)))) { goto L6; }
   T0 = ecl_cdr(V4);
   value0 = ecl_function_dispatch(cl_env_copy,VV[48])(3, T0, V3, ECL_NIL) /*  OPTIMIZE-FUNCALL/APPLY-LAMBDA */;
   return value0;
L6:;
   if (!(ECL_CONSP(V4))) { goto L9; }
   T0 = ecl_car(V4);
   if (!((T0)==(ECL_SYM("LAMBDA-BLOCK",1339)))) { goto L9; }
   V4 = cl_macroexpand_1(1, V4);
   T0 = ecl_cdr(V4);
   value0 = ecl_function_dispatch(cl_env_copy,VV[48])(3, T0, V3, ECL_NIL) /*  OPTIMIZE-FUNCALL/APPLY-LAMBDA */;
   return value0;
L9:;
   if (!(ECL_ATOM(V4))) { goto L14; }
   value0 = L2unoptimized_funcall(V4, V3);
   return value0;
L14:;
   {
    cl_object V6;                                 /*  NAME            */
    V6 = ecl_car(V4);
    if (!(ECL_SYMBOLP(V6))) { goto L21; }
    if ((V6)==(ECL_SYM("THE",856))) { goto L21; }
    V5 = ecl_function_dispatch(cl_env_copy,VV[49])(1, V6) /*  CMP-MACRO-FUNCTION */;
    goto L19;
L21:;
    V5 = ECL_NIL;
    goto L19;
L19:;
    if (Null(V5)) { goto L16; }
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[50])(2, V5, V4) /*  CMP-EXPAND-MACRO */;
   V1 = CONS(T0,V3);
   goto TTL;
L16:;
   T0 = ecl_car(V4);
   if ((T0)==(ECL_SYM("FUNCTION",396))) { goto L26; }
   value0 = L2unoptimized_funcall(V4, V3);
   return value0;
L26:;
   V4 = ecl_cadr(V4);
   if (Null(si_valid_function_name_p(V4))) { goto L28; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[51])(3, V4, V3, ECL_NIL) /*  C1CALL */;
   return value0;
L28:;
   if (!(ECL_CONSP(V4))) { goto L31; }
   T0 = ecl_car(V4);
   if (!((T0)==(ECL_SYM("LAMBDA",452)))) { goto L31; }
   T0 = ecl_cdr(V4);
   value0 = ecl_function_dispatch(cl_env_copy,VV[48])(3, T0, V3, ECL_NIL) /*  OPTIMIZE-FUNCALL/APPLY-LAMBDA */;
   return value0;
L31:;
   if (!(ECL_CONSP(V4))) { goto L34; }
   T0 = ecl_car(V4);
   if (!((T0)==(ECL_SYM("LAMBDA-BLOCK",1339)))) { goto L34; }
   V4 = cl_macroexpand_1(1, V4);
   T0 = ecl_cdr(V4);
   value0 = ecl_function_dispatch(cl_env_copy,VV[48])(3, T0, V3, ECL_NIL) /*  OPTIMIZE-FUNCALL/APPLY-LAMBDA */;
   return value0;
L34:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[52])(2, _ecl_static_1, V4) /*  CMPERR */;
   return value0;
  }
 }
}
/*	function definition for C2FUNCALL                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4c2funcall(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  FORM-TYPE       */
   cl_object V5;                                  /*  FUNCTION-P      */
   cl_object V6;                                  /*  LOC             */
   ecl_bds_bind(cl_env_copy,VV[8],ecl_make_fixnum(0)); /*  *INLINE-BLOCKS* */
   ecl_bds_push(cl_env_copy,VV[9]);               /*  *TEMP*          */
   V4 = ecl_function_dispatch(cl_env_copy,VV[54])(1, V2) /*  C1FORM-PRIMARY-TYPE */;
   if (Null(cl_subtypep(2, V4, ECL_SYM("FUNCTION",396)))) { goto L4; }
   V5 = ecl_function_dispatch(cl_env_copy,VV[55])(0) /*  POLICY-ASSUME-RIGHT-TYPE */;
   goto L2;
L4:;
   V5 = ECL_NIL;
   goto L2;
L2:;
   V6 = L10maybe_save_value(2, V2, V3);
   T0 = ecl_function_dispatch(cl_env_copy,VV[56])(1, V3) /*  INLINE-ARGS */;
   T1 = L9call_unknown_global_loc(4, ECL_NIL, V6, T0, V5);
   ecl_function_dispatch(cl_env_copy,VV[57])(1, T1) /*  UNWIND-EXIT   */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[58])(0) /*  CLOSE-INLINE-BLOCKS */;
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	function definition for C2CALL-GLOBAL                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5c2call_global(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  FUN             */
   {
    cl_object V5;
    cl_object V6;
    V5 = ecl_symbol_value(VV[11]);
    V6 = si_make_seq_iterator(2, V5, ecl_make_fixnum(0));
L4:;
    if ((V6)!=ECL_NIL) { goto L6; }
    V4 = ECL_NIL;
    goto L1;
L6:;
    {
     cl_object V7;
     V7 = si_seq_iterator_ref(V5, V6);
     T0 = ecl_function_dispatch(cl_env_copy,VV[60])(1, V7) /*  FUN-NAME */;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[61])(2, V2, T0) /*  SAME-FNAME-P */)) { goto L8; }
     V4 = V7;
     goto L1;
    }
L8:;
    V6 = si_seq_iterator_next(V5, V6);
    goto L4;
   }
L1:;
   if (Null(V4)) { goto L13; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[62])(2, V4, V3) /*  C2TRY-TAIL-RECURSIVE-CALL */)) { goto L13; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L13:;
   ecl_bds_bind(cl_env_copy,VV[8],ecl_make_fixnum(0)); /*  *INLINE-BLOCKS* */
   ecl_bds_push(cl_env_copy,VV[9]);               /*  *TEMP*          */
   T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[63])(1, ecl_symbol_value(VV[12])) /*  LOC-TYPE */;
   T2 = L6call_global_loc(V2, V4, V3, T0, T1);
   ecl_function_dispatch(cl_env_copy,VV[57])(1, T2) /*  UNWIND-EXIT   */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[58])(0) /*  CLOSE-INLINE-BLOCKS */;
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	function definition for CALL-GLOBAL-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6call_global_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (V2==ECL_NIL) { goto L4; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[65])(1, V2) /*  FUN-GLOBAL */)) { goto L1; }
  goto L3;
L4:;
L3:;
  if ((ecl_function_dispatch(cl_env_copy,VV[66])(1, V1) /*  INLINE-POSSIBLE */)!=ECL_NIL) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[56])(1, V3) /*  INLINE-ARGS */;
  value0 = L9call_unknown_global_loc(3, V1, ECL_NIL, T0);
  return value0;
L1:;
  V3 = ecl_function_dispatch(cl_env_copy,VV[56])(1, V3) /*  INLINE-ARGS */;
  {
   cl_object V6;                                  /*  INLINE-LOC      */
   T0 = ecl_function_dispatch(cl_env_copy,VV[67])(2, V4, V5) /*  TYPE-AND */;
   V6 = ecl_function_dispatch(cl_env_copy,VV[68])(3, V1, T0, V3) /*  APPLY-INLINER */;
   if (Null(V6)) { goto L8; }
   value0 = V6;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L8:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[69])(0) /*  POLICY-USE-DIRECT-C-CALL */)) { goto L11; }
  if ((ecl_function_dispatch(cl_env_copy,VV[70])(1, V2) /*  FUN-P     */)!=ECL_NIL) { goto L14; }
  if (!(V2==ECL_NIL)) { goto L11; }
  {
   cl_object V6;
   cl_object V7;
   V6 = ecl_symbol_value(VV[11]);
   V7 = si_make_seq_iterator(2, V6, ecl_make_fixnum(0));
L20:;
   if ((V7)!=ECL_NIL) { goto L22; }
   V2 = ECL_NIL;
   goto L17;
L22:;
   {
    cl_object V8;
    V8 = si_seq_iterator_ref(V6, V7);
    T0 = ecl_function_dispatch(cl_env_copy,VV[60])(1, V8) /*  FUN-NAME */;
    if (Null(ecl_function_dispatch(cl_env_copy,VV[61])(2, V1, T0) /*  SAME-FNAME-P */)) { goto L24; }
    V2 = V8;
    goto L17;
   }
L24:;
   V7 = si_seq_iterator_next(V6, V7);
   goto L20;
  }
L17:;
  if (Null(V2)) { goto L11; }
  goto L12;
L14:;
L12:;
  value0 = L7call_loc(V1, V2, V3, V4);
  return value0;
L11:;
  if (ECL_SYMBOLP(V1)) { goto L29; }
  value0 = L9call_unknown_global_loc(3, V1, ECL_NIL, V3);
  return value0;
L29:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[69])(0) /*  POLICY-USE-DIRECT-C-CALL */)) { goto L31; }
  {
   cl_object V6;                                  /*  FD              */
   V6 = si_get_sysprop(V1, VV[14]);
   if (Null(V6)) { goto L31; }
   cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[71])(1, V1) /*  GET-PROCLAIMED-NARG */;
   {
    cl_object V8;                                 /*  MINARG          */
    cl_object V9;                                 /*  MAXARG          */
    {
     int V10 = cl_env_copy->nvalues-0;
     if (V10--<=0) goto L36;
     V8 = cl_env_copy->values[0];
     if (V10--<=0) goto L37;
     V9 = cl_env_copy->values[1];
     goto L38;
    }
L36:;
    V8 = ECL_NIL;
L37:;
    V9 = ECL_NIL;
L38:;
    T0 = ecl_memql(V1,ecl_symbol_value(VV[15]));
    value0 = L8call_exported_function_loc(V1, V3, V6, V8, V9, T0, V4);
    return value0;
   }
  }
L31:;
  cl_env_copy->values[0] = si_mangle_name(2, V1, ECL_T);
  {
   cl_object V7;                                  /*  FOUND           */
   cl_object V8;                                  /*  FD              */
   cl_object V9;                                  /*  MINARG          */
   cl_object V10;                                 /*  MAXARG          */
   {
    int V11 = cl_env_copy->nvalues-0;
    if (V11--<=0) goto L42;
    V7 = cl_env_copy->values[0];
    if (V11--<=0) goto L43;
    V8 = cl_env_copy->values[1];
    if (V11--<=0) goto L44;
    V9 = cl_env_copy->values[2];
    if (V11--<=0) goto L45;
    V10 = cl_env_copy->values[3];
    goto L46;
   }
L42:;
   V7 = ECL_NIL;
L43:;
   V8 = ECL_NIL;
L44:;
   V9 = ECL_NIL;
L45:;
   V10 = ECL_NIL;
L46:;
   if (Null(V7)) { goto L40; }
   value0 = L8call_exported_function_loc(V1, V3, V8, V9, V10, ECL_T, V4);
   return value0;
  }
L40:;
  value0 = L9call_unknown_global_loc(3, V1, ECL_NIL, V3);
  return value0;
 }
}
/*	function definition for CALL-LOC                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7call_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[73])(1, V3) /*  COERCE-LOCS */;
  value0 = cl_list(4, VV[17], V2, T0, V4);
  return value0;
 }
}
/*	function definition for CALL-EXPORTED-FUNCTION-LOC            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8call_exported_function_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V6)!=ECL_NIL) { goto L1; }
  cl_env_copy->values[0] = cl_gethash(2, V3, ecl_symbol_value(VV[19]));
  {
   cl_object V9;                                  /*  VAL             */
   cl_object V10;                                 /*  DECLARED        */
   V9 = cl_env_copy->values[0];
   V10 = cl_env_copy->values[1];
   if ((V10)!=ECL_NIL) { goto L1; }
   if (!(ecl_number_equalp(V5,V4))) { goto L6; }
   ecl_function_dispatch(cl_env_copy,VV[75])(3, _ecl_static_2, V3, _ecl_static_3) /*  WT-NL-H */;
   {
    cl_object V11;                                /*  I               */
    V11 = ecl_make_fixnum(0);
    goto L12;
L11:;
    if (!(ecl_number_compare(V11,ecl_make_fixnum(0))>0)) { goto L14; }
    ecl_function_dispatch(cl_env_copy,VV[76])(1, _ecl_static_4) /*  WT-H1 */;
L14:;
    ecl_function_dispatch(cl_env_copy,VV[76])(1, _ecl_static_5) /*  WT-H1 */;
    V11 = ecl_one_plus(V11);
L12:;
    if (!(ecl_number_compare(V11,V5)<0)) { goto L19; }
    goto L11;
L19:;
   }
   ecl_function_dispatch(cl_env_copy,VV[76])(1, _ecl_static_6) /*  WT-H1 */;
   goto L5;
L6:;
   ecl_function_dispatch(cl_env_copy,VV[75])(1, _ecl_static_7) /*  WT-NL-H */;
   ecl_function_dispatch(cl_env_copy,VV[75])(3, _ecl_static_2, V3, _ecl_static_8) /*  WT-NL-H */;
   ecl_function_dispatch(cl_env_copy,VV[75])(1, _ecl_static_9) /*  WT-NL-H */;
   ecl_function_dispatch(cl_env_copy,VV[75])(3, _ecl_static_2, V3, _ecl_static_10) /*  WT-NL-H */;
   ecl_function_dispatch(cl_env_copy,VV[75])(1, _ecl_static_11) /*  WT-NL-H */;
L5:;
   si_hash_set(V3, ecl_symbol_value(VV[19]), ecl_make_fixnum(1));
  }
L1:;
  {
   cl_object V8;                                  /*  FUN             */
   V8 = ecl_function_dispatch(cl_env_copy,VV[77])(12, ECL_SYM("NAME",1273), V1, VV[20], ECL_T, VV[21], V3, VV[22], ECL_NIL, VV[23], V4, VV[24], V5) /*  MAKE-FUN */;
   value0 = L7call_loc(V1, V8, V2, V7);
   return value0;
  }
 }
}
/*	function definition for CALL-UNKNOWN-GLOBAL-LOC               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9call_unknown_global_loc(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((V2)!=ECL_NIL) { goto L2; }
  if (!(ECL_SYMBOLP(V1))) { goto L4; }
  T0 = cl_symbol_package(V1);
  T1 = cl_find_package(_ecl_static_12);
  if ((T0)==(T1)) { goto L4; }
  V2 = ecl_function_dispatch(cl_env_copy,VV[79])(1, V1) /*  ADD-SYMBOL */;
  V4 = ECL_NIL;
  goto L2;
L4:;
  V2 = cl_list(2, ECL_SYM("FDEFINITION",349), V1);
  V4 = ECL_T;
L2:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[73])(1, V3) /*  COERCE-LOCS */;
  value0 = cl_list(5, VV[26], V2, T0, V1, V4);
  return value0;
 }
}
/*	function definition for MAYBE-SAVE-VALUE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10maybe_save_value(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
    V3 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
    V3 = ECL_T;
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  NAME            */
   V4 = ecl_function_dispatch(cl_env_copy,VV[81])(1, V1) /*  C1FORM-NAME */;
   if (!((V4)==(ECL_SYM("LOCATION",1762)))) { goto L3; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[82])(1, V1) /*  C1FORM-ARGS */;
   value0 = ecl_car(T0);
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   if (!((V4)==(VV[28]))) { goto L5; }
   if (Null(V3)) { goto L5; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[82])(1, V1) /*  C1FORM-ARGS */;
   T1 = ecl_car(T0);
   if ((ecl_function_dispatch(cl_env_copy,VV[83])(2, T1, V2) /*  VAR-CHANGED-IN-FORM-LIST */)!=ECL_NIL) { goto L5; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[82])(1, V1) /*  C1FORM-ARGS */;
   value0 = ecl_car(T0);
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   {
    cl_object V5;                                 /*  TEMP            */
    V5 = ecl_function_dispatch(cl_env_copy,VV[84])(0) /*  MAKE-TEMP-VAR */;
    ecl_bds_bind(cl_env_copy,VV[12],V5);          /*  *DESTINATION*   */
    ecl_function_dispatch(cl_env_copy,VV[85])(1, V1) /*  C2EXPR*      */;
    value0 = V5;
    cl_env_copy->nvalues = 1;
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
  }
 }
}
/*	function definition for ENV-VAR-NAME                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11env_var_name(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_nth(ecl_to_size(V1),ecl_symbol_value(VV[31]));
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = cl_format(3, ECL_NIL, _ecl_static_13, V1);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for WT-STACK-POINTER                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12wt_stack_pointer(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[88])(2, _ecl_static_14, V1) /*  WT */;
  return value0;
 }
}
/*	function definition for WT-CALL                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13wt_call(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V4)) { goto L4; }
  cl_set(VV[34],ECL_T);
  ecl_function_dispatch(cl_env_copy,VV[88])(3, _ecl_static_15, V4, _ecl_static_16) /*  WT */;
  L13wt_call(2, V1, V2);
  ecl_function_dispatch(cl_env_copy,VV[88])(1, _ecl_static_17) /*  WT */;
  goto L3;
L4:;
  ecl_function_dispatch(cl_env_copy,VV[88])(2, V1, _ecl_static_3) /*  WT */;
  {
   cl_object V5;                                  /*  COMMA           */
   V5 = _ecl_static_18;
   {
    cl_object V6;
    V6 = V2;
    goto L16;
L15:;
    {
     cl_object V7;                                /*  ARG             */
     V7 = ecl_car(V6);
     ecl_function_dispatch(cl_env_copy,VV[88])(2, V5, V7) /*  WT      */;
     V5 = _ecl_static_19;
    }
    V6 = ecl_cdr(V6);
L16:;
    if (Null(V6)) { goto L25; }
    goto L15;
L25:;
   }
  }
  ecl_function_dispatch(cl_env_copy,VV[88])(1, _ecl_static_17) /*  WT */;
L3:;
  if (Null(V3)) { goto L27; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[90])(1, V3) /*  WT-COMMENT */;
  return value0;
L27:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for WT-CALL-INDIRECT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14wt_call_indirect(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V5;                                  /*  NARG            */
   V5 = ecl_length(V2);
   if (Null(V4)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[88])(4, _ecl_static_20, V1, _ecl_static_21, ecl_make_fixnum(V5)) /*  WT */;
   goto L2;
L3:;
   ecl_function_dispatch(cl_env_copy,VV[88])(4, _ecl_static_22, V1, _ecl_static_23, ecl_make_fixnum(V5)) /*  WT */;
L2:;
   {
    cl_object V6;
    V6 = V2;
    goto L9;
L8:;
    {
     cl_object V7;                                /*  ARG             */
     V7 = ecl_car(V6);
     ecl_function_dispatch(cl_env_copy,VV[88])(2, _ecl_static_19, V7) /*  WT */;
    }
    V6 = ecl_cdr(V6);
L9:;
    if (Null(V6)) { goto L16; }
    goto L8;
L16:;
   }
   ecl_function_dispatch(cl_env_copy,VV[88])(1, _ecl_static_17) /*  WT */;
   if (Null(V3)) { goto L19; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[90])(1, V3) /*  WT-COMMENT */;
   return value0;
L19:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for WT-CALL-NORMAL                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15wt_call_normal(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_function_dispatch(cl_env_copy,VV[93])(1, V1) /*  FUN-CFUN  */)!=ECL_NIL) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[60])(1, V1) /*  FUN-NAME  */;
  ecl_function_dispatch(cl_env_copy,VV[94])(2, _ecl_static_24, T0) /*  BABOON */;
L1:;
  {
   cl_object V4;                                  /*  MINARG          */
   cl_object V5;                                  /*  MAXARG          */
   cl_object V6;                                  /*  FUN-C-NAME      */
   cl_object V7;                                  /*  FUN-LISP-NAME   */
   cl_fixnum V8;                                  /*  NARG            */
   cl_object V9;                                  /*  ENV             */
   V4 = ecl_function_dispatch(cl_env_copy,VV[95])(1, V1) /*  FUN-MINARG */;
   V5 = ecl_function_dispatch(cl_env_copy,VV[96])(1, V1) /*  FUN-MAXARG */;
   V6 = ecl_function_dispatch(cl_env_copy,VV[93])(1, V1) /*  FUN-CFUN */;
   V7 = ecl_function_dispatch(cl_env_copy,VV[60])(1, V1) /*  FUN-NAME */;
   V8 = ecl_length(V2);
   V9 = ECL_NIL;
   {
    cl_object V10;
    V10 = ecl_function_dispatch(cl_env_copy,VV[97])(1, V1) /*  FUN-CLOSURE */;
    if (!((V10)==(VV[37]))) { goto L11; }
    V9 = ecl_function_dispatch(cl_env_copy,VV[98])(1, V1) /*  ENVIRONMENT-ACCESSOR */;
    goto L9;
L11:;
    if (!((V10)==(VV[38]))) { goto L9; }
    {
     cl_object V11;                               /*  LEX-LVL         */
     V11 = ecl_function_dispatch(cl_env_copy,VV[99])(1, V1) /*  FUN-LEVEL */;
     {
      cl_object V12;                              /*  N               */
      V12 = ecl_make_fixnum(0);
      goto L18;
L17:;
      {
       cl_object V13;                             /*  J               */
       cl_object V14;                             /*  X               */
       T0 = ecl_minus(V11,V12);
       V13 = ecl_minus(T0,ecl_make_fixnum(1));
       V14 = ecl_nth(ecl_to_size(V13),ecl_symbol_value(VV[30]));
       if ((V14)!=ECL_NIL) { goto L23; }
       V14 = cl_format(3, ECL_NIL, _ecl_static_25, V13);
       {
        cl_object V15;
        V15 = ecl_symbol_value(VV[30]);
        {
         cl_object V16;
         V16 = ecl_nthcdr(ecl_to_size(V12),V15);
         if (ecl_unlikely(ECL_ATOM(V16))) FEtype_error_cons(V16);
         T0 = V16;
        }
        (ECL_CONS_CAR(T0)=V14,T0);
       }
L23:;
       V2 = CONS(V14,V2);
      }
      V12 = ecl_one_plus(V12);
L18:;
      if (!(ecl_number_compare(V12,V11)<0)) { goto L35; }
      goto L17;
L35:;
     }
    }
   }
L9:;
   if ((cl_LE(3, V4, ecl_make_fixnum(V8), V5))!=ECL_NIL) { goto L37; }
   value0 = V7;
   if ((value0)!=ECL_NIL) { goto L41; }
   T0 = VV[39];
   goto L39;
L41:;
   T0 = value0;
   goto L39;
L39:;
   ecl_function_dispatch(cl_env_copy,VV[52])(2, _ecl_static_26, T0) /*  CMPERR */;
L37:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[100])(1, V1) /*  FUN-NEEDS-NARG */)) { goto L43; }
   V2 = CONS(ecl_make_fixnum(V8),V2);
L43:;
   value0 = L13wt_call(4, V6, V2, ECL_NIL, V9);
   return value0;
  }
 }
}

#include "cmp/cmpcall.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclUwhkr6a7_qzNgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPCALL.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclUwhkr6a7_qzNgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[41]);                           /*  UNOPTIMIZED-LONG-CALL */
 ecl_cmp_defun(VV[42]);                           /*  UNOPTIMIZED-FUNCALL */
 ecl_cmp_defun(VV[46]);                           /*  C1FUNCALL       */
 ecl_cmp_defun(VV[53]);                           /*  C2FUNCALL       */
 ecl_cmp_defun(VV[59]);                           /*  C2CALL-GLOBAL   */
 ecl_cmp_defun(VV[64]);                           /*  CALL-GLOBAL-LOC */
 ecl_cmp_defun(VV[72]);                           /*  CALL-LOC        */
 ecl_cmp_defun(VV[74]);                           /*  CALL-EXPORTED-FUNCTION-LOC */
 ecl_cmp_defun(VV[78]);                           /*  CALL-UNKNOWN-GLOBAL-LOC */
 ecl_cmp_defun(VV[80]);                           /*  MAYBE-SAVE-VALUE */
 si_Xmake_special(VV[30]);
 if (ecl_boundp(cl_env_copy,VV[30])) { goto L43; }
 cl_set(VV[30],VVtemp[0]);
L43:;
 si_Xmake_special(VV[31]);
 if (ecl_boundp(cl_env_copy,VV[31])) { goto L50; }
 cl_set(VV[31],VVtemp[1]);
L50:;
 ecl_cmp_defun(VV[86]);                           /*  ENV-VAR-NAME    */
 ecl_cmp_defun(VV[87]);                           /*  WT-STACK-POINTER */
 ecl_cmp_defun(VV[89]);                           /*  WT-CALL         */
 ecl_cmp_defun(VV[91]);                           /*  WT-CALL-INDIRECT */
 ecl_cmp_defun(VV[92]);                           /*  WT-CALL-NORMAL  */
}
