/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPFFI.LSP                                    */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpffi.eclh"
/*	function definition for C-NUMBER-REP-TYPE-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1c_number_rep_type_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_memql(V1,VV[5]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for C-INTEGER-REP-TYPE-P                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2c_integer_rep_type_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_memql(V1,VV[7]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for C-INTEGER-REP-TYPE-BITS               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3c_integer_rep_type_bits(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_assql(V1,ecl_symbol_value(VV[0]));
  T1 = ecl_cdr(T0);
  value0 = cl_abs(T1);
  return value0;
 }
}
/*	function definition for C-NUMBER-TYPE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4c_number_type_p(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L9lisp_type__rep_type(V1);
  value0 = L1c_number_rep_type_p(T0);
  return value0;
 }
}
/*	function definition for C-INTEGER-TYPE-P                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5c_integer_type_p(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L9lisp_type__rep_type(V1);
  value0 = L2c_integer_rep_type_p(T0);
  return value0;
 }
}
/*	function definition for C-INTEGER-TYPE-BITS                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6c_integer_type_bits(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L9lisp_type__rep_type(V1);
  value0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, T0) /*  C-NUMBER-REP-TYPE-BITS */;
  return value0;
 }
}
/*	function definition for REP-TYPE-RECORD                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7rep_type_record(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_gethash(2, V1, ecl_symbol_value(VV[4]));
  return value0;
 }
}
/*	function definition for REP-TYPE->LISP-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8rep_type__lisp_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  OUTPUT          */
   V2 = L7rep_type_record(V1);
   if (Null(V2)) { goto L2; }
   if (!((V1)==(ECL_SYM("VOID",1381)))) { goto L4; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   value0 = ecl_car(V2);
   if ((value0)!=ECL_NIL) { goto L7; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_1, V1) /*  CMPERR */;
   return value0;
L7:;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   if (Null(L11lisp_type_p(V1))) { goto L9; }
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
L9:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_2, V1) /*  CMPERR */;
   return value0;
  }
 }
}
/*	function definition for LISP-TYPE->REP-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9lisp_type__rep_type(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ECL_SYM("OBJECT",1278);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(L7rep_type_record(V1))) { goto L3; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  {
   cl_object V2;                                  /*  L               */
   V2 = ecl_symbol_value(VV[3]);
   goto L8;
L7:;
   T0 = ecl_cadr(V2);
   T1 = ecl_car(T0);
   if (Null(cl_subtypep(2, V1, T1))) { goto L10; }
   value0 = ecl_car(V2);
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   V2 = ecl_cddr(V2);
L8:;
   if (ecl_endp(V2)) { goto L14; }
   goto L7;
L14:;
   value0 = ECL_SYM("OBJECT",1278);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for REP-TYPE-NAME                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10rep_type_name(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L7rep_type_record(V1);
  value0 = ecl_cadr(T0);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_3, V1) /*  CMPERR */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LISP-TYPE-P                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11lisp_type_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_subtypep(2, V1, ECL_T);
  return value0;
 }
}
/*	function definition for WT-TO-OBJECT-CONVERSION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12wt_to_object_conversion(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(V2))) { goto L1; }
  {
   cl_object V3;
   V3 = ecl_car(V2);
   if (!((V3)==(VV[18]))) { goto L8; }
   goto L5;
   goto L6;
L8:;
   goto L6;
L6:;
   if (!((V3)==(VV[20]))) { goto L12; }
   goto L5;
   goto L10;
L12:;
   goto L10;
L10:;
   if (!((V3)==(VV[22]))) { goto L1; }
   goto L2;
L5:;
  }
L2:;
  T0 = ecl_caddr(V2);
  ecl_function_dispatch(cl_env_copy,VV[102])(1, T0) /*  WT            */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V3;                                  /*  X               */
   T0 = L7rep_type_record(V1);
   V3 = ecl_caddr(T0);
   if ((V3)!=ECL_NIL) { goto L17; }
   ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_4, V1) /*  CMPERR */;
L17:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[102])(4, V3, _ecl_static_5, V2, _ecl_static_6) /*  WT */;
   return value0;
  }
 }
}
/*	function definition for WT-FROM-OBJECT-CONVERSION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13wt_from_object_conversion(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V5;                                  /*  X               */
   T0 = L7rep_type_record(V3);
   V5 = ecl_cdddr(T0);
   if ((V5)!=ECL_NIL) { goto L2; }
   ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_7, V3) /*  CMPERR */;
L2:;
   if ((ecl_function_dispatch(cl_env_copy,VV[104])(0) /*  POLICY-ASSUME-NO-ERRORS */)!=ECL_NIL) { goto L7; }
   if (Null(cl_subtypep(2, V2, V1))) { goto L5; }
   goto L6;
L7:;
L6:;
   T0 = ecl_cadr(V5);
   goto L4;
L5:;
   T0 = ecl_car(V5);
L4:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[102])(4, T0, _ecl_static_5, V4, _ecl_static_6) /*  WT */;
   return value0;
  }
 }
}
/*	function definition for LOC-MOVABLE-P                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14loc_movable_p(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_ATOM(V1))) { goto L1; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V2;
   V2 = ecl_car(V1);
   if (!((V2)==(VV[26]))) { goto L9; }
   goto L6;
   goto L7;
L9:;
   goto L7;
L7:;
   if (!((V2)==(VV[28]))) { goto L4; }
   goto L5;
L6:;
L5:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   if (!((V2)==(ECL_SYM("C-INLINE",1969)))) { goto L12; }
   T0 = ecl_cddddr(V1);
   T1 = ecl_car(T0);
   value0 = Null(T1)?ECL_T:ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOC-TYPE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15loc_type(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ECL_NIL))) { goto L1; }
  value0 = ECL_SYM("NULL",605);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[107])(1, V1) /*  VAR-P */)) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[108])(1, V1) /*  VAR-TYPE */;
  return value0;
L3:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[109])(1, V1) /*  VV-P */)) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[110])(1, V1) /*  VV-TYPE */;
  return value0;
L5:;
  if (!(ECL_FIXNUMP(V1))) { goto L7; }
  value0 = ECL_SYM("FIXNUM",372);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!(ECL_ATOM(V1))) { goto L9; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  {
   cl_object V2;
   V2 = ecl_car(V1);
   if (!((V2)==(VV[32]))) { goto L12; }
   value0 = ECL_SYM("FIXNUM",372);
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   if (!((V2)==(VV[33]))) { goto L14; }
   T0 = ecl_cadr(V1);
   T1 = cl_code_char(T0);
   value0 = cl_type_of(T1);
   return value0;
L14:;
   if (!((V2)==(VV[20]))) { goto L16; }
   value0 = ECL_SYM("DOUBLE-FLOAT",315);
   cl_env_copy->nvalues = 1;
   return value0;
L16:;
   if (!((V2)==(VV[18]))) { goto L18; }
   value0 = ECL_SYM("SINGLE-FLOAT",778);
   cl_env_copy->nvalues = 1;
   return value0;
L18:;
   if (!((V2)==(VV[22]))) { goto L20; }
   value0 = ECL_SYM("LONG-FLOAT",508);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   if (!((V2)==(ECL_SYM("C-INLINE",1969)))) { goto L22; }
   {
    cl_object V3;                                 /*  TYPE            */
    T0 = ecl_cadr(V1);
    V3 = ecl_car(T0);
    if (!(ECL_CONSP(V3))) { goto L25; }
    T0 = ecl_car(V3);
    if (!((T0)==(ECL_SYM("VALUES",895)))) { goto L25; }
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
L25:;
    if (Null(L11lisp_type_p(V3))) { goto L28; }
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
L28:;
    value0 = L8rep_type__lisp_type(V3);
    return value0;
   }
L22:;
   if (!((V2)==(VV[34]))) { goto L30; }
   T0 = ecl_cadr(V1);
   value0 = ecl_function_dispatch(cl_env_copy,VV[108])(1, T0) /*  VAR-TYPE */;
   return value0;
L30:;
   if (!((V2)==(VV[35]))) { goto L32; }
   value0 = ecl_caddr(V1);
   if ((value0)!=ECL_NIL) { goto L35; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L35:;
   cl_env_copy->nvalues = 1;
   return value0;
L32:;
   if (!((V2)==(ECL_SYM("THE",856)))) { goto L37; }
   value0 = ecl_cadr(V1);
   cl_env_copy->nvalues = 1;
   return value0;
L37:;
   if (!((V2)==(VV[36]))) { goto L39; }
   value0 = ecl_cadddr(V1);
   cl_env_copy->nvalues = 1;
   return value0;
L39:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOC-REPRESENTATION-TYPE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16loc_representation_type(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ECL_NIL))) { goto L6; }
  goto L3;
  goto L4;
L6:;
  goto L4;
L4:;
  if (!(ecl_eql(V1,ECL_T))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = ECL_SYM("OBJECT",1278);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[107])(1, V1) /*  VAR-P */)) { goto L9; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[112])(1, V1) /*  VAR-REP-TYPE */;
  return value0;
L9:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[109])(1, V1) /*  VV-P */)) { goto L11; }
  value0 = ECL_SYM("OBJECT",1278);
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  if (!(ECL_FIXNUMP(V1))) { goto L13; }
  value0 = ECL_SYM("FIXNUM",1367);
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  if (!((V1)==(VV[40]))) { goto L15; }
  value0 = ECL_SYM("VOID",1381);
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  if (!(ECL_ATOM(V1))) { goto L17; }
  value0 = ECL_SYM("OBJECT",1278);
  cl_env_copy->nvalues = 1;
  return value0;
L17:;
  {
   cl_object V2;
   V2 = ecl_car(V1);
   if (!((V2)==(VV[32]))) { goto L20; }
   value0 = ECL_SYM("FIXNUM",1367);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   if (!((V2)==(VV[33]))) { goto L22; }
   T0 = ecl_cadr(V1);
   if (!(ecl_number_compare(T0,ecl_make_fixnum(255))<=0)) { goto L24; }
   value0 = ECL_SYM("UNSIGNED-CHAR",1387);
   cl_env_copy->nvalues = 1;
   return value0;
L24:;
   value0 = VV[41];
   cl_env_copy->nvalues = 1;
   return value0;
L22:;
   if (!((V2)==(VV[20]))) { goto L26; }
   value0 = ECL_SYM("DOUBLE",1366);
   cl_env_copy->nvalues = 1;
   return value0;
L26:;
   if (!((V2)==(VV[18]))) { goto L28; }
   value0 = ECL_SYM("FLOAT",1368);
   cl_env_copy->nvalues = 1;
   return value0;
L28:;
   if (!((V2)==(VV[22]))) { goto L30; }
   value0 = VV[42];
   cl_env_copy->nvalues = 1;
   return value0;
L30:;
   if (!((V2)==(ECL_SYM("C-INLINE",1969)))) { goto L32; }
   {
    cl_object V3;                                 /*  TYPE            */
    T0 = ecl_cadr(V1);
    V3 = ecl_car(T0);
    if (!(ECL_CONSP(V3))) { goto L35; }
    T0 = ecl_car(V3);
    if (!((T0)==(ECL_SYM("VALUES",895)))) { goto L35; }
    value0 = ECL_SYM("OBJECT",1278);
    cl_env_copy->nvalues = 1;
    return value0;
L35:;
    if (Null(L11lisp_type_p(V3))) { goto L38; }
    value0 = L9lisp_type__rep_type(V3);
    return value0;
L38:;
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L32:;
   if (!((V2)==(VV[34]))) { goto L40; }
   T0 = ecl_cadr(V1);
   value0 = ecl_function_dispatch(cl_env_copy,VV[112])(1, T0) /*  VAR-REP-TYPE */;
   return value0;
L40:;
   if (!((V2)==(VV[35]))) { goto L42; }
   value0 = ecl_caddr(V1);
   if ((value0)!=ECL_NIL) { goto L46; }
   T0 = ECL_T;
   goto L44;
L46:;
   T0 = value0;
   goto L44;
L44:;
   value0 = L9lisp_type__rep_type(T0);
   return value0;
L42:;
   if (!((V2)==(VV[43]))) { goto L53; }
   goto L50;
   goto L51;
L53:;
   goto L51;
L51:;
   if (!((V2)==(VV[45]))) { goto L48; }
   goto L49;
L50:;
L49:;
   value0 = VV[47];
   cl_env_copy->nvalues = 1;
   return value0;
L48:;
   if (!((V2)==(ECL_SYM("THE",856)))) { goto L56; }
   V1 = ecl_caddr(V1);
   goto TTL;
L56:;
   value0 = ECL_SYM("OBJECT",1278);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for WT-COERCE-LOC                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19wt_coerce_loc(cl_object V1, cl_object V2)
{
 cl_object T0;
 volatile cl_object lex0[4];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = V1;                                   /*  DEST-REP-TYPE   */
TTL:
  lex0[0] = L9lisp_type__rep_type(lex0[0]);
  T0 = L8rep_type__lisp_type(lex0[0]);
  lex0[1] = T0;                                   /*  DEST-TYPE       */
  T0 = L15loc_type(V2);
  lex0[2] = T0;                                   /*  LOC-TYPE        */
  T0 = L16loc_representation_type(V2);
  lex0[3] = T0;                                   /*  LOC-REP-TYPE    */
  if (!((lex0[0])==(lex0[3]))) { goto L3; }
  ecl_function_dispatch(cl_env_copy,VV[102])(1, V2) /*  WT            */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(ecl_memql(lex0[0],VV[7]))) { goto L6; }
  if (Null(ecl_memql(lex0[3],VV[5]))) { goto L8; }
  T0 = L10rep_type_name(lex0[0]);
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(5, _ecl_static_5, T0, _ecl_static_9, V2, _ecl_static_6) /*  WT */;
  return value0;
L8:;
  if (!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1278)))) { goto L10; }
  LC18ensure_valid_object_type(lex0, lex0[1]);
  value0 = L13wt_from_object_conversion(lex0[1], lex0[2], lex0[0], V2);
  return value0;
L10:;
  value0 = LC17coercion_error(lex0);
  return value0;
L6:;
  if (!(ecl_eql(lex0[0],ECL_SYM("CHAR",1364)))) { goto L19; }
  goto L16;
  goto L17;
L19:;
  goto L17;
L17:;
  if (!(ecl_eql(lex0[0],ECL_SYM("UNSIGNED-CHAR",1387)))) { goto L23; }
  goto L16;
  goto L21;
L23:;
  goto L21;
L21:;
  if (!(ecl_eql(lex0[0],VV[41]))) { goto L14; }
  goto L15;
L16:;
L15:;
  if (!(ecl_eql(lex0[3],ECL_SYM("CHAR",1364)))) { goto L31; }
  goto L28;
  goto L29;
L31:;
  goto L29;
L29:;
  if (!(ecl_eql(lex0[3],ECL_SYM("UNSIGNED-CHAR",1387)))) { goto L35; }
  goto L28;
  goto L33;
L35:;
  goto L33;
L33:;
  if (!(ecl_eql(lex0[3],VV[41]))) { goto L26; }
  goto L27;
L28:;
L27:;
  T0 = L10rep_type_name(lex0[0]);
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(5, _ecl_static_5, T0, _ecl_static_9, V2, _ecl_static_6) /*  WT */;
  return value0;
L26:;
  if (!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1278)))) { goto L38; }
  LC18ensure_valid_object_type(lex0, lex0[1]);
  value0 = L13wt_from_object_conversion(lex0[1], lex0[2], lex0[0], V2);
  return value0;
L38:;
  value0 = LC17coercion_error(lex0);
  return value0;
L14:;
  if (!(ecl_eql(lex0[0],ECL_SYM("FLOAT",1368)))) { goto L47; }
  goto L44;
  goto L45;
L47:;
  goto L45;
L45:;
  if (!(ecl_eql(lex0[0],ECL_SYM("DOUBLE",1366)))) { goto L51; }
  goto L44;
  goto L49;
L51:;
  goto L49;
L49:;
  if (!(ecl_eql(lex0[0],VV[42]))) { goto L42; }
  goto L43;
L44:;
L43:;
  if (Null(ecl_memql(lex0[3],VV[5]))) { goto L54; }
  T0 = L10rep_type_name(lex0[0]);
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(5, _ecl_static_5, T0, _ecl_static_9, V2, _ecl_static_6) /*  WT */;
  return value0;
L54:;
  if (!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1278)))) { goto L56; }
  LC18ensure_valid_object_type(lex0, ECL_SYM("FLOAT",374));
  value0 = L13wt_from_object_conversion(lex0[1], lex0[2], lex0[0], V2);
  return value0;
L56:;
  value0 = LC17coercion_error(lex0);
  return value0;
L42:;
  if (!(ecl_eql(lex0[0],VV[47]))) { goto L60; }
  if (Null(ecl_memql(lex0[3],VV[5]))) { goto L63; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(1, _ecl_static_10) /*  WT */;
  return value0;
L63:;
  if (!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1278)))) { goto L65; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(3, _ecl_static_5, V2, _ecl_static_11) /*  WT */;
  return value0;
L65:;
  value0 = LC17coercion_error(lex0);
  return value0;
L60:;
  if (!(ecl_eql(lex0[0],ECL_SYM("OBJECT",1278)))) { goto L68; }
  value0 = L12wt_to_object_conversion(lex0[3], V2);
  return value0;
L68:;
  if (!(ecl_eql(lex0[0],ECL_SYM("POINTER-VOID",1377)))) { goto L71; }
  if (!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1278)))) { goto L74; }
  value0 = L13wt_from_object_conversion(lex0[1], lex0[2], lex0[0], V2);
  return value0;
L74:;
  if (!(ecl_eql(lex0[3],ECL_SYM("CSTRING",1365)))) { goto L77; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(3, _ecl_static_12, V2, _ecl_static_6) /*  WT */;
  return value0;
L77:;
  value0 = LC17coercion_error(lex0);
  return value0;
L71:;
  if (!(ecl_eql(lex0[0],ECL_SYM("CSTRING",1365)))) { goto L80; }
  value0 = LC17coercion_error(lex0);
  return value0;
L80:;
  if (!(ecl_eql(lex0[0],VV[59]))) { goto L83; }
  if (!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1278)))) { goto L86; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(3, _ecl_static_13, V2, _ecl_static_6) /*  WT */;
  return value0;
L86:;
  if (!(ecl_eql(lex0[3],ECL_SYM("POINTER-VOID",1377)))) { goto L89; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[102])(3, _ecl_static_12, V2, _ecl_static_6) /*  WT */;
  return value0;
L89:;
  value0 = LC17coercion_error(lex0);
  return value0;
L83:;
  value0 = LC17coercion_error(lex0);
  return value0;
 }
}
/*	local function ENSURE-VALID-OBJECT-TYPE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18ensure_valid_object_type(volatile cl_object *lex0, cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("AND",87), lex0[2], V1);
  if (Null(cl_subtypep(2, T0, ECL_NIL))) { goto L1; }
  value0 = LC17coercion_error(lex0);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function COERCION-ERROR                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17coercion_error(volatile cl_object *lex0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[114])(5, _ecl_static_8, lex0[2], lex0[3], lex0[1], lex0[0]) /*  CMPWARN */;
  return value0;
 }
}
/*	function definition for C1CLINES                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20c1clines(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = (ECL_SYM("STRINGP",825)->symbol.gfdef);
  if ((cl_every(2, T0, V1))!=ECL_NIL) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_14, V1) /*  CMPERR */;
L1:;
  T0 = cl_copy_list(V1);
  cl_set(VV[62],ecl_nconc(ecl_symbol_value(VV[62]),T0));
  value0 = VV[63];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for OUTPUT-CLINES                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23output_clines(cl_object volatile V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET2002         */
   cl_object V3;                                  /*  S               */
   cl_object V4;
   V2 = ecl_symbol_value(VV[62]);
   V3 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
   V4 = V2;
L6:;
   if (!(ecl_endp(V4))) { goto L8; }
   goto L7;
L8:;
   V3 = _ecl_car(V4);
   {
    cl_object V5;
    V5 = _ecl_cdr(V4);
    if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
    V4 = V5;
   }
   ecl_terpri(V1);
   {
    cl_object V5;
    V5 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L21:;
    if ((V5)!=ECL_NIL) { goto L23; }
    goto L18;
L23:;
    {
     cl_object V6;
     V6 = si_seq_iterator_ref(V3, V5);
     if (!((ECL_CODE_CHAR((ecl_character)(64))==(V6)))) { goto L25; }
     if (Null(V6)) { goto L18; }
     goto L19;
    }
L25:;
    V5 = si_seq_iterator_next(V3, V5);
    goto L21;
   }
L19:;
   LC22parse_one_string(V3, V1);
   goto L17;
L18:;
   cl_write_string(2, V3, V1);
L17:;
   goto L6;
L7:;
  }
  ecl_terpri(V1);
  cl_set(VV[62],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function PARSE-ONE-STRING                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22parse_one_string(cl_object volatile V1, cl_object volatile V2)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V3;                         /*  STREAM          */
   V3 = cl_make_string_input_stream(3, V1, ecl_make_fixnum(0), ECL_NIL);
   {
    volatile cl_object V4;                        /*  C               */
    V4 = ECL_NIL;
L3:;
    V4 = cl_read_char(3, V3, ECL_NIL, ECL_NIL);
    if ((V4)!=ECL_NIL) { goto L7; }
    goto L4;
L7:;
    if (!((V4)==(CODE_CHAR(64)))) { goto L10; }
    {
     volatile cl_object V5;                       /*  OBJECT          */
     {
      volatile cl_object env1 = env0;
      env1 = ECL_NIL;
      CLV0 = env1 = CONS(ECL_NIL,env1);
      {
       volatile cl_object env2 = env1;
       CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
       if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
       if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L13;
       ecl_internal_error("GO found an inexistent tag");
       }
       {cl_object V6;
        V6 = ECL_NIL;
        V6 = ecl_make_cclosure_va((cl_objectfn)LC21__g44,env2,Cblock);
        T0 = V6;
       }
       T1 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T0);
       T2 = ecl_list1(T1);
       T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
       ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
       value0 = cl_read(1, V3);
       ecl_frs_pop(cl_env_copy);
       V5 = value0;
       ecl_bds_unwind1(cl_env_copy);
       goto L12;
L13:;
       value0 = ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_15, V1) /*  CMPERR */;
       ecl_frs_pop(cl_env_copy);
       V5 = value0;
       goto L12;
      }
     }
L12:;
     ecl_bds_bind(cl_env_copy,VV[65],V2);         /*  *COMPILER-OUTPUT1* */
     T0 = ecl_function_dispatch(cl_env_copy,VV[117])(3, V5, VV[66], ECL_T) /*  ADD-OBJECT */;
     ecl_function_dispatch(cl_env_copy,VV[102])(1, T0) /*  WT         */;
     ecl_bds_unwind1(cl_env_copy);
     goto L9;
    }
L10:;
    cl_write_char(2, V4, V2);
L9:;
    goto L3;
L4:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	closure G44                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21__g44(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for C1C-INLINE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25c1c_inline(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;
   cl_object V3;                                  /*  ARGUMENTS       */
   cl_object V4;                                  /*  ARG-TYPES       */
   cl_object V5;                                  /*  OUTPUT-TYPE     */
   cl_object V6;                                  /*  C-EXPRESSION    */
   cl_object V7;
   cl_object V8;                                  /*  SIDE-EFFECTS    */
   cl_object V9;
   cl_object V10;                                 /*  ONE-LINER       */
   cl_object V11;                                 /*  OUTPUT-REP-TYPE */
   V2 = V1;
   if (!(V2==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V12;
    V12 = ecl_car(V2);
    V2 = ecl_cdr(V2);
    V3 = V12;
   }
   if (!(V2==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V12;
    V12 = ecl_car(V2);
    V2 = ecl_cdr(V2);
    V4 = V12;
   }
   if (!(V2==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V12;
    V12 = ecl_car(V2);
    V2 = ecl_cdr(V2);
    V5 = V12;
   }
   if (!(V2==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V12;
    V12 = ecl_car(V2);
    V2 = ecl_cdr(V2);
    V6 = V12;
   }
   V7 = si_search_keyword(2, V2, VV[68]);
   if (!((V7)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V8 = ECL_T;
   goto L27;
L28:;
   V8 = V7;
L27:;
   V9 = si_search_keyword(2, V2, VV[69]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V10 = ECL_NIL;
   goto L31;
L32:;
   V10 = V9;
L31:;
   V11 = ECL_NIL;
   si_check_keyword(2, V2, VV[70]);
   {
    cl_fixnum V12;
    V12 = ecl_length(V3);
    {
     cl_fixnum V13;
     V13 = ecl_length(V4);
     if ((V12)==(V13)) { goto L36; }
    }
   }
   T0 = CONS(ECL_SYM("C-INLINE",1969),V1);
   ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_16, T0) /*  CMPERR */;
L36:;
   {
    cl_object V12;                                /*  NDX             */
    V12 = cl_position(2, ECL_SYM("CSTRING",1365), V4);
    if (Null(V12)) { goto L38; }
    {
     cl_object V13;                               /*  VAR             */
     cl_object V14;                               /*  ARGUMENTS       */
     cl_object V15;                               /*  VALUE           */
     V13 = cl_gensym(0);
     V14 = cl_copy_list(V3);
     V15 = ecl_elt(V14,ecl_fixnum(V12));
     ecl_elt_set(V14,ecl_to_size(V12),V13);
     ecl_elt_set(V4,ecl_to_size(V12),VV[59]);
     T0 = cl_list(2, V13, V15);
     T1 = cl_listX(6, ECL_SYM("C-INLINE",1969), V14, V4, V5, V6, V2);
     T2 = cl_list(3, ECL_SYM("WITH-CSTRING",2015), T0, T1);
     value0 = ecl_function_dispatch(cl_env_copy,VV[119])(1, T2) /*  C1EXPR */;
     return value0;
    }
   }
L38:;
   if (!((V5)==(ECL_SYM("VOID",1381)))) { goto L47; }
   V11 = ECL_NIL;
   V5 = ECL_NIL;
   goto L46;
L47:;
   if (!(ecl_equal(V5,VV[71]))) { goto L52; }
   V11 = VV[72];
   goto L46;
L52:;
   if (!(ECL_CONSP(V5))) { goto L55; }
   T0 = ecl_car(V5);
   if (!((T0)==(ECL_SYM("VALUES",895)))) { goto L55; }
   {
    cl_object V12;                                /*  X               */
    {
     cl_object V13;                               /*  LET2004         */
     cl_object V14;
     cl_object V15;
     V13 = ecl_cdr(V5);
     V14 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
     V15 = V13;
     {
      cl_object V16;
      cl_object V17;
      V16 = ecl_list1(ECL_NIL);
      V17 = V16;
L65:;
      if (!(ecl_endp(V15))) { goto L67; }
      goto L66;
L67:;
      V14 = _ecl_car(V15);
      {
       cl_object V18;
       V18 = _ecl_cdr(V15);
       if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
       V15 = V18;
      }
      if (ecl_unlikely(ECL_ATOM(V17))) FEtype_error_cons(V17);
      T0 = V17;
      T1 = LC24produce_type_pair(V14);
      V17 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V17,T0);
      goto L65;
L66:;
      V12 = ecl_cdr(V16);
      goto L58;
     }
    }
L58:;
    {
     cl_object V13;
     cl_object V14;
     V13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
     V14 = V12;
     {
      cl_object V15;
      cl_object V16;
      V15 = ecl_list1(ECL_NIL);
      V16 = V15;
L89:;
      if (!(ecl_endp(V14))) { goto L91; }
      goto L90;
L91:;
      V13 = _ecl_car(V14);
      {
       cl_object V17;
       V17 = _ecl_cdr(V14);
       if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
       V14 = V17;
      }
      if (ecl_unlikely(ECL_ATOM(V16))) FEtype_error_cons(V16);
      T0 = V16;
      T1 = ecl_cdr(V13);
      V16 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V16,T0);
      goto L89;
L90:;
      V11 = ecl_cdr(V15);
      goto L83;
     }
    }
L83:;
    {
     cl_object V13;
     cl_object V14;
     V13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
     V14 = V12;
     {
      cl_object V15;
      cl_object V16;
      V15 = ecl_list1(ECL_NIL);
      V16 = V15;
L112:;
      if (!(ecl_endp(V14))) { goto L114; }
      goto L113;
L114:;
      V13 = _ecl_car(V14);
      {
       cl_object V17;
       V17 = _ecl_cdr(V14);
       if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
       V14 = V17;
      }
      if (ecl_unlikely(ECL_ATOM(V16))) FEtype_error_cons(V16);
      T1 = V16;
      T2 = ecl_car(V13);
      V16 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=V16,T1);
      goto L112;
L113:;
      T0 = ecl_cdr(V15);
      goto L106;
     }
    }
L106:;
    V5 = CONS(ECL_SYM("VALUES",895),T0);
    goto L46;
   }
L55:;
   {
    cl_object V13;                                /*  X               */
    V13 = LC24produce_type_pair(V5);
    V5 = ecl_car(V13);
    T0 = ecl_cdr(V13);
    V11 = ecl_list1(T0);
   }
L46:;
   if (!(ECL_LISTP(V3))) { goto L135; }
   if (!(ECL_LISTP(V4))) { goto L135; }
   if (ECL_STRINGP(V6)) { goto L132; }
   goto L133;
L135:;
   goto L133;
L133:;
   T0 = CONS(ECL_SYM("C-INLINE",1969),V1);
   ecl_function_dispatch(cl_env_copy,VV[97])(2, _ecl_static_17, T0) /*  CMPERR */;
L132:;
   {
    cl_object V12;                                /*  PROCESSED-ARGUMENTS */
    cl_object V13;                                /*  PROCESSED-ARG-TYPES */
    V12 = ECL_NIL;
    V13 = ECL_NIL;
    goto L142;
L141:;
    {
     cl_object V14;
     V14 = V4;
     if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
     if (Null(V14)) { goto L153; }
     {
      cl_object V15;
      V15 = ECL_CONS_CDR(V14);
      V4 = V15;
      V14 = ECL_CONS_CAR(V14);
     }
L153:;
     value0 = V14;
    }
    if ((value0)!=ECL_NIL) { goto L148; }
    T0 = ECL_T;
    goto L146;
L148:;
    T0 = value0;
    goto L146;
L146:;
    V13 = CONS(T0,V13);
    {
     cl_object V14;
     V14 = V3;
     if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
     if (Null(V14)) { goto L165; }
     {
      cl_object V15;
      V15 = ECL_CONS_CDR(V14);
      V3 = V15;
      V14 = ECL_CONS_CAR(V14);
     }
L165:;
     T0 = V14;
    }
    T1 = ecl_function_dispatch(cl_env_copy,VV[119])(1, T0) /*  C1EXPR */;
    V12 = CONS(T1,V12);
L142:;
    if (!(ecl_endp(V3))) { goto L174; }
    if (ecl_endp(V4)) { goto L171; }
    goto L172;
L174:;
    goto L172;
L172:;
    goto L141;
L171:;
    T0 = cl_nreverse(V12);
    T1 = cl_nreverse(V13);
    value0 = ecl_function_dispatch(cl_env_copy,VV[120])(12, ECL_SYM("C-INLINE",1969), ECL_SYM("TYPE",1318), V5, VV[68], V8, VV[73], T0, T1, V11, V6, V8, V10) /*  MAKE-C1FORM* */;
    return value0;
   }
  }
 }
}
/*	local function PRODUCE-TYPE-PAIR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24produce_type_pair(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(L11lisp_type_p(V1))) { goto L1; }
  T0 = L9lisp_type__rep_type(V1);
  value0 = CONS(V1,T0);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = L8rep_type__lisp_type(V1);
  value0 = CONS(T0,V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for PRODUCE-INLINE-LOC                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27produce_inline_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V7;                                  /*  ARGS-TO-BE-SAVED */
   cl_object V8;                                  /*  COERCED-ARGUMENTS */
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   {
    cl_fixnum V9;
    V9 = ecl_length(V4);
    if (!((V9)>(1))) { goto L3; }
   }
   {
    ecl_character V9;
    V9 = ecl_char(V4,0);
    if (!((CODE_CHAR(V9))==(CODE_CHAR(64)))) { goto L3; }
   }
   {
    cl_object V9;                                 /*  NDX             */
    V9 = ecl_make_fixnum(1);
    goto L9;
L8:;
    {
     ecl_character V10;                           /*  C               */
     V10 = CHAR_CODE(cl_char(V4, V9));
     if (!((CODE_CHAR(V10))==(CODE_CHAR(59)))) { goto L13; }
     T0 = ecl_one_plus(V9);
     V4 = cl_subseq(2, V4, T0);
     goto L3;
L13:;
     if (ecl_alphanumericp(V10)) { goto L17; }
     V7 = ECL_NIL;
     goto L3;
L17:;
     {
      cl_fixnum V11;
      V11 = V10;
      {
       cl_fixnum V12;
       V12 = (ecl_character)(48);
       T0 = ecl_minus(ecl_make_fixnum(V11),ecl_make_fixnum(V12));
       V7 = CONS(T0,V7);
      }
     }
    }
    V9 = ecl_one_plus(V9);
L9:;
    {
     cl_fixnum V10;
     V10 = ecl_length(V4);
     if (ecl_number_compare(V9,ecl_make_fixnum(V10))>=0) { goto L24; }
    }
    goto L8;
L24:;
   }
L3:;
   V8 = L29coerce_locs(3, V1, V2, V7);
   if (!(V3==ECL_NIL)) { goto L28; }
   if (Null(V5)) { goto L31; }
   ecl_function_dispatch(cl_env_copy,VV[122])(0)  /*  WT-NL           */;
   L30wt_c_inline_loc(V3, V4, V8, ECL_T, ECL_NIL);
   if (Null(V6)) { goto L30; }
   ecl_function_dispatch(cl_env_copy,VV[102])(1, _ecl_static_18) /*  WT */;
   goto L30;
L31:;
   ecl_function_dispatch(cl_env_copy,VV[114])(2, _ecl_static_19, V4) /*  CMPWARN */;
L30:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L28:;
   if (Null(V6)) { goto L36; }
   if (!(ecl_equalp(V3,VV[72]))) { goto L39; }
   T0 = ECL_SYM("VALUES",895);
   goto L38;
L39:;
   T0 = ECL_NIL;
L38:;
   value0 = cl_list(6, ECL_SYM("C-INLINE",1969), V3, V4, V8, V5, T0);
   return value0;
L36:;
   if (!(ecl_equalp(V3,VV[72]))) { goto L41; }
   L30wt_c_inline_loc(V3, V4, V8, V5, ECL_SYM("VALUES",895));
   value0 = ECL_SYM("VALUES",895);
   cl_env_copy->nvalues = 1;
   return value0;
L41:;
   ecl_function_dispatch(cl_env_copy,VV[123])(0)  /*  OPEN-INLINE-BLOCK */;
   {
    cl_object V9;                                 /*  OUTPUT-VARS     */
    {
     cl_object V10;
     cl_object V11;
     V10 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
     V11 = V3;
     {
      cl_object V12;
      cl_object V13;
      V12 = ecl_list1(ECL_NIL);
      V13 = V12;
L51:;
      if (!(ecl_endp(V11))) { goto L53; }
      goto L52;
L53:;
      V10 = _ecl_car(V11);
      {
       cl_object V14;
       V14 = _ecl_cdr(V11);
       if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
       V11 = V14;
      }
      if (ecl_unlikely(ECL_ATOM(V13))) FEtype_error_cons(V13);
      T0 = V13;
      T1 = LC26make_output_var(V10);
      V13 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V13,T0);
      goto L51;
L52:;
      V9 = ecl_cdr(V12);
      goto L45;
     }
    }
L45:;
    L30wt_c_inline_loc(V3, V4, V8, V5, V9);
    {
     cl_fixnum V10;
     V10 = ecl_length(V9);
     if (!((V10)==(1))) { goto L69; }
    }
    value0 = ecl_car(V9);
    cl_env_copy->nvalues = 1;
    return value0;
L69:;
    {
     cl_object V10;                               /*  V               */
     cl_object V11;
     V10 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
     V11 = V9;
     {
      cl_object V12;                              /*  I               */
      V12 = ecl_make_fixnum(0);
      if (!(ecl_endp(V11))) { goto L78; }
      goto L77;
L78:;
      V10 = _ecl_car(V11);
      {
       cl_object V13;
       V13 = _ecl_cdr(V11);
       if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
       V11 = V13;
      }
L76:;
      T0 = cl_list(2, VV[77], V12);
      ecl_bds_bind(cl_env_copy,VV[76],T0);        /*  *DESTINATION*   */
      ecl_function_dispatch(cl_env_copy,VV[124])(1, V10) /*  SET-LOC  */;
      ecl_bds_unwind1(cl_env_copy);
      if (!(ecl_endp(V11))) { goto L87; }
      goto L77;
L87:;
      V10 = _ecl_car(V11);
      {
       cl_object V13;
       V13 = _ecl_cdr(V11);
       if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
       V11 = V13;
      }
      V12 = ecl_one_plus(V12);
      goto L76;
L77:;
     }
    }
    {
     cl_fixnum V10;
     V10 = ecl_length(V9);
     ecl_function_dispatch(cl_env_copy,VV[102])(3, _ecl_static_21, ecl_make_fixnum(V10), _ecl_static_18) /*  WT */;
    }
    value0 = ECL_SYM("VALUES",895);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function MAKE-OUTPUT-VAR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26make_output_var(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  VAR             */
   V2 = ecl_function_dispatch(cl_env_copy,VV[125])(2, VV[75], V1) /*  MAKE-LCL-VAR */;
   T0 = L10rep_type_name(V1);
   ecl_function_dispatch(cl_env_copy,VV[122])(4, T0, _ecl_static_20, V2, _ecl_static_18) /*  WT-NL */;
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for C2C-INLINE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28c2c_inline(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2016         */
   V4 = ecl_symbol_value(VV[79]);
   ecl_bds_bind(cl_env_copy,VV[80],ecl_make_fixnum(0)); /*  *INLINE-BLOCKS* */
   ecl_bds_bind(cl_env_copy,VV[79],V4);           /*  *TEMP*          */
   T0 = ecl_fdefinition(VV[78]);
   T1 = ecl_function_dispatch(cl_env_copy,VV[127])(1, V2) /*  INLINE-ARGS */;
   T2 = cl_apply(3, T0, T1, V3);
   ecl_function_dispatch(cl_env_copy,VV[128])(1, T2) /*  UNWIND-EXIT  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[129])(0) /*  CLOSE-INLINE-BLOCKS */;
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	function definition for COERCE-LOCS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29coerce_locs(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  L               */
   cl_object V5;                                  /*  ITEM            */
   cl_object V6;                                  /*  I               */
   V4 = V1;
   V5 = ecl_car(V4);
   V6 = ecl_make_fixnum(0);
   goto L8;
L7:;
   {
    cl_object V7;                                 /*  TYPE            */
    cl_object V8;                                 /*  REP-TYPE        */
    cl_object V9;                                 /*  LOC             */
    if (Null(V2)) { goto L12; }
    {
     cl_object V10;
     V10 = V2;
     if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
     if (Null(V10)) { goto L17; }
     {
      cl_object V11;
      V11 = ECL_CONS_CDR(V10);
      V2 = V11;
      V10 = ECL_CONS_CAR(V10);
     }
L17:;
     V7 = V10;
     goto L11;
    }
L12:;
    V7 = ECL_SYM("OBJECT",1278);
L11:;
    V8 = L9lisp_type__rep_type(V7);
    V9 = ecl_cadr(V5);
    if ((L14loc_movable_p(V9))!=ECL_NIL) { goto L26; }
    if (Null(ecl_memql(V6,V3))) { goto L26; }
    {
     cl_object V10;                               /*  LCL             */
     V10 = ecl_function_dispatch(cl_env_copy,VV[125])(2, VV[75], V8) /*  MAKE-LCL-VAR */;
     ecl_function_dispatch(cl_env_copy,VV[122])(0) /*  WT-NL          */;
     ecl_function_dispatch(cl_env_copy,VV[123])(0) /*  OPEN-INLINE-BLOCK */;
     T0 = L10rep_type_name(V8);
     ecl_function_dispatch(cl_env_copy,VV[102])(4, T0, _ecl_static_20, V10, _ecl_static_22) /*  WT */;
     L19wt_coerce_loc(V8, V9);
     ecl_function_dispatch(cl_env_copy,VV[102])(1, _ecl_static_18) /*  WT */;
     V9 = V10;
     goto L25;
    }
L26:;
    T0 = L16loc_representation_type(V9);
    if (ecl_equal(V8,T0)) { goto L25; }
    V9 = cl_list(3, VV[82], V8, V9);
L25:;
    if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
    T0 = V4;
    (ECL_CONS_CAR(T0)=V9,T0);
   }
   V4 = ecl_cdr(V4);
   V5 = ecl_car(V4);
   V6 = ecl_one_plus(V6);
L8:;
   if (ecl_endp(V4)) { goto L48; }
   goto L7;
L48:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for WT-C-INLINE-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30wt_c_inline_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V6;                                  /*  S               */
   V6 = cl_make_string_input_stream(3, V2, ecl_make_fixnum(0), ECL_NIL);
   if (Null(V5)) { goto L2; }
   if ((V5)==(ECL_SYM("VALUES",895))) { goto L2; }
   ecl_function_dispatch(cl_env_copy,VV[122])(0)  /*  WT-NL           */;
L2:;
   {
    cl_object V7;                                 /*  C               */
    V7 = cl_read_char(3, V6, ECL_NIL, ECL_NIL);
    goto L8;
L7:;
    if (!(((V7)==ECL_CODE_CHAR((ecl_character)(64))))) { goto L11; }
    {
     cl_object V8;                                /*  OBJECT          */
     V8 = cl_read(1, V6);
     if (!(ECL_CONSP(V8))) { goto L14; }
     T0 = ecl_car(V8);
     if (!(ecl_equal(T0,ECL_SYM("RETURN",724)))) { goto L14; }
     if (!((V5)==(ECL_SYM("VALUES",895)))) { goto L17; }
     ecl_function_dispatch(cl_env_copy,VV[97])(1, _ecl_static_23) /*  CMPERR */;
     goto L10;
L17:;
     {
      cl_object V9;                               /*  LET2017         */
      cl_fixnum V10;                              /*  LET2018         */
      value0 = ecl_cadr(V8);
      if ((value0)!=ECL_NIL) { goto L21; }
      V9 = ecl_make_fixnum(0);
      goto L19;
L21:;
      V9 = value0;
      goto L19;
L19:;
      V10 = ecl_length(V5);
      if (!(ecl_number_compare(V9,ecl_make_fixnum(V10))<0)) { goto L24; }
      T0 = ecl_nth(ecl_to_size(V9),V5);
      ecl_function_dispatch(cl_env_copy,VV[102])(1, T0) /*  WT        */;
      goto L10;
L24:;
      ecl_function_dispatch(cl_env_copy,VV[97])(3, _ecl_static_24, V9, ecl_make_fixnum(V10)) /*  CMPERR */;
      goto L10;
     }
L14:;
     if (!(ECL_CONSP(V8))) { goto L26; }
     T0 = ecl_car(V8);
     if (!((T0)==(ECL_SYM("QUOTE",679)))) { goto L26; }
     V8 = ecl_cadr(V8);
L26:;
     T0 = ecl_function_dispatch(cl_env_copy,VV[117])(3, V8, VV[66], ECL_T) /*  ADD-OBJECT */;
     ecl_function_dispatch(cl_env_copy,VV[102])(1, T0) /*  WT         */;
     goto L10;
    }
L11:;
    if (!(((V7)==ECL_CODE_CHAR((ecl_character)(35))))) { goto L30; }
    {
     cl_object V11;                               /*  K               */
     cl_object V12;                               /*  NEXT-CHAR       */
     cl_object V13;                               /*  INDEX           */
     V11 = cl_read_char(1, V6);
     V12 = cl_peek_char(4, ECL_NIL, V6, ECL_NIL, ECL_NIL);
     V13 = cl_digit_char_p(2, V11, ecl_make_fixnum(36));
     if (!((V11)==(CODE_CHAR(35)))) { goto L35; }
     ecl_function_dispatch(cl_env_copy,VV[102])(1, CODE_CHAR(35)) /*  WT */;
     goto L10;
L35:;
     if (V13==ECL_NIL) { goto L39; }
     if (Null(V12)) { goto L37; }
     if (Null(cl_alphanumericp(V12))) { goto L37; }
     goto L38;
L39:;
L38:;
     ecl_function_dispatch(cl_env_copy,VV[102])(2, CODE_CHAR(35), V11) /*  WT */;
     goto L10;
L37:;
     {
      cl_fixnum V14;
      V14 = ecl_length(V3);
      if (!(ecl_number_compare(V13,ecl_make_fixnum(V14))<0)) { goto L42; }
     }
     T0 = ecl_nth(ecl_to_size(V13),V3);
     ecl_function_dispatch(cl_env_copy,VV[102])(1, T0) /*  WT         */;
     goto L10;
L42:;
     ecl_function_dispatch(cl_env_copy,VV[97])(1, _ecl_static_25) /*  CMPERR */;
     goto L10;
    }
L30:;
    cl_write_char(2, V7, ecl_symbol_value(VV[65]));
L10:;
    V7 = cl_read_char(3, V6, ECL_NIL, ECL_NIL);
L8:;
    if (V7==ECL_NIL) { goto L46; }
    goto L7;
L46:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for C-INLINE-SAFE-STRING                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31c_inline_safe_string(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  C               */
   cl_object V3;
   cl_fixnum V4;
   cl_fixnum V5;
   V2 = ECL_NIL;
   if (ecl_unlikely(!ECL_VECTORP(V1))) FEtype_error_vector(V1);
   V3 = V1;
   V4 = 0;
   V5 = 0;
   {
    cl_object V6;
    cl_object V7;
    V6 = ecl_list1(ECL_NIL);
    V7 = V6;
    V5 = ecl_length(V3);
L9:;
    if (!((V4)>=(V5))) { goto L13; }
    goto L10;
L13:;
    {
     cl_fixnum V8;
     if (ecl_unlikely((V4)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(V4),(V3)->vector.dim);
     V8 = V4;
     V2 = ecl_aref_unsafe(V3,V8);
    }
    {
     cl_object V8;
     V8 = ecl_make_integer((V4)+1);
     {
      bool V9;
      V9 = ECL_FIXNUMP(V8);
      if (ecl_unlikely(!(V9)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V8);
     }
     V4 = ecl_fixnum(V8);
    }
    if (!(((V2)==ECL_CODE_CHAR((ecl_character)(35))))) { goto L29; }
    goto L26;
    goto L27;
L29:;
    goto L27;
L27:;
    if (!(((V2)==ECL_CODE_CHAR((ecl_character)(64))))) { goto L24; }
    goto L25;
L26:;
L25:;
    if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
    T1 = V7;
    V7 = ecl_list1(V2);
    (ECL_CONS_CDR(T1)=V7,T1);
L24:;
    if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
    T1 = V7;
    V7 = ecl_list1(V2);
    (ECL_CONS_CDR(T1)=V7,T1);
    goto L9;
L10:;
    T0 = ecl_cdr(V6);
    goto L1;
   }
  }
L1:;
  T1 = cl_concatenate(2, ECL_SYM("STRING",805), T0);
  value0 = ecl_function_dispatch(cl_env_copy,VV[133])(1, T1) /*  C-FILTERED-STRING */;
  return value0;
 }
}

#include "cmp/cmpffi.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclQFErEBb7_QDVgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPFFI.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclQFErEBb7_QDVgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 si_Xmake_constant(VV[0], VVtemp[0]);
 {
  cl_object T0, T1, T2;
 {
  cl_object V1;                                   /*  LET2000         */
  cl_object V2;
  cl_object V3;
  V1 = ecl_symbol_value(VV[0]);
  V2 = ECL_NIL;
  if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
  V3 = V1;
  {
   cl_object V4;
   cl_object V5;
   V4 = ecl_list1(ECL_NIL);
   V5 = V4;
L14:;
   V2 = _ecl_car(V3);
   {
    cl_object V6;
    V6 = _ecl_cdr(V3);
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    V3 = V6;
   }
   if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
   T1 = V5;
   T2 = ecl_car(V2);
   V5 = ecl_list1(T2);
   (ECL_CONS_CDR(T1)=V5,T1);
   if (!(ecl_endp(V3))) { goto L26; }
   goto L15;
L26:;
   goto L14;
L15:;
   T0 = ecl_cdr(V4);
   goto L7;
  }
 }
L7:;
 si_Xmake_constant(VV[1], T0);
 }
 {
  cl_object T0;
 T0 = ecl_append(ecl_symbol_value(VV[1]),VVtemp[1]);
 si_Xmake_constant(VV[2], T0);
 }
 si_Xmake_constant(VV[3], VVtemp[2]);
 si_Xmake_special(VV[4]);
 {
  cl_object V1;                                   /*  TABLE           */
  V1 = cl_make_hash_table(4, ECL_SYM("SIZE",1308), ecl_make_fixnum(128), ECL_SYM("TEST",1316), ECL_SYM("EQ",333));
  {
   cl_object V2;                                  /*  RECORD          */
   V2 = ecl_symbol_value(VV[3]);
   {
    cl_object V3;                                 /*  REP-TYPE        */
    V3 = ECL_NIL;
    {
     cl_object V4;                                /*  INFORMATION     */
     V4 = ECL_NIL;
L48:;
     V3 = ecl_car(V2);
     V4 = ecl_cadr(V2);
     si_hash_set(V3, V1, V4);
     V2 = ecl_cddr(V2);
     if (!(ECL_ATOM(V2))) { goto L57; }
     goto L49;
L57:;
     goto L48;
L49:;
     cl_set(VV[4],V1);
     goto L43;
    }
   }
  }
 }
L43:;
 ecl_cmp_defun(VV[88]);                           /*  C-NUMBER-REP-TYPE-P */
 ecl_cmp_defun(VV[89]);                           /*  C-INTEGER-REP-TYPE-P */
 ecl_cmp_defun(VV[90]);                           /*  C-INTEGER-REP-TYPE-BITS */
 ecl_cmp_defun(VV[91]);                           /*  C-NUMBER-TYPE-P */
 ecl_cmp_defun(VV[92]);                           /*  C-INTEGER-TYPE-P */
 ecl_cmp_defun(VV[93]);                           /*  C-INTEGER-TYPE-BITS */
 ecl_cmp_defun(VV[95]);                           /*  REP-TYPE-RECORD */
 ecl_cmp_defun(VV[96]);                           /*  REP-TYPE->LISP-TYPE */
 ecl_cmp_defun(VV[98]);                           /*  LISP-TYPE->REP-TYPE */
 ecl_cmp_defun(VV[99]);                           /*  REP-TYPE-NAME   */
 ecl_cmp_defun(VV[100]);                          /*  LISP-TYPE-P     */
 ecl_cmp_defun(VV[101]);                          /*  WT-TO-OBJECT-CONVERSION */
 ecl_cmp_defun(VV[103]);                          /*  WT-FROM-OBJECT-CONVERSION */
 ecl_cmp_defun(VV[105]);                          /*  LOC-MOVABLE-P   */
 ecl_cmp_defun(VV[106]);                          /*  LOC-TYPE        */
 ecl_cmp_defun(VV[111]);                          /*  LOC-REPRESENTATION-TYPE */
 ecl_cmp_defun(VV[113]);                          /*  WT-COERCE-LOC   */
 ecl_cmp_defun(VV[115]);                          /*  C1CLINES        */
 ecl_cmp_defun(VV[116]);                          /*  OUTPUT-CLINES   */
 ecl_cmp_defun(VV[118]);                          /*  C1C-INLINE      */
 ecl_cmp_defun(VV[121]);                          /*  PRODUCE-INLINE-LOC */
 ecl_cmp_defun(VV[126]);                          /*  C2C-INLINE      */
 ecl_cmp_defun(VV[130]);                          /*  COERCE-LOCS     */
 ecl_cmp_defun(VV[131]);                          /*  WT-C-INLINE-LOC */
 ecl_cmp_defun(VV[132]);                          /*  C-INLINE-SAFE-STRING */
}
