/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPINLINE.LSP                                 */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpinline.eclh"
/*	function definition for MAKE-INLINE-TEMP-VAR                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_inline_temp_var(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  OUT-REP-TYPE    */
   value0 = V2;
   if ((value0)!=ECL_NIL) { goto L4; }
   V3 = ecl_function_dispatch(cl_env_copy,VV[35])(1, V1) /*  LISP-TYPE->REP-TYPE */;
   goto L2;
L4:;
   V3 = value0;
   goto L2;
L2:;
   if (!((V3)==(ECL_SYM("OBJECT",1278)))) { goto L6; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[36])(0) /*  MAKE-TEMP-VAR */;
   return value0;
L6:;
   {
    cl_object V4;                                 /*  VAR             */
    V4 = ecl_function_dispatch(cl_env_copy,VV[37])(4, VV[0], V3, ECL_SYM("TYPE",1318), V1) /*  MAKE-LCL-VAR */;
    L15open_inline_block();
    T0 = ecl_function_dispatch(cl_env_copy,VV[38])(1, V3) /*  REP-TYPE-NAME */;
    ecl_function_dispatch(cl_env_copy,VV[39])(4, T0, _ecl_static_1, V4, _ecl_static_2) /*  WT-NL */;
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SAVE-INLINE-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2save_inline_loc(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  REP-TYPE        */
   cl_object V3;                                  /*  TEMP            */
   T0 = ecl_cadr(V1);
   V2 = ecl_function_dispatch(cl_env_copy,VV[41])(1, T0) /*  LOC-REPRESENTATION-TYPE */;
   T0 = ecl_car(V1);
   V3 = L1make_inline_temp_var(2, T0, V2);
   ecl_bds_bind(cl_env_copy,VV[2],V3);            /*  *DESTINATION*   */
   ecl_function_dispatch(cl_env_copy,VV[42])(1, V1) /*  SET-LOC       */;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	local function WITH-INLINED-LOC                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3with_inlined_loc(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  TEMP-LOC        */
   cl_object V7;                                  /*  LOC             */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V8;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V8;
    V8 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V8;
   }
   if (Null(V5)) { goto L21; }
   si_dm_too_many_arguments(V1);
L21:;
   T0 = cl_list(2, VV[3], V7);
   T1 = cl_list(2, V6, T0);
   T2 = ecl_list1(T1);
   T3 = cl_list(2, VV[4], V6);
   T4 = cl_list(3, ECL_SYM("LIST",481), T3, V6);
   T5 = cl_list(3, ECL_SYM("SETF",750), V6, T4);
   value0 = cl_listX(4, ECL_SYM("LET",477), T2, T5, V3);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINED-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4emit_inlined_variable(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET1577         */
   cl_object V4;                                  /*  LET1578         */
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V3 = ecl_car(T0);
   V4 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[47])(2, V3, V2) /*  VAR-CHANGED-IN-FORM-LIST */)) { goto L3; }
   {
    cl_object V5;                                 /*  TEMP            */
    T0 = ecl_function_dispatch(cl_env_copy,VV[48])(1, V3) /*  VAR-REP-TYPE */;
    V5 = L1make_inline_temp_var(2, V4, T0);
    ecl_bds_bind(cl_env_copy,VV[2],V5);           /*  *DESTINATION*   */
    ecl_function_dispatch(cl_env_copy,VV[42])(1, V3) /*  SET-LOC      */;
    ecl_bds_unwind1(cl_env_copy);
    value0 = cl_list(2, V4, V5);
    return value0;
   }
L3:;
   value0 = cl_list(2, V4, V3);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINED-SETQ                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5emit_inlined_setq(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET1579         */
   cl_object V4;                                  /*  LET1580         */
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V3 = ecl_car(T0);
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V4 = ecl_cadr(T0);
   ecl_bds_bind(cl_env_copy,VV[2],V3);            /*  *DESTINATION*   */
   ecl_function_dispatch(cl_env_copy,VV[50])(1, V4) /*  C2EXPR*       */;
   ecl_bds_unwind1(cl_env_copy);
   T0 = ecl_function_dispatch(cl_env_copy,VV[51])(1, V4) /*  C1FORM-NAME */;
   if (!((T0)==(ECL_SYM("LOCATION",1762)))) { goto L4; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V4) /*  C1FORM-PRIMARY-TYPE */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V4) /*  C1FORM-ARGS */;
   T2 = ecl_car(T1);
   value0 = cl_list(2, T0, T2);
   return value0;
L4:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[52])(3, VV[7], V1, V3) /*  MAKE-C1FORM */;
   value0 = L4emit_inlined_variable(T0, V2);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINED-CALL-GLOBAL              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6emit_inlined_call_global(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  FNAME           */
   cl_object V4;                                  /*  ARGS            */
   cl_object V5;                                  /*  RETURN-TYPE     */
   cl_object V6;                                  /*  FUN             */
   cl_object V7;                                  /*  LOC             */
   cl_object V8;                                  /*  TYPE            */
   cl_object V9;                                  /*  TEMP            */
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V3 = ecl_car(T0);
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V4 = ecl_cadr(T0);
   V5 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   {
    cl_object V10;
    cl_object V11;
    V10 = ecl_symbol_value(VV[9]);
    V11 = si_make_seq_iterator(2, V10, ecl_make_fixnum(0));
L7:;
    if ((V11)!=ECL_NIL) { goto L9; }
    V6 = ECL_NIL;
    goto L4;
L9:;
    {
     cl_object V12;
     V12 = si_seq_iterator_ref(V10, V11);
     T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, V12) /*  FUN-NAME */;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[55])(2, V3, T0) /*  SAME-FNAME-P */)) { goto L11; }
     V6 = V12;
     goto L4;
    }
L11:;
    V11 = si_seq_iterator_next(V10, V11);
    goto L7;
   }
L4:;
   V7 = ecl_function_dispatch(cl_env_copy,VV[56])(5, V3, V6, V4, V5, V2) /*  CALL-GLOBAL-LOC */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[57])(1, V7) /*  LOC-TYPE */;
   V8 = ecl_function_dispatch(cl_env_copy,VV[58])(2, V5, T0) /*  TYPE-AND */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[41])(1, V7) /*  LOC-REPRESENTATION-TYPE */;
   V9 = L1make_inline_temp_var(2, V8, T0);
   ecl_bds_bind(cl_env_copy,VV[2],V9);            /*  *DESTINATION*   */
   ecl_function_dispatch(cl_env_copy,VV[42])(1, V7) /*  SET-LOC       */;
   value0 = cl_list(2, V8, V9);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINED-PROGN                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7emit_inlined_progn(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  ARGS            */
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V3 = ecl_car(T0);
   ecl_bds_bind(cl_env_copy,VV[2],VV[11]);        /*  *DESTINATION*   */
L3:;
   if ((ecl_cdr(V3))!=ECL_NIL) { goto L5; }
   goto L4;
L5:;
   {
    cl_object V4;
    V4 = V3;
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    if (Null(V4)) { goto L12; }
    {
     cl_object V5;
     V5 = ECL_CONS_CDR(V4);
     V3 = V5;
     V4 = ECL_CONS_CAR(V4);
    }
L12:;
    T0 = V4;
   }
   ecl_function_dispatch(cl_env_copy,VV[50])(1, T0) /*  C2EXPR*       */;
   goto L3;
L4:;
   ecl_bds_unwind1(cl_env_copy);
   T0 = ecl_car(V3);
   value0 = L11emit_inline_form(T0, V2);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINED-VALUES                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8emit_inlined_values(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  ARGS            */
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   V3 = ecl_car(T0);
   {
    cl_object V4;
    {
     cl_object V5;
     V5 = V3;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     if (Null(V5)) { goto L7; }
     {
      cl_object V6;
      V6 = ECL_CONS_CDR(V5);
      V3 = V6;
      V5 = ECL_CONS_CAR(V5);
     }
L7:;
     T0 = V5;
    }
    V4 = L11emit_inline_form(T0, V2);
    ecl_bds_bind(cl_env_copy,VV[2],VV[11]);       /*  *DESTINATION*   */
    {
     cl_object V5;                                /*  FORM            */
     cl_object V6;
     V5 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
     V6 = V3;
L17:;
     if (!(ecl_endp(V6))) { goto L19; }
     goto L18;
L19:;
     V5 = _ecl_car(V6);
     {
      cl_object V7;
      V7 = _ecl_cdr(V6);
      if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
      V6 = V7;
     }
     ecl_function_dispatch(cl_env_copy,VV[50])(1, V5) /*  C2EXPR*     */;
     goto L17;
L18:;
     ecl_bds_unwind1(cl_env_copy);
    }
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for EMIT-INLINED-STRUCTURE-REF            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9emit_inlined_structure_ref(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  TYPE            */
   V3 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   if (Null(L18args_cause_side_effect(V2))) { goto L2; }
   {
    cl_object V4;                                 /*  TEMP            */
    V4 = L1make_inline_temp_var(2, V3, ECL_SYM("OBJECT",1278));
    ecl_bds_bind(cl_env_copy,VV[2],V4);           /*  *DESTINATION*   */
    ecl_function_dispatch(cl_env_copy,VV[50])(1, V1) /*  C2EXPR*      */;
    value0 = cl_list(2, V3, V4);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L2:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T1 = ecl_car(T0);
   T2 = ecl_list1(T1);
   T3 = L12inline_args(T2);
   T4 = ecl_function_dispatch(cl_env_copy,VV[62])(1, T3) /*  COERCE-LOCS */;
   T5 = ecl_car(T4);
   T6 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T7 = ecl_cadr(T6);
   T8 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T9 = ecl_caddr(T8);
   T10 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T11 = ecl_cadddr(T10);
   T12 = cl_list(5, ECL_SYM("STRUCTURE-REF",1153), T5, T7, T9, T11);
   value0 = cl_list(2, V3, T12);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINED-INSTANCE-REF             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10emit_inlined_instance_ref(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  TYPE            */
   V3 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   if (Null(L18args_cause_side_effect(V2))) { goto L2; }
   {
    cl_object V4;                                 /*  TEMP            */
    V4 = L1make_inline_temp_var(2, V3, ECL_SYM("OBJECT",1278));
    ecl_bds_bind(cl_env_copy,VV[2],V4);           /*  *DESTINATION*   */
    ecl_function_dispatch(cl_env_copy,VV[50])(1, V1) /*  C2EXPR*      */;
    value0 = cl_list(2, V3, V4);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L2:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T1 = ecl_car(T0);
   T2 = ecl_list1(T1);
   T3 = L12inline_args(T2);
   T4 = ecl_function_dispatch(cl_env_copy,VV[62])(1, T3) /*  COERCE-LOCS */;
   T5 = ecl_car(T4);
   T6 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T7 = ecl_cadr(T6);
   T8 = cl_list(3, ECL_SYM("INSTANCE-REF",1169), T5, T7);
   value0 = cl_list(2, V3, T8);
   return value0;
  }
 }
}
/*	function definition for EMIT-INLINE-FORM                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11emit_inline_form(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[65])(1, V1) /*  C1FORM-FILE */;
  ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-FILE-TRUENAME*",27),T0); /*  *COMPILE-FILE-TRUENAME* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[66])(1, V1) /*  C1FORM-FILE-POSITION */;
  ecl_bds_bind(cl_env_copy,VV[16],T0);            /*  *COMPILE-FILE-POSITION* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[67])(1, V1) /*  C1FORM-TOPLEVEL-FORM */;
  ecl_bds_bind(cl_env_copy,VV[17],T0);            /*  *CURRENT-TOPLEVEL-FORM* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[68])(1, V1) /*  C1FORM-FORM */;
  ecl_bds_bind(cl_env_copy,VV[18],T0);            /*  *CURRENT-FORM*  */
  T0 = ecl_function_dispatch(cl_env_copy,VV[69])(1, V1) /*  C1FORM-ENV */;
  ecl_bds_bind(cl_env_copy,VV[19],T0);            /*  *CMP-ENV*       */
  {
   cl_object V3;
   V3 = ecl_function_dispatch(cl_env_copy,VV[51])(1, V1) /*  C1FORM-NAME */;
   if (!((V3)==(ECL_SYM("LOCATION",1762)))) { goto L2; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[45])(1, V1) /*  C1FORM-ARGS */;
   T2 = ecl_car(T1);
   value0 = cl_list(2, T0, T2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L2:;
   if (!((V3)==(VV[7]))) { goto L4; }
   value0 = L4emit_inlined_variable(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L4:;
   if (!((V3)==(VV[20]))) { goto L6; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
   value0 = L6emit_inlined_call_global(V1, T0);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L6:;
   if (!((V3)==(ECL_SYM("STRUCTURE-REF",1153)))) { goto L8; }
   value0 = L9emit_inlined_structure_ref(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L8:;
   if (!((V3)==(ECL_SYM("INSTANCE-REF",1169)))) { goto L10; }
   value0 = L10emit_inlined_instance_ref(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L10:;
   if (!((V3)==(ECL_SYM("SETQ",751)))) { goto L12; }
   value0 = L5emit_inlined_setq(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L12:;
   if (!((V3)==(ECL_SYM("PROGN",671)))) { goto L14; }
   value0 = L7emit_inlined_progn(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L14:;
   if (!((V3)==(ECL_SYM("VALUES",895)))) { goto L16; }
   value0 = L8emit_inlined_values(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,5);
   return value0;
L16:;
   {
    cl_object V4;                                 /*  TYPE            */
    cl_object V5;                                 /*  TEMP            */
    V4 = ecl_function_dispatch(cl_env_copy,VV[46])(1, V1) /*  C1FORM-PRIMARY-TYPE */;
    V5 = L1make_inline_temp_var(1, V4);
    ecl_bds_bind(cl_env_copy,VV[2],V5);           /*  *DESTINATION*   */
    ecl_function_dispatch(cl_env_copy,VV[50])(1, V1) /*  C2EXPR*      */;
    ecl_bds_unwind1(cl_env_copy);
    value0 = cl_list(2, V4, V5);
    ecl_bds_unwind_n(cl_env_copy,5);
    return value0;
   }
  }
 }
}
/*	function definition for INLINE-ARGS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12inline_args(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  FORM-LIST       */
   V2 = V1;
   {
    cl_object V3;                                 /*  FORM            */
    V3 = ECL_NIL;
    {
     cl_object V4;
     cl_object V5;
     V4 = ecl_list1(ECL_NIL);
     V5 = V4;
L5:;
     if (!(ECL_ATOM(V2))) { goto L7; }
     goto L6;
L7:;
     V3 = ecl_car(V2);
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     T0 = V5;
     T1 = ecl_cdr(V2);
     T2 = L11emit_inline_form(V3, T1);
     V5 = ecl_list1(T2);
     (ECL_CONS_CDR(T0)=V5,T0);
     V2 = _ecl_cdr(V2);
     goto L5;
L6:;
     value0 = ecl_cdr(V4);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	function definition for DESTINATION-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13destination_type()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[41])(1, ecl_symbol_value(VV[2])) /*  LOC-REPRESENTATION-TYPE */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[72])(1, T0) /*  REP-TYPE->LISP-TYPE */;
  return value0;
 }
}
/*	function definition for MAYBE-OPEN-INLINE-BLOCK               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14maybe_open_inline_block()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (ecl_plusp(ecl_symbol_value(VV[24]))) { goto L1; }
  value0 = L15open_inline_block();
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for OPEN-INLINE-BLOCK                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15open_inline_block()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[75])(0)    /*  WT-NL-OPEN-BRACE */;
  cl_set(VV[24],ecl_plus(ecl_symbol_value(VV[24]),ecl_make_fixnum(1)));
  value0 = ecl_symbol_value(VV[24]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CLOSE-INLINE-BLOCKS                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16close_inline_blocks(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  LET1584         */
   cl_fixnum V3;                                  /*  I               */
   cl_fixnum V4;
   V2 = ecl_symbol_value(VV[24]);
   V3 = 0;
   {
    bool V5;
    V5 = ECL_FIXNUMP(V2);
    if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V2);
   }
   V4 = ecl_fixnum(V2);
L6:;
   if (!((V3)>=(V4))) { goto L8; }
   goto L7;
L8:;
   ecl_function_dispatch(cl_env_copy,VV[77])(0)   /*  WT-NL-CLOSE-BRACE */;
   V3 = (V3)+1;
   goto L6;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FORM-CAUSES-SIDE-EFFECT               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17form_causes_side_effect(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[79])(1, V1) /*  C1FORM-SIDE-EFFECTS */;
  return value0;
 }
}
/*	function definition for ARGS-CAUSE-SIDE-EFFECT                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18args_cause_side_effect(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_fdefinition(VV[79]);
  value0 = cl_some(2, T0, V1);
  return value0;
 }
}
/*	function definition for FUNCTION-MAY-HAVE-SIDE-EFFECTS        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19function_may_have_side_effects(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = si_get_sysprop(V1, VV[30]);
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FUNCTION-MAY-CHANGE-SP                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20function_may_change_sp(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_get_sysprop(V1, VV[30]);
  if ((value0)!=ECL_NIL) { goto L3; }
  T0 = si_get_sysprop(V1, VV[32]);
  goto L1;
L3:;
  T0 = value0;
  goto L1;
L1:;
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "cmp/cmpinline.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclJmU7VBb7_SBJgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPINLINE.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclJmU7VBb7_SBJgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[34]);                           /*  MAKE-INLINE-TEMP-VAR */
 ecl_cmp_defun(VV[40]);                           /*  SAVE-INLINE-LOC */
 ecl_cmp_defmacro(VV[43]);                        /*  WITH-INLINED-LOC */
 ecl_cmp_defun(VV[44]);                           /*  EMIT-INLINED-VARIABLE */
 ecl_cmp_defun(VV[49]);                           /*  EMIT-INLINED-SETQ */
 ecl_cmp_defun(VV[53]);                           /*  EMIT-INLINED-CALL-GLOBAL */
 ecl_cmp_defun(VV[59]);                           /*  EMIT-INLINED-PROGN */
 ecl_cmp_defun(VV[60]);                           /*  EMIT-INLINED-VALUES */
 ecl_cmp_defun(VV[61]);                           /*  EMIT-INLINED-STRUCTURE-REF */
 ecl_cmp_defun(VV[63]);                           /*  EMIT-INLINED-INSTANCE-REF */
 ecl_cmp_defun(VV[64]);                           /*  EMIT-INLINE-FORM */
 ecl_cmp_defun(VV[70]);                           /*  INLINE-ARGS     */
 ecl_cmp_defun(VV[71]);                           /*  DESTINATION-TYPE */
 ecl_cmp_defun(VV[73]);                           /*  MAYBE-OPEN-INLINE-BLOCK */
 ecl_cmp_defun(VV[74]);                           /*  OPEN-INLINE-BLOCK */
 ecl_cmp_defun(VV[76]);                           /*  CLOSE-INLINE-BLOCKS */
 ecl_cmp_defun(VV[78]);                           /*  FORM-CAUSES-SIDE-EFFECT */
 ecl_cmp_defun(VV[80]);                           /*  ARGS-CAUSE-SIDE-EFFECT */
 ecl_cmp_defun(VV[81]);                           /*  FUNCTION-MAY-HAVE-SIDE-EFFECTS */
 ecl_cmp_defun(VV[82]);                           /*  FUNCTION-MAY-CHANGE-SP */
}
