/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPNAME.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpname.eclh"
/*	function definition for ENCODE-NUMBER-IN-NAME                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1encode_number_in_name(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_zerop(V1))) { goto L1; }
  value0 = _ecl_static_1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_minusp(V1))) { goto L3; }
  V1 = ecl_negate(V1);
  goto TTL;
L3:;
  {
   cl_fixnum V2;                                  /*  BASE            */
   cl_object V3;                                  /*  OUTPUT          */
   cl_object V4;                                  /*  DIGIT           */
   V2 = ecl_length(_ecl_static_2);
   V3 = ECL_NIL;
   V4 = ecl_make_fixnum(0);
   goto L12;
L11:;
   cl_env_copy->values[0] = ecl_floor2(V1,ecl_make_fixnum(V2));
   V1 = cl_env_copy->values[0];
   V4 = cl_env_copy->values[1];
   T0 = cl_char(_ecl_static_2, V4);
   V3 = CONS(T0,V3);
L12:;
   if (ecl_zerop(V1)) { goto L18; }
   goto L11;
L18:;
   T0 = cl_nreverse(V3);
   value0 = si_coerce_to_vector(T0, ECL_SYM("BASE-CHAR",120), ECL_SYM("*",18), ECL_NIL);
   return value0;
  }
 }
}
/*	function definition for UNIQUE-INIT-NAME                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2unique_init_name(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  PATH            */
   cl_object V3;                                  /*  PATH-HASH       */
   cl_object V4;                                  /*  SECONDS         */
   cl_object V5;                                  /*  MS              */
   cl_object V6;                                  /*  TAG             */
   V2 = cl_pathname(V1);
   T0 = cl_sxhash(V2);
   T1 = cl_ash(T0, ecl_make_fixnum(8));
   T2 = cl_pathname_directory(1, V2);
   T3 = ecl_cddr(T2);
   T4 = cl_sxhash(T3);
   T5 = cl_ash(T4, ecl_make_fixnum(16));
   T6 = cl_pathname_name(1, V2);
   T7 = cl_sxhash(T6);
   V3 = cl_logxor(3, T1, T5, T7);
   V4 = cl_get_universal_time();
   T0 = ecl_times(V4,ecl_make_fixnum(1000));
   T1 = cl_get_internal_real_time();
   T2 = ecl_times(ecl_make_fixnum(1000),T1);
   T3 = ecl_floor2(T2,ecl_make_fixnum(1000));
   T4 = (ecl_floor2(T3,ecl_make_fixnum(1000)),cl_env_copy->values[1]);
   V5 = ecl_plus(T0,T4);
   T0 = L1encode_number_in_name(V3);
   T1 = L1encode_number_in_name(V5);
   V6 = cl_concatenate(5, ECL_SYM("BASE-STRING",121), _ecl_static_3, T0, _ecl_static_4, T1);
   value0 = V6;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for INIT-NAME-TAG                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3init_name_tag(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_concatenate(5, ECL_SYM("BASE-STRING",121), _ecl_static_5, _ecl_static_6, V1, _ecl_static_7);
  return value0;
 }
}
/*	function definition for SEARCH-TAG                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4search_tag(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  KEY             */
   cl_object V4;                                  /*  STRING          */
   V3 = cl_concatenate(3, ECL_SYM("LIST",481), V2, _ecl_static_6);
   V4 = V3;
   goto L5;
L4:;
   {
    cl_object V5;                                 /*  C               */
    V5 = cl_read_byte(3, V1, ECL_NIL, ECL_NIL);
    if (!(V5==ECL_NIL)) { goto L9; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L9:;
    {
     cl_object V6;
     V6 = V4;
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     if (Null(V6)) { goto L17; }
     {
      cl_object V7;
      V7 = ECL_CONS_CDR(V6);
      V4 = V7;
      V6 = ECL_CONS_CAR(V6);
     }
L17:;
     T0 = V6;
    }
    T1 = cl_char_code(T0);
    if (ecl_number_equalp(V5,T1)) { goto L11; }
    V4 = V3;
    goto L7;
L11:;
    if (!(V4==ECL_NIL)) { goto L7; }
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L7:;
L5:;
   goto L4;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for READ-NAME                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5read_name(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  C               */
   V2 = ECL_T;
   {
    cl_object V3;
    cl_object V4;
    V3 = ecl_list1(ECL_NIL);
    V4 = V3;
L5:;
    V2 = cl_read_byte(3, V1, ECL_NIL, ECL_NIL);
    if (V2==ECL_NIL) { goto L9; }
    if (!(ecl_number_equalp(V2,ecl_make_fixnum(64)))) { goto L7; }
    goto L8;
L9:;
L8:;
    goto L6;
L7:;
    if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
    T1 = V4;
    T2 = cl_code_char(V2);
    V4 = ecl_list1(T2);
    (ECL_CONS_CDR(T1)=V4,T1);
    goto L5;
L6:;
    T0 = ecl_cdr(V3);
    goto L1;
   }
  }
L1:;
  value0 = cl_concatenate(2, ECL_SYM("STRING",805), T0);
  return value0;
 }
}
/*	function definition for FIND-INIT-NAME                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6find_init_name(volatile cl_narg narg, cl_object volatile V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L6find_init_namekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    V2 = _ecl_static_5;
   } else {
    V2 = keyvars[0];
   }
  }
  {
   volatile cl_object V3;                         /*  STREAM          */
   V3 = cl_open(5, V1, ECL_SYM("DIRECTION",1218), ECL_SYM("INPUT",1254), ECL_SYM("ELEMENT-TYPE",1224), VV[2]);
   {
    volatile bool unwinding = FALSE;
    cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V6;
      V6 = _ecl_inner_frame;
      if (Null(L4search_tag(V3, V2))) { goto L8; }
      {
       cl_object V7;                              /*  NAME            */
       V7 = L5read_name(V3);
       cl_env_copy->values[0] = V7;
       cl_env_copy->nvalues = 1;
       goto L7;
      }
L8:;
      cl_env_copy->values[0] = ECL_NIL;
      cl_env_copy->nvalues = 1;
L7:;
      ecl_stack_frame_push_values(V6);
      if (Null(V3)) { goto L11; }
      cl_close(1, V3);
L11:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V5=ecl_stack_push_values(cl_env_copy);
    if (Null(V3)) { goto L13; }
    cl_close(3, V3, ECL_SYM("ABORT",1195), ECL_T);
L13:;
    ecl_stack_pop_values(cl_env_copy,V5);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V4);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for REMOVE-PREFIX                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7remove_prefix(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_search(2, V1, V2);
  if (!(ecl_equal(ecl_make_fixnum(0),T0))) { goto L1; }
  {
   cl_fixnum V3;
   V3 = ecl_length(V1);
   value0 = cl_subseq(3, V2, ecl_make_fixnum(V3), ECL_NIL);
   return value0;
  }
L1:;
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for GUESS-INIT-NAME                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8guess_init_name(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V2)==(ECL_SYM("OBJECT",1278)))) { goto L1; }
  if (Null(cl_probe_file(V1))) { goto L7; }
  value0 = L6find_init_name(1, V1);
  goto L5;
L7:;
  value0 = ECL_NIL;
  goto L5;
L5:;
  if ((value0)!=ECL_NIL) { goto L4; }
  value0 = cl_error(2, _ecl_static_8, V1);
  return value0;
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = L9compute_init_name(3, V1, VV[5], V2);
  return value0;
 }
}
/*	function definition for COMPUTE-INIT-NAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9compute_init_name(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L9compute_init_namekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    V2 = ecl_function_dispatch(cl_env_copy,VV[39])(1, V1) /*  GUESS-KIND */;
   } else {
    V2 = keyvars[0];
   }
   V3 = keyvars[1];
  }
  {
   cl_object V4;                                  /*  FILENAME        */
   T0 = cl_translate_logical_pathname(1, V1);
   V4 = cl_pathname_name(1, T0);
   if (!(ecl_eql(V2,ECL_SYM("OBJECT",1278)))) { goto L8; }
   goto L5;
   goto L6;
L8:;
   goto L6;
L6:;
   if (!(ecl_eql(V2,VV[8]))) { goto L3; }
   goto L4;
L5:;
L4:;
   value0 = L2unique_init_name(V1);
   return value0;
L3:;
   if (!(ecl_eql(V2,VV[10]))) { goto L16; }
   goto L13;
   goto L14;
L16:;
   goto L14;
L14:;
   if (!(ecl_eql(V2,VV[12]))) { goto L11; }
   goto L12;
L13:;
L12:;
   value0 = L13init_function_name(5, _ecl_static_9, VV[5], VV[12], VV[14], V3);
   return value0;
L11:;
   if (!(ecl_eql(V2,VV[15]))) { goto L24; }
   goto L21;
   goto L22;
L24:;
   goto L22;
L22:;
   if (!(ecl_eql(V2,VV[17]))) { goto L19; }
   goto L20;
L21:;
L20:;
   T0 = L7remove_prefix(ecl_symbol_value(VV[19]), V4);
   value0 = L13init_function_name(5, T0, VV[5], VV[17], VV[14], V3);
   return value0;
L19:;
   if (!(ecl_eql(V2,VV[20]))) { goto L32; }
   goto L29;
   goto L30;
L32:;
   goto L30;
L30:;
   if (!(ecl_eql(V2,VV[22]))) { goto L27; }
   goto L28;
L29:;
L28:;
   T0 = L7remove_prefix(ecl_symbol_value(VV[24]), V4);
   value0 = L13init_function_name(5, T0, VV[5], VV[22], VV[14], V3);
   return value0;
L27:;
   if (!(ecl_eql(V2,VV[25]))) { goto L35; }
   value0 = V3;
   if ((value0)!=ECL_NIL) { goto L40; }
   T0 = _ecl_static_10;
   goto L38;
L40:;
   T0 = value0;
   goto L38;
L38:;
   value0 = cl_concatenate(3, ECL_SYM("STRING",805), T0, _ecl_static_11);
   return value0;
L35:;
   value0 = cl_error(2, _ecl_static_12, V2);
   return value0;
  }
 }
}
/*	function definition for COMPUTE-MAIN-NAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10compute_main_name(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_fdefinition(VV[27]);
  value0 = cl_apply(5, T0, V1, VV[14], _ecl_static_13, V2);
  return value0;
 }
}
/*	function definition for INIT-FUNCTION-NAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13init_function_name(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L13init_function_namekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    lex0[0] = ECL_SYM("OBJECT",1278);             /*  KIND            */
   } else {
    lex0[0] = keyvars[0];                         /*  KIND            */
   }
   V2 = keyvars[1];
  }
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cfun((cl_objectfn_fixed)LC11translate_char,ECL_NIL,Cblock,1);
   T0 = cl_string(V1);
   V1 = cl_map(3, ECL_SYM("STRING",805), V3, T0);
   value0 = V2;
   if ((value0)!=ECL_NIL) { goto L5; }
   T0 = _ecl_static_10;
   goto L3;
L5:;
   T0 = value0;
   goto L3;
L3:;
   T1 = LC12disambiguation(lex0, lex0[0]);
   T2 = cl_string(V1);
   T3 = cl_map(3, ECL_SYM("STRING",805), V3, T2);
   value0 = cl_concatenate(4, ECL_SYM("STRING",805), T0, T1, T3);
   return value0;
  }
 }
}
/*	local function DISAMBIGUATION                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12disambiguation(volatile cl_object *lex0, cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(lex0[0],ECL_SYM("OBJECT",1278)))) { goto L1; }
  value0 = _ecl_static_14;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_eql(lex0[0],VV[25]))) { goto L3; }
  value0 = _ecl_static_15;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ecl_eql(lex0[0],VV[10]))) { goto L10; }
  goto L7;
  goto L8;
L10:;
  goto L8;
L8:;
  if (!(ecl_eql(lex0[0],VV[12]))) { goto L5; }
  goto L6;
L7:;
L6:;
  value0 = _ecl_static_16;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (!(ecl_eql(lex0[0],VV[29]))) { goto L18; }
  goto L15;
  goto L16;
L18:;
  goto L16;
L16:;
  if (!(ecl_eql(lex0[0],VV[15]))) { goto L22; }
  goto L15;
  goto L20;
L22:;
  goto L20;
L20:;
  if (!(ecl_eql(lex0[0],VV[17]))) { goto L13; }
  goto L14;
L15:;
L14:;
  value0 = _ecl_static_17;
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  if (!(ecl_eql(lex0[0],VV[20]))) { goto L30; }
  goto L27;
  goto L28;
L30:;
  goto L28;
L28:;
  if (!(ecl_eql(lex0[0],VV[22]))) { goto L25; }
  goto L26;
L27:;
L26:;
  value0 = _ecl_static_18;
  cl_env_copy->nvalues = 1;
  return value0;
L25:;
  value0 = cl_error(2, _ecl_static_19, lex0[0]);
  return value0;
 }
}
/*	local function TRANSLATE-CHAR                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11translate_char(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_charGE(2, V1, CODE_CHAR(97)))) { goto L1; }
  if (Null(cl_charLE(2, V1, CODE_CHAR(122)))) { goto L1; }
  value0 = cl_char_upcase(V1);
  return value0;
L1:;
  if (Null(cl_charGE(2, V1, CODE_CHAR(65)))) { goto L4; }
  if (Null(cl_charLE(2, V1, CODE_CHAR(90)))) { goto L4; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  if ((V1)==(CODE_CHAR(45))) { goto L9; }
  if (!((V1)==(CODE_CHAR(95)))) { goto L7; }
  goto L8;
L9:;
L8:;
  value0 = CODE_CHAR(95);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!((V1)==(CODE_CHAR(42)))) { goto L11; }
  value0 = CODE_CHAR(120);
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  if (!((V1)==(CODE_CHAR(63)))) { goto L13; }
  value0 = CODE_CHAR(97);
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  if (Null(cl_digit_char_p(1, V1))) { goto L15; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  value0 = CODE_CHAR(112);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "cmp/cmpname.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclAGRSFCa7_R8WgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPNAME.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclAGRSFCa7_R8WgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (void)0; /* No entry created for ENCODE-NUMBER-IN-NAME */
 ecl_cmp_defun(VV[32]);                           /*  UNIQUE-INIT-NAME */
 ecl_cmp_defun(VV[33]);                           /*  INIT-NAME-TAG   */
 (void)0; /* No entry created for SEARCH-TAG */
 (void)0; /* No entry created for READ-NAME */
 ecl_cmp_defun(VV[34]);                           /*  FIND-INIT-NAME  */
 ecl_cmp_defun(VV[36]);                           /*  REMOVE-PREFIX   */
 ecl_cmp_defun(VV[37]);                           /*  GUESS-INIT-NAME */
 ecl_cmp_defun(VV[38]);                           /*  COMPUTE-INIT-NAME */
 ecl_cmp_defun(VV[42]);                           /*  COMPUTE-MAIN-NAME */
 ecl_cmp_defun(VV[43]);                           /*  INIT-FUNCTION-NAME */
}
