/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPSTRUCTURES.LSP                             */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpstructures.eclh"
/*	function definition for GET-SLOT-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1get_slot_type(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = si_get_sysprop(V1, ECL_SYM("STRUCTURE-SLOT-DESCRIPTIONS",1155));
  T1 = ecl_nth(ecl_to_size(V2),T0);
  value0 = ecl_caddr(T1);
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MAYBE-OPTIMIZE-STRUCTURE-ACCESS       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2maybe_optimize_structure_access(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  SLOT-DESCRIPTION */
   V3 = si_get_sysprop(V1, VV[1]);
   if (Null(V3)) { goto L2; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[10])(1, V1) /*  INLINE-POSSIBLE */)) { goto L2; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[11])(0) /*  POLICY-INLINE-SLOT-ACCESS-P */)) { goto L2; }
   {
    cl_object V4;                                 /*  STRUCTURE-TYPE  */
    cl_object V5;                                 /*  SLOT-INDEX      */
    V4 = ECL_NIL;
    V5 = ECL_NIL;
    if (!(ECL_CONSP(V3))) { goto L11; }
    V4 = ecl_car(V3);
    V5 = ecl_cdr(V3);
    if (Null(V5)) { goto L11; }
    if (ECL_FIXNUMP(V5)) { goto L8; }
    goto L9;
L11:;
    goto L9;
L9:;
    ecl_function_dispatch(cl_env_copy,VV[12])(3, _ecl_static_1, V1, V5) /*  CMPWARN */;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L8:;
    {
     cl_fixnum V6;
     V6 = ecl_length(V2);
     if ((V6)==(1)) { goto L18; }
    }
    ecl_function_dispatch(cl_env_copy,VV[12])(2, _ecl_static_2, V1) /*  CMPWARN */;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L18:;
    V2 = ecl_car(V2);
    if (!((V4)==(ECL_SYM("LIST",481)))) { goto L23; }
    value0 = cl_list(3, ECL_SYM("ELT",327), V2, V5);
    return value0;
L23:;
    if (!((V4)==(ECL_SYM("VECTOR",898)))) { goto L25; }
    value0 = cl_list(3, ECL_SYM("SVREF",838), V2, V5);
    return value0;
L25:;
    if (!(ECL_CONSP(V4))) { goto L27; }
    T0 = cl_list(3, ECL_SYM("THE",856), V4, V2);
    value0 = cl_list(3, ECL_SYM("AREF",92), T0, V5);
    return value0;
L27:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    value0 = cl_list(3, V2, T0, V5);
    return value0;
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function STRUCTURE-REF                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3si_structure_ref(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  OBJECT          */
   cl_object V5;                                  /*  STRUCTURE-NAME  */
   cl_object V6;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[13])(1, V2) /*  POLICY-INLINE-SLOT-ACCESS */)) { goto L22; }
   if (Null(cl_constantp(2, V5, V2))) { goto L22; }
   if (Null(cl_constantp(2, V6, V2))) { goto L22; }
   {
    cl_object V7;                                 /*  INDEX           */
    cl_object V8;                                 /*  AUX             */
    cl_object V9;                                 /*  FORM            */
    V7 = ecl_function_dispatch(cl_env_copy,VV[14])(2, V6, V2) /*  CMP-EVAL */;
    V8 = cl_gensym(0);
    T0 = cl_list(2, V8, V7);
    V9 = cl_listX(3, ECL_SYM("C-INLINE",1969), T0, VV[3]);
    if ((ecl_function_dispatch(cl_env_copy,VV[15])(1, V2) /*  POLICY-ASSUME-NO-ERRORS */)!=ECL_NIL) { goto L29; }
    {
     cl_object V10;                               /*  STRUCTURE-NAME  */
     V10 = ecl_function_dispatch(cl_env_copy,VV[14])(2, V5, V2) /*  CMP-EVAL */;
     T0 = cl_list(2, V10, V9);
     T1 = cl_list(3, V8, V10, V7);
     T2 = cl_listX(3, ECL_SYM("C-INLINE",1969), T1, VV[4]);
     T3 = cl_list(2, ECL_T, T2);
     V9 = cl_list(4, ECL_SYM("COMPILER-TYPECASE",1779), V8, T0, T3);
    }
L29:;
    T0 = cl_list(2, V8, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[5], V8);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, V9);
    return value0;
   }
L22:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function STRUCTURE-SET                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4si_structure_set(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  OBJECT          */
   cl_object V5;                                  /*  STRUCTURE-NAME  */
   cl_object V6;                                  /*  INDEX           */
   cl_object V7;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
   }
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[13])(1, V2) /*  POLICY-INLINE-SLOT-ACCESS */)) { goto L28; }
   if (Null(cl_constantp(2, V5, V2))) { goto L28; }
   if (Null(cl_constantp(2, V6, V2))) { goto L28; }
   {
    cl_object V8;                                 /*  INDEX           */
    cl_object V9;                                 /*  AUX             */
    cl_object V10;                                /*  FORM            */
    V8 = ecl_function_dispatch(cl_env_copy,VV[14])(2, V6, V2) /*  CMP-EVAL */;
    V9 = cl_gensym(0);
    T0 = cl_list(3, V9, V8, V7);
    V10 = cl_listX(3, ECL_SYM("C-INLINE",1969), T0, VV[6]);
    if ((ecl_function_dispatch(cl_env_copy,VV[15])(1, V2) /*  POLICY-ASSUME-NO-ERRORS */)!=ECL_NIL) { goto L35; }
    {
     cl_object V11;                               /*  STRUCTURE-NAME  */
     V11 = ecl_function_dispatch(cl_env_copy,VV[14])(2, V5, V2) /*  CMP-EVAL */;
     T0 = cl_list(2, V11, V10);
     T1 = cl_list(2, ECL_SYM("QUOTE",679), V11);
     T2 = cl_list(4, V9, T1, V8, V7);
     T3 = cl_listX(3, ECL_SYM("C-INLINE",1969), T2, VV[7]);
     T4 = cl_list(2, ECL_T, T3);
     V10 = cl_list(4, ECL_SYM("COMPILER-TYPECASE",1779), V9, T0, T4);
    }
L35:;
    T0 = cl_list(2, V9, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[5], V9);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, V10);
    return value0;
   }
L28:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "cmp/cmpstructures.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclHBxIaea7_fAYgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPSTRUCTURES.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclHBxIaea7_fAYgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[8]);                            /*  GET-SLOT-TYPE   */
 ecl_cmp_defun(VV[9]);                            /*  MAYBE-OPTIMIZE-STRUCTURE-ACCESS */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC3si_structure_ref,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(ECL_SYM("STRUCTURE-REF",1153), ECL_SYM("COMPILER-MACRO",238), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC4si_structure_set,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(ECL_SYM("STRUCTURE-SET",1154), ECL_SYM("COMPILER-MACRO",238), T0);
 }
}
