/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPUTIL.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "cmp/cmputil.eclh"
/*	function definition for BRIEF-NAMESTRING                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1brief_namestring(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = si_coerce_to_filename(V1);
  value0 = cl_enough_namestring(1, T0);
  return value0;
 }
}
/*	function definition for INNERMOST-NON-EXPANDED-FORM           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2innermost_non_expanded_form(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(V1))) { goto L1; }
  {
   cl_object V2;                                  /*  OUTPUT          */
   V2 = ECL_NIL;
   {
    cl_object V3;                                 /*  F               */
    cl_object V4;
    V3 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
    V4 = V1;
L7:;
    if (!(ecl_endp(V4))) { goto L9; }
    goto L8;
L9:;
    V3 = _ecl_car(V4);
    {
     cl_object V5;
     V5 = _ecl_cdr(V4);
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V4 = V5;
    }
    if (!((V3)==(ECL_SYM("MACROEXPAND",519)))) { goto L18; }
    V2 = ECL_NIL;
    goto L17;
L18:;
    if (!(V2==ECL_NIL)) { goto L17; }
    V2 = V3;
L17:;
    goto L7;
L8:;
    value0 = V2;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COMPILER-MESSAGE-REPORT               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3compiler_message_report(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  V4 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V5;                                  /*  LET1587         */
   cl_object V6;                                  /*  LET1588         */
   cl_object V7;                                  /*  LET1589         */
   cl_object V8;                                  /*  LET1590         */
   V5 = ecl_function_dispatch(cl_env_copy,VV[88])(1, V2) /*  COMPILER-MESSAGE-FILE-POSITION */;
   V6 = ecl_function_dispatch(cl_env_copy,VV[89])(1, V2) /*  COMPILER-MESSAGE-PREFIX */;
   V7 = ecl_function_dispatch(cl_env_copy,VV[90])(1, V2) /*  COMPILER-MESSAGE-FILE */;
   T0 = ecl_function_dispatch(cl_env_copy,VV[91])(1, V2) /*  COMPILER-MESSAGE-TOPLEVEL-FORM */;
   V8 = L2innermost_non_expanded_form(T0);
   if (Null(V8)) { goto L6; }
   if (Null(V5)) { goto L6; }
   if (ecl_minusp(V5)) { goto L6; }
   if (ecl_equalp(V8,VV[6])) { goto L6; }
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LENGTH*",50),ecl_make_fixnum(2)); /*  *PRINT-LENGTH* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LEVEL*",51),ecl_make_fixnum(2)); /*  *PRINT-LEVEL* */
   T0 = cl_pathname_name(1, V7);
   T1 = cl_pathname_type(1, V7);
   T2 = cl_pathname_version(V7);
   T3 = cl_make_pathname(6, ECL_SYM("NAME",1273), T0, ECL_SYM("TYPE",1318), T1, ECL_SYM("VERSION",1326), T2);
   cl_format(6, V1, _ecl_static_5, V6, T3, V5, V8);
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   goto L5;
L6:;
   cl_format(3, V1, _ecl_static_6, V6);
L5:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[92])(1, V2) /*  COMPILER-MESSAGE-FORMAT */;
   value0 = cl_format(4, V1, T0, V3, V4);
   return value0;
  }
 }
}
/*	local function G3                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g3()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC4__g4,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G5                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g5()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",26));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G6                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7__g6()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[9]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G7                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g7()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[10]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G8                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9__g8()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[11]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G4                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4__g4(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_fdefinition(VV[7]);
  T1 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-CONTROL",768)->symbol.gfdef))->cfun.entry(1, V1) /*  SIMPLE-CONDITION-FORMAT-CONTROL */;
  T2 = (cl_env_copy->function=(ECL_SYM("SIMPLE-CONDITION-FORMAT-ARGUMENTS",769)->symbol.gfdef))->cfun.entry(1, V1) /*  SIMPLE-CONDITION-FORMAT-ARGUMENTS */;
  value0 = cl_apply(5, T0, V2, V1, T1, T2);
  return value0;
 }
}
/*	local function G9                                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g9()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC10__g10,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G10                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10__g10(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_slot_value(V1, ECL_SYM("VARIABLE",897));
  value0 = L3compiler_message_report(4, V2, V1, _ecl_static_7, T0);
  return value0;
 }
}
/*	function definition for PRINT-COMPILER-MESSAGE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12print_compiler_message(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((cl_typep(2, V1, ecl_symbol_value(VV[21])))!=ECL_NIL) { goto L1; }
  value0 = cl_format(3, V2, _ecl_static_8, V1);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for HANDLE-COMPILER-NOTE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13handle_compiler_note(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for HANDLE-COMPILER-WARNING               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14handle_compiler_warning(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[24],CONS(V1,ecl_symbol_value(VV[24])));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for HANDLE-COMPILER-ERROR                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15handle_compiler_error(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(1, V1) /*  SIGNAL */;
  cl_set(VV[24],CONS(V1,ecl_symbol_value(VV[24])));
  L12print_compiler_message(V1, ECL_T);
  value0 = cl_abort(0);
  return value0;
 }
}
/*	function definition for HANDLE-COMPILER-INTERNAL-ERROR        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16handle_compiler_internal_error(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[27]))) { goto L1; }
  (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V1) /*  INVOKE-DEBUGGER */;
L1:;
  T0 = ecl_list1(V1);
  V1 = (cl_env_copy->function=(ECL_SYM("MAKE-CONDITION",524)->symbol.gfdef))->cfun.entry(5, VV[18], ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_9, ECL_SYM("FORMAT-ARGUMENTS",1239), T0) /*  MAKE-CONDITION */;
  cl_set(VV[24],CONS(V1,ecl_symbol_value(VV[24])));
  (cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(1, V1) /*  SIGNAL */;
  L12print_compiler_message(V1, ECL_T);
  value0 = cl_abort(0);
  return value0;
 }
}
/*	function definition for DO-COMPILATION-UNIT                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17do_compilation_unit(volatile cl_narg narg, cl_object volatile V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L17do_compilation_unitkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
  }
  if (Null(V2)) { goto L1; }
  ecl_bds_bind(cl_env_copy,VV[29],ECL_NIL);       /*  *ACTIVE-PROTECTION* */
  value0 = L17do_compilation_unit(1, V1);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L1:;
  if (!(ecl_symbol_value(VV[29])==ECL_NIL)) { goto L3; }
  ecl_bds_bind(cl_env_copy,VV[29],ECL_T);         /*  *ACTIVE-PROTECTION* */
  ecl_bds_bind(cl_env_copy,VV[30],ECL_NIL);       /*  *PENDING-ACTIONS* */
  {
   volatile bool unwinding = FALSE;
   cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   cl_env_copy->values[0] = L17do_compilation_unit(1, V1);
   }
   ecl_frs_pop(cl_env_copy);
   V4=ecl_stack_push_values(cl_env_copy);
   {
    cl_object V5;                                 /*  LET1592         */
    cl_object V6;                                 /*  ACTION          */
    cl_object V7;
    V5 = ecl_symbol_value(VV[30]);
    V6 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
    V7 = V5;
L11:;
    if (!(ecl_endp(V7))) { goto L13; }
    goto L12;
L13:;
    V6 = _ecl_car(V7);
    {
     cl_object V8;
     V8 = _ecl_cdr(V7);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V7 = V8;
    }
    ecl_function_dispatch(cl_env_copy,V6)(0);
    goto L11;
L12:;
   }
   ecl_stack_pop_values(cl_env_copy,V4);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,V3);
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return cl_env_copy->values[0];
  }
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,V1)(0);
  return value0;
 }
}
/*	local function WITH-COMPILATION-UNIT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18with_compilation_unit(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   T0 = cl_listX(3, ECL_SYM("LAMBDA",452), ECL_NIL, V3);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   value0 = cl_listX(3, VV[31], T1, V4);
   return value0;
  }
 }
}
/*	local function WITH-COMPILER-ENV                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19with_compiler_env(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  COMPILER-CONDITIONS */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   if (Null(V5)) { goto L15; }
   si_dm_too_many_arguments(V1);
L15:;
   T0 = cl_listX(3, VV[32], ECL_NIL, V3);
   T1 = cl_list(3, ECL_SYM("LET",477), ecl_symbol_value(VV[37]), T0);
   T2 = cl_list(3, ECL_SYM("WITH-LOCK",1427), VV[36], T1);
   T3 = cl_list(3, ECL_SYM("HANDLER-BIND",417), VV[35], T2);
   T4 = cl_list(3, ECL_SYM("RESTART-CASE",722), T3, VV[38]);
   T5 = cl_list(3, ECL_SYM("SETF",750), V6, VV[24]);
   value0 = cl_list(5, ECL_SYM("LET",477), VV[33], VV[34], T4, T5);
   return value0;
  }
 }
}
/*	function definition for PRINT-C1FORMS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20print_c1forms(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(V1))) { goto L1; }
  T0 = ecl_one_plus(ecl_symbol_value(VV[40]));
  ecl_bds_bind(cl_env_copy,VV[40],T0);            /*  *C1FORM-LEVEL*  */
  {
   cl_object V2;
   cl_object V3;
   V2 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
   V3 = V1;
L6:;
   if (!(ecl_endp(V3))) { goto L8; }
   goto L7;
L8:;
   V2 = _ecl_car(V3);
   {
    cl_object V4;
    V4 = _ecl_cdr(V3);
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    V3 = V4;
   }
   L20print_c1forms(V2);
   goto L6;
L7:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[103])(1, V1) /*  C1FORM-P */)) { goto L19; }
  T0 = ecl_symbol_value(VV[40]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[104])(1, V1) /*  C1FORM-PARENT */;
  cl_format(5, ECL_T, _ecl_static_10, T0, V1, T1);
  T0 = ecl_function_dispatch(cl_env_copy,VV[105])(1, V1) /*  C1FORM-ARGS */;
  L20print_c1forms(T0);
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L19:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for PRINT-REF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21print_ref(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  NAME            */
   V3 = ecl_function_dispatch(cl_env_copy,VV[107])(1, V1) /*  REF-NAME */;
   if (Null(V3)) { goto L2; }
   T0 = cl_type_of(V1);
   value0 = cl_format(4, V2, _ecl_static_11, T0, V3);
   return value0;
L2:;
   T0 = cl_type_of(V1);
   value0 = cl_format(3, V2, _ecl_static_12, T0);
   return value0;
  }
 }
}
/*	function definition for PRINT-VAR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22print_var(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[109])(1, V1) /*  VAR-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[110])(1, V1) /*  VAR-KIND */;
  value0 = cl_format(4, V2, _ecl_static_13, T0, T1);
  return value0;
 }
}
/*	function definition for CMPPROGRESS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23cmpprogress(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (Null(ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29)))) { goto L1; }
  T0 = (ECL_SYM("FORMAT",387)->symbol.gfdef);
  value0 = cl_apply(3, T0, ECL_T, V1);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function CMPCK                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24cmpck(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  CONDITION       */
   cl_object V5;                                  /*  STRING          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = cl_listX(3, VV[45], V5, V3);
   value0 = cl_list(3, ECL_SYM("IF",946), V4, T0);
   return value0;
  }
 }
}
/*	local function CMPASSERT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25cmpassert(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  CONDITION       */
   cl_object V5;                                  /*  STRING          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = cl_listX(3, VV[45], V5, V3);
   value0 = cl_list(3, ECL_SYM("UNLESS",883), V4, T0);
   return value0;
  }
 }
}
/*	function definition for CMPERR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26cmperr(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  C               */
   V3 = (cl_env_copy->function=(ECL_SYM("MAKE-CONDITION",524)->symbol.gfdef))->cfun.entry(5, VV[16], ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2) /*  MAKE-CONDITION */;
   (cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(1, V3) /*  SIGNAL */;
   L12print_compiler_message(V3, ECL_T);
   value0 = cl_abort(0);
   return value0;
  }
 }
}
/*	function definition for SAFE-LIST-LENGTH                      */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L27safe_list_length(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V2;                                   /*  SLOW            */
  V2 = V1;
  {
   cl_object V3;                                  /*  FAST            */
   V3 = V1;
   {
    cl_object V4;                                 /*  FLAG            */
    V4 = ECL_T;
    {
     cl_fixnum V5;                                /*  L               */
     V5 = 0;
L5:;
     if (!(V3==ECL_NIL)) { goto L8; }
     value0 = ecl_make_fixnum(V5);
     cl_env_copy->nvalues = 1;
     return value0;
L8:;
     if (ECL_CONSP(V3)) { goto L10; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L10:;
     if (Null(V4)) { goto L12; }
     V4 = ECL_NIL;
     V3 = ECL_CONS_CDR(V3);
     goto L7;
L12:;
     if (!((V2)==(V3))) { goto L17; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L17:;
     V4 = ECL_T;
     V2 = ECL_CONS_CDR(V2);
     V3 = ECL_CONS_CDR(V3);
L7:;
     V5 = (V5)+1;
     goto L5;
     value0 = ecl_make_fixnum(V5);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	function definition for CHECK-ARGS-NUMBER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28check_args_number(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_make_fixnum(0);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ecl_make_fixnum(536870911);
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  L               */
   V5 = L27safe_list_length(V2);
   if (!(V5==ECL_NIL)) { goto L4; }
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",47),ECL_T); /*  *PRINT-CIRCLE* */
   L26cmperr(3, _ecl_static_14, V1, V2);
   ecl_bds_unwind1(cl_env_copy);
L4:;
   if (!(ecl_number_compare(V5,V3)<0)) { goto L6; }
   L30too_few_args(V1, V3, V5);
L6:;
   if (Null(V4)) { goto L8; }
   if (!(ecl_number_compare(V5,V4)>0)) { goto L8; }
   value0 = L29too_many_args(V1, V4, V5);
   return value0;
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for TOO-MANY-ARGS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29too_many_args(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CASE*",46),ECL_SYM("UPCASE",1322)); /*  *PRINT-CASE* */
  value0 = L26cmperr(4, _ecl_static_15, V1, V2, V3);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*	function definition for TOO-FEW-ARGS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30too_few_args(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L26cmperr(4, _ecl_static_16, V1, V2, V3);
  return value0;
 }
}
/*	function definition for DO-CMPWARN                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33do_cmpwarn(volatile cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  volatile cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   volatile cl_object V2;                         /*  CONDITION       */
   T0 = (ECL_SYM("MAKE-CONDITION",524)->symbol.gfdef);
   V2 = cl_apply(2, T0, V1);
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L4;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V3;
      V3 = ECL_NIL;
      V3 = ecl_make_cclosure_va((cl_objectfn)LC31__g67,env2,Cblock);
      T0 = V3;
     }
     {cl_object V3;
      V3 = ECL_NIL;
      V3 = ecl_make_cfun((cl_objectfn_fixed)LC32__g68,ECL_NIL,Cblock,1);
      T1 = V3;
     }
     T2 = ecl_function_dispatch(cl_env_copy,VV[119])(6, ECL_SYM("NAME",1273), ECL_SYM("MUFFLE-WARNING",571), ECL_SYM("FUNCTION",1241), T0, VV[53], T1) /*  MAKE-RESTART */;
     T3 = ecl_list1(T2);
     T4 = CONS(T3,ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*RESTART-CLUSTERS*",4),T4); /*  *RESTART-CLUSTERS* */
     T0 = ecl_car(ecl_symbol_value(ECL_SYM("*RESTART-CLUSTERS*",4)));
     T1 = CONS(V2,T0);
     T2 = CONS(T1,ecl_symbol_value(VV[54]));
     ecl_bds_bind(cl_env_copy,VV[54],T2);         /*  *CONDITION-RESTARTS* */
     (cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(1, V2) /*  SIGNAL */;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     goto L3;
L4:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
   }
L3:;
   value0 = L12print_compiler_message(V2, ECL_T);
   return value0;
  }
 }
}
/*	closure G67                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g67(cl_narg narg, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	local function G68                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32__g68(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_write_string(2, _ecl_static_17, V1);
  return value0;
 }
}
/*	function definition for CMPWARN-STYLE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34cmpwarn_style(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L33do_cmpwarn(5, VV[19], ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2);
  return value0;
 }
}
/*	function definition for CMPWARN                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35cmpwarn(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L33do_cmpwarn(5, VV[14], ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2);
  return value0;
 }
}
/*	function definition for CMPNOTE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36cmpnote(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L33do_cmpwarn(5, VV[12], ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2);
  return value0;
 }
}
/*	function definition for CMPDEBUG                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37cmpdebug(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L33do_cmpwarn(5, VV[13], ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2);
  return value0;
 }
}
/*	function definition for PRINT-CURRENT-FORM                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38print_current_form()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*COMPILE-PRINT*",28)))) { goto L1; }
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LENGTH*",50),ecl_make_fixnum(2)); /*  *PRINT-LENGTH* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-LEVEL*",51),ecl_make_fixnum(2)); /*  *PRINT-LEVEL* */
  T0 = L2innermost_non_expanded_form(ecl_symbol_value(VV[10]));
  cl_format(3, ECL_T, _ecl_static_18, T0);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for PRINT-EMITTING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39print_emitting(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*COMPILE-PRINT*",28)))) { goto L1; }
  {
   cl_object V2;                                  /*  NAME            */
   value0 = ecl_function_dispatch(cl_env_copy,VV[126])(1, V1) /*  FUN-NAME */;
   if ((value0)!=ECL_NIL) { goto L5; }
   V2 = ecl_function_dispatch(cl_env_copy,VV[127])(1, V1) /*  FUN-DESCRIPTION */;
   goto L3;
L5:;
   V2 = value0;
   goto L3;
L3:;
   if (Null(V2)) { goto L7; }
   value0 = cl_format(3, ECL_T, _ecl_static_19, V2);
   return value0;
L7:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for UNDEFINED-VARIABLE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40undefined_variable(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L33do_cmpwarn(3, VV[20], ECL_SYM("NAME",1273), V1);
  return value0;
 }
}
/*	function definition for BABOON                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41baboon(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L41baboonkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    V1 = _ecl_static_20;
   } else {
    V1 = keyvars[0];
   }
   V2 = keyvars[1];
  }
  value0 = (cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(5, VV[18], ECL_SYM("FORMAT-CONTROL",1240), V1, ECL_SYM("FORMAT-ARGUMENTS",1239), V2) /*  SIGNAL */;
  return value0;
 }
}
/*	local function WITH-CMP-PROTECTION                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42with_cmp_protection(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  MAIN-FORM       */
   cl_object V5;                                  /*  ERROR-FORM      */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, ECL_SYM("HANDLER-BIND",417), VV[64], V4);
   T1 = cl_list(4, ECL_SYM("IF",946), VV[27], T0, V4);
   T2 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-PROG1",575), T1, VV[65]);
   T3 = cl_list(3, ECL_SYM("WHEN",905), VV[66], V5);
   T4 = cl_list(3, ECL_SYM("UNWIND-PROTECT",888), T2, T3);
   value0 = cl_list(3, ECL_SYM("LET*",478), VV[63], T4);
   return value0;
  }
 }
}
/*	function definition for CMP-EVAL                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44cmp_eval(volatile cl_narg narg, cl_object volatile V1, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ecl_symbol_value(VV[68]);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   CLV1 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
   if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
   ecl_internal_error("GO found an inexistent tag");
   }
   {cl_object V3;
    V3 = ECL_NIL;
    V3 = ecl_make_cclosure_va((cl_objectfn)LC43__g81,env1,Cblock);
    T0 = V3;
   }
   T1 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T0);
   T2 = ecl_list1(T1);
   T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
   value0 = si_eval_with_env(5, V1, V2, ECL_NIL, ECL_T, ECL_T);
   ecl_frs_pop(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L2:;
   {
    cl_object V3;                                 /*  C               */
    V3 = ECL_CONS_CAR(CLV0);
    if (Null(ecl_symbol_value(VV[27]))) { goto L7; }
    (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V3) /*  INVOKE-DEBUGGER */;
L7:;
    L26cmperr(3, _ecl_static_21, V1, V3);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    ecl_frs_pop(cl_env_copy);
    return value0;
   }
  }
 }
}
/*	closure G81                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g81(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for CMP-MACRO-FUNCTION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45cmp_macro_function(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[135])(1, V1) /*  CMP-ENV-SEARCH-MACRO */;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = cl_macro_function(1, V1);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CMP-EXPAND-MACRO                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47cmp_expand_macro(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_symbol_value(VV[68]);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   CLV1 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
   if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
   ecl_internal_error("GO found an inexistent tag");
   }
   {cl_object V4;
    V4 = ECL_NIL;
    V4 = ecl_make_cclosure_va((cl_objectfn)LC46__g85,env1,Cblock);
    T0 = V4;
   }
   T1 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T0);
   T2 = ecl_list1(T1);
   T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
   {
    cl_object V4;                                 /*  NEW-FORM        */
    V4 = ecl_function_dispatch(cl_env_copy,ecl_symbol_value(ECL_SYM("*MACROEXPAND-HOOK*",40)))(3, V1, V2, V3);
    {
     bool V5;
     V5 = ecl_eql(V4,V2);
     T0 = (V5)?ECL_NIL:ECL_T;
    }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = T0;
    cl_env_copy->values[0] = V4;
    value0 = cl_env_copy->values[0];
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
L2:;
   {
    cl_object V4;                                 /*  C               */
    V4 = ECL_CONS_CAR(CLV0);
    if (Null(ecl_symbol_value(VV[27]))) { goto L9; }
    (cl_env_copy->function=(ECL_SYM("INVOKE-DEBUGGER",445)->symbol.gfdef))->cfun.entry(1, V4) /*  INVOKE-DEBUGGER */;
L9:;
    L26cmperr(3, _ecl_static_22, V2, V4);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_NIL;
    value0 = cl_env_copy->values[0];
    ecl_frs_pop(cl_env_copy);
    return value0;
   }
  }
 }
}
/*	closure G85                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46__g85(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for CMP-EXPAND-COMPILER-MACRO             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49cmp_expand_compiler_macro(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, cl_object volatile V3, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ecl_symbol_value(VV[68]);
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   CLV1 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  TAGBODY */
   if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
   if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
   ecl_internal_error("GO found an inexistent tag");
   }
   {cl_object V5;
    V5 = ECL_NIL;
    V5 = ecl_make_cclosure_va((cl_objectfn)LC48__g89,env1,Cblock);
    T0 = V5;
   }
   T1 = CONS(ECL_SYM("SERIOUS-CONDITION",742),T0);
   T2 = ecl_list1(T1);
   T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
   ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
   T0 = CONS(V2,V3);
   value0 = L47cmp_expand_macro(3, V1, T0, V4);
   ecl_frs_pop(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
L2:;
   {
    cl_object V5;                                 /*  C               */
    V5 = ECL_CONS_CAR(CLV0);
    T0 = cl_list(2, V2, V5);
    L33do_cmpwarn(5, VV[15], ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_23, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_NIL;
    value0 = cl_env_copy->values[0];
    ecl_frs_pop(cl_env_copy);
    return value0;
   }
  }
 }
}
/*	closure G89                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g89(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for COMPILER-CLEAR-COMPILER-PROPERTIES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50si__compiler_clear_compiler_properties(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  si_rem_sysprop(V1, VV[73]);
  si_rem_sysprop(V1, VV[74]);
  si_rem_sysprop(V1, VV[75]);
  si_rem_sysprop(V1, VV[76]);
  si_rem_sysprop(V1, VV[77]);
  si_rem_sysprop(V1, VV[78]);
  si_rem_sysprop(V1, VV[79]);
  si_rem_sysprop(V1, VV[80]);
  si_rem_sysprop(V1, VV[81]);
  value0 = si_rem_sysprop(V1, VV[82]);
  return value0;
 }
}
/*	function definition for LISP-TO-C-NAME                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52lisp_to_c_name(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L2; }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cfun((cl_objectfn_fixed)LC51__g90,ECL_NIL,Cblock,1);
   T0 = V2;
  }
  T1 = cl_prin1_to_string(V1);
  T2 = cl_string_downcase(1, T1);
  value0 = cl_map(3, ECL_SYM("STRING",805), T0, T2);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G90                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g90(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V2;                                  /*  CC              */
   V2 = ecl_fixnum(cl_char_code(V1));
   if (((97)<=(V2) && (V2)<=(122))) { goto L4; }
   if (!(((48)<=(V2) && (V2)<=(57)))) { goto L2; }
   goto L3;
L4:;
L3:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = CODE_CHAR(95);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "cmp/cmputil.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclyJn85Bb7_eUJgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPUTIL.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclyJn85Bb7_eUJgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 si_Xmake_constant(VV[0], _ecl_static_1);
 si_Xmake_constant(VV[1], _ecl_static_2);
 si_Xmake_constant(VV[2], _ecl_static_3);
 si_Xmake_constant(VV[3], _ecl_static_4);
 ecl_cmp_defun(VV[85]);                           /*  BRIEF-NAMESTRING */
 ecl_cmp_defun(VV[86]);                           /*  INNERMOST-NON-EXPANDED-FORM */
 ecl_cmp_defun(VV[87]);                           /*  COMPILER-MESSAGE-REPORT */
 {
  cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC5__g3,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[1]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC6__g5,ECL_NIL,Cblock,0);
  T2 = V1;
 }
 T3 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T2, VVtemp[4]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC7__g6,ECL_NIL,Cblock,0);
  T4 = V1;
 }
 T5 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T4, VVtemp[5]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC8__g7,ECL_NIL,Cblock,0);
  T6 = V1;
 }
 T7 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T6, VVtemp[6]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC9__g8,ECL_NIL,Cblock,0);
  T8 = V1;
 }
 T9 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T8, VVtemp[7]);
 T10 = cl_list(7, T1, VVtemp[2], VVtemp[3], T3, T5, T7, T9);
 clos_load_defclass(VV[8], VVtemp[0], T10, ECL_NIL);
 }
 clos_load_defclass(VV[12], VVtemp[8], ECL_NIL, ECL_NIL);
 clos_load_defclass(VV[13], VVtemp[9], ECL_NIL, ECL_NIL);
 clos_load_defclass(VV[14], VVtemp[10], VVtemp[11], ECL_NIL);
 clos_load_defclass(VV[15], VVtemp[12], ECL_NIL, ECL_NIL);
 clos_load_defclass(VV[16], VVtemp[8], VVtemp[13], ECL_NIL);
 clos_load_defclass(VV[17], VVtemp[14], VVtemp[15], ECL_NIL);
 clos_load_defclass(VV[18], VVtemp[16], VVtemp[17], ECL_NIL);
 clos_load_defclass(VV[19], VVtemp[10], VVtemp[18], ECL_NIL);
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC11__g9,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[20]);
 T2 = cl_list(2, T1, VVtemp[21]);
 clos_load_defclass(VV[20], VVtemp[19], T2, ECL_NIL);
 }
 ecl_cmp_defun(VV[93]);                           /*  PRINT-COMPILER-MESSAGE */
 ecl_cmp_defun(VV[94]);                           /*  HANDLE-COMPILER-NOTE */
 ecl_cmp_defun(VV[95]);                           /*  HANDLE-COMPILER-WARNING */
 ecl_cmp_defun(VV[96]);                           /*  HANDLE-COMPILER-ERROR */
 ecl_cmp_defun(VV[97]);                           /*  HANDLE-COMPILER-INTERNAL-ERROR */
 ecl_cmp_defun(VV[98]);                           /*  DO-COMPILATION-UNIT */
 ecl_cmp_defmacro(VV[100]);                       /*  WITH-COMPILATION-UNIT */
 ecl_cmp_defmacro(VV[101]);                       /*  WITH-COMPILER-ENV */
 si_Xmake_special(VV[40]);
 if (ecl_boundp(cl_env_copy,VV[40])) { goto L85; }
 cl_set(VV[40],ecl_make_fixnum(0));
L85:;
 ecl_cmp_defun(VV[102]);                          /*  PRINT-C1FORMS   */
 ecl_cmp_defun(VV[106]);                          /*  PRINT-REF       */
 ecl_cmp_defun(VV[108]);                          /*  PRINT-VAR       */
 ecl_cmp_defun(VV[111]);                          /*  CMPPROGRESS     */
 ecl_cmp_defmacro(VV[112]);                       /*  CMPCK           */
 ecl_cmp_defmacro(VV[113]);                       /*  CMPASSERT       */
 ecl_cmp_defun(VV[114]);                          /*  CMPERR          */
 ecl_cmp_defun(VV[115]);                          /*  SAFE-LIST-LENGTH */
 ecl_cmp_defun(VV[116]);                          /*  CHECK-ARGS-NUMBER */
 ecl_cmp_defun(VV[117]);                          /*  TOO-MANY-ARGS   */
 ecl_cmp_defun(VV[118]);                          /*  TOO-FEW-ARGS    */
 (void)0; /* No entry created for DO-CMPWARN */
 ecl_cmp_defun(VV[120]);                          /*  CMPWARN-STYLE   */
 ecl_cmp_defun(VV[121]);                          /*  CMPWARN         */
 ecl_cmp_defun(VV[122]);                          /*  CMPNOTE         */
 ecl_cmp_defun(VV[123]);                          /*  CMPDEBUG        */
 ecl_cmp_defun(VV[124]);                          /*  PRINT-CURRENT-FORM */
 ecl_cmp_defun(VV[125]);                          /*  PRINT-EMITTING  */
 ecl_cmp_defun(VV[128]);                          /*  UNDEFINED-VARIABLE */
 ecl_cmp_defun(VV[129]);                          /*  BABOON          */
 ecl_cmp_defmacro(VV[132]);                       /*  WITH-CMP-PROTECTION */
 ecl_cmp_defun(VV[133]);                          /*  CMP-EVAL        */
 ecl_cmp_defun(VV[134]);                          /*  CMP-MACRO-FUNCTION */
 ecl_cmp_defun(VV[136]);                          /*  CMP-EXPAND-MACRO */
 ecl_cmp_defun(VV[137]);                          /*  CMP-EXPAND-COMPILER-MACRO */
 ecl_cmp_defun(VV[138]);                          /*  COMPILER-CLEAR-COMPILER-PROPERTIES */
 ecl_cmp_defun(VV[139]);                          /*  LISP-TO-C-NAME  */
}
