/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CMP;CMPWT.LSP                                     */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpwt.eclh"
/*	function definition for DATA-PERMANENT-STORAGE-SIZE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1data_permanent_storage_size()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_fixnum(ecl_length(ecl_symbol_value(VV[0])));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DATA-TEMPORARY-STORAGE-SIZE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2data_temporary_storage_size()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_fixnum(ecl_length(ecl_symbol_value(VV[2])));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DATA-SIZE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3data_size()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L1data_permanent_storage_size();
  T1 = L2data_temporary_storage_size();
  value0 = ecl_plus(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DATA-INIT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4data_init(volatile cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V1)) { goto L2; }
  if (Null(cl_probe_file(V1))) { goto L2; }
  {
   volatile cl_object V2;                         /*  S               */
   V2 = cl_open(3, V1, ECL_SYM("DIRECTION",1218), ECL_SYM("INPUT",1254));
   {
    volatile bool unwinding = FALSE;
    cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V5;
      V5 = _ecl_inner_frame;
      cl_set(VV[0],cl_read(1, V2));
      cl_set(VV[2],cl_read(1, V2));
      cl_env_copy->values[0] = ecl_symbol_value(VV[2]);
      cl_env_copy->nvalues = 1;
      ecl_stack_frame_push_values(V5);
      if (Null(V2)) { goto L14; }
      cl_close(1, V2);
L14:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V4=ecl_stack_push_values(cl_env_copy);
    if (Null(V2)) { goto L16; }
    cl_close(3, V2, ECL_SYM("ABORT",1195), ECL_T);
L16:;
    ecl_stack_pop_values(cl_env_copy,V4);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V3);
    return cl_env_copy->values[0];
   }
  }
L2:;
  cl_set(VV[0],si_make_vector(ECL_T, ecl_make_fixnum(128), ECL_T, ecl_make_fixnum(0), ECL_NIL, ecl_make_fixnum(0)));
  cl_set(VV[2],si_make_vector(ECL_T, ecl_make_fixnum(128), ECL_T, ecl_make_fixnum(0), ECL_NIL, ecl_make_fixnum(0)));
  value0 = ecl_symbol_value(VV[2]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DATA-GET-ALL-OBJECTS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5data_get_all_objects()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  LET1982         */
   cl_object V2;                                  /*  ARRAY           */
   cl_object V3;
   V1 = cl_list(2, ecl_symbol_value(VV[0]), ecl_symbol_value(VV[2]));
   V2 = ECL_NIL;
   V3 = V1;
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_list1(ECL_NIL);
    V5 = V4;
L6:;
    if (!(ecl_endp(V3))) { goto L8; }
    goto L7;
L8:;
    V2 = _ecl_car(V3);
    {
     cl_object V6;
     V6 = _ecl_cdr(V3);
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     V3 = V6;
    }
    {
     cl_object V6;
     {
      cl_object V7;                               /*  OBJECT          */
      cl_object V8;                               /*  VV-RECORD       */
      cl_object V9;                               /*  REST            */
      cl_object V10;
      cl_fixnum V11;
      cl_fixnum V12;
      V7 = ECL_NIL;
      V8 = ECL_NIL;
      V9 = ECL_NIL;
      if (ecl_unlikely(!ECL_VECTORP(V2))) FEtype_error_vector(V2);
      V10 = V2;
      V11 = 0;
      V12 = 0;
      {
       cl_object V13;
       cl_object V14;
       V13 = ecl_list1(ECL_NIL);
       V14 = V13;
       V12 = ecl_length(V10);
L28:;
       if (!((V11)>=(V12))) { goto L32; }
       goto L29;
L32:;
       {
        cl_object V15;
        {
         cl_fixnum V16;
         if (ecl_unlikely((V11)>=(V10)->vector.dim))
           FEwrong_index(ECL_NIL,V10,-1,ecl_make_fixnum(V11),(V10)->vector.dim);
         V16 = V11;
         V15 = ecl_aref_unsafe(V10,V16);
        }
        V7 = ecl_car(V15);
        V15 = ecl_cdr(V15);
        V8 = ecl_car(V15);
        V15 = ecl_cdr(V15);
        V9 = V15;
       }
       {
        cl_object V15;
        V15 = ecl_make_integer((V11)+1);
        {
         bool V16;
         V16 = ECL_FIXNUMP(V15);
         if (ecl_unlikely(!(V16)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V15);
        }
        V11 = ecl_fixnum(V15);
       }
       if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
       T0 = V14;
       if (Null(ecl_gethash_safe(V7,ecl_symbol_value(VV[6]),ECL_NIL))) { goto L57; }
       T1 = ecl_make_fixnum(0);
       goto L56;
L57:;
       if (Null(ecl_function_dispatch(cl_env_copy,VV[56])(1, V8) /*  VV-USED-P */)) { goto L59; }
       T1 = V7;
       goto L56;
L59:;
       T1 = ecl_make_fixnum(0);
L56:;
       V14 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=V14,T0);
       goto L28;
L29:;
       V6 = ecl_cdr(V13);
       goto L18;
      }
     }
L18:;
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     T0 = V5;
     (ECL_CONS_CDR(T0)=V6,T0);
     if (Null(V6)) { goto L16; }
    }
    T0 = ecl_cdr(V5);
    V5 = ecl_last(T0,1);
L16:;
    goto L6;
L7:;
    value0 = ecl_cdr(V4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for DATA-DUMP-ARRAY                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6data_dump_array()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",1017)))) { goto L1; }
  T0 = L5data_get_all_objects();
  cl_set(ECL_SYM("*COMPILER-CONSTANTS*",1017),cl_concatenate(2, ECL_SYM("VECTOR",898), T0));
  value0 = _ecl_static_1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = L3data_size();
  if (!(ecl_plusp(T0))) { goto L5; }
  {
   cl_object V1;                                  /*  DATA            */
   cl_object V2;                                  /*  DATA-STRING     */
   cl_fixnum V3;                                  /*  L               */
   ecl_bds_bind(cl_env_copy,VV[8],ecl_make_fixnum(0)); /*  *WT-STRING-SIZE* */
   V1 = L5data_get_all_objects();
   {
    cl_object V4;
    V4 = ecl_symbol_value(ECL_SYM("+ECL-SYNTAX-PROGV-LIST+",1720));
    {
     cl_object V6, V7; cl_index V5;
     V6 = _ecl_car(V4);
     V7 = _ecl_cdr(V4);
     V5 = ecl_progv(cl_env_copy, V6, V7);
     V2 = cl_prin1_to_string(V1);
     ecl_bds_unwind(cl_env_copy,V5);
    }
   }
   V3 = ecl_length(V2);
   T0 = ecl_make_integer((V3)-1);
   value0 = cl_subseq(3, V2, ecl_make_fixnum(1), T0);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
L5:;
  value0 = _ecl_static_1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DATA-C-DUMP                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7data_c_dump(cl_object volatile V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V2;                         /*  STREAM          */
   V2 = cl_open(9, V1, ECL_SYM("DIRECTION",1218), ECL_SYM("OUTPUT",1282), ECL_SYM("IF-DOES-NOT-EXIST",1244), ECL_SYM("CREATE",1213), ECL_SYM("IF-EXISTS",1245), ECL_SYM("SUPERSEDE",1314), ECL_SYM("EXTERNAL-FORMAT",1236), ECL_SYM("DEFAULT",1215));
   {
    volatile bool unwinding = FALSE;
    cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V5;
      V5 = _ecl_inner_frame;
      {
       cl_object V6;                              /*  STRING          */
       V6 = L6data_dump_array();
       if (Null(ecl_symbol_value(VV[10]))) { goto L8; }
       {
        cl_fixnum V7;
        V7 = ecl_length(V6);
        if (!((V7)>0)) { goto L8; }
       }
       ecl_bds_bind(cl_env_copy,VV[8],ecl_make_fixnum(0)); /*  *WT-STRING-SIZE* */
       ecl_princ_str("static const char compiler_data_text[] = ",V2);
       ecl_function_dispatch(cl_env_copy,VV[59])(2, V6, V2) /*  WT-FILTERED-DATA */;
       ecl_princ_char((ecl_character)(59),V2);
       cl_env_copy->values[0] = cl_format(3, V2, _ecl_static_3, ecl_symbol_value(VV[8]));
       ecl_bds_unwind1(cl_env_copy);
       goto L6;
L8:;
       ecl_princ_str("#define compiler_data_text NULL\n#define compiler_data_text_size 0",V2);
       cl_env_copy->values[0] = _ecl_static_4;
       cl_env_copy->nvalues = 1;
      }
L6:;
      ecl_stack_frame_push_values(V5);
      if (Null(V2)) { goto L16; }
      cl_close(1, V2);
L16:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V4=ecl_stack_push_values(cl_env_copy);
    if (Null(V2)) { goto L18; }
    cl_close(3, V2, ECL_SYM("ABORT",1195), ECL_T);
L18:;
    ecl_stack_pop_values(cl_env_copy,V4);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V3);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for DATA-BINARY-DUMP                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8data_binary_dump(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((ecl_symbol_value(VV[10]))!=ECL_NIL) { goto L2; }
  value0 = V2;
  if ((value0)!=ECL_NIL) { goto L6; }
  T0 = L6data_dump_array();
  goto L4;
L6:;
  T0 = value0;
  goto L4;
L4:;
  value0 = si_add_cdata(V1, T0);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for WT-DATA-BEGIN                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9wt_data_begin(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for WT-DATA-END                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10wt_data_end(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_princ_char((ecl_character)(59),V1);
  cl_format(3, V1, _ecl_static_3, ecl_symbol_value(VV[8]));
  cl_set(VV[8],ecl_make_fixnum(0));
  value0 = ecl_make_fixnum(0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DATA-EMPTY-LOC                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11data_empty_loc()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L13add_object(5, ecl_make_fixnum(0), VV[15], ECL_T, VV[16], ECL_T);
  return value0;
 }
}
/*	function definition for ADD-LOAD-FORM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12add_load_form(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(clos_need_to_make_load_form_p(V1, ecl_symbol_value(VV[18])))) { goto L1; }
  if ((ecl_symbol_value(VV[19]))==(VV[20])) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[65])(3, _ecl_static_5, V1, ecl_symbol_value(VV[19])) /*  CMPERR */;
  return value0;
L3:;
  cl_env_copy->values[0] = (cl_env_copy->function=(ECL_SYM("MAKE-LOAD-FORM",951)->symbol.gfdef))->cfun.entry(1, V1) /*  MAKE-LOAD-FORM */;
  {
   cl_object V4;                                  /*  MAKE-FORM       */
   cl_object V5;                                  /*  INIT-FORM       */
   {
    int V6 = cl_env_copy->nvalues-0;
    if (V6--<=0) goto L6;
    V4 = cl_env_copy->values[0];
    if (V6--<=0) goto L7;
    V5 = cl_env_copy->values[1];
    goto L8;
   }
L6:;
   V4 = ECL_NIL;
L7:;
   V5 = ECL_NIL;
L8:;
   si_hash_set(V1, ecl_symbol_value(VV[6]), V2);
   if (Null(V4)) { goto L10; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[66])(1, V4) /*  C1EXPR   */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[67])(4, VV[22], VV[23], V2, T0) /*  MAKE-C1FORM* */;
   cl_set(VV[21],CONS(T1,ecl_symbol_value(VV[21])));
L10:;
   if (Null(V5)) { goto L13; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[66])(1, V5) /*  C1EXPR   */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[67])(4, VV[24], VV[23], V2, T0) /*  MAKE-C1FORM* */;
   cl_set(VV[21],CONS(T1,ecl_symbol_value(VV[21])));
   value0 = ecl_symbol_value(VV[21]);
   cl_env_copy->nvalues = 1;
   return value0;
L13:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for ADD-OBJECT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13add_object(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L13add_objectkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   if (Null(keyvars[3])) {
    value0 = ecl_make_bool(ECL_SYMBOLP(V1));
    if ((value0)!=ECL_NIL) { goto L3; }
    V3 = ecl_symbol_value(VV[26]);
    goto L1;
L3:;
    V3 = value0;
    goto L1;
L1:;
   } else {
    V3 = keyvars[1];
   }
  }
  {
   cl_object V4;                                  /*  TEST            */
   cl_object V5;                                  /*  ARRAY           */
   cl_object V6;                                  /*  X               */
   cl_fixnum V7;                                  /*  NEXT-NDX        */
   cl_object V8;                                  /*  FOUND           */
   if (Null(ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",1017)))) { goto L6; }
   V4 = ECL_SYM("EQ",333);
   goto L5;
L6:;
   V4 = ECL_SYM("EQUAL",335);
L5:;
   if (Null(V3)) { goto L9; }
   V5 = ecl_symbol_value(VV[0]);
   goto L8;
L9:;
   V5 = ecl_symbol_value(VV[2]);
L8:;
   if ((V3)!=ECL_NIL) { goto L16; }
   {
    cl_object V9;
    cl_object V10;
    V9 = ecl_symbol_value(VV[0]);
    V10 = si_make_seq_iterator(2, V9, ecl_make_fixnum(0));
L20:;
    if ((V10)!=ECL_NIL) { goto L22; }
    value0 = ECL_NIL;
    goto L14;
L22:;
    {
     cl_object V11;
     V11 = si_seq_iterator_ref(V9, V10);
     T0 = ecl_car(V11);
     if (Null(ecl_function_dispatch(cl_env_copy,V4)(2, V1, T0))) { goto L24; }
     value0 = V11;
     goto L14;
    }
L24:;
    V10 = si_seq_iterator_next(V9, V10);
    goto L20;
   }
L16:;
   value0 = ECL_NIL;
   goto L14;
L14:;
   if ((value0)!=ECL_NIL) { goto L13; }
   {
    cl_object V9;
    V9 = si_make_seq_iterator(2, V5, ecl_make_fixnum(0));
L30:;
    if ((V9)!=ECL_NIL) { goto L32; }
    V6 = ECL_NIL;
    goto L11;
L32:;
    {
     cl_object V10;
     V10 = si_seq_iterator_ref(V5, V9);
     T0 = ecl_car(V10);
     if (Null(ecl_function_dispatch(cl_env_copy,V4)(2, V1, T0))) { goto L34; }
     V6 = V10;
     goto L11;
    }
L34:;
    V9 = si_seq_iterator_next(V5, V9);
    goto L30;
   }
L13:;
   V6 = value0;
   goto L11;
L11:;
   V7 = ecl_length(V5);
   V8 = ECL_NIL;
   {
    cl_object V9;
    V9 = L27add_static_constant(V1);
    if (Null(V9)) { goto L42; }
    value0 = V9;
    cl_env_copy->nvalues = 1;
    return value0;
L42:;
    if (Null(V6)) { goto L44; }
    if (Null(V2)) { goto L44; }
    V6 = ecl_function_dispatch(cl_env_copy,VV[69])(8, ECL_SYM("LOCATION",999), ecl_make_fixnum(V7), VV[27], V2, VV[28], V3, ECL_SYM("VALUE",1941), V1) /*  MAKE-VV */;
    {
     cl_object V10;
     V10 = cl_list(3, V1, V6, ecl_make_fixnum(V7));
     {
      cl_fixnum V11;                              /*  LET1995         */
      cl_fixnum V12;                              /*  LET1996         */
      V11 = ((V5)->vector.fillp);
      V12 = ((V5)->array.dim);
      if (!((V11)<(V12))) { goto L54; }
      {
       cl_fixnum V13;
       V13 = (1)+(V11);
       ((V5)->vector.fillp)=(V13);
      }
      ecl_aset_unsafe(V5,V11,V10);
      goto L49;
L54:;
      cl_vector_push_extend(2, V10, V5);
     }
    }
L49:;
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
L44:;
    if (Null(V6)) { goto L58; }
    value0 = ecl_cadr(V6);
    cl_env_copy->nvalues = 1;
    return value0;
L58:;
    if ((V2)!=ECL_NIL) { goto L60; }
    if (!(ECL_SYMBOLP(V1))) { goto L60; }
    cl_env_copy->values[0] = si_mangle_name(1, V1);
    {
     int V10 = cl_env_copy->nvalues-0;
     if (V10--<=0) goto L65;
     V8 = cl_env_copy->values[0];
     if (V10--<=0) goto L66;
     V6 = cl_env_copy->values[1];
     goto L67;
    }
L65:;
    V8 = ECL_NIL;
L66:;
    V6 = ECL_NIL;
L67:;
    if (Null(V8)) { goto L60; }
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
L60:;
    V6 = ecl_function_dispatch(cl_env_copy,VV[69])(8, ECL_SYM("LOCATION",999), ecl_make_fixnum(V7), VV[27], V2, VV[28], V3, ECL_SYM("VALUE",1941), V1) /*  MAKE-VV */;
    {
     cl_object V10;
     V10 = cl_list(3, V1, V6, ecl_make_fixnum(V7));
     {
      cl_fixnum V11;                              /*  LET1997         */
      cl_fixnum V12;                              /*  LET1998         */
      V11 = ((V5)->vector.fillp);
      V12 = ((V5)->array.dim);
      if (!((V11)<(V12))) { goto L75; }
      {
       cl_fixnum V13;
       V13 = (1)+(V11);
       ((V5)->vector.fillp)=(V13);
      }
      ecl_aset_unsafe(V5,V11,V10);
      goto L70;
L75:;
      cl_vector_push_extend(2, V10, V5);
     }
    }
L70:;
    if ((ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",1017)))!=ECL_NIL) { goto L79; }
    L12add_load_form(V1, V6);
L79:;
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ADD-SYMBOL                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14add_symbol(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L13add_object(5, V1, VV[15], ECL_NIL, VV[16], ECL_T);
  return value0;
 }
}
/*	function definition for ADD-KEYWORDS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16add_keywords(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  X               */
   {cl_object V3;
    V3 = ECL_NIL;
    V3 = ecl_make_cfun((cl_objectfn_fixed)LC15__g44,ECL_NIL,Cblock,2);
    T0 = V3;
   }
   V2 = cl_search(4, V1, ecl_symbol_value(VV[0]), ECL_SYM("TEST",1316), T0);
   if (Null(V2)) { goto L3; }
   T0 = ecl_elt(ecl_symbol_value(VV[0]),ecl_fixnum(V2));
   value0 = ecl_cadr(T0);
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   {
    cl_object V3;
    {
     cl_object V4;
     V4 = V1;
     if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
     if (Null(V4)) { goto L10; }
     {
      cl_object V5;
      V5 = ECL_CONS_CDR(V4);
      V1 = V5;
      V4 = ECL_CONS_CAR(V4);
     }
L10:;
     T0 = V4;
    }
    V3 = L13add_object(5, T0, VV[15], ECL_T, VV[16], ECL_T);
    {
     cl_object V4;
     V4 = V1;
     goto L20;
L19:;
     {
      cl_object V5;                               /*  K               */
      V5 = ecl_car(V4);
      L13add_object(5, V5, VV[15], ECL_T, VV[16], ECL_T);
     }
     V4 = ecl_cdr(V4);
L20:;
     if (Null(V4)) { goto L27; }
     goto L19;
L27:;
    }
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function G44                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g44(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(V2);
  value0 = ecl_make_bool((V1)==(T0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for STATIC-BASE-STRING-BUILDER            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17static_base_string_builder(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_format(3, V3, _ecl_static_6, V1);
  ecl_function_dispatch(cl_env_copy,VV[59])(4, V2, V3, VV[32], ECL_T) /*  WT-FILTERED-DATA */;
  {
   cl_fixnum V4;
   V4 = ecl_length(V2);
   value0 = cl_format(3, V3, _ecl_static_7, ecl_make_fixnum(V4));
   return value0;
  }
 }
}
/*	function definition for STATIC-SINGLE-FLOAT-BUILDER           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18static_single_float_builder(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",62),ECL_SYM("SINGLE-FLOAT",778)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_T); /*  *PRINT-READABLY* */
  value0 = cl_format(5, V3, _ecl_static_8, V1, V2, V3);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*	function definition for STATIC-DOUBLE-FLOAT-BUILDER           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19static_double_float_builder(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",62),ECL_SYM("DOUBLE-FLOAT",315)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_T); /*  *PRINT-READABLY* */
  value0 = cl_format(5, V3, _ecl_static_9, V1, V2, V3);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*	function definition for STATIC-LONG-FLOAT-BUILDER             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20static_long_float_builder(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",62),ECL_SYM("LONG-FLOAT",508)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_T); /*  *PRINT-READABLY* */
  value0 = cl_format(5, V3, _ecl_static_10, V1, V2, V3);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*	function definition for STATIC-RATIONAL-BUILDER               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21static_rational_builder(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",62),ECL_SYM("DOUBLE-FLOAT",315)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_T); /*  *PRINT-READABLY* */
  T0 = cl_numerator(V2);
  T1 = cl_denominator(V2);
  value0 = cl_format(5, V3, _ecl_static_11, V1, T0, T1);
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*	function definition for STATIC-CONSTANT-DELEGATE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22static_constant_delegate(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L26static_constant_expression(V2);
  value0 = ecl_function_dispatch(cl_env_copy,T0)(3, V1, V2, V3);
  return value0;
 }
}
/*	function definition for STATIC-COMPLEX-BUILDER                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23static_complex_builder(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  NAME-REAL       */
   cl_object V5;                                  /*  NAME-IMAG       */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",62),ECL_SYM("DOUBLE-FLOAT",315)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
   ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-READABLY*",57),ECL_T); /*  *PRINT-READABLY* */
   V4 = cl_concatenate(3, ECL_SYM("STRING",805), V1, _ecl_static_12);
   V5 = cl_concatenate(3, ECL_SYM("STRING",805), V1, _ecl_static_13);
   T0 = cl_realpart(V2);
   L22static_constant_delegate(V4, T0, V3);
   ecl_terpri(V3);
   T0 = cl_imagpart(V2);
   L22static_constant_delegate(V5, T0, V3);
   ecl_terpri(V3);
   value0 = cl_format(5, V3, _ecl_static_14, V1, V4, V5);
   ecl_bds_unwind1(cl_env_copy);
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
 }
}
/*	function definition for STATIC-CONSTANT-BUILDER               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25static_constant_builder(cl_object V1, cl_object V2)
{
 cl_object env0;
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  FORMAT          */
  CLV1 = env0 = CONS(V2,env0);                    /*  VALUE           */
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cclosure_va((cl_objectfn)LC24__g51,env0,Cblock);
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G51                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24__g51(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  VALUE           */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_format(4, V2, ECL_CONS_CAR(CLV0), V1, ECL_CONS_CAR(CLV1));
  return value0;
 }
 }
}
/*	function definition for STATIC-CONSTANT-EXPRESSION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26static_constant_expression(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_base_string_p(V1))) { goto L1; }
  value0 = ecl_fdefinition(VV[33]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(si_of_class_p(2, V1, ECL_SYM("RATIO",686)))) { goto L3; }
  T0 = cl_numerator(V1);
  if (Null(L26static_constant_expression(T0))) { goto L6; }
  T0 = cl_denominator(V1);
  if (Null(L26static_constant_expression(T0))) { goto L6; }
  value0 = ecl_fdefinition(VV[37]);
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_SINGLE_FLOAT_P(V1))) { goto L9; }
  if ((si_float_nan_p(V1))!=ECL_NIL) { goto L12; }
  if ((si_float_infinity_p(V1))!=ECL_NIL) { goto L12; }
  value0 = ecl_fdefinition(VV[34]);
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  if (!(ECL_DOUBLE_FLOAT_P(V1))) { goto L15; }
  if ((si_float_nan_p(V1))!=ECL_NIL) { goto L18; }
  if ((si_float_infinity_p(V1))!=ECL_NIL) { goto L18; }
  value0 = ecl_fdefinition(VV[35]);
  cl_env_copy->nvalues = 1;
  return value0;
L18:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  if (!(ECL_LONG_FLOAT_P(V1))) { goto L21; }
  if ((si_float_nan_p(V1))!=ECL_NIL) { goto L24; }
  if ((si_float_infinity_p(V1))!=ECL_NIL) { goto L24; }
  value0 = ecl_fdefinition(VV[36]);
  cl_env_copy->nvalues = 1;
  return value0;
L24:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L21:;
  if (Null(cl_complexp(V1))) { goto L27; }
  T0 = cl_realpart(V1);
  if (Null(L26static_constant_expression(T0))) { goto L30; }
  T0 = cl_imagpart(V1);
  if (Null(L26static_constant_expression(T0))) { goto L30; }
  value0 = ecl_fdefinition(VV[39]);
  cl_env_copy->nvalues = 1;
  return value0;
L30:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L27:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for ADD-STATIC-CONSTANT                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27add_static_constant(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_symbol_value(ECL_SYM("*COMPILER-CONSTANTS*",1017)))!=ECL_NIL) { goto L1; }
  if (Null(ecl_symbol_value(VV[42]))) { goto L1; }
  if (!(ECL_LISTP(ecl_symbol_value(VV[43])))) { goto L1; }
  {
   cl_object V2;                                  /*  RECORD          */
   {
    cl_object V3;
    cl_object V4;
    V3 = ecl_symbol_value(VV[43]);
    V4 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L8:;
    if ((V4)!=ECL_NIL) { goto L10; }
    V2 = ECL_NIL;
    goto L5;
L10:;
    {
     cl_object V5;
     V5 = si_seq_iterator_ref(V3, V4);
     T0 = ecl_car(V5);
     if (!(ecl_equal(V1,T0))) { goto L12; }
     V2 = V5;
     goto L5;
    }
L12:;
    V4 = si_seq_iterator_next(V3, V4);
    goto L8;
   }
L5:;
   if (Null(V2)) { goto L17; }
   value0 = ecl_cadr(V2);
   cl_env_copy->nvalues = 1;
   return value0;
L17:;
   {
    cl_object V3;                                 /*  BUILDER         */
    V3 = L26static_constant_expression(V1);
    if (Null(V3)) { goto L20; }
    {
     cl_object V4;                                /*  C-NAME          */
     {
      cl_fixnum V5;
      V5 = ecl_length(ecl_symbol_value(VV[43]));
      V4 = cl_format(3, ECL_NIL, _ecl_static_15, ecl_make_fixnum(V5));
     }
     T0 = cl_list(3, V1, V4, V3);
     cl_set(VV[43],CONS(T0,ecl_symbol_value(VV[43])));
     value0 = ecl_function_dispatch(cl_env_copy,VV[69])(4, ECL_SYM("LOCATION",999), V4, ECL_SYM("VALUE",1941), V1) /*  MAKE-VV */;
     return value0;
    }
L20:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for WT-VV-INDEX                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28wt_vv_index(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (ecl_numberp(V1)) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[83])(1, V1) /*  WT    */;
  return value0;
L1:;
  if (Null(V2)) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[83])(3, _ecl_static_16, V1, _ecl_static_17) /*  WT */;
  return value0;
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[83])(3, _ecl_static_18, V1, _ecl_static_17) /*  WT */;
  return value0;
 }
}
/*	function definition for SET-VV-INDEX                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29set_vv_index(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[85])(0)    /*  WT-NL           */;
  L28wt_vv_index(V2, V3);
  ecl_function_dispatch(cl_env_copy,VV[83])(1, _ecl_static_19) /*  WT */;
  ecl_function_dispatch(cl_env_copy,VV[86])(2, ECL_SYM("OBJECT",1278), V1) /*  WT-COERCE-LOC */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[83])(1, _ecl_static_20) /*  WT */;
  return value0;
 }
}
/*	function definition for WT-VV                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30wt_vv(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(V1,VV[47],1,ECL_T);
  T0 = ecl_function_dispatch(cl_env_copy,VV[88])(1, V1) /*  VV-LOCATION */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[89])(1, V1) /*  VV-PERMANENT-P */;
  value0 = L28wt_vv_index(T0, T1);
  return value0;
 }
}
/*	function definition for SET-VV                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31set_vv(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(V2,VV[47],1,ECL_T);
  T0 = ecl_function_dispatch(cl_env_copy,VV[88])(1, V2) /*  VV-LOCATION */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[89])(1, V2) /*  VV-PERMANENT-P */;
  value0 = L29set_vv_index(V1, T0, T1);
  return value0;
 }
}
/*	function definition for VV-TYPE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32vv_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  VALUE           */
   V2 = ecl_function_dispatch(cl_env_copy,VV[92])(1, V1) /*  VV-VALUE */;
   if (Null(V2)) { goto L2; }
   if (ECL_FIXNUMP(V2)) { goto L2; }
   value0 = cl_type_of(V2);
   return value0;
L2:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "cmp/cmpwt.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclzgCNSHb7_AqUgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CMP;CMPWT.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclzgCNSHb7_AqUgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[51]);                           /*  DATA-PERMANENT-STORAGE-SIZE */
 ecl_cmp_defun(VV[52]);                           /*  DATA-TEMPORARY-STORAGE-SIZE */
 ecl_cmp_defun(VV[53]);                           /*  DATA-SIZE       */
 ecl_cmp_defun(VV[54]);                           /*  DATA-INIT       */
 ecl_cmp_defun(VV[55]);                           /*  DATA-GET-ALL-OBJECTS */
 ecl_cmp_defun(VV[57]);                           /*  DATA-DUMP-ARRAY */
 ecl_cmp_defun(VV[58]);                           /*  DATA-C-DUMP     */
 ecl_cmp_defun(VV[60]);                           /*  DATA-BINARY-DUMP */
 ecl_cmp_defun(VV[61]);                           /*  WT-DATA-BEGIN   */
 ecl_cmp_defun(VV[62]);                           /*  WT-DATA-END     */
 ecl_cmp_defun(VV[63]);                           /*  DATA-EMPTY-LOC  */
 ecl_cmp_defun(VV[64]);                           /*  ADD-LOAD-FORM   */
 ecl_cmp_defun(VV[68]);                           /*  ADD-OBJECT      */
 ecl_cmp_defun(VV[70]);                           /*  ADD-SYMBOL      */
 ecl_cmp_defun(VV[71]);                           /*  ADD-KEYWORDS    */
 ecl_cmp_defun(VV[72]);                           /*  STATIC-BASE-STRING-BUILDER */
 ecl_cmp_defun(VV[73]);                           /*  STATIC-SINGLE-FLOAT-BUILDER */
 ecl_cmp_defun(VV[74]);                           /*  STATIC-DOUBLE-FLOAT-BUILDER */
 ecl_cmp_defun(VV[75]);                           /*  STATIC-LONG-FLOAT-BUILDER */
 ecl_cmp_defun(VV[76]);                           /*  STATIC-RATIONAL-BUILDER */
 ecl_cmp_defun(VV[77]);                           /*  STATIC-CONSTANT-DELEGATE */
 ecl_cmp_defun(VV[78]);                           /*  STATIC-COMPLEX-BUILDER */
 ecl_cmp_defun(VV[79]);                           /*  STATIC-CONSTANT-BUILDER */
 ecl_cmp_defun(VV[80]);                           /*  STATIC-CONSTANT-EXPRESSION */
 ecl_cmp_defun(VV[81]);                           /*  ADD-STATIC-CONSTANT */
 ecl_cmp_defun(VV[82]);                           /*  WT-VV-INDEX     */
 ecl_cmp_defun(VV[84]);                           /*  SET-VV-INDEX    */
 ecl_cmp_defun(VV[87]);                           /*  WT-VV           */
 ecl_cmp_defun(VV[90]);                           /*  SET-VV          */
 ecl_cmp_defun(VV[91]);                           /*  VV-TYPE         */
}
