/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:QUICKLISP;MINITAR.LISP                            */
#include <ecl/ecl-cmp.h>
#include "ext/minitar.eclh"
/*	function definition for MAKE-BLOCK-BUFFER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_block_buffer()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = si_make_vector(ECL_SYM("BYTE8",1330), ecl_make_fixnum(512), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
  value0 = si_fill_array_with_elt(T0, ecl_make_fixnum(0), ecl_make_fixnum(0), ECL_NIL);
  return value0;
 }
}
/*	function definition for SKIP-N-BLOCKS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2skip_n_blocks(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  BLOCK           */
   V3 = L1make_block_buffer();
   {
    cl_object V4;                                 /*  I               */
    V4 = ecl_make_fixnum(0);
    goto L4;
L3:;
    cl_read_sequence(2, V3, V2);
    V4 = ecl_one_plus(V4);
L4:;
    if (!(ecl_number_compare(V4,V1)<0)) { goto L9; }
    goto L3;
L9:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ASCII-SUBSEQ                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3ascii_subseq(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  STRING          */
   T0 = ecl_minus(V3,V2);
   V4 = cl_make_string(1, T0);
   {
    cl_object V5;                                 /*  I               */
    V5 = ecl_make_fixnum(0);
    {
     cl_object V6;                                /*  J               */
     cl_object V7;
     T0 = cl_realp(V2);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),V2);
     V6 = V2;
     T0 = cl_realp(V3);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),V3);
     V7 = V3;
L8:;
     if (!(ecl_number_compare(V6,V7)>=0)) { goto L10; }
     goto L9;
L10:;
     {
      cl_fixnum V8;
      if (ecl_unlikely((ecl_fixnum(V6))>=(V1)->vector.dim))
           FEwrong_index(ECL_NIL,V1,-1,ecl_make_fixnum(ecl_fixnum(V6)),(V1)->vector.dim);
      V8 = ecl_fixnum(V6);
      T0 = ecl_aref_unsafe(V1,V8);
     }
     T1 = cl_code_char(T0);
     si_char_set(V4,V5,T1);
     V5 = ecl_one_plus(V5);
     V6 = ecl_one_plus(V6);
     goto L8;
L9:;
    }
   }
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for BLOCK-ASCIIZ-STRING                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4block_asciiz_string(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  END             */
   cl_object V5;                                  /*  EOS             */
   V4 = ecl_plus(V2,V3);
   value0 = cl_position(6, ecl_make_fixnum(0), V1, ECL_SYM("START",1310), V2, ECL_SYM("END",1225), V4);
   if ((value0)!=ECL_NIL) { goto L4; }
   V5 = V4;
   goto L2;
L4:;
   V5 = value0;
   goto L2;
L2:;
   value0 = L3ascii_subseq(V1, V2, V5);
   return value0;
  }
 }
}
/*	function definition for PREFIX                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5prefix(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (ecl_unlikely((345)>=(V1)->vector.dim))
           FEwrong_index(ECL_NIL,V1,-1,ecl_make_fixnum(345),(V1)->vector.dim);
  T0 = ecl_aref_unsafe(V1,345);
  if (!(ecl_plusp(T0))) { goto L1; }
  value0 = L4block_asciiz_string(V1, ecl_make_fixnum(345), ecl_make_fixnum(155));
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NAME                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6name(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L4block_asciiz_string(V1, ecl_make_fixnum(0), ecl_make_fixnum(100));
  return value0;
 }
}
/*	function definition for PAYLOAD-SIZE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7payload_size(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L4block_asciiz_string(V1, ecl_make_fixnum(124), ecl_make_fixnum(12));
  value0 = cl_parse_integer(3, T0, ECL_SYM("RADIX",1295), ecl_make_fixnum(8));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NTH-BLOCK                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8nth_block(cl_object volatile V1, cl_object volatile V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V3;                         /*  STREAM          */
   V3 = cl_open(3, V2, ECL_SYM("ELEMENT-TYPE",1224), VV[7]);
   {
    volatile bool unwinding = FALSE;
    cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V6;
      V6 = _ecl_inner_frame;
      {
       cl_object V7;                              /*  BLOCK           */
       V7 = L1make_block_buffer();
       T0 = ecl_one_minus(V1);
       L2skip_n_blocks(T0, V3);
       cl_read_sequence(2, V7, V3);
       cl_env_copy->values[0] = V7;
       cl_env_copy->nvalues = 1;
      }
      ecl_stack_frame_push_values(V6);
      if (Null(V3)) { goto L10; }
      cl_close(1, V3);
L10:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V5=ecl_stack_push_values(cl_env_copy);
    if (Null(V3)) { goto L12; }
    cl_close(3, V3, ECL_SYM("ABORT",1195), ECL_T);
L12:;
    ecl_stack_pop_values(cl_env_copy,V5);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V4);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for PAYLOAD-TYPE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9payload_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ecl_make_fixnum(0)))) { goto L1; }
  value0 = ECL_SYM("FILE",1237);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!((V1)==(ecl_make_fixnum(48)))) { goto L3; }
  value0 = ECL_SYM("FILE",1237);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!((V1)==(ecl_make_fixnum(50)))) { goto L5; }
  value0 = VV[9];
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (!((V1)==(ecl_make_fixnum(76)))) { goto L7; }
  value0 = VV[10];
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!((V1)==(ecl_make_fixnum(53)))) { goto L9; }
  value0 = ECL_SYM("DIRECTORY",1219);
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  if (!((V1)==(ecl_make_fixnum(103)))) { goto L11; }
  value0 = VV[11];
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  value0 = VV[12];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FULL-PATH                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10full_path(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET2646         */
   cl_object V3;                                  /*  LET2647         */
   V2 = L5prefix(V1);
   V3 = L6name(V1);
   if (Null(V2)) { goto L3; }
   value0 = cl_format(4, ECL_NIL, _ecl_static_2, V2, V3);
   return value0;
L3:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SAVE-FILE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11save_file(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = ecl_truncate2(V2,ecl_make_fixnum(512));
  {
   volatile cl_object V5;                         /*  FULL-BLOCKS     */
   volatile cl_object V6;                         /*  PARTIAL         */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   cl_ensure_directories_exist(1, V1);
   {
    volatile cl_object V7;                        /*  OUTSTREAM       */
    V7 = cl_open(7, V1, ECL_SYM("DIRECTION",1218), ECL_SYM("OUTPUT",1282), ECL_SYM("IF-EXISTS",1245), ECL_SYM("SUPERSEDE",1314), ECL_SYM("ELEMENT-TYPE",1224), VV[7]);
    {
     volatile bool unwinding = FALSE;
     cl_index V8=ECL_STACK_INDEX(cl_env_copy),V9;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       cl_object V10;
       V10 = _ecl_inner_frame;
       {
        cl_object V11;                            /*  BLOCK           */
        V11 = L1make_block_buffer();
        {
         cl_object V12;                           /*  I               */
         V12 = ecl_make_fixnum(0);
         goto L13;
L12:;
         cl_read_sequence(2, V11, V3);
         cl_write_sequence(2, V11, V7);
         V12 = ecl_one_plus(V12);
L13:;
         if (!(ecl_number_compare(V12,V5)<0)) { goto L19; }
         goto L12;
L19:;
        }
        if (!(ecl_plusp(V6))) { goto L21; }
        cl_read_sequence(2, V11, V3);
        cl_env_copy->values[0] = cl_write_sequence(4, V11, V7, ECL_SYM("END",1225), V6);
        goto L8;
L21:;
        cl_env_copy->values[0] = ECL_NIL;
        cl_env_copy->nvalues = 1;
       }
L8:;
       ecl_stack_frame_push_values(V10);
       if (Null(V7)) { goto L24; }
       cl_close(1, V7);
L24:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V10);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     }
     ecl_frs_pop(cl_env_copy);
     V9=ecl_stack_push_values(cl_env_copy);
     if (Null(V7)) { goto L26; }
     cl_close(3, V7, ECL_SYM("ABORT",1195), ECL_T);
L26:;
     ecl_stack_pop_values(cl_env_copy,V9);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,V8);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*	function definition for UNPACK-TARBALL                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12unpack_tarball(volatile cl_narg narg, cl_object volatile V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L12unpack_tarballkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    V2 = ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32));
   } else {
    V2 = keyvars[0];
   }
  }
  {
   volatile cl_object V3;                         /*  BLOCK           */
   V3 = L1make_block_buffer();
   {
    volatile cl_object V4;                        /*  STREAM          */
    V4 = cl_open(3, V1, ECL_SYM("ELEMENT-TYPE",1224), VV[7]);
    {
     volatile bool unwinding = FALSE;
     cl_index V5=ECL_STACK_INDEX(cl_env_copy),V6;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       cl_object V7;
       V7 = _ecl_inner_frame;
L9:;
       {
        cl_fixnum V8;                             /*  SIZE            */
        V8 = ecl_fixnum(cl_read_sequence(2, V3, V4));
        if (!((V8)==0)) { goto L12; }
        cl_env_copy->values[0] = ECL_NIL;
        cl_env_copy->nvalues = 1;
        goto L8;
L12:;
        if ((V8)==(512)) { goto L14; }
        cl_error(1, _ecl_static_3);
L14:;
        T0 = (ECL_SYM("ZEROP",926)->symbol.gfdef);
        if (Null(cl_every(2, T0, V3))) { goto L16; }
        cl_env_copy->values[0] = ECL_NIL;
        cl_env_copy->nvalues = 1;
        goto L8;
L16:;
        {
         cl_object V9;                            /*  PAYLOAD-CODE    */
         cl_object V10;                           /*  PAYLOAD-TYPE    */
         cl_object V11;                           /*  TAR-PATH        */
         cl_object V12;                           /*  FULL-PATH       */
         cl_object V13;                           /*  PAYLOAD-SIZE    */
         cl_object V14;                           /*  BLOCK-COUNT     */
         if (ecl_unlikely((156)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(156),(V3)->vector.dim);
         V9 = ecl_aref_unsafe(V3,156);
         V10 = L9payload_type(V9);
         V11 = L10full_path(V3);
         V12 = cl_merge_pathnames(2, V11, V2);
         V13 = L7payload_size(V3);
         T0 = L7payload_size(V3);
         V14 = ecl_ceiling2(T0,ecl_make_fixnum(512));
         if (!(ecl_eql(V10,ECL_SYM("FILE",1237)))) { goto L27; }
         L11save_file(V12, V13, V4);
         goto L10;
L27:;
         if (!(ecl_eql(V10,ECL_SYM("DIRECTORY",1219)))) { goto L29; }
         cl_ensure_directories_exist(1, V12);
         goto L10;
L29:;
         if (!(ecl_eql(V10,VV[9]))) { goto L36; }
         goto L33;
         goto L34;
L36:;
         goto L34;
L34:;
         if (!(ecl_eql(V10,VV[10]))) { goto L40; }
         goto L33;
         goto L38;
L40:;
         goto L38;
L38:;
         if (!(ecl_eql(V10,VV[11]))) { goto L31; }
         goto L32;
L33:;
L32:;
         L2skip_n_blocks(V14, V4);
         goto L10;
L31:;
         (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2, _ecl_static_4, V9) /*  WARN */;
         L2skip_n_blocks(V14, V4);
        }
       }
L10:;
       goto L9;
L8:;
       ecl_stack_frame_push_values(V7);
       if (Null(V4)) { goto L45; }
       cl_close(1, V4);
L45:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V7);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     }
     ecl_frs_pop(cl_env_copy);
     V6=ecl_stack_push_values(cl_env_copy);
     if (Null(V4)) { goto L47; }
     cl_close(3, V4, ECL_SYM("ABORT",1195), ECL_T);
L47:;
     ecl_stack_pop_values(cl_env_copy,V6);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,V5);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*	function definition for CONTENTS                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13contents(cl_object volatile V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V2;                         /*  LET2648         */
   volatile cl_object V3;                         /*  RESULT          */
   V2 = L1make_block_buffer();
   V3 = ECL_NIL;
   {
    volatile cl_object V4;                        /*  STREAM          */
    V4 = cl_open(3, V1, ECL_SYM("ELEMENT-TYPE",1224), VV[7]);
    {
     volatile bool unwinding = FALSE;
     cl_index V5=ECL_STACK_INDEX(cl_env_copy),V6;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       cl_object V7;
       V7 = _ecl_inner_frame;
L9:;
       {
        cl_fixnum V8;                             /*  SIZE            */
        V8 = ecl_fixnum(cl_read_sequence(2, V2, V4));
        if (!((V8)==0)) { goto L12; }
        cl_env_copy->values[0] = cl_nreverse(V3);
        goto L8;
L12:;
        if ((V8)==(512)) { goto L14; }
        cl_error(1, _ecl_static_3);
L14:;
        T0 = (ECL_SYM("ZEROP",926)->symbol.gfdef);
        if (Null(cl_every(2, T0, V2))) { goto L16; }
        cl_env_copy->values[0] = cl_nreverse(V3);
        goto L8;
L16:;
        {
         cl_object V9;                            /*  PAYLOAD-TYPE    */
         cl_object V10;                           /*  TAR-PATH        */
         cl_object V11;                           /*  PAYLOAD-SIZE    */
         if (ecl_unlikely((156)>=(V2)->vector.dim))
           FEwrong_index(ECL_NIL,V2,-1,ecl_make_fixnum(156),(V2)->vector.dim);
         T0 = ecl_aref_unsafe(V2,156);
         V9 = L9payload_type(T0);
         V10 = L10full_path(V2);
         V11 = L7payload_size(V2);
         T0 = ecl_ceiling2(V11,ecl_make_fixnum(512));
         L2skip_n_blocks(T0, V4);
         if (!(ecl_eql(V9,ECL_SYM("FILE",1237)))) { goto L26; }
         V3 = CONS(V10,V3);
         goto L10;
L26:;
         if (!(ecl_eql(V9,ECL_SYM("DIRECTORY",1219)))) { goto L10; }
         V3 = CONS(V10,V3);
        }
       }
L10:;
       goto L9;
L8:;
       ecl_stack_frame_push_values(V7);
       if (Null(V4)) { goto L32; }
       cl_close(1, V4);
L32:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V7);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     }
     ecl_frs_pop(cl_env_copy);
     V6=ecl_stack_push_values(cl_env_copy);
     if (Null(V4)) { goto L34; }
     cl_close(3, V4, ECL_SYM("ABORT",1195), ECL_T);
L34:;
     ecl_stack_pop_values(cl_env_copy,V6);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,V5);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}

#include "ext/minitar.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclhJvnQYZ7_T1pgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:QUICKLISP;MINITAR.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclhJvnQYZ7_T1pgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 ecl_function_dispatch(cl_env_copy,VV[21])(10, _ecl_static_0, ECL_NIL, _ecl_static_1, VVtemp[0], ECL_NIL, ECL_NIL, VVtemp[1], ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[22]);                           /*  MAKE-BLOCK-BUFFER */
 ecl_cmp_defun(VV[23]);                           /*  SKIP-N-BLOCKS   */
 ecl_cmp_defun(VV[24]);                           /*  ASCII-SUBSEQ    */
 ecl_cmp_defun(VV[25]);                           /*  BLOCK-ASCIIZ-STRING */
 ecl_cmp_defun(VV[26]);                           /*  PREFIX          */
 ecl_cmp_defun(VV[27]);                           /*  NAME            */
 ecl_cmp_defun(VV[28]);                           /*  PAYLOAD-SIZE    */
 ecl_cmp_defun(VV[29]);                           /*  NTH-BLOCK       */
 ecl_cmp_defun(VV[30]);                           /*  PAYLOAD-TYPE    */
 ecl_cmp_defun(VV[31]);                           /*  FULL-PATH       */
 ecl_cmp_defun(VV[32]);                           /*  SAVE-FILE       */
 ecl_cmp_defun(VV[33]);                           /*  UNPACK-TARBALL  */
 ecl_cmp_defun(VV[35]);                           /*  CONTENTS        */
}
