/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:RT;RT.LISP                                        */
#include <ecl/ecl-cmp.h>
#include "ext/rt.eclh"
/*	function definition for MAKE-ENTRY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_entry(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L1make_entrykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
  }
  value0 = cl_list(3, V1, V2, V3);
  return value0;
 }
}
/*	local function VALS                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2vals(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ENTRY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, ECL_SYM("CDDDR",196), V4);
   return value0;
  }
 }
}
/*	local function DEFN                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3defn(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ENTRY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, ECL_SYM("CDR",198), V4);
   return value0;
  }
 }
}
/*	function definition for PENDING-TESTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4pending_tests()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  LET2696         */
   cl_object V2;                                  /*  L               */
   cl_object V3;                                  /*  R               */
   V1 = ecl_cdr(ecl_symbol_value(VV[2]));
   V2 = V1;
   V3 = ECL_NIL;
   goto L6;
L5:;
   T0 = ecl_car(V2);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[39])(1, T0) /*  PEND */)) { goto L8; }
   T0 = ecl_car(V2);
   T1 = ecl_function_dispatch(cl_env_copy,VV[40])(1, T0) /*  NAME     */;
   V3 = CONS(T1,V3);
L8:;
   V2 = ecl_cdr(V2);
L6:;
   if (V2==ECL_NIL) { goto L13; }
   goto L5;
L13:;
   value0 = cl_nreverse(V3);
   return value0;
  }
 }
}
/*	function definition for REM-ALL-TESTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5rem_all_tests()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[2],ecl_list1(ECL_NIL));
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REM-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6rem_test(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_symbol_value(VV[0]);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  L               */
   V2 = ecl_symbol_value(VV[2]);
   goto L5;
L4:;
   T0 = ecl_cadr(V2);
   T1 = ecl_function_dispatch(cl_env_copy,VV[40])(1, T0) /*  NAME     */;
   if (!(ecl_equal(T1,V1))) { goto L7; }
   {
    cl_object V3;
    V3 = ecl_cddr(V2);
    if (ecl_unlikely(ECL_ATOM(V2))) FEtype_error_cons(V2);
    T0 = V2;
    (ECL_CONS_CDR(T0)=V3,T0);
   }
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   V2 = ecl_cdr(V2);
L5:;
   T0 = ecl_cdr(V2);
   if (T0==ECL_NIL) { goto L16; }
   goto L4;
L16:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for GET-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7get_test(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_symbol_value(VV[0]);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = L8get_entry(V1);
  value0 = ecl_cdr(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for GET-ENTRY                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_entry(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  ENTRY           */
   {
    cl_object V3;
    cl_object V4;
    V3 = ecl_cdr(ecl_symbol_value(VV[2]));
    V4 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L4:;
    if ((V4)!=ECL_NIL) { goto L6; }
    V2 = ECL_NIL;
    goto L1;
L6:;
    {
     cl_object V5;
     V5 = si_seq_iterator_ref(V3, V4);
     T0 = ecl_function_dispatch(cl_env_copy,VV[40])(1, V5) /*  NAME   */;
     if (!(ecl_equal(V1,T0))) { goto L8; }
     V2 = V5;
     goto L1;
    }
L8:;
    V4 = si_seq_iterator_next(V3, V4);
    goto L4;
   }
L1:;
   if (!(V2==ECL_NIL)) { goto L13; }
   L11report_error(3, ECL_T, _ecl_static_2, V1);
L13:;
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function DEFTEST                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9deftest(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  FORM            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = cl_listX(4, ECL_T, V4, V5, V3);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), T0);
   value0 = cl_list(2, VV[20], T1);
   return value0;
  }
 }
}
/*	function definition for ADD-ENTRY                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10add_entry(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  V1 = cl_copy_list(V1);
  {
   cl_object V2;                                  /*  L               */
   V2 = ecl_symbol_value(VV[2]);
   goto L7;
L6:;
   T0 = ecl_cdr(V2);
   if (!(T0==ECL_NIL)) { goto L9; }
   {
    cl_object V3;
    V3 = ecl_list1(V1);
    if (ecl_unlikely(ECL_ATOM(V2))) FEtype_error_cons(V2);
    T0 = V2;
    (ECL_CONS_CDR(T0)=V3,T0);
   }
   goto L3;
L9:;
   T0 = ecl_cadr(V2);
   T1 = ecl_function_dispatch(cl_env_copy,VV[40])(1, T0) /*  NAME     */;
   T2 = ecl_function_dispatch(cl_env_copy,VV[40])(1, V1) /*  NAME     */;
   if (!(ecl_equal(T1,T2))) { goto L16; }
   {
    cl_object V3;
    V3 = ecl_cdr(V2);
    if (ecl_unlikely(ECL_ATOM(V3))) FEtype_error_cons(V3);
    T0 = V3;
   }
   (ECL_CONS_CAR(T0)=V1,T0);
   T0 = ecl_function_dispatch(cl_env_copy,VV[40])(1, V1) /*  NAME     */;
   L11report_error(3, ECL_NIL, _ecl_static_3, T0);
   goto L3;
L16:;
   V2 = ecl_cdr(V2);
L7:;
   goto L6;
  }
L3:;
  if (Null(ecl_symbol_value(VV[1]))) { goto L27; }
  L16do_entry(1, V1);
L27:;
  cl_set(VV[0],ecl_function_dispatch(cl_env_copy,VV[40])(1, V1) /*  NAME */);
  value0 = ecl_symbol_value(VV[0]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REPORT-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11report_error(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (Null(ecl_symbol_value(VV[4]))) { goto L1; }
  T0 = (ECL_SYM("FORMAT",387)->symbol.gfdef);
  cl_apply(3, T0, ECL_T, V2);
  if (Null(V1)) { goto L5; }
  cl_env_copy->values[0] = ECL_NIL;
  cl_env_copy->nvalues = 1;
  cl_throw(VV[4]);
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(V1)) { goto L8; }
  T0 = (ECL_SYM("ERROR",337)->symbol.gfdef);
  value0 = cl_apply(2, T0, V2);
  return value0;
L8:;
  T0 = (ECL_SYM("WARN",903)->symbol.gfdef);
  value0 = cl_apply(2, T0, V2);
  return value0;
 }
}
/*	function definition for DO-TEST                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12do_test(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_symbol_value(VV[0]);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = L8get_entry(V1);
  value0 = L16do_entry(1, T0);
  return value0;
 }
}
/*	function definition for EQUALP-WITH-CASE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13equalp_with_case(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(V2))) { goto L1; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_CONSP(V1))) { goto L3; }
  if (!(ECL_CONSP(V2))) { goto L6; }
  T0 = ecl_car(V1);
  T1 = ecl_car(V2);
  if (Null(L13equalp_with_case(T0, T1))) { goto L6; }
  V1 = ecl_cdr(V1);
  V2 = ecl_cdr(V2);
  goto TTL;
L6:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_ARRAYP(V1))) { goto L12; }
  T0 = cl_array_rank(V1);
  if (!((ecl_to_fixnum(T0))==(0))) { goto L12; }
  if (ecl_unlikely((V1)->array.rank != (0)))
            FEwrong_dimensions(V1,0);
  V1 = ecl_aref_unsafe(V1,0);
  if (ecl_unlikely((V2)->array.rank != (0)))
            FEwrong_dimensions(V2,0);
  V2 = ecl_aref_unsafe(V2,0);
  goto TTL;
L12:;
  if (!(ECL_VECTORP(V1))) { goto L22; }
  if (!(ECL_VECTORP(V2))) { goto L25; }
  {
   cl_fixnum V3;                                  /*  LET2698         */
   cl_fixnum V4;                                  /*  LET2699         */
   V3 = ecl_length(V1);
   V4 = ecl_length(V2);
   if (!((V3)==(V4))) { goto L30; }
   {
    cl_object V5;                                 /*  E1              */
    cl_object V6;
    cl_fixnum V7;
    cl_fixnum V8;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_VECTORP(V1))) FEtype_error_vector(V1);
    V6 = V1;
    V7 = 0;
    V8 = 0;
    {
     cl_object V9;                                /*  E2              */
     cl_object V10;
     cl_fixnum V11;
     cl_fixnum V12;
     V9 = ECL_NIL;
     if (ecl_unlikely(!ECL_VECTORP(V2))) FEtype_error_vector(V2);
     V10 = V2;
     V11 = 0;
     V12 = 0;
     V8 = ecl_length(V6);
     V12 = ecl_length(V10);
L42:;
     if (!((V7)>=(V8))) { goto L48; }
     goto L43;
L48:;
     {
      cl_fixnum V13;
      if (ecl_unlikely((V7)>=(V6)->vector.dim))
           FEwrong_index(ECL_NIL,V6,-1,ecl_make_fixnum(V7),(V6)->vector.dim);
      V13 = V7;
      V5 = ecl_aref_unsafe(V6,V13);
     }
     {
      cl_object V13;
      V13 = ecl_make_integer((V7)+1);
      {
       bool V14;
       V14 = ECL_FIXNUMP(V13);
       if (ecl_unlikely(!(V14)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V13);
      }
      V7 = ecl_fixnum(V13);
     }
     if (!((V11)>=(V12))) { goto L59; }
     goto L43;
L59:;
     {
      cl_fixnum V13;
      if (ecl_unlikely((V11)>=(V10)->vector.dim))
           FEwrong_index(ECL_NIL,V10,-1,ecl_make_fixnum(V11),(V10)->vector.dim);
      V13 = V11;
      V9 = ecl_aref_unsafe(V10,V13);
     }
     {
      cl_object V13;
      V13 = ecl_make_integer((V11)+1);
      {
       bool V14;
       V14 = ECL_FIXNUMP(V13);
       if (ecl_unlikely(!(V14)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V13);
      }
      V11 = ecl_fixnum(V13);
     }
     if ((L13equalp_with_case(V5, V9))!=ECL_NIL) { goto L70; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L70:;
     goto L42;
L43:;
     value0 = ECL_T;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
L30:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L25:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L22:;
  if (!(ECL_ARRAYP(V1))) { goto L74; }
  if (!(ECL_ARRAYP(V2))) { goto L74; }
  T0 = cl_array_dimensions(V1);
  T1 = cl_array_dimensions(V2);
  if (ecl_equal(T0,T1)) { goto L74; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L74:;
  if (!(ECL_ARRAYP(V1))) { goto L78; }
  if (!(ECL_ARRAYP(V2))) { goto L81; }
  {
   cl_fixnum V13;                                 /*  SIZE            */
   V13 = ecl_fixnum(cl_array_total_size(V1));
   {
    cl_object V14;                                /*  I               */
    cl_object V15;
    V14 = ecl_make_fixnum(0);
    V15 = ecl_make_fixnum(V13);
L86:;
    if (!(ecl_number_compare(V14,V15)>=0)) { goto L88; }
    goto L87;
L88:;
    T0 = ecl_aref(V1,ecl_to_size(V14));
    T1 = ecl_aref(V2,ecl_to_size(V14));
    if ((L13equalp_with_case(T0, T1))!=ECL_NIL) { goto L90; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L90:;
    V14 = ecl_one_plus(V14);
    goto L86;
L87:;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L81:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L78:;
  value0 = ecl_make_bool(ecl_eql(V1,V2));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DO-ENTRY                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16do_entry(volatile cl_narg narg, cl_object volatile V1, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 volatile cl_object lex0[1];
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  va_list args; va_start(args,V1);
  lex0[0] = V1;                                   /*  ENTRY           */
  {
   int i = 1;
   if (i >= narg) {
    V2 = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = VV[3];
  if (ecl_frs_push(cl_env_copy,value0)==0) {      /*  BEGIN CATCH 3   */
   cl_set(VV[0],ecl_function_dispatch(cl_env_copy,VV[40])(1, lex0[0]) /*  NAME */);
   ecl_elt_set(lex0[0],0,ECL_T);
   {
    volatile cl_object env1 = env0;
    ecl_bds_bind(cl_env_copy,VV[3],ECL_T);        /*  *IN-TEST*       */
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);             /*  ABORTED         */
    CLV1 = env1 = CONS(ECL_NIL,env1);             /*  R               */
    {
     CLV2 = env1 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env1); /*  ABORTED */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))!=0) {
     ecl_frs_pop(cl_env_copy);
     } else {
     if (Null(ecl_symbol_value(VV[5]))) { goto L11; }
     T0 = (ECL_SYM("MUFFLE-WARNING",571)->symbol.gfdef);
     T1 = CONS(ECL_SYM("STYLE-WARNING",827),T0);
     {cl_object V3;
      V3 = ECL_NIL;
      V3 = ecl_make_cclosure_va((cl_objectfn)LC15__g57,env1,Cblock);
      T2 = V3;
     }
     T3 = CONS(ECL_SYM("ERROR",337),T2);
     T4 = cl_list(2, T1, T3);
     T5 = CONS(T4,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T5); /*  *HANDLER-CLUSTERS* */
     ECL_CONS_CAR(CLV1) = LC14_do(lex0);
     ecl_bds_unwind1(cl_env_copy);
     goto L10;
L11:;
     ECL_CONS_CAR(CLV1) = LC14_do(lex0);
L10:;
     ecl_frs_pop(cl_env_copy);}
    }
    {
     cl_object V3;
     value0 = ECL_CONS_CAR(CLV0);
     if ((value0)!=ECL_NIL) { goto L18; }
     T0 = ECL_CONS_CAR(CLV1);
     T1 = ecl_cdddr(lex0[0]);
     T2 = L13equalp_with_case(T0, T1);
     V3 = Null(T2)?ECL_T:ECL_NIL;
     goto L16;
L18:;
     V3 = value0;
     goto L16;
L16:;
     ecl_elt_set(lex0[0],0,V3);
    }
    if (Null(ecl_function_dispatch(cl_env_copy,VV[39])(1, lex0[0]) /*  PEND */)) {
    ecl_bds_unwind1(cl_env_copy);
     goto L5;
    }
    ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",47),ecl_symbol_value(VV[6])); /*  *PRINT-CIRCLE* */
    T0 = ecl_symbol_value(VV[0]);
    T1 = ecl_function_dispatch(cl_env_copy,VV[51])(1, lex0[0]) /*  FORM */;
    T2 = ecl_cdddr(lex0[0]);
    {
     cl_fixnum V3;
     V3 = ecl_length(T2);
     T3 = ecl_cdddr(lex0[0]);
     cl_format(6, V2, _ecl_static_4, T0, T1, ecl_make_fixnum(V3), T3);
    }
    {
     cl_fixnum V3;
     V3 = ecl_length(ECL_CONS_CAR(CLV1));
     cl_format(4, V2, _ecl_static_5, ecl_make_fixnum(V3), ECL_CONS_CAR(CLV1));
    }
    {
     cl_object V3;                                /*  X               */
     V3 = ecl_car(ECL_CONS_CAR(CLV1));
     if (Null(si_of_class_p(2, V3, ECL_SYM("CONDITION",248)))) {
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
      goto L5;
     }
     cl_format(3, V2, _ecl_static_6, V3);
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
    }
   }
L5:;
  }
  ecl_frs_pop(cl_env_copy);                       /*  END CATCH 3     */
  if ((ecl_function_dispatch(cl_env_copy,VV[39])(1, lex0[0]) /*  PEND */)!=ECL_NIL) { goto L25; }
  value0 = ecl_symbol_value(VV[0]);
  cl_env_copy->nvalues = 1;
  return value0;
L25:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function %DO                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14_do(volatile cl_object *lex0)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[7]))) { goto L1; }
  {
   struct ecl_stack_frame _ecl_inner_frame_aux;
   cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
   {
    cl_object V1;
    V1 = _ecl_inner_frame;
    T1 = CONS(ECL_SYM("OPTIMIZE",613),ecl_symbol_value(VV[8]));
    T2 = cl_list(2, ECL_SYM("DECLARE",274), T1);
    T3 = ecl_function_dispatch(cl_env_copy,VV[51])(1, lex0[0]) /*  FORM */;
    T4 = cl_list(4, ECL_SYM("LAMBDA",452), ECL_NIL, T2, T3);
    T0 = (cl_env_copy->function=(ECL_SYM("COMPILE",233)->symbol.gfdef))->cfun.entry(2, ECL_NIL, T4) /*  COMPILE */;
    cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,T0)(0);
    ecl_stack_frame_push_values(V1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V1,ECL_SYM("LIST",481));
    value0 = cl_env_copy->values[0];
   }
   ecl_stack_frame_close(_ecl_inner_frame);
  }
  return value0;
L1:;
  {
   struct ecl_stack_frame _ecl_inner_frame_aux;
   cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
   {
    cl_object V1;
    V1 = _ecl_inner_frame;
    T0 = ecl_function_dispatch(cl_env_copy,VV[51])(1, lex0[0]) /*  FORM */;
    cl_env_copy->values[0] = cl_eval(T0);
    ecl_stack_frame_push_values(V1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V1,ECL_SYM("LIST",481));
    value0 = cl_env_copy->values[0];
   }
   ecl_stack_frame_close(_ecl_inner_frame);
  }
  return value0;
 }
}
/*	closure G57                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g57(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1, CLV2
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV2 = env0;                                     /*  ABORTED         */
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = ECL_T;
  ECL_CONS_CAR(CLV1) = ecl_list1(V1);
  cl_env_copy->values[0] = ECL_NIL;
  cl_env_copy->nvalues = 1;
  cl_return_from(ECL_CONS_CAR(CLV2),ECL_NIL);
 }
 }
}
/*	function definition for CONTINUE-TESTING                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17continue_testing()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[3]))) { goto L1; }
  cl_env_copy->values[0] = ECL_NIL;
  cl_env_copy->nvalues = 1;
  cl_throw(VV[3]);
L1:;
  value0 = L19do_entries(ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)));
  return value0;
 }
}
/*	function definition for DO-TESTS                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18do_tests(volatile cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;
   V2 = ecl_cdr(ecl_symbol_value(VV[2]));
   goto L6;
L5:;
   {
    cl_object V3;                                 /*  ENTRY           */
    V3 = ecl_car(V2);
    ecl_elt_set(V3,0,ECL_T);
   }
   V2 = ecl_cdr(V2);
L6:;
   if (Null(V2)) { goto L13; }
   goto L5;
L13:;
  }
  if (Null(cl_streamp(V1))) { goto L15; }
  value0 = L19do_entries(V1);
  return value0;
L15:;
  {
   volatile cl_object V2;                         /*  STREAM          */
   V2 = cl_open(3, V1, ECL_SYM("DIRECTION",1218), ECL_SYM("OUTPUT",1282));
   {
    volatile bool unwinding = FALSE;
    cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object V5;
      V5 = _ecl_inner_frame;
      cl_env_copy->values[0] = L19do_entries(V2);
      ecl_stack_frame_push_values(V5);
      if (Null(V2)) { goto L23; }
      cl_close(1, V2);
L23:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    }
    ecl_frs_pop(cl_env_copy);
    V4=ecl_stack_push_values(cl_env_copy);
    if (Null(V2)) { goto L25; }
    cl_close(3, V2, ECL_SYM("ABORT",1195), ECL_T);
L25:;
    ecl_stack_pop_values(cl_env_copy,V4);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V3);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for DO-ENTRIES                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19do_entries(cl_object V1)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_cdr(ecl_symbol_value(VV[2]));
  T1 = ecl_fdefinition(VV[39]);
  T2 = cl_count(4, ECL_T, T0, ECL_SYM("KEY",1262), T1);
  T3 = ecl_cdr(ecl_symbol_value(VV[2]));
  {
   cl_fixnum V2;
   V2 = ecl_length(T3);
   cl_format(4, V1, _ecl_static_7, T2, ecl_make_fixnum(V2));
  }
  {
   cl_object V2;
   V2 = ecl_cdr(ecl_symbol_value(VV[2]));
   goto L7;
L6:;
   {
    cl_object V3;                                 /*  ENTRY           */
    V3 = ecl_car(V2);
    if (Null(ecl_function_dispatch(cl_env_copy,VV[39])(1, V3) /*  PEND */)) { goto L11; }
    T0 = L16do_entry(2, V3, V1);
    cl_format(3, V1, _ecl_static_8, T0);
L11:;
   }
   V2 = ecl_cdr(V2);
L7:;
   if (Null(V2)) { goto L15; }
   goto L6;
L15:;
  }
  {
   cl_object V2;                                  /*  LET2710         */
   cl_object V3;                                  /*  LET2711         */
   V2 = L4pending_tests();
   T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
   V3 = cl_make_hash_table(2, ECL_SYM("TEST",1316), T0);
   {
    cl_object V4;
    V4 = ecl_symbol_value(VV[9]);
    goto L24;
L23:;
    {
     cl_object V5;                                /*  EX              */
     V5 = ecl_car(V4);
     si_hash_set(V5, V3, ECL_T);
    }
    V4 = ecl_cdr(V4);
L24:;
    if (Null(V4)) { goto L31; }
    goto L23;
L31:;
   }
   {
    cl_object V4;                                 /*  NEW-FAILURES    */
    {
     cl_object V5;                                /*  PEND            */
     cl_object V6;
     V5 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
     V6 = V2;
     {
      cl_object V7;
      cl_object V8;
      V7 = ecl_list1(ECL_NIL);
      V8 = V7;
L39:;
      if (!(ecl_endp(V6))) { goto L41; }
      goto L40;
L41:;
      V5 = _ecl_car(V6);
      {
       cl_object V9;
       V9 = _ecl_cdr(V6);
       if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
       V6 = V9;
      }
      if ((ecl_gethash_safe(V5,V3,ECL_NIL))!=ECL_NIL) { goto L49; }
      if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
      T0 = V8;
      V8 = ecl_list1(V5);
      (ECL_CONS_CDR(T0)=V8,T0);
L49:;
      goto L39;
L40:;
      V4 = ecl_cdr(V7);
      goto L33;
     }
    }
L33:;
    if (!(V2==ECL_NIL)) { goto L57; }
    cl_format(2, V1, _ecl_static_9);
    goto L56;
L57:;
    {
     cl_fixnum V5;
     V5 = ecl_length(V2);
     T0 = ecl_cdr(ecl_symbol_value(VV[2]));
     {
      cl_fixnum V6;
      V6 = ecl_length(T0);
      cl_format(5, V1, _ecl_static_10, ecl_make_fixnum(V5), ecl_make_fixnum(V6), V2);
     }
    }
    if (!(V4==ECL_NIL)) { goto L60; }
    cl_format(2, V1, _ecl_static_11);
    goto L56;
L60:;
    if (Null(ecl_symbol_value(VV[9]))) { goto L56; }
    {
     cl_fixnum V5;
     V5 = ecl_length(V4);
     cl_format(4, V1, _ecl_static_12, ecl_make_fixnum(V5), V4);
    }
L56:;
    cl_finish_output(1, V1);
    value0 = ecl_make_bool(V2==ECL_NIL);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}

#include "ext/rt.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclXHDJSAb7_dFrgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:RT;RT.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclXHDJSAb7_dFrgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 ecl_function_dispatch(cl_env_copy,VV[31])(10, _ecl_static_0, VVtemp[0], _ecl_static_1, VVtemp[1], ECL_NIL, ECL_NIL, VVtemp[2], ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
 si_select_package(_ecl_static_0);
 si_Xmake_special(VV[0]);
 if (ecl_boundp(cl_env_copy,VV[0])) { goto L4; }
 cl_set(VV[0],ECL_NIL);
L4:;
 si_Xmake_special(VV[1]);
 if (ecl_boundp(cl_env_copy,VV[1])) { goto L11; }
 cl_set(VV[1],ECL_NIL);
L11:;
 si_Xmake_special(VV[2]);
 if (ecl_boundp(cl_env_copy,VV[2])) { goto L18; }
 cl_set(VV[2],VVtemp[3]);
L18:;
 si_Xmake_special(VV[3]);
 if (ecl_boundp(cl_env_copy,VV[3])) { goto L25; }
 cl_set(VV[3],ECL_NIL);
L25:;
 si_Xmake_special(VV[4]);
 if (ecl_boundp(cl_env_copy,VV[4])) { goto L32; }
 cl_set(VV[4],ECL_NIL);
L32:;
 si_Xmake_special(VV[5]);
 if (ecl_boundp(cl_env_copy,VV[5])) { goto L39; }
 cl_set(VV[5],ECL_T);
L39:;
 si_Xmake_special(VV[6]);
 if (ecl_boundp(cl_env_copy,VV[6])) { goto L46; }
 cl_set(VV[6],ECL_NIL);
L46:;
 si_Xmake_special(VV[7]);
 if (ecl_boundp(cl_env_copy,VV[7])) { goto L53; }
 cl_set(VV[7],ECL_NIL);
L53:;
 si_Xmake_special(VV[8]);
 if (ecl_boundp(cl_env_copy,VV[8])) { goto L60; }
 cl_set(VV[8],VVtemp[4]);
L60:;
 si_Xmake_special(VV[9]);
 if (ecl_boundp(cl_env_copy,VV[9])) { goto L67; }
 cl_set(VV[9],ECL_NIL);
L67:;
 si_define_structure(15, VV[10], ECL_NIL, ECL_SYM("LIST",481), ECL_NIL, VVtemp[5], VVtemp[6], VV[11], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[7], ecl_make_fixnum(3), ECL_NIL, ECL_NIL, ECL_NIL);
 ecl_cmp_defun(VV[32]);                           /*  MAKE-ENTRY      */
 ecl_cmp_defmacro(VV[36]);                        /*  VALS            */
 ecl_cmp_defmacro(VV[37]);                        /*  DEFN            */
 ecl_cmp_defun(VV[38]);                           /*  PENDING-TESTS   */
 ecl_cmp_defun(VV[41]);                           /*  REM-ALL-TESTS   */
 ecl_cmp_defun(VV[42]);                           /*  REM-TEST        */
 ecl_cmp_defun(VV[43]);                           /*  GET-TEST        */
 ecl_cmp_defun(VV[44]);                           /*  GET-ENTRY       */
 ecl_cmp_defmacro(VV[45]);                        /*  DEFTEST         */
 ecl_cmp_defun(VV[46]);                           /*  ADD-ENTRY       */
 ecl_cmp_defun(VV[47]);                           /*  REPORT-ERROR    */
 ecl_cmp_defun(VV[48]);                           /*  DO-TEST         */
 ecl_cmp_defun(VV[49]);                           /*  EQUALP-WITH-CASE */
 ecl_cmp_defun(VV[50]);                           /*  DO-ENTRY        */
 ecl_cmp_defun(VV[52]);                           /*  CONTINUE-TESTING */
 ecl_cmp_defun(VV[53]);                           /*  DO-TESTS        */
 ecl_cmp_defun(VV[54]);                           /*  DO-ENTRIES      */
 cl_provide(VV[30]);
}
