/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:SERVE-EVENT;SERVE-EVENT.LISP                      */
#include <ecl/ecl-cmp.h>
#include "ext/serve-event.eclh"
/*	function definition for MAKE-HANDLER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_handler(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((cl_functionp(V3))!=ECL_NIL) { goto L1; }
  si_structure_type_error(4, V3, ECL_SYM("FUNCTION",396), VV[1], ECL_SYM("FUNCTION",396));
L1:;
  if (!(ecl_eql(V2,ECL_SYM("INPUT",1254)))) { goto L7; }
  goto L3;
  goto L5;
L7:;
  goto L5;
L5:;
  if (!(ecl_eql(V2,ECL_SYM("OUTPUT",1282)))) { goto L10; }
  goto L3;
  goto L4;
L10:;
  goto L4;
L4:;
  si_structure_type_error(4, V2, VV[5], VV[1], VV[6]);
L3:;
  value0 = si_make_structure(4, VV[7], V2, V1, V3);
  return value0;
 }
}
/*	function definition for COERCE-TO-DESCRIPTOR                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2coerce_to_descriptor(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_FIXNUMP(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(si_of_class_p(2, V1, ECL_SYM("FILE-STREAM",358)))) { goto L3; }
  value0 = si_file_stream_fd(V1);
  return value0;
L3:;
  if (Null(si_of_class_p(2, V1, ECL_SYM("TWO-WAY-STREAM",866)))) { goto L5; }
  if (!(ecl_eql(V2,ECL_SYM("INPUT",1254)))) { goto L9; }
  V1 = cl_two_way_stream_input_stream(V1);
  goto L8;
L9:;
  if (!(ecl_eql(V2,ECL_SYM("OUTPUT",1282)))) { goto L11; }
  V1 = cl_two_way_stream_output_stream(V1);
  goto L8;
L11:;
  V1 = ECL_NIL;
L8:;
  goto TTL;
L5:;
  if (Null(cl_streamp(V1))) { goto L14; }
  value0 = ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-FILE-DESCRIPTOR",1624))(2, V1, V2) /*  STREAM-FILE-DESCRIPTOR */;
  return value0;
L14:;
  value0 = si_etypecase_error(V1, VV[10]);
  return value0;
 }
}
/*	function definition for ADD-FD-HANDLER                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3add_fd_handler(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_eql(V2,ECL_SYM("INPUT",1254)))) { goto L5; }
  goto L1;
  goto L3;
L5:;
  goto L3;
L3:;
  if (!(ecl_eql(V2,ECL_SYM("OUTPUT",1282)))) { goto L8; }
  goto L1;
  goto L2;
L8:;
  goto L2;
L2:;
  T0 = ecl_list1(V2);
  cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_2, ECL_SYM("FORMAT-ARGUMENTS",1239), T0, ECL_SYM("DATUM",1214), V2, ECL_SYM("EXPECTED-TYPE",1232), VV[5]);
L1:;
  {
   cl_object V4;                                  /*  HANDLER         */
   T0 = L2coerce_to_descriptor(V1, V2);
   V4 = L1make_handler(T0, V2, V3);
   cl_set(VV[9],CONS(V4,ecl_symbol_value(VV[9])));
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for REMOVE-FD-HANDLER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4remove_fd_handler(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[9],cl_delete(2, V1, ecl_symbol_value(VV[9])));
  value0 = ecl_symbol_value(VV[9]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITH-FD-HANDLER                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5with_fd_handler(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  FD              */
   cl_object V7;                                  /*  DIRECTION       */
   cl_object V8;                                  /*  FUNCTION        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V9;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V9;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V9;
   }
   if (!(V5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(V1);
L22:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V9;
   }
   if (Null(V5)) { goto L27; }
   si_dm_too_many_arguments(V1);
L27:;
   {
    cl_object V9;                                 /*  HANDLER         */
    V9 = cl_gensym(0);
    T0 = ecl_list1(V9);
    T1 = cl_list(4, VV[12], V6, V7, V8);
    T2 = cl_list(3, ECL_SYM("SETF",750), V9, T1);
    T3 = cl_listX(3, ECL_SYM("PROGN",671), T2, V3);
    T4 = cl_list(2, VV[13], V9);
    T5 = cl_list(3, ECL_SYM("WHEN",905), V9, T4);
    T6 = cl_list(3, ECL_SYM("UNWIND-PROTECT",888), T3, T5);
    value0 = cl_list(3, ECL_SYM("LET",477), T0, T6);
    return value0;
   }
  }
 }
}
/*	local function FD-ZERO                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6fd_zero(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  FDSET           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = ecl_list1(V4);
   value0 = cl_listX(3, ECL_SYM("C-INLINE",1969), T0, VV[15]);
   return value0;
  }
 }
}
/*	local function FD-SET                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7fd_set(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  FD              */
   cl_object V5;                                  /*  FDSET           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = cl_listX(3, ECL_SYM("C-INLINE",1969), T0, VV[17]);
   return value0;
  }
 }
}
/*	local function FD-ISSET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8fd_isset(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  FD              */
   cl_object V5;                                  /*  FDSET           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, V4, V5);
   value0 = cl_listX(3, ECL_SYM("C-INLINE",1969), T0, VV[19]);
   return value0;
  }
 }
}
/*	function definition for FDSET-SIZE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9fdset_size()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int(sizeof(fd_set));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SERVE-EVENT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10serve_event(volatile cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   volatile cl_object V2;                         /*  FSIZE           */
   V2 = L9fdset_size();
   {
    volatile cl_object V3;                        /*  RFD             */
    T0 = cl_list(3, ECL_SYM("ARRAY",1199), ECL_SYM("UNSIGNED-CHAR",1387), V2);
    V3 = ecl_function_dispatch(cl_env_copy,ECL_SYM("ALLOCATE-FOREIGN-OBJECT",1967))(1, T0) /*  ALLOCATE-FOREIGN-OBJECT */;
    {
     volatile bool unwinding = FALSE;
     cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     {
      volatile cl_object V6;                      /*  WFD             */
      T0 = cl_list(3, ECL_SYM("ARRAY",1199), ECL_SYM("UNSIGNED-CHAR",1387), V2);
      V6 = ecl_function_dispatch(cl_env_copy,ECL_SYM("ALLOCATE-FOREIGN-OBJECT",1967))(1, T0) /*  ALLOCATE-FOREIGN-OBJECT */;
      {
       volatile bool unwinding = FALSE;
       cl_index V7=ECL_STACK_INDEX(cl_env_copy),V8;
       ecl_frame_ptr next_fr;
       if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       FD_ZERO((fd_set*)V3->foreign.data);
       FD_ZERO((fd_set*)V6->foreign.data);
       {
        cl_object V9;                             /*  MAXFD           */
        V9 = ecl_make_fixnum(0);
        {
         cl_object V10;
         V10 = ecl_symbol_value(VV[9]);
         goto L14;
L13:;
         {
          cl_object V11;                          /*  HANDLER         */
          V11 = ecl_car(V10);
          {
          cl_object V12;                          /*  FD              */
          V12 = ecl_function_dispatch(cl_env_copy,VV[35])(1, V11) /*  HANDLER-DESCRIPTOR */;
          {
          cl_object V13;
          V13 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V11) /*  HANDLER-DIRECTION */;
          if (!(ecl_eql(V13,ECL_SYM("INPUT",1254)))) { goto L22; }
          FD_SET(ecl_to_int(V12), (fd_set*)V3->foreign.data);;
          goto L20;
L22:;
          if (!(ecl_eql(V13,ECL_SYM("OUTPUT",1282)))) { goto L24; }
          FD_SET(ecl_to_int(V12), (fd_set*)V6->foreign.data);;
          goto L20;
L24:;
          si_ecase_error(V13, VV[3]);
          }
L20:;
          if (!(ecl_number_compare(V12,V9)>0)) { goto L18; }
          V9 = V12;
          }
L18:;
         }
         V10 = ecl_cdr(V10);
L14:;
         if (Null(V10)) { goto L30; }
         goto L13;
L30:;
        }
        if (!(V1==ECL_NIL)) { goto L33; }
        T0 = ecl_one_plus(V9);
        {
         int V10;
         int V11;
         { V10= select(ecl_to_int(T0), (fd_set*)V3->foreign.data,
                                                      (fd_set*)V6->foreign.data,
                                                      NULL, NULL);
                             V11= errno; }
         cl_env_copy->values[0] = ecl_make_int(V10);
         cl_env_copy->values[1] = ecl_make_int(V11);cl_env_copy->nvalues=2;
         goto L32;
        }
L33:;
        T0 = ecl_one_plus(V9);
        {
         int V12;
         int V13;
         { struct timeval tv;
                             double seconds = ecl_to_double(V1);
                                tv.tv_sec = seconds;
                                tv.tv_usec = (seconds * 1e6);
                                V12= select(ecl_to_int(T0), (fd_set*)V3->foreign.data,
                                                         (fd_set*)V6->foreign.data,
                                                         NULL, &tv);
                                V13= errno; }
         cl_env_copy->values[0] = ecl_make_int(V12);
         cl_env_copy->values[1] = ecl_make_int(V13);cl_env_copy->nvalues=2;
        }
L32:;
        {
         cl_object V11;                           /*  RETVAL          */
         cl_object V12;                           /*  ERRNO           */
         V11 = cl_env_copy->values[0];
         V12 = cl_env_copy->values[1];
         if (!(ecl_zerop(V11))) { goto L35; }
         cl_env_copy->values[0] = ECL_NIL;
         cl_env_copy->nvalues = 1;
         goto L6;
L35:;
         if (!(ecl_minusp(V11))) { goto L37; }
         if (!(ecl_number_equalp(V12,ecl_symbol_value(VV[0])))) { goto L39; }
         cl_env_copy->values[0] = ECL_NIL;
         cl_env_copy->nvalues = 1;
         goto L6;
L39:;
         cl_env_copy->values[0] = cl_error(1, _ecl_static_3);
         goto L6;
L37:;
         if (!(ecl_plusp(V11))) { goto L41; }
         {
          cl_object V13;
          V13 = ecl_symbol_value(VV[9]);
          goto L47;
L46:;
          {
          cl_object V14;                          /*  HANDLER         */
          V14 = ecl_car(V13);
          {
          cl_object V15;                          /*  FD              */
          V15 = ecl_function_dispatch(cl_env_copy,VV[35])(1, V14) /*  HANDLER-DESCRIPTOR */;
          {
          cl_object V16;
          V16 = ecl_function_dispatch(cl_env_copy,VV[36])(1, V14) /*  HANDLER-DIRECTION */;
          if (!(ecl_eql(V16,ECL_SYM("INPUT",1254)))) { goto L56; }
          T0 = ecl_make_int(FD_ISSET(ecl_to_int(V15), (fd_set*)V3->foreign.data));
          goto L54;
L56:;
          if (!(ecl_eql(V16,ECL_SYM("OUTPUT",1282)))) { goto L58; }
          T0 = ecl_make_int(FD_ISSET(ecl_to_int(V15), (fd_set*)V6->foreign.data));
          goto L54;
L58:;
          T0 = si_ecase_error(V16, VV[3]);
          }
L54:;
          if (!(ecl_plusp(T0))) { goto L51; }
          T0 = ecl_function_dispatch(cl_env_copy,VV[37])(1, V14) /*  HANDLER-FUNCTION */;
          T1 = ecl_function_dispatch(cl_env_copy,VV[35])(1, V14) /*  HANDLER-DESCRIPTOR */;
          ecl_function_dispatch(cl_env_copy,T0)(1, T1);
          }
L51:;
          }
          V13 = ecl_cdr(V13);
L47:;
          if (Null(V13)) { goto L63; }
          goto L46;
L63:;
         }
         cl_env_copy->values[0] = ECL_T;
         cl_env_copy->nvalues = 1;
         goto L6;
L41:;
         cl_env_copy->values[0] = ECL_NIL;
         cl_env_copy->nvalues = 1;
        }
       }
L6:;
       }
       ecl_frs_pop(cl_env_copy);
       V8=ecl_stack_push_values(cl_env_copy);
       ecl_function_dispatch(cl_env_copy,ECL_SYM("FREE-FOREIGN-OBJECT",2002))(1, V6) /*  FREE-FOREIGN-OBJECT */;
       ecl_stack_pop_values(cl_env_copy,V8);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,V7);
      }
     }
     }
     ecl_frs_pop(cl_env_copy);
     V5=ecl_stack_push_values(cl_env_copy);
     ecl_function_dispatch(cl_env_copy,ECL_SYM("FREE-FOREIGN-OBJECT",2002))(1, V3) /*  FREE-FOREIGN-OBJECT */;
     ecl_stack_pop_values(cl_env_copy,V5);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,V4);
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*	function definition for SERVE-ALL-EVENTS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11serve_all_events(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  LET2635         */
   cl_object V3;                                  /*  RES             */
   cl_object V4;                                  /*  SVAL            */
   V2 = L10serve_event(1, V1);
   V3 = ECL_NIL;
   V4 = V2;
   goto L7;
L6:;
   V3 = ECL_T;
   V4 = L10serve_event(1, ecl_make_fixnum(0));
L7:;
   if (V4==ECL_NIL) { goto L13; }
   goto L6;
L13:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "ext/serve-event.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclqZIWPfb7_S9ogNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:SERVE-EVENT;SERVE-EVENT.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclqZIWPfb7_S9ogNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 ecl_function_dispatch(cl_env_copy,VV[24])(10, _ecl_static_0, ECL_NIL, ECL_NIL, VVtemp[0], ECL_NIL, ECL_NIL, VVtemp[1], ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
 si_select_package(_ecl_static_0);
 {
  int V1;
  V1 = EINTR;
  si_Xmake_constant(VV[0], ecl_make_int(V1));
 }
 si_define_structure(15, VV[1], _ecl_static_1, ECL_NIL, ECL_NIL, VVtemp[2], VVtemp[3], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[4], ecl_make_fixnum(3), ECL_NIL, ECL_NIL, VV[2]);
 VV[7]= cl_find_class(1, VV[1]);
 ecl_cmp_defun(VV[25]);                           /*  MAKE-HANDLER    */
 si_Xmake_special(VV[9]);
 if (ecl_boundp(cl_env_copy,VV[9])) { goto L20; }
 cl_set(VV[9],ECL_NIL);
L20:;
 ecl_cmp_defun(VV[26]);                           /*  COERCE-TO-DESCRIPTOR */
 ecl_cmp_defun(VV[27]);                           /*  ADD-FD-HANDLER  */
 ecl_cmp_defun(VV[28]);                           /*  REMOVE-FD-HANDLER */
 ecl_cmp_defmacro(VV[29]);                        /*  WITH-FD-HANDLER */
 ecl_cmp_defmacro(VV[30]);                        /*  FD-ZERO         */
 ecl_cmp_defmacro(VV[31]);                        /*  FD-SET          */
 ecl_cmp_defmacro(VV[32]);                        /*  FD-ISSET        */
 ecl_cmp_defun(VV[33]);                           /*  FDSET-SIZE      */
 ecl_cmp_defun(VV[34]);                           /*  SERVE-EVENT     */
 ecl_cmp_defun(VV[38]);                           /*  SERVE-ALL-EVENTS */
 cl_provide(VV[22]);
}
