/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;ARRAYLIB.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "lsp/arraylib.eclh"
/*	function definition for MAKE-ARRAY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_make_array(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,cl_make_arraykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[7])) {
    V2 = ECL_T;
   } else {
    V2 = keyvars[0];
   }
   V3 = keyvars[1];
   V4 = keyvars[8];
   V5 = keyvars[2];
   V6 = keyvars[9];
   V7 = keyvars[3];
   V8 = keyvars[4];
   V9 = keyvars[5];
   if (Null(keyvars[13])) {
    V10 = ecl_make_fixnum(0);
   } else {
    V10 = keyvars[6];
   }
  }
  {
   cl_object V11;                                 /*  X               */
   V11 = si_make_pure_array(V2, V1, V7, V8, V9, V10);
   if (Null(V4)) { goto L4; }
   if (Null(V6)) { goto L6; }
   cl_error(1, _ecl_static_1);
L6:;
   value0 = si_fill_array_with_elt(V11, V3, ecl_make_fixnum(0), ECL_NIL);
   return value0;
L4:;
   if (Null(V6)) { goto L8; }
   value0 = L2fill_array_with_seq(V11, V5);
   return value0;
L8:;
   value0 = V11;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FILL-ARRAY-WITH-SEQ                   */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L2fill_array_with_seq(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V3;                                   /*  DIMS            */
  V3 = cl_array_dimensions(V1);
  if (Null(V3)) { goto L3; }
  LC1iterate_over_contents(V1, V2, V3, ecl_make_fixnum(0));
  goto L1;
L3:;
  ecl_aset_unsafe(V1,0,V2);
 }
L1:;
 value0 = V1;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	local function ITERATE-OVER-CONTENTS                          */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object LC1iterate_over_contents(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V5;
 V5 = ecl_fixnum(V4);
TTL:
 {
  cl_fixnum V6;
  V6 = ecl_length(V2);
  T0 = _ecl_car(V3);
  if (!(!ecl_number_equalp(ecl_make_fixnum(V6),T0))) { goto L1; }
 }
 cl_error(1, _ecl_static_2);
L1:;
 {
  cl_fixnum V6;
  V6 = ecl_length(V3);
  if (!((V6)==(1))) { goto L4; }
 }
 {
  cl_object V6;                                   /*  IT              */
  V6 = si_make_seq_iterator(1, V2);
  goto L9;
L8:;
  T0 = si_seq_iterator_ref(V2, V6);
  ecl_aset_unsafe(V1,V5,T0);
  V5 = (V5)+(1);
  V6 = si_seq_iterator_next(V2, V6);
L9:;
  if (V6==ECL_NIL) { goto L16; }
  goto L8;
L16:;
  goto L3;
 }
L4:;
 {
  cl_object V7;                                   /*  IT              */
  V7 = si_make_seq_iterator(1, V2);
  goto L21;
L20:;
  T0 = si_seq_iterator_ref(V2, V7);
  T1 = _ecl_cdr(V3);
  V5 = ecl_fixnum(LC1iterate_over_contents(V1, T0, T1, ecl_make_fixnum(V5)));
  V7 = si_seq_iterator_next(V2, V7);
L21:;
  if (V7==ECL_NIL) { goto L27; }
  goto L20;
L27:;
 }
L3:;
 value0 = ecl_make_fixnum(V5);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for VECTOR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_vector(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V2;                                  /*  A               */
   {
    cl_fixnum V3;
    V3 = ecl_length(V1);
    V2 = si_make_vector(ECL_T, ecl_make_fixnum(V3), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   }
   value0 = L2fill_array_with_seq(V2, V1);
   return value0;
  }
 }
}
/*	function definition for ARRAY-DIMENSIONS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_array_dimensions(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   int8_t V2;                                     /*  LET103          */
   cl_fixnum V3;                                  /*  I               */
   cl_object V4;                                  /*  D               */
   V2 = (int8_t)(ecl_array_rank(V1));
   V3 = (cl_fixnum)(V2);
   V4 = ECL_NIL;
   goto L6;
L5:;
   {
    int8_t V5;
    V3 = (V3)-(1);
    V5 = (int8_t)(V3);
    {
     cl_fixnum V6;
     V6 = ecl_array_dimension(V1,(cl_fixnum)(V5));
     V4 = CONS(ecl_make_fixnum(V6),V4);
    }
   }
L6:;
   if ((V3)==(0)) { goto L12; }
   goto L5;
L12:;
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ARRAY-IN-BOUNDS-P                     */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object cl_array_in_bounds_p(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (ecl_unlikely(!ECL_ARRAYP(V1))) FEtype_error_array(V1);
  {
   cl_object V3;                                  /*  INDICES         */
   int8_t V4;                                     /*  R               */
   cl_fixnum V5;                                  /*  I               */
   V3 = V2;
   V4 = (int8_t)((((V1)->d.t == t_array)?(V1)->array.rank:1));
   V5 = 0;
   goto L7;
L6:;
   if (Null(V3)) { goto L10; }
   {
    cl_object V6;                                 /*  INDEX           */
    V6 = ECL_CONS_CAR(V3);
    if (!(ECL_FIXNUMP(V6))) { goto L14; }
    if ((ecl_fixnum(V6))<0) { goto L14; }
    {
     cl_fixnum V7;
     V7 = ecl_array_dimension(V1,V5);
     if (!((ecl_fixnum(V6))>=(V7))) { goto L9; }
     goto L13;
    }
L14:;
L13:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L10:;
   cl_error(3, _ecl_static_3, ecl_make_int8_t(V4), ecl_make_fixnum(V5));
L9:;
   V3 = ECL_CONS_CDR(V3);
   V5 = (V5)+1;
L7:;
   if ((V5)>=((cl_fixnum)(V4))) { goto L21; }
   goto L6;
L21:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ROW-MAJOR-INDEX-INNER                 */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L4row_major_index_inner(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  int8_t V3;                                      /*  R               */
  cl_fixnum V4;                                   /*  I               */
  cl_fixnum V5;                                   /*  J               */
  cl_object V6;                                   /*  S               */
  V3 = (int8_t)((((V1)->d.t == t_array)?(V1)->array.rank:1));
  V4 = 0;
  V5 = 0;
  V6 = V2;
  goto L7;
L6:;
  {
   cl_fixnum V7;                                  /*  D               */
   cl_object V8;                                  /*  O               */
   cl_fixnum V9;                                  /*  NDX             */
   V7 = ecl_array_dimension(V1,V4);
   V8 = ECL_CONS_CAR(V6);
   V9 = 0;
   if (!(ECL_FIXNUMP(V8))) { goto L16; }
   V9 = ecl_fixnum(V8);
   if (!((0)<=(V9))) { goto L16; }
   {
    cl_fixnum V10;
    V10 = ecl_array_dimension(V1,V4);
    if ((V9)<(V10)) { goto L13; }
    goto L14;
   }
L16:;
   goto L14;
L14:;
   LC3indexing_error(V1, V2);
L13:;
   V5 = (V5)*(V7);
   V5 = (V5)+(V9);
  }
  V4 = (V4)+1;
  V6 = ECL_CONS_CDR(V6);
L7:;
  if (V6==ECL_NIL) { goto L27; }
  goto L6;
L27:;
  if (!((V4)<((cl_fixnum)(V3)))) { goto L29; }
  LC3indexing_error(V1, V2);
L29:;
  value0 = ecl_make_fixnum(V5);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function INDEXING-ERROR                                 */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object LC3indexing_error(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = cl_error(3, _ecl_static_4, V2, V1);
 return value0;
}
/*	function definition for ARRAY-ROW-MAJOR-INDEX                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_array_row_major_index(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (ecl_unlikely(!ECL_ARRAYP(V1))) FEtype_error_array(V1);
  value0 = L4row_major_index_inner(V1, V2);
  return value0;
 }
}
/*	function definition for BIT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (ecl_unlikely(!ECL_ARRAYP(V1))) FEtype_error_array(V1);
  T0 = L4row_major_index_inner(V1, V2);
  value0 = ecl_aref(V1,ecl_to_size(T0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SBIT                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_sbit(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (ecl_unlikely(!ECL_ARRAYP(V1))) FEtype_error_array(V1);
  T0 = L4row_major_index_inner(V1, V2);
  value0 = ecl_aref(V1,ecl_to_size(T0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BIT-AND                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_and(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(1), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-IOR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_ior(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(7), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-XOR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_xor(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(6), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-EQV                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_eqv(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(9), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-NAND                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_nand(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(14), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-NOR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_nor(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(8), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-ANDC1                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_andc1(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(4), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-ANDC2                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_andc2(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(2), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-ORC1                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_orc1(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(13), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-ORC2                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_orc2(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(11), V1, V2, V3);
  return value0;
 }
}
/*	function definition for BIT-NOT                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_bit_not(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = si_bit_array_op(ecl_make_fixnum(12), V1, V1, V2);
  return value0;
 }
}
/*	function definition for VECTOR-POP                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_vector_pop(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V2;                                  /*  FP              */
   V2 = ecl_fixnum(cl_fill_pointer(V1));
   if (!((V2)==0)) { goto L2; }
   cl_error(2, _ecl_static_5, V1);
L2:;
   {
    cl_fixnum V3;
    V2 = (V2)-(1);
    V3 = V2;
    ((V1)->vector.fillp)=(V3);
   }
   value0 = ecl_aref_unsafe(V1,V2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for COPY-ARRAY-CONTENTS                   */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L6copy_array_contents(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = cl_array_dimensions(V1);
 if ((value0)!=ECL_NIL) { goto L3; }
 T0 = VV[0];
 goto L1;
L3:;
 T0 = value0;
 goto L1;
L1:;
 value0 = cl_array_dimensions(V2);
 if ((value0)!=ECL_NIL) { goto L7; }
 T1 = VV[0];
 goto L5;
L7:;
 T1 = value0;
 goto L5;
L5:;
 value0 = LC5do_copy(V1, V2, T0, T1, ecl_make_fixnum(0), ecl_make_fixnum(0));
 return value0;
}
/*	local function DO-COPY                                        */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object LC5do_copy(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V7;
 cl_fixnum V8;
 V7 = ecl_fixnum(V5);
 V8 = ecl_fixnum(V6);
TTL:
 {
  cl_fixnum V9;                                   /*  D1              */
  cl_fixnum V10;                                  /*  D2              */
  cl_fixnum V11;                                  /*  L               */
  cl_fixnum V12;                                  /*  I1              */
  cl_fixnum V13;                                  /*  I2              */
  {
   cl_object V14;
   V14 = V3;
   if (Null(V14)) { goto L4; }
   {
    cl_object V15;
    V15 = ECL_CONS_CDR(V14);
    V3 = V15;
    V14 = ECL_CONS_CAR(V14);
   }
L4:;
   V9 = ecl_fixnum(V14);
  }
  {
   cl_object V14;
   V14 = V4;
   if (Null(V14)) { goto L13; }
   {
    cl_object V15;
    V15 = ECL_CONS_CDR(V14);
    V4 = V15;
    V14 = ECL_CONS_CAR(V14);
   }
L13:;
   V10 = ecl_fixnum(V14);
  }
  V11 = (V9)<=(V10)?V9:V10;
  V12 = V7;
  V13 = V8;
  if (!(V3==ECL_NIL)) { goto L22; }
  value0 = (ecl_copy_subarray(V1,V12,V2,V13,V11),V1);
  cl_env_copy->nvalues = 1;
  return value0;
L22:;
  {
   cl_object V14;                                 /*  LET105          */
   cl_object V15;                                 /*  LET106          */
   T0 = (ECL_SYM("*",18)->symbol.gfdef);
   V14 = cl_apply(2, T0, V3);
   T0 = (ECL_SYM("*",18)->symbol.gfdef);
   V15 = cl_apply(2, T0, V4);
   {
    cl_fixnum V16;                                /*  I               */
    V16 = 0;
    goto L30;
L29:;
    LC5do_copy(V1, V2, V3, V4, ecl_make_fixnum(V12), ecl_make_fixnum(V13));
    V12 = (V12)+(ecl_fixnum(V14));
    V13 = (V13)+(ecl_fixnum(V15));
    V16 = (V16)+1;
L30:;
    if (!((V16)<(V11))) { goto L39; }
    goto L29;
L39:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ADJUST-ARRAY                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_adjust_array(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,cl_adjust_arraykeys,keyvars,(cl_object*)&V3,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[6])) {
    V4 = cl_array_element_type(V1);
   } else {
    V4 = keyvars[0];
   }
   V5 = keyvars[1];
   V6 = keyvars[2];
   V7 = keyvars[3];
   V8 = keyvars[4];
   V9 = keyvars[5];
  }
  if (!(ECL_FIXNUMP(V2)||ECL_BIGNUMP(V2))) { goto L2; }
  V2 = ecl_list1(V2);
L2:;
  if (!((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)))) { goto L6; }
  if ((V7)!=ECL_NIL) { goto L5; }
  T0 = cl_fill_pointer(V1);
  V3 = cl_listX(3, ECL_SYM("FILL-POINTER",1238), T0, V3);
  goto L5;
L6:;
  if (Null(V7)) { goto L5; }
  cl_error(7, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), VV[1], ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_6);
L5:;
  {
   cl_object V10;                                 /*  X               */
   T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
   V10 = cl_apply(7, T0, V2, ECL_SYM("ADJUSTABLE",1194), ECL_T, ECL_SYM("ELEMENT-TYPE",1224), V4, V3);
   if ((V8)!=ECL_NIL) { goto L13; }
   if ((V6)!=ECL_NIL) { goto L13; }
   L6copy_array_contents(V10, V1);
L13:;
   value0 = si_replace_array(V1, V10);
   return value0;
  }
 }
}
/*	function definition for SHRINK-VECTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7shrink_vector(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1)))) { goto L1; }
  value0 = cl_adjust_array(2, V1, V2);
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[17])(1, V1) /*  SIMPLE-ARRAY-P */)) { goto L3; }
  {
   cl_object V3;                                  /*  NEW-VEC         */
   T0 = cl_array_element_type(V1);
   V3 = si_make_pure_array(T0, V2, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   value0 = si_copy_subarray(V3, ecl_make_fixnum(0), V1, ecl_make_fixnum(0), V2);
   return value0;
  }
L3:;
  if (!(ECL_VECTORP(V1))) { goto L6; }
  si_fill_pointer_set(V1, V2);
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  T0 = cl_type_of(V1);
  value0 = cl_error(3, _ecl_static_7, V1, T0);
  return value0;
 }
}

#include "lsp/arraylib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclYkBo4VZ7_SWtfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;ARRAYLIB.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclYkBo4VZ7_SWtfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (void)0; /* No entry created for MAKE-ARRAY */
 (void)0; /* No entry created for FILL-ARRAY-WITH-SEQ */
 (void)0; /* No entry created for VECTOR */
 (void)0; /* No entry created for ARRAY-DIMENSIONS */
 (void)0; /* No entry created for ARRAY-IN-BOUNDS-P */
 (void)0; /* No entry created for ROW-MAJOR-INDEX-INNER */
 (void)0; /* No entry created for ARRAY-ROW-MAJOR-INDEX */
 (void)0; /* No entry created for BIT */
 (void)0; /* No entry created for SBIT */
 (void)0; /* No entry created for BIT-AND */
 (void)0; /* No entry created for BIT-IOR */
 (void)0; /* No entry created for BIT-XOR */
 (void)0; /* No entry created for BIT-EQV */
 (void)0; /* No entry created for BIT-NAND */
 (void)0; /* No entry created for BIT-NOR */
 (void)0; /* No entry created for BIT-ANDC1 */
 (void)0; /* No entry created for BIT-ANDC2 */
 (void)0; /* No entry created for BIT-ORC1 */
 (void)0; /* No entry created for BIT-ORC2 */
 (void)0; /* No entry created for BIT-NOT */
 (void)0; /* No entry created for VECTOR-POP */
 (void)0; /* No entry created for COPY-ARRAY-CONTENTS */
 (void)0; /* No entry created for ADJUST-ARRAY */
 ecl_cmp_defun(VV[16]);                           /*  SHRINK-VECTOR   */
}
