/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;DEFMACRO.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "lsp/defmacro.eclh"
/*	function definition for SEARCH-KEYWORD                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_search_keyword(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (!(ECL_ATOM(V1))) { goto L1; }
  value0 = ECL_SYM("MISSING-KEYWORD",1925);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = ecl_cdr(V1);
  if (!(ECL_ATOM(T0))) { goto L3; }
  value0 = ECL_SYM("MISSING-KEYWORD",1925);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  T0 = ecl_car(V1);
  if (!((T0)==(V2))) { goto L5; }
  value0 = ecl_cadr(V1);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  V1 = ecl_cddr(V1);
  goto TTL;
 }
}
/*	function definition for CHECK-KEYWORD                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_check_keyword(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
    V4 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
    V4 = ECL_T;
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  HEAD            */
   cl_object V6;                                  /*  ARG             */
   cl_object V7;                                  /*  ERR             */
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   goto L7;
L6:;
   if (!(ECL_ATOM(V1))) { goto L10; }
   cl_error(1, _ecl_static_1);
   goto L9;
L10:;
   V5 = ecl_car(V1);
   V1 = ecl_cdr(V1);
L9:;
   if (!(ECL_ATOM(V1))) { goto L16; }
   cl_error(1, _ecl_static_1);
   goto L15;
L16:;
   V6 = ecl_car(V1);
   V1 = ecl_cdr(V1);
L15:;
   if (!((V5)==(ECL_SYM("ALLOW-OTHER-KEYS",1197)))) { goto L22; }
   if ((V4)!=ECL_NIL) { goto L21; }
   V3 = V1;
   V4 = ECL_T;
   goto L21;
L22:;
   if ((ecl_memql(V5,V2))!=ECL_NIL) { goto L21; }
   V7 = V5;
L21:;
L7:;
   if (V1==ECL_NIL) { goto L30; }
   goto L6;
L30:;
   if (Null(V7)) { goto L32; }
   if ((V3)!=ECL_NIL) { goto L32; }
   value0 = cl_error(2, _ecl_static_2, V7);
   return value0;
L32:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for DM-TOO-MANY-ARGUMENTS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_too_many_arguments(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  ecl_bds_bind(cl_env_copy,ECL_SYM("*CURRENT-FORM*",1611),V1); /*  *CURRENT-FORM* */
TTL:
  value0 = cl_error(2, _ecl_static_3, ecl_symbol_value(ECL_SYM("*CURRENT-FORM*",1611)));
  ecl_bds_unwind1(cl_env_copy);
  return value0;
 }
}
/*	function definition for DM-TOO-FEW-ARGUMENTS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_too_few_arguments(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  ecl_bds_bind(cl_env_copy,ECL_SYM("*CURRENT-FORM*",1611),V1); /*  *CURRENT-FORM* */
  value0 = cl_error(2, _ecl_static_4, ecl_symbol_value(ECL_SYM("*CURRENT-FORM*",1611)));
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L1:;
  value0 = cl_error(1, _ecl_static_5);
  return value0;
 }
}
/*	function definition for DESTRUCTURE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3destructure(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_gensym(0);
  lex0[0] = T0;                                   /*  BASIS-FORM      */
  ecl_bds_bind(cl_env_copy,VV[4],ECL_NIL);        /*  *DL*            */
  ecl_bds_bind(cl_env_copy,VV[5],ECL_NIL);        /*  *ARG-CHECK*     */
  if (!(ECL_LISTP(V1))) { goto L2; }
  T0 = ecl_car(V1);
  if (!((T0)==(ECL_SYM("&WHOLE",13)))) { goto L1; }
  {
   cl_object V3;                                  /*  NAMED-WHOLE     */
   V3 = ecl_cadr(V1);
   V1 = ecl_cddr(V1);
   if (!(ECL_LISTP(V3))) { goto L8; }
   LC1dm_vl(lex0, V3, lex0[0], ECL_NIL);
   goto L1;
L8:;
   T0 = cl_list(2, V3, lex0[0]);
   cl_set(VV[4],ecl_list1(T0));
   goto L1;
  }
L2:;
  if (!(ECL_SYMBOLP(V1))) { goto L11; }
  V1 = cl_list(2, ECL_SYM("&REST",12), V1);
  goto L1;
L11:;
  cl_error(2, _ecl_static_7, V1);
L1:;
  T0 = LC1dm_vl(lex0, V1, lex0[0], V2);
  T1 = cl_nreverse(ecl_symbol_value(VV[4]));
  cl_env_copy->nvalues = 4;
  cl_env_copy->values[3] = ecl_symbol_value(VV[5]);
  cl_env_copy->values[2] = T1;
  cl_env_copy->values[1] = lex0[0];
  cl_env_copy->values[0] = T0;
  ecl_bds_unwind1(cl_env_copy);
  ecl_bds_unwind1(cl_env_copy);
  return cl_env_copy->values[0];
 }
}
/*	local function DM-V                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2dm_v(volatile cl_object *lex0, cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  if (!(ECL_SYMBOLP(V1))) { goto L1; }
  if (Null(V2)) { goto L6; }
  T0 = cl_list(2, V1, V2);
  goto L5;
L6:;
  T0 = V1;
L5:;
  cl_set(VV[4],CONS(T0,ecl_symbol_value(VV[4])));
  value0 = ecl_symbol_value(VV[4]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(V1)) { goto L8; }
  if (!(ECL_ATOM(V1))) { goto L8; }
  value0 = cl_error(2, _ecl_static_6, V1);
  return value0;
L8:;
  T0 = ecl_car(V1);
  if (!((T0)==(ECL_SYM("&WHOLE",13)))) { goto L11; }
  {
   cl_object V3;                                  /*  WHOLE-VAR       */
   V3 = ecl_cadr(V1);
   if (!(ECL_LISTP(V3))) { goto L15; }
   {
    cl_object V4;                                 /*  NEW-WHOLE       */
    V4 = cl_gensym(0);
    LC2dm_v(lex0, V4, V2);
    LC1dm_vl(lex0, V3, V4, ECL_NIL);
    V3 = V4;
    goto L14;
   }
L15:;
   LC2dm_v(lex0, V3, V2);
L14:;
   T0 = ecl_cddr(V1);
   value0 = LC1dm_vl(lex0, T0, V3, ECL_NIL);
   return value0;
  }
L11:;
  {
   cl_object V4;                                  /*  TEMP            */
   V4 = cl_gensym(0);
   if (Null(V2)) { goto L25; }
   T0 = cl_list(2, V4, V2);
   goto L24;
L25:;
   T0 = V4;
L24:;
   cl_set(VV[4],CONS(T0,ecl_symbol_value(VV[4])));
   value0 = LC1dm_vl(lex0, V1, V4, ECL_NIL);
   return value0;
  }
 }
}
/*	local function DM-VL                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1dm_vl(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V3)) { goto L3; }
  T0 = ECL_SYM("MACRO",1101);
  goto L2;
L3:;
  T0 = ECL_SYM("DESTRUCTURING-BIND",300);
L2:;
  cl_env_copy->values[0] = si_process_lambda_list(V1, T0);
  {
   cl_object V5;                                  /*  REQS            */
   cl_object V6;                                  /*  OPTS            */
   cl_object V7;                                  /*  REST            */
   cl_object V8;                                  /*  KEY-FLAG        */
   cl_object V9;                                  /*  KEYS            */
   cl_object V10;                                 /*  ALLOW-OTHER-KEYS */
   cl_object V11;                                 /*  AUXS            */
   {
    int V12 = cl_env_copy->nvalues-0;
    if (V12--<=0) goto L5;
    V5 = cl_env_copy->values[0];
    if (V12--<=0) goto L6;
    V6 = cl_env_copy->values[1];
    if (V12--<=0) goto L7;
    V7 = cl_env_copy->values[2];
    if (V12--<=0) goto L8;
    V8 = cl_env_copy->values[3];
    if (V12--<=0) goto L9;
    V9 = cl_env_copy->values[4];
    if (V12--<=0) goto L10;
    V10 = cl_env_copy->values[5];
    if (V12--<=0) goto L11;
    V11 = cl_env_copy->values[6];
    goto L12;
   }
L5:;
   V5 = ECL_NIL;
L6:;
   V6 = ECL_NIL;
L7:;
   V7 = ECL_NIL;
L8:;
   V8 = ECL_NIL;
L9:;
   V9 = ECL_NIL;
L10:;
   V10 = ECL_NIL;
L11:;
   V11 = ECL_NIL;
L12:;
   {
    cl_object V12;                                /*  POINTER         */
    cl_object V13;                                /*  CONS-POINTER    */
    cl_object V14;                                /*  UNSAFE-CAR      */
    cl_object V15;                                /*  UNSAFE-CDR      */
    cl_object V16;                                /*  UNSAFE-POP      */
    cl_object V17;                                /*  NO-CHECK        */
    cl_object V18;                                /*  PPN             */
    cl_object V19;                                /*  ALL-KEYWORDS    */
    V12 = cl_gensym(0);
    V13 = cl_list(3, ECL_SYM("TRULY-THE",1945), ECL_SYM("CONS",251), V12);
    V14 = cl_list(2, ECL_SYM("CAR",180), V13);
    V15 = cl_list(2, ECL_SYM("CDR",198), V13);
    V16 = cl_list(3, ECL_SYM("SETQ",751), V12, V15);
    V17 = ECL_NIL;
    {
     cl_fixnum V20;
     V20 = ecl_length(V5);
     T0 = ecl_car(V6);
     V18 = ecl_plus(ecl_make_fixnum(V20),T0);
    }
    V19 = ECL_NIL;
    if (Null(V3)) { goto L23; }
    T1 = cl_list(3, ECL_SYM("TRULY-THE",1945), ECL_SYM("CONS",251), V2);
    T0 = cl_list(2, ECL_SYM("CDR",198), T1);
    goto L22;
L23:;
    T0 = V2;
L22:;
    LC2dm_v(lex0, V12, T0);
    {
     cl_object V20;
     V20 = ecl_cdr(V5);
     goto L29;
L28:;
     {
      cl_object V21;                              /*  V               */
      V21 = ecl_car(V20);
      T0 = cl_list(2, ECL_SYM("NULL",605), V12);
      T1 = cl_list(2, VV[3], lex0[0]);
      T2 = cl_list(3, ECL_SYM("IF",946), T0, T1);
      T3 = cl_list(3, ECL_SYM("PROG1",669), V14, V16);
      T4 = cl_list(3, ECL_SYM("PROGN",671), T2, T3);
      LC2dm_v(lex0, V21, T4);
     }
     V20 = ecl_cdr(V20);
L29:;
     if (Null(V20)) { goto L36; }
     goto L28;
L36:;
    }
    {
     cl_object V20;
     {
      cl_object V21;
      V21 = V6;
      if (ecl_unlikely(!ECL_LISTP(V21))) FEtype_error_list(V21);
      if (Null(V21)) { goto L43; }
      {
       cl_object V22;
       V22 = ECL_CONS_CDR(V21);
       V6 = V22;
       V21 = ECL_CONS_CAR(V21);
      }
L43:;
      V20 = V21;
     }
     {
      cl_object V21;                              /*  I               */
      V21 = ecl_make_fixnum(0);
      goto L51;
L50:;
      {
       cl_object V22;                             /*  X               */
       cl_object V23;                             /*  INIT            */
       cl_object V24;                             /*  SV              */
       V22 = ecl_car(V6);
       V23 = ecl_cadr(V6);
       V24 = ecl_caddr(V6);
       V6 = ecl_cdddr(V6);
       if (Null(V24)) { goto L59; }
       T0 = cl_list(4, ECL_SYM("IF",946), V12, V14, V23);
       LC2dm_v(lex0, V22, T0);
       T0 = cl_list(3, ECL_SYM("PROGN",671), V16, ECL_T);
       T1 = cl_list(3, ECL_SYM("AND",87), V12, T0);
       LC2dm_v(lex0, V24, T1);
       goto L53;
L59:;
       T0 = cl_list(3, ECL_SYM("PROG1",669), V14, V16);
       T1 = cl_list(4, ECL_SYM("IF",946), V12, T0, V23);
       LC2dm_v(lex0, V22, T1);
      }
L53:;
      V21 = ecl_one_plus(V21);
L51:;
      if (!(ecl_number_compare(V21,V20)<0)) { goto L64; }
      goto L50;
L64:;
     }
    }
    if (Null(V7)) { goto L66; }
    LC2dm_v(lex0, V7, V12);
    V17 = ECL_T;
L66:;
    {
     cl_object V20;
     {
      cl_object V21;
      V21 = V9;
      if (ecl_unlikely(!ECL_LISTP(V21))) FEtype_error_list(V21);
      if (Null(V21)) { goto L75; }
      {
       cl_object V22;
       V22 = ECL_CONS_CDR(V21);
       V9 = V22;
       V21 = ECL_CONS_CAR(V21);
      }
L75:;
      V20 = V21;
     }
     {
      cl_object V21;                              /*  I               */
      V21 = ecl_make_fixnum(0);
      goto L83;
L82:;
      {
       cl_object V22;                             /*  TEMP            */
       cl_object V23;                             /*  K               */
       cl_object V24;                             /*  V               */
       cl_object V25;                             /*  INIT            */
       cl_object V26;                             /*  SV              */
       V22 = cl_gensym(0);
       V23 = ecl_car(V9);
       V24 = ecl_cadr(V9);
       V25 = ecl_caddr(V9);
       V26 = ecl_cadddr(V9);
       V17 = ECL_T;
       V9 = ecl_cddddr(V9);
       T0 = cl_list(2, ECL_SYM("QUOTE",679), V23);
       T1 = cl_list(3, VV[0], V12, T0);
       LC2dm_v(lex0, V22, T1);
       T0 = cl_list(3, ECL_SYM("EQ",333), V22, VV[6]);
       T1 = cl_list(4, ECL_SYM("IF",946), T0, V25, V22);
       LC2dm_v(lex0, V24, T1);
       if (Null(V26)) { goto L97; }
       T0 = cl_list(3, ECL_SYM("EQ",333), V22, VV[6]);
       T1 = cl_list(2, ECL_SYM("NOT",584), T0);
       LC2dm_v(lex0, V26, T1);
L97:;
       V19 = CONS(V23,V19);
      }
      V21 = ecl_one_plus(V21);
L83:;
      if (!(ecl_number_compare(V21,V20)<0)) { goto L102; }
      goto L82;
L102:;
     }
    }
    {
     cl_object V20;                               /*  L               */
     V20 = V11;
     goto L108;
L107:;
     {
      cl_object V21;                              /*  V               */
      cl_object V22;                              /*  INIT            */
      V21 = ecl_car(V20);
      V22 = ecl_cadr(V20);
      LC2dm_v(lex0, V21, V22);
     }
     V20 = ecl_cddr(V20);
L108:;
     if (ecl_endp(V20)) { goto L115; }
     goto L107;
L115:;
    }
    if (Null(V8)) { goto L118; }
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V19);
    if (Null(V10)) { goto L122; }
    T1 = VV[7];
    goto L121;
L122:;
    T1 = ECL_NIL;
L121:;
    T2 = cl_listX(4, VV[1], V12, T0, T1);
    cl_set(VV[5],CONS(T2,ecl_symbol_value(VV[5])));
    goto L117;
L118:;
    if ((V17)!=ECL_NIL) { goto L117; }
    T0 = cl_list(2, VV[2], lex0[0]);
    T1 = cl_list(3, ECL_SYM("IF",946), V12, T0);
    cl_set(VV[5],CONS(T1,ecl_symbol_value(VV[5])));
L117:;
    value0 = V18;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for FIND-DOCUMENTATION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_find_documentation(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  {
   struct ecl_stack_frame _ecl_inner_frame_aux;
   cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
   {
    cl_object V2;
    V2 = _ecl_inner_frame;
    cl_env_copy->values[0] = si_process_declarations(2, V1, ECL_T);
    ecl_stack_frame_push_values(V2);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V2,ECL_SYM("LIST",481));
    value0 = cl_env_copy->values[0];
   }
   ecl_stack_frame_close(_ecl_inner_frame);
  }
  T0 = value0;
  value0 = ecl_cadddr(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REMOVE-DOCUMENTATION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_remove_documentation(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  cl_env_copy->values[0] = si_process_declarations(2, V1, ECL_T);
  {
   cl_object V3;                                  /*  DECLS           */
   cl_object V4;                                  /*  BODY            */
   cl_object V5;                                  /*  DOC             */
   {
    int V6 = cl_env_copy->nvalues-0;
    if (V6--<=0) goto L2;
    V3 = cl_env_copy->values[0];
    if (V6--<=0) goto L3;
    V4 = cl_env_copy->values[1];
    if (V6--<=0) goto L4;
    V5 = cl_env_copy->values[2];
    goto L5;
   }
L2:;
   V3 = ECL_NIL;
L3:;
   V4 = ECL_NIL;
L4:;
   V5 = ECL_NIL;
L5:;
   if (Null(V3)) { goto L6; }
   T0 = CONS(ECL_SYM("DECLARE",274),V3);
   V4 = CONS(T0,V4);
L6:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V5;
   cl_env_copy->values[0] = V4;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for FIND-DECLARATIONS                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_find_declarations(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_T;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_env_copy->values[0] = si_process_declarations(2, V1, V2);
  {
   cl_object V4;                                  /*  DECLS           */
   cl_object V5;                                  /*  BODY            */
   cl_object V6;                                  /*  DOC             */
   {
    int V7 = cl_env_copy->nvalues-0;
    if (V7--<=0) goto L3;
    V4 = cl_env_copy->values[0];
    if (V7--<=0) goto L4;
    V5 = cl_env_copy->values[1];
    if (V7--<=0) goto L5;
    V6 = cl_env_copy->values[2];
    goto L6;
   }
L3:;
   V4 = ECL_NIL;
L4:;
   V5 = ECL_NIL;
L5:;
   V6 = ECL_NIL;
L6:;
   if (Null(V4)) { goto L8; }
   T1 = CONS(ECL_SYM("DECLARE",274),V4);
   T0 = ecl_list1(T1);
   goto L7;
L8:;
   T0 = ECL_NIL;
L7:;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = V6;
   cl_env_copy->values[1] = V5;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for EXPAND-DEFMACRO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4expand_defmacro(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = si_find_declarations(1, V3);
  {
   cl_object V5;                                  /*  DECLS           */
   cl_object V6;                                  /*  BODY            */
   cl_object V7;                                  /*  DOC             */
   {
    int V8 = cl_env_copy->nvalues-0;
    if (V8--<=0) goto L2;
    V5 = cl_env_copy->values[0];
    if (V8--<=0) goto L3;
    V6 = cl_env_copy->values[1];
    if (V8--<=0) goto L4;
    V7 = cl_env_copy->values[2];
    goto L5;
   }
L2:;
   V5 = ECL_NIL;
L3:;
   V6 = ECL_NIL;
L4:;
   V7 = ECL_NIL;
L5:;
   {
    cl_object V8;                                 /*  CELL            */
    V8 = ecl_last(V2,1);
    if (Null(ecl_cdr(V8))) { goto L6; }
    T0 = cl_butlast(2, V2, ecl_make_fixnum(0));
    T1 = ecl_cdr(V8);
    T2 = cl_list(2, ECL_SYM("&REST",12), T1);
    V2 = ecl_nconc(T0,T2);
   }
L6:;
   {
    cl_object V8;                                 /*  ENV             */
    V8 = si_memq(ECL_SYM("&ENVIRONMENT",9),V2);
    if (Null(V8)) { goto L12; }
    T0 = cl_ldiff(V2, V8);
    T1 = ecl_cddr(V8);
    V2 = ecl_nconc(T0,T1);
    V8 = ecl_cadr(V8);
    goto L11;
L12:;
    V8 = cl_gensym(0);
    T0 = cl_list(2, ECL_SYM("IGNORE",428), V8);
    T1 = cl_list(2, ECL_SYM("DECLARE",274), T0);
    V5 = CONS(T1,V5);
L11:;
    cl_env_copy->values[0] = L3destructure(V2, ECL_T);
    {
     cl_object V10;                               /*  PPN             */
     cl_object V11;                               /*  WHOLE           */
     cl_object V12;                               /*  DL              */
     cl_object V13;                               /*  ARG-CHECK       */
     {
      int V14 = cl_env_copy->nvalues-0;
      if (V14--<=0) goto L21;
      V10 = cl_env_copy->values[0];
      if (V14--<=0) goto L22;
      V11 = cl_env_copy->values[1];
      if (V14--<=0) goto L23;
      V12 = cl_env_copy->values[2];
      if (V14--<=0) goto L24;
      V13 = cl_env_copy->values[3];
      goto L25;
     }
L21:;
     V10 = ECL_NIL;
L22:;
     V11 = ECL_NIL;
L23:;
     V12 = ECL_NIL;
L24:;
     V13 = ECL_NIL;
L25:;
     T0 = cl_listX(4, V11, V8, ECL_SYM("&AUX",7), V12);
     T1 = cl_append(3, V5, V13, V6);
     T2 = cl_listX(4, ECL_SYM("LAMBDA-BLOCK",1339), V1, T0, T1);
     cl_env_copy->nvalues = 3;
     cl_env_copy->values[2] = V7;
     cl_env_copy->values[1] = V10;
     cl_env_copy->values[0] = T2;
     return cl_env_copy->values[0];
    }
   }
  }
 }
}
/*	local function DESTRUCTURING-BIND                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5destructuring_bind(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  VL              */
   cl_object V5;                                  /*  LIST            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   cl_env_copy->values[0] = si_find_declarations(1, V3);
   {
    cl_object V7;                                 /*  DECLS           */
    cl_object V8;                                 /*  BODY            */
    {
     int V9 = cl_env_copy->nvalues-0;
     if (V9--<=0) goto L15;
     V7 = cl_env_copy->values[0];
     if (V9--<=0) goto L16;
     V8 = cl_env_copy->values[1];
     goto L17;
    }
L15:;
    V7 = ECL_NIL;
L16:;
    V8 = ECL_NIL;
L17:;
    cl_env_copy->values[0] = L3destructure(V4, ECL_NIL);
    {
     cl_object V10;                               /*  PPN             */
     cl_object V11;                               /*  WHOLE           */
     cl_object V12;                               /*  DL              */
     cl_object V13;                               /*  ARG-CHECK       */
     {
      int V14 = cl_env_copy->nvalues-0;
      if (V14--<=0) goto L19;
      V10 = cl_env_copy->values[0];
      if (V14--<=0) goto L20;
      V11 = cl_env_copy->values[1];
      if (V14--<=0) goto L21;
      V12 = cl_env_copy->values[2];
      if (V14--<=0) goto L22;
      V13 = cl_env_copy->values[3];
      goto L23;
     }
L19:;
     V10 = ECL_NIL;
L20:;
     V11 = ECL_NIL;
L21:;
     V12 = ECL_NIL;
L22:;
     V13 = ECL_NIL;
L23:;
     T0 = cl_list(2, V11, V5);
     T1 = CONS(T0,V12);
     T2 = cl_append(3, V7, V13, V8);
     value0 = cl_listX(3, ECL_SYM("LET*",478), T1, T2);
     return value0;
    }
   }
  }
 }
}
/*	function definition for CMP-ENV-FOR-BYTECODES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10cmp_env_for_bytecodes(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET3            */
   cl_object V3;                                  /*  ENV             */
   cl_object V4;                                  /*  VARIABLES       */
   V2 = ecl_car(V1);
   V3 = V2;
   V4 = ECL_NIL;
   goto L7;
L6:;
   {
    cl_object V5;                                 /*  I               */
    V5 = ecl_car(V3);
    if (!(ECL_CONSP(V5))) { goto L9; }
    {
     cl_object V6;                                /*  NAME            */
     V6 = ecl_car(V5);
     if ((cl_keywordp(V6))!=ECL_NIL) { goto L9; }
     if (Null(ecl_cadr(V5))) { goto L16; }
     T1 = V5;
     goto L15;
L16:;
     T2 = LC7local_var_error_function(V6);
     T1 = cl_list(3, V6, ECL_SYM("SYMBOL-MACRO",1159), T2);
L15:;
     V4 = CONS(T1,V4);
    }
   }
L9:;
   V3 = ecl_cdr(V3);
L7:;
   if (ecl_endp(V3)) { goto L21; }
   goto L6;
L21:;
   T0 = cl_nreverse(V4);
  }
  {
   cl_object V2;                                  /*  LET5            */
   cl_object V3;                                  /*  ENV             */
   cl_object V4;                                  /*  MACROS          */
   V2 = ecl_cdr(V1);
   V3 = V2;
   V4 = ECL_NIL;
   goto L29;
L28:;
   {
    cl_object V5;                                 /*  I               */
    V5 = ecl_car(V3);
    if (!(ECL_CONSP(V5))) { goto L31; }
    T3 = ecl_cadr(V5);
    if (!((T3)==(ECL_SYM("MACRO",1101)))) { goto L36; }
    T2 = V5;
    goto L35;
L36:;
    T3 = ecl_car(V5);
    T5 = ecl_car(V5);
    T4 = LC9local_fun_error_function(T5);
    T2 = cl_list(3, T3, ECL_SYM("MACRO",1101), T4);
L35:;
    V4 = CONS(T2,V4);
   }
L31:;
   V3 = ecl_cdr(V3);
L29:;
   if (ecl_endp(V3)) { goto L41; }
   goto L28;
L41:;
   T1 = cl_nreverse(V4);
  }
  value0 = CONS(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function LOCAL-FUN-ERROR-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9local_fun_error_function(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  NAME            */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC8__g39,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function LOCAL-VAR-ERROR-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7local_var_error_function(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  NAME            */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC6__g38,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G39                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g39(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAME            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_error(2, _ecl_static_9, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*	closure G38                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g38(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  NAME            */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = cl_error(2, _ecl_static_8, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*	function definition for MACROLET-FUNCTIONS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11macrolet_functions(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  ENV             */
   V3 = L10cmp_env_for_bytecodes(V2);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
    V5 = V1;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     {
      cl_object V8;                               /*  NAME            */
      cl_object V9;                               /*  LLIST           */
      cl_object V10;                              /*  DEF             */
      V8 = ecl_car(V4);
      V9 = ecl_cadr(V4);
      V10 = ecl_cddr(V4);
      T3 = cl_list(2, ECL_SYM("QUOTE",679), V8);
      T4 = L4expand_defmacro(V8, V9, V10);
      T2 = cl_list(3, ECL_SYM("LIST",481), T3, T4);
     }
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   T1 = CONS(ECL_SYM("LIST",481),T0);
   value0 = si_eval_with_env(4, T1, V3, ECL_NIL, ECL_T);
   return value0;
  }
 }
}
/*	function definition for CMP-ENV-REGISTER-MACROLET             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12cmp_env_register_macrolet(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  MACROS          */
   V3 = ecl_cdr(V2);
   {
    cl_object V4;
    V4 = L11macrolet_functions(V1, V2);
    goto L6;
L5:;
    {
     cl_object V5;                                /*  RECORD          */
     V5 = ecl_car(V4);
     T0 = ecl_car(V5);
     T1 = ecl_cadr(V5);
     T2 = cl_list(3, T0, ECL_SYM("MACRO",1101), T1);
     V3 = CONS(T2,V3);
    }
    V4 = ecl_cdr(V4);
L6:;
    if (Null(V4)) { goto L14; }
    goto L5;
L14:;
   }
   value0 = (ECL_CONS_CDR(V2)=V3,V2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "lsp/defmacro.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclLgMDhSZ7_yUqfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;DEFMACRO.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclLgMDhSZ7_yUqfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[14]);                           /*  SEARCH-KEYWORD  */
 ecl_cmp_defun(VV[15]);                           /*  CHECK-KEYWORD   */
 ecl_cmp_defun(VV[16]);                           /*  DM-TOO-MANY-ARGUMENTS */
 ecl_cmp_defun(VV[17]);                           /*  DM-TOO-FEW-ARGUMENTS */
 (void)0; /* No entry created for DESTRUCTURE */
 ecl_cmp_defun(VV[18]);                           /*  FIND-DOCUMENTATION */
 ecl_cmp_defun(VV[19]);                           /*  REMOVE-DOCUMENTATION */
 ecl_cmp_defun(VV[20]);                           /*  FIND-DECLARATIONS */
 ecl_cmp_defun(VV[21]);                           /*  EXPAND-DEFMACRO */
 ecl_cmp_defmacro(VV[22]);                        /*  DESTRUCTURING-BIND */
 (void)0; /* No entry created for CMP-ENV-FOR-BYTECODES */
 (void)0; /* No entry created for MACROLET-FUNCTIONS */
 ecl_cmp_defun(VV[23]);                           /*  CMP-ENV-REGISTER-MACROLET */
}
