/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;HELPFILE.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "lsp/helpfile.eclh"
/*	function definition for NEW-DOCUMENTATION-POOL                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1new_documentation_pool(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_make_fixnum(1024);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = (ECL_SYM("EQL",334)->symbol.gfdef);
  T1 = cl_make_hash_table(4, ECL_SYM("TEST",1316), T0, ECL_SYM("SIZE",1308), V1);
  cl_set(ECL_SYM("*DOCUMENTATION-POOL*",1755),CONS(T1,ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755))));
  value0 = ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for RECORD-CONS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2record_cons(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  CONS            */
   V4 = CONS(V2,V3);
   {
    cl_object V5;
    V5 = V1;
    goto L5;
L4:;
    {
     cl_object V6;                                /*  I               */
     V6 = ecl_car(V5);
     T0 = ecl_car(V6);
     if (!(ecl_equalp(T0,V4))) { goto L9; }
     value0 = V6;
     cl_env_copy->nvalues = 1;
     return value0;
L9:;
    }
    V5 = ecl_cdr(V5);
L5:;
    if (Null(V5)) { goto L13; }
    goto L4;
L13:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for RECORD-FIELD                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3record_field(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L2record_cons(V1, V2, V3);
  value0 = ecl_cdr(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SET-RECORD-FIELD                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4set_record_field(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V5;                                  /*  FIELD           */
   V5 = L2record_cons(V1, V2, V3);
   if (Null(V5)) { goto L3; }
   if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
   T0 = V5;
   (ECL_CONS_CDR(T0)=V4,T0);
   goto L2;
L3:;
   T0 = CONS(V2,V3);
   T1 = CONS(T0,V4);
   V1 = CONS(T1,V1);
L2:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for REM-RECORD-FIELD                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5rem_record_field(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  X               */
   V4 = L2record_cons(V1, V2, V3);
   if (Null(V4)) { goto L2; }
   {
    cl_object V5;                                 /*  OUTPUT          */
    V5 = ECL_NIL;
    {
     cl_object V6;
     V6 = V1;
     goto L8;
L7:;
     {
      cl_object V7;                               /*  I               */
      V7 = ecl_car(V6);
      if ((V7)==(V4)) { goto L12; }
      V5 = CONS(V7,V5);
L12:;
     }
     V6 = ecl_cdr(V6);
L8:;
     if (Null(V6)) { goto L17; }
     goto L7;
L17:;
     value0 = V5;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
L2:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ANNOTATE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6annotate(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V5;                                  /*  DICT            */
   V5 = ecl_car(ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755)));
   if (Null(cl_hash_table_p(V5))) { goto L2; }
   {
    cl_object V6;                                 /*  RECORD          */
    T0 = ecl_gethash_safe(V1,V5,ECL_NIL);
    V6 = L4set_record_field(T0, V2, V3, V4);
    value0 = si_hash_set(V1, V5, V6);
    return value0;
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for REMOVE-ANNOTATION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7remove_annotation(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  DICT            */
   V4 = ecl_car(ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755)));
   if (Null(cl_hash_table_p(V4))) { goto L2; }
   {
    cl_object V5;                                 /*  RECORD          */
    T0 = ecl_gethash_safe(V1,V4,ECL_NIL);
    V5 = L5rem_record_field(T0, V2, V3);
    if (Null(V5)) { goto L5; }
    value0 = si_hash_set(V1, V4, V5);
    return value0;
L5:;
    value0 = cl_remhash(V1, V4);
    return value0;
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for GET-ANNOTATION                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_annotation(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = VV[8];
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  OUTPUT          */
   V4 = ECL_NIL;
   {
    cl_object V5;
    V5 = ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755));
    goto L6;
L5:;
    {
     cl_object V6;                                /*  DICT            */
     V6 = ecl_car(V5);
     {
      cl_object V7;                               /*  RECORD          */
      if (Null(cl_hash_table_p(V6))) { goto L12; }
      V7 = ecl_gethash_safe(V1,V6,ECL_NIL);
      goto L11;
L12:;
      if (!(ECL_STRINGP(V6))) { goto L14; }
      V7 = ecl_function_dispatch(cl_env_copy,VV[30])(2, V1, V6) /*  SEARCH-HELP-FILE */;
      goto L11;
L14:;
      V7 = ECL_NIL;
L11:;
      if (Null(V7)) { goto L10; }
      if (!((V3)==(VV[8]))) { goto L17; }
      {
       cl_object V8;
       V8 = V7;
       goto L22;
L21:;
       {
        cl_object V9;                             /*  I               */
        V9 = ecl_car(V8);
        {
         cl_object V10;                           /*  KEY-SUB-KEY     */
         V10 = ecl_car(V9);
         T0 = ecl_car(V10);
         if (!(ecl_equal(T0,V2))) { goto L26; }
         T0 = ecl_cdr(V10);
         T1 = ecl_cdr(V9);
         T2 = CONS(T0,T1);
         V4 = CONS(T2,V4);
        }
L26:;
       }
       V8 = ecl_cdr(V8);
L22:;
       if (Null(V8)) { goto L32; }
       goto L21;
L32:;
       goto L10;
      }
L17:;
      V4 = L3record_field(V7, V2, V3);
      if (Null(V4)) { goto L10; }
      value0 = V4;
      cl_env_copy->nvalues = 1;
      return value0;
     }
L10:;
    }
    V5 = ecl_cdr(V5);
L6:;
    if (Null(V5)) { goto L38; }
    goto L5;
L38:;
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for DUMP-DOCUMENTATION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9dump_documentation(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  DICT            */
   V3 = ecl_car(ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755)));
   if (Null(cl_hash_table_p(V3))) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[32])(3, V3, V1, V2) /*  DUMP-HELP-FILE */;
   {
    cl_object V4;
    V4 = ecl_symbol_value(ECL_SYM("*DOCUMENTATION-POOL*",1755));
    if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
    T0 = V4;
   }
   value0 = (ECL_CONS_CAR(T0)=V1,T0);
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for GET-DOCUMENTATION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_get_documentation(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(cl_functionp(V1))) { goto L1; }
  V1 = si_compiled_function_name(V1);
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(V1)) { goto L5; }
  if (!(ECL_LISTP(V1))) { goto L5; }
  if (Null(si_valid_function_name_p(V1))) { goto L5; }
  T0 = ecl_cadr(V1);
  value0 = L8get_annotation(3, T0, VV[11], V2);
  return value0;
L5:;
  value0 = L8get_annotation(3, V1, ECL_SYM("DOCUMENTATION",312), V2);
  return value0;
 }
}
/*	function definition for SET-DOCUMENTATION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_set_documentation(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (ECL_STRINGP(V3)) { goto L1; }
  if (V3==ECL_NIL) { goto L1; }
  cl_error(2, _ecl_static_2, V3);
L1:;
  {
   cl_object V4;                                  /*  KEY             */
   V4 = ECL_SYM("DOCUMENTATION",312);
   if (Null(V1)) { goto L6; }
   if (!(ECL_LISTP(V1))) { goto L6; }
   if (Null(si_valid_function_name_p(V1))) { goto L6; }
   V1 = ecl_cadr(V1);
   V4 = VV[11];
L6:;
   if (Null(V3)) { goto L13; }
   L6annotate(V1, V4, V2, V3);
   goto L4;
L13:;
   L7remove_annotation(V1, V4, V2);
  }
L4:;
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for EXPAND-SET-DOCUMENTATION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_expand_set_documentation(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (Null(ecl_symbol_value(VV[0]))) { goto L1; }
  if (Null(V3)) { goto L1; }
  if (ECL_STRINGP(V3)) { goto L4; }
  cl_error(2, _ecl_static_2, V3);
L4:;
  T0 = cl_list(2, ECL_SYM("QUOTE",679), V1);
  T1 = cl_list(2, ECL_SYM("QUOTE",679), V2);
  T2 = cl_list(4, VV[13], T0, T1, V3);
  value0 = ecl_list1(T2);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MAKE-DSPEC                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10make_dspec(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(V1))) { goto L1; }
  {
   cl_object V2;                                  /*  KIND            */
   cl_object V3;                                  /*  NAME            */
   cl_object V4;                                  /*  EXTRA           */
   V2 = ecl_car(V1);
   V3 = ecl_cadr(V1);
   V4 = ECL_NIL;
   if (!((V2)==(ECL_SYM("DEFMETHOD",940)))) { goto L6; }
   {
    cl_object V5;                                 /*  LIST            */
    V5 = ecl_caddr(V1);
    if (!(ECL_SYMBOLP(V5))) { goto L10; }
    T0 = ecl_cadddr(V1);
    V4 = CONS(V5,T0);
    goto L9;
L10:;
    V4 = V5;
L9:;
   }
L6:;
   value0 = cl_listX(3, V2, V3, V4);
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function OPTIONAL-ANNOTATION                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11optional_annotation(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DEFAULT-ANNOTATION-LOGIC              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12default_annotation_logic(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = L10make_dspec(V2);
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  KIND            */
   cl_object V6;                                  /*  NAME            */
   V5 = ecl_car(V2);
   V6 = ecl_cadr(V2);
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V6);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T2 = cl_list(2, ECL_SYM("QUOTE",679), V1);
   T3 = cl_list(5, VV[16], T0, VV[17], T1, T2);
   if (!((V5)==(ECL_SYM("DEFUN",289)))) { goto L10; }
   goto L7;
   goto L8;
L10:;
   goto L8;
L8:;
   if (!((V5)==(ECL_SYM("DEFMACRO",283)))) { goto L14; }
   goto L7;
   goto L12;
L14:;
   goto L12;
L12:;
   if (!((V5)==(ECL_SYM("DEFGENERIC",938)))) { goto L5; }
   goto L6;
L7:;
L6:;
   T5 = cl_list(2, ECL_SYM("QUOTE",679), V6);
   T6 = ecl_caddr(V2);
   T7 = cl_list(2, ECL_SYM("QUOTE",679), T6);
   T4 = cl_list(5, VV[16], T5, ECL_SYM("LAMBDA-LIST",998), ECL_NIL, T7);
   goto L4;
L5:;
   T4 = ECL_NIL;
L4:;
   value0 = cl_list(4, ECL_SYM("PROGN",671), T3, T4, V3);
   return value0;
  }
 }
}

#include "lsp/helpfile.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclleskaGb7_AkqfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;HELPFILE.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclleskaGb7_AkqfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 {
  cl_object T0, T1;
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 T1 = cl_make_hash_table(4, ECL_SYM("TEST",1316), T0, ECL_SYM("SIZE",1308), ecl_make_fixnum(128));
 cl_set(ECL_SYM("*DOCUMENTATION-POOL*",1755),cl_list(2, T1, _ecl_static_1));
 si_Xmake_special(VV[0]);
 cl_set(VV[0],ECL_T);
 }
 ecl_cmp_defun(VV[22]);                           /*  NEW-DOCUMENTATION-POOL */
 ecl_cmp_defun(VV[23]);                           /*  RECORD-CONS     */
 ecl_cmp_defun(VV[24]);                           /*  RECORD-FIELD    */
 ecl_cmp_defun(VV[25]);                           /*  SET-RECORD-FIELD */
 ecl_cmp_defun(VV[26]);                           /*  REM-RECORD-FIELD */
 ecl_cmp_defun(VV[27]);                           /*  ANNOTATE        */
 ecl_cmp_defun(VV[28]);                           /*  REMOVE-ANNOTATION */
 ecl_cmp_defun(VV[29]);                           /*  GET-ANNOTATION  */
 ecl_cmp_defun(VV[31]);                           /*  DUMP-DOCUMENTATION */
 ecl_cmp_defun(VV[33]);                           /*  GET-DOCUMENTATION */
 ecl_cmp_defun(VV[34]);                           /*  SET-DOCUMENTATION */
 ecl_cmp_defun(VV[35]);                           /*  EXPAND-SET-DOCUMENTATION */
 ecl_cmp_defun(VV[36]);                           /*  MAKE-DSPEC      */
 ecl_cmp_defmacro(VV[37]);                        /*  OPTIONAL-ANNOTATION */
 ecl_cmp_defun(VV[38]);                           /*  DEFAULT-ANNOTATION-LOGIC */
}
