/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;LISTLIB.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "lsp/listlib.eclh"
/*	function definition for UNION                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_union(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_unionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  X               */
   cl_object V7;                                  /*  FIRST           */
   cl_object V8;                                  /*  LAST            */
   V6 = V1;
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   goto L6;
L5:;
   T0 = ecl_car(V6);
   if ((si_member1(T0, V2, V3, V4, V5))!=ECL_NIL) { goto L8; }
   if (Null(V8)) { goto L10; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   T1 = ecl_car(V6);
   T2 = CONS(T1,ECL_NIL);
   (ECL_CONS_CDR(T0)=T2,T0);
   V8 = ecl_cdr(V8);
   goto L8;
L10:;
   T0 = ecl_car(V6);
   V7 = CONS(T0,ECL_NIL);
   V8 = V7;
L8:;
   V6 = ecl_cdr(V6);
L6:;
   if (V6==ECL_NIL) { goto L21; }
   goto L5;
L21:;
   if (Null(V8)) { goto L23; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=V2,T0);
L23:;
   value0 = V7;
   if ((value0)!=ECL_NIL) { goto L28; }
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
L28:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NUNION                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nunion(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_nunionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  X               */
   cl_object V7;                                  /*  FIRST           */
   cl_object V8;                                  /*  LAST            */
   V6 = V1;
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   goto L6;
L5:;
   T0 = ecl_car(V6);
   if ((si_member1(T0, V2, V3, V4, V5))!=ECL_NIL) { goto L8; }
   if (Null(V8)) { goto L11; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=V6,T0);
   goto L10;
L11:;
   V7 = V6;
L10:;
   V8 = V6;
L8:;
   V6 = ecl_cdr(V6);
L6:;
   if (V6==ECL_NIL) { goto L19; }
   goto L5;
L19:;
   if (Null(V8)) { goto L21; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=V2,T0);
L21:;
   value0 = V7;
   if ((value0)!=ECL_NIL) { goto L26; }
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
L26:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for INTERSECTION                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_intersection(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_intersectionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  X               */
   cl_object V7;                                  /*  ANS             */
   V6 = V1;
   V7 = ECL_NIL;
   goto L5;
L4:;
   T0 = ecl_car(V6);
   if (Null(si_member1(T0, V2, V3, V4, V5))) { goto L7; }
   T0 = ecl_car(V6);
   V7 = CONS(T0,V7);
L7:;
   V6 = ecl_cdr(V6);
L5:;
   if (V6==ECL_NIL) { goto L12; }
   goto L4;
L12:;
   value0 = cl_nreverse(V7);
   return value0;
  }
 }
}
/*	function definition for NINTERSECTION                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nintersection(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_nintersectionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  X               */
   cl_object V7;                                  /*  FIRST           */
   cl_object V8;                                  /*  LAST            */
   V6 = V1;
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   goto L6;
L5:;
   T0 = ecl_car(V6);
   if (Null(si_member1(T0, V2, V3, V4, V5))) { goto L8; }
   if (Null(V8)) { goto L11; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=V6,T0);
   goto L10;
L11:;
   V7 = V6;
L10:;
   V8 = V6;
L8:;
   V6 = ecl_cdr(V6);
L6:;
   if (V6==ECL_NIL) { goto L19; }
   goto L5;
L19:;
   if (Null(V8)) { goto L21; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=ECL_NIL,T0);
L21:;
   value0 = V7;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SET-DIFFERENCE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_set_difference(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_set_differencekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  X               */
   cl_object V7;                                  /*  ANS             */
   V6 = V1;
   V7 = ECL_NIL;
   goto L5;
L4:;
   T0 = ecl_car(V6);
   if ((si_member1(T0, V2, V3, V4, V5))!=ECL_NIL) { goto L7; }
   T0 = ecl_car(V6);
   V7 = CONS(T0,V7);
L7:;
   V6 = ecl_cdr(V6);
L5:;
   if (V6==ECL_NIL) { goto L12; }
   goto L4;
L12:;
   value0 = cl_nreverse(V7);
   return value0;
  }
 }
}
/*	function definition for NSET-DIFFERENCE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nset_difference(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_nset_differencekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  X               */
   cl_object V7;                                  /*  FIRST           */
   cl_object V8;                                  /*  LAST            */
   V6 = V1;
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   goto L6;
L5:;
   T0 = ecl_car(V6);
   if ((si_member1(T0, V2, V3, V4, V5))!=ECL_NIL) { goto L8; }
   if (Null(V8)) { goto L11; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=V6,T0);
   goto L10;
L11:;
   V7 = V6;
L10:;
   V8 = V6;
L8:;
   V6 = ecl_cdr(V6);
L6:;
   if (V6==ECL_NIL) { goto L19; }
   goto L5;
L19:;
   if (Null(V8)) { goto L21; }
   if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
   T0 = V8;
   (ECL_CONS_CDR(T0)=ECL_NIL,T0);
L21:;
   value0 = V7;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SWAP-ARGS                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2swap_args(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  F               */
  if (Null(ECL_CONS_CAR(CLV0))) { goto L2; }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC1__g14,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	closure G14                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1__g14(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  F               */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(2, V2, V1);
  return value0;
 }
 }
}
/*	function definition for SET-EXCLUSIVE-OR                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_set_exclusive_or(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_set_exclusive_orkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  T0 = cl_set_difference(8, V1, V2, ECL_SYM("TEST",1316), V3, ECL_SYM("TEST-NOT",1317), V4, ECL_SYM("KEY",1262), V5);
  T1 = L2swap_args(V3);
  T2 = L2swap_args(V4);
  T3 = cl_set_difference(8, V2, V1, ECL_SYM("TEST",1316), T1, ECL_SYM("TEST-NOT",1317), T2, ECL_SYM("KEY",1262), V5);
  value0 = ecl_nconc(T0,T3);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NSET-EXCLUSIVE-OR                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nset_exclusive_or(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_nset_exclusive_orkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  T0 = cl_set_difference(8, V1, V2, ECL_SYM("TEST",1316), V3, ECL_SYM("TEST-NOT",1317), V4, ECL_SYM("KEY",1262), V5);
  T1 = L2swap_args(V3);
  T2 = L2swap_args(V4);
  T3 = cl_nset_difference(8, V2, V1, ECL_SYM("TEST",1316), T1, ECL_SYM("TEST-NOT",1317), T2, ECL_SYM("KEY",1262), V5);
  value0 = ecl_nconc(T0,T3);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SUBSETP                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_subsetp(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,cl_subsetpkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
  }
  {
   cl_object V6;                                  /*  L               */
   V6 = V1;
   goto L4;
L3:;
   T0 = ecl_car(V6);
   if ((si_member1(T0, V2, V3, V4, V5))!=ECL_NIL) { goto L6; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   V6 = ecl_cdr(V6);
L4:;
   if (V6==ECL_NIL) { goto L10; }
   goto L3;
L10:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for RASSOC-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_rassoc_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_rassoc_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  T0 = (ECL_SYM("FUNCALL",394)->symbol.gfdef);
  value0 = cl_rassoc(6, V1, V2, ECL_SYM("TEST",1316), T0, ECL_SYM("KEY",1262), V3);
  return value0;
 }
}
/*	function definition for RASSOC-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_rassoc_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_rassoc_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  T0 = (ECL_SYM("FUNCALL",394)->symbol.gfdef);
  value0 = cl_rassoc(6, V1, V2, ECL_SYM("TEST-NOT",1317), T0, ECL_SYM("KEY",1262), V3);
  return value0;
 }
}
/*	function definition for ASSOC-IF                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_assoc_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_assoc_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  {
   cl_object V4;                                  /*  LET158          */
   value0 = V3;
   if ((value0)!=ECL_NIL) { goto L3; }
   V4 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
   goto L1;
L3:;
   V4 = value0;
   goto L1;
L1:;
   {
    cl_object V5;
    V5 = V2;
    goto L8;
L7:;
    {
     cl_object V6;
     cl_object V7;
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     V6 = V5;
     V7 = ECL_CONS_CAR(V6);
     if (Null(V7)) { goto L10; }
     {
      cl_object V8;
      if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
      T0 = V7;
      V8 = ECL_CONS_CAR(T0);
      T0 = ecl_function_dispatch(cl_env_copy,V4)(1, V8);
      if (Null(cl_funcall(2, V1, T0))) { goto L10; }
      value0 = V7;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
L10:;
    V5 = ECL_CONS_CDR(V5);
L8:;
    if (V5==ECL_NIL) { goto L22; }
    goto L7;
L22:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ASSOC-IF-NOT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_assoc_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_assoc_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  {
   cl_object V4;                                  /*  LET160          */
   value0 = V3;
   if ((value0)!=ECL_NIL) { goto L3; }
   V4 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
   goto L1;
L3:;
   V4 = value0;
   goto L1;
L1:;
   {
    cl_object V5;
    V5 = V2;
    goto L8;
L7:;
    {
     cl_object V6;
     cl_object V7;
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     V6 = V5;
     V7 = ECL_CONS_CAR(V6);
     if (Null(V7)) { goto L10; }
     {
      cl_object V8;
      if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
      T0 = V7;
      V8 = ECL_CONS_CAR(T0);
      T0 = ecl_function_dispatch(cl_env_copy,V4)(1, V8);
      if ((cl_funcall(2, V1, T0))!=ECL_NIL) { goto L10; }
      value0 = V7;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
L10:;
    V5 = ECL_CONS_CDR(V5);
L8:;
    if (V5==ECL_NIL) { goto L22; }
    goto L7;
L22:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for MEMBER-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_member_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_member_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  {
   cl_object V4;                                  /*  LET162          */
   value0 = V3;
   if ((value0)!=ECL_NIL) { goto L3; }
   V4 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
   goto L1;
L3:;
   V4 = value0;
   goto L1;
L1:;
   {
    cl_object V5;
    V5 = V2;
    goto L8;
L7:;
    {
     cl_object V6;
     cl_object V7;
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     V6 = V5;
     V7 = ECL_CONS_CAR(V6);
     T0 = ecl_function_dispatch(cl_env_copy,V4)(1, V7);
     if (Null(cl_funcall(2, V1, T0))) { goto L10; }
     value0 = V6;
     cl_env_copy->nvalues = 1;
     return value0;
    }
L10:;
    V5 = ECL_CONS_CDR(V5);
L8:;
    if (V5==ECL_NIL) { goto L18; }
    goto L7;
L18:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for MEMBER-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_member_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_member_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  {
   cl_object V4;                                  /*  LET164          */
   value0 = V3;
   if ((value0)!=ECL_NIL) { goto L3; }
   V4 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
   goto L1;
L3:;
   V4 = value0;
   goto L1;
L1:;
   {
    cl_object V5;
    V5 = V2;
    goto L8;
L7:;
    {
     cl_object V6;
     cl_object V7;
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     V6 = V5;
     V7 = ECL_CONS_CAR(V6);
     T0 = ecl_function_dispatch(cl_env_copy,V4)(1, V7);
     if ((cl_funcall(2, V1, T0))!=ECL_NIL) { goto L10; }
     value0 = V6;
     cl_env_copy->nvalues = 1;
     return value0;
    }
L10:;
    V5 = ECL_CONS_CDR(V5);
L8:;
    if (V5==ECL_NIL) { goto L18; }
    goto L7;
L18:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SUBST-IF                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_subst_if(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_subst_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  T0 = (ECL_SYM("FUNCALL",394)->symbol.gfdef);
  value0 = cl_subst(7, V1, V2, V3, ECL_SYM("TEST",1316), T0, ECL_SYM("KEY",1262), V4);
  return value0;
 }
}
/*	function definition for SUBST-IF-NOT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_subst_if_not(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_subst_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  T0 = (ECL_SYM("FUNCALL",394)->symbol.gfdef);
  value0 = cl_subst(7, V1, V2, V3, ECL_SYM("TEST-NOT",1317), T0, ECL_SYM("KEY",1262), V4);
  return value0;
 }
}
/*	function definition for NSUBST-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubst_if(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_nsubst_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  T0 = (ECL_SYM("FUNCALL",394)->symbol.gfdef);
  value0 = cl_nsubst(7, V1, V2, V3, ECL_SYM("TEST",1316), T0, ECL_SYM("KEY",1262), V4);
  return value0;
 }
}
/*	function definition for NSUBST-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubst_if_not(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_nsubst_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  T0 = (ECL_SYM("FUNCALL",394)->symbol.gfdef);
  value0 = cl_nsubst(7, V1, V2, V3, ECL_SYM("TEST-NOT",1317), T0, ECL_SYM("KEY",1262), V4);
  return value0;
 }
}

#include "lsp/listlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl8wlAPCa7_ZOufNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;LISTLIB.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecl8wlAPCa7_ZOufNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (void)0; /* No entry created for UNION */
 (void)0; /* No entry created for NUNION */
 (void)0; /* No entry created for INTERSECTION */
 (void)0; /* No entry created for NINTERSECTION */
 (void)0; /* No entry created for SET-DIFFERENCE */
 (void)0; /* No entry created for NSET-DIFFERENCE */
 (void)0; /* No entry created for SWAP-ARGS */
 (void)0; /* No entry created for SET-EXCLUSIVE-OR */
 (void)0; /* No entry created for NSET-EXCLUSIVE-OR */
 (void)0; /* No entry created for SUBSETP */
 (void)0; /* No entry created for RASSOC-IF */
 (void)0; /* No entry created for RASSOC-IF-NOT */
 (void)0; /* No entry created for ASSOC-IF */
 (void)0; /* No entry created for ASSOC-IF-NOT */
 (void)0; /* No entry created for MEMBER-IF */
 (void)0; /* No entry created for MEMBER-IF-NOT */
 (void)0; /* No entry created for SUBST-IF */
 (void)0; /* No entry created for SUBST-IF-NOT */
 (void)0; /* No entry created for NSUBST-IF */
 (void)0; /* No entry created for NSUBST-IF-NOT */
}
