/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;NUMLIB.LSP                                    */
#include <ecl/ecl-cmp.h>
#include "lsp/numlib.eclh"
/*	function definition for ISQRT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_isqrt(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))) { goto L4; }
  if (ecl_number_compare(V1,ecl_make_fixnum(0))>=0) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  cl_error(5, ECL_SYM("TYPE-ERROR",870), ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), ECL_SYM("UNSIGNED-BYTE",885));
L1:;
  if (!(ecl_zerop(V1))) { goto L6; }
  value0 = ecl_make_fixnum(0);
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  {
   cl_fixnum V2;                                  /*  N               */
   V2 = (cl_fixnum)(ecl_integer_length(V1));
   {
    cl_object V3;                                 /*  LET175          */
    cl_object V4;                                 /*  X               */
    cl_object V5;                                 /*  Y               */
    T0 = ecl_ceiling2(ecl_make_fixnum(V2),ecl_make_fixnum(2));
    V3 = cl_ash(ecl_make_fixnum(1), T0);
    V4 = V3;
    V5 = ECL_NIL;
    goto L14;
L13:;
    V5 = ecl_floor2(V1,V4);
    if (!(ecl_number_compare(V4,V5)<=0)) { goto L18; }
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
L18:;
    T0 = ecl_plus(V4,V5);
    V4 = ecl_floor2(T0,ecl_make_fixnum(2));
L14:;
    goto L13;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for PHASE                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_phase(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_zerop(V1))) { goto L1; }
  if (!((V1)==(ecl_make_fixnum(0)))) { goto L3; }
  value0 = cl_core.singlefloat_zero;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  T0 = cl_realpart(V1);
  value0 = cl_float(2, ecl_make_fixnum(0), T0);
  return value0;
L1:;
  T0 = cl_imagpart(V1);
  T1 = cl_realpart(V1);
  value0 = cl_atan(2, T0, T1);
  return value0;
 }
}
/*	function definition for SIGNUM                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_signum(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_zerop(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = cl_abs(V1);
  value0 = ecl_divide(V1,T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CIS                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_cis(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_times(ecl_symbol_value(VV[0]),V1);
  value0 = ecl_exp(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for ASIN                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_asin(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_complexp(V1))) { goto L1; }
  value0 = L1complex_asin(V1);
  return value0;
L1:;
  {
   cl_object V2;                                  /*  X               */
   long double V3;                                /*  XR              */
   V2 = cl_float(1, V1);
   V3 = ecl_to_long_double(V2);
   if (!(((float)  -1.0    )<=(V3))) { goto L5; }
   if (!((V3)<=((float)   1.0    ))) { goto L5; }
   {
    long double V4;
    V4 = asinl(V3);
    value0 = cl_float(2, ecl_make_long_float(V4), V2);
    return value0;
   }
L5:;
   value0 = L1complex_asin(V2);
   return value0;
  }
 }
}
/*	function definition for COMPLEX-ASIN                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1complex_asin(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET179          */
   cl_object V3;                                  /*  LET180          */
   T0 = ecl_minus(ecl_make_fixnum(1),V1);
   V2 = ecl_sqrt(T0);
   T0 = ecl_plus(ecl_make_fixnum(1),V1);
   V3 = ecl_sqrt(T0);
   T0 = cl_realpart(V1);
   T1 = ecl_times(V2,V3);
   T2 = cl_realpart(T1);
   T3 = cl_atan(2, T0, T2);
   T4 = cl_conjugate(V2);
   T5 = ecl_times(T4,V3);
   T6 = cl_imagpart(T5);
   T7 = cl_asinh(T6);
   value0 = cl_complex(2, T3, T7);
   return value0;
  }
 }
}
/*	function definition for ACOS                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_acos(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_complexp(V1))) { goto L1; }
  value0 = L2complex_acos(V1);
  return value0;
L1:;
  {
   cl_object V2;                                  /*  X               */
   long double V3;                                /*  XR              */
   V2 = cl_float(1, V1);
   V3 = ecl_to_long_double(V2);
   if (!(((float)  -1.0    )<=(V3))) { goto L5; }
   if (!((V3)<=((float)   1.0    ))) { goto L5; }
   {
    long double V4;
    V4 = acosl(V3);
    T0 = cl_float(1, V2);
    value0 = cl_float(2, ecl_make_long_float(V4), T0);
    return value0;
   }
L5:;
   value0 = L2complex_acos(V2);
   return value0;
  }
 }
}
/*	function definition for COMPLEX-ACOS                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2complex_acos(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET183          */
   cl_object V3;                                  /*  LET184          */
   T0 = ecl_plus(ecl_make_fixnum(1),V1);
   V2 = ecl_sqrt(T0);
   T0 = ecl_minus(ecl_make_fixnum(1),V1);
   V3 = ecl_sqrt(T0);
   T0 = cl_realpart(V3);
   T1 = cl_realpart(V2);
   T2 = cl_atan(2, T0, T1);
   T3 = ecl_times(ecl_make_fixnum(2),T2);
   T4 = cl_conjugate(V2);
   T5 = ecl_times(T4,V3);
   T6 = cl_imagpart(T5);
   T7 = cl_asinh(T6);
   value0 = cl_complex(2, T3, T7);
   return value0;
  }
 }
}
/*	function definition for ASINH                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_asinh(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_complexp(V1))) { goto L1; }
  {
   cl_object V2;                                  /*  IZ              */
   cl_object V3;                                  /*  RESULT          */
   T0 = cl_imagpart(V1);
   T1 = ecl_negate(T0);
   T2 = cl_realpart(V1);
   V2 = cl_complex(2, T1, T2);
   V3 = L1complex_asin(V2);
   T0 = cl_imagpart(V3);
   T1 = cl_realpart(V3);
   T2 = ecl_negate(T1);
   value0 = cl_complex(2, T0, T2);
   return value0;
  }
L1:;
  {
   long double V4;
   V4 = asinhl(ecl_to_long_double(V1));
   T0 = cl_float(1, V1);
   value0 = cl_float(2, ecl_make_long_float(V4), T0);
   return value0;
  }
 }
}
/*	function definition for ACOSH                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_acosh(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_complexp(V1))) { goto L1; }
  value0 = L3complex_acosh(V1);
  return value0;
L1:;
  {
   cl_object V2;                                  /*  X               */
   double V3;                                     /*  XR              */
   V2 = cl_float(1, V1);
   V3 = ecl_to_double(V2);
   if (!(((float)   1.0    )<=(V3))) { goto L5; }
   {
    long double V4;
    V4 = acoshl((long double)(V3));
    T0 = cl_float(1, V2);
    value0 = cl_float(2, ecl_make_long_float(V4), T0);
    return value0;
   }
L5:;
   value0 = L3complex_acosh(V2);
   return value0;
  }
 }
}
/*	function definition for COMPLEX-ACOSH                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3complex_acosh(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET187          */
   cl_object V3;                                  /*  LET188          */
   T0 = ecl_minus(V1,ecl_make_fixnum(1));
   V2 = ecl_sqrt(T0);
   T0 = ecl_plus(V1,ecl_make_fixnum(1));
   V3 = ecl_sqrt(T0);
   T0 = cl_conjugate(V2);
   T1 = ecl_times(T0,V3);
   T2 = cl_realpart(T1);
   T3 = cl_asinh(T2);
   T4 = cl_imagpart(V2);
   T5 = cl_realpart(V3);
   T6 = cl_atan(2, T4, T5);
   T7 = ecl_times(ecl_make_fixnum(2),T6);
   value0 = cl_complex(2, T3, T7);
   return value0;
  }
 }
}
/*	function definition for ATANH                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_atanh(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_complexp(V1))) { goto L1; }
  value0 = L4complex_atanh(V1);
  return value0;
L1:;
  {
   cl_object V2;                                  /*  X               */
   double V3;                                     /*  XR              */
   V2 = cl_float(1, V1);
   V3 = ecl_to_double(V2);
   if (!(((float)  -1.0    )<=(V3))) { goto L5; }
   if (!((V3)<=((float)   1.0    ))) { goto L5; }
   {
    long double V4;
    V4 = atanhl((long double)(V3));
    T0 = cl_float(1, V2);
    value0 = cl_float(2, ecl_make_long_float(V4), T0);
    return value0;
   }
L5:;
   value0 = L4complex_atanh(V2);
   return value0;
  }
 }
}
/*	function definition for COMPLEX-ATANH                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4complex_atanh(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_one_plus(V1);
  T1 = cl_log(1, T0);
  T2 = ecl_minus(ecl_make_fixnum(1),V1);
  T3 = cl_log(1, T2);
  T4 = ecl_minus(T1,T3);
  value0 = ecl_divide(T4,ecl_make_fixnum(2));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FFLOOR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_ffloor(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ecl_make_fixnum(1);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_env_copy->values[0] = ecl_floor2(V1,V2);
  {
   cl_object V4;                                  /*  I               */
   cl_object V5;                                  /*  R               */
   V4 = cl_env_copy->values[0];
   V5 = cl_env_copy->values[1];
   if (!(floatp(V5))) { goto L4; }
   T0 = cl_float(2, V4, V5);
   goto L3;
L4:;
   T0 = cl_float(1, V4);
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V5;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for FCEILING                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_fceiling(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = _ecl_static_9;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_env_copy->values[0] = ecl_ceiling2(V1,V2);
  {
   cl_object V4;                                  /*  I               */
   cl_object V5;                                  /*  R               */
   V4 = cl_env_copy->values[0];
   V5 = cl_env_copy->values[1];
   if (!(floatp(V5))) { goto L4; }
   T0 = cl_float(2, V4, V5);
   goto L3;
L4:;
   T0 = cl_float(1, V4);
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V5;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for FTRUNCATE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_ftruncate(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = _ecl_static_9;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_env_copy->values[0] = ecl_truncate2(V1,V2);
  {
   cl_object V4;                                  /*  I               */
   cl_object V5;                                  /*  R               */
   V4 = cl_env_copy->values[0];
   V5 = cl_env_copy->values[1];
   if (!(floatp(V5))) { goto L4; }
   T0 = cl_float(2, V4, V5);
   goto L3;
L4:;
   T0 = cl_float(1, V4);
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V5;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for FROUND                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_fround(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = _ecl_static_9;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  cl_env_copy->values[0] = ecl_round2(V1,V2);
  {
   cl_object V4;                                  /*  I               */
   cl_object V5;                                  /*  R               */
   V4 = cl_env_copy->values[0];
   V5 = cl_env_copy->values[1];
   if (!(floatp(V5))) { goto L4; }
   T0 = cl_float(2, V4, V5);
   goto L3;
L4:;
   T0 = cl_float(1, V4);
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V5;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for LOGTEST                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_logtest(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_boole(ECL_BOOLAND,(V1),(V2));
  {
   bool V3;
   V3 = ecl_zerop(T0);
   value0 = (V3)?ECL_NIL:ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for BYTE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_byte(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = CONS(V1,V2);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BYTE-SIZE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_byte_size(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_car(V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BYTE-POSITION                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_byte_position(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_cdr(V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LDB                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_ldb(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_byte_position(V1);
  T1 = ecl_negate(T0);
  T2 = cl_ash(V2, T1);
  T3 = cl_byte_size(V1);
  T4 = cl_ash(ecl_make_fixnum(1), T3);
  T5 = ecl_negate(T4);
  value0 = ecl_boole(ECL_BOOLANDC2,(T2),(T5));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LDB-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_ldb_test(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_ldb(V1, V2);
  {
   bool V3;
   V3 = ecl_zerop(T0);
   value0 = (V3)?ECL_NIL:ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MASK-FIELD                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_mask_field(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_ldb(V1, V2);
  T1 = cl_byte_position(V1);
  value0 = cl_ash(T0, T1);
  return value0;
 }
}
/*	function definition for DPB                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_dpb(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_mask_field(V2, V3);
  T1 = cl_byte_size(V2);
  T2 = cl_ash(ecl_make_fixnum(1), T1);
  T3 = ecl_negate(T2);
  T4 = ecl_boole(ECL_BOOLANDC2,(V1),(T3));
  T5 = cl_byte_position(V2);
  T6 = cl_ash(T4, T5);
  value0 = cl_logxor(3, V3, T0, T6);
  return value0;
 }
}
/*	function definition for DEPOSIT-FIELD                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_deposit_field(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_byte_position(V2);
  T1 = ecl_negate(T0);
  T2 = cl_ash(V1, T1);
  value0 = cl_dpb(T2, V2, V3);
  return value0;
 }
}

#include "lsp/numlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecllqJxvfb7_BovfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;NUMLIB.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecllqJxvfb7_BovfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 si_Xmake_constant(ECL_SYM("SHORT-FLOAT-EPSILON",757), _ecl_static_1);
 si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-EPSILON",779), _ecl_static_1);
 si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-EPSILON",316), _ecl_static_2);
 si_Xmake_constant(ECL_SYM("LONG-FLOAT-EPSILON",509), _ecl_static_3);
 si_Xmake_constant(ECL_SYM("SHORT-FLOAT-NEGATIVE-EPSILON",758), _ecl_static_4);
 si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-NEGATIVE-EPSILON",780), _ecl_static_4);
 si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-NEGATIVE-EPSILON",317), _ecl_static_5);
 si_Xmake_constant(ECL_SYM("LONG-FLOAT-NEGATIVE-EPSILON",510), _ecl_static_6);
 {
  cl_object T0;
 {
  cl_object V1;                                   /*  BITS            */
  V1 = si_trap_fpe(ECL_SYM("LAST",455), ECL_NIL);
  {
   cl_object V2;                                  /*  A               */
   {
    float V3;
    V3 = ecl_to_float(ecl_make_fixnum(1));
    {
     float V4;
     V4 = (float)    0.    ;
     V2 = ecl_divide(ecl_make_single_float(V3),ecl_make_single_float(V4));
    }
   }
   si_Xmake_constant(ECL_SYM("SHORT-FLOAT-POSITIVE-INFINITY",1705), V2);
   T0 = (cl_env_copy->function=(ECL_SYM("-",17)->symbol.gfdef))->cfun.entry(1, V2) /*  - */;
   si_Xmake_constant(ECL_SYM("SHORT-FLOAT-NEGATIVE-INFINITY",1709), T0);
  }
  {
   cl_object V2;                                  /*  A               */
   {
    float V3;
    V3 = ecl_to_float(ecl_make_fixnum(1));
    {
     float V4;
     V4 = (float)    0.    ;
     V2 = ecl_divide(ecl_make_single_float(V3),ecl_make_single_float(V4));
    }
   }
   si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-POSITIVE-INFINITY",1706), V2);
   T0 = (cl_env_copy->function=(ECL_SYM("-",17)->symbol.gfdef))->cfun.entry(1, V2) /*  - */;
   si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-NEGATIVE-INFINITY",1710), T0);
  }
  {
   cl_object V2;                                  /*  A               */
   {
    double V3;
    V3 = ecl_to_double(ecl_make_fixnum(1));
    {
     double V4;
     V4 = ecl_to_double(cl_core.singlefloat_zero);
     V2 = ecl_divide(ecl_make_double_float(V3),ecl_make_double_float(V4));
    }
   }
   si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-POSITIVE-INFINITY",1707), V2);
   T0 = (cl_env_copy->function=(ECL_SYM("-",17)->symbol.gfdef))->cfun.entry(1, V2) /*  - */;
   si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-NEGATIVE-INFINITY",1711), T0);
  }
  {
   cl_object V2;                                  /*  A               */
   {
    long double V3;
    V3 = ecl_to_long_double(ecl_make_fixnum(1));
    {
     long double V4;
     V4 = ecl_to_long_double(cl_core.singlefloat_zero);
     V2 = ecl_divide(ecl_make_long_float(V3),ecl_make_long_float(V4));
    }
   }
   si_Xmake_constant(ECL_SYM("LONG-FLOAT-POSITIVE-INFINITY",1708), V2);
   T0 = (cl_env_copy->function=(ECL_SYM("-",17)->symbol.gfdef))->cfun.entry(1, V2) /*  - */;
   si_Xmake_constant(ECL_SYM("LONG-FLOAT-NEGATIVE-INFINITY",1712), T0);
  }
  si_trap_fpe(V1, ECL_T);
 }
 }
 si_Xmake_constant(VV[0], _ecl_static_7);
 (void)0; /* No entry created for ISQRT */
 (void)0; /* No entry created for PHASE */
 (void)0; /* No entry created for SIGNUM */
 (void)0; /* No entry created for CIS */
 (void)0; /* No entry created for ASIN */
 (void)0; /* No entry created for COMPLEX-ASIN */
 (void)0; /* No entry created for ACOS */
 (void)0; /* No entry created for COMPLEX-ACOS */
 (void)0; /* No entry created for ASINH */
 (void)0; /* No entry created for ACOSH */
 (void)0; /* No entry created for COMPLEX-ACOSH */
 (void)0; /* No entry created for ATANH */
 (void)0; /* No entry created for COMPLEX-ATANH */
 (void)0; /* No entry created for FFLOOR */
 (void)0; /* No entry created for FCEILING */
 (void)0; /* No entry created for FTRUNCATE */
 (void)0; /* No entry created for FROUND */
 (void)0; /* No entry created for LOGTEST */
 (void)0; /* No entry created for BYTE */
 (void)0; /* No entry created for BYTE-SIZE */
 (void)0; /* No entry created for BYTE-POSITION */
 (void)0; /* No entry created for LDB */
 (void)0; /* No entry created for LDB-TEST */
 (void)0; /* No entry created for MASK-FIELD */
 (void)0; /* No entry created for DPB */
 (void)0; /* No entry created for DEPOSIT-FIELD */
}
