/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;PREDLIB.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "lsp/predlib.eclh"
/*	function definition for CONSTANTLY-T                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1constantly_t(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CONSTANTLY-NIL                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2constantly_nil(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CONSTANTLY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_constantly(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  N               */
  if (!((ECL_CONS_CAR(CLV0))==(ECL_NIL))) { goto L1; }
  value0 = ecl_fdefinition(VV[1]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_eql(ECL_CONS_CAR(CLV0),ECL_T))) { goto L4; }
  value0 = ecl_fdefinition(VV[0]);
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC3__g3,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G3                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3__g3(cl_narg narg, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  N               */
 { /* ... closure scanning finished */
 {
  value0 = ECL_CONS_CAR(CLV0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	function definition for SUBTYPEP-CLEAR-CACHE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4subtypep_clear_cache()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  si_fill_array_with_elt(ecl_symbol_value(VV[4]), ECL_NIL, ecl_make_fixnum(0), ECL_NIL);
  value0 = si_fill_array_with_elt(ecl_symbol_value(VV[5]), ECL_NIL, ecl_make_fixnum(0), ECL_NIL);
  return value0;
 }
}
/*	function definition for CREATE-TYPE-NAME                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5create_type_name(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_memql(V1,ecl_symbol_value(ECL_SYM("*ALIEN-DECLARATIONS*",1585))))) { goto L1; }
  value0 = cl_error(2, _ecl_static_1, V1);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DO-DEFTYPE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_deftype(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (ECL_SYMBOLP(V1)) { goto L1; }
  cl_error(2, _ecl_static_2, V1);
L1:;
  L5create_type_name(V1);
  si_put_sysprop(V1, VV[8], V2);
  if (Null(cl_functionp(V3))) { goto L7; }
  T0 = V3;
  goto L6;
L7:;
  T0 = cl_constantly(V3);
L6:;
  si_put_sysprop(V1, VV[9], T0);
  L4subtypep_clear_cache();
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function DEFTYPE                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6deftype(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  LAMBDA-LIST     */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   cl_env_copy->values[0] = si_remove_documentation(1, V3);
   {
    cl_object V7;                                 /*  BODY            */
    cl_object V8;                                 /*  DOC             */
    {
     int V9 = cl_env_copy->nvalues-0;
     if (V9--<=0) goto L15;
     V7 = cl_env_copy->values[0];
     if (V9--<=0) goto L16;
     V8 = cl_env_copy->values[1];
     goto L17;
    }
L15:;
    V7 = ECL_NIL;
L16:;
    V8 = ECL_NIL;
L17:;
    V5 = cl_copy_list(V5);
    {
     cl_object V9;
     V9 = VV[10];
     goto L24;
L23:;
     {
      cl_object V10;                              /*  X               */
      V10 = ecl_car(V9);
      {
       cl_object V11;                             /*  L               */
       T0 = ecl_memql(V10,V5);
       V11 = ecl_cdr(T0);
       goto L33;
L32:;
       {
        cl_object V12;                            /*  VARIABLE        */
        V12 = ecl_car(V11);
        if (!(ECL_SYMBOLP(V12))) { goto L35; }
        if ((ecl_memql(V12,VV[11]))!=ECL_NIL) { goto L35; }
        {
         cl_object V13;
         V13 = cl_list(2, V12, VV[12]);
         if (ecl_unlikely(ECL_ATOM(V11))) FEtype_error_cons(V11);
         T0 = V11;
         (ECL_CONS_CAR(T0)=V13,T0);
        }
       }
L35:;
       V11 = ecl_cdr(V11);
L33:;
       if (V11==ECL_NIL) { goto L45; }
       goto L32;
L45:;
      }
     }
     V9 = ecl_cdr(V9);
L24:;
     if (Null(V9)) { goto L49; }
     goto L23;
L49:;
    }
    {
     cl_object V9;                                /*  FUNCTION        */
     T0 = cl_listX(4, ECL_SYM("LAMBDA-BLOCK",1339), V4, V5, V7);
     V9 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
     if (!(V5==ECL_NIL)) { goto L52; }
     if (!(ECL_CONSP(V7))) { goto L52; }
     T0 = ecl_cdr(V7);
     if (!(T0==ECL_NIL)) { goto L52; }
     {
      cl_object V10;                              /*  FORM            */
      V10 = ecl_car(V7);
      if (Null(cl_constantp(2, V10, V2))) { goto L52; }
      V9 = V10;
     }
L52:;
     T0 = si_expand_set_documentation(3, V4, ECL_SYM("TYPE",869), V8);
     T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
     T2 = cl_listX(4, ECL_SYM("DEFTYPE",288), V4, V5, V7);
     T3 = cl_list(2, ECL_SYM("QUOTE",679), T2);
     T4 = cl_list(4, ECL_SYM("DO-DEFTYPE",1583), T1, T3, V9);
     T5 = ecl_list1(T4);
     T6 = ecl_append(T0,T5);
     value0 = cl_listX(3, ECL_SYM("EVAL-WHEN",340), VV[13], T6);
     return value0;
    }
   }
  }
 }
}
/*	local function REAL                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7real(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
    V2 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
    V2 = ECL_T;
   }
   if (i >= narg) {
    V3 = ECL_SYM("*",18);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V2)) { goto L3; }
  {
   cl_object V4;                                  /*  RAT-START       */
   cl_object V5;                                  /*  REAL-START      */
   cl_object V6;                                  /*  RAT-END         */
   cl_object V7;                                  /*  REAL-END        */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   if (!(ECL_CONSP(V1))) { goto L10; }
   V1 = ecl_car(V1);
   T0 = cl_rational(V1);
   V4 = ecl_list1(T0);
   T0 = cl_float(1, V1);
   V5 = ecl_list1(T0);
   goto L9;
L10:;
   if (!(ecl_numberp(V1))) { goto L17; }
   V4 = cl_rational(V1);
   V5 = cl_float(1, V1);
   goto L9;
L17:;
   V4 = V1;
   V5 = V1;
L9:;
   if (!(ECL_CONSP(V3))) { goto L26; }
   V3 = ecl_car(V3);
   T0 = cl_rational(V3);
   V6 = ecl_list1(T0);
   T0 = cl_float(1, V3);
   V7 = ecl_list1(T0);
   goto L25;
L26:;
   if (!(ecl_numberp(V3))) { goto L33; }
   V6 = cl_rational(V3);
   V7 = cl_float(1, V3);
   goto L25;
L33:;
   V6 = V3;
   V7 = V3;
L25:;
   T0 = cl_list(3, ECL_SYM("RATIONAL",687), V4, V6);
   T1 = cl_list(3, ECL_SYM("FLOAT",374), V5, V7);
   value0 = cl_list(3, ECL_SYM("OR",614), T0, T1);
   return value0;
  }
L3:;
  value0 = VV[16];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SHORT-FLOAT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8short_float(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (Null(V1)) { goto L1; }
  value0 = CONS(ECL_SYM("SINGLE-FLOAT",778),V1);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_SYM("SINGLE-FLOAT",778);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function MOD                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9mod(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_one_minus(V1);
  value0 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T0);
  return value0;
 }
}
/*	local function SIGNED-BYTE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10signed_byte(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (V1==ECL_NIL) { goto L4; }
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  goto L3;
L4:;
L3:;
  value0 = VV[17];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_one_minus(V1);
  T1 = ecl_expt(ecl_make_fixnum(2),T0);
  T2 = ecl_negate(T1);
  T3 = ecl_one_minus(V1);
  T4 = ecl_expt(ecl_make_fixnum(2),T3);
  T5 = ecl_one_minus(T4);
  value0 = cl_list(3, ECL_SYM("INTEGER",437), T2, T5);
  return value0;
 }
}
/*	local function UNSIGNED-BYTE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11unsigned_byte(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (V1==ECL_NIL) { goto L4; }
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  goto L3;
L4:;
L3:;
  value0 = VV[18];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_expt(ecl_make_fixnum(2),V1);
  T1 = ecl_one_minus(T0);
  value0 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T1);
  return value0;
 }
}
/*	local function VECTOR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12vector(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  cl_object V2;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V2 = ECL_SYM("*",18);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_list1(V2);
  value0 = cl_list(3, ECL_SYM("ARRAY",96), V1, T0);
  return value0;
 }
}
/*	local function STRING                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13string(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  value0 = VV[20];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_list1(V1);
  T1 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("BASE-CHAR",120), T0);
  T2 = ecl_list1(V1);
  T3 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("CHARACTER",222), T2);
  value0 = cl_list(3, ECL_SYM("OR",614), T1, T3);
  return value0;
 }
}
/*	local function BASE-STRING                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14base_string(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  value0 = VV[21];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_list1(V1);
  value0 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("BASE-CHAR",120), T0);
  return value0;
 }
}
/*	local function EXTENDED-STRING                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15extended_string(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  value0 = VV[22];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_list1(V1);
  value0 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("CHARACTER",222), T0);
  return value0;
 }
}
/*	local function BIT-VECTOR                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16bit_vector(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  value0 = VV[23];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_list1(V1);
  value0 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("BIT",123), T0);
  return value0;
 }
}
/*	local function SIMPLE-VECTOR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17simple_vector(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  value0 = VV[24];
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  T0 = ecl_list1(V1);
  value0 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), ECL_T, T0);
  return value0;
 }
}
/*	local function SIMPLE-STRING                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18simple_string(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V1)) { goto L2; }
  T0 = ecl_list1(V1);
  T1 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), ECL_SYM("BASE-CHAR",120), T0);
  T2 = ecl_list1(V1);
  T3 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), ECL_SYM("CHARACTER",222), T2);
  value0 = cl_list(3, ECL_SYM("OR",614), T1, T3);
  return value0;
L2:;
  value0 = VV[25];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SIMPLE-BASE-STRING                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19simple_base_string(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V1)) { goto L2; }
  T0 = ecl_list1(V1);
  value0 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), ECL_SYM("BASE-CHAR",120), T0);
  return value0;
L2:;
  value0 = VV[26];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SIMPLE-BIT-VECTOR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20simple_bit_vector(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V1)) { goto L2; }
  T0 = ecl_list1(V1);
  value0 = cl_list(3, ECL_SYM("SIMPLE-ARRAY",763), ECL_SYM("BIT",123), T0);
  return value0;
L2:;
  value0 = VV[27];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SIMPLE-ARRAY-P                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21simple_array_p(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_ARRAYP(V1))) { goto L2; }
  if ((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1))) { goto L2; }
  if ((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1))) { goto L2; }
  T0 = cl_array_displacement(V1);
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COMPLEX-ARRAY-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22complex_array_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_ARRAYP(V1))) { goto L2; }
  value0 = ecl_make_bool((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1)));
  if ((value0)!=ECL_NIL) { goto L5; }
  value0 = ecl_make_bool((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)));
  if ((value0)!=ECL_NIL) { goto L5; }
  value0 = cl_array_displacement(V1);
  return value0;
L5:;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for UPGRADED-ARRAY-ELEMENT-TYPE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_upgraded_array_element_type(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   int8_t V3;                                     /*  HASH            */
   cl_object V4;                                  /*  RECORD          */
   {
    cl_object V5;
    T0 = si_hash_eql(1, V1);
    V5 = ecl_boole(ECL_BOOLAND,(ecl_make_fixnum(127)),(T0));
    {
     cl_fixnum V6;
     V6 = 0;
     if (!(ECL_FIXNUMP(V5))) { goto L8; }
     V6 = ecl_fixnum(V5);
     if (!((V6)<=(127))) { goto L13; }
     T0 = ecl_make_bool((V6)>=(0));
     goto L5;
L13:;
     T0 = ECL_NIL;
     goto L5;
L8:;
     T0 = ECL_NIL;
     goto L5;
    }
L5:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[33],V5);
    V3 = ecl_fixnum(V5);
   }
   {
    cl_object V5;
    V5 = ecl_symbol_value(VV[5]);
    {
     int8_t V6;
     if (ecl_unlikely(((cl_fixnum)(V3))>=(V5)->vector.dim))
           FEwrong_index(ECL_NIL,V5,-1,ecl_make_fixnum((cl_fixnum)(V3)),(V5)->vector.dim);
     V6 = V3;
     V4 = ecl_aref_unsafe(V5,(cl_fixnum)(V6));
    }
   }
   if (Null(V4)) { goto L20; }
   T0 = ecl_car(V4);
   if (!((T0)==(V1))) { goto L20; }
   value0 = ecl_cdr(V4);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   {
    cl_object V5;                                 /*  ANSWER          */
    if (Null(si_memq(V1,VV[34]))) { goto L24; }
    V5 = V1;
    goto L23;
L24:;
    {
     cl_object V6;
     V6 = ecl_symbol_value(VV[32]);
     goto L29;
L28:;
     {
      cl_object V7;                               /*  V               */
      V7 = ecl_car(V6);
      if (Null(cl_subtypep(2, V1, V7))) { goto L33; }
      V5 = V7;
      goto L23;
L33:;
     }
     V6 = ecl_cdr(V6);
L29:;
     if (Null(V6)) { goto L37; }
     goto L28;
L37:;
     V5 = ECL_T;
    }
L23:;
    {
     cl_object V6;
     V6 = ecl_symbol_value(VV[5]);
     {
      int8_t V7;
      if (ecl_unlikely(((cl_fixnum)(V3))>=(V6)->vector.dim))
           FEwrong_index(ECL_NIL,V6,-1,ecl_make_fixnum((cl_fixnum)(V3)),(V6)->vector.dim);
      V7 = V3;
      T0 = CONS(V1,V5);
      ecl_aset_unsafe(V6,(cl_fixnum)(V7),T0);
     }
    }
    value0 = V5;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for UPGRADED-COMPLEX-PART-TYPE            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_upgraded_complex_part_type(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((cl_subtypep(2, V1, ECL_SYM("REAL",703)))!=ECL_NIL) { goto L2; }
  cl_error(2, _ecl_static_3, V1);
L2:;
  value0 = ECL_SYM("REAL",703);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for IN-INTERVAL-P                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23in_interval_p(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LOW             */
   cl_object V4;                                  /*  HIGH            */
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   if (!(ecl_endp(V2))) { goto L4; }
   V3 = ECL_SYM("*",18);
   V4 = ECL_SYM("*",18);
   goto L3;
L4:;
   T0 = ecl_cdr(V2);
   if (!(ecl_endp(T0))) { goto L9; }
   V3 = ecl_car(V2);
   V4 = ECL_SYM("*",18);
   goto L3;
L9:;
   V3 = ecl_car(V2);
   V4 = ecl_cadr(V2);
L3:;
   {
    cl_object V5;
    V5 = ecl_make_bool((V3)==(ECL_SYM("*",18)));
    if (Null(V5)) { goto L19; }
    goto L17;
L19:;
    if (!(ECL_CONSP(V3))) { goto L21; }
    T0 = ecl_car(V3);
    if (!(ecl_number_compare(V1,T0)<=0)) { goto L17; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L21:;
    {
     cl_object V6;
     if (!(ecl_number_compare(V1,V3)<0)) { goto L25; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L25:;
     V6 = ECL_NIL;
     if (Null(V6)) { goto L17; }
    }
   }
L17:;
   {
    cl_object V5;
    V5 = ecl_make_bool((V4)==(ECL_SYM("*",18)));
    if (Null(V5)) { goto L30; }
    goto L28;
L30:;
    if (!(ECL_CONSP(V4))) { goto L32; }
    T0 = ecl_car(V4);
    if (!(ecl_number_compare(V1,T0)>=0)) { goto L28; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L32:;
    {
     cl_object V6;
     if (!(ecl_number_compare(V1,V4)>0)) { goto L36; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L36:;
     V6 = ECL_NIL;
     if (Null(V6)) { goto L28; }
    }
   }
L28:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for ERROR-TYPE-SPECIFIER                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24error_type_specifier(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(2, _ecl_static_4, V1);
  return value0;
 }
}
/*	function definition for MATCH-DIMENSIONS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25match_dimensions(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_bool((V2)==(ECL_SYM("*",18)));
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   int8_t V3;                                     /*  RANK            */
   V3 = ecl_fixnum(cl_array_rank(V1));
   if (!(ecl_numberp(V2))) { goto L5; }
   value0 = ecl_make_bool(ecl_number_equalp(ecl_make_int8_t(V3),V2));
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   if (!(ECL_LISTP(V2))) { goto L7; }
   {
    cl_object V4;                                 /*  I               */
    V4 = ecl_make_fixnum(0);
    goto L12;
L11:;
    if (!(ECL_CONSP(V2))) { goto L17; }
    T0 = ecl_car(V2);
    if ((T0)==(ECL_SYM("*",18))) { goto L14; }
    {
     cl_fixnum V5;
     V5 = ecl_array_dimension(V1,ecl_to_size(V4));
     T0 = ecl_car(V2);
     if ((ecl_make_fixnum(V5))==(T0)) { goto L14; }
     goto L15;
    }
L17:;
    goto L15;
L15:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L14:;
    V2 = ecl_cdr(V2);
    V4 = ecl_one_plus(V4);
L12:;
    if (!(ecl_number_compare(V4,ecl_make_int8_t(V3))<0)) { goto L24; }
    goto L11;
L24:;
    value0 = ecl_make_bool(V2==ECL_NIL);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L7:;
   if (!(ECL_ATOM(V2))) { goto L26; }
   value0 = cl_error(2, _ecl_static_5, V2);
   return value0;
L26:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for TYPEP                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_typep(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  TP              */
   cl_object V5;                                  /*  I               */
   cl_object V6;                                  /*  C               */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   if (!(ECL_SYMBOLP(V2))) { goto L6; }
   {
    cl_object V7;                                 /*  F               */
    V7 = si_get_sysprop(V2, VV[31]);
    if (Null(V7)) { goto L9; }
    value0 = ecl_function_dispatch(cl_env_copy,V7)(1, V1);
    return value0;
L9:;
    T0 = cl_type_of(V1);
    if (!((T0)==(V2))) { goto L11; }
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
L11:;
    V4 = V2;
    V5 = ECL_NIL;
    goto L5;
   }
L6:;
   if (!(ECL_CONSP(V2))) { goto L16; }
   V4 = ecl_car(V2);
   V5 = ecl_cdr(V2);
   goto L5;
L16:;
   if (!(ECL_INSTANCEP(V2))) { goto L21; }
   T0 = cl_class_of(V1);
   value0 = si_subclassp(2, T0, V2);
   return value0;
L21:;
   L24error_type_specifier(V2);
L5:;
   if (!((V4)==(ECL_SYM("EQL",334)))) { goto L28; }
   goto L25;
   goto L26;
L28:;
   goto L26;
L26:;
   if (!((V4)==(ECL_SYM("MEMBER",552)))) { goto L23; }
   goto L24;
L25:;
L24:;
   if (Null(ecl_memql(V1,V5))) { goto L32; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L32:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L23:;
   if (!((V4)==(ECL_SYM("NOT",584)))) { goto L34; }
   T0 = ecl_car(V5);
   T1 = cl_typep(2, V1, T0);
   value0 = Null(T1)?ECL_T:ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L34:;
   if (!((V4)==(ECL_SYM("OR",614)))) { goto L36; }
   {
    cl_object V7;
    V7 = V5;
    goto L41;
L40:;
    {
     cl_object V8;                                /*  E               */
     V8 = ecl_car(V7);
     if (Null(cl_typep(2, V1, V8))) { goto L45; }
     value0 = ECL_T;
     cl_env_copy->nvalues = 1;
     return value0;
L45:;
    }
    V7 = ecl_cdr(V7);
L41:;
    if (Null(V7)) { goto L49; }
    goto L40;
L49:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L36:;
   if (!((V4)==(ECL_SYM("AND",87)))) { goto L51; }
   {
    cl_object V8;
    V8 = V5;
    goto L56;
L55:;
    {
     cl_object V9;                                /*  E               */
     V9 = ecl_car(V8);
     if ((cl_typep(2, V1, V9))!=ECL_NIL) { goto L60; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L60:;
    }
    V8 = ecl_cdr(V8);
L56:;
    if (Null(V8)) { goto L64; }
    goto L55;
L64:;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L51:;
   if (!((V4)==(ECL_SYM("SATISFIES",735)))) { goto L66; }
   T0 = ecl_car(V5);
   value0 = ecl_function_dispatch(cl_env_copy,T0)(1, V1);
   return value0;
L66:;
   if (!(ecl_eql(V4,ECL_T))) { goto L69; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L69:;
   if (!((V4)==(ECL_NIL))) { goto L72; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L72:;
   if (!((V4)==(ECL_SYM("BIGNUM",122)))) { goto L75; }
   if (!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))) { goto L78; }
   {
    bool V9;
    V9 = ECL_FIXNUMP(V1);
    value0 = (V9)?ECL_NIL:ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L78:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L75:;
   if (!((V4)==(ECL_SYM("RATIO",686)))) { goto L80; }
   T0 = cl_type_of(V1);
   value0 = ecl_make_bool((T0)==(ECL_SYM("RATIO",686)));
   cl_env_copy->nvalues = 1;
   return value0;
L80:;
   if (!((V4)==(ECL_SYM("STANDARD-CHAR",794)))) { goto L82; }
   if (!(ECL_CHARACTERP(V1))) { goto L85; }
   value0 = cl_standard_char_p(V1);
   return value0;
L85:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L82:;
   if (!((V4)==(ECL_SYM("INTEGER",437)))) { goto L87; }
   if (!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))) { goto L90; }
   value0 = L23in_interval_p(V1, V5);
   return value0;
L90:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L87:;
   if (!((V4)==(ECL_SYM("RATIONAL",687)))) { goto L92; }
   if (Null(cl_rationalp(V1))) { goto L95; }
   value0 = L23in_interval_p(V1, V5);
   return value0;
L95:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L92:;
   if (!((V4)==(ECL_SYM("FLOAT",374)))) { goto L97; }
   if (!(floatp(V1))) { goto L100; }
   value0 = L23in_interval_p(V1, V5);
   return value0;
L100:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L97:;
   if (!((V4)==(ECL_SYM("REAL",703)))) { goto L102; }
   if ((cl_rationalp(V1))!=ECL_NIL) { goto L107; }
   if (!(floatp(V1))) { goto L105; }
   goto L106;
L107:;
L106:;
   value0 = L23in_interval_p(V1, V5);
   return value0;
L105:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L102:;
   if (!((V4)==(ECL_SYM("SINGLE-FLOAT",778)))) { goto L114; }
   goto L111;
   goto L112;
L114:;
   goto L112;
L112:;
   if (!((V4)==(ECL_SYM("SHORT-FLOAT",756)))) { goto L109; }
   goto L110;
L111:;
L110:;
   T0 = cl_type_of(V1);
   if (!((T0)==(ECL_SYM("SINGLE-FLOAT",778)))) { goto L118; }
   value0 = L23in_interval_p(V1, V5);
   return value0;
L118:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L109:;
   if (!((V4)==(ECL_SYM("DOUBLE-FLOAT",315)))) { goto L120; }
   T0 = cl_type_of(V1);
   if (!((T0)==(ECL_SYM("DOUBLE-FLOAT",315)))) { goto L124; }
   value0 = L23in_interval_p(V1, V5);
   return value0;
L124:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L120:;
   if (!((V4)==(ECL_SYM("LONG-FLOAT",508)))) { goto L126; }
   T0 = cl_type_of(V1);
   if (!((T0)==(ECL_SYM("LONG-FLOAT",508)))) { goto L129; }
   value0 = L23in_interval_p(V1, V5);
   return value0;
L129:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L126:;
   if (!((V4)==(ECL_SYM("COMPLEX",241)))) { goto L131; }
   if (Null(cl_complexp(V1))) { goto L134; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L137; }
   T0 = cl_realpart(V1);
   T1 = ecl_car(V5);
   if (Null(cl_typep(2, T0, T1))) { goto L140; }
   T0 = cl_imagpart(V1);
   T1 = ecl_car(V5);
   value0 = cl_typep(2, T0, T1);
   return value0;
L140:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L137:;
   cl_env_copy->nvalues = 1;
   return value0;
L134:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L131:;
   if (!((V4)==(ECL_SYM("SEQUENCE",741)))) { goto L142; }
   value0 = ecl_make_bool(ECL_LISTP(V1));
   if ((value0)!=ECL_NIL) { goto L145; }
   value0 = ecl_make_bool(ECL_VECTORP(V1));
   cl_env_copy->nvalues = 1;
   return value0;
L145:;
   cl_env_copy->nvalues = 1;
   return value0;
L142:;
   if (!((V4)==(ECL_SYM("CONS",251)))) { goto L147; }
   if (!(ECL_CONSP(V1))) { goto L150; }
   if (ecl_endp(V5)) { goto L153; }
   {
    cl_object V10;                                /*  CAR-TYPE        */
    V10 = ecl_car(V5);
    if ((V10)==(ECL_SYM("*",18))) { goto L156; }
    T0 = ecl_car(V1);
    if (Null(cl_typep(2, T0, V10))) { goto L150; }
    goto L152;
L156:;
    goto L152;
   }
L153:;
L152:;
   T0 = ecl_cdr(V5);
   value0 = ecl_make_bool(ecl_endp(T0));
   if ((value0)!=ECL_NIL) { goto L159; }
   {
    cl_object V10;                                /*  CDR-TYPE        */
    V10 = ecl_cadr(V5);
    value0 = ecl_make_bool((V10)==(ECL_SYM("*",18)));
    if ((value0)!=ECL_NIL) { goto L163; }
    T0 = ecl_cdr(V1);
    value0 = cl_typep(2, T0, V10);
    return value0;
L163:;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L159:;
   cl_env_copy->nvalues = 1;
   return value0;
L150:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L147:;
   if (!((V4)==(ECL_SYM("BASE-STRING",121)))) { goto L165; }
   if (Null(si_base_string_p(V1))) { goto L168; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L171; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L171:;
   cl_env_copy->nvalues = 1;
   return value0;
L168:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L165:;
   if (!((V4)==(ECL_SYM("STRING",805)))) { goto L173; }
   if (!(ECL_STRINGP(V1))) { goto L176; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L179; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L179:;
   cl_env_copy->nvalues = 1;
   return value0;
L176:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L173:;
   if (!((V4)==(ECL_SYM("BIT-VECTOR",134)))) { goto L181; }
   if (!(ECL_BIT_VECTOR_P(V1))) { goto L184; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L187; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L187:;
   cl_env_copy->nvalues = 1;
   return value0;
L184:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L181:;
   if (!((V4)==(ECL_SYM("SIMPLE-BASE-STRING",764)))) { goto L189; }
   if (Null(si_base_string_p(V1))) { goto L192; }
   if (Null(cl_simple_string_p(V1))) { goto L192; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L196; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L196:;
   cl_env_copy->nvalues = 1;
   return value0;
L192:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L189:;
   if (!((V4)==(ECL_SYM("SIMPLE-STRING",771)))) { goto L198; }
   if (Null(cl_simple_string_p(V1))) { goto L201; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L204; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L204:;
   cl_env_copy->nvalues = 1;
   return value0;
L201:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L198:;
   if (!((V4)==(ECL_SYM("SIMPLE-BIT-VECTOR",765)))) { goto L206; }
   if (Null(cl_simple_bit_vector_p(V1))) { goto L209; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L212; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L212:;
   cl_env_copy->nvalues = 1;
   return value0;
L209:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L206:;
   if (!((V4)==(ECL_SYM("SIMPLE-VECTOR",774)))) { goto L214; }
   if (Null(cl_simple_vector_p(V1))) { goto L217; }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L220; }
   value0 = L25match_dimensions(V1, V5);
   return value0;
L220:;
   cl_env_copy->nvalues = 1;
   return value0;
L217:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L214:;
   if (!((V4)==(ECL_SYM("COMPLEX-ARRAY",1772)))) { goto L222; }
   if (Null(L22complex_array_p(V1))) { goto L225; }
   if (ecl_endp(V5)) { goto L228; }
   T0 = ecl_car(V5);
   if ((T0)==(ECL_SYM("*",18))) { goto L228; }
   T0 = cl_array_element_type(V1);
   T1 = ecl_car(V5);
   T2 = cl_upgraded_array_element_type(1, T1);
   if (!((T0)==(T2))) { goto L225; }
   goto L227;
L228:;
L227:;
   T0 = ecl_cdr(V5);
   value0 = ecl_make_bool(ecl_endp(T0));
   if ((value0)!=ECL_NIL) { goto L232; }
   T0 = ecl_cadr(V5);
   value0 = L25match_dimensions(V1, T0);
   return value0;
L232:;
   cl_env_copy->nvalues = 1;
   return value0;
L225:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L222:;
   if (!((V4)==(ECL_SYM("SIMPLE-ARRAY",763)))) { goto L234; }
   if (Null(L21simple_array_p(V1))) { goto L237; }
   if (ecl_endp(V5)) { goto L240; }
   T0 = ecl_car(V5);
   if ((T0)==(ECL_SYM("*",18))) { goto L240; }
   T0 = cl_array_element_type(V1);
   T1 = ecl_car(V5);
   T2 = cl_upgraded_array_element_type(1, T1);
   if (!((T0)==(T2))) { goto L237; }
   goto L239;
L240:;
L239:;
   T0 = ecl_cdr(V5);
   value0 = ecl_make_bool(ecl_endp(T0));
   if ((value0)!=ECL_NIL) { goto L244; }
   T0 = ecl_cadr(V5);
   value0 = L25match_dimensions(V1, T0);
   return value0;
L244:;
   cl_env_copy->nvalues = 1;
   return value0;
L237:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L234:;
   if (!((V4)==(ECL_SYM("ARRAY",96)))) { goto L246; }
   if (!(ECL_ARRAYP(V1))) { goto L249; }
   if (ecl_endp(V5)) { goto L252; }
   T0 = ecl_car(V5);
   if ((T0)==(ECL_SYM("*",18))) { goto L252; }
   T0 = cl_array_element_type(V1);
   T1 = ecl_car(V5);
   T2 = cl_upgraded_array_element_type(1, T1);
   if (!((T0)==(T2))) { goto L249; }
   goto L251;
L252:;
L251:;
   T0 = ecl_cdr(V5);
   value0 = ecl_make_bool(ecl_endp(T0));
   if ((value0)!=ECL_NIL) { goto L256; }
   T0 = ecl_cadr(V5);
   value0 = L25match_dimensions(V1, T0);
   return value0;
L256:;
   cl_env_copy->nvalues = 1;
   return value0;
L249:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L246:;
   if (Null(si_get_sysprop(V4, VV[9]))) { goto L258; }
   T0 = si_get_sysprop(V4, VV[9]);
   T1 = cl_apply(2, T0, V5);
   value0 = cl_typep(2, V1, T1);
   return value0;
L258:;
   if (!(ECL_CONSP(V5))) { goto L260; }
   value0 = L24error_type_specifier(V2);
   return value0;
L260:;
   V6 = cl_find_class(2, V2, ECL_NIL);
   if (Null(V6)) { goto L262; }
   T0 = cl_class_of(V1);
   value0 = si_subclassp(2, T0, V6);
   return value0;
L262:;
   value0 = L24error_type_specifier(V2);
   return value0;
  }
 }
}
/*	function definition for SUBCLASSP                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_subclassp(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_make_bool((V1)==(V2));
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = ecl_instance_ref((V1),(7));
  value0 = si_memq(V2,T0);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for OF-CLASS-P                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
cl_object si_of_class_p(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V3;                                   /*  X-CLASS         */
  V3 = cl_class_of(V1);
  if (!((V3)==(V2))) { goto L2; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  {
   cl_object V4;                                  /*  X-CPL           */
   V4 = (V3)->instance.slots[7];
   if (!(ECL_INSTANCEP(V2))) { goto L5; }
   value0 = si_memq(V2,V4);
   cl_env_copy->nvalues = 1;
   return value0;
L5:;
   {
    cl_object V5;
    V5 = V4;
    goto L10;
L9:;
    {
     cl_object V6;                                /*  C               */
     V6 = _ecl_car(V5);
     T0 = (V6)->instance.slots[3];
     if (!((T0)==(V2))) { goto L14; }
     value0 = ECL_T;
     cl_env_copy->nvalues = 1;
     return value0;
L14:;
    }
    V5 = _ecl_cdr(V5);
L10:;
    if (Null(V5)) { goto L18; }
    goto L9;
L18:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for NORMALIZE-TYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26normalize_type(cl_object V1)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  TP              */
   cl_object V3;                                  /*  I               */
   cl_object V4;                                  /*  FD              */
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   if (!(ECL_SYMBOLP(V1))) { goto L4; }
   V4 = si_get_sysprop(V1, VV[9]);
   if (Null(V4)) { goto L6; }
   V1 = ecl_function_dispatch(cl_env_copy,V4)(0);
   goto TTL;
L6:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = V1;
   return cl_env_copy->values[0];
L4:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[84])(1, V1) /*  CLASSP */)) { goto L11; }
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = V1;
   return cl_env_copy->values[0];
L11:;
   if (!(ECL_ATOM(V1))) { goto L13; }
   value0 = L24error_type_specifier(V1);
   return value0;
L13:;
   V2 = ecl_car(V1);
   V3 = ecl_cdr(V1);
   V4 = si_get_sysprop(V2, VV[9]);
   if (Null(V4)) { goto L15; }
   V1 = cl_apply(2, V4, V3);
   goto TTL;
L15:;
   if (!((V2)==(ECL_SYM("INTEGER",437)))) { goto L24; }
   T0 = ecl_cadr(V3);
   if (!(ECL_CONSP(T0))) { goto L24; }
   T0 = ecl_car(V3);
   T1 = ecl_caadr(V3);
   T2 = ecl_one_minus(T1);
   T3 = cl_list(2, T0, T2);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T3;
   cl_env_copy->values[0] = V2;
   return cl_env_copy->values[0];
L24:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V3;
   cl_env_copy->values[0] = V2;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for EXPAND-DEFTYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27expand_deftype(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(V1))) { goto L1; }
  {
   cl_object V2;                                  /*  FD              */
   V2 = si_get_sysprop(V1, VV[9]);
   if (Null(V2)) { goto L4; }
   V1 = ecl_function_dispatch(cl_env_copy,V2)(0);
   goto TTL;
L4:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  if (!(ECL_CONSP(V1))) { goto L8; }
  if (!(ECL_SYMBOLP(V1))) { goto L8; }
  {
   cl_object V3;                                  /*  FD              */
   T0 = ecl_car(V1);
   V3 = si_get_sysprop(T0, VV[9]);
   if (Null(V3)) { goto L12; }
   T0 = ecl_cdr(V1);
   V1 = ecl_function_dispatch(cl_env_copy,V3)(1, T0);
   goto TTL;
L12:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L8:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for ERROR-COERCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28error_coerce(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(3, _ecl_static_6, V1, V2);
  return value0;
 }
}
/*	function definition for COERCE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_coerce(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  AUX             */
   V3 = ECL_NIL;
   if (Null(cl_typep(2, V1, V2))) { goto L2; }
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   {
    cl_object V4;
    V4 = L27expand_deftype(V2);
    value0 = ecl_make_bool(ECL_SYMBOLP(V4));
    if ((value0)!=ECL_NIL) { goto L10; }
    value0 = si_of_class_p(2, V4, ECL_SYM("CLASS",933));
    if ((value0)!=ECL_NIL) { goto L10; }
    T0 = ecl_make_bool(ECL_LISTP(V4));
    goto L8;
L10:;
    T0 = value0;
    goto L8;
L8:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[43],V4);
    V2 = V4;
   }
   if (!(ECL_ATOM(V2))) { goto L13; }
   if (!((V2)==(ECL_T))) { goto L15; }
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
L15:;
   if (!((V2)==(ECL_SYM("LIST",481)))) { goto L18; }
   {
    cl_object V4;                                 /*  LET47           */
    cl_object V5;                                 /*  IO              */
    cl_object V6;                                 /*  L               */
    V4 = si_make_seq_iterator(1, V1);
    V5 = V4;
    V6 = ECL_NIL;
    goto L25;
L24:;
    {
     cl_object V7;
     V7 = si_seq_iterator_next(V1, V5);
     T0 = si_seq_iterator_ref(V1, V5);
     V6 = CONS(T0,V6);
     V5 = V7;
    }
L25:;
    if (V5==ECL_NIL) { goto L30; }
    goto L24;
L30:;
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L18:;
   if (!((V2)==(ECL_SYM("CHARACTER",222)))) { goto L37; }
   goto L34;
   goto L35;
L37:;
   goto L35;
L35:;
   if (!((V2)==(ECL_SYM("BASE-CHAR",120)))) { goto L32; }
   goto L33;
L34:;
L33:;
   value0 = cl_character(V1);
   return value0;
L32:;
   if (!((V2)==(ECL_SYM("FLOAT",374)))) { goto L40; }
   value0 = cl_float(1, V1);
   return value0;
L40:;
   if (!((V2)==(ECL_SYM("SINGLE-FLOAT",778)))) { goto L42; }
   value0 = ecl_make_single_float(ecl_to_float(V1));
   cl_env_copy->nvalues = 1;
   return value0;
L42:;
   if (!((V2)==(ECL_SYM("SHORT-FLOAT",756)))) { goto L44; }
   value0 = ecl_make_single_float(ecl_to_float(V1));
   cl_env_copy->nvalues = 1;
   return value0;
L44:;
   if (!((V2)==(ECL_SYM("DOUBLE-FLOAT",315)))) { goto L46; }
   value0 = ecl_make_double_float(ecl_to_double(V1));
   cl_env_copy->nvalues = 1;
   return value0;
L46:;
   if (!((V2)==(ECL_SYM("LONG-FLOAT",508)))) { goto L48; }
   value0 = ecl_make_long_float(ecl_to_long_double(V1));
   cl_env_copy->nvalues = 1;
   return value0;
L48:;
   if (!((V2)==(ECL_SYM("COMPLEX",241)))) { goto L50; }
   T0 = cl_realpart(V1);
   T1 = cl_imagpart(V1);
   value0 = cl_complex(2, T0, T1);
   return value0;
L50:;
   if (!((V2)==(ECL_SYM("FUNCTION",396)))) { goto L52; }
   value0 = si_coerce_to_function(V1);
   return value0;
L52:;
   if (Null(ecl_memql(V2,VV[46]))) { goto L54; }
   value0 = cl_concatenate(2, V2, V1);
   return value0;
L54:;
   if (ECL_LISTP(V1)) { goto L58; }
   if (Null(cl_vector(1, V1))) { goto L56; }
   goto L57;
L58:;
L57:;
   value0 = cl_concatenate(2, V2, V1);
   return value0;
L56:;
   value0 = L28error_coerce(V1, V2);
   return value0;
L13:;
   V3 = ecl_car(V2);
   if (!((V3)==(ECL_SYM("COMPLEX",241)))) { goto L60; }
   if (Null(V2)) { goto L63; }
   T0 = cl_realpart(V1);
   T1 = ecl_cadr(V2);
   T2 = cl_coerce(T0, T1);
   T3 = cl_imagpart(V1);
   T4 = ecl_cadr(V2);
   T5 = cl_coerce(T3, T4);
   value0 = cl_complex(2, T2, T5);
   return value0;
L63:;
   T0 = cl_realpart(V1);
   T1 = cl_imagpart(V1);
   value0 = cl_complex(2, T0, T1);
   return value0;
L60:;
   if (Null(ecl_memql(V3,VV[47]))) { goto L65; }
   V3 = cl_coerce(V1, V3);
   if ((cl_typep(2, V3, V2))!=ECL_NIL) { goto L69; }
   L28error_coerce(V1, V2);
L69:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
L65:;
   if (!((V3)==(ECL_SYM("AND",87)))) { goto L71; }
   {
    cl_object V7;
    V7 = ecl_cdr(V2);
    goto L77;
L76:;
    {
     cl_object V8;                                /*  TYPE            */
     V8 = ecl_car(V7);
     V3 = cl_coerce(V3, V8);
    }
    V7 = ecl_cdr(V7);
L77:;
    if (Null(V7)) { goto L85; }
    goto L76;
L85:;
   }
   if ((cl_typep(2, V3, V2))!=ECL_NIL) { goto L87; }
   L28error_coerce(V1, V2);
L87:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
L71:;
   if (ECL_LISTP(V1)) { goto L91; }
   if (Null(cl_vector(1, V1))) { goto L89; }
   goto L90;
L91:;
L90:;
   value0 = cl_concatenate(2, V2, V1);
   return value0;
L89:;
   value0 = L28error_coerce(V1, V2);
   return value0;
  }
 }
}
/*	function definition for NEW-TYPE-TAG                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29new_type_tag()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;
   V1 = ecl_symbol_value(VV[49]);
   cl_set(VV[49],cl_ash(ecl_symbol_value(VV[49]), ecl_make_fixnum(1)));
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FIND-REGISTERED-TAG                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30find_registered_tag(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  POS             */
   {
    cl_object V4;
    V4 = ecl_symbol_value(VV[52]);
    goto L6;
L5:;
    {
     cl_object V5;
     cl_object V6;
     if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
     V5 = V4;
     V6 = ECL_CONS_CAR(V5);
     if (Null(V6)) { goto L8; }
     {
      cl_object V7;
      if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
      T0 = V6;
      V7 = ECL_CONS_CAR(T0);
      if (Null(ecl_function_dispatch(cl_env_copy,V2)(2, V1, V7))) { goto L8; }
      V3 = V6;
      goto L2;
     }
    }
L8:;
    V4 = ECL_CONS_CDR(V4);
L6:;
    if (V4==ECL_NIL) { goto L19; }
    goto L5;
L19:;
    V3 = ECL_NIL;
   }
L2:;
   if (Null(V3)) { goto L22; }
   value0 = ecl_cdr(V3);
   cl_env_copy->nvalues = 1;
   return value0;
L22:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MAYBE-SAVE-TYPES                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31maybe_save_types()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[48]))) { goto L1; }
  cl_set(VV[48],ECL_NIL);
  cl_set(VV[52],cl_copy_tree(ecl_symbol_value(VV[52])));
  cl_set(VV[50],cl_copy_tree(ecl_symbol_value(VV[50])));
  value0 = ecl_symbol_value(VV[50]);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for UPDATE-TYPES                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32update_types(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L31maybe_save_types();
  {
   cl_object V3;
   V3 = ecl_symbol_value(VV[52]);
   goto L5;
L4:;
   {
    cl_object V4;                                 /*  I               */
    V4 = ecl_car(V3);
    T0 = ecl_cdr(V4);
    T1 = ecl_boole(ECL_BOOLAND,(T0),(V1));
    if (ecl_zerop(T1)) { goto L9; }
    {
     cl_object V5;
     T0 = ecl_cdr(V4);
     V5 = ecl_boole(ECL_BOOLIOR,(V2),(T0));
     (ECL_CONS_CDR(V4)=V5,V4);
    }
L9:;
   }
   V3 = ecl_cdr(V3);
L5:;
   if (Null(V3)) { goto L15; }
   goto L4;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FIND-TYPE-BOUNDS                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L33find_type_bounds(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V5;                                   /*  SUBTYPE-TAG     */
  cl_object V6;                                   /*  DISJOINT-TAG    */
  cl_object V7;                                   /*  SUPERTYPE-TAG   */
  V5 = ecl_make_fixnum(0);
  V6 = ecl_make_fixnum(0);
  if (Null(V4)) { goto L4; }
  V7 = ecl_make_fixnum(-1);
  goto L3;
L4:;
  V7 = ecl_make_fixnum(0);
L3:;
  {
   cl_object V8;
   V8 = ECL_SYM_VAL(cl_env_copy,VV[52]);
   goto L10;
L9:;
   {
    cl_object V9;                                 /*  I               */
    V9 = _ecl_car(V8);
    {
     cl_object V10;                               /*  LET55           */
     cl_object V11;                               /*  LET56           */
     V10 = ECL_CONS_CAR(V9);
     V11 = ECL_CONS_CDR(V9);
     if (Null((cl_env_copy->function=V2)->cfun.entry(1, V10))) { goto L14; }
     if (Null((cl_env_copy->function=V3)->cfun.entry(2, V1, V10))) { goto L18; }
     if (Null(V4)) { goto L20; }
     T0 = ecl_boole(ECL_BOOLANDC2,(V11),(V7));
     if (!(ecl_zerop(T0))) { goto L14; }
     V7 = V11;
     goto L14;
L20:;
     V7 = ecl_boole(ECL_BOOLIOR,(V11),(V7));
     goto L14;
L18:;
     if (Null((cl_env_copy->function=V3)->cfun.entry(2, V10, V1))) { goto L25; }
     V5 = ecl_boole(ECL_BOOLIOR,(V11),(V5));
     goto L14;
L25:;
     V6 = ecl_boole(ECL_BOOLIOR,(V6),(V11));
    }
L14:;
   }
   V8 = _ecl_cdr(V8);
L10:;
   if (Null(V8)) { goto L31; }
   goto L9;
L31:;
  }
  if (!(ecl_number_equalp(V7,ecl_make_fixnum(-1)))) { goto L34; }
  T0 = ecl_make_fixnum(0);
  goto L33;
L34:;
  T1 = ecl_boole(ECL_BOOLIOR,(V6),(V5));
  T0 = ecl_boole(ECL_BOOLANDC2,(V7),(T1));
L33:;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = V5;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	function definition for REGISTER-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L34register_type(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = L30find_registered_tag(1, V1);
 if ((value0)!=ECL_NIL) { goto L2; }
 cl_env_copy->values[0] = L33find_type_bounds(V1, V2, V3, ECL_NIL);
 {
  cl_object V5;                                   /*  TAG-SUPER       */
  cl_object V6;                                   /*  TAG-SUB         */
  {
   int V7 = cl_env_copy->nvalues-0;
   if (V7--<=0) goto L5;
   V5 = cl_env_copy->values[0];
   if (V7--<=0) goto L6;
   V6 = cl_env_copy->values[1];
   goto L7;
  }
L5:;
  V5 = ECL_NIL;
L6:;
  V6 = ECL_NIL;
L7:;
  {
   cl_object V7;                                  /*  TAG             */
   V7 = L29new_type_tag();
   T0 = ecl_boole(ECL_BOOLANDC2,(V5),(V6));
   L32update_types(T0, V7);
   V7 = ecl_boole(ECL_BOOLIOR,(V7),(V6));
   value0 = L38push_type(V1, V7);
   return value0;
  }
 }
L2:;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for REGISTER-MEMBER-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35register_member_type(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  POS             */
   V2 = ecl_assql(V1,ecl_symbol_value(VV[50]));
   {
    cl_object V3;
    if (Null(V2)) { goto L4; }
    V3 = ecl_cdr(V2);
    goto L2;
L4:;
    V3 = ECL_NIL;
    goto L2;
L2:;
    if (Null(V3)) { goto L6; }
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
L6:;
    if ((cl_realp(V1))!=ECL_NIL) { goto L8; }
    value0 = L36simple_member_type(V1);
    return value0;
L8:;
    if (!(floatp(V1))) { goto L10; }
    if (!(ecl_zerop(V1))) { goto L10; }
    T0 = cl_float_sign(1, V1);
    if (!(ecl_minusp(T0))) { goto L13; }
    value0 = L36simple_member_type(V1);
    return value0;
L13:;
    T0 = L37number_member_type(V1);
    T1 = ecl_negate(V1);
    T2 = L35register_member_type(T1);
    value0 = ecl_boole(ECL_BOOLANDC2,(T0),(T2));
    cl_env_copy->nvalues = 1;
    return value0;
L10:;
    value0 = L37number_member_type(V1);
    return value0;
   }
  }
 }
}
/*	function definition for SIMPLE-MEMBER-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36simple_member_type(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  TAG             */
   V2 = L29new_type_tag();
   L31maybe_save_types();
   cl_set(VV[50],cl_acons(V1, V2, ecl_symbol_value(VV[50])));
   {
    cl_object V3;
    V3 = ecl_symbol_value(VV[52]);
    goto L9;
L8:;
    {
     cl_object V4;                                /*  I               */
     V4 = ecl_car(V3);
     {
      cl_object V5;                               /*  TYPE            */
      V5 = ecl_car(V4);
      if (Null(cl_typep(2, V1, V5))) { goto L13; }
      {
       cl_object V6;
       T0 = ecl_cdr(V4);
       V6 = ecl_boole(ECL_BOOLIOR,(V2),(T0));
       (ECL_CONS_CDR(V4)=V6,V4);
      }
     }
L13:;
    }
    V3 = ecl_cdr(V3);
L9:;
    if (Null(V3)) { goto L20; }
    goto L8;
L20:;
   }
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NUMBER-MEMBER-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37number_member_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  BASE-TYPE       */
   cl_object V3;                                  /*  TYPE            */
   if (!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))) { goto L2; }
   V2 = ECL_SYM("INTEGER",437);
   goto L1;
L2:;
   V2 = cl_type_of(V1);
L1:;
   V3 = cl_list(3, V2, V1, V1);
   value0 = L30find_registered_tag(1, V3);
   if ((value0)!=ECL_NIL) { goto L6; }
   value0 = L51register_interval_type(V3);
   return value0;
L6:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for PUSH-TYPE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38push_type(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_symbol_value(VV[50]);
   goto L5;
L4:;
   {
    cl_object V4;                                 /*  I               */
    V4 = ecl_car(V3);
    T0 = ecl_car(V4);
    if (Null(cl_typep(2, T0, V1))) { goto L9; }
    T0 = ecl_cdr(V4);
    V2 = ecl_boole(ECL_BOOLIOR,(V2),(T0));
L9:;
   }
   V3 = ecl_cdr(V3);
L5:;
   if (Null(V3)) { goto L14; }
   goto L4;
L14:;
  }
  T0 = CONS(V1,V2);
  cl_set(VV[52],CONS(T0,ecl_symbol_value(VV[52])));
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTER-SATISFIES-TYPE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39register_satisfies_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = ECL_SYM("SATISFIES",735);
  cl_env_copy->nvalues = 1;
  cl_throw(VV[56]);
 }
}
/*	function definition for REGISTER-CLASS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42register_class(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L30find_registered_tag(1, V1);
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object V2;                                  /*  NAME            */
   V2 = (cl_env_copy->function=(ECL_SYM("CLASS-NAME",934)->symbol.gfdef))->cfun.entry(1, V1) /*  CLASS-NAME */;
   if (Null(V2)) { goto L7; }
   T0 = cl_find_class(2, V2, ECL_NIL);
   if (!((V1)==(T0))) { goto L7; }
   value0 = L30find_registered_tag(1, V2);
   if ((value0)!=ECL_NIL) { goto L11; }
   value0 = L56find_built_in_tag(V2);
   goto L4;
L11:;
   goto L4;
L7:;
   value0 = ECL_NIL;
   goto L4;
  }
L4:;
  if ((value0)!=ECL_NIL) { goto L2; }
  if ((ecl_function_dispatch(cl_env_copy,ECL_SYM("CLASS-FINALIZED-P",1491))(1, V1) /*  CLASS-FINALIZED-P */)!=ECL_NIL) { goto L15; }
  cl_env_copy->values[0] = ECL_NIL;
  cl_env_copy->nvalues = 1;
  cl_throw(VV[56]);
L15:;
  value0 = ECL_NIL;
  goto L13;
L13:;
  if ((value0)!=ECL_NIL) { goto L2; }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cfun((cl_objectfn_fixed)LC40__g183,ECL_NIL,Cblock,1);
   T0 = V2;
  }
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cfun((cl_objectfn_fixed)LC41__g184,ECL_NIL,Cblock,2);
   T1 = V2;
  }
  value0 = L34register_type(V1, T0, T1);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G183                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g183(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_bool(ECL_INSTANCEP(V1));
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_make_bool(ECL_SYMBOLP(V1));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G184                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41__g184(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(V1))) { goto L1; }
  V1 = cl_find_class(2, V1, ECL_NIL);
L1:;
  if (!(ECL_SYMBOLP(V2))) { goto L4; }
  V2 = cl_find_class(2, V2, ECL_NIL);
L4:;
  if (Null(V1)) { goto L8; }
  if (Null(V2)) { goto L8; }
  value0 = si_subclassp(2, V1, V2);
  return value0;
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTER-ARRAY-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43register_array_type(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L45parse_array_type(V1);
  {
   cl_object V3;                                  /*  ARRAY-CLASS     */
   cl_object V4;                                  /*  ELT-TYPE        */
   cl_object V5;                                  /*  DIMENSIONS      */
   {
    int V6 = cl_env_copy->nvalues-0;
    if (V6--<=0) goto L2;
    V3 = cl_env_copy->values[0];
    if (V6--<=0) goto L3;
    V4 = cl_env_copy->values[1];
    if (V6--<=0) goto L4;
    V5 = cl_env_copy->values[2];
    goto L5;
   }
L2:;
   V3 = ECL_NIL;
L3:;
   V4 = ECL_NIL;
L4:;
   V5 = ECL_NIL;
L5:;
   if (!((V4)==(ECL_SYM("*",18)))) { goto L6; }
   {
    cl_object V6;                                 /*  LET58           */
    cl_object V7;
    cl_object V8;
    V6 = ecl_symbol_value(VV[32]);
    V7 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    V8 = V6;
    {
     cl_object V9;
     cl_object V10;
     V9 = ecl_list1(ECL_NIL);
     V10 = V9;
L15:;
     V7 = _ecl_car(V8);
     {
      cl_object V11;
      V11 = _ecl_cdr(V8);
      if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
      V8 = V11;
     }
     if (ecl_unlikely(ECL_ATOM(V10))) FEtype_error_cons(V10);
     T1 = V10;
     T2 = cl_list(3, V3, V7, V5);
     V10 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V10,T1);
     if (!(ecl_endp(V8))) { goto L28; }
     goto L16;
L28:;
     goto L15;
L16:;
     T0 = ecl_cdr(V9);
     goto L8;
    }
   }
L8:;
   T1 = CONS(ECL_SYM("OR",614),T0);
   value0 = L58canonical_type(T1);
   return value0;
L6:;
   {
    cl_object V6;
    V1 = cl_list(3, V3, V4, V5);
    V6 = L30find_registered_tag(1, V1);
    if (Null(V6)) { goto L34; }
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
L34:;
    T0 = (VV[61]->symbol.gfdef);
    T1 = (VV[58]->symbol.gfdef);
    value0 = L34register_type(V1, T0, T1);
    return value0;
   }
  }
 }
}
/*	function definition for FAST-UPGRADED-ARRAY-ELEMENT-TYPE      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44fast_upgraded_array_element_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ECL_SYM("*",18)))) { goto L1; }
  value0 = ECL_SYM("*",18);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(si_memq(V1,VV[34]))) { goto L3; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  {
   cl_object V2;
   V2 = ecl_symbol_value(VV[32]);
   goto L8;
L7:;
   {
    cl_object V3;                                 /*  OTHER-TYPE      */
    V3 = ecl_car(V2);
    if (Null(L60fast_subtypep(V1, V3))) { goto L12; }
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
L12:;
   }
   V2 = ecl_cdr(V2);
L8:;
   if (Null(V2)) { goto L16; }
   goto L7;
L16:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for PARSE-ARRAY-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45parse_array_type(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  TYPE            */
   cl_object V3;                                  /*  NAME            */
   cl_object V4;                                  /*  ELT-TYPE        */
   cl_object V5;                                  /*  DIMS            */
   V2 = V1;
   {
    cl_object V6;
    V6 = V2;
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    if (Null(V6)) { goto L6; }
    {
     cl_object V7;
     V7 = ECL_CONS_CDR(V6);
     V2 = V7;
     V6 = ECL_CONS_CAR(V6);
    }
L6:;
    V3 = V6;
   }
   if (Null(V2)) { goto L14; }
   {
    cl_object V6;
    V6 = V2;
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    if (Null(V6)) { goto L19; }
    {
     cl_object V7;
     V7 = ECL_CONS_CDR(V6);
     V2 = V7;
     V6 = ECL_CONS_CAR(V6);
    }
L19:;
    T0 = V6;
    goto L13;
   }
L14:;
   T0 = ECL_SYM("*",18);
L13:;
   V4 = L44fast_upgraded_array_element_type(T0);
   if (Null(V2)) { goto L26; }
   {
    cl_object V6;
    V6 = V2;
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    if (Null(V6)) { goto L31; }
    {
     cl_object V7;
     V7 = ECL_CONS_CDR(V6);
     V2 = V7;
     V6 = ECL_CONS_CAR(V6);
    }
L31:;
    V5 = V6;
    goto L25;
   }
L26:;
   V5 = ECL_SYM("*",18);
L25:;
   if (Null(V2)) { goto L37; }
   cl_error(2, _ecl_static_7, V1);
L37:;
   if (!(ecl_numberp(V5))) { goto L40; }
   if ((cl_L(3, ecl_make_fixnum(-1), V5, ecl_make_fixnum(64)))!=ECL_NIL) { goto L42; }
   cl_error(2, _ecl_static_8, V1);
L42:;
   T0 = ecl_minus(ecl_make_fixnum(64),V5);
   V5 = ecl_nthcdr(ecl_to_size(T0),VV[57]);
   goto L39;
L40:;
   if (!(ECL_CONSP(V5))) { goto L39; }
   {
    cl_object V6;
    V6 = V5;
    goto L49;
L48:;
    {
     cl_object V7;                                /*  I               */
     V7 = ecl_car(V6);
     if ((V7)==(ECL_SYM("*",18))) { goto L53; }
     if (!(ECL_FIXNUMP(V7)||ECL_BIGNUMP(V7))) { goto L57; }
     if ((cl_L(3, ecl_make_fixnum(-1), V7, ecl_make_fixnum(536870911)))!=ECL_NIL) { goto L53; }
     goto L54;
L57:;
     goto L54;
L54:;
     cl_error(2, _ecl_static_9, V1);
L53:;
    }
    V6 = ecl_cdr(V6);
L49:;
    if (Null(V6)) { goto L61; }
    goto L48;
L61:;
   }
L39:;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = V5;
   cl_env_copy->values[1] = V4;
   cl_env_copy->values[0] = V3;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ARRAY-TYPE-<=                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46array_type___(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(V1);
  T1 = ecl_car(V2);
  if (!((T0)==(T1))) { goto L4; }
  T0 = ecl_cadr(V1);
  T1 = ecl_cadr(V2);
  if ((T0)==(T1)) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V3;                                  /*  LET59           */
   cl_object V4;                                  /*  LET60           */
   V3 = ecl_caddr(V1);
   V4 = ecl_caddr(V2);
   if (!((V4)==(ECL_SYM("*",18)))) { goto L8; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L8:;
   if (!((V3)==(ECL_SYM("*",18)))) { goto L10; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   {
    cl_object V5;                                 /*  A               */
    cl_object V6;                                 /*  B               */
    V5 = V3;
    V6 = V4;
    goto L16;
L15:;
    V5 = ecl_cdr(V5);
    V6 = ecl_cdr(V6);
L16:;
    if (ecl_endp(V5)) { goto L21; }
    if (ecl_endp(V6)) { goto L21; }
    T0 = ecl_car(V6);
    if ((T0)==(ECL_SYM("*",18))) { goto L25; }
    T0 = ecl_car(V6);
    T1 = ecl_car(V5);
    if (!(ecl_eql(T0,T1))) { goto L21; }
    goto L22;
L25:;
L22:;
    goto L15;
L21:;
    if (!(V5==ECL_NIL)) { goto L28; }
    value0 = ecl_make_bool(V6==ECL_NIL);
    cl_env_copy->nvalues = 1;
    return value0;
L28:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ARRAY-TYPE-P                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47array_type_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(V1))) { goto L2; }
  {
   cl_object V2;
   V2 = ecl_car(V1);
   if (!((V2)==(ECL_SYM("COMPLEX-ARRAY",1772)))) { goto L9; }
   value0 = VV[59];
   goto L7;
L9:;
   value0 = ECL_NIL;
   goto L7;
L7:;
   if ((value0)!=ECL_NIL) { goto L6; }
   if (!((V2)==(ECL_SYM("SIMPLE-ARRAY",763)))) { goto L12; }
   value0 = VV[60];
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTER-ELEMENTARY-INTERVAL          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50register_elementary_interval(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  V1 = cl_list(2, V1, V2);
  T0 = (ECL_SYM("EQUALP",336)->symbol.gfdef);
  value0 = L30find_registered_tag(2, V1, T0);
  if ((value0)!=ECL_NIL) { goto L4; }
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cfun((cl_objectfn_fixed)LC48__g206,ECL_NIL,Cblock,1);
   T0 = V3;
  }
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cfun((cl_objectfn_fixed)LC49__g207,ECL_NIL,Cblock,2);
   T1 = V3;
  }
  cl_env_copy->values[0] = L33find_type_bounds(V1, T0, T1, ECL_T);
  {
   cl_object V4;                                  /*  TAG-SUPER       */
   cl_object V5;                                  /*  TAG-SUB         */
   {
    int V6 = cl_env_copy->nvalues-0;
    if (V6--<=0) goto L10;
    V4 = cl_env_copy->values[0];
    if (V6--<=0) goto L11;
    V5 = cl_env_copy->values[1];
    goto L12;
   }
L10:;
   V4 = ECL_NIL;
L11:;
   V5 = ECL_NIL;
L12:;
   {
    cl_object V6;                                 /*  TAG             */
    V6 = L29new_type_tag();
    T0 = ecl_boole(ECL_BOOLANDC2,(V4),(V5));
    L32update_types(T0, V6);
    V6 = ecl_boole(ECL_BOOLIOR,(V6),(V5));
    value0 = L38push_type(V1, V6);
    return value0;
   }
  }
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G206                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g206(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(V1))) { goto L2; }
  T0 = ecl_cddr(V1);
  value0 = ecl_make_bool(T0==ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G207                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49__g207(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(V1);
  T1 = ecl_car(V2);
  if (!((T0)==(T1))) { goto L2; }
  T0 = ecl_cadr(V2);
  T1 = ecl_cadr(V1);
  value0 = L52bounds___(T0, T1);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTER-INTERVAL-TYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51register_interval_type(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  I               */
   cl_object V3;                                  /*  TYPE            */
   cl_object V4;                                  /*  LOW             */
   cl_object V5;                                  /*  HIGH            */
   cl_object V6;                                  /*  TAG-HIGH        */
   cl_object V7;                                  /*  TAG-LOW         */
   cl_object V8;                                  /*  TAG             */
   V2 = V1;
   {
    cl_object V9;
    V9 = V2;
    if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
    if (Null(V9)) { goto L6; }
    {
     cl_object V10;
     V10 = ECL_CONS_CDR(V9);
     V2 = V10;
     V9 = ECL_CONS_CAR(V9);
    }
L6:;
    V3 = V9;
   }
   if (Null(V2)) { goto L13; }
   {
    cl_object V9;
    V9 = V2;
    if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
    if (Null(V9)) { goto L18; }
    {
     cl_object V10;
     V10 = ECL_CONS_CDR(V9);
     V2 = V10;
     V9 = ECL_CONS_CAR(V9);
    }
L18:;
    V4 = V9;
    goto L12;
   }
L13:;
   V4 = ECL_SYM("*",18);
L12:;
   if (Null(V2)) { goto L25; }
   {
    cl_object V9;
    V9 = V2;
    if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
    if (Null(V9)) { goto L30; }
    {
     cl_object V10;
     V10 = ECL_CONS_CDR(V9);
     V2 = V10;
     V9 = ECL_CONS_CAR(V9);
    }
L30:;
    V5 = V9;
    goto L24;
   }
L25:;
   V5 = ECL_SYM("*",18);
L24:;
   if (!((V5)==(ECL_SYM("*",18)))) { goto L37; }
   V6 = ecl_make_fixnum(0);
   goto L36;
L37:;
   if (!((V3)==(ECL_SYM("INTEGER",437)))) { goto L39; }
   if (!(ECL_CONSP(V5))) { goto L43; }
   T0 = ecl_car(V5);
   V5 = ecl_ceiling1(T0);
   goto L42;
L43:;
   T0 = ecl_one_plus(V5);
   V5 = ecl_floor1(T0);
L42:;
   V6 = L50register_elementary_interval(V3, V5);
   goto L36;
L39:;
   if (!(ECL_CONSP(V5))) { goto L45; }
   T0 = ecl_car(V5);
   V6 = L50register_elementary_interval(V3, T0);
   goto L36;
L45:;
   T0 = ecl_list1(V5);
   V6 = L50register_elementary_interval(V3, T0);
L36:;
   if ((ECL_SYM("*",18))==(V4)) { goto L51; }
   if (!((V3)==(ECL_SYM("INTEGER",437)))) { goto L51; }
   if (!(ECL_FIXNUMP(V4)||ECL_BIGNUMP(V4))) { goto L49; }
   goto L50;
L51:;
L50:;
   T0 = V4;
   goto L48;
L49:;
   if (!(ECL_CONSP(V4))) { goto L54; }
   T1 = ecl_car(V4);
   T2 = ecl_one_plus(T1);
   T0 = ecl_floor1(T2);
   goto L48;
L54:;
   T0 = ecl_ceiling1(V4);
L48:;
   V7 = L50register_elementary_interval(V3, T0);
   V8 = ecl_boole(ECL_BOOLANDC2,(V7),(V6));
   if ((V5)==(ECL_SYM("*",18))) { goto L57; }
   L38push_type(V1, V8);
L57:;
   value0 = V8;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for BOUNDS-<=                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52bounds___(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ECL_SYM("*",18)))) { goto L1; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!((V2)==(ECL_SYM("*",18)))) { goto L3; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_CONSP(V1))) { goto L5; }
  if (!(ECL_CONSP(V2))) { goto L7; }
  T0 = ecl_car(V1);
  T1 = ecl_car(V2);
  value0 = ecl_make_bool(ecl_number_compare(T0,T1)<=0);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  T0 = ecl_car(V1);
  value0 = ecl_make_bool(ecl_number_compare(T0,V2)<0);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (!(ECL_CONSP(V2))) { goto L9; }
  T0 = ecl_car(V2);
  value0 = ecl_make_bool(ecl_number_compare(V1,T0)<=0);
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  value0 = ecl_make_bool(ecl_number_compare(V1,V2)<=0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BOUNDS-<                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53bounds__(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ECL_SYM("*",18)))) { goto L1; }
  {
   bool V3;
   V3 = (V2)==(ECL_SYM("*",18));
   value0 = (V3)?ECL_NIL:ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  if (!((V2)==(ECL_SYM("*",18)))) { goto L3; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_CONSP(V1))) { goto L5; }
  if (!(ECL_CONSP(V2))) { goto L7; }
  T0 = ecl_car(V1);
  T1 = ecl_car(V2);
  value0 = ecl_make_bool(ecl_number_compare(T0,T1)<0);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  T0 = ecl_car(V1);
  value0 = ecl_make_bool(ecl_number_compare(T0,V2)<0);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (!(ECL_CONSP(V2))) { goto L9; }
  T0 = ecl_car(V2);
  value0 = ecl_make_bool(ecl_number_compare(V1,T0)<=0);
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  value0 = ecl_make_bool(ecl_number_compare(V1,V2)<0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for CANONICAL-COMPLEX-TYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54canonical_complex_type(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V1)==(ECL_SYM("*",18))) { goto L1; }
  cl_upgraded_complex_part_type(1, V1);
L1:;
  value0 = L30find_registered_tag(1, VV[64]);
  if ((value0)!=ECL_NIL) { goto L4; }
  {
   cl_object V2;                                  /*  TAG             */
   V2 = L29new_type_tag();
   value0 = L38push_type(VV[64], V2);
   return value0;
  }
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTER-CONS-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55register_cons_type(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  cl_object V2;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V2 = ECL_SYM("*",18);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  LET63           */
   cl_object V4;                                  /*  LET64           */
   if (!((V1)==(ECL_SYM("*",18)))) { goto L4; }
   V3 = ecl_make_fixnum(-1);
   goto L3;
L4:;
   V3 = L58canonical_type(V1);
L3:;
   if (!((V2)==(ECL_SYM("*",18)))) { goto L7; }
   V4 = ecl_make_fixnum(-1);
   goto L6;
L7:;
   V4 = L58canonical_type(V2);
L6:;
   if (ecl_zerop(V3)) { goto L11; }
   if (!(ecl_zerop(V4))) { goto L9; }
   goto L10;
L11:;
L10:;
   value0 = ecl_make_fixnum(0);
   cl_env_copy->nvalues = 1;
   return value0;
L9:;
   if (!(ecl_number_equalp(V3,ecl_make_fixnum(-1)))) { goto L13; }
   if (!(ecl_number_equalp(V4,ecl_make_fixnum(-1)))) { goto L13; }
   value0 = L58canonical_type(ECL_SYM("CONS",251));
   return value0;
L13:;
   cl_env_copy->values[0] = ECL_SYM("CONS",251);
   cl_env_copy->nvalues = 1;
   cl_throw(VV[56]);
  }
 }
}
/*	function definition for FIND-BUILT-IN-TAG                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56find_built_in_tag(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  RECORD          */
   V2 = ECL_NIL;
   if (!((V1)==(ECL_T))) { goto L2; }
   value0 = ecl_make_fixnum(-1);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   V2 = ecl_gethash_safe(V1,ecl_symbol_value(VV[66]),V1);
   if (!((V2)==(V1))) { goto L4; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   {
    cl_object V3;                                 /*  ALIAS           */
    cl_object V4;                                 /*  TAG             */
    {
     cl_object V5;
     V5 = V2;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     if (Null(V5)) { goto L11; }
     {
      cl_object V6;
      V6 = ECL_CONS_CDR(V5);
      V2 = V6;
      V5 = ECL_CONS_CAR(V5);
     }
L11:;
     V3 = V5;
    }
    V4 = ECL_NIL;
    if (Null(V3)) { goto L19; }
    V4 = L58canonical_type(V3);
    goto L18;
L19:;
    {
     cl_object V5;                                /*  STRICT-SUPERTYPE */
     cl_object V6;                                /*  STRICT-SUPERTYPE-TAG */
     value0 = ecl_car(V2);
     if ((value0)!=ECL_NIL) { goto L24; }
     V5 = ECL_T;
     goto L22;
L24:;
     V5 = value0;
     goto L22;
L22:;
     V6 = L58canonical_type(V5);
     V4 = L29new_type_tag();
     if ((V5)==(ECL_T)) { goto L18; }
     L57extend_type_tag(V4, V6);
    }
L18:;
    value0 = L38push_type(V1, V4);
    return value0;
   }
  }
 }
}
/*	function definition for EXTEND-TYPE-TAG                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57extend_type_tag(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_symbol_value(VV[52]);
   goto L4;
L3:;
   {
    cl_object V4;                                 /*  TYPE            */
    V4 = ecl_car(V3);
    {
     cl_object V5;                                /*  OTHER-TAG       */
     V5 = ecl_cdr(V4);
     T0 = ecl_boole(ECL_BOOLANDC2,(V2),(V5));
     if (!(ecl_zerop(T0))) { goto L8; }
     {
      cl_object V6;
      V6 = ecl_boole(ECL_BOOLIOR,(V1),(V5));
      (ECL_CONS_CDR(V4)=V6,V4);
     }
    }
L8:;
   }
   V3 = ecl_cdr(V3);
L4:;
   if (Null(V3)) { goto L15; }
   goto L3;
L15:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for CANONICAL-TYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58canonical_type(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;
   V2 = L30find_registered_tag(1, V1);
   if (Null(V2)) { goto L2; }
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   if (!((V1)==(ECL_T))) { goto L4; }
   value0 = ecl_make_fixnum(-1);
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   if (!((V1)==(ECL_NIL))) { goto L6; }
   value0 = ecl_make_fixnum(0);
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   if (!(ECL_SYMBOLP(V1))) { goto L8; }
   {
    cl_object V3;                                 /*  EXPANDER        */
    V3 = si_get_sysprop(V1, VV[9]);
    if (Null(V3)) { goto L11; }
    V1 = ecl_function_dispatch(cl_env_copy,V3)(0);
    goto TTL;
L11:;
    {
     cl_object V4;
     V4 = L56find_built_in_tag(V1);
     if (Null(V4)) { goto L16; }
     value0 = V4;
     cl_env_copy->nvalues = 1;
     return value0;
L16:;
     {
      cl_object V5;                               /*  CLASS           */
      V5 = cl_find_class(2, V1, ECL_NIL);
      if (Null(V5)) { goto L19; }
      value0 = L42register_class(V5);
      return value0;
L19:;
      cl_env_copy->values[0] = ECL_NIL;
      cl_env_copy->nvalues = 1;
      cl_throw(VV[56]);
     }
    }
   }
L8:;
   if (!(ECL_CONSP(V1))) { goto L22; }
   {
    cl_object V6;
    V6 = ecl_car(V1);
    if (!((V6)==(ECL_SYM("AND",87)))) { goto L25; }
    T0 = (ECL_SYM("LOGAND",492)->symbol.gfdef);
    {
     cl_object V7;                                /*  LET66           */
     cl_object V8;
     cl_object V9;
     V7 = ecl_cdr(V1);
     V8 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     V9 = V7;
     {
      cl_object V10;
      cl_object V11;
      V10 = ecl_list1(ECL_NIL);
      V11 = V10;
L35:;
      if (!(ecl_endp(V9))) { goto L37; }
      goto L36;
L37:;
      V8 = _ecl_car(V9);
      {
       cl_object V12;
       V12 = _ecl_cdr(V9);
       if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
       V9 = V12;
      }
      if (ecl_unlikely(ECL_ATOM(V11))) FEtype_error_cons(V11);
      T2 = V11;
      T3 = L58canonical_type(V8);
      V11 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=V11,T2);
      goto L35;
L36:;
      T1 = ecl_cdr(V10);
      goto L28;
     }
    }
L28:;
    value0 = cl_apply(2, T0, T1);
    return value0;
L25:;
    if (!((V6)==(ECL_SYM("OR",614)))) { goto L51; }
    T0 = (ECL_SYM("LOGIOR",500)->symbol.gfdef);
    {
     cl_object V7;                                /*  LET68           */
     cl_object V8;
     cl_object V9;
     V7 = ecl_cdr(V1);
     V8 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     V9 = V7;
     {
      cl_object V10;
      cl_object V11;
      V10 = ecl_list1(ECL_NIL);
      V11 = V10;
L61:;
      if (!(ecl_endp(V9))) { goto L63; }
      goto L62;
L63:;
      V8 = _ecl_car(V9);
      {
       cl_object V12;
       V12 = _ecl_cdr(V9);
       if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
       V9 = V12;
      }
      if (ecl_unlikely(ECL_ATOM(V11))) FEtype_error_cons(V11);
      T2 = V11;
      T3 = L58canonical_type(V8);
      V11 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=V11,T2);
      goto L61;
L62:;
      T1 = ecl_cdr(V10);
      goto L54;
     }
    }
L54:;
    value0 = cl_apply(2, T0, T1);
    return value0;
L51:;
    if (!((V6)==(ECL_SYM("NOT",584)))) { goto L77; }
    T0 = ecl_cadr(V1);
    T1 = L58canonical_type(T0);
    value0 = ecl_boole(ECL_BOOLXOR,(T1),ecl_make_fixnum(-1));
    cl_env_copy->nvalues = 1;
    return value0;
L77:;
    if (!((V6)==(ECL_SYM("EQL",334)))) { goto L84; }
    goto L81;
    goto L82;
L84:;
    goto L82;
L82:;
    if (!((V6)==(ECL_SYM("MEMBER",552)))) { goto L79; }
    goto L80;
L81:;
L80:;
    T0 = (ECL_SYM("LOGIOR",500)->symbol.gfdef);
    {
     cl_object V7;                                /*  LET70           */
     cl_object V8;
     cl_object V9;
     V7 = ecl_cdr(V1);
     V8 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     V9 = V7;
     {
      cl_object V10;
      cl_object V11;
      V10 = ecl_list1(ECL_NIL);
      V11 = V10;
L95:;
      if (!(ecl_endp(V9))) { goto L97; }
      goto L96;
L97:;
      V8 = _ecl_car(V9);
      {
       cl_object V12;
       V12 = _ecl_cdr(V9);
       if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
       V9 = V12;
      }
      if (ecl_unlikely(ECL_ATOM(V11))) FEtype_error_cons(V11);
      T2 = V11;
      T3 = L35register_member_type(V8);
      V11 = ecl_list1(T3);
      (ECL_CONS_CDR(T2)=V11,T2);
      goto L95;
L96:;
      T1 = ecl_cdr(V10);
      goto L88;
     }
    }
L88:;
    value0 = cl_apply(2, T0, T1);
    return value0;
L79:;
    if (!((V6)==(ECL_SYM("SATISFIES",735)))) { goto L111; }
    value0 = L39register_satisfies_type(V1);
    return value0;
L111:;
    if (Null(ecl_memql(V6,VV[67]))) { goto L113; }
    value0 = L51register_interval_type(V1);
    return value0;
L113:;
    if (!((V6)==(ECL_SYM("FLOAT",374)))) { goto L115; }
    T0 = ecl_cdr(V1);
    T1 = CONS(ECL_SYM("SINGLE-FLOAT",778),T0);
    T2 = ecl_cdr(V1);
    T3 = CONS(ECL_SYM("DOUBLE-FLOAT",315),T2);
    T4 = ecl_cdr(V1);
    T5 = CONS(ECL_SYM("LONG-FLOAT",508),T4);
    V1 = cl_list(4, ECL_SYM("OR",614), T1, T3, T5);
    goto TTL;
L115:;
    if (!((V6)==(ECL_SYM("REAL",703)))) { goto L120; }
    T0 = ecl_cdr(V1);
    T1 = CONS(ECL_SYM("INTEGER",437),T0);
    T2 = ecl_cdr(V1);
    T3 = CONS(ECL_SYM("RATIO",686),T2);
    T4 = ecl_cdr(V1);
    T5 = CONS(ECL_SYM("SINGLE-FLOAT",778),T4);
    T6 = ecl_cdr(V1);
    T7 = CONS(ECL_SYM("DOUBLE-FLOAT",315),T6);
    T8 = ecl_cdr(V1);
    T9 = CONS(ECL_SYM("LONG-FLOAT",508),T8);
    V1 = cl_list(6, ECL_SYM("OR",614), T1, T3, T5, T7, T9);
    goto TTL;
L120:;
    if (!((V6)==(ECL_SYM("RATIONAL",687)))) { goto L125; }
    T0 = ecl_cdr(V1);
    T1 = CONS(ECL_SYM("INTEGER",437),T0);
    T2 = ecl_cdr(V1);
    T3 = CONS(ECL_SYM("RATIO",686),T2);
    V1 = cl_list(3, ECL_SYM("OR",614), T1, T3);
    goto TTL;
L125:;
    if (!((V6)==(ECL_SYM("COMPLEX",241)))) { goto L130; }
    value0 = L56find_built_in_tag(V1);
    if ((value0)!=ECL_NIL) { goto L133; }
    T0 = ecl_cadr(V1);
    value0 = L54canonical_complex_type(T0);
    return value0;
L133:;
    cl_env_copy->nvalues = 1;
    return value0;
L130:;
    if (!((V6)==(ECL_SYM("CONS",251)))) { goto L135; }
    T0 = (VV[65]->symbol.gfdef);
    T1 = ecl_cdr(V1);
    value0 = cl_apply(2, T0, T1);
    return value0;
L135:;
    if (!((V6)==(ECL_SYM("ARRAY",96)))) { goto L138; }
    T0 = ecl_cdr(V1);
    T1 = CONS(ECL_SYM("COMPLEX-ARRAY",1772),T0);
    T2 = L43register_array_type(T1);
    T3 = ecl_cdr(V1);
    T4 = CONS(ECL_SYM("SIMPLE-ARRAY",763),T3);
    T5 = L43register_array_type(T4);
    value0 = ecl_boole(ECL_BOOLIOR,(T2),(T5));
    cl_env_copy->nvalues = 1;
    return value0;
L138:;
    if (!((V6)==(ECL_SYM("COMPLEX-ARRAY",1772)))) { goto L145; }
    goto L142;
    goto L143;
L145:;
    goto L143;
L143:;
    if (!((V6)==(ECL_SYM("SIMPLE-ARRAY",763)))) { goto L140; }
    goto L141;
L142:;
L141:;
    value0 = L43register_array_type(V1);
    return value0;
L140:;
    if (!((V6)==(ECL_SYM("FUNCTION",396)))) { goto L148; }
    V1 = ECL_SYM("FUNCTION",396);
    goto TTL;
L148:;
    {
     cl_object V7;                                /*  EXPANDER        */
     T0 = ecl_car(V1);
     V7 = si_get_sysprop(T0, VV[9]);
     if (Null(V7)) { goto L153; }
     T0 = ecl_cdr(V1);
     V1 = cl_apply(2, V7, T0);
     goto TTL;
L153:;
     T0 = ecl_car(V1);
     if ((ecl_assql(T0,ecl_symbol_value(VV[52])))!=ECL_NIL) { goto L157; }
     cl_env_copy->values[0] = ECL_NIL;
     cl_env_copy->nvalues = 1;
     cl_throw(VV[56]);
L157:;
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
L22:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[84])(1, V1) /*  CLASSP */)) { goto L160; }
   value0 = L42register_class(V1);
   return value0;
L160:;
   if (Null(cl_fboundp(VV[71]))) { goto L162; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[71])(1, V1) /*  FUNCTION-TYPE-P */)) { goto L162; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[96])(1, V1) /*  REGISTER-FUNCTION-TYPE */;
   return value0;
L162:;
   if (Null(cl_fboundp(VV[72]))) { goto L165; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[72])(1, V1) /*  VALUES-TYPE-P */)) { goto L165; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[97])(1, V1) /*  REGISTER-VALUES-TYPE */;
   return value0;
L165:;
   value0 = L24error_type_specifier(V1);
   return value0;
  }
 }
}
/*	function definition for SAFE-CANONICAL-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59safe_canonical_type(cl_object volatile V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[56];
  if (ecl_frs_push(cl_env_copy,value0)) {         /*  BEGIN CATCH 1   */
   value0 = cl_env_copy->values[0];
  } else {
   value0 = L58canonical_type(V1);
  }
  ecl_frs_pop(cl_env_copy);                       /*  END CATCH 1     */
  return value0;
 }
}
/*	function definition for FAST-SUBTYPEP                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60fast_subtypep(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(V2))) { goto L1; }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = ECL_T;
  return cl_env_copy->values[0];
L1:;
  {
   cl_object V3;                                  /*  TAG1            */
   cl_object V4;                                  /*  TAG2            */
   V3 = L59safe_canonical_type(V1);
   V4 = L59safe_canonical_type(V2);
   if (!(ecl_numberp(V3))) { goto L5; }
   if (!(ecl_numberp(V4))) { goto L5; }
   T0 = L59safe_canonical_type(V1);
   T1 = L59safe_canonical_type(V2);
   T2 = ecl_boole(ECL_BOOLANDC2,(T0),(T1));
   {
    bool V5;
    V5 = ecl_zerop(T2);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_T;
    cl_env_copy->values[0] = ecl_make_bool(V5);
    return cl_env_copy->values[0];
   }
L5:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = ECL_NIL;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for SUBTYPEP                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_subtypep(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(V2))) { goto L2; }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = ECL_T;
  return cl_env_copy->values[0];
L2:;
  if (!(ECL_INSTANCEP(V1))) { goto L4; }
  if (!(ECL_INSTANCEP(V2))) { goto L4; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[84])(1, V1) /*  CLASSP */)) { goto L4; }
  if (Null(ecl_function_dispatch(cl_env_copy,VV[84])(1, V2) /*  CLASSP */)) { goto L4; }
  T0 = si_subclassp(2, V1, V2);
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
L4:;
  {
   cl_object V4;                                  /*  CACHE           */
   uint8_t V5;                                    /*  HASH            */
   cl_object V6;                                  /*  ELT             */
   V4 = ecl_symbol_value(VV[4]);
   T0 = si_hash_eql(2, V1, V2);
   V5 = ecl_to_uint8_t(ecl_boole(ECL_BOOLAND,(T0),(ecl_make_fixnum(255))));
   {
    cl_fixnum V7;
    if (ecl_unlikely(((cl_fixnum)(V5))>=(V4)->vector.dim))
           FEwrong_index(ECL_NIL,V4,-1,ecl_make_fixnum((cl_fixnum)(V5)),(V4)->vector.dim);
    V7 = (cl_fixnum)(V5);
    V6 = ecl_aref_unsafe(V4,V7);
   }
   if (Null(V6)) { goto L15; }
   T0 = ecl_caar(V6);
   if (!((T0)==(V1))) { goto L15; }
   T0 = ecl_cdar(V6);
   if (!((T0)==(V2))) { goto L15; }
   V6 = ecl_cdr(V6);
   T0 = ecl_car(V6);
   T1 = ecl_cdr(V6);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T1;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
L15:;
   ecl_bds_push(cl_env_copy,VV[49]);              /*  *HIGHEST-TYPE-TAG* */
   ecl_bds_bind(cl_env_copy,VV[48],ECL_T);        /*  *SAVE-TYPES-DATABASE* */
   ecl_bds_push(cl_env_copy,VV[50]);              /*  *MEMBER-TYPES*  */
   ecl_bds_push(cl_env_copy,VV[52]);              /*  *ELEMENTARY-TYPES* */
   cl_env_copy->values[0] = L60fast_subtypep(V1, V2);
   {
    cl_object V8;                                 /*  TEST            */
    cl_object V9;                                 /*  CONFIDENT       */
    {
     int V10 = cl_env_copy->nvalues-0;
     if (V10--<=0) goto L22;
     V8 = cl_env_copy->values[0];
     if (V10--<=0) goto L23;
     V9 = cl_env_copy->values[1];
     goto L24;
    }
L22:;
    V8 = ECL_NIL;
L23:;
    V9 = ECL_NIL;
L24:;
    {
     uint8_t V10;
     if (ecl_unlikely(((cl_fixnum)(V5))>=(V4)->vector.dim))
           FEwrong_index(ECL_NIL,V4,-1,ecl_make_fixnum((cl_fixnum)(V5)),(V4)->vector.dim);
     V10 = V5;
     T0 = CONS(V1,V2);
     T1 = cl_listX(3, T0, V8, V9);
     ecl_aset_unsafe(V4,(cl_fixnum)(V10),T1);
    }
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = V9;
    cl_env_copy->values[0] = V8;
    ecl_bds_unwind_n(cl_env_copy,4);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for FAST-TYPE=                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61fast_type_(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(V2))) { goto L1; }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = ECL_T;
  return cl_env_copy->values[0];
L1:;
  {
   cl_object V3;                                  /*  TAG1            */
   cl_object V4;                                  /*  TAG2            */
   V3 = L59safe_canonical_type(V1);
   V4 = L59safe_canonical_type(V2);
   if (!(ecl_numberp(V3))) { goto L5; }
   if (!(ecl_numberp(V4))) { goto L5; }
   T0 = L59safe_canonical_type(V1);
   T1 = L59safe_canonical_type(V2);
   {
    bool V5;
    V5 = ecl_number_equalp(T0,T1);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = ECL_T;
    cl_env_copy->values[0] = ecl_make_bool(V5);
    return cl_env_copy->values[0];
   }
L5:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = ECL_NIL;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for TYPE=                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62type_(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET71           */
   cl_object V4;                                  /*  LET73           */
   cl_object V5;                                  /*  LET74           */
   V3 = ecl_symbol_value(VV[49]);
   V4 = ecl_symbol_value(VV[50]);
   V5 = ecl_symbol_value(VV[52]);
   ecl_bds_bind(cl_env_copy,VV[49],V3);           /*  *HIGHEST-TYPE-TAG* */
   ecl_bds_bind(cl_env_copy,VV[48],ECL_T);        /*  *SAVE-TYPES-DATABASE* */
   ecl_bds_bind(cl_env_copy,VV[50],V4);           /*  *MEMBER-TYPES*  */
   ecl_bds_bind(cl_env_copy,VV[52],V5);           /*  *ELEMENTARY-TYPES* */
   value0 = L61fast_type_(V1, V2);
   ecl_bds_unwind_n(cl_env_copy,4);
   return value0;
  }
 }
}

#include "lsp/predlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclyAfyXkZ7_L1sfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;PREDLIB.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclyAfyXkZ7_L1sfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[76]);                           /*  CONSTANTLY-T    */
 ecl_cmp_defun(VV[77]);                           /*  CONSTANTLY-NIL  */
 (void)0; /* No entry created for CONSTANTLY */
 si_Xmake_special(VV[4]);
 cl_set(VV[4],si_make_vector(ECL_T, ecl_make_fixnum(256), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0)));
 si_Xmake_special(VV[5]);
 cl_set(VV[5],si_make_vector(ECL_T, ecl_make_fixnum(128), ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0)));
 ecl_cmp_defun(VV[78]);                           /*  SUBTYPEP-CLEAR-CACHE */
 ecl_cmp_defun(VV[79]);                           /*  CREATE-TYPE-NAME */
 (void)0; /* No entry created for DO-DEFTYPE */
 ecl_cmp_defmacro(VV[80]);                        /*  DEFTYPE         */
 si_do_deftype(3, ECL_SYM("BOOLEAN",155), VVtemp[0], VVtemp[1]);
 si_do_deftype(3, VV[15], VVtemp[2], VVtemp[3]);
 si_do_deftype(3, ECL_SYM("FIXNUM",372), VVtemp[4], VVtemp[5]);
 si_do_deftype(3, ECL_SYM("BIGNUM",122), VVtemp[6], VVtemp[7]);
 si_do_deftype(3, ECL_SYM("BYTE8",1330), VVtemp[8], VVtemp[9]);
 si_do_deftype(3, ECL_SYM("INTEGER8",1335), VVtemp[10], VVtemp[11]);
 si_do_deftype(3, ECL_SYM("BYTE16",1331), VVtemp[12], VVtemp[13]);
 si_do_deftype(3, ECL_SYM("INTEGER16",1336), VVtemp[14], VVtemp[15]);
 si_do_deftype(3, ECL_SYM("BYTE32",1332), VVtemp[16], VVtemp[17]);
 si_do_deftype(3, ECL_SYM("INTEGER32",1337), VVtemp[18], VVtemp[19]);
 si_do_deftype(3, ECL_SYM("BYTE64",1333), VVtemp[20], VVtemp[21]);
 si_do_deftype(3, ECL_SYM("INTEGER64",1338), VVtemp[22], VVtemp[23]);
 si_do_deftype(3, ECL_SYM("CL-FIXNUM",1581), VVtemp[24], VVtemp[25]);
 si_do_deftype(3, ECL_SYM("CL-INDEX",1582), VVtemp[26], VVtemp[27]);
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC7real,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("REAL",703), VVtemp[28], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC8short_float,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("SHORT-FLOAT",756), VVtemp[29], T0);
 }
 si_do_deftype(3, ECL_SYM("BIT",123), VVtemp[30], VVtemp[31]);
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC9mod,ECL_NIL,Cblock,1);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("MOD",560), VVtemp[32], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC10signed_byte,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("SIGNED-BYTE",761), VVtemp[33], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC11unsigned_byte,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("UNSIGNED-BYTE",885), VVtemp[34], T0);
 }
 si_do_deftype(3, ECL_SYM("NULL",605), VVtemp[35], VVtemp[36]);
 si_do_deftype(3, ECL_SYM("SEQUENCE",741), VVtemp[37], VVtemp[38]);
 si_do_deftype(3, ECL_SYM("LIST",481), VVtemp[39], VVtemp[40]);
 si_do_deftype(3, VV[19], VVtemp[41], VVtemp[42]);
 si_do_deftype(3, ECL_SYM("PROPERTY-LIST",1657), VVtemp[43], VVtemp[44]);
 si_do_deftype(3, ECL_SYM("ATOM",119), VVtemp[45], VVtemp[46]);
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC12vector,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("VECTOR",898), VVtemp[47], T0);
 }
 si_do_deftype(3, ECL_SYM("EXTENDED-CHAR",346), VVtemp[48], VVtemp[49]);
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC13string,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("STRING",805), VVtemp[50], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC14base_string,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("BASE-STRING",121), VVtemp[51], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC15extended_string,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("EXTENDED-STRING",1676), VVtemp[52], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC16bit_vector,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("BIT-VECTOR",134), VVtemp[53], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC17simple_vector,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("SIMPLE-VECTOR",774), VVtemp[54], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC18simple_string,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("SIMPLE-STRING",771), VVtemp[55], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC19simple_base_string,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("SIMPLE-BASE-STRING",764), VVtemp[56], T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC20simple_bit_vector,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, ECL_SYM("SIMPLE-BIT-VECTOR",765), VVtemp[57], T0);
 }
 si_do_deftype(3, ECL_SYM("ARRAY-INDEX",1770), VVtemp[58], VVtemp[59]);
 ecl_cmp_defun(VV[81]);                           /*  SIMPLE-ARRAY-P  */
 ecl_cmp_defun(VV[82]);                           /*  COMPLEX-ARRAY-P */
 si_Xmake_constant(VV[30], VVtemp[60]);
 {
  cl_object T0, T1;
 {
  cl_object V1;
  V1 = ecl_symbol_value(VV[30]);
  goto L107;
L106:;
  {
   cl_object V2;                                  /*  L               */
   V2 = ecl_car(V1);
   T0 = ecl_car(V2);
   T1 = ecl_cdr(V2);
   si_put_sysprop(T0, VV[31], T1);
  }
  V1 = ecl_cdr(V1);
L107:;
  if (Null(V1)) { goto L114; }
  goto L106;
L114:;
 }
 }
 si_Xmake_constant(VV[32], VVtemp[61]);
 (void)0; /* No entry created for UPGRADED-ARRAY-ELEMENT-TYPE */
 (void)0; /* No entry created for UPGRADED-COMPLEX-PART-TYPE */
 (void)0; /* No entry created for IN-INTERVAL-P */
 (void)0; /* No entry created for ERROR-TYPE-SPECIFIER */
 (void)0; /* No entry created for MATCH-DIMENSIONS */
 (void)0; /* No entry created for TYPEP */
 (void)0; /* No entry created for SUBCLASSP */
 (void)0; /* No entry created for OF-CLASS-P */
 ecl_cmp_defun(VV[83]);                           /*  NORMALIZE-TYPE  */
 ecl_cmp_defun(VV[85]);                           /*  EXPAND-DEFTYPE  */
 ecl_cmp_defun(VV[86]);                           /*  ERROR-COERCE    */
 (void)0; /* No entry created for COERCE */
 si_Xmake_special(VV[48]);
 cl_set(VV[48],ECL_NIL);
 si_Xmake_special(VV[49]);
 cl_set(VV[49],ecl_make_fixnum(1));
 si_Xmake_special(VV[50]);
 cl_set(VV[50],ECL_NIL);
 si_Xmake_special(VV[51]);
 cl_set(VV[51],ecl_make_fixnum(1));
 si_Xmake_special(VV[52]);
 cl_set(VV[52],ECL_NIL);
 (void)0; /* No entry created for NEW-TYPE-TAG */
 (void)0; /* No entry created for FIND-REGISTERED-TAG */
 (void)0; /* No entry created for MAYBE-SAVE-TYPES */
 ecl_cmp_defun(VV[87]);                           /*  UPDATE-TYPES    */
 (void)0; /* No entry created for FIND-TYPE-BOUNDS */
 (void)0; /* No entry created for REGISTER-TYPE */
 ecl_cmp_defun(VV[88]);                           /*  REGISTER-MEMBER-TYPE */
 (void)0; /* No entry created for SIMPLE-MEMBER-TYPE */
 ecl_cmp_defun(VV[89]);                           /*  NUMBER-MEMBER-TYPE */
 (void)0; /* No entry created for PUSH-TYPE */
 (void)0; /* No entry created for REGISTER-SATISFIES-TYPE */
 (void)0; /* No entry created for REGISTER-CLASS */
 (void)0; /* No entry created for REGISTER-ARRAY-TYPE */
 (void)0; /* No entry created for FAST-UPGRADED-ARRAY-ELEMENT-TYPE */
 (void)0; /* No entry created for PARSE-ARRAY-TYPE */
 ecl_cmp_defun(VV[90]);                           /*  ARRAY-TYPE-<=   */
 ecl_cmp_defun(VV[91]);                           /*  ARRAY-TYPE-P    */
 (void)0; /* No entry created for REGISTER-ELEMENTARY-INTERVAL */
 (void)0; /* No entry created for REGISTER-INTERVAL-TYPE */
 ecl_cmp_defun(VV[92]);                           /*  BOUNDS-<=       */
 ecl_cmp_defun(VV[93]);                           /*  BOUNDS-<        */
 (void)0; /* No entry created for CANONICAL-COMPLEX-TYPE */
 ecl_cmp_defun(VV[94]);                           /*  REGISTER-CONS-TYPE */
 {
  cl_object T0, T1;
 T0 = cl_make_hash_table(4, ECL_SYM("TEST",1316), ECL_SYM("EQ",333), ECL_SYM("SIZE",1308), ecl_make_fixnum(128));
 T1 = si_hash_table_fill(T0, VVtemp[62]);
 si_Xmake_constant(VV[66], T1);
 }
 (void)0; /* No entry created for FIND-BUILT-IN-TAG */
 (void)0; /* No entry created for EXTEND-TYPE-TAG */
 ecl_cmp_defun(VV[95]);                           /*  CANONICAL-TYPE  */
 ecl_cmp_defun(VV[98]);                           /*  SAFE-CANONICAL-TYPE */
 (void)0; /* No entry created for FAST-SUBTYPEP */
 (void)0; /* No entry created for SUBTYPEP */
 (void)0; /* No entry created for FAST-TYPE= */
 ecl_cmp_defun(VV[99]);                           /*  TYPE=           */
}
