/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;SEQ.LSP                                       */
#include <ecl/ecl-cmp.h>
#include "lsp/seq.eclh"
/*	function definition for ERROR-NOT-A-SEQUENCE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1error_not_a_sequence(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_signal_type_error(V1, ECL_SYM("SEQUENCE",741));
  return value0;
 }
}
/*	function definition for ERROR-SEQUENCE-INDEX                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2error_sequence_index(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, V2, V1);
  value0 = cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V2, ECL_SYM("EXPECTED-TYPE",1232), ECL_SYM("UNSIGNED-BYTE",885), ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_1, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
  return value0;
 }
}
/*	function definition for ERROR-SEQUENCE-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3error_sequence_type(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_vector(0);
  T1 = ecl_list1(V1);
  value0 = cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), T0, ECL_SYM("EXPECTED-TYPE",1232), V1, ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_2, ECL_SYM("FORMAT-ARGUMENTS",1239), T1);
  return value0;
 }
}
/*	function definition for ERROR-SEQUENCE-LENGTH                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4error_sequence_length(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, V3, V2);
  value0 = cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_3, ECL_SYM("FORMAT-ARGUMENTS",1239), T0, ECL_SYM("EXPECTED-TYPE",1232), V2, ECL_SYM("DATUM",1214), V1);
  return value0;
 }
}
/*	function definition for CLOSEST-SEQUENCE-TYPE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5closest_sequence_type(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  ELT-TYPE        */
   cl_object V3;                                  /*  LENGTH          */
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  ARGS            */
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   if (!(ECL_CONSP(V1))) { goto L6; }
   V4 = ecl_car(V1);
   V5 = ecl_cdr(V1);
   goto L5;
L6:;
   if (!(ECL_INSTANCEP(V1))) { goto L11; }
   V4 = (cl_env_copy->function=(ECL_SYM("CLASS-NAME",934)->symbol.gfdef))->cfun.entry(1, V1) /*  CLASS-NAME */;
   V5 = ECL_NIL;
   goto L5;
L11:;
   V4 = V1;
   V5 = ECL_NIL;
L5:;
   if (!((V4)==(ECL_SYM("LIST",481)))) { goto L20; }
   V2 = ECL_SYM("LIST",481);
   V3 = ECL_SYM("*",18);
   goto L19;
L20:;
   if (!((V4)==(ECL_SYM("VECTOR",898)))) { goto L26; }
   if (!(ecl_endp(V5))) { goto L31; }
   V2 = ECL_T;
   goto L30;
L31:;
   V2 = ecl_car(V5);
L30:;
   T0 = ecl_cdr(V5);
   if (!(ecl_endp(T0))) { goto L34; }
   V3 = ECL_SYM("*",18);
   goto L33;
L34:;
   V3 = ecl_cadr(V5);
L33:;
   goto L19;
L26:;
   if (!((V4)==(ECL_SYM("SIMPLE-VECTOR",774)))) { goto L36; }
   V2 = ECL_T;
   if (!(ecl_endp(V5))) { goto L42; }
   V3 = ECL_SYM("*",18);
   goto L41;
L42:;
   V3 = ecl_car(V5);
L41:;
   goto L19;
L36:;
   if (!((V4)==(ECL_SYM("BASE-STRING",121)))) { goto L49; }
   goto L46;
   goto L47;
L49:;
   goto L47;
L47:;
   if (!((V4)==(VV[4]))) { goto L44; }
   goto L45;
L46:;
L45:;
   V2 = ECL_SYM("BASE-CHAR",120);
   if (!(ecl_endp(V5))) { goto L55; }
   V3 = ECL_SYM("*",18);
   goto L54;
L55:;
   V3 = ecl_car(V5);
L54:;
   goto L19;
L44:;
   if (!((V4)==(ECL_SYM("STRING",805)))) { goto L62; }
   goto L59;
   goto L60;
L62:;
   goto L60;
L60:;
   if (!((V4)==(ECL_SYM("SIMPLE-STRING",771)))) { goto L57; }
   goto L58;
L59:;
L58:;
   V2 = ECL_SYM("CHARACTER",222);
   if (!(ecl_endp(V5))) { goto L68; }
   V3 = ECL_SYM("*",18);
   goto L67;
L68:;
   V3 = ecl_car(V5);
L67:;
   goto L19;
L57:;
   if (!((V4)==(ECL_SYM("BIT-VECTOR",134)))) { goto L75; }
   goto L72;
   goto L73;
L75:;
   goto L73;
L73:;
   if (!((V4)==(ECL_SYM("SIMPLE-BIT-VECTOR",765)))) { goto L70; }
   goto L71;
L72:;
L71:;
   V2 = ECL_SYM("BIT",123);
   if (!(ecl_endp(V5))) { goto L81; }
   V3 = ECL_SYM("*",18);
   goto L80;
L81:;
   V3 = ecl_car(V5);
L80:;
   goto L19;
L70:;
   if (!((V4)==(ECL_SYM("ARRAY",96)))) { goto L88; }
   goto L85;
   goto L86;
L88:;
   goto L86;
L86:;
   if (!((V4)==(ECL_SYM("SIMPLE-ARRAY",763)))) { goto L83; }
   goto L84;
L85:;
L84:;
   T0 = ecl_cdr(V5);
   if (ecl_endp(T0)) { goto L93; }
   V3 = ecl_cadr(V5);
   if (ECL_ATOM(V3)) { goto L93; }
   if (ecl_endp(V3)) { goto L93; }
   T0 = ecl_cdr(V3);
   if (ecl_endp(T0)) { goto L91; }
   goto L92;
L93:;
L92:;
   L3error_sequence_type(V1);
L91:;
   T0 = ecl_car(V5);
   V2 = cl_upgraded_array_element_type(1, T0);
   T0 = ecl_cadr(V5);
   V3 = ecl_car(T0);
   goto L19;
L83:;
   {
    cl_object V6;
    V6 = VV[12];
    goto L104;
L103:;
    {
     cl_object V7;                                /*  I               */
     V7 = ecl_car(V6);
     T0 = ecl_car(V7);
     if (Null(cl_subtypep(2, V1, T0))) { goto L108; }
     V2 = ecl_cdr(V7);
     V3 = ECL_SYM("*",18);
     if ((V2)!=ECL_NIL) { goto L114; }
     L3error_sequence_type(V1);
L114:;
     goto L19;
L108:;
    }
    V6 = ecl_cdr(V6);
L104:;
    if (Null(V6)) { goto L118; }
    goto L103;
L118:;
    if (Null(cl_subtypep(2, V1, ECL_SYM("VECTOR",898)))) { goto L120; }
    cl_error(2, _ecl_static_4, V1);
    goto L19;
L120:;
    L3error_sequence_type(V1);
   }
L19:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = V3;
   cl_env_copy->values[0] = V2;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for MAKE-SEQUENCE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_make_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_fixnum V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = ecl_to_fixnum(V2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_make_sequencekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
   V5 = keyvars[1];
  }
  {
   cl_object V6;                                  /*  SEQUENCE        */
   V6 = ECL_NIL;
   cl_env_copy->values[0] = L5closest_sequence_type(V1);
   {
    cl_object V8;                                 /*  ELEMENT-TYPE    */
    cl_object V9;                                 /*  LENGTH          */
    {
     int V10 = cl_env_copy->nvalues-0;
     if (V10--<=0) goto L3;
     V8 = cl_env_copy->values[0];
     if (V10--<=0) goto L4;
     V9 = cl_env_copy->values[1];
     goto L5;
    }
L3:;
    V8 = ECL_NIL;
L4:;
    V9 = ECL_NIL;
L5:;
    if (!((V8)==(ECL_SYM("LIST",481)))) { goto L7; }
    V6 = cl_make_list(3, ecl_make_fixnum(V3), ECL_SYM("INITIAL-ELEMENT",1251), V4);
    if ((cl_subtypep(2, ECL_SYM("LIST",481), V1))!=ECL_NIL) { goto L6; }
    if (Null(cl_subtypep(2, V1, ECL_SYM("NULL",605)))) { goto L16; }
    if ((V3)>0) { goto L13; }
    goto L14;
L16:;
    goto L14;
L14:;
    if (Null(cl_subtypep(2, V1, ECL_SYM("CONS",251)))) { goto L6; }
    if (!((V3)==0)) { goto L6; }
    goto L12;
L13:;
L12:;
    T0 = cl_make_list(3, ecl_make_fixnum(V3), ECL_SYM("INITIAL-ELEMENT",1251), V4);
    L4error_sequence_length(T0, V1, ecl_make_fixnum(0));
    goto L6;
L7:;
    if (!((V8)==(ECL_SYM("*",18)))) { goto L22; }
    T0 = ECL_T;
    goto L21;
L22:;
    T0 = V8;
L21:;
    V6 = si_make_vector(T0, ecl_make_fixnum(V3), ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL);
    if (Null(V5)) { goto L24; }
    si_fill_array_with_elt(V6, V4, ecl_make_fixnum(0), ECL_NIL);
L24:;
    if ((V9)==(ECL_SYM("*",18))) { goto L6; }
    if ((V9)==(ecl_make_fixnum(V3))) { goto L6; }
    L4error_sequence_length(V6, V1, ecl_make_fixnum(V3));
L6:;
    value0 = V6;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for MAKE-SEQ-ITERATOR                     */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_make_seq_iterator(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V2;
 va_list args; va_start(args,V1);
 {
  int i = 1;
  if (i >= narg) {
   V2 = 0;
  } else {
   i++;
   V2 = ecl_fixnum(va_arg(args,cl_object));
  }
 }
 va_end(args);
 if (!(1)) { goto L2; }
 if (!((V2)<0)) { goto L4; }
 value0 = L2error_sequence_index(V1, ecl_make_fixnum(V2));
 return value0;
L4:;
 if (!(ECL_LISTP(V1))) { goto L6; }
 value0 = ecl_nthcdr(V2,V1);
 cl_env_copy->nvalues = 1;
 return value0;
L6:;
 if (!(ECL_VECTORP(V1))) { goto L8; }
 {
  cl_fixnum V3;
  V3 = (V1)->vector.fillp;
  if (!((V2)<(V3))) { goto L11; }
 }
 value0 = ecl_make_fixnum(V2);
 cl_env_copy->nvalues = 1;
 return value0;
L11:;
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
L8:;
 value0 = L1error_not_a_sequence(V1);
 return value0;
L2:;
 if (ECL_LISTP(V1)) { goto L13; }
 if (ECL_VECTORP(V1)) { goto L13; }
 value0 = L1error_not_a_sequence(V1);
 return value0;
L13:;
 if (!(ECL_FIXNUMP(ecl_make_fixnum(V2))||ECL_BIGNUMP(ecl_make_fixnum(V2)))) { goto L16; }
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
L16:;
 value0 = L2error_sequence_index(V1, ecl_make_fixnum(V2));
 return value0;
}
/*	function definition for SEQ-ITERATOR-REF                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_seq_iterator_ref(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_FIXNUMP(V2))) { goto L1; }
 value0 = ecl_aref_unsafe(V1,ecl_fixnum(V2));
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 value0 = ECL_CONS_CAR(V2);
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for SEQ-ITERATOR-SET                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_seq_iterator_set(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_FIXNUMP(V2))) { goto L1; }
 value0 = ecl_aset_unsafe(V1,ecl_fixnum(V2),V3);
 cl_env_copy->nvalues = 1;
 return value0;
L1:;
 (ECL_CONS_CAR(V2)=V3,V2);
 value0 = V3;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for SEQ-ITERATOR-NEXT                     */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
cl_object si_seq_iterator_next(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_FIXNUMP(V2))) { goto L1; }
 {
  cl_fixnum V3;                                   /*  AUX             */
  V3 = ecl_fixnum(ecl_one_plus(V2));
  {
   cl_fixnum V4;
   V4 = (V1)->vector.fillp;
   if (!((V3)<(V4))) { goto L5; }
  }
  value0 = ecl_make_fixnum(V3);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
L1:;
 if (!(ECL_ATOM(V2))) { goto L7; }
 value0 = L1error_not_a_sequence(V2);
 return value0;
L7:;
 V2 = ECL_CONS_CDR(V2);
 if (ECL_LISTP(V2)) { goto L11; }
 L1error_not_a_sequence(V2);
L11:;
 value0 = V2;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for SEQ-ITERATOR-LIST-POP                 */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L6seq_iterator_list_pop(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V4;                                   /*  IT-LIST         */
  cl_object V5;                                   /*  V-LIST          */
  V4 = V3;
  V5 = V1;
  goto L5;
L4:;
  {
   cl_object V6;                                  /*  IT              */
   cl_object V7;                                  /*  SEQUENCE        */
   V6 = ECL_CONS_CAR(V4);
   V7 = ECL_CONS_CAR(V2);
   if (!(V6==ECL_NIL)) { goto L11; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L11:;
   if (!(ECL_FIXNUMP(V6))) { goto L13; }
   {
    cl_fixnum V8;                                 /*  N               */
    V8 = ecl_fixnum(V6);
    T0 = ecl_aref_unsafe(V7,V8);
    (ECL_CONS_CAR(V5)=T0,V5);
    V8 = (V8)+(1);
    T1 = ecl_make_fixnum(V8);
    {
     cl_fixnum V9;
     V9 = (V7)->vector.fillp;
     if (!(ecl_number_compare(T1,ecl_make_fixnum(V9))<0)) { goto L20; }
    }
    T0 = ecl_make_fixnum(V8);
    goto L18;
L20:;
    T0 = ECL_NIL;
    goto L18;
L18:;
    (ECL_CONS_CAR(V4)=T0,V4);
    goto L10;
   }
L13:;
   if (!(ECL_ATOM(V6))) { goto L24; }
   L1error_not_a_sequence(V6);
   goto L10;
L24:;
   T0 = ECL_CONS_CAR(V6);
   (ECL_CONS_CAR(V5)=T0,V5);
   V6 = ECL_CONS_CDR(V6);
   if (ECL_LISTP(V6)) { goto L27; }
   L1error_not_a_sequence(V6);
L27:;
   (ECL_CONS_CAR(V4)=V6,V4);
L10:;
   V5 = ECL_CONS_CDR(V5);
   V4 = ECL_CONS_CDR(V4);
   V2 = ECL_CONS_CDR(V2);
  }
L5:;
  if (V5==ECL_NIL) { goto L35; }
  goto L4;
L35:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COERCE-TO-LIST                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_coerce_to_list(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (!(ECL_LISTP(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V2;                                  /*  LET75           */
   cl_object V3;                                  /*  IT              */
   cl_object V4;                                  /*  OUTPUT          */
   V2 = si_make_seq_iterator(1, V1);
   V3 = V2;
   V4 = ECL_NIL;
   goto L8;
L7:;
   T0 = si_seq_iterator_ref(V1, V3);
   V4 = CONS(T0,V4);
   V3 = si_seq_iterator_next(V1, V3);
L8:;
   if (V3==ECL_NIL) { goto L14; }
   goto L7;
L14:;
   value0 = cl_nreverse(V4);
   return value0;
  }
 }
}
/*	function definition for COERCE-TO-VECTOR                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_coerce_to_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V5;                                  /*  OUTPUT          */
   V5 = V1;
   if (!(ECL_VECTORP(V1))) { goto L5; }
   if (V4==ECL_NIL) { goto L8; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[35])(1, V1) /*  SIMPLE-ARRAY-P */)) { goto L5; }
   goto L7;
L8:;
L7:;
   T0 = cl_array_element_type(V1);
   if ((T0)==(V2)) { goto L2; }
   goto L3;
L5:;
   goto L3;
L3:;
   {
    cl_object V6;                                 /*  FINAL-LENGTH    */
    if (!((V3)==(ECL_SYM("*",18)))) { goto L11; }
    V6 = ecl_make_fixnum(ecl_length(V1));
    goto L10;
L11:;
    V6 = V3;
L10:;
    V5 = si_make_vector(V2, V6, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
    {
     cl_object V7;                                /*  LET77           */
     cl_object V8;                                /*  I               */
     cl_fixnum V9;                                /*  J               */
     V7 = si_make_seq_iterator(1, V1);
     V8 = V7;
     {
      cl_fixnum V10;
      V10 = 0;
      V10 = 0;
      if (!((V10)<=(536870911))) { goto L27; }
      T0 = ecl_make_bool((V10)>=(0));
      goto L19;
L27:;
      T0 = ECL_NIL;
      goto L19;
      T0 = ECL_NIL;
      goto L19;
     }
L19:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[20],ecl_make_fixnum(0));
     V9 = 0;
     goto L31;
L30:;
     {
      cl_fixnum V10;
      if (ecl_unlikely((V9)>=(V5)->vector.dim))
           FEwrong_index(ECL_NIL,V5,-1,ecl_make_fixnum(V9),(V5)->vector.dim);
      V10 = V9;
      T0 = si_seq_iterator_ref(V1, V8);
      ecl_aset_unsafe(V5,V10,T0);
     }
     V8 = si_seq_iterator_next(V5, V8);
     V9 = ecl_to_fixnum(ecl_make_integer((V9)+1));
L31:;
     if (ecl_number_equalp(ecl_make_fixnum(V9),V6)) { goto L40; }
     goto L30;
L40:;
     V1 = V5;
    }
   }
L2:;
   if ((V3)==(ECL_SYM("*",18))) { goto L43; }
   {
    cl_fixnum V6;
    V6 = ecl_length(V5);
    if (ecl_number_equalp(V3,ecl_make_fixnum(V6))) { goto L43; }
   }
   {
    cl_object V6;
    V6 = V5;
    if ((cl_typep(2, V6, VV[21]))!=ECL_NIL) { goto L47; }
    V5 = si_do_check_type(V6, VV[21], _ecl_static_5, VV[22]);
L47:;
   }
L43:;
   value0 = V5;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for CONCATENATE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_concatenate(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  LENGTH-LIST     */
   cl_object V4;                                  /*  OUTPUT          */
   cl_object V5;                                  /*  SEQUENCES       */
   cl_object V6;                                  /*  I               */
   {
    cl_object V7;
    cl_object V8;
    V7 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
    V8 = V2;
    {
     cl_object V9;
     cl_object V10;
     V9 = ecl_list1(ECL_NIL);
     V10 = V9;
L7:;
     if (!(ecl_endp(V8))) { goto L9; }
     goto L8;
L9:;
     V7 = _ecl_car(V8);
     {
      cl_object V11;
      V11 = _ecl_cdr(V8);
      if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
      V8 = V11;
     }
     if (ecl_unlikely(ECL_ATOM(V10))) FEtype_error_cons(V10);
     T0 = V10;
     {
      cl_fixnum V11;
      V11 = ecl_length(V7);
      V10 = ecl_list1(ecl_make_fixnum(V11));
     }
     (ECL_CONS_CDR(T0)=V10,T0);
     goto L7;
L8:;
     V3 = ecl_cdr(V9);
     goto L1;
    }
   }
L1:;
   T0 = (ECL_SYM("+",14)->symbol.gfdef);
   T1 = cl_apply(2, T0, V3);
   V4 = cl_make_sequence(2, V1, T1);
   V5 = V2;
   V6 = si_make_seq_iterator(1, V4);
   goto L29;
L28:;
   {
    cl_object V7;                                 /*  S               */
    cl_object V8;                                 /*  J               */
    V7 = ecl_car(V5);
    V8 = si_make_seq_iterator(1, V7);
    goto L36;
L35:;
    T0 = si_seq_iterator_ref(V7, V8);
    si_seq_iterator_set(V4, V6, T0);
    V6 = si_seq_iterator_next(V4, V6);
    V8 = si_seq_iterator_next(V7, V8);
L36:;
    if (V8==ECL_NIL) { goto L43; }
    goto L35;
L43:;
   }
   V3 = ecl_cdr(V3);
   V5 = ecl_cdr(V5);
L29:;
   if (V5==ECL_NIL) { goto L49; }
   goto L28;
L49:;
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MAP                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_map(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  V4 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V5;                                  /*  SEQUENCES       */
   cl_object V6;                                  /*  FUNCTION        */
   cl_object V7;                                  /*  OUTPUT          */
   cl_object V8;                                  /*  IT              */
   V5 = CONS(V3,V4);
   V6 = si_coerce_to_function(V2);
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   if (Null(V1)) { goto L5; }
   {
    cl_object V9;                                 /*  L               */
    V9 = ecl_make_fixnum(ecl_length(V3));
    if (Null(V4)) { goto L8; }
    T0 = (ECL_SYM("MIN",557)->symbol.gfdef);
    T1 = (ECL_SYM("LENGTH",476)->symbol.gfdef);
    V9 = cl_reduce(6, T0, V4, VV[24], V9, ECL_SYM("KEY",1262), T1);
L8:;
    V7 = cl_make_sequence(2, V1, V9);
    V8 = si_make_seq_iterator(1, V7);
   }
L5:;
   {
    cl_object V9;
    cl_object V10;                                /*  ELT-LIST        */
    {
     cl_object V11;
     cl_object V12;
     V11 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V12 = V5;
     {
      cl_object V13;
      cl_object V14;
      V13 = ecl_list1(ECL_NIL);
      V14 = V13;
L22:;
      if (!(ecl_endp(V12))) { goto L24; }
      goto L23;
L24:;
      V11 = _ecl_car(V12);
      {
       cl_object V15;
       V15 = _ecl_cdr(V12);
       if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
       V12 = V15;
      }
      if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
      T0 = V14;
      T1 = si_make_seq_iterator(1, V11);
      V14 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V14,T0);
      goto L22;
L23:;
      V9 = ecl_cdr(V13);
      goto L16;
     }
    }
L16:;
    V10 = cl_copy_list(V5);
    goto L41;
L40:;
    {
     cl_object V11;                               /*  VALUE           */
     V11 = cl_apply(2, V6, V10);
     if (Null(V1)) { goto L43; }
     si_seq_iterator_set(V7, V8, V11);
     V8 = si_seq_iterator_next(V7, V8);
    }
L43:;
L41:;
    V10 = L6seq_iterator_list_pop(V10, V5, V9);
    if (V10==ECL_NIL) { goto L48; }
    goto L40;
L48:;
    value0 = V7;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SOME                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_some(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  ELT-LIST        */
   V4 = CONS(V2,V3);
   {
    cl_object V7;
    cl_object V8;
    V7 = ECL_NIL;
    V8 = V4;
    {
     cl_object V9;
     cl_object V10;
     V9 = ecl_list1(ECL_NIL);
     V10 = V9;
L7:;
     if (!(V8==ECL_NIL)) { goto L9; }
     goto L8;
L9:;
     V7 = ECL_CONS_CAR(V8);
     V8 = ECL_CONS_CDR(V8);
     T0 = V10;
     T1 = si_make_seq_iterator(1, V7);
     V10 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V10,T0);
     goto L7;
L8:;
     V5 = _ecl_cdr(V9);
     goto L2;
    }
   }
L2:;
   V6 = cl_copy_list(V4);
   goto L22;
L21:;
   {
    cl_object V7;                                 /*  X               */
    V7 = cl_apply(2, V1, V6);
    if (Null(V7)) { goto L24; }
    value0 = V7;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L24:;
L22:;
   V6 = L6seq_iterator_list_pop(V6, V4, V5);
   if (V6==ECL_NIL) { goto L27; }
   goto L21;
L27:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for EVERY                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_every(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  ELT-LIST        */
   V4 = CONS(V2,V3);
   {
    cl_object V7;
    cl_object V8;
    V7 = ECL_NIL;
    V8 = V4;
    {
     cl_object V9;
     cl_object V10;
     V9 = ecl_list1(ECL_NIL);
     V10 = V9;
L7:;
     if (!(V8==ECL_NIL)) { goto L9; }
     goto L8;
L9:;
     V7 = ECL_CONS_CAR(V8);
     V8 = ECL_CONS_CDR(V8);
     T0 = V10;
     T1 = si_make_seq_iterator(1, V7);
     V10 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V10,T0);
     goto L7;
L8:;
     V5 = _ecl_cdr(V9);
     goto L2;
    }
   }
L2:;
   V6 = cl_copy_list(V4);
   goto L22;
L21:;
   if ((cl_apply(2, V1, V6))!=ECL_NIL) { goto L24; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L24:;
L22:;
   V6 = L6seq_iterator_list_pop(V6, V4, V5);
   if (V6==ECL_NIL) { goto L26; }
   goto L21;
L26:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for EVERY*                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7every_(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("=",74)->symbol.gfdef);
  {
   cl_object V3;
   cl_object V4;
   V3 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
   V4 = V2;
   {
    cl_object V5;
    cl_object V6;
    V5 = ecl_list1(ECL_NIL);
    V6 = V5;
L11:;
    if (!(ecl_endp(V4))) { goto L13; }
    goto L12;
L13:;
    V3 = _ecl_car(V4);
    {
     cl_object V7;
     V7 = _ecl_cdr(V4);
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     V4 = V7;
    }
    if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
    T2 = V6;
    {
     cl_fixnum V7;
     V7 = ecl_length(V3);
     V6 = ecl_list1(ecl_make_fixnum(V7));
    }
    (ECL_CONS_CDR(T2)=V6,T2);
    goto L11;
L12:;
    T1 = ecl_cdr(V5);
    goto L5;
   }
  }
L5:;
  if (Null(cl_apply(2, T0, T1))) { goto L2; }
  T0 = (ECL_SYM("EVERY",342)->symbol.gfdef);
  value0 = cl_apply(3, T0, V1, V2);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NOTANY                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_notany(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("SOME",786)->symbol.gfdef);
  T1 = cl_apply(4, T0, V1, V2, V3);
  value0 = Null(T1)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NOTEVERY                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_notevery(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("EVERY",342)->symbol.gfdef);
  T1 = cl_apply(4, T0, V1, V2, V3);
  value0 = Null(T1)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MAP-INTO                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_map_into(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_fixnum V4;                                  /*  NEL             */
   {
    cl_object V5;
    T0 = (ECL_SYM("MIN",557)->symbol.gfdef);
    {
     cl_fixnum V6;
     if (!(ECL_VECTORP(V1))) { goto L5; }
     V6 = ecl_array_dimension(V1,0);
     goto L4;
L5:;
     V6 = ecl_length(V1);
L4:;
     {
      cl_object V7;
      cl_object V8;
      V7 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
      V8 = V3;
      {
       cl_object V9;
       cl_object V10;
       V9 = ecl_list1(ECL_NIL);
       V10 = V9;
L13:;
       if (!(ecl_endp(V8))) { goto L15; }
       goto L14;
L15:;
       V7 = _ecl_car(V8);
       {
        cl_object V11;
        V11 = _ecl_cdr(V8);
        if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
        V8 = V11;
       }
       if (ecl_unlikely(ECL_ATOM(V10))) FEtype_error_cons(V10);
       T2 = V10;
       {
        cl_fixnum V11;
        V11 = ecl_length(V7);
        V10 = ecl_list1(ecl_make_fixnum(V11));
       }
       (ECL_CONS_CDR(T2)=V10,T2);
       goto L13;
L14:;
       T1 = ecl_cdr(V9);
       goto L7;
      }
     }
L7:;
     V5 = cl_apply(3, T0, ecl_make_fixnum(V6), T1);
    }
    {
     bool V6;
     V6 = ECL_FIXNUMP(V5);
     if (ecl_unlikely(!(V6)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V5);
    }
    V4 = ecl_fixnum(V5);
   }
   if (!(ECL_VECTORP(V1))) { goto L30; }
   if (!((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)))) { goto L30; }
   si_fill_pointer_set(V1, ecl_make_fixnum(V4));
L30:;
   {
    cl_object V5;                                 /*  LET95           */
    cl_object V6;                                 /*  LET96           */
    cl_object V7;                                 /*  LET97           */
    cl_object V8;                                 /*  IR              */
    V5 = si_make_seq_iterator(1, V1);
    {
     cl_object V9;
     cl_object V10;
     V9 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
     V10 = V3;
     {
      cl_object V11;
      cl_object V12;
      V11 = ecl_list1(ECL_NIL);
      V12 = V11;
L40:;
      if (!(ecl_endp(V10))) { goto L42; }
      goto L41;
L42:;
      V9 = _ecl_car(V10);
      {
       cl_object V13;
       V13 = _ecl_cdr(V10);
       if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
       V10 = V13;
      }
      if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
      T0 = V12;
      T1 = si_make_seq_iterator(1, V9);
      V12 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V12,T0);
      goto L40;
L41:;
      V6 = ecl_cdr(V11);
      goto L34;
     }
    }
L34:;
    {
     cl_fixnum V9;
     V9 = ecl_length(V3);
     V7 = cl_make_sequence(2, ECL_SYM("LIST",481), ecl_make_fixnum(V9));
    }
    V8 = V5;
    goto L60;
L59:;
    {
     cl_object V9;                                /*  I               */
     cl_object V10;                               /*  V               */
     cl_object V11;                               /*  S               */
     V9 = V6;
     V10 = V7;
     V11 = V3;
     goto L68;
L67:;
     if ((ecl_car(V9))!=ECL_NIL) { goto L70; }
     value0 = V1;
     cl_env_copy->nvalues = 1;
     return value0;
L70:;
     if (ecl_unlikely(ECL_ATOM(V10))) FEtype_error_cons(V10);
     T0 = V10;
     T1 = ecl_car(V11);
     T2 = ecl_car(V9);
     T3 = si_seq_iterator_ref(T1, T2);
     (ECL_CONS_CAR(T0)=T3,T0);
     if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
     T0 = V9;
     T1 = ecl_car(V11);
     T2 = ecl_car(V9);
     T3 = si_seq_iterator_next(T1, T2);
     (ECL_CONS_CAR(T0)=T3,T0);
     V9 = ecl_cdr(V9);
     V10 = ecl_cdr(V10);
     V11 = ecl_cdr(V11);
L68:;
     if (V9==ECL_NIL) { goto L82; }
     goto L67;
L82:;
    }
    T0 = cl_apply(2, V2, V7);
    si_seq_iterator_set(V1, V8, T0);
    V8 = si_seq_iterator_next(V1, V8);
L60:;
    if (V8==ECL_NIL) { goto L87; }
    goto L59;
L87:;
    value0 = V1;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}

#include "lsp/seq.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecll97UBza7_rtsfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;SEQ.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecll97UBza7_rtsfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (void)0; /* No entry created for ERROR-NOT-A-SEQUENCE */
 (void)0; /* No entry created for ERROR-SEQUENCE-INDEX */
 (void)0; /* No entry created for ERROR-SEQUENCE-TYPE */
 (void)0; /* No entry created for ERROR-SEQUENCE-LENGTH */
 ecl_cmp_defun(VV[26]);                           /*  CLOSEST-SEQUENCE-TYPE */
 (void)0; /* No entry created for MAKE-SEQUENCE */
 ecl_cmp_defun(VV[28]);                           /*  MAKE-SEQ-ITERATOR */
 ecl_cmp_defun(VV[29]);                           /*  SEQ-ITERATOR-REF */
 ecl_cmp_defun(VV[30]);                           /*  SEQ-ITERATOR-SET */
 ecl_cmp_defun(VV[31]);                           /*  SEQ-ITERATOR-NEXT */
 ecl_cmp_defun(VV[32]);                           /*  SEQ-ITERATOR-LIST-POP */
 ecl_cmp_defun(VV[33]);                           /*  COERCE-TO-LIST  */
 ecl_cmp_defun(VV[34]);                           /*  COERCE-TO-VECTOR */
 (void)0; /* No entry created for CONCATENATE */
 (void)0; /* No entry created for MAP */
 (void)0; /* No entry created for SOME */
 (void)0; /* No entry created for EVERY */
 ecl_cmp_defun(VV[36]);                           /*  EVERY*          */
 (void)0; /* No entry created for NOTANY */
 (void)0; /* No entry created for NOTEVERY */
 (void)0; /* No entry created for MAP-INTO */
}
