/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;SEQLIB.LSP                                    */
#include <ecl/ecl-cmp.h>
#include "lsp/seqlib.eclh"
/*	function definition for SEQTYPE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1seqtype(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(V1))) { goto L1; }
  value0 = ECL_SYM("LIST",481);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(si_base_string_p(V1))) { goto L3; }
  value0 = ECL_SYM("BASE-STRING",121);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_STRINGP(V1))) { goto L5; }
  value0 = ECL_SYM("STRING",805);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (!(ECL_BIT_VECTOR_P(V1))) { goto L7; }
  value0 = ECL_SYM("BIT-VECTOR",134);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!(ECL_VECTORP(V1))) { goto L9; }
  T0 = cl_array_element_type(V1);
  value0 = cl_list(2, ECL_SYM("VECTOR",898), T0);
  return value0;
L9:;
  value0 = cl_error(2, _ecl_static_1, V1);
  return value0;
 }
}
/*	function definition for SEQUENCE-COUNT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_sequence_count(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ecl_make_fixnum(536870911);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_FIXNUMP(V1))) { goto L3; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))) { goto L5; }
  if (!(ecl_minusp(V1))) { goto L7; }
  value0 = ecl_make_fixnum(-1);
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  value0 = ecl_make_fixnum(536870911);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  T0 = ecl_list1(V1);
  value0 = cl_error(9, ECL_SYM("SIMPLE-TYPE-ERROR",773), ECL_SYM("DATUM",1214), V1, ECL_SYM("EXPECTED-TYPE",1232), ECL_SYM("INTEGER",437), ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_2, ECL_SYM("FORMAT-ARGUMENTS",1239), T0);
  return value0;
 }
}
/*	function definition for TEST-ERROR                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2test_error()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_error(1, _ecl_static_3);
  return value0;
 }
}
/*	function definition for UNSAFE-FUNCALL1                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L3unsafe_funcall1(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 value0 = (cl_env_copy->function=V1)->cfun.entry(1, V2);
 return value0;
}
/*	function definition for REDUCE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_reduce(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_reducekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[6])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
   V7 = keyvars[4];
   V8 = keyvars[9];
  }
  {
   cl_object V9;                                  /*  FUNCTION        */
   V9 = si_coerce_to_function(V1);
   cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V4, V5);
   {
    cl_fixnum V11;                                /*  START           */
    cl_fixnum V12;                                /*  END             */
    cl_object V13;                                /*  LENGTH          */
    V11 = ecl_fixnum(cl_env_copy->values[0]);
    V12 = ecl_fixnum(cl_env_copy->values[1]);
    V13 = cl_env_copy->values[2];
    {
     cl_object V14;                               /*  KEY             */
     if (Null(V6)) { goto L5; }
     V14 = si_coerce_to_function(V6);
     goto L4;
L5:;
     V14 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L4:;
     if (!((V11)>=(V12))) { goto L7; }
     if (Null(V8)) { goto L9; }
     value0 = V7;
     cl_env_copy->nvalues = 1;
     return value0;
L9:;
     value0 = (cl_env_copy->function=V9)->cfun.entry(0);
     return value0;
L7:;
     if (!(ECL_LISTP(V2))) { goto L11; }
     if (Null(V3)) { goto L13; }
     {
      cl_object V15;                              /*  OUTPUT          */
      V15 = ECL_NIL;
      {
       cl_fixnum V16;
       cl_object V17;
       cl_fixnum V18;
       V16 = V11;
       V17 = ecl_nthcdr(V16,V2);
       V18 = (V12)-(V16);
       goto L22;
L21:;
       {
        cl_object V19;                            /*  ELT             */
        V19 = ECL_CONS_CAR(V17);
        V15 = CONS(V19,V15);
       }
       V16 = (V16)+1;
       V17 = ECL_CONS_CDR(V17);
       V18 = (V18)-1;
L22:;
       if ((V18)<=(0)) { goto L33; }
       goto L21;
L33:;
      }
      V2 = V15;
      V12 = (V12)-(V11);
      V11 = 0;
     }
L13:;
     goto L42;
L41:;
     V2 = ECL_CONS_CDR(V2);
     V11 = (V11)-1;
     V12 = (V12)-1;
L42:;
     if (!((V11)>0)) { goto L50; }
     goto L41;
L50:;
     if ((V8)!=ECL_NIL) { goto L52; }
     T0 = ECL_CONS_CAR(V2);
     V7 = (cl_env_copy->function=V14)->cfun.entry(1, T0);
     V2 = ECL_CONS_CDR(V2);
     V12 = (V12)-1;
L52:;
     {
      cl_fixnum V15;
      cl_object V16;
      cl_fixnum V17;
      V15 = 0;
      V16 = ecl_nthcdr(V15,V2);
      V17 = (V12)-(V15);
      goto L64;
L63:;
      {
       cl_object V18;                             /*  ELT             */
       V18 = ECL_CONS_CAR(V16);
       if (Null(V3)) { goto L69; }
       T0 = (cl_env_copy->function=V14)->cfun.entry(1, V18);
       V7 = (cl_env_copy->function=V9)->cfun.entry(2, T0, V7);
       goto L68;
L69:;
       T0 = (cl_env_copy->function=V14)->cfun.entry(1, V18);
       V7 = (cl_env_copy->function=V9)->cfun.entry(2, V7, T0);
L68:;
      }
      V15 = (V15)+1;
      V16 = ECL_CONS_CDR(V16);
      V17 = (V17)-1;
L64:;
      if ((V17)<=(0)) { goto L79; }
      goto L63;
L79:;
      value0 = V7;
      cl_env_copy->nvalues = 1;
      return value0;
     }
L11:;
     if (Null(V3)) { goto L81; }
     if ((V8)!=ECL_NIL) { goto L83; }
     {
      cl_fixnum V18;
      V18 = (V12)-1;
      T0 = ecl_aref_unsafe(V2,V18);
     }
     V7 = (cl_env_copy->function=V14)->cfun.entry(1, T0);
     V12 = (V12)-1;
L83:;
     {
      cl_fixnum V18;
      V18 = V12;
      goto L92;
L91:;
      {
       cl_object V19;                             /*  ELT             */
       V18 = (V18)-1;
       V19 = ecl_aref_unsafe(V2,V18);
       T0 = (cl_env_copy->function=V14)->cfun.entry(1, V19);
       V7 = (cl_env_copy->function=V9)->cfun.entry(2, T0, V7);
      }
L92:;
      if ((V18)==(V11)) { goto L99; }
      goto L91;
L99:;
      value0 = V7;
      cl_env_copy->nvalues = 1;
      return value0;
     }
L81:;
     if ((V8)!=ECL_NIL) { goto L101; }
     T0 = ecl_aref_unsafe(V2,V11);
     V7 = (cl_env_copy->function=V14)->cfun.entry(1, T0);
     V11 = (V11)+1;
L101:;
     {
      cl_fixnum V19;
      V19 = V11;
      goto L110;
L109:;
      {
       cl_object V20;                             /*  ELT             */
       V20 = ecl_aref_unsafe(V2,V19);
       T0 = (cl_env_copy->function=V14)->cfun.entry(1, V20);
       V7 = (cl_env_copy->function=V9)->cfun.entry(2, V7, T0);
      }
      V19 = (V19)+1;
L110:;
      if ((V19)==(V12)) { goto L118; }
      goto L109;
L118:;
      value0 = V7;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for FILL                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_fill(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,cl_fillkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    V3 = ecl_make_fixnum(0);
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
  }
  cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V3, V4);
  {
   cl_fixnum V6;                                  /*  START           */
   cl_fixnum V7;                                  /*  END             */
   cl_object V8;
   V6 = ecl_fixnum(cl_env_copy->values[0]);
   V7 = ecl_fixnum(cl_env_copy->values[1]);
   V8 = cl_env_copy->values[2];
   if (!(ECL_LISTP(V1))) { goto L3; }
   {
    cl_object V9;                                 /*  X               */
    cl_fixnum V10;                                /*  I               */
    V9 = ecl_nthcdr(V6,V1);
    V10 = (V7)-(V6);
    goto L9;
L8:;
    (ECL_CONS_CAR(V9)=V2,V9);
    V9 = ECL_CONS_CDR(V9);
    V10 = (V10)-1;
L9:;
    if ((V10)==0) { goto L17; }
    goto L8;
L17:;
    value0 = V1;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L3:;
   value0 = si_fill_array_with_elt(V1, V2, ecl_make_fixnum(V6), ecl_make_fixnum(V7));
   return value0;
  }
 }
}
/*	function definition for REPLACE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_replace(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_replacekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    V3 = ecl_make_fixnum(0);
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
   if (Null(keyvars[6])) {
    V5 = ecl_make_fixnum(0);
   } else {
    V5 = keyvars[2];
   }
   V6 = keyvars[3];
  }
  cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V3, V4);
  {
   cl_fixnum V8;                                  /*  START1          */
   cl_fixnum V9;                                  /*  END1            */
   cl_object V10;
   V8 = ecl_to_fixnum(cl_env_copy->values[0]);
   V9 = ecl_to_fixnum(cl_env_copy->values[1]);
   V10 = cl_env_copy->values[2];
   cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V5, V6);
   {
    cl_fixnum V12;                                /*  START2          */
    cl_fixnum V13;                                /*  END2            */
    cl_object V14;
    V12 = ecl_to_fixnum(cl_env_copy->values[0]);
    V13 = ecl_to_fixnum(cl_env_copy->values[1]);
    V14 = cl_env_copy->values[2];
    {
     cl_fixnum V15;                               /*  LENGTH          */
     T0 = ecl_minus(ecl_make_fixnum(V13),ecl_make_fixnum(V12));
     T1 = ecl_minus(ecl_make_fixnum(V9),ecl_make_fixnum(V8));
     V15 = ecl_fixnum((ecl_number_compare(T0,T1)<=0?T0:T1));
     if (!(ECL_VECTORP(V1))) { goto L7; }
     if (!(ECL_VECTORP(V2))) { goto L7; }
     ecl_copy_subarray(V1,V8,V2,V12,V15);
     goto L3;
L7:;
     {
      cl_object V16;                              /*  DATA            */
      cl_object V17;                              /*  IT2             */
      cl_object V18;                              /*  IT1             */
      if (!((V1)==(V2))) { goto L11; }
      if (!((V8)>(V12))) { goto L11; }
      V16 = cl_subseq(3, V2, ecl_make_fixnum(V12), ecl_make_fixnum(V13));
      goto L10;
L11:;
      V16 = V2;
L10:;
      V17 = si_make_seq_iterator(2, V16, ecl_make_fixnum(V12));
      V18 = si_make_seq_iterator(2, V1, ecl_make_fixnum(V8));
      goto L18;
L17:;
      T0 = si_seq_iterator_ref(V2, V17);
      si_seq_iterator_set(V1, V18, T0);
      V15 = (V15)-(1);
      V17 = si_seq_iterator_next(V16, V17);
      V18 = si_seq_iterator_next(V1, V18);
L18:;
      if ((V15)<=(0)) { goto L27; }
      if (V18==ECL_NIL) { goto L27; }
      if (V17==ECL_NIL) { goto L27; }
      goto L17;
L27:;
     }
    }
   }
  }
L3:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FILTER-VECTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4filter_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V11;
   if (Null(V8)) { goto L2; }
   if (Null(V9)) { goto L4; }
   L2test_error();
L4:;
   V11 = si_coerce_to_function(V8);
   goto L1;
L2:;
   if (Null(V9)) { goto L6; }
   V11 = si_coerce_to_function(V9);
   goto L1;
L6:;
   V11 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
   {
    cl_object V12;                                /*  KEY             */
    if (Null(V10)) { goto L9; }
    V12 = si_coerce_to_function(V10);
    goto L8;
L9:;
    V12 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V3, V4, V5);
    {
     cl_fixnum V14;                               /*  START           */
     cl_fixnum V15;                               /*  END             */
     cl_fixnum V16;                               /*  L               */
     V14 = ecl_fixnum(cl_env_copy->values[0]);
     V15 = ecl_fixnum(cl_env_copy->values[1]);
     V16 = ecl_fixnum(cl_env_copy->values[2]);
     {
      cl_fixnum V17;                              /*  %COUNT          */
      V17 = ecl_fixnum(si_sequence_count(V7));
      if (!((V17)>0)) { goto L13; }
      {
       cl_fixnum V18;                             /*  EXISTING        */
       V18 = 0;
       if ((V2)==(V3)) { goto L16; }
       V18 = ecl_fixnum(cl_count(12, V1, V3, ECL_SYM("START",1310), ecl_make_fixnum(V14), ECL_SYM("END",1225), ecl_make_fixnum(V15), ECL_SYM("TEST",1316), V8, ECL_SYM("TEST-NOT",1317), V9, ECL_SYM("KEY",1262), V12));
       if (!((V18)==0)) { goto L20; }
       cl_env_copy->nvalues = 2;
       cl_env_copy->values[1] = ecl_make_fixnum(V16);
       cl_env_copy->values[0] = V3;
       return cl_env_copy->values[0];
L20:;
       T0 = cl_array_element_type(V3);
       {
        cl_fixnum V19;
        V19 = (V18)<=(V17)?V18:V17;
        T1 = ecl_minus(ecl_make_fixnum(V16),ecl_make_fixnum(V19));
        V2 = si_make_pure_array(T0, T1, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
       }
L16:;
       if ((V2)==(V3)) { goto L23; }
       ecl_copy_subarray(V2,0,V3,0,V14);
L23:;
       {
        cl_fixnum V19;                            /*  SKIP            */
        V19 = 0;
        if (Null(V6)) { goto L27; }
        if ((V18)>0) { goto L29; }
        V18 = ecl_fixnum(cl_count(12, V1, V3, ECL_SYM("START",1310), ecl_make_fixnum(V14), ECL_SYM("END",1225), ecl_make_fixnum(V15), ECL_SYM("TEST",1316), V8, ECL_SYM("TEST-NOT",1317), V9, ECL_SYM("KEY",1262), V12));
L29:;
        if (!((V18)<(V17))) { goto L33; }
        V19 = 0;
        goto L32;
L33:;
        V19 = (V18)-(V17);
L32:;
L27:;
        if (!((V2)==(V3))) { goto L35; }
        {
         cl_fixnum V20;                           /*  INDEX           */
         V20 = V14;
         goto L40;
L39:;
         {
          cl_object V21;                          /*  ELT             */
          V21 = ecl_aref_unsafe(V3,V20);
          if (Null(V9)) { goto L47; }
          T0 = (cl_env_copy->function=V12)->cfun.entry(1, V21);
          if (((cl_env_copy->function=V11)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L44; }
          goto L46;
L47:;
          T0 = (cl_env_copy->function=V12)->cfun.entry(1, V21);
          if (Null((cl_env_copy->function=V11)->cfun.entry(2, V1, T0))) { goto L44; }
L46:;
          {
          cl_fixnum V22;
          V19 = (V19)-(1);
          V22 = V19;
          if (!((V22)<0)) { goto L44; }
          }
          goto L25;
L44:;
          V14 = (V14)+(1);
         }
         V20 = (V20)+1;
L40:;
         if ((V20)==(V15)) { goto L56; }
         goto L39;
L56:;
         goto L25;
        }
L35:;
        {
         cl_fixnum V21;                           /*  INDEX           */
         V21 = V14;
         goto L61;
L60:;
         {
          cl_object V22;                          /*  ELT             */
          V22 = ecl_aref_unsafe(V3,V21);
          if (Null(V9)) { goto L68; }
          T0 = (cl_env_copy->function=V12)->cfun.entry(1, V22);
          if (((cl_env_copy->function=V11)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L65; }
          goto L67;
L68:;
          T0 = (cl_env_copy->function=V12)->cfun.entry(1, V22);
          if (Null((cl_env_copy->function=V11)->cfun.entry(2, V1, T0))) { goto L65; }
L67:;
          {
          cl_fixnum V23;
          V19 = (V19)-(1);
          V23 = V19;
          if (!((V23)<0)) { goto L65; }
          }
          goto L25;
L65:;
          ecl_aset_unsafe(V2,V14,V22);
          V14 = (V14)+1;
         }
         V21 = (V21)+1;
L61:;
         if ((V21)==(V15)) { goto L78; }
         goto L60;
L78:;
        }
       }
L25:;
       {
        cl_fixnum V19;                            /*  INDEX           */
        cl_fixnum V20;
        V19 = V14;
        V20 = V15;
        goto L85;
L84:;
        {
         cl_object V21;                           /*  ELT             */
         V21 = ecl_aref_unsafe(V3,V19);
         if (Null(V9)) { goto L91; }
         T0 = (cl_env_copy->function=V12)->cfun.entry(1, V21);
         if (((cl_env_copy->function=V11)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L89; }
         goto L90;
L91:;
         T0 = (cl_env_copy->function=V12)->cfun.entry(1, V21);
         if (Null((cl_env_copy->function=V11)->cfun.entry(2, V1, T0))) { goto L89; }
L90:;
         {
          cl_fixnum V22;
          V17 = (V17)-(1);
          V22 = V17;
          if (!((V22)==0)) { goto L87; }
         }
         V15 = (V19)+1;
         goto L80;
L89:;
         ecl_aset_unsafe(V2,V14,V21);
         V14 = (V14)+1;
        }
L87:;
        V19 = (V19)+1;
L85:;
        if ((V19)==(V20)) { goto L104; }
        goto L84;
L104:;
       }
L80:;
       ecl_copy_subarray(V2,V14,V3,V15,V16);
       T0 = ecl_minus(ecl_make_fixnum(V16),ecl_make_fixnum(V15));
       T1 = ecl_plus(ecl_make_fixnum(V14),T0);
       cl_env_copy->nvalues = 2;
       cl_env_copy->values[1] = T1;
       cl_env_copy->values[0] = V2;
       return cl_env_copy->values[0];
      }
L13:;
      value0 = V3;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for REMOVE-LIST                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5remove_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V9;
   if (Null(V6)) { goto L2; }
   if (Null(V7)) { goto L4; }
   L2test_error();
L4:;
   V9 = si_coerce_to_function(V6);
   goto L1;
L2:;
   if (Null(V7)) { goto L6; }
   V9 = si_coerce_to_function(V7);
   goto L1;
L6:;
   V9 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
   {
    cl_object V10;                                /*  KEY             */
    if (Null(V8)) { goto L9; }
    V10 = si_coerce_to_function(V8);
    goto L8;
L9:;
    V10 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V3, V4);
    {
     cl_fixnum V12;                               /*  START           */
     cl_fixnum V13;                               /*  END             */
     cl_object V14;
     V12 = ecl_fixnum(cl_env_copy->values[0]);
     V13 = ecl_fixnum(cl_env_copy->values[1]);
     V14 = cl_env_copy->values[2];
     {
      cl_fixnum V15;                              /*  %COUNT          */
      V15 = ecl_fixnum(si_sequence_count(V5));
      if (!((V15)>0)) { goto L13; }
      {
       cl_object V16;                             /*  OUTPUT          */
       cl_fixnum V17;                             /*  INDEX           */
       V16 = ECL_NIL;
       V17 = 0;
       goto L19;
L18:;
       T0 = ECL_CONS_CAR(V2);
       V16 = CONS(T0,V16);
       V2 = ECL_CONS_CDR(V2);
       V17 = (V17)+1;
L19:;
       if (Null(V2)) { goto L27; }
       if (!((V17)<(V12))) { goto L27; }
       goto L18;
L27:;
L31:;
       if ((V17)<(V13)) { goto L33; }
       goto L30;
L33:;
       {
        cl_object V18;                            /*  ELT             */
        V18 = ECL_CONS_CAR(V2);
        V2 = ECL_CONS_CDR(V2);
        if (Null(V7)) { goto L41; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V18);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L39; }
        goto L40;
L41:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V18);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L39; }
L40:;
        {
         cl_fixnum V19;
         V15 = (V15)-(1);
         V19 = V15;
         if (!((V19)==0)) { goto L38; }
        }
        goto L30;
L39:;
        V16 = CONS(V18,V16);
L38:;
        V17 = (V17)+(1);
       }
       goto L31;
L30:;
       value0 = cl_nreconc(V16, V2);
       return value0;
      }
L13:;
      value0 = V2;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for REMOVE                                */
/*	optimize speed 3, debug 0, space 1, safety 1                  */
cl_object cl_remove(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,cl_removekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   if (Null(keyvars[9])) {
    V5 = ecl_make_fixnum(0);
   } else {
    V5 = keyvars[2];
   }
   V6 = keyvars[3];
   V7 = keyvars[4];
   V8 = keyvars[5];
   V9 = keyvars[6];
  }
  if (ecl_unlikely(!(ECL_LISTP(V2) || ECL_VECTORP(V2))))
           FEtype_error_sequence(V2);
  if (!(ECL_LISTP(V2))) { goto L3; }
  if (Null(V7)) { goto L5; }
  {
   cl_fixnum V10;                                 /*  L               */
   V10 = ecl_length(V2);
   T0 = cl_reverse(V2);
   if (Null(V6)) { goto L9; }
   T1 = ecl_minus(ecl_make_fixnum(V10),V6);
   goto L8;
L9:;
   T1 = ecl_make_fixnum(0);
L8:;
   T2 = ecl_minus(ecl_make_fixnum(V10),V5);
   T3 = cl_delete(16, V1, T0, ECL_SYM("START",1310), T1, ECL_SYM("END",1225), T2, VV[4], ECL_NIL, ECL_SYM("TEST",1316), V3, ECL_SYM("TEST-NOT",1317), V4, ECL_SYM("KEY",1262), V9, ECL_SYM("COUNT",1450), V8);
   value0 = cl_nreverse(T3);
   return value0;
  }
L5:;
  value0 = L5remove_list(V1, V2, V5, V6, V8, V3, V4, V9);
  return value0;
L3:;
  value0 = L4filter_vector(V1, ECL_NIL, V2, V5, V6, V7, V8, V3, V4, V9);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REMOVE-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_remove_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_remove_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V3 = ecl_make_fixnum(0);
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
   V5 = keyvars[2];
   V6 = keyvars[3];
   V7 = keyvars[4];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_remove(14, T0, V2, ECL_SYM("START",1310), V3, ECL_SYM("END",1225), V4, VV[4], V5, ECL_SYM("COUNT",1450), V6, ECL_SYM("TEST",1316), T1, ECL_SYM("KEY",1262), V7);
  return value0;
 }
}
/*	function definition for REMOVE-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_remove_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_remove_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V3 = ecl_make_fixnum(0);
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
   V5 = keyvars[2];
   V6 = keyvars[3];
   V7 = keyvars[4];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_remove(14, T0, V2, ECL_SYM("START",1310), V3, ECL_SYM("END",1225), V4, VV[4], V5, ECL_SYM("COUNT",1450), V6, ECL_SYM("TEST-NOT",1317), T1, ECL_SYM("KEY",1262), V7);
  return value0;
 }
}
/*	function definition for DELETE-LIST                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6delete_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V9;
   if (Null(V6)) { goto L2; }
   if (Null(V7)) { goto L4; }
   L2test_error();
L4:;
   V9 = si_coerce_to_function(V6);
   goto L1;
L2:;
   if (Null(V7)) { goto L6; }
   V9 = si_coerce_to_function(V7);
   goto L1;
L6:;
   V9 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
   {
    cl_object V10;                                /*  KEY             */
    if (Null(V8)) { goto L9; }
    V10 = si_coerce_to_function(V8);
    goto L8;
L9:;
    V10 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V3, V4);
    {
     cl_fixnum V12;                               /*  START           */
     cl_fixnum V13;                               /*  END             */
     cl_object V14;
     V12 = ecl_fixnum(cl_env_copy->values[0]);
     V13 = ecl_fixnum(cl_env_copy->values[1]);
     V14 = cl_env_copy->values[2];
     {
      cl_fixnum V15;                              /*  %COUNT          */
      V15 = ecl_fixnum(si_sequence_count(V5));
      if (!((V15)>0)) { goto L13; }
      {
       cl_object V16;                             /*  SPLICE          */
       cl_object V17;                             /*  OUTPUT          */
       cl_fixnum V18;                             /*  INDEX           */
       V16 = CONS(ECL_NIL,V2);
       V17 = V16;
       V18 = 0;
       goto L20;
L19:;
       V2 = ECL_CONS_CDR(V2);
       V16 = ECL_CONS_CDR(V16);
       V18 = (V18)+1;
L20:;
       if (Null(V2)) { goto L28; }
       if (!((V18)<(V12))) { goto L28; }
       goto L19;
L28:;
L32:;
       if ((V18)<(V13)) { goto L34; }
       goto L31;
L34:;
       {
        cl_object V19;                            /*  ELT             */
        V19 = ECL_CONS_CAR(V2);
        V2 = ECL_CONS_CDR(V2);
        if (Null(V7)) { goto L42; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V19);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L40; }
        goto L41;
L42:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V19);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L40; }
L41:;
        (ECL_CONS_CDR(V16)=V2,V16);
        {
         cl_fixnum V20;
         V15 = (V15)-(1);
         V20 = V15;
         if (!((V20)==0)) { goto L39; }
        }
        goto L31;
L40:;
        V16 = ECL_CONS_CDR(V16);
L39:;
        V18 = (V18)+(1);
       }
       goto L32;
L31:;
       value0 = ECL_CONS_CDR(V17);
       cl_env_copy->nvalues = 1;
       return value0;
      }
L13:;
      value0 = V2;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for DELETE                                */
/*	optimize speed 3, debug 0, space 1, safety 1                  */
cl_object cl_delete(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,cl_deletekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   if (Null(keyvars[9])) {
    V5 = ecl_make_fixnum(0);
   } else {
    V5 = keyvars[2];
   }
   V6 = keyvars[3];
   V7 = keyvars[4];
   V8 = keyvars[5];
   V9 = keyvars[6];
  }
  if (!(ECL_LISTP(V2))) { goto L2; }
  if (Null(V7)) { goto L4; }
  {
   cl_fixnum V10;                                 /*  L               */
   V10 = ecl_length(V2);
   T0 = cl_nreverse(V2);
   if (Null(V6)) { goto L8; }
   T1 = ecl_minus(ecl_make_fixnum(V10),V6);
   goto L7;
L8:;
   T1 = ecl_make_fixnum(0);
L7:;
   T2 = ecl_minus(ecl_make_fixnum(V10),V5);
   T3 = L6delete_list(V1, T0, T1, T2, V8, V3, V4, V9);
   value0 = cl_nreverse(T3);
   return value0;
  }
L4:;
  value0 = L6delete_list(V1, V2, V5, V6, V8, V3, V4, V9);
  return value0;
L2:;
  if (ECL_VECTORP(V2)) { goto L10; }
  value0 = si_signal_type_error(V2, ECL_SYM("SEQUENCE",741));
  return value0;
L10:;
  if (!(ECL_ARRAY_HAS_FILL_POINTER_P(V2))) { goto L12; }
  cl_env_copy->values[0] = L4filter_vector(V1, V2, V2, V5, V6, V7, V8, V3, V4, V9);
  {
   cl_object V12;                                 /*  SEQUENCE        */
   cl_object V13;                                 /*  L               */
   {
    int V14 = cl_env_copy->nvalues-0;
    if (V14--<=0) goto L15;
    V12 = cl_env_copy->values[0];
    if (V14--<=0) goto L16;
    V13 = cl_env_copy->values[1];
    goto L17;
   }
L15:;
   V12 = ECL_NIL;
L16:;
   V13 = ECL_NIL;
L17:;
   si_fill_pointer_set(V12, V13);
   value0 = V12;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L12:;
  value0 = L4filter_vector(V1, ECL_NIL, V2, V5, V6, V7, V8, V3, V4, V9);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DELETE-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_delete_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_delete_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V3 = ecl_make_fixnum(0);
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
   V5 = keyvars[2];
   V6 = keyvars[3];
   V7 = keyvars[4];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_delete(14, T0, V2, ECL_SYM("START",1310), V3, ECL_SYM("END",1225), V4, VV[4], V5, ECL_SYM("COUNT",1450), V6, ECL_SYM("TEST",1316), T1, ECL_SYM("KEY",1262), V7);
  return value0;
 }
}
/*	function definition for DELETE-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_delete_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_delete_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V3 = ecl_make_fixnum(0);
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
   V5 = keyvars[2];
   V6 = keyvars[3];
   V7 = keyvars[4];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_delete(14, T0, V2, ECL_SYM("START",1310), V3, ECL_SYM("END",1225), V4, VV[4], V5, ECL_SYM("COUNT",1450), V6, ECL_SYM("TEST-NOT",1317), T1, ECL_SYM("KEY",1262), V7);
  return value0;
 }
}
/*	function definition for COUNT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_count(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,cl_countkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
   if (Null(keyvars[9])) {
    V6 = ecl_make_fixnum(0);
   } else {
    V6 = keyvars[3];
   }
   V7 = keyvars[4];
   V8 = keyvars[5];
  }
  {
   cl_object V9;
   if (Null(V3)) { goto L3; }
   if (Null(V4)) { goto L5; }
   L2test_error();
L5:;
   V9 = si_coerce_to_function(V3);
   goto L2;
L3:;
   if (Null(V4)) { goto L7; }
   V9 = si_coerce_to_function(V4);
   goto L2;
L7:;
   V9 = (ECL_SYM("EQL",334)->symbol.gfdef);
L2:;
   {
    cl_object V10;                                /*  KEY             */
    if (Null(V8)) { goto L10; }
    V10 = si_coerce_to_function(V8);
    goto L9;
L10:;
    V10 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L9:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V6, V7);
    {
     cl_fixnum V12;                               /*  START           */
     cl_fixnum V13;                               /*  END             */
     cl_fixnum V14;                               /*  L               */
     V12 = ecl_fixnum(cl_env_copy->values[0]);
     V13 = ecl_fixnum(cl_env_copy->values[1]);
     V14 = ecl_fixnum(cl_env_copy->values[2]);
     {
      cl_fixnum V15;                              /*  COUNTER         */
      V15 = 0;
      if (Null(V5)) { goto L14; }
      if (!(ECL_LISTP(V2))) { goto L16; }
      T0 = cl_reverse(V2);
      T1 = ecl_minus(ecl_make_fixnum(V14),ecl_make_fixnum(V13));
      T2 = ecl_minus(ecl_make_fixnum(V14),ecl_make_fixnum(V12));
      value0 = cl_count(12, V1, T0, ECL_SYM("START",1310), T1, ECL_SYM("END",1225), T2, ECL_SYM("TEST",1316), V3, ECL_SYM("TEST-NOT",1317), V4, ECL_SYM("KEY",1262), V10);
      return value0;
L16:;
      {
       cl_fixnum V16;
       V16 = V13;
       goto L21;
L20:;
       {
        cl_object V17;                            /*  ELT             */
        V16 = (V16)-1;
        V17 = ecl_aref_unsafe(V2,V16);
        if (Null(V4)) { goto L27; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V17);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L23; }
        goto L26;
L27:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V17);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L23; }
L26:;
        V15 = (V15)+(1);
       }
L23:;
L21:;
       if ((V16)==(V12)) { goto L32; }
       goto L20;
L32:;
       value0 = ecl_make_fixnum(V15);
       cl_env_copy->nvalues = 1;
       return value0;
      }
L14:;
      if (!(ECL_LISTP(V2))) { goto L34; }
      {
       cl_fixnum V17;
       cl_object V18;
       cl_fixnum V19;
       V17 = V12;
       V18 = ecl_nthcdr(V17,V2);
       V19 = (V13)-(V17);
       goto L41;
L40:;
       {
        cl_object V20;                            /*  ELT             */
        V20 = ECL_CONS_CAR(V18);
        if (Null(V4)) { goto L46; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V20);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L43; }
        goto L45;
L46:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V20);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L43; }
L45:;
        V15 = (V15)+(1);
       }
L43:;
       V17 = (V17)+1;
       V18 = ECL_CONS_CDR(V18);
       V19 = (V19)-1;
L41:;
       if ((V19)<=(0)) { goto L57; }
       goto L40;
L57:;
       value0 = ecl_make_fixnum(V15);
       cl_env_copy->nvalues = 1;
       return value0;
      }
L34:;
      {
       cl_fixnum V20;
       V20 = V12;
       goto L62;
L61:;
       {
        cl_object V21;                            /*  ELT             */
        V21 = ecl_aref_unsafe(V2,V20);
        if (Null(V4)) { goto L67; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V21);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L64; }
        goto L66;
L67:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V21);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L64; }
L66:;
        V15 = (V15)+(1);
       }
L64:;
       V20 = (V20)+1;
L62:;
       if ((V20)==(V13)) { goto L74; }
       goto L61;
L74:;
       value0 = ecl_make_fixnum(V15);
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for COUNT-IF                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_count_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_count_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_count(12, T0, V2, VV[4], V3, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, ECL_SYM("TEST",1316), T1, ECL_SYM("KEY",1262), V6);
  return value0;
 }
}
/*	function definition for COUNT-IF-NOT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_count_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_count_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_count(12, T0, V2, VV[4], V3, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, ECL_SYM("TEST-NOT",1317), T1, ECL_SYM("KEY",1262), V6);
  return value0;
 }
}
/*	function definition for SUBSTITUTE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_substitute(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,cl_substitutekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
   V5 = keyvars[1];
   if (Null(keyvars[9])) {
    V6 = ecl_make_fixnum(0);
   } else {
    V6 = keyvars[2];
   }
   V7 = keyvars[3];
   V8 = keyvars[4];
   V9 = keyvars[5];
   V10 = keyvars[6];
  }
  T0 = ecl_copy_seq(V3);
  value0 = cl_nsubstitute(17, V1, V2, T0, ECL_SYM("START",1310), V6, ECL_SYM("END",1225), V7, VV[4], V8, ECL_SYM("COUNT",1450), V9, ECL_SYM("KEY",1262), V10, ECL_SYM("TEST",1316), V4, ECL_SYM("TEST-NOT",1317), V5);
  return value0;
 }
}
/*	function definition for SUBSTITUTE-IF                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_substitute_if(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_substitute_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[0];
   }
   V5 = keyvars[1];
   V6 = keyvars[2];
   V7 = keyvars[3];
   V8 = keyvars[4];
  }
  T0 = si_coerce_to_function(V2);
  T1 = ecl_copy_seq(V3);
  T2 = (VV[1]->symbol.gfdef);
  value0 = cl_nsubstitute(17, V1, T0, T1, ECL_SYM("KEY",1262), V8, ECL_SYM("TEST",1316), T2, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, VV[4], V6, ECL_SYM("COUNT",1450), V7, ECL_SYM("KEY",1262), V8);
  return value0;
 }
}
/*	function definition for SUBSTITUTE-IF-NOT                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_substitute_if_not(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_substitute_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[0];
   }
   V5 = keyvars[1];
   V6 = keyvars[2];
   V7 = keyvars[3];
   V8 = keyvars[4];
  }
  T0 = si_coerce_to_function(V2);
  T1 = ecl_copy_seq(V3);
  T2 = (VV[1]->symbol.gfdef);
  value0 = cl_nsubstitute(17, V1, T0, T1, ECL_SYM("KEY",1262), V8, ECL_SYM("TEST-NOT",1317), T2, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, VV[4], V6, ECL_SYM("COUNT",1450), V7, ECL_SYM("KEY",1262), V8);
  return value0;
 }
}
/*	function definition for NSUBSTITUTE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubstitute(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,cl_nsubstitutekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
   V5 = keyvars[1];
   if (Null(keyvars[9])) {
    V6 = ecl_make_fixnum(0);
   } else {
    V6 = keyvars[2];
   }
   V7 = keyvars[3];
   V8 = keyvars[4];
   V9 = keyvars[5];
   V10 = keyvars[6];
  }
  {
   cl_object V11;
   if (Null(V4)) { goto L3; }
   if (Null(V5)) { goto L5; }
   L2test_error();
L5:;
   V11 = si_coerce_to_function(V4);
   goto L2;
L3:;
   if (Null(V5)) { goto L7; }
   V11 = si_coerce_to_function(V5);
   goto L2;
L7:;
   V11 = (ECL_SYM("EQL",334)->symbol.gfdef);
L2:;
   {
    cl_object V12;                                /*  KEY             */
    if (Null(V10)) { goto L10; }
    V12 = si_coerce_to_function(V10);
    goto L9;
L10:;
    V12 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L9:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V3, V6, V7);
    {
     cl_fixnum V14;                               /*  START           */
     cl_fixnum V15;                               /*  END             */
     cl_fixnum V16;                               /*  L               */
     V14 = ecl_fixnum(cl_env_copy->values[0]);
     V15 = ecl_fixnum(cl_env_copy->values[1]);
     V16 = ecl_fixnum(cl_env_copy->values[2]);
     {
      cl_fixnum V17;                              /*  %COUNT          */
      V17 = ecl_fixnum(si_sequence_count(V9));
      if (!((V17)>0)) { goto L14; }
      if (Null(V8)) { goto L16; }
      if (!(ECL_LISTP(V3))) { goto L18; }
      T0 = cl_nreverse(V3);
      T1 = ecl_minus(ecl_make_fixnum(V16),ecl_make_fixnum(V15));
      T2 = ecl_minus(ecl_make_fixnum(V16),ecl_make_fixnum(V14));
      T3 = cl_nsubstitute(15, V1, V2, T0, ECL_SYM("START",1310), T1, ECL_SYM("END",1225), T2, ECL_SYM("KEY",1262), V12, ECL_SYM("TEST",1316), V4, ECL_SYM("TEST-NOT",1317), V5, ECL_SYM("COUNT",1450), V9);
      value0 = cl_nreverse(T3);
      return value0;
L18:;
      {
       cl_fixnum V18;
       V18 = V15;
       goto L23;
L22:;
       {
        cl_object V19;                            /*  ELT             */
        V18 = (V18)-1;
        V19 = ecl_aref_unsafe(V3,V18);
        if (Null(V5)) { goto L29; }
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, V19);
        if (((cl_env_copy->function=V11)->cfun.entry(2, V2, T0))!=ECL_NIL) { goto L25; }
        goto L28;
L29:;
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, V19);
        if (Null((cl_env_copy->function=V11)->cfun.entry(2, V2, T0))) { goto L25; }
L28:;
        ecl_aset_unsafe(V3,V18,V1);
        {
         cl_fixnum V20;
         V17 = (V17)-(1);
         V20 = V17;
         if (!((V20)==0)) { goto L25; }
        }
        value0 = V3;
        cl_env_copy->nvalues = 1;
        return value0;
       }
L25:;
L23:;
       if ((V18)==(V14)) { goto L37; }
       goto L22;
L37:;
       value0 = V3;
       cl_env_copy->nvalues = 1;
       return value0;
      }
L16:;
      if (!(ECL_LISTP(V3))) { goto L39; }
      {
       cl_fixnum V19;
       cl_object V20;
       cl_fixnum V21;
       V19 = V14;
       V20 = ecl_nthcdr(V19,V3);
       V21 = (V15)-(V19);
       goto L46;
L45:;
       {
        cl_object V22;                            /*  ELT             */
        V22 = ECL_CONS_CAR(V20);
        if (Null(V5)) { goto L51; }
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, V22);
        if (((cl_env_copy->function=V11)->cfun.entry(2, V2, T0))!=ECL_NIL) { goto L48; }
        goto L50;
L51:;
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, V22);
        if (Null((cl_env_copy->function=V11)->cfun.entry(2, V2, T0))) { goto L48; }
L50:;
        (ECL_CONS_CAR(V20)=V1,V20);
        {
         cl_fixnum V23;
         V17 = (V17)-(1);
         V23 = V17;
         if (!((V23)==0)) { goto L48; }
        }
        value0 = V3;
        cl_env_copy->nvalues = 1;
        return value0;
       }
L48:;
       V19 = (V19)+1;
       V20 = ECL_CONS_CDR(V20);
       V21 = (V21)-1;
L46:;
       if ((V21)<=(0)) { goto L65; }
       goto L45;
L65:;
       value0 = V3;
       cl_env_copy->nvalues = 1;
       return value0;
      }
L39:;
      {
       cl_fixnum V22;
       V22 = V14;
       goto L70;
L69:;
       {
        cl_object V23;                            /*  ELT             */
        V23 = ecl_aref_unsafe(V3,V22);
        if (Null(V5)) { goto L75; }
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, V23);
        if (((cl_env_copy->function=V11)->cfun.entry(2, V2, T0))!=ECL_NIL) { goto L72; }
        goto L74;
L75:;
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, V23);
        if (Null((cl_env_copy->function=V11)->cfun.entry(2, V2, T0))) { goto L72; }
L74:;
        ecl_aset_unsafe(V3,V22,V1);
        {
         cl_fixnum V24;
         V17 = (V17)-(1);
         V24 = V17;
         if (!((V24)==0)) { goto L72; }
        }
        value0 = V3;
        cl_env_copy->nvalues = 1;
        return value0;
       }
L72:;
       V22 = (V22)+1;
L70:;
       if ((V22)==(V15)) { goto L85; }
       goto L69;
L85:;
       value0 = V3;
       cl_env_copy->nvalues = 1;
       return value0;
      }
L14:;
      value0 = V3;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for NSUBSTITUTE-IF                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubstitute_if(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_nsubstitute_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[0];
   }
   V5 = keyvars[1];
   V6 = keyvars[2];
   V7 = keyvars[3];
   V8 = keyvars[4];
  }
  T0 = si_coerce_to_function(V2);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_nsubstitute(17, V1, T0, V3, ECL_SYM("KEY",1262), V8, ECL_SYM("TEST",1316), T1, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, VV[4], V6, ECL_SYM("COUNT",1450), V7, ECL_SYM("KEY",1262), V8);
  return value0;
 }
}
/*	function definition for NSUBSTITUTE-IF-NOT                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubstitute_if_not(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,cl_nsubstitute_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[0];
   }
   V5 = keyvars[1];
   V6 = keyvars[2];
   V7 = keyvars[3];
   V8 = keyvars[4];
  }
  T0 = si_coerce_to_function(V2);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_nsubstitute(17, V1, T0, V3, ECL_SYM("KEY",1262), V8, ECL_SYM("TEST-NOT",1317), T1, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, VV[4], V6, ECL_SYM("COUNT",1450), V7, ECL_SYM("KEY",1262), V8);
  return value0;
 }
}
/*	function definition for FIND                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,cl_findkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   if (Null(keyvars[8])) {
    V5 = ecl_make_fixnum(0);
   } else {
    V5 = keyvars[2];
   }
   V6 = keyvars[3];
   V7 = keyvars[4];
   V8 = keyvars[5];
  }
  {
   cl_object V9;
   if (Null(V3)) { goto L3; }
   if (Null(V4)) { goto L5; }
   L2test_error();
L5:;
   V9 = si_coerce_to_function(V3);
   goto L2;
L3:;
   if (Null(V4)) { goto L7; }
   V9 = si_coerce_to_function(V4);
   goto L2;
L7:;
   V9 = (ECL_SYM("EQL",334)->symbol.gfdef);
L2:;
   {
    cl_object V10;                                /*  KEY             */
    if (Null(V8)) { goto L10; }
    V10 = si_coerce_to_function(V8);
    goto L9;
L10:;
    V10 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L9:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V5, V6);
    {
     cl_fixnum V12;                               /*  START           */
     cl_fixnum V13;                               /*  END             */
     cl_object V14;                               /*  LENGTH          */
     V12 = ecl_fixnum(cl_env_copy->values[0]);
     V13 = ecl_fixnum(cl_env_copy->values[1]);
     V14 = cl_env_copy->values[2];
     {
      cl_object V15;                              /*  OUTPUT          */
      V15 = ECL_NIL;
      if (!(ECL_LISTP(V2))) { goto L14; }
      {
       cl_fixnum V16;                             /*  INDEX           */
       cl_object V17;
       cl_fixnum V18;
       V16 = V12;
       V17 = ecl_nthcdr(V16,V2);
       V18 = (V13)-(V16);
       goto L21;
L20:;
       {
        cl_object V19;                            /*  ELT             */
        V19 = ECL_CONS_CAR(V17);
        if (Null(V4)) { goto L26; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V19);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L23; }
        goto L25;
L26:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V19);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L23; }
L25:;
        if ((V7)!=ECL_NIL) { goto L30; }
        value0 = V19;
        cl_env_copy->nvalues = 1;
        return value0;
L30:;
        V15 = V19;
       }
L23:;
       V16 = (V16)+1;
       V17 = ECL_CONS_CDR(V17);
       V18 = (V18)-1;
L21:;
       if ((V18)<=(0)) { goto L39; }
       goto L20;
L39:;
       value0 = V15;
       cl_env_copy->nvalues = 1;
       return value0;
      }
L14:;
      {
       cl_fixnum V19;                             /*  INDEX           */
       V19 = V12;
       goto L44;
L43:;
       {
        cl_object V20;                            /*  ELT             */
        V20 = ecl_aref_unsafe(V2,V19);
        if (Null(V4)) { goto L49; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V20);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L46; }
        goto L48;
L49:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V20);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L46; }
L48:;
        if ((V7)!=ECL_NIL) { goto L53; }
        value0 = V20;
        cl_env_copy->nvalues = 1;
        return value0;
L53:;
        V15 = V20;
       }
L46:;
       V19 = (V19)+1;
L44:;
       if ((V19)==(V13)) { goto L58; }
       goto L43;
L58:;
       value0 = V15;
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for FIND-IF                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_find_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_find(12, T0, V2, VV[4], V3, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, ECL_SYM("TEST",1316), T1, ECL_SYM("KEY",1262), V6);
  return value0;
 }
}
/*	function definition for FIND-IF-NOT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_find_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_find(12, T0, V2, VV[4], V3, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, ECL_SYM("TEST-NOT",1317), T1, ECL_SYM("KEY",1262), V6);
  return value0;
 }
}
/*	function definition for POSITION                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_position(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,cl_positionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
   if (Null(keyvars[9])) {
    V6 = ecl_make_fixnum(0);
   } else {
    V6 = keyvars[3];
   }
   V7 = keyvars[4];
   V8 = keyvars[5];
  }
  {
   cl_object V9;
   if (Null(V3)) { goto L3; }
   if (Null(V4)) { goto L5; }
   L2test_error();
L5:;
   V9 = si_coerce_to_function(V3);
   goto L2;
L3:;
   if (Null(V4)) { goto L7; }
   V9 = si_coerce_to_function(V4);
   goto L2;
L7:;
   V9 = (ECL_SYM("EQL",334)->symbol.gfdef);
L2:;
   {
    cl_object V10;                                /*  KEY             */
    if (Null(V8)) { goto L10; }
    V10 = si_coerce_to_function(V8);
    goto L9;
L10:;
    V10 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L9:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V6, V7);
    {
     cl_fixnum V12;                               /*  START           */
     cl_fixnum V13;                               /*  END             */
     cl_object V14;
     V12 = ecl_fixnum(cl_env_copy->values[0]);
     V13 = ecl_fixnum(cl_env_copy->values[1]);
     V14 = cl_env_copy->values[2];
     {
      cl_object V15;                              /*  OUTPUT          */
      V15 = ECL_NIL;
      if (!(ECL_LISTP(V2))) { goto L14; }
      {
       cl_fixnum V16;                             /*  INDEX           */
       cl_object V17;
       cl_fixnum V18;
       V16 = V12;
       V17 = ecl_nthcdr(V16,V2);
       V18 = (V13)-(V16);
       goto L21;
L20:;
       {
        cl_object V19;                            /*  ELT             */
        V19 = ECL_CONS_CAR(V17);
        if (Null(V4)) { goto L26; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V19);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L23; }
        goto L25;
L26:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V19);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L23; }
L25:;
        if ((V5)!=ECL_NIL) { goto L30; }
        value0 = ecl_make_fixnum(V16);
        cl_env_copy->nvalues = 1;
        return value0;
L30:;
        V15 = ecl_make_fixnum(V16);
       }
L23:;
       V16 = (V16)+1;
       V17 = ECL_CONS_CDR(V17);
       V18 = (V18)-1;
L21:;
       if ((V18)<=(0)) { goto L39; }
       goto L20;
L39:;
       value0 = V15;
       cl_env_copy->nvalues = 1;
       return value0;
      }
L14:;
      {
       cl_fixnum V19;                             /*  INDEX           */
       V19 = V12;
       goto L44;
L43:;
       {
        cl_object V20;                            /*  ELT             */
        V20 = ecl_aref_unsafe(V2,V19);
        if (Null(V4)) { goto L49; }
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V20);
        if (((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))!=ECL_NIL) { goto L46; }
        goto L48;
L49:;
        T0 = (cl_env_copy->function=V10)->cfun.entry(1, V20);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V1, T0))) { goto L46; }
L48:;
        if ((V5)!=ECL_NIL) { goto L53; }
        value0 = ecl_make_fixnum(V19);
        cl_env_copy->nvalues = 1;
        return value0;
L53:;
        V15 = ecl_make_fixnum(V19);
       }
L46:;
       V19 = (V19)+1;
L44:;
       if ((V19)==(V13)) { goto L58; }
       goto L43;
L58:;
       value0 = V15;
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for POSITION-IF                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_position_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_position_ifkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_position(12, T0, V2, VV[4], V3, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, ECL_SYM("TEST",1316), T1, ECL_SYM("KEY",1262), V6);
  return value0;
 }
}
/*	function definition for POSITION-IF-NOT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_position_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,cl_position_if_notkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[5])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[1];
   }
   V5 = keyvars[2];
   V6 = keyvars[3];
  }
  T0 = si_coerce_to_function(V1);
  T1 = (VV[1]->symbol.gfdef);
  value0 = cl_position(12, T0, V2, VV[4], V3, ECL_SYM("START",1310), V4, ECL_SYM("END",1225), V5, ECL_SYM("TEST-NOT",1317), T1, ECL_SYM("KEY",1262), V6);
  return value0;
 }
}
/*	function definition for REMOVE-DUPLICATES-LIST                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8remove_duplicates_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7)
{
 cl_object T0;
 volatile cl_object lex0[3];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  lex0[0] = V6;
  if (Null(V5)) { goto L2; }
  if (Null(lex0[0])) { goto L4; }
  L2test_error();
L4:;
  T0 = si_coerce_to_function(V5);
  goto L1;
L2:;
  if (Null(lex0[0])) { goto L6; }
  T0 = si_coerce_to_function(lex0[0]);
  goto L1;
L6:;
  T0 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
  lex0[1] = T0;
  if (Null(V7)) { goto L9; }
  T0 = si_coerce_to_function(V7);
  goto L8;
L9:;
  T0 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
  lex0[2] = T0;                                   /*  KEY             */
  cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V2, V3);
  {
   cl_fixnum V9;                                  /*  START           */
   cl_fixnum V10;                                 /*  END             */
   cl_object V11;
   V9 = ecl_fixnum(cl_env_copy->values[0]);
   V10 = ecl_fixnum(cl_env_copy->values[1]);
   V11 = cl_env_copy->values[2];
   {
    cl_object V12;                                /*  OUTPUT          */
    V12 = ECL_NIL;
    goto L15;
L14:;
    T0 = ECL_CONS_CAR(V1);
    V12 = CONS(T0,V12);
    V1 = ECL_CONS_CDR(V1);
    V9 = (V9)-1;
    V10 = (V10)-1;
L15:;
    if (Null(V1)) { goto L25; }
    if (!((V9)>0)) { goto L25; }
    goto L14;
L25:;
    {
     cl_object V13;                               /*  LET197          */
     cl_object V14;                               /*  LET198          */
     V13 = V1;
     {
      cl_fixnum V15;
      V15 = (V10)-(V9);
      V14 = ecl_nthcdr(V15,V1);
     }
L30:;
     if (!((V1)==(V14))) { goto L32; }
     value0 = cl_nreconc(V12, V1);
     return value0;
L32:;
     if ((LC7already_in_list_p(lex0, V13, V1, V14, V4))!=ECL_NIL) { goto L34; }
     T0 = ECL_CONS_CAR(V1);
     V12 = CONS(T0,V12);
L34:;
     V1 = ECL_CONS_CDR(V1);
     goto L30;
    }
   }
  }
 }
}
/*	local function ALREADY-IN-LIST-P                              */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object LC7already_in_list_p(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V5;                                   /*  ELT             */
  T0 = ECL_CONS_CAR(V2);
  V5 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T0);
  if (Null(V4)) { goto L2; }
L4:;
  if (!((V1)==(V2))) { goto L6; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  if (Null(lex0[0])) { goto L10; }
  T1 = ECL_CONS_CAR(V1);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))!=ECL_NIL) { goto L8; }
  goto L9;
L10:;
  T1 = ECL_CONS_CAR(V1);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (Null((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))) { goto L8; }
L9:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  V1 = ECL_CONS_CDR(V1);
  goto L4;
L2:;
L16:;
  V2 = ECL_CONS_CDR(V2);
  if (!((V2)==(V3))) { goto L20; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L20:;
  if (Null(lex0[0])) { goto L23; }
  T1 = ECL_CONS_CAR(V2);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))!=ECL_NIL) { goto L17; }
  goto L22;
L23:;
  T1 = ECL_CONS_CAR(V2);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (Null((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))) { goto L17; }
L22:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L17:;
  goto L16;
 }
}
/*	function definition for REMOVE-DUPLICATES                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_remove_duplicates(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,cl_remove_duplicateskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   V3 = keyvars[1];
   V4 = keyvars[2];
   if (Null(keyvars[9])) {
    V5 = ecl_make_fixnum(0);
   } else {
    V5 = keyvars[3];
   }
   V6 = keyvars[4];
   V7 = keyvars[5];
  }
  if (!(ECL_LISTP(V1))) { goto L2; }
  value0 = L8remove_duplicates_list(V1, V5, V6, V4, V2, V3, V7);
  return value0;
L2:;
  if (!(ECL_VECTORP(V1))) { goto L4; }
  {
   cl_object V8;                                  /*  L               */
   cl_object V9;                                  /*  V               */
   V8 = L12filter_duplicates_vector(ECL_NIL, V1, V5, V6, V4, V2, V3, V7);
   T0 = cl_array_element_type(V1);
   V9 = si_make_pure_array(T0, V8, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   L12filter_duplicates_vector(V9, V1, V5, V6, V4, V2, V3, V7);
   value0 = V9;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L4:;
  if (ECL_VECTORP(V1)) { goto L9; }
  value0 = si_signal_type_error(V1, ECL_SYM("SEQUENCE",741));
  return value0;
L9:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DELETE-DUPLICATES-LIST                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10delete_duplicates_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7)
{
 cl_object T0;
 volatile cl_object lex0[3];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  lex0[0] = V6;
  if (Null(V5)) { goto L2; }
  if (Null(lex0[0])) { goto L4; }
  L2test_error();
L4:;
  T0 = si_coerce_to_function(V5);
  goto L1;
L2:;
  if (Null(lex0[0])) { goto L6; }
  T0 = si_coerce_to_function(lex0[0]);
  goto L1;
L6:;
  T0 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
  lex0[1] = T0;
  if (Null(V7)) { goto L9; }
  T0 = si_coerce_to_function(V7);
  goto L8;
L9:;
  T0 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
  lex0[2] = T0;                                   /*  KEY             */
  cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V2, V3);
  {
   cl_fixnum V9;                                  /*  START           */
   cl_fixnum V10;                                 /*  END             */
   cl_object V11;
   V9 = ecl_fixnum(cl_env_copy->values[0]);
   V10 = ecl_fixnum(cl_env_copy->values[1]);
   V11 = cl_env_copy->values[2];
   {
    cl_object V12;                                /*  SPLICE          */
    cl_object V13;                                /*  OUTPUT          */
    V12 = CONS(ECL_NIL,V1);
    V13 = V12;
    goto L16;
L15:;
    V12 = ECL_CONS_CDR(V12);
    V1 = ECL_CONS_CDR(V1);
    V9 = (V9)-1;
    V10 = (V10)-1;
L16:;
    if (Null(V1)) { goto L26; }
    if (!((V9)>0)) { goto L26; }
    goto L15;
L26:;
    {
     cl_object V14;                               /*  LET199          */
     cl_object V15;                               /*  LET200          */
     V14 = V12;
     {
      cl_fixnum V16;
      V16 = (V10)-(V9);
      V15 = ecl_nthcdr(V16,V1);
     }
L31:;
     if (!((V1)==(V15))) { goto L33; }
     value0 = ECL_CONS_CDR(V13);
     cl_env_copy->nvalues = 1;
     return value0;
L33:;
     T0 = ECL_CONS_CDR(V14);
     if (Null(LC9already_in_list_p(lex0, T0, V1, V15, V4))) { goto L35; }
     V1 = ECL_CONS_CDR(V1);
     (ECL_CONS_CDR(V12)=V1,V12);
     goto L32;
L35:;
     V1 = ECL_CONS_CDR(V1);
     V12 = ECL_CONS_CDR(V12);
L32:;
     goto L31;
    }
   }
  }
 }
}
/*	local function ALREADY-IN-LIST-P                              */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object LC9already_in_list_p(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V5;                                   /*  ELT             */
  T0 = ECL_CONS_CAR(V2);
  V5 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T0);
  if (Null(V4)) { goto L2; }
L4:;
  if (!((V1)==(V2))) { goto L6; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  if (Null(lex0[0])) { goto L10; }
  T1 = ECL_CONS_CAR(V1);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))!=ECL_NIL) { goto L8; }
  goto L9;
L10:;
  T1 = ECL_CONS_CAR(V1);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (Null((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))) { goto L8; }
L9:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  V1 = ECL_CONS_CDR(V1);
  goto L4;
L2:;
L16:;
  V2 = ECL_CONS_CDR(V2);
  if (!((V2)==(V3))) { goto L20; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L20:;
  if (Null(lex0[0])) { goto L23; }
  T1 = ECL_CONS_CAR(V2);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))!=ECL_NIL) { goto L17; }
  goto L22;
L23:;
  T1 = ECL_CONS_CAR(V2);
  T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T1);
  if (Null((cl_env_copy->function=lex0[1])->cfun.entry(2, V5, T0))) { goto L17; }
L22:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L17:;
  goto L16;
 }
}
/*	function definition for FILTER-DUPLICATES-VECTOR              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12filter_duplicates_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{
 cl_object T0;
 volatile cl_object lex0[3];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  lex0[0] = V7;
  if (Null(V6)) { goto L2; }
  if (Null(lex0[0])) { goto L4; }
  L2test_error();
L4:;
  T0 = si_coerce_to_function(V6);
  goto L1;
L2:;
  if (Null(lex0[0])) { goto L6; }
  T0 = si_coerce_to_function(lex0[0]);
  goto L1;
L6:;
  T0 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
  lex0[1] = T0;
  if (Null(V8)) { goto L9; }
  T0 = si_coerce_to_function(V8);
  goto L8;
L9:;
  T0 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
  lex0[2] = T0;                                   /*  KEY             */
  cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V3, V4);
  {
   cl_fixnum V10;                                 /*  START           */
   cl_fixnum V11;                                 /*  END             */
   cl_fixnum V12;                                 /*  LENGTH          */
   V10 = ecl_fixnum(cl_env_copy->values[0]);
   V11 = ecl_fixnum(cl_env_copy->values[1]);
   V12 = ecl_fixnum(cl_env_copy->values[2]);
   if (Null(V1)) { goto L12; }
   if ((V1)==(V2)) { goto L12; }
   ecl_copy_subarray(V1,0,V2,0,V10);
L12:;
   {
    cl_fixnum V13;                                /*  INDEX           */
    cl_fixnum V14;                                /*  JNDEX           */
    V13 = V10;
    V14 = V10;
L17:;
    if (!((V13)==(V11))) { goto L19; }
    if (Null(V1)) { goto L21; }
    ecl_copy_subarray(V1,V14,V2,V11,V12);
L21:;
    T0 = ecl_minus(ecl_make_fixnum(V12),ecl_make_fixnum(V11));
    value0 = ecl_plus(ecl_make_fixnum(V14),T0);
    cl_env_copy->nvalues = 1;
    return value0;
L19:;
    if ((LC11already_in_vector_p(lex0, V2, ecl_make_fixnum(V10), ecl_make_fixnum(V13), ecl_make_fixnum(V11), V5))!=ECL_NIL) { goto L23; }
    if (Null(V1)) { goto L25; }
    T0 = ecl_aref_unsafe(V2,V13);
    ecl_aset_unsafe(V1,V14,T0);
L25:;
    V14 = (V14)+1;
L23:;
    V13 = (V13)+1;
    goto L17;
   }
  }
 }
}
/*	local function ALREADY-IN-VECTOR-P                            */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object LC11already_in_vector_p(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V6;
 cl_fixnum V7;
 cl_fixnum V8;
 V6 = ecl_fixnum(V2);
 V7 = ecl_fixnum(V3);
 V8 = ecl_fixnum(V4);
TTL:
 if (Null(V5)) { goto L2; }
 V8 = V7;
 goto L1;
L2:;
 V6 = (V7)+1;
L1:;
 {
  cl_object V9;                                   /*  BASE            */
  T0 = ecl_aref_unsafe(V1,V7);
  V9 = (cl_env_copy->function=lex0[2])->cfun.entry(1, T0);
  {
   cl_fixnum V10;
   V10 = V6;
   goto L11;
L10:;
   {
    cl_object V11;                                /*  ELT             */
    V11 = ecl_aref_unsafe(V1,V10);
    if (Null(lex0[0])) { goto L16; }
    T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, V11);
    if (((cl_env_copy->function=lex0[1])->cfun.entry(2, V9, T0))!=ECL_NIL) { goto L13; }
    goto L15;
L16:;
    T0 = (cl_env_copy->function=lex0[2])->cfun.entry(1, V11);
    if (Null((cl_env_copy->function=lex0[1])->cfun.entry(2, V9, T0))) { goto L13; }
L15:;
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L13:;
   V10 = (V10)+1;
L11:;
   if ((V10)==(V8)) { goto L22; }
   goto L10;
L22:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for DELETE-DUPLICATES                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_delete_duplicates(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,cl_delete_duplicateskeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   V3 = keyvars[1];
   V4 = keyvars[2];
   if (Null(keyvars[9])) {
    V5 = ecl_make_fixnum(0);
   } else {
    V5 = keyvars[3];
   }
   V6 = keyvars[4];
   V7 = keyvars[5];
  }
  if (!(ECL_LISTP(V1))) { goto L2; }
  value0 = L10delete_duplicates_list(V1, V5, V6, V4, V2, V3, V7);
  return value0;
L2:;
  if (ECL_VECTORP(V1)) { goto L4; }
  value0 = si_signal_type_error(V1, ECL_SYM("SEQUENCE",741));
  return value0;
L4:;
  if (!((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)))) { goto L6; }
  {
   cl_object V8;                                  /*  L               */
   V8 = L12filter_duplicates_vector(V1, V1, V5, V6, V4, V2, V3, V7);
   si_fill_pointer_set(V1, V8);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L6:;
  {
   cl_object V9;                                  /*  L               */
   cl_object V10;                                 /*  V               */
   V9 = L12filter_duplicates_vector(ECL_NIL, V1, V5, V6, V4, V2, V3, V7);
   T0 = cl_array_element_type(V1);
   V10 = si_make_pure_array(T0, V9, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
   L12filter_duplicates_vector(V10, V1, V5, V6, V4, V2, V3, V7);
   value0 = V10;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MISMATCH                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_mismatch(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,cl_mismatchkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
   V6 = keyvars[3];
   if (Null(keyvars[12])) {
    V7 = ecl_make_fixnum(0);
   } else {
    V7 = keyvars[4];
   }
   if (Null(keyvars[13])) {
    V8 = ecl_make_fixnum(0);
   } else {
    V8 = keyvars[5];
   }
   V9 = keyvars[6];
   V10 = keyvars[7];
  }
  cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V7, V9);
  {
   cl_fixnum V12;                                 /*  START1          */
   cl_fixnum V13;                                 /*  END1            */
   cl_object V14;
   V12 = ecl_to_fixnum(cl_env_copy->values[0]);
   V13 = ecl_to_fixnum(cl_env_copy->values[1]);
   V14 = cl_env_copy->values[2];
   cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V2, V8, V10);
   {
    cl_fixnum V16;                                /*  START2          */
    cl_fixnum V17;                                /*  END2            */
    cl_object V18;
    V16 = ecl_to_fixnum(cl_env_copy->values[0]);
    V17 = ecl_to_fixnum(cl_env_copy->values[1]);
    V18 = cl_env_copy->values[2];
    {
     cl_object V19;
     if (Null(V4)) { goto L6; }
     if (Null(V5)) { goto L8; }
     L2test_error();
L8:;
     V19 = si_coerce_to_function(V4);
     goto L5;
L6:;
     if (Null(V5)) { goto L10; }
     V19 = si_coerce_to_function(V5);
     goto L5;
L10:;
     V19 = (ECL_SYM("EQL",334)->symbol.gfdef);
L5:;
     {
      cl_object V20;                              /*  KEY             */
      if (Null(V6)) { goto L13; }
      V20 = si_coerce_to_function(V6);
      goto L12;
L13:;
      V20 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L12:;
      if ((V3)!=ECL_NIL) { goto L15; }
      {
       cl_fixnum V21;                             /*  I1              */
       cl_fixnum V22;                             /*  I2              */
       V21 = V12;
       V22 = V16;
       goto L21;
L20:;
       if (Null(V5)) { goto L25; }
       T1 = ecl_elt(V1,V21);
       T0 = (cl_env_copy->function=V20)->cfun.entry(1, T1);
       T2 = ecl_elt(V2,V22);
       T1 = (cl_env_copy->function=V20)->cfun.entry(1, T2);
       if (Null((cl_env_copy->function=V19)->cfun.entry(2, T0, T1))) { goto L23; }
       goto L24;
L25:;
       T1 = ecl_elt(V1,V21);
       T0 = (cl_env_copy->function=V20)->cfun.entry(1, T1);
       T2 = ecl_elt(V2,V22);
       T1 = (cl_env_copy->function=V20)->cfun.entry(1, T2);
       if (((cl_env_copy->function=V19)->cfun.entry(2, T0, T1))!=ECL_NIL) { goto L23; }
L24:;
       value0 = ecl_make_fixnum(V21);
       cl_env_copy->nvalues = 1;
       return value0;
L23:;
       {
        cl_object V23;
        V23 = ecl_make_integer((V21)+1);
        {
         bool V24;
         V24 = ECL_FIXNUMP(V23);
         if (ecl_unlikely(!(V24)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V23);
        }
        V21 = ecl_fixnum(V23);
       }
       {
        cl_object V23;
        V23 = ecl_make_integer((V22)+1);
        {
         bool V24;
         V24 = ECL_FIXNUMP(V23);
         if (ecl_unlikely(!(V24)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V23);
        }
        V22 = ecl_fixnum(V23);
       }
L21:;
       if ((V21)>=(V13)) { goto L38; }
       if ((V22)>=(V17)) { goto L38; }
       goto L20;
L38:;
       if (!((V21)>=(V13))) { goto L41; }
       if (!((V22)>=(V17))) { goto L41; }
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 1;
       return value0;
L41:;
       value0 = ecl_make_fixnum(V21);
       cl_env_copy->nvalues = 1;
       return value0;
      }
L15:;
      {
       cl_object V23;                             /*  LET205          */
       cl_object V24;                             /*  LET206          */
       cl_fixnum V25;                             /*  I1              */
       cl_fixnum V26;                             /*  I2              */
       V23 = ecl_make_integer((V13)-1);
       V24 = ecl_make_integer((V17)-1);
       {
        bool V27;
        V27 = ECL_FIXNUMP(V23);
        if (ecl_unlikely(!(V27)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V23);
       }
       V25 = ecl_fixnum(V23);
       {
        bool V27;
        V27 = ECL_FIXNUMP(V24);
        if (ecl_unlikely(!(V27)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V24);
       }
       V26 = ecl_fixnum(V24);
       goto L52;
L51:;
       if (Null(V5)) { goto L56; }
       T1 = ecl_elt(V1,V25);
       T0 = (cl_env_copy->function=V20)->cfun.entry(1, T1);
       T2 = ecl_elt(V2,V26);
       T1 = (cl_env_copy->function=V20)->cfun.entry(1, T2);
       if (Null((cl_env_copy->function=V19)->cfun.entry(2, T0, T1))) { goto L54; }
       goto L55;
L56:;
       T1 = ecl_elt(V1,V25);
       T0 = (cl_env_copy->function=V20)->cfun.entry(1, T1);
       T2 = ecl_elt(V2,V26);
       T1 = (cl_env_copy->function=V20)->cfun.entry(1, T2);
       if (((cl_env_copy->function=V19)->cfun.entry(2, T0, T1))!=ECL_NIL) { goto L54; }
L55:;
       value0 = ecl_make_integer((V25)+1);
       cl_env_copy->nvalues = 1;
       return value0;
L54:;
       {
        cl_object V27;
        V27 = ecl_make_integer((V25)-1);
        {
         bool V28;
         V28 = ECL_FIXNUMP(V27);
         if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V27);
        }
        V25 = ecl_fixnum(V27);
       }
       {
        cl_object V27;
        V27 = ecl_make_integer((V26)-1);
        {
         bool V28;
         V28 = ECL_FIXNUMP(V27);
         if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V27);
        }
        V26 = ecl_fixnum(V27);
       }
L52:;
       if ((V25)<(V12)) { goto L69; }
       if ((V26)<(V16)) { goto L69; }
       goto L51;
L69:;
       if (!((V25)<(V12))) { goto L72; }
       if (!((V26)<(V16))) { goto L72; }
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 1;
       return value0;
L72:;
       value0 = ecl_make_integer((V25)+1);
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for SEARCH                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_search(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,cl_searchkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   V4 = keyvars[1];
   V5 = keyvars[2];
   V6 = keyvars[3];
   if (Null(keyvars[12])) {
    V7 = ecl_make_fixnum(0);
   } else {
    V7 = keyvars[4];
   }
   if (Null(keyvars[13])) {
    V8 = ecl_make_fixnum(0);
   } else {
    V8 = keyvars[5];
   }
   V9 = keyvars[6];
   V10 = keyvars[7];
  }
  if (!(ECL_VECTORP(V1))) { goto L3; }
  if (!(ECL_VECTORP(V2))) { goto L3; }
  value0 = L13search_vector(V1, V7, V9, V2, V8, V10, V4, V5, V6, V3);
  return value0;
L3:;
  value0 = L14search_generic(V1, V7, V9, V2, V8, V10, V4, V5, V6, V3);
  return value0;
 }
}
/*	function definition for SEARCH-VECTOR                         */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object L13search_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_object V11;
  if (Null(V7)) { goto L2; }
  if (Null(V8)) { goto L4; }
  L2test_error();
L4:;
  V11 = si_coerce_to_function(V7);
  goto L1;
L2:;
  if (Null(V8)) { goto L6; }
  V11 = si_coerce_to_function(V8);
  goto L1;
L6:;
  V11 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
  {
   cl_object V12;                                 /*  KEY             */
   if (Null(V9)) { goto L9; }
   V12 = si_coerce_to_function(V9);
   goto L8;
L9:;
   V12 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
   cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V2, V3);
   {
    cl_fixnum V14;                                /*  START1          */
    cl_fixnum V15;                                /*  END1            */
    cl_object V16;
    V14 = ecl_fixnum(cl_env_copy->values[0]);
    V15 = ecl_fixnum(cl_env_copy->values[1]);
    V16 = cl_env_copy->values[2];
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V4, V5, V6);
    {
     cl_fixnum V18;                               /*  START2          */
     cl_fixnum V19;                               /*  END2            */
     cl_object V20;
     V18 = ecl_fixnum(cl_env_copy->values[0]);
     V19 = ecl_fixnum(cl_env_copy->values[1]);
     V20 = cl_env_copy->values[2];
     {
      cl_fixnum V21;                              /*  LAST-INDEX      */
      cl_object V22;                              /*  LAST            */
      cl_fixnum V23;                              /*  START2          */
      cl_object V24;                              /*  BASE            */
      V21 = -1;
      {
       cl_fixnum V25;                             /*  L               */
       cl_fixnum V26;                             /*  E               */
       V25 = (V15)-(V14);
       V26 = (V19)-(V25);
       if ((V25)>0) { goto L17; }
       if (Null(V10)) { goto L19; }
       value0 = ecl_make_fixnum(V19);
       cl_env_copy->nvalues = 1;
       return value0;
L19:;
       value0 = ecl_make_fixnum(0);
       cl_env_copy->nvalues = 1;
       return value0;
L17:;
       V22 = ecl_make_integer((V26)+1);
      }
      V23 = V18;
      T0 = ecl_aref_unsafe(V1,V14);
      V24 = (cl_env_copy->function=V12)->cfun.entry(1, T0);
      goto L26;
L25:;
      if (Null(V8)) { goto L30; }
      T1 = ecl_aref_unsafe(V4,V23);
      T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
      if (((cl_env_copy->function=V11)->cfun.entry(2, V24, T0))!=ECL_NIL) { goto L28; }
      goto L29;
L30:;
      T1 = ecl_aref_unsafe(V4,V23);
      T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
      if (Null((cl_env_copy->function=V11)->cfun.entry(2, V24, T0))) { goto L28; }
L29:;
      {
       cl_fixnum V25;                             /*  I1              */
       cl_fixnum V26;                             /*  I2              */
       V25 = V14;
       V26 = V23;
L38:;
       V25 = (V25)+1;
       V26 = (V26)+1;
       if ((V25)>=(V15)) { goto L46; }
       if (!((V26)>=(V19))) { goto L44; }
       goto L45;
L46:;
L45:;
       if (Null(V10)) { goto L48; }
       V21 = V23;
       goto L28;
L48:;
       value0 = ecl_make_fixnum(V23);
       cl_env_copy->nvalues = 1;
       return value0;
L44:;
       if (Null(V8)) { goto L53; }
       T1 = ecl_aref_unsafe(V1,V25);
       T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
       T2 = ecl_aref_unsafe(V4,V26);
       T1 = (cl_env_copy->function=V12)->cfun.entry(1, T2);
       if (Null((cl_env_copy->function=V11)->cfun.entry(2, T0, T1))) { goto L39; }
       goto L52;
L53:;
       T1 = ecl_aref_unsafe(V1,V25);
       T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
       T2 = ecl_aref_unsafe(V4,V26);
       T1 = (cl_env_copy->function=V12)->cfun.entry(1, T2);
       if (((cl_env_copy->function=V11)->cfun.entry(2, T0, T1))!=ECL_NIL) { goto L39; }
L52:;
       goto L28;
L39:;
       goto L38;
      }
L28:;
      V23 = (V23)+1;
L26:;
      if (ecl_number_compare(ecl_make_fixnum(V23),V22)>=0) { goto L66; }
      goto L25;
L66:;
      if (!((V21)<0)) { goto L68; }
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 1;
      return value0;
L68:;
      value0 = ecl_make_fixnum(V21);
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for SEARCH-GENERIC                        */
/*	optimize speed 3, debug 0, space 0, safety 2                  */
static cl_object L14search_generic(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V11;
   if (Null(V7)) { goto L2; }
   if (Null(V8)) { goto L4; }
   L2test_error();
L4:;
   V11 = si_coerce_to_function(V7);
   goto L1;
L2:;
   if (Null(V8)) { goto L6; }
   V11 = si_coerce_to_function(V8);
   goto L1;
L6:;
   V11 = (ECL_SYM("EQL",334)->symbol.gfdef);
L1:;
   {
    cl_object V12;                                /*  KEY             */
    if (Null(V9)) { goto L9; }
    V12 = si_coerce_to_function(V9);
    goto L8;
L9:;
    V12 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L8:;
    cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V1, V2, V3);
    {
     cl_fixnum V14;                               /*  START1          */
     cl_fixnum V15;                               /*  END1            */
     cl_object V16;
     V14 = ecl_to_fixnum(cl_env_copy->values[0]);
     V15 = ecl_to_fixnum(cl_env_copy->values[1]);
     V16 = cl_env_copy->values[2];
     cl_env_copy->values[0] = si_sequence_start_end(ECL_SYM("SUBSEQ",829), V4, V5, V6);
     {
      cl_fixnum V18;                              /*  START2          */
      cl_fixnum V19;                              /*  END2            */
      cl_object V20;
      V18 = ecl_to_fixnum(cl_env_copy->values[0]);
      V19 = ecl_to_fixnum(cl_env_copy->values[1]);
      V20 = cl_env_copy->values[2];
      {
       cl_fixnum V21;                             /*  LAST-INDEX      */
       cl_fixnum V22;                             /*  START2          */
       cl_fixnum V23;                             /*  LAST            */
       cl_object V24;                             /*  IT1             */
       cl_object V25;                             /*  BASE            */
       cl_object V26;                             /*  IT2             */
       V21 = -1;
       V22 = V18;
       {
        cl_object V27;
        {
         cl_fixnum V28;                           /*  L               */
         cl_fixnum V29;                           /*  E               */
         {
          cl_object V30;
          V30 = ecl_minus(ecl_make_fixnum(V15),ecl_make_fixnum(V14));
          {
          bool V31;
          V31 = ECL_FIXNUMP(V30);
          if (ecl_unlikely(!(V31)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V30);
          }
          V28 = ecl_fixnum(V30);
         }
         {
          cl_object V30;
          V30 = ecl_minus(ecl_make_fixnum(V19),ecl_make_fixnum(V28));
          {
          bool V31;
          V31 = ECL_FIXNUMP(V30);
          if (ecl_unlikely(!(V31)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V30);
          }
          V29 = ecl_fixnum(V30);
         }
         if ((V28)>0) { goto L23; }
         if (Null(V10)) { goto L25; }
         value0 = ecl_make_fixnum(V19);
         cl_env_copy->nvalues = 1;
         return value0;
L25:;
         value0 = ecl_make_fixnum(0);
         cl_env_copy->nvalues = 1;
         return value0;
L23:;
         V27 = ecl_make_integer((V29)+1);
        }
        {
         bool V28;
         V28 = ECL_FIXNUMP(V27);
         if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V27);
        }
        V23 = ecl_fixnum(V27);
       }
       V24 = si_make_seq_iterator(2, V1, ecl_make_fixnum(V14));
       T0 = si_seq_iterator_ref(V1, V24);
       V25 = (cl_env_copy->function=V12)->cfun.entry(1, T0);
       V26 = si_make_seq_iterator(2, V4, ecl_make_fixnum(V22));
       goto L33;
L32:;
       if (Null(V8)) { goto L37; }
       T1 = si_seq_iterator_ref(V4, V26);
       T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
       if (((cl_env_copy->function=V11)->cfun.entry(2, V25, T0))!=ECL_NIL) { goto L35; }
       goto L36;
L37:;
       T1 = si_seq_iterator_ref(V4, V26);
       T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
       if (Null((cl_env_copy->function=V11)->cfun.entry(2, V25, T0))) { goto L35; }
L36:;
       {
        cl_object V27;                            /*  IT1             */
        cl_object V28;                            /*  IT2             */
        cl_fixnum V29;                            /*  I1              */
        cl_fixnum V30;                            /*  I2              */
        V27 = V24;
        V28 = V26;
        V29 = V14;
        V30 = V22;
L45:;
        V27 = si_seq_iterator_next(V1, V27);
        V28 = si_seq_iterator_next(V4, V28);
        {
         cl_object V31;
         V31 = ecl_make_integer((V29)+1);
         {
          bool V32;
          V32 = ECL_FIXNUMP(V31);
          if (ecl_unlikely(!(V32)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V31);
         }
         V29 = ecl_fixnum(V31);
        }
        {
         cl_object V31;
         V31 = ecl_make_integer((V30)+1);
         {
          bool V32;
          V32 = ECL_FIXNUMP(V31);
          if (ecl_unlikely(!(V32)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V31);
         }
         V30 = ecl_fixnum(V31);
        }
        if ((V29)>=(V15)) { goto L61; }
        if ((V30)>=(V19)) { goto L61; }
        if (V27==ECL_NIL) { goto L61; }
        if (!(V28==ECL_NIL)) { goto L59; }
        goto L60;
L61:;
L60:;
        if (Null(V10)) { goto L65; }
        V21 = V22;
        goto L35;
L65:;
        value0 = ecl_make_fixnum(V22);
        cl_env_copy->nvalues = 1;
        return value0;
L59:;
        if (Null(V8)) { goto L70; }
        T1 = si_seq_iterator_ref(V1, V27);
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
        T2 = si_seq_iterator_ref(V4, V28);
        T1 = (cl_env_copy->function=V12)->cfun.entry(1, T2);
        if (Null((cl_env_copy->function=V11)->cfun.entry(2, T0, T1))) { goto L46; }
        goto L69;
L70:;
        T1 = si_seq_iterator_ref(V1, V27);
        T0 = (cl_env_copy->function=V12)->cfun.entry(1, T1);
        T2 = si_seq_iterator_ref(V4, V28);
        T1 = (cl_env_copy->function=V12)->cfun.entry(1, T2);
        if (((cl_env_copy->function=V11)->cfun.entry(2, T0, T1))!=ECL_NIL) { goto L46; }
L69:;
        goto L35;
L46:;
        goto L45;
       }
L35:;
       {
        cl_object V27;
        V27 = ecl_make_integer((V22)+1);
        {
         bool V28;
         V28 = ECL_FIXNUMP(V27);
         if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V27);
        }
        V22 = ecl_fixnum(V27);
       }
       V26 = si_seq_iterator_next(V4, V26);
L33:;
       if (V26==ECL_NIL) { goto L83; }
       if ((V22)>=(V23)) { goto L83; }
       goto L32;
L83:;
       if (!((V21)<0)) { goto L86; }
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 1;
       return value0;
L86:;
       value0 = ecl_make_fixnum(V21);
       cl_env_copy->nvalues = 1;
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for SORT                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_sort(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_sortkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  if (Null(V3)) { goto L4; }
  V3 = si_coerce_to_function(V3);
  goto L3;
L4:;
  V3 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L3:;
  V2 = si_coerce_to_function(V2);
  if (!(ECL_LISTP(V1))) { goto L7; }
  value0 = L15list_merge_sort(V1, V2, V3);
  return value0;
L7:;
  {
   cl_fixnum V4;
   V4 = ecl_length(V1);
   T0 = ecl_make_integer((V4)-1);
   value0 = L16quick_sort(V1, ecl_make_fixnum(0), T0, V2, V3);
   return value0;
  }
 }
}
/*	function definition for LIST-MERGE-SORT                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L15list_merge_sort(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 {
  cl_fixnum V4;                                   /*  I               */
  cl_object V5;                                   /*  LEFT            */
  cl_object V6;                                   /*  RIGHT           */
  cl_object V7;                                   /*  L0              */
  cl_object V8;                                   /*  L1              */
  cl_object V9;                                   /*  KEY-LEFT        */
  cl_object V10;                                  /*  KEY-RIGHT       */
  V4 = 0;
  V5 = ECL_NIL;
  V6 = ECL_NIL;
  V7 = ECL_NIL;
  V8 = ECL_NIL;
  V9 = ECL_NIL;
  V10 = ECL_NIL;
  V4 = ecl_length(V1);
  if (!((V4)<(2))) { goto L14; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L14:;
  if (!((V4)==(2))) { goto L13; }
  T0 = _ecl_car(V1);
  V9 = (cl_env_copy->function=V3)->cfun.entry(1, T0);
  T0 = _ecl_cadr(V1);
  V10 = (cl_env_copy->function=V3)->cfun.entry(1, T0);
  if (Null((cl_env_copy->function=V2)->cfun.entry(2, V9, V10))) { goto L21; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L21:;
  if (Null((cl_env_copy->function=V2)->cfun.entry(2, V10, V9))) { goto L23; }
  value0 = cl_nreverse(V1);
  return value0;
L23:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  V4 = ecl_fixnum(ecl_floor2(ecl_make_fixnum(V4),ecl_make_fixnum(2)));
  {
   cl_fixnum V11;                                 /*  J               */
   cl_object V12;                                 /*  L1              */
   V11 = 1;
   V12 = V1;
   goto L32;
L31:;
   V11 = (V11)+1;
   V12 = _ecl_cdr(V12);
L32:;
   if ((V11)>=(V4)) { goto L37; }
   goto L31;
L37:;
   V5 = V1;
   V6 = _ecl_cdr(V12);
   (ECL_CONS_CDR(V12)=ECL_NIL,V12);
  }
  V5 = L15list_merge_sort(V5, V2, V3);
  V6 = L15list_merge_sort(V6, V2, V3);
  if (!(V5==ECL_NIL)) { goto L48; }
  value0 = V6;
  cl_env_copy->nvalues = 1;
  return value0;
L48:;
  if (!(V6==ECL_NIL)) { goto L47; }
  value0 = V5;
  cl_env_copy->nvalues = 1;
  return value0;
L47:;
  V7 = CONS(ECL_NIL,ECL_NIL);
  V8 = V7;
  T0 = _ecl_car(V5);
  V9 = (cl_env_copy->function=V3)->cfun.entry(1, T0);
  T0 = _ecl_car(V6);
  V10 = (cl_env_copy->function=V3)->cfun.entry(1, T0);
L8:;
  if (Null((cl_env_copy->function=V2)->cfun.entry(2, V9, V10))) { goto L60; }
  goto L9;
L60:;
  if (Null((cl_env_copy->function=V2)->cfun.entry(2, V10, V9))) { goto L62; }
  goto L10;
L62:;
  goto L9;
L9:;
  (ECL_CONS_CDR(V8)=V5,V8);
  V8 = _ecl_cdr(V8);
  V5 = _ecl_cdr(V5);
  if (!(V5==ECL_NIL)) { goto L69; }
  (ECL_CONS_CDR(V8)=V6,V8);
  value0 = _ecl_cdr(V7);
  cl_env_copy->nvalues = 1;
  return value0;
L69:;
  T0 = _ecl_car(V5);
  V9 = (cl_env_copy->function=V3)->cfun.entry(1, T0);
  goto L8;
L10:;
  (ECL_CONS_CDR(V8)=V6,V8);
  V8 = _ecl_cdr(V8);
  V6 = _ecl_cdr(V6);
  if (!(V6==ECL_NIL)) { goto L80; }
  (ECL_CONS_CDR(V8)=V5,V8);
  value0 = _ecl_cdr(V7);
  cl_env_copy->nvalues = 1;
  return value0;
L80:;
  T0 = _ecl_car(V6);
  V10 = (cl_env_copy->function=V3)->cfun.entry(1, T0);
  goto L8;
 }
}
/*	function definition for QUICK-SORT                            */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L16quick_sort(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_fixnum V6;
 cl_fixnum V7;
 V6 = ecl_fixnum(V2);
 V7 = ecl_fixnum(V3);
TTL:
 if (!((V6)<(V7))) { goto L1; }
 {
  cl_fixnum V8;                                   /*  J               */
  V8 = (V7)+1;
  {
   cl_fixnum V9;                                  /*  I               */
   cl_fixnum V10;                                 /*  L               */
   cl_fixnum V11;                                 /*  L-HALF          */
   cl_fixnum V12;                                 /*  P               */
   cl_object V13;                                 /*  D               */
   cl_object V14;                                 /*  KD              */
   V9 = V6;
   V10 = (V7)-(V6);
   V11 = ((V10) >> (1));
   V12 = (V6)+(V11);
   V13 = ecl_elt(V1,V12);
   V14 = (cl_env_copy->function=V5)->cfun.entry(1, V13);
   {
    cl_object V15;
    cl_object V16;
    V15 = ecl_elt(V1,V6);
    V16 = ecl_elt(V1,V12);
    ecl_elt_set(V1,V12,V15);
    ecl_elt_set(V1,V6,V16);
   }
L17:;
L20:;
   {
    cl_fixnum V15;
    V8 = (V8)-(1);
    V15 = V8;
    if ((V15)>(V9)) { goto L22; }
   }
   goto L16;
L22:;
   T1 = ecl_elt(V1,V8);
   T0 = (cl_env_copy->function=V5)->cfun.entry(1, T1);
   if (Null((cl_env_copy->function=V4)->cfun.entry(2, T0, V14))) { goto L21; }
   goto L19;
L21:;
   goto L20;
L19:;
L30:;
   {
    cl_fixnum V15;
    V9 = (V9)+(1);
    V15 = V9;
    if ((V15)<(V8)) { goto L32; }
   }
   goto L16;
L32:;
   T1 = ecl_elt(V1,V9);
   T0 = (cl_env_copy->function=V5)->cfun.entry(1, T1);
   if (((cl_env_copy->function=V4)->cfun.entry(2, T0, V14))!=ECL_NIL) { goto L31; }
   goto L29;
L31:;
   goto L30;
L29:;
   {
    cl_object V15;
    cl_object V16;
    V15 = ecl_elt(V1,V8);
    V16 = ecl_elt(V1,V9);
    ecl_elt_set(V1,V9,V15);
    ecl_elt_set(V1,V8,V16);
   }
   goto L17;
L16:;
   T0 = ecl_elt(V1,V8);
   ecl_elt_set(V1,V6,T0);
   ecl_elt_set(V1,V8,V13);
  }
  {
   cl_fixnum V9;
   V9 = (V8)-(V6);
   {
    cl_fixnum V10;
    V10 = (V7)-(V8);
    if (!((V9)<(V10))) { goto L45; }
   }
  }
  T0 = ecl_make_integer((V8)-1);
  L16quick_sort(V1, ecl_make_fixnum(V6), T0, V4, V5);
  V6 = (V8)+1;
  goto TTL;
L45:;
  T0 = ecl_make_integer((V8)+1);
  L16quick_sort(V1, T0, ecl_make_fixnum(V7), V4, V5);
  V7 = (V8)-1;
  goto TTL;
 }
L1:;
 value0 = V1;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for STABLE-SORT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_stable_sort(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_stable_sortkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  if (Null(V3)) { goto L4; }
  V3 = si_coerce_to_function(V3);
  goto L3;
L4:;
  V3 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L3:;
  V2 = si_coerce_to_function(V2);
  if (!(ECL_LISTP(V1))) { goto L7; }
  value0 = L15list_merge_sort(V1, V2, V3);
  return value0;
L7:;
  if (ECL_STRINGP(V1)) { goto L11; }
  if (!(ECL_BIT_VECTOR_P(V1))) { goto L9; }
  goto L10;
L11:;
L10:;
  value0 = cl_sort(4, V1, V2, ECL_SYM("KEY",1262), V3);
  return value0;
L9:;
  T0 = si_coerce_to_list(1, V1);
  T1 = L15list_merge_sort(T0, V2, V3);
  T2 = L1seqtype(V1);
  value0 = cl_coerce(T1, T2);
  return value0;
 }
}
/*	function definition for MERGE                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_merge(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
 {
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,V4,narg,4);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,cl_mergekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V5 = keyvars[0];
  }
  {
   cl_fixnum V6;                                  /*  L1              */
   cl_fixnum V7;                                  /*  L2              */
   V6 = ecl_length(V2);
   V7 = ecl_length(V3);
   {
    cl_object V8;                                 /*  KEY             */
    if (Null(V5)) { goto L4; }
    V8 = si_coerce_to_function(V5);
    goto L3;
L4:;
    V8 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
L3:;
    {
     cl_object V9;                                /*  PREDICATE       */
     V9 = si_coerce_to_function(V4);
     {
      cl_fixnum V10;                              /*  SIZE            */
      cl_fixnum V11;                              /*  J               */
      cl_object V12;                              /*  NEWSEQ          */
      cl_fixnum V13;                              /*  I1              */
      cl_fixnum V14;                              /*  I2              */
      V10 = ecl_to_fixnum(ecl_plus(ecl_make_fixnum(V6),ecl_make_fixnum(V7)));
      V11 = 0;
      V12 = cl_make_sequence(2, V1, ecl_make_fixnum(V10));
      V13 = 0;
      V14 = 0;
      goto L14;
L13:;
      if (!((V13)>=(V6))) { goto L17; }
      T0 = ecl_elt(V3,V14);
      ecl_elt_set(V12,V11,T0);
      {
       cl_object V15;
       V15 = ecl_make_integer((V14)+1);
       {
        bool V16;
        V16 = ECL_FIXNUMP(V15);
        if (ecl_unlikely(!(V16)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V15);
       }
       V14 = ecl_fixnum(V15);
      }
      goto L16;
L17:;
      {
       cl_object V15;                             /*  V1              */
       V15 = ecl_elt(V2,V13);
       if (!((V14)>=(V7))) { goto L24; }
       ecl_elt_set(V12,V11,V15);
       {
        cl_object V16;
        V16 = ecl_make_integer((V13)+1);
        {
         bool V17;
         V17 = ECL_FIXNUMP(V16);
         if (ecl_unlikely(!(V17)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V16);
        }
        V13 = ecl_fixnum(V16);
       }
       goto L16;
L24:;
       {
        cl_object V16;                            /*  V2              */
        cl_object V17;                            /*  K2              */
        cl_object V18;                            /*  K1              */
        V16 = ecl_elt(V3,V14);
        V17 = (cl_env_copy->function=V8)->cfun.entry(1, V16);
        V18 = (cl_env_copy->function=V8)->cfun.entry(1, V15);
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V18, V17))) { goto L33; }
        ecl_elt_set(V12,V11,V15);
        {
         cl_object V19;
         V19 = ecl_make_integer((V13)+1);
         {
          bool V20;
          V20 = ECL_FIXNUMP(V19);
          if (ecl_unlikely(!(V20)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V19);
         }
         V13 = ecl_fixnum(V19);
        }
        goto L16;
L33:;
        if (Null((cl_env_copy->function=V9)->cfun.entry(2, V17, V18))) { goto L39; }
        ecl_elt_set(V12,V11,V16);
        {
         cl_object V19;
         V19 = ecl_make_integer((V14)+1);
         {
          bool V20;
          V20 = ECL_FIXNUMP(V19);
          if (ecl_unlikely(!(V20)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V19);
         }
         V14 = ecl_fixnum(V19);
        }
        goto L16;
L39:;
        ecl_elt_set(V12,V11,V15);
        {
         cl_object V19;
         V19 = ecl_make_integer((V13)+1);
         {
          bool V20;
          V20 = ECL_FIXNUMP(V19);
          if (ecl_unlikely(!(V20)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V19);
         }
         V13 = ecl_fixnum(V19);
        }
       }
      }
L16:;
      {
       cl_object V15;
       V15 = ecl_make_integer((V11)+1);
       {
        bool V16;
        V16 = ECL_FIXNUMP(V15);
        if (ecl_unlikely(!(V16)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V15);
       }
       V11 = ecl_fixnum(V15);
      }
L14:;
      if ((V11)==(V10)) { goto L53; }
      goto L13;
L53:;
      value0 = V12;
      cl_env_copy->nvalues = 1;
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for COMPLEMENT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18complement(cl_object V1)
{
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  F               */
  {cl_object V2;
   V2 = ECL_NIL;
   V2 = ecl_make_cclosure_va((cl_objectfn)LC17__g449,env0,Cblock);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G449                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17__g449(cl_narg narg, ...)
{
 cl_object T0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  F               */
 { /* ... closure scanning finished */
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_apply(2, ECL_CONS_CAR(CLV0), V1);
  value0 = Null(T0)?ECL_T:ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}

#include "lsp/seqlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl29TP6va7_2TwfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;SEQLIB.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecl29TP6va7_2TwfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (void)0; /* No entry created for SEQTYPE */
 ecl_cmp_defun(VV[10]);                           /*  SEQUENCE-COUNT  */
 (void)0; /* No entry created for TEST-ERROR */
 ecl_cmp_defun(VV[11]);                           /*  UNSAFE-FUNCALL1 */
 (void)0; /* No entry created for REDUCE */
 (void)0; /* No entry created for FILL */
 (void)0; /* No entry created for REPLACE */
 ecl_cmp_defun(VV[21]);                           /*  FILTER-VECTOR   */
 ecl_cmp_defun(VV[22]);                           /*  REMOVE-LIST     */
 (void)0; /* No entry created for REMOVE */
 (void)0; /* No entry created for REMOVE-IF */
 (void)0; /* No entry created for REMOVE-IF-NOT */
 ecl_cmp_defun(VV[30]);                           /*  DELETE-LIST     */
 (void)0; /* No entry created for DELETE */
 (void)0; /* No entry created for DELETE-IF */
 (void)0; /* No entry created for DELETE-IF-NOT */
 (void)0; /* No entry created for COUNT */
 (void)0; /* No entry created for COUNT-IF */
 (void)0; /* No entry created for COUNT-IF-NOT */
 (void)0; /* No entry created for SUBSTITUTE */
 (void)0; /* No entry created for SUBSTITUTE-IF */
 (void)0; /* No entry created for SUBSTITUTE-IF-NOT */
 (void)0; /* No entry created for NSUBSTITUTE */
 (void)0; /* No entry created for NSUBSTITUTE-IF */
 (void)0; /* No entry created for NSUBSTITUTE-IF-NOT */
 (void)0; /* No entry created for FIND */
 (void)0; /* No entry created for FIND-IF */
 (void)0; /* No entry created for FIND-IF-NOT */
 (void)0; /* No entry created for POSITION */
 (void)0; /* No entry created for POSITION-IF */
 (void)0; /* No entry created for POSITION-IF-NOT */
 ecl_cmp_defun(VV[43]);                           /*  REMOVE-DUPLICATES-LIST */
 (void)0; /* No entry created for REMOVE-DUPLICATES */
 ecl_cmp_defun(VV[44]);                           /*  DELETE-DUPLICATES-LIST */
 ecl_cmp_defun(VV[45]);                           /*  FILTER-DUPLICATES-VECTOR */
 (void)0; /* No entry created for DELETE-DUPLICATES */
 (void)0; /* No entry created for MISMATCH */
 (void)0; /* No entry created for SEARCH */
 (void)0; /* No entry created for SEARCH-VECTOR */
 (void)0; /* No entry created for SEARCH-GENERIC */
 (void)0; /* No entry created for SORT */
 (void)0; /* No entry created for LIST-MERGE-SORT */
 (void)0; /* No entry created for QUICK-SORT */
 (void)0; /* No entry created for STABLE-SORT */
 (void)0; /* No entry created for MERGE */
 ecl_cmp_defun(VV[54]);                           /*  COMPLEMENT      */
}
