/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;SETF.LSP                                      */
#include <ecl/ecl-cmp.h>
#include "lsp/setf.eclh"
/*	function definition for CHECK-STORES-NUMBER                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1check_stores_number(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V4;
   V4 = ecl_length(V2);
   if (ecl_number_equalp(ecl_make_fixnum(V4),V3)) { goto L1; }
  }
  value0 = cl_error(3, _ecl_static_1, V3, V1);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DO-SETF-METHOD-EXPANSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2do_setf_method_expansion(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  VARS            */
   cl_object V5;                                  /*  INITS           */
   cl_object V6;                                  /*  ALL             */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   {
    cl_object V7;
    V7 = V3;
    goto L8;
L7:;
    {
     cl_object V8;                                /*  ITEM            */
     V8 = ecl_car(V7);
     if (ECL_FIXNUMP(V8)) { goto L12; }
     if ((cl_keywordp(V8))!=ECL_NIL) { goto L12; }
     V5 = CONS(V8,V5);
     V8 = cl_gensym(0);
     V4 = CONS(V8,V4);
L12:;
     V6 = CONS(V8,V6);
    }
    V7 = ecl_cdr(V7);
L8:;
    if (Null(V7)) { goto L24; }
    goto L7;
L24:;
   }
   {
    cl_object V7;                                 /*  STORE           */
    cl_object V8;                                 /*  ALL             */
    V7 = cl_gensym(0);
    V8 = cl_nreverse(V6);
    T0 = cl_nreverse(V4);
    T1 = cl_nreverse(V5);
    T2 = ecl_list1(V7);
    if (Null(V2)) { goto L29; }
    T3 = cl_apply(3, V2, V7, V8);
    goto L28;
L29:;
    T4 = cl_list(2, ECL_SYM("SETF",750), V1);
    T5 = cl_list(2, ECL_SYM("FUNCTION",396), T4);
    T3 = cl_listX(4, ECL_SYM("FUNCALL",394), T5, V7, V8);
L28:;
    T4 = CONS(V1,V8);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T4;
    cl_env_copy->values[3] = T3;
    cl_env_copy->values[2] = T2;
    cl_env_copy->values[1] = T1;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for SETF-METHOD-WRAPPER                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4setf_method_wrapper(cl_object V1, cl_object V2)
{
 cl_object env0;
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V1,env0);                    /*  NAME            */
  CLV1 = env0 = CONS(V2,env0);                    /*  SETF-LAMBDA     */
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cclosure_va((cl_objectfn)LC3__g6,env0,Cblock);
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G6                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3__g6(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  SETF-LAMBDA     */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  value0 = L2do_setf_method_expansion(ECL_CONS_CAR(CLV0), ECL_CONS_CAR(CLV1), V2);
  return value0;
 }
 }
}
/*	function definition for DO-DEFSETF                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_defsetf(cl_object V1, cl_object V2)
{
 cl_object T0;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V2,env0);                    /*  FUNCTION        */
  if (!(ECL_SYMBOLP(ECL_CONS_CAR(CLV0)))) { goto L1; }
  {cl_object V3;
   V3 = ECL_NIL;
   V3 = ecl_make_cclosure_va((cl_objectfn)LC5__g7,env0,Cblock);
   T0 = V3;
  }
  value0 = si_do_defsetf(V1, T0);
  return value0;
L1:;
  T0 = L4setf_method_wrapper(V1, ECL_CONS_CAR(CLV0));
  value0 = si_do_define_setf_method(V1, T0);
  return value0;
 }
}
/*	closure G7                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g7(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  FUNCTION        */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = ecl_list1(V1);
  T1 = ecl_append(V2,T0);
  value0 = CONS(ECL_CONS_CAR(CLV0),T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	function definition for DO-DEFINE-SETF-METHOD                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_define_setf_method(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = si_put_sysprop(V1, ECL_SYM("SETF-METHOD",1141), V2);
  return value0;
 }
}
/*	local function DEFSETF                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6defsetf(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ACCESS-FN       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  FUNCTION        */
    cl_object V6;                                 /*  DOCUMENTATION   */
    V5 = ECL_NIL;
    V6 = ECL_NIL;
    if (Null(ecl_car(V3))) { goto L11; }
    T0 = ecl_car(V3);
    if (ECL_SYMBOLP(T0)) { goto L14; }
    T0 = ecl_car(V3);
    if (Null(cl_functionp(T0))) { goto L11; }
    goto L12;
L14:;
L12:;
    T0 = ecl_car(V3);
    V5 = cl_list(2, ECL_SYM("QUOTE",679), T0);
    V6 = ecl_cadr(V3);
    goto L10;
L11:;
    {
     cl_object V7;                                /*  STORE           */
     cl_object V8;                                /*  ARGS            */
     cl_object V9;                                /*  BODY            */
     V7 = ecl_cadr(V3);
     V8 = ecl_car(V3);
     V9 = ecl_cddr(V3);
     V6 = si_find_documentation(1, V9);
     T0 = ecl_append(V7,V8);
     T1 = cl_listX(4, ECL_SYM("LAMBDA-BLOCK",1339), V4, T0, V9);
     V5 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
     L1check_stores_number(ECL_SYM("DEFSETF",286), V7, ecl_make_fixnum(1));
    }
L10:;
    if (Null(ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1181)))) { goto L27; }
    T1 = cl_copy_tree(ecl_symbol_value(ECL_SYM("*SOURCE-LOCATION*",1180)));
    T2 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T3 = cl_list(3, ECL_SYM("DO-DEFSETF",1929), T2, V5);
    T0 = ecl_function_dispatch(cl_env_copy,ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1181)))(3, T1, V1, T3);
    goto L26;
L27:;
    T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T0 = cl_list(3, ECL_SYM("DO-DEFSETF",1929), T1, V5);
L26:;
    T1 = si_expand_set_documentation(3, V4, ECL_SYM("SETF",750), V6);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T3 = ecl_list1(T2);
    T4 = ecl_append(T1,T3);
    value0 = cl_listX(4, ECL_SYM("EVAL-WHEN",340), VV[0], T0, T4);
    return value0;
   }
  }
 }
}
/*	local function DEFINE-SETF-EXPANDER                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7define_setf_expander(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ACCESS-FN       */
   cl_object V5;                                  /*  ARGS            */
   cl_object V6;                                  /*  BODY            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   V6 = V3;
   {
    cl_object V7;                                 /*  ENV             */
    V7 = si_memq(ECL_SYM("&ENVIRONMENT",9),V5);
    if (Null(V7)) { goto L17; }
    T0 = ecl_cadr(V7);
    T1 = cl_ldiff(V5, V7);
    T2 = ecl_cddr(V7);
    T3 = ecl_nconc(T1,T2);
    V5 = CONS(T0,T3);
    goto L15;
L17:;
    V7 = cl_gensym(0);
    V5 = CONS(V7,V5);
    T0 = cl_list(2, ECL_SYM("IGNORE",428), V7);
    T1 = cl_list(2, ECL_SYM("DECLARE",274), T0);
    V6 = CONS(T1,V6);
   }
L15:;
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T1 = cl_listX(4, ECL_SYM("LAMBDA-BLOCK",1339), V4, V5, V6);
   T2 = cl_list(2, ECL_SYM("FUNCTION",396), T1);
   T3 = cl_list(3, ECL_SYM("DO-DEFINE-SETF-METHOD",1930), T0, T2);
   T4 = si_find_documentation(1, V6);
   T5 = si_expand_set_documentation(3, V4, ECL_SYM("SETF",750), T4);
   T6 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T7 = ecl_list1(T6);
   T8 = ecl_append(T5,T7);
   value0 = cl_listX(4, ECL_SYM("EVAL-WHEN",340), VV[0], T3, T8);
   return value0;
  }
 }
}
/*	function definition for GET-SETF-EXPANSION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_setf_expansion(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  F               */
   V3 = ECL_NIL;
   if (!(ECL_SYMBOLP(V1))) { goto L3; }
   V3 = cl_macroexpand_1(2, V1, V2);
   if (Null(V3)) { goto L5; }
   if (ecl_equal(V3,V1)) { goto L5; }
   value0 = L8get_setf_expansion(2, V3, V2);
   return value0;
L5:;
   {
    cl_object V4;                                 /*  STORE           */
    V4 = cl_gensym(0);
    T0 = ecl_list1(V4);
    T1 = cl_list(3, ECL_SYM("SETQ",751), V1, V4);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = V1;
    cl_env_copy->values[3] = T1;
    cl_env_copy->values[2] = T0;
    cl_env_copy->values[1] = ECL_NIL;
    cl_env_copy->values[0] = ECL_NIL;
    return cl_env_copy->values[0];
   }
L3:;
   if (!(ECL_CONSP(V1))) { goto L12; }
   T0 = ecl_car(V1);
   if (ECL_SYMBOLP(T0)) { goto L10; }
   goto L11;
L12:;
L11:;
   value0 = cl_error(2, _ecl_static_2, V1);
   return value0;
L10:;
   T0 = ecl_car(V1);
   V3 = si_get_sysprop(T0, ECL_SYM("SETF-METHOD",1141));
   if (Null(V3)) { goto L14; }
   T0 = ecl_cdr(V1);
   value0 = cl_apply(3, V3, V2, T0);
   return value0;
L14:;
   V3 = cl_macroexpand_1(2, V1, V2);
   if (Null(V3)) { goto L17; }
   if (ecl_equal(V3,V1)) { goto L17; }
   value0 = L8get_setf_expansion(2, V3, V2);
   return value0;
L17:;
   T0 = ecl_car(V1);
   T1 = ecl_cdr(V1);
   value0 = L2do_setf_method_expansion(T0, ECL_NIL, T1);
   return value0;
  }
 }
}
/*	local function CAR                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9car(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("RPLACA",732), V2, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T0, V1);
  return value0;
 }
}
/*	local function CDR                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10cdr(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("RPLACD",733), V2, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T0, V1);
  return value0;
 }
}
/*	local function CAAR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11caar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAR",180), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDAR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12cdar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAR",180), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13cadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDR",198), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14cddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDR",198), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CAAAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15caaar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAAR",171), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDAAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16cdaar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAAR",171), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17cadar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDAR",190), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18cddar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDAR",190), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CAADR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19caadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CADR",178), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDADR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20cdadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CADR",178), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADDR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21caddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDR",197), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDDR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22cdddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDR",197), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CAAAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23caaaar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAAAR",167), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDAAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24cdaaar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAAAR",167), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25cadaar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDAAR",186), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26cddaar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDAAR",186), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CAADAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27caadar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CADAR",174), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDADAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28cdadar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CADAR",174), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADDAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29caddar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDAR",193), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDDAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30cdddar(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDAR",193), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CAAADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31caaadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAADR",170), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDAADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32cdaadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CAADR",170), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33cadadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDADR",189), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34cddadr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDADR",189), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CAADDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35caaddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CADDR",177), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDADDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36cdaddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CADDR",177), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CADDDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37cadddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDDR",196), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function CDDDDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38cddddr(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDDR",196), V2);
  T1 = cl_list(3, ECL_SYM("RPLACD",733), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function FIRST                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39first(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("RPLACA",732), V2, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T0, V1);
  return value0;
 }
}
/*	local function SECOND                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40second(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDR",198), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function THIRD                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41third(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDR",197), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function FOURTH                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42fourth(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDDR",196), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function FIFTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43fifth(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("CDDDDR",195), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function SIXTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44sixth(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("NTHCDR",604), ecl_make_fixnum(5), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function SEVENTH                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45seventh(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("NTHCDR",604), ecl_make_fixnum(6), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function EIGHTH                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46eighth(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("NTHCDR",604), ecl_make_fixnum(7), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function NINTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47ninth(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("NTHCDR",604), ecl_make_fixnum(8), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function TENTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48tenth(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("NTHCDR",604), ecl_make_fixnum(9), V2);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function REST                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49rest(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("RPLACD",733), V2, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T0, V1);
  return value0;
 }
}
/*	local function MACRO-FUNCTION                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50macro_function(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, ECL_SYM("FSET",1080), V2, V1, ECL_T);
  return value0;
 }
}
/*	local function GET                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51get(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V4)) { goto L2; }
  T0 = cl_list(4, ECL_SYM("PUTPROP",1125), V2, V1, V3);
  value0 = cl_list(3, ECL_SYM("PROGN",671), V4, T0);
  return value0;
L2:;
  value0 = cl_list(4, ECL_SYM("PUTPROP",1125), V2, V1, V3);
  return value0;
 }
}
/*	local function NTH                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52nth(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("NTHCDR",604), V2, V3);
  T1 = cl_list(3, ECL_SYM("RPLACA",732), T0, V1);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T1, V1);
  return value0;
 }
}
/*	local function GETHASH                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53gethash(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, ECL_SYM("HASH-SET",1088), V2, V3, V1);
  return value0;
 }
}
/*	local function COMPILER-MACRO-FUNCTION                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54compiler_macro_function(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(4, ECL_SYM("PUT-SYSPROP",1124), V2, VV[4], V1);
  return value0;
 }
}
/*	local function GETF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55getf(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
    V5 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
    V5 = ECL_T;
   }
  }
  va_end(args);
  cl_env_copy->values[0] = L8get_setf_expansion(2, V2, V1);
  {
   cl_object V7;                                  /*  VARS            */
   cl_object V8;                                  /*  VALS            */
   cl_object V9;                                  /*  STORES          */
   cl_object V10;                                 /*  STORE-FORM      */
   cl_object V11;                                 /*  ACCESS-FORM     */
   V7 = cl_env_copy->values[0];
   V8 = cl_env_copy->values[1];
   V9 = cl_env_copy->values[2];
   V10 = cl_env_copy->values[3];
   V11 = cl_env_copy->values[4];
   {
    cl_object V12;                                /*  ITEMP           */
    cl_object V13;                                /*  STORE           */
    cl_object V14;                                /*  DEF             */
    V12 = cl_gensym(0);
    V13 = cl_gensym(0);
    V14 = cl_gensym(0);
    if (Null(V5)) { goto L7; }
    T0 = ecl_list1(V14);
    goto L6;
L7:;
    T0 = ECL_NIL;
L6:;
    T1 = CONS(V12,T0);
    T2 = ecl_append(V7,T1);
    if (Null(V5)) { goto L11; }
    T3 = ecl_list1(V4);
    goto L9;
L11:;
    T3 = ECL_NIL;
    goto L9;
L9:;
    T4 = CONS(V3,T3);
    T5 = ecl_append(V8,T4);
    T6 = ecl_list1(V13);
    T7 = ecl_car(V9);
    T8 = cl_list(4, ECL_SYM("PUT-F",1122), V11, V13, V12);
    T9 = cl_list(2, T7, T8);
    T10 = ecl_list1(T9);
    T11 = cl_list(4, ECL_SYM("LET",477), T10, V10, V13);
    T12 = cl_list(4, ECL_SYM("GETF",412), V11, V12, V4);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T12;
    cl_env_copy->values[3] = T11;
    cl_env_copy->values[2] = T6;
    cl_env_copy->values[1] = T5;
    cl_env_copy->values[0] = T2;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	local function SUBSEQ                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56subseq(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = cl_list(7, ECL_SYM("REPLACE",717), V2, V1, ECL_SYM("START1",1311), V3, ECL_SYM("END1",1226), V4);
  value0 = cl_list(3, ECL_SYM("PROGN",671), T0, V1);
  return value0;
 }
}
/*	local function THE                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57the(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L8get_setf_expansion(2, V3, V1);
  {
   cl_object V5;                                  /*  VARS            */
   cl_object V6;                                  /*  VALS            */
   cl_object V7;                                  /*  STORES          */
   cl_object V8;                                  /*  STORE-FORM      */
   cl_object V9;                                  /*  ACCESS-FORM     */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   V7 = cl_env_copy->values[2];
   V8 = cl_env_copy->values[3];
   V9 = cl_env_copy->values[4];
   T0 = ecl_car(V7);
   T1 = cl_list(3, ECL_SYM("THE",856), V2, T0);
   T2 = ecl_car(V7);
   T3 = cl_subst(3, T1, T2, V8);
   T4 = cl_list(3, ECL_SYM("THE",856), V2, V9);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T4;
   cl_env_copy->values[3] = T3;
   cl_env_copy->values[2] = V7;
   cl_env_copy->values[1] = V6;
   cl_env_copy->values[0] = V5;
   return cl_env_copy->values[0];
  }
 }
}
/*	local function APPLY                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58apply(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (!(ECL_CONSP(V2))) { goto L4; }
  T0 = ecl_car(V2);
  if ((T0)==(ECL_SYM("FUNCTION",396))) { goto L7; }
  T0 = ecl_car(V2);
  if (!((T0)==(ECL_SYM("QUOTE",679)))) { goto L4; }
  goto L6;
L7:;
L6:;
  T0 = ecl_cadr(V2);
  if (!(ECL_SYMBOLP(T0))) { goto L4; }
  T0 = ecl_cddr(V2);
  if (T0==ECL_NIL) { goto L1; }
  goto L2;
L4:;
  goto L2;
L2:;
  cl_error(2, _ecl_static_3, V2);
L1:;
  T0 = ecl_cadr(V2);
  T1 = CONS(T0,V3);
  cl_env_copy->values[0] = L8get_setf_expansion(2, T1, V1);
  {
   cl_object V5;                                  /*  VARS            */
   cl_object V6;                                  /*  VALS            */
   cl_object V7;                                  /*  STORES          */
   cl_object V8;                                  /*  STORE-FORM      */
   cl_object V9;                                  /*  ACCESS-FORM     */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   V7 = cl_env_copy->values[2];
   V8 = cl_env_copy->values[3];
   V9 = cl_env_copy->values[4];
   T0 = ecl_last(V8,1);
   T1 = ecl_car(T0);
   T2 = ecl_last(V5,1);
   T3 = ecl_car(T2);
   if (!((T1)==(T3))) { goto L11; }
   T0 = ecl_car(V8);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   T2 = ecl_cdr(V8);
   T3 = cl_listX(3, ECL_SYM("APPLY",89), T1, T2);
   T4 = ecl_cadr(V2);
   T5 = cl_list(2, ECL_SYM("FUNCTION",396), T4);
   T6 = ecl_cdr(V9);
   T7 = cl_listX(3, ECL_SYM("APPLY",89), T5, T6);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T7;
   cl_env_copy->values[3] = T3;
   cl_env_copy->values[2] = V7;
   cl_env_copy->values[1] = V6;
   cl_env_copy->values[0] = V5;
   return cl_env_copy->values[0];
L11:;
   T0 = ecl_butlast(V8,1);
   T1 = ecl_last(T0,1);
   T2 = ecl_car(T1);
   T3 = ecl_last(V5,1);
   T4 = ecl_car(T3);
   if (!((T2)==(T4))) { goto L13; }
   T0 = ecl_car(V8);
   T1 = cl_list(2, ECL_SYM("FUNCTION",396), T0);
   T2 = cl_butlast(2, V8, ecl_make_fixnum(2));
   T3 = ecl_cdr(T2);
   T4 = ecl_butlast(V8,1);
   T5 = ecl_last(T4,1);
   T6 = ecl_car(T5);
   T7 = ecl_last(V8,1);
   T8 = ecl_car(T7);
   T9 = cl_list(2, ECL_SYM("LIST",481), T8);
   T10 = cl_list(3, ECL_SYM("APPEND",88), T6, T9);
   T11 = ecl_list1(T10);
   T12 = ecl_append(T3,T11);
   T13 = cl_listX(3, ECL_SYM("APPLY",89), T1, T12);
   T14 = ecl_cadr(V2);
   T15 = cl_list(2, ECL_SYM("FUNCTION",396), T14);
   T16 = ecl_cdr(V9);
   T17 = cl_listX(3, ECL_SYM("APPLY",89), T15, T16);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T17;
   cl_env_copy->values[3] = T13;
   cl_env_copy->values[2] = V7;
   cl_env_copy->values[1] = V6;
   cl_env_copy->values[0] = V5;
   return cl_env_copy->values[0];
L13:;
   value0 = cl_error(2, _ecl_static_3, V2);
   return value0;
  }
 }
}
/*	local function LDB                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59ldb(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L8get_setf_expansion(2, V3, V1);
  {
   cl_object V5;                                  /*  TEMPS           */
   cl_object V6;                                  /*  VALS            */
   cl_object V7;                                  /*  STORES          */
   cl_object V8;                                  /*  STORE-FORM      */
   cl_object V9;                                  /*  ACCESS-FORM     */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   V7 = cl_env_copy->values[2];
   V8 = cl_env_copy->values[3];
   V9 = cl_env_copy->values[4];
   {
    cl_object V10;                                /*  BTEMP           */
    cl_object V11;                                /*  STORE           */
    cl_object V12;                                /*  STEMP           */
    V10 = cl_gensym(0);
    V11 = cl_gensym(0);
    V12 = ecl_car(V7);
    T0 = CONS(V10,V5);
    T1 = CONS(V2,V6);
    T2 = ecl_list1(V11);
    T3 = cl_list(4, ECL_SYM("DPB",318), V11, V10, V9);
    T4 = cl_list(2, V12, T3);
    T5 = ecl_list1(T4);
    T6 = cl_list(4, ECL_SYM("LET",477), T5, V8, V11);
    T7 = cl_list(3, ECL_SYM("LDB",457), V10, V9);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T7;
    cl_env_copy->values[3] = T6;
    cl_env_copy->values[2] = T2;
    cl_env_copy->values[1] = T1;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	local function MASK-FIELD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60mask_field(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L8get_setf_expansion(2, V3, V1);
  {
   cl_object V5;                                  /*  TEMPS           */
   cl_object V6;                                  /*  VALS            */
   cl_object V7;                                  /*  STORES          */
   cl_object V8;                                  /*  STORE-FORM      */
   cl_object V9;                                  /*  ACCESS-FORM     */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   V7 = cl_env_copy->values[2];
   V8 = cl_env_copy->values[3];
   V9 = cl_env_copy->values[4];
   {
    cl_object V10;                                /*  BTEMP           */
    cl_object V11;                                /*  STORE           */
    cl_object V12;                                /*  STEMP           */
    V10 = cl_gensym(0);
    V11 = cl_gensym(0);
    V12 = ecl_car(V7);
    T0 = CONS(V10,V5);
    T1 = CONS(V2,V6);
    T2 = ecl_list1(V11);
    T3 = cl_list(4, ECL_SYM("DEPOSIT-FIELD",298), V11, V10, V9);
    T4 = cl_list(2, V12, T3);
    T5 = ecl_list1(T4);
    T6 = cl_list(4, ECL_SYM("LET",477), T5, V8, V11);
    T7 = cl_list(3, ECL_SYM("MASK-FIELD",550), V10, V9);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T7;
    cl_env_copy->values[3] = T6;
    cl_env_copy->values[2] = T2;
    cl_env_copy->values[1] = T1;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for TRIVIAL-SETF-FORM                     */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L61trivial_setf_form(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_ATOM(V1))) { goto L2; }
 if (!(V2==ECL_NIL)) { goto L2; }
 if (!((V5)==(V1))) { goto L2; }
 {
  cl_fixnum V6;
  V6 = ecl_length(V3);
  if (!((V6)==(1))) { goto L2; }
 }
 if (!(ECL_LISTP(V4))) { goto L2; }
 {
  cl_fixnum V6;
  V6 = ecl_length(V4);
  if (!((V6)==(3))) { goto L2; }
 }
 {
  cl_object V6;
  V6 = _ecl_car(V4);
  if (!((V6)==(ECL_SYM("SETQ",751)))) { goto L14; }
  goto L11;
  goto L12;
L14:;
  goto L12;
L12:;
  if (!((V6)==(ECL_SYM("SETF",750)))) { goto L2; }
  goto L9;
L11:;
 }
L9:;
 T0 = _ecl_cadr(V4);
 if (!((T0)==(V1))) { goto L2; }
 T0 = _ecl_caddr(V4);
 T1 = _ecl_car(V3);
 value0 = ecl_make_bool((T0)==(T1));
 cl_env_copy->nvalues = 1;
 return value0;
L2:;
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for TRY-SIMPLER-EXPANSION                 */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L62try_simpler_expansion(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
TTL:
 if (!(ECL_CONSP(V1))) { goto L1; }
 if (!(ECL_CONSP(V6))) { goto L1; }
 {
  cl_fixnum V7;
  V7 = ecl_length(V1);
  {
   cl_fixnum V8;
   V8 = ecl_length(V6);
   {
    cl_fixnum V9;
    V9 = (V8)-1;
    if (!((V7)==(V9))) { goto L1; }
   }
  }
 }
 {
  cl_object V7;                                   /*  LET18           */
  cl_object V8;                                   /*  OUTPUT          */
  cl_object V9;                                   /*  V               */
  {
   cl_object V10;
   V10 = V6;
   if (Null(V10)) { goto L8; }
   {
    cl_object V11;
    V11 = ECL_CONS_CDR(V10);
    V6 = V11;
    V10 = ECL_CONS_CAR(V10);
   }
L8:;
   V7 = V10;
  }
  V8 = ECL_NIL;
  V9 = ECL_NIL;
  {
   cl_object V10;
   V10 = _ecl_cdr(V1);
   goto L19;
L18:;
   {
    cl_object V11;                                /*  I               */
    V11 = _ecl_car(V10);
    if (ECL_CONSP(V6)) { goto L23; }
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L23:;
    V9 = ECL_CONS_CAR(V6);
    V6 = ECL_CONS_CDR(V6);
    if ((V9)==(V11)) { goto L29; }
    {
     cl_object V12;
     V12 = V2;
     if (Null(V12)) { goto L38; }
     {
      cl_object V13;
      V13 = ECL_CONS_CDR(V12);
      V2 = V13;
      V12 = ECL_CONS_CAR(V12);
     }
L38:;
     T0 = V12;
    }
    if (!((V9)==(T0))) { goto L33; }
    {
     cl_object V12;
     V12 = V3;
     if (Null(V12)) { goto L47; }
     {
      cl_object V13;
      V13 = ECL_CONS_CDR(V12);
      V3 = V13;
      V12 = ECL_CONS_CAR(V12);
     }
L47:;
     T0 = V12;
    }
    if ((T0)==(V11)) { goto L29; }
    goto L30;
L33:;
    goto L30;
L30:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
L29:;
    V8 = CONS(V11,V8);
   }
   V10 = _ecl_cdr(V10);
L19:;
   if (Null(V10)) { goto L57; }
   goto L18;
L57:;
   T0 = _ecl_car(V4);
   T1 = _ecl_car(V6);
   if (!((T0)==(T1))) { goto L59; }
   T0 = CONS(V5,V8);
   T1 = cl_nreverse(T0);
   value0 = CONS(V7,T1);
   cl_env_copy->nvalues = 1;
   return value0;
L59:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
L1:;
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/*	function definition for SETF-EXPAND-1                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63setf_expand_1(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L8get_setf_expansion(2, V1, V3);
  {
   cl_object V5;                                  /*  VARS            */
   cl_object V6;                                  /*  VALS            */
   cl_object V7;                                  /*  STORES          */
   cl_object V8;                                  /*  STORE-FORM      */
   cl_object V9;                                  /*  ACCESS-FORM     */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   V7 = cl_env_copy->values[2];
   V8 = cl_env_copy->values[3];
   V9 = cl_env_copy->values[4];
   if (Null(L61trivial_setf_form(V1, V5, V7, V8, V9))) { goto L2; }
   value0 = cl_list(3, ECL_SYM("SETQ",751), V1, V2);
   return value0;
L2:;
   {
    cl_object V10;
    V10 = L62try_simpler_expansion(V1, V5, V6, V7, V2, V8);
    if (Null(V10)) { goto L5; }
    value0 = V10;
    cl_env_copy->nvalues = 1;
    return value0;
L5:;
    T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
    T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, V5, V6) /*  MAPCAR */;
    T2 = CONS(VV[7],V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = CONS(VV[7],V7);
    T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
    T6 = cl_list(5, ECL_SYM("MULTIPLE-VALUE-BIND",572), V7, V2, T5, V8);
    value0 = cl_list(4, ECL_SYM("LET*",478), T1, T3, T6);
    return value0;
   }
  }
 }
}
/*	function definition for SETF-EXPAND                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64setf_expand(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ecl_endp(V1))) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = ecl_cdr(V1);
  if (!(ecl_endp(T0))) { goto L3; }
  value0 = cl_error(2, _ecl_static_4, V1);
  return value0;
L3:;
  T0 = ecl_car(V1);
  T1 = ecl_cadr(V1);
  T2 = L63setf_expand_1(T0, T1, V2);
  T3 = ecl_cddr(V1);
  T4 = L64setf_expand(T3, V2);
  value0 = CONS(T2,T4);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SETF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65setf(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (!(ecl_endp(V3))) { goto L2; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   T0 = ecl_cdr(V3);
   if (!(ecl_endp(T0))) { goto L4; }
   value0 = cl_error(2, _ecl_static_4, V3);
   return value0;
L4:;
   T0 = ecl_cddr(V3);
   if (!(ecl_endp(T0))) { goto L6; }
   T0 = ecl_car(V3);
   T1 = ecl_cadr(V3);
   value0 = L63setf_expand_1(T0, T1, V2);
   return value0;
L6:;
   T0 = L64setf_expand(V3, V2);
   value0 = CONS(ECL_SYM("PROGN",671),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PSETF                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66psetf(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (!(ecl_endp(V3))) { goto L2; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   T0 = ecl_cdr(V3);
   if (!(ecl_endp(T0))) { goto L4; }
   value0 = cl_error(2, _ecl_static_5, V3);
   return value0;
L4:;
   T0 = ecl_cddr(V3);
   if (!(ecl_endp(T0))) { goto L6; }
   T0 = ecl_car(V3);
   T1 = ecl_cadr(V3);
   T2 = L63setf_expand_1(T0, T1, V2);
   value0 = cl_list(3, ECL_SYM("PROGN",671), T2, ECL_NIL);
   return value0;
L6:;
   {
    cl_object V4;                                 /*  R               */
    cl_object V5;                                 /*  PAIRS           */
    cl_object V6;                                 /*  STORE-FORMS     */
    V4 = V3;
    V5 = ECL_NIL;
    V6 = ECL_NIL;
    goto L13;
L12:;
    T0 = ecl_cdr(V4);
    if (!(ecl_endp(T0))) { goto L15; }
    cl_error(2, _ecl_static_5, V3);
L15:;
    T0 = ecl_car(V4);
    cl_env_copy->values[0] = L8get_setf_expansion(2, T0, V2);
    {
     cl_object V8;                                /*  VARS            */
     cl_object V9;                                /*  VALS            */
     cl_object V10;                               /*  STORES          */
     cl_object V11;                               /*  STORE-FORM      */
     cl_object V12;                               /*  ACCESS-FORM     */
     V8 = cl_env_copy->values[0];
     V9 = cl_env_copy->values[1];
     V10 = cl_env_copy->values[2];
     V11 = cl_env_copy->values[3];
     V12 = cl_env_copy->values[4];
     V6 = CONS(V11,V6);
     T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
     T1 = ecl_append(V8,V10);
     T2 = ecl_cadr(V4);
     T3 = ecl_list1(T2);
     T4 = ecl_append(V9,T3);
     T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, T1, T4) /*  MAPCAR */;
     V5 = ecl_nconc(V5,T5);
    }
    V4 = ecl_cddr(V4);
L13:;
    if (ecl_endp(V4)) { goto L25; }
    goto L12;
L25:;
    T0 = cl_nreverse(V6);
    T1 = ecl_append(T0,VV[9]);
    value0 = cl_listX(3, ECL_SYM("LET*",478), V5, T1);
    return value0;
   }
  }
 }
}
/*	local function SHIFTF                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67shiftf(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;                                 /*  LET27           */
    cl_object V5;                                 /*  R               */
    cl_object V6;                                 /*  PAIRS           */
    cl_object V7;                                 /*  STORES          */
    cl_object V8;                                 /*  STORE-FORMS     */
    cl_object V9;                                 /*  ACCESS-FORMS    */
    V4 = cl_gensym(0);
    V5 = V3;
    V6 = ECL_NIL;
    V7 = ECL_NIL;
    V8 = ECL_NIL;
    V9 = ECL_NIL;
    goto L10;
L9:;
    T0 = ecl_car(V5);
    cl_env_copy->values[0] = L8get_setf_expansion(2, T0, V2);
    {
     cl_object V11;                               /*  VARS            */
     cl_object V12;                               /*  VALS            */
     cl_object V13;                               /*  STORES1         */
     cl_object V14;                               /*  STORE-FORM      */
     cl_object V15;                               /*  ACCESS-FORM     */
     V11 = cl_env_copy->values[0];
     V12 = cl_env_copy->values[1];
     V13 = cl_env_copy->values[2];
     V14 = cl_env_copy->values[3];
     V15 = cl_env_copy->values[4];
     T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, V11, V12) /*  MAPCAR */;
     V6 = ecl_nconc(V6,T1);
     T0 = ecl_car(V13);
     V7 = CONS(T0,V7);
     V8 = CONS(V14,V8);
     V9 = CONS(V15,V9);
    }
    V5 = ecl_cdr(V5);
L10:;
    T0 = ecl_cdr(V5);
    if (ecl_endp(T0)) { goto L24; }
    goto L9;
L24:;
    V7 = cl_nreverse(V7);
    V8 = cl_nreverse(V8);
    V9 = cl_nreverse(V9);
    T0 = ecl_car(V9);
    T1 = cl_list(2, V4, T0);
    T2 = ecl_list1(T1);
    T3 = (ECL_SYM("LIST",481)->symbol.gfdef);
    T4 = ecl_cdr(V9);
    T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T3, V7, T4) /*  MAPCAR */;
    T6 = ecl_last(V7,1);
    T7 = ecl_car(T6);
    T8 = ecl_car(V5);
    T9 = cl_list(2, T7, T8);
    T10 = ecl_list1(T9);
    T11 = cl_nconc(4, V6, T2, T5, T10);
    T12 = ecl_list1(V4);
    T13 = ecl_append(V8,T12);
    value0 = cl_listX(3, ECL_SYM("LET*",478), T11, T13);
    return value0;
   }
  }
 }
}
/*	local function ROTATEF                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68rotatef(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;                                 /*  R               */
    cl_object V5;                                 /*  PAIRS           */
    cl_object V6;                                 /*  STORES          */
    cl_object V7;                                 /*  STORE-FORMS     */
    cl_object V8;                                 /*  ACCESS-FORMS    */
    V4 = V3;
    V5 = ECL_NIL;
    V6 = ECL_NIL;
    V7 = ECL_NIL;
    V8 = ECL_NIL;
    goto L9;
L8:;
    T0 = ecl_car(V4);
    cl_env_copy->values[0] = L8get_setf_expansion(2, T0, V2);
    {
     cl_object V10;                               /*  VARS            */
     cl_object V11;                               /*  VALS            */
     cl_object V12;                               /*  STORES1         */
     cl_object V13;                               /*  STORE-FORM      */
     cl_object V14;                               /*  ACCESS-FORM     */
     V10 = cl_env_copy->values[0];
     V11 = cl_env_copy->values[1];
     V12 = cl_env_copy->values[2];
     V13 = cl_env_copy->values[3];
     V14 = cl_env_copy->values[4];
     T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, V10, V11) /*  MAPCAR */;
     V5 = ecl_nconc(V5,T1);
     T0 = ecl_car(V12);
     V6 = CONS(T0,V6);
     V7 = CONS(V13,V7);
     V8 = CONS(V14,V8);
    }
    V4 = ecl_cdr(V4);
L9:;
    if (ecl_endp(V4)) { goto L23; }
    goto L8;
L23:;
    V6 = cl_nreverse(V6);
    V7 = cl_nreverse(V7);
    V8 = cl_nreverse(V8);
    T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
    T1 = ecl_cdr(V8);
    T2 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, V6, T1) /*  MAPCAR */;
    T3 = ecl_last(V6,1);
    T4 = ecl_car(T3);
    T5 = ecl_car(V8);
    T6 = cl_list(2, T4, T5);
    T7 = ecl_list1(T6);
    T8 = cl_nconc(3, V5, T2, T7);
    T9 = ecl_append(V7,VV[9]);
    value0 = cl_listX(3, ECL_SYM("LET*",478), T8, T9);
    return value0;
   }
  }
 }
}
/*	local function DEFINE-MODIFY-MACRO                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69define_modify_macro(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  LAMBDALIST      */
   cl_object V6;                                  /*  FUNCTION        */
   cl_object V7;                                  /*  DOCSTRING       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (Null(V3)) { goto L21; }
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
    goto L20;
   }
L21:;
   V7 = ECL_NIL;
L20:;
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   {
    cl_object V8;                                 /*  VARLIST         */
    cl_object V9;                                 /*  RESTVAR         */
    V8 = ECL_NIL;
    V9 = ECL_NIL;
    {
     cl_object V10;                               /*  LAMBDALISTR     */
     cl_object V11;                               /*  NEXT            */
     V10 = V5;
     V11 = ECL_NIL;
     goto L35;
L34:;
     V11 = ecl_car(V10);
     {
      cl_object V12;
      V12 = ecl_make_bool((V11)==(ECL_SYM("&OPTIONAL",11)));
      if (Null(V12)) { goto L41; }
      goto L39;
L41:;
      if (!((V11)==(ECL_SYM("&REST",12)))) { goto L43; }
      T0 = ecl_cadr(V10);
      if (!(ECL_SYMBOLP(T0))) { goto L46; }
      V9 = ecl_cadr(V10);
      goto L45;
L46:;
      T0 = ecl_cadr(V10);
      cl_error(3, _ecl_static_6, V4, T0);
L45:;
      T0 = ecl_cddr(V10);
      if (!(T0==ECL_NIL)) { goto L49; }
      goto L30;
L49:;
      cl_error(2, _ecl_static_7, V10);
      goto L39;
L43:;
      if ((V11)==(ECL_SYM("&KEY",10))) { goto L53; }
      if ((V11)==(ECL_SYM("&ALLOW-OTHER-KEYS",6))) { goto L53; }
      if (!((V11)==(ECL_SYM("&AUX",7)))) { goto L51; }
      goto L52;
L53:;
L52:;
      cl_error(2, _ecl_static_8, V11);
      goto L39;
L51:;
      if (!(ECL_SYMBOLP(V11))) { goto L56; }
      V8 = CONS(V11,V8);
      goto L39;
L56:;
      if (!(ECL_LISTP(V11))) { goto L59; }
      T0 = ecl_car(V11);
      if (!(ECL_SYMBOLP(T0))) { goto L59; }
      T0 = ecl_car(V11);
      V8 = CONS(T0,V8);
      goto L39;
L59:;
      cl_error(2, _ecl_static_9, V11);
     }
L39:;
     V10 = ecl_cdr(V10);
L35:;
     if (V10==ECL_NIL) { goto L65; }
     goto L34;
L65:;
    }
L30:;
    V8 = cl_nreverse(V8);
    T0 = cl_listX(4, ECL_SYM("&ENVIRONMENT",9), VV[13], VV[14], V5);
    if (Null(V7)) { goto L71; }
    T1 = ecl_list1(V7);
    goto L69;
L71:;
    T1 = ECL_NIL;
    goto L69;
L69:;
    T2 = ecl_list1(V9);
    T3 = ecl_append(V8,T2);
    T4 = CONS(ECL_SYM("LIST*",482),T3);
    T5 = cl_list(3, ECL_SYM("MAPCAR",545), VV[19], T4);
    T6 = cl_list(2, VV[18], T5);
    T7 = ecl_list1(T6);
    T8 = cl_list(2, ECL_SYM("QUOTE",679), V6);
    T9 = cl_listX(3, ECL_SYM("LIST*",482), T8, VV[21]);
    T10 = cl_listX(3, ECL_SYM("SUBST",831), T9, VV[22]);
    T11 = cl_list(2, ECL_SYM("QUOTE",679), V6);
    T12 = ecl_list1(V9);
    T13 = ecl_append(V8,T12);
    T14 = cl_listX(4, ECL_SYM("LIST*",482), T11, VV[30], T13);
    T15 = cl_list(4, ECL_SYM("LIST",481), VV[28], VV[29], T14);
    T16 = cl_list(2, ECL_SYM("QUOTE",679), V6);
    T17 = cl_listX(3, ECL_SYM("LIST*",482), T16, VV[21]);
    T18 = cl_list(4, ECL_SYM("IF",946), VV[27], T15, T17);
    T19 = cl_list(3, ECL_SYM("LIST",481), VV[26], T18);
    T20 = cl_list(3, ECL_SYM("LIST*",482), T19, VV[31]);
    T21 = cl_list(3, ECL_SYM("SETQ",751), VV[25], T20);
    T22 = cl_list(3, VV[24], T21, VV[32]);
    T23 = cl_list(3, ECL_SYM("DO",307), VV[23], T22);
    T24 = cl_list(4, ECL_SYM("IF",946), VV[20], T10, T23);
    T25 = cl_list(3, ECL_SYM("LET",477), T7, T24);
    T26 = cl_list(4, ECL_SYM("MULTIPLE-VALUE-BIND",572), VV[16], VV[17], T25);
    T27 = cl_list(2, VV[15], T26);
    T28 = ecl_append(T1,T27);
    value0 = cl_listX(4, ECL_SYM("DEFMACRO",283), V4, T0, T28);
    return value0;
   }
  }
 }
}
/*	local function REMF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70remf(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  PLACE           */
   cl_object V5;                                  /*  INDICATOR       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   cl_env_copy->values[0] = L8get_setf_expansion(2, V4, V2);
   {
    cl_object V7;                                 /*  VARS            */
    cl_object V8;                                 /*  VALS            */
    cl_object V9;                                 /*  STORES          */
    cl_object V10;                                /*  STORE-FORM      */
    cl_object V11;                                /*  ACCESS-FORM     */
    V7 = cl_env_copy->values[0];
    V8 = cl_env_copy->values[1];
    V9 = cl_env_copy->values[2];
    V10 = cl_env_copy->values[3];
    V11 = cl_env_copy->values[4];
    {
     cl_object V12;                               /*  S               */
     V12 = cl_gensym(0);
     T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, V7, V8) /*  MAPCAR */;
     T2 = cl_list(2, V12, V5);
     T3 = ecl_list1(T2);
     T4 = ecl_append(T1,T3);
     T5 = CONS(VV[7],V7);
     T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
     T7 = ecl_car(V9);
     T8 = cl_list(2, T7, VV[34]);
     T9 = cl_list(3, ECL_SYM("REM-F",1127), V11, V12);
     T10 = cl_list(5, ECL_SYM("MULTIPLE-VALUE-BIND",572), T8, T9, V10, VV[34]);
     value0 = cl_list(4, ECL_SYM("LET*",478), T4, T6, T10);
     return value0;
    }
   }
  }
 }
}
/*	local function INCF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72incf(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  %REFERENCE      */
   cl_object V5;                                  /*  DELTA           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = ecl_make_fixnum(1);
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   cl_env_copy->values[0] = L8get_setf_expansion(2, V4, V2);
   {
    cl_object V7;                                 /*  VARS            */
    cl_object V8;                                 /*  VALS            */
    cl_object V9;                                 /*  STORES          */
    cl_object V10;                                /*  SETTER          */
    cl_object V11;                                /*  GETTER          */
    V7 = cl_env_copy->values[0];
    V8 = cl_env_copy->values[1];
    V9 = cl_env_copy->values[2];
    V10 = cl_env_copy->values[3];
    V11 = cl_env_copy->values[4];
    {
     cl_object V12;                               /*  ALL-VARS        */
     {cl_object V13;
      V13 = ECL_NIL;
      V13 = ecl_make_cfun((cl_objectfn_fixed)LC71__g97,ECL_NIL,Cblock,1);
      T0 = V13;
     }
     T1 = CONS(V5,ECL_NIL);
     V12 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, T1) /*  MAPCAR */;
     if (!(ECL_SYMBOLP(V11))) { goto L19; }
     T0 = (ECL_SYM("CAR",180)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, V12) /*  MAPCAR */;
     T2 = cl_listX(3, ECL_SYM("+",14), V11, T1);
     T3 = ecl_car(V9);
     T4 = (ECL_SYM("FIRST",371)->symbol.gfdef);
     T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T4, V12) /*  MAPCAR */;
     T6 = CONS(VV[7],T5);
     T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
     T8 = cl_list(4, ECL_SYM("LET*",478), V12, T7, V10);
     value0 = cl_subst(3, T2, T3, T8);
     return value0;
L19:;
     {
      cl_object V13;                              /*  D               */
      cl_object V14;                              /*  V               */
      cl_object V15;                              /*  LET-LIST        */
      V13 = V7;
      V14 = V8;
      V15 = ECL_NIL;
      goto L28;
L27:;
      {
       cl_object V16;
       V16 = ecl_cdr(V13);
       {
        cl_object V17;
        V17 = ecl_cdr(V14);
        T0 = ecl_car(V13);
        T1 = ecl_car(V14);
        T2 = cl_list(2, T0, T1);
        V15 = CONS(T2,V15);
        V14 = V17;
        V13 = V16;
       }
      }
L28:;
      if (V13==ECL_NIL) { goto L34; }
      goto L27;
L34:;
      T0 = ecl_car(V9);
      if (!(ECL_LISTP(V4))) { goto L39; }
      T2 = ecl_car(V4);
      if (!((T2)==(ECL_SYM("THE",856)))) { goto L39; }
      T2 = ecl_cadr(V4);
      T3 = cl_listX(4, ECL_SYM("+",14), V11, V5, ECL_NIL);
      T1 = cl_list(3, ECL_SYM("THE",856), T2, T3);
      goto L38;
L39:;
      T2 = (ECL_SYM("CAR",180)->symbol.gfdef);
      T3 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T2, V12) /*  MAPCAR */;
      T1 = cl_listX(3, ECL_SYM("+",14), V11, T3);
L38:;
      T2 = cl_list(2, T0, T1);
      T3 = ecl_append(V12,V15);
      V15 = CONS(T2,T3);
      T0 = cl_nreverse(V15);
      T1 = (ECL_SYM("FIRST",371)->symbol.gfdef);
      T2 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T1, V12) /*  MAPCAR */;
      T3 = ecl_append(T2,V7);
      T4 = CONS(VV[7],T3);
      T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
      value0 = cl_list(4, ECL_SYM("LET*",478), T0, T5, V10);
      return value0;
     }
    }
   }
  }
 }
}
/*	local function G97                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71__g97(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_gensym(0);
  value0 = cl_list(2, T0, V1);
  return value0;
 }
}
/*	local function DECF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74decf(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  %REFERENCE      */
   cl_object V5;                                  /*  DELTA           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = ecl_make_fixnum(1);
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   cl_env_copy->values[0] = L8get_setf_expansion(2, V4, V2);
   {
    cl_object V7;                                 /*  VARS            */
    cl_object V8;                                 /*  VALS            */
    cl_object V9;                                 /*  STORES          */
    cl_object V10;                                /*  SETTER          */
    cl_object V11;                                /*  GETTER          */
    V7 = cl_env_copy->values[0];
    V8 = cl_env_copy->values[1];
    V9 = cl_env_copy->values[2];
    V10 = cl_env_copy->values[3];
    V11 = cl_env_copy->values[4];
    {
     cl_object V12;                               /*  ALL-VARS        */
     {cl_object V13;
      V13 = ECL_NIL;
      V13 = ecl_make_cfun((cl_objectfn_fixed)LC73__g106,ECL_NIL,Cblock,1);
      T0 = V13;
     }
     T1 = CONS(V5,ECL_NIL);
     V12 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, T1) /*  MAPCAR */;
     if (!(ECL_SYMBOLP(V11))) { goto L19; }
     T0 = (ECL_SYM("CAR",180)->symbol.gfdef);
     T1 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T0, V12) /*  MAPCAR */;
     T2 = cl_listX(3, ECL_SYM("-",17), V11, T1);
     T3 = ecl_car(V9);
     T4 = (ECL_SYM("FIRST",371)->symbol.gfdef);
     T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T4, V12) /*  MAPCAR */;
     T6 = CONS(VV[7],T5);
     T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
     T8 = cl_list(4, ECL_SYM("LET*",478), V12, T7, V10);
     value0 = cl_subst(3, T2, T3, T8);
     return value0;
L19:;
     {
      cl_object V13;                              /*  D               */
      cl_object V14;                              /*  V               */
      cl_object V15;                              /*  LET-LIST        */
      V13 = V7;
      V14 = V8;
      V15 = ECL_NIL;
      goto L28;
L27:;
      {
       cl_object V16;
       V16 = ecl_cdr(V13);
       {
        cl_object V17;
        V17 = ecl_cdr(V14);
        T0 = ecl_car(V13);
        T1 = ecl_car(V14);
        T2 = cl_list(2, T0, T1);
        V15 = CONS(T2,V15);
        V14 = V17;
        V13 = V16;
       }
      }
L28:;
      if (V13==ECL_NIL) { goto L34; }
      goto L27;
L34:;
      T0 = ecl_car(V9);
      if (!(ECL_LISTP(V4))) { goto L39; }
      T2 = ecl_car(V4);
      if (!((T2)==(ECL_SYM("THE",856)))) { goto L39; }
      T2 = ecl_cadr(V4);
      T3 = cl_listX(4, ECL_SYM("-",17), V11, V5, ECL_NIL);
      T1 = cl_list(3, ECL_SYM("THE",856), T2, T3);
      goto L38;
L39:;
      T2 = (ECL_SYM("CAR",180)->symbol.gfdef);
      T3 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T2, V12) /*  MAPCAR */;
      T1 = cl_listX(3, ECL_SYM("-",17), V11, T3);
L38:;
      T2 = cl_list(2, T0, T1);
      T3 = ecl_append(V12,V15);
      V15 = CONS(T2,T3);
      T0 = cl_nreverse(V15);
      T1 = (ECL_SYM("FIRST",371)->symbol.gfdef);
      T2 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(2, T1, V12) /*  MAPCAR */;
      T3 = ecl_append(T2,V7);
      T4 = CONS(VV[7],T3);
      T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
      value0 = cl_list(4, ECL_SYM("LET*",478), T0, T5, V10);
      return value0;
     }
    }
   }
  }
 }
}
/*	local function G106                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73__g106(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_gensym(0);
  value0 = cl_list(2, T0, V1);
  return value0;
 }
}
/*	local function PUSH                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75push(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  PLACE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   cl_env_copy->values[0] = L8get_setf_expansion(2, V5, V2);
   {
    cl_object V7;                                 /*  VARS            */
    cl_object V8;                                 /*  VALS            */
    cl_object V9;                                 /*  STORES          */
    cl_object V10;                                /*  STORE-FORM      */
    cl_object V11;                                /*  ACCESS-FORM     */
    V7 = cl_env_copy->values[0];
    V8 = cl_env_copy->values[1];
    V9 = cl_env_copy->values[2];
    V10 = cl_env_copy->values[3];
    V11 = cl_env_copy->values[4];
    if (Null(L61trivial_setf_form(V5, V7, V9, V10, V11))) { goto L17; }
    T0 = cl_list(3, ECL_SYM("CONS",251), V4, V5);
    value0 = cl_list(3, ECL_SYM("SETQ",751), V5, T0);
    return value0;
L17:;
    if ((cl_constantp(1, V4))!=ECL_NIL) { goto L19; }
    V8 = CONS(V4,V8);
    V4 = cl_gensym(0);
    V7 = CONS(V4,V7);
L19:;
    T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
    T1 = ecl_append(V7,V9);
    T2 = cl_list(3, ECL_SYM("CONS",251), V4, V11);
    T3 = ecl_list1(T2);
    T4 = ecl_append(V8,T3);
    T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, T1, T4) /*  MAPCAR */;
    T6 = CONS(VV[7],V7);
    T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
    value0 = cl_list(4, ECL_SYM("LET*",478), T5, T7, V10);
    return value0;
   }
  }
 }
}
/*	local function PUSHNEW                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76pushnew(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  PLACE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   cl_env_copy->values[0] = L8get_setf_expansion(2, V5, V2);
   {
    cl_object V7;                                 /*  VARS            */
    cl_object V8;                                 /*  VALS            */
    cl_object V9;                                 /*  STORES          */
    cl_object V10;                                /*  STORE-FORM      */
    cl_object V11;                                /*  ACCESS-FORM     */
    V7 = cl_env_copy->values[0];
    V8 = cl_env_copy->values[1];
    V9 = cl_env_copy->values[2];
    V10 = cl_env_copy->values[3];
    V11 = cl_env_copy->values[4];
    if (Null(L61trivial_setf_form(V5, V7, V9, V10, V11))) { goto L15; }
    T0 = cl_listX(4, ECL_SYM("ADJOIN",82), V4, V5, V3);
    value0 = cl_list(3, ECL_SYM("SETQ",751), V5, T0);
    return value0;
L15:;
    if ((cl_constantp(1, V4))!=ECL_NIL) { goto L17; }
    V8 = CONS(V4,V8);
    V4 = cl_gensym(0);
    V7 = CONS(V4,V7);
L17:;
    T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
    T1 = ecl_append(V7,V9);
    T2 = cl_listX(4, ECL_SYM("ADJOIN",82), V4, V11, V3);
    T3 = ecl_list1(T2);
    T4 = ecl_append(V8,T3);
    T5 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, T1, T4) /*  MAPCAR */;
    T6 = CONS(VV[7],V7);
    T7 = cl_list(2, ECL_SYM("DECLARE",274), T6);
    value0 = cl_list(4, ECL_SYM("LET*",478), T5, T7, V10);
    return value0;
   }
  }
 }
}
/*	local function POP                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77pop(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  PLACE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   cl_env_copy->values[0] = L8get_setf_expansion(2, V4, V2);
   {
    cl_object V6;                                 /*  VARS            */
    cl_object V7;                                 /*  VALS            */
    cl_object V8;                                 /*  STORES          */
    cl_object V9;                                 /*  STORE-FORM      */
    cl_object V10;                                /*  ACCESS-FORM     */
    V6 = cl_env_copy->values[0];
    V7 = cl_env_copy->values[1];
    V8 = cl_env_copy->values[2];
    V9 = cl_env_copy->values[3];
    V10 = cl_env_copy->values[4];
    {
     cl_object V11;                               /*  STORE-VAR       */
     V11 = ecl_car(V8);
     T0 = (ECL_SYM("LIST",481)->symbol.gfdef);
     T1 = ecl_append(V6,V8);
     T2 = ecl_list1(V10);
     T3 = ecl_append(V7,T2);
     T4 = (cl_env_copy->function=(ECL_SYM("MAPCAR",545)->symbol.gfdef))->cfun.entry(3, T0, T1, T3) /*  MAPCAR */;
     T5 = CONS(VV[7],V6);
     T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
     T7 = cl_list(2, ECL_SYM("CAR",180), V11);
     T8 = cl_list(3, ECL_SYM("TRULY-THE",1945), ECL_SYM("LIST",481), V11);
     T9 = cl_list(2, ECL_SYM("CDR",198), T8);
     T10 = cl_list(3, ECL_SYM("SETQ",751), V11, T9);
     T11 = cl_list(4, ECL_SYM("PROG1",669), T7, T10, V9);
     value0 = cl_list(4, ECL_SYM("LET*",478), T4, T6, T11);
     return value0;
    }
   }
  }
 }
}
/*	local function VALUES                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78values(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  ALL-VARS        */
   cl_object V4;                                  /*  ALL-VALS        */
   cl_object V5;                                  /*  ALL-STORES      */
   cl_object V6;                                  /*  ALL-STORING-FORMS */
   cl_object V7;                                  /*  ALL-GET-FORMS   */
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   {
    cl_object V8;
    V8 = cl_reverse(V2);
    goto L10;
L9:;
    {
     cl_object V9;                                /*  ITEM            */
     V9 = ecl_car(V8);
     cl_env_copy->values[0] = L8get_setf_expansion(2, V9, V1);
     {
      cl_object V11;                              /*  VARS            */
      cl_object V12;                              /*  VALS            */
      cl_object V13;                              /*  STORES          */
      cl_object V14;                              /*  STORING-FORM    */
      cl_object V15;                              /*  GET-FORM        */
      V11 = cl_env_copy->values[0];
      V12 = cl_env_copy->values[1];
      V13 = cl_env_copy->values[2];
      V14 = cl_env_copy->values[3];
      V15 = cl_env_copy->values[4];
      {
       cl_object V16;                             /*  EXTRA           */
       V16 = ecl_cdr(V13);
       if (ecl_endp(V16)) { goto L16; }
       V11 = ecl_append(V16,V11);
       {
        cl_fixnum V17;
        V17 = ecl_length(V16);
        T0 = cl_make_list(1, ecl_make_fixnum(V17));
        V12 = ecl_append(T0,V12);
       }
       T0 = ecl_car(V13);
       V13 = ecl_list1(T0);
      }
L16:;
      V3 = ecl_append(V11,V3);
      V4 = ecl_append(V12,V4);
      V5 = ecl_append(V13,V5);
      V6 = CONS(V14,V6);
      V7 = CONS(V15,V7);
     }
    }
    V8 = ecl_cdr(V8);
L10:;
    if (Null(V8)) { goto L35; }
    goto L9;
L35:;
   }
   T0 = CONS(ECL_SYM("VALUES",895),V6);
   T1 = CONS(ECL_SYM("VALUES",895),V7);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T1;
   cl_env_copy->values[3] = T0;
   cl_env_copy->values[2] = V5;
   cl_env_copy->values[1] = V4;
   cl_env_copy->values[0] = V3;
   return cl_env_copy->values[0];
  }
 }
}

#include "lsp/setf.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclJhMvOva7_TLrfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;SETF.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclJhMvOva7_TLrfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 (void)0; /* No entry created for CHECK-STORES-NUMBER */
 (void)0; /* No entry created for DO-SETF-METHOD-EXPANSION */
 (void)0; /* No entry created for SETF-METHOD-WRAPPER */
 (void)0; /* No entry created for DO-DEFSETF */
 (void)0; /* No entry created for DO-DEFINE-SETF-METHOD */
 ecl_cmp_defmacro(VV[41]);                        /*  DEFSETF         */
 ecl_cmp_defmacro(VV[42]);                        /*  DEFINE-SETF-EXPANDER */
 ecl_cmp_defun(VV[43]);                           /*  GET-SETF-EXPANSION */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC9car,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAR",180), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC10cdr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDR",198), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC11caar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAAR",171), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC12cdar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDAR",190), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC13cadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADR",178), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC14cddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDR",197), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC15caaar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAAAR",167), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC16cdaar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDAAR",186), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC17cadar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADAR",174), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC18cddar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDAR",193), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC19caadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAADR",170), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC20cdadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDADR",189), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC21caddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADDR",177), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC22cdddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDDR",196), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC23caaaar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAAAAR",165), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC24cdaaar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDAAAR",184), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC25cadaar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADAAR",172), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC26cddaar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDAAR",191), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC27caadar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAADAR",168), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC28cdadar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDADAR",187), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC29caddar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADDAR",175), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC30cdddar,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDDAR",194), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC31caaadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAAADR",166), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC32cdaadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDAADR",185), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC33cadadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADADR",173), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC34cddadr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDADR",192), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC35caaddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CAADDR",169), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC36cdaddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDADDR",188), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC37cadddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CADDDR",176), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC38cddddr,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("CDDDDR",195), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC39first,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("FIRST",371), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC40second,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("SECOND",740), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC41third,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("THIRD",857), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC42fourth,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("FOURTH",389), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC43fifth,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("FIFTH",351), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC44sixth,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("SIXTH",782), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC45seventh,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("SEVENTH",752), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC46eighth,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("EIGHTH",326), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC47ninth,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("NINTH",583), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC48tenth,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("TENTH",854), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC49rest,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("REST",719), T0);
 }
 si_do_defsetf(ECL_SYM("SVREF",838), ECL_SYM("SVSET",1158));
 si_do_defsetf(ECL_SYM("ELT",327), ECL_SYM("ELT-SET",1066));
 si_do_defsetf(ECL_SYM("SYMBOL-VALUE",846), ECL_SYM("SET",743));
 si_do_defsetf(ECL_SYM("SYMBOL-FUNCTION",841), ECL_SYM("FSET",1080));
 si_do_defsetf(ECL_SYM("FDEFINITION",349), ECL_SYM("FSET",1080));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC50macro_function,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("MACRO-FUNCTION",518), T0);
 }
 si_do_defsetf(ECL_SYM("AREF",92), ECL_SYM("ASET",1041));
 si_do_defsetf(ECL_SYM("ROW-MAJOR-AREF",731), ECL_SYM("ROW-MAJOR-ASET",1130));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC51get,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("GET",402), T0);
 }
 si_do_defsetf(ECL_SYM("GET-SYSPROP",1083), ECL_SYM("PUT-SYSPROP",1124));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC52nth,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("NTH",602), T0);
 }
 si_do_defsetf(ECL_SYM("CHAR",203), ECL_SYM("CHAR-SET",1052));
 si_do_defsetf(ECL_SYM("SCHAR",738), ECL_SYM("SCHAR-SET",1135));
 si_do_defsetf(ECL_SYM("BIT",123), ECL_SYM("ASET",1041));
 si_do_defsetf(ECL_SYM("SBIT",736), ECL_SYM("ASET",1041));
 si_do_defsetf(ECL_SYM("FILL-POINTER",362), ECL_SYM("FILL-POINTER-SET",1071));
 si_do_defsetf(ECL_SYM("SYMBOL-PLIST",845), ECL_SYM("SET-SYMBOL-PLIST",1139));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC53gethash,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("GETHASH",413), T0);
 }
 si_do_defsetf(ECL_SYM("INSTANCE-REF",1169), ECL_SYM("INSTANCE-SET",1170));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC54compiler_macro_function,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("COMPILER-MACRO-FUNCTION",239), T0);
 }
 si_do_defsetf(ECL_SYM("READTABLE-CASE",701), ECL_SYM("READTABLE-CASE-SET",1126));
 si_do_defsetf(ECL_SYM("STREAM-EXTERNAL-FORMAT",803), ECL_SYM("STREAM-EXTERNAL-FORMAT-SET",1722));
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC55getf,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(ECL_SYM("GETF",412), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC56subseq,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_defsetf(ECL_SYM("SUBSEQ",829), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC57the,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_define_setf_method(ECL_SYM("THE",856), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC58apply,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(ECL_SYM("APPLY",89), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC59ldb,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_define_setf_method(ECL_SYM("LDB",457), T0);
 }
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC60mask_field,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_define_setf_method(ECL_SYM("MASK-FIELD",550), T0);
 }
 (void)0; /* No entry created for TRIVIAL-SETF-FORM */
 (void)0; /* No entry created for TRY-SIMPLER-EXPANSION */
 (void)0; /* No entry created for SETF-EXPAND-1 */
 (void)0; /* No entry created for SETF-EXPAND */
 ecl_cmp_defmacro(VV[44]);                        /*  SETF            */
 ecl_cmp_defmacro(VV[45]);                        /*  PSETF           */
 ecl_cmp_defmacro(VV[46]);                        /*  SHIFTF          */
 ecl_cmp_defmacro(VV[47]);                        /*  ROTATEF         */
 ecl_cmp_defmacro(VV[48]);                        /*  DEFINE-MODIFY-MACRO */
 ecl_cmp_defmacro(VV[49]);                        /*  REMF            */
 ecl_cmp_defmacro(VV[50]);                        /*  INCF            */
 ecl_cmp_defmacro(VV[51]);                        /*  DECF            */
 ecl_cmp_defmacro(VV[52]);                        /*  PUSH            */
 ecl_cmp_defmacro(VV[53]);                        /*  PUSHNEW         */
 ecl_cmp_defmacro(VV[54]);                        /*  POP             */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC78values,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(ECL_SYM("VALUES",895), T0);
 }
}
