/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:CLX;MACROS.LISP                                   */
#include <ecl/ecl-cmp.h>
#include "clx/macros.eclh"
/*	local function TYPE-CHECK                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1type_check(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  VALUE           */
   cl_object V5;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[0], V4, V5);
   T1 = cl_list(3, VV[1], V4, V5);
   value0 = cl_list(3, ECL_SYM("UNLESS",883), T0, T1);
   return value0;
  }
 }
}
/*	local function REQUIRED-ARG                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2required_arg(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T1 = cl_list(4, VV[4], VV[5], VV[6], T0);
   value0 = cl_list(3, ECL_SYM("PROGN",671), T1, VV[3]);
   return value0;
  }
 }
}
/*	local function LROUND                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3lround(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(3, VV[9], V4, ecl_make_fixnum(3));
   T1 = cl_list(3, ECL_SYM("LOGAND",492), T0, ecl_make_fixnum(-4));
   value0 = cl_list(3, ECL_SYM("THE",856), VV[8], T1);
   return value0;
  }
 }
}
/*	local function WROUND                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4wround(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(3, VV[9], V4, ecl_make_fixnum(1));
   T1 = cl_list(3, ECL_SYM("LOGAND",492), T0, ecl_make_fixnum(-2));
   value0 = cl_list(3, ECL_SYM("THE",856), VV[8], T1);
   return value0;
  }
 }
}
/*	function definition for INDEX-INCREMENT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5index_increment(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  NAME            */
   cl_object V3;                                  /*  INCREMENT       */
   if (!(ECL_CONSP(V1))) { goto L2; }
   V2 = ecl_car(V1);
   goto L1;
L2:;
   V2 = V1;
L1:;
   V3 = ecl_get(V2,VV[12],VV[13]);
   if (!((V3)==(VV[13]))) { goto L5; }
   T0 = cl_symbol_package(V2);
   if ((T0)==(ecl_symbol_value(VV[14]))) { goto L7; }
   V2 = ecl_function_dispatch(cl_env_copy,VV[466])(1, V2) /*  XINTERN */;
   V3 = ecl_get(V2,VV[12],VV[13]);
L7:;
   if (!((V3)==(VV[13]))) { goto L5; }
   cl_error(2, _ecl_static_1, V2);
L5:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for GETIFY                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6getify(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[466])(2, V1, VV[16]) /*  XINTERN */;
  return value0;
 }
}
/*	function definition for PUTIFY                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7putify(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V2)) { goto L3; }
  T0 = VV[19];
  goto L2;
L3:;
  T0 = _ecl_static_2;
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[466])(3, V1, VV[18], T0) /*  XINTERN */;
  return value0;
 }
}
/*	local function DEFINE-ACCESSOR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8define_accessor(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;
   cl_object V6;
   cl_object V7;                                  /*  WIDTH           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   V6 = V5;
   if (!(V6==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V8;
    V8 = ecl_car(V6);
    V6 = ecl_cdr(V6);
    V7 = V8;
   }
   if (Null(V6)) { goto L21; }
   si_dm_too_many_arguments(V1);
L21:;
   if (Null(ecl_cdddr(V3))) { goto L23; }
   T0 = ecl_cdddr(V3);
   cl_error(2, _ecl_static_3, T0);
L23:;
   {
    cl_object V8;                                 /*  LET2864         */
    cl_object V9;                                 /*  LET2865         */
    value0 = ecl_car(V3);
    if ((value0)!=ECL_NIL) { goto L27; }
    V8 = cl_error(2, _ecl_static_4, V4);
    goto L25;
L27:;
    V8 = value0;
    goto L25;
L25:;
    value0 = ecl_cadr(V3);
    if ((value0)!=ECL_NIL) { goto L31; }
    V9 = cl_error(2, _ecl_static_5, V4);
    goto L29;
L31:;
    V9 = value0;
    goto L29;
L29:;
    T0 = cl_list(2, V4, VV[22]);
    T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T2 = cl_list(3, ECL_SYM("GET",402), T1, VV[23]);
    if (Null(V7)) { goto L35; }
    T3 = ecl_floor2(V7,ecl_make_fixnum(8));
    goto L33;
L35:;
    T3 = ECL_NIL;
    goto L33;
L33:;
    T4 = cl_list(3, ECL_SYM("SETF",750), T2, T3);
    T5 = L6getify(V4);
    T6 = ecl_car(V8);
    T7 = ecl_cdr(V8);
    T8 = cl_listX(4, ECL_SYM("DEFMACRO",283), T5, T6, T7);
    T9 = L7putify(1, V4);
    T10 = ecl_car(V9);
    T11 = ecl_cdr(V9);
    T12 = cl_listX(4, ECL_SYM("DEFMACRO",283), T9, T10, T11);
    {
     cl_object V10;                               /*  PREDICATING-PUT */
     V10 = ecl_caddr(V3);
     if (Null(V10)) { goto L39; }
     T14 = cl_list(2, ECL_SYM("QUOTE",679), V4);
     T15 = cl_list(3, ECL_SYM("GET",402), T14, VV[24]);
     T16 = cl_list(3, ECL_SYM("SETF",750), T15, ECL_T);
     T17 = L7putify(2, V4, ECL_T);
     T18 = ecl_car(V10);
     T19 = ecl_cdr(V10);
     T20 = cl_listX(4, ECL_SYM("DEFMACRO",283), T17, T18, T19);
     T13 = cl_list(2, T16, T20);
     goto L37;
L39:;
     T13 = ECL_NIL;
    }
L37:;
    value0 = cl_listX(6, VV[21], T0, T4, T8, T12, T13);
    return value0;
   }
  }
 }
}
/*	local function CARD32-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9card32_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[27], V4);
   return value0;
  }
 }
}
/*	local function CARD32-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10card32_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[29], V4, V5);
   return value0;
  }
 }
}
/*	local function CARD29-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11card29_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[32], V4);
   return value0;
  }
 }
}
/*	local function CARD29-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12card29_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[34], V4, V5);
   return value0;
  }
 }
}
/*	local function CARD16-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13card16_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[37], V4);
   return value0;
  }
 }
}
/*	local function CARD16-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14card16_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[39], V4, V5);
   return value0;
  }
 }
}
/*	local function CARD8-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15card8_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[42], V4);
   return value0;
  }
 }
}
/*	local function CARD8-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16card8_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[44], V4, V5);
   return value0;
  }
 }
}
/*	local function INTEGER-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17integer_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[46], V4);
   return value0;
  }
 }
}
/*	local function INTEGER-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18integer_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[48], V4, V5);
   return value0;
  }
 }
}
/*	local function INT16-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19int16_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[51], V4);
   return value0;
  }
 }
}
/*	local function INT16-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20int16_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[53], V4, V5);
   return value0;
  }
 }
}
/*	local function RGB-VAL-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21rgb_val_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(2, VV[37], V4);
   value0 = cl_list(2, VV[56], T0);
   return value0;
  }
 }
}
/*	local function RGB-VAL-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22rgb_val_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[58], V5);
   value0 = cl_list(3, VV[39], V4, T0);
   return value0;
  }
 }
}
/*	local function ANGLE-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23angle_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(2, VV[51], V4);
   value0 = cl_list(2, VV[61], T0);
   return value0;
  }
 }
}
/*	local function ANGLE-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24angle_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[63], V5);
   value0 = cl_list(3, VV[53], V4, T0);
   return value0;
  }
 }
}
/*	local function BIT-GET                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25bit_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BIT             */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[42], V4);
   value0 = cl_list(3, ECL_SYM("LOGBITP",495), V5, T0);
   return value0;
  }
 }
}
/*	local function BIT-PUT                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26bit_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  BIT             */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   if (!(ecl_zerop(V6))) { goto L22; }
   T0 = cl_listX(3, ECL_SYM("IF",946), V5, VV[66]);
   value0 = cl_list(3, VV[44], V4, T0);
   return value0;
L22:;
   T0 = cl_listX(3, ECL_SYM("IF",946), V5, VV[66]);
   T1 = cl_list(3, ECL_SYM("BYTE",162), ecl_make_fixnum(1), V6);
   T2 = cl_list(2, VV[42], V4);
   T3 = cl_list(4, ECL_SYM("DPB",318), T0, T1, T2);
   value0 = cl_list(3, VV[44], V4, T3);
   return value0;
  }
 }
}
/*	local function BOOLEAN-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27boolean_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(2, VV[42], V4);
   value0 = cl_list(2, ECL_SYM("PLUSP",642), T0);
   return value0;
  }
 }
}
/*	local function BOOLEAN-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28boolean_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_listX(3, ECL_SYM("IF",946), V5, VV[66]);
   value0 = cl_list(3, VV[44], V4, T0);
   return value0;
  }
 }
}
/*	local function DRAWABLE-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29drawable_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[72], V5, T0);
   return value0;
  }
 }
}
/*	local function DRAWABLE-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30drawable_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[74], V5);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function WINDOW-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31window_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[77], V5, T0);
   return value0;
  }
 }
}
/*	local function WINDOW-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32window_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[79], V5);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function PIXMAP-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33pixmap_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[82], V5, T0);
   return value0;
  }
 }
}
/*	local function PIXMAP-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34pixmap_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[84], V5);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function GCONTEXT-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35gcontext_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[87], V5, T0);
   return value0;
  }
 }
}
/*	local function GCONTEXT-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36gcontext_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[89], V5);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function CURSOR-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37cursor_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[92], V5, T0);
   return value0;
  }
 }
}
/*	local function CURSOR-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38cursor_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[94], V5);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function COLORMAP-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39colormap_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[97], V5, T0);
   return value0;
  }
 }
}
/*	local function COLORMAP-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40colormap_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[99], V5);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function FONT-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41font_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[102], V5, T0);
   return value0;
  }
 }
}
/*	local function FONT-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42font_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_error(1, _ecl_static_6);
   return value0;
  }
 }
}
/*	local function KEYWORD-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43keyword_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = VV[71];
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, VV[32], V4);
   value0 = cl_list(3, VV[105], V5, T0);
   return value0;
  }
 }
}
/*	local function KEYWORD-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44keyword_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;
   cl_object V7;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   V6 = si_search_keyword(2, V3, VV[107]);
   if (!((V6)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L16; }
   V7 = VV[71];
   goto L15;
L16:;
   V7 = V6;
L15:;
   si_check_keyword(2, V3, VV[108]);
   T0 = cl_list(3, VV[109], V5, V7);
   T1 = cl_list(3, ECL_SYM("OR",614), T0, VV[110]);
   value0 = cl_list(3, VV[34], V4, T1);
   return value0;
  }
 }
}
/*	local function RESOURCE-ID-GET                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45resource_id_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, VV[32], V4);
   return value0;
  }
 }
}
/*	local function RESOURCE-ID-PUT                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46resource_id_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[34], V4, V5);
   return value0;
  }
 }
}
/*	local function RESOURCE-ID-OR-NIL-GET                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47resource_id_or_nil_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   {
    cl_object V5;                                 /*  ID              */
    V5 = cl_gensym(0);
    T0 = cl_list(2, VV[32], V4);
    T1 = cl_list(2, V5, T0);
    T2 = ecl_list1(T1);
    T3 = cl_list(2, ECL_SYM("PLUSP",642), V5);
    T4 = cl_list(3, ECL_SYM("AND",87), T3, V5);
    value0 = cl_list(3, ECL_SYM("LET",477), T2, T4);
    return value0;
   }
  }
 }
}
/*	local function RESOURCE-ID-OR-NIL-PUT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48resource_id_or_nil_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, ECL_SYM("OR",614), V5, ecl_make_fixnum(0));
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function CHAR-INFO-GET                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49char_info_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(2, VV[52], V4);
   T1 = ecl_plus(V4,ecl_make_fixnum(2));
   T2 = cl_list(2, VV[52], T1);
   T3 = ecl_plus(V4,ecl_make_fixnum(4));
   T4 = cl_list(2, VV[52], T3);
   T5 = ecl_plus(V4,ecl_make_fixnum(6));
   T6 = cl_list(2, VV[52], T5);
   T7 = ecl_plus(V4,ecl_make_fixnum(8));
   T8 = cl_list(2, VV[52], T7);
   T9 = ecl_plus(V4,ecl_make_fixnum(10));
   T10 = cl_list(2, VV[38], T9);
   value0 = cl_list(13, VV[118], VV[119], T0, VV[120], T2, VV[121], T4, VV[122], T6, VV[123], T8, VV[124], T10);
   return value0;
  }
 }
}
/*	local function MEMBER8-GET                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50member8_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VALUE           */
    V5 = cl_gensym(0);
    T0 = cl_list(2, VV[42], V4);
    T1 = cl_list(2, V5, T0);
    T2 = ecl_list1(T1);
    {
     cl_fixnum V6;
     V6 = ecl_length(V3);
     T3 = ecl_list1(ecl_make_fixnum(V6));
     T4 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T3);
     T5 = cl_list(3, ECL_SYM("TYPE",869), T4, V5);
     T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
     {
      cl_fixnum V7;
      V7 = ecl_length(V3);
      T7 = ecl_list1(ecl_make_fixnum(V7));
      T8 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T7);
      T9 = cl_list(2, ECL_SYM("QUOTE",679), T8);
      T10 = cl_list(3, VV[2], V5, T9);
      T11 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
      T12 = cl_apply(2, T11, V3);
      T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
      T14 = cl_list(3, ECL_SYM("SVREF",838), T13, V5);
      value0 = cl_list(5, ECL_SYM("LET",477), T2, T6, T10, T14);
      return value0;
     }
    }
   }
  }
 }
}
/*	local function MEMBER8-PUT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51member8_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
   T1 = cl_apply(2, T0, V3);
   T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
   T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("SIMPLE-VECTOR",774), T2);
   T4 = cl_listX(4, ECL_SYM("POSITION",644), V5, T3, VV[128]);
   value0 = cl_list(3, VV[44], V4, T4);
   return value0;
  }
 }
}
/*	local function MEMBER8-PUT-PREDICATING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52member8_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   {
    cl_object V6;                                 /*  VALUE           */
    V6 = cl_gensym(0);
    T0 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
    T1 = cl_apply(2, T0, V3);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
    T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("SIMPLE-VECTOR",774), T2);
    T4 = cl_listX(4, ECL_SYM("POSITION",644), V5, T3, VV[128]);
    T5 = cl_list(2, V6, T4);
    T6 = ecl_list1(T5);
    T7 = cl_list(3, VV[44], V4, V6);
    T8 = cl_list(3, ECL_SYM("AND",87), V6, T7);
    value0 = cl_list(3, ECL_SYM("LET",477), T6, T8);
    return value0;
   }
  }
 }
}
/*	local function MEMBER16-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53member16_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VALUE           */
    V5 = cl_gensym(0);
    T0 = cl_list(2, VV[37], V4);
    T1 = cl_list(2, V5, T0);
    T2 = ecl_list1(T1);
    {
     cl_fixnum V6;
     V6 = ecl_length(V3);
     T3 = ecl_list1(ecl_make_fixnum(V6));
     T4 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T3);
     T5 = cl_list(3, ECL_SYM("TYPE",869), T4, V5);
     T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
     {
      cl_fixnum V7;
      V7 = ecl_length(V3);
      T7 = ecl_list1(ecl_make_fixnum(V7));
      T8 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T7);
      T9 = cl_list(2, ECL_SYM("QUOTE",679), T8);
      T10 = cl_list(3, VV[2], V5, T9);
      T11 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
      T12 = cl_apply(2, T11, V3);
      T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
      T14 = cl_list(3, ECL_SYM("SVREF",838), T13, V5);
      value0 = cl_list(5, ECL_SYM("LET",477), T2, T6, T10, T14);
      return value0;
     }
    }
   }
  }
 }
}
/*	local function MEMBER16-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54member16_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
   T1 = cl_apply(2, T0, V3);
   T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
   T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("SIMPLE-VECTOR",774), T2);
   T4 = cl_listX(4, ECL_SYM("POSITION",644), V5, T3, VV[128]);
   value0 = cl_list(3, VV[39], V4, T4);
   return value0;
  }
 }
}
/*	local function MEMBER16-PUT-PREDICATING                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55member16_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   {
    cl_object V6;                                 /*  VALUE           */
    V6 = cl_gensym(0);
    T0 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
    T1 = cl_apply(2, T0, V3);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
    T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("SIMPLE-VECTOR",774), T2);
    T4 = cl_listX(4, ECL_SYM("POSITION",644), V5, T3, VV[128]);
    T5 = cl_list(2, V6, T4);
    T6 = ecl_list1(T5);
    T7 = cl_list(3, VV[39], V4, V6);
    T8 = cl_list(3, ECL_SYM("AND",87), V6, T7);
    value0 = cl_list(3, ECL_SYM("LET",477), T6, T8);
    return value0;
   }
  }
 }
}
/*	local function MEMBER-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56member_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VALUE           */
    V5 = cl_gensym(0);
    T0 = cl_list(2, VV[32], V4);
    T1 = cl_list(2, V5, T0);
    T2 = ecl_list1(T1);
    {
     cl_fixnum V6;
     V6 = ecl_length(V3);
     T3 = ecl_list1(ecl_make_fixnum(V6));
     T4 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T3);
     T5 = cl_list(3, ECL_SYM("TYPE",869), T4, V5);
     T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
     {
      cl_fixnum V7;
      V7 = ecl_length(V3);
      T7 = ecl_list1(ecl_make_fixnum(V7));
      T8 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T7);
      T9 = cl_list(2, ECL_SYM("QUOTE",679), T8);
      T10 = cl_list(3, VV[2], V5, T9);
      T11 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
      T12 = cl_apply(2, T11, V3);
      T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
      T14 = cl_list(3, ECL_SYM("SVREF",838), T13, V5);
      value0 = cl_list(5, ECL_SYM("LET",477), T2, T6, T10, T14);
      return value0;
     }
    }
   }
  }
 }
}
/*	local function MEMBER-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57member_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   T0 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
   T1 = cl_apply(2, T0, V3);
   T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
   T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("SIMPLE-VECTOR",774), T2);
   T4 = cl_listX(4, ECL_SYM("POSITION",644), V5, T3, VV[128]);
   value0 = cl_list(3, VV[34], V4, T4);
   return value0;
  }
 }
}
/*	local function MEMBER-PUT-PREDICATING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58member_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(ecl_cdr(V3))) { goto L14; }
   {
    cl_object V6;                                 /*  VALUE           */
    V6 = cl_gensym(0);
    T0 = (ECL_SYM("VECTOR",898)->symbol.gfdef);
    T1 = cl_apply(2, T0, V3);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
    T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("SIMPLE-VECTOR",774), T2);
    T4 = cl_listX(4, ECL_SYM("POSITION",644), V5, T3, VV[128]);
    T5 = cl_list(2, V6, T4);
    T6 = ecl_list1(T5);
    T7 = cl_list(3, VV[34], V4, V6);
    T8 = cl_list(3, ECL_SYM("AND",87), V6, T7);
    value0 = cl_list(3, ECL_SYM("LET",477), T6, T8);
    return value0;
   }
L14:;
   T0 = ecl_car(V3);
   T1 = cl_list(3, ECL_SYM("EQ",333), V5, T0);
   T2 = cl_list(3, VV[34], V4, ecl_make_fixnum(0));
   value0 = cl_list(3, ECL_SYM("AND",87), T1, T2);
   return value0;
  }
 }
}
/*	local function MEMBER-VECTOR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59member_vector(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_symbol_value(V1);
  T1 = si_coerce_to_list(1, T0);
  value0 = CONS(ECL_SYM("MEMBER",552),T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function MEMBER-VECTOR-GET                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60member_vector_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_eval(V5);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(3, VV[136], V4, T1);
   return value0;
  }
 }
}
/*	local function MEMBER-VECTOR-PUT                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61member_vector_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_eval(V6);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(4, VV[137], V4, V5, T1);
   return value0;
  }
 }
}
/*	local function MEMBER-VECTOR-PUT-PREDICATING                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC62member_vector_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_eval(V6);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(4, VV[137], V4, V5, T1);
   return value0;
  }
 }
}
/*	local function MEMBER16-VECTOR-GET                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63member16_vector_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_eval(V5);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(3, VV[133], V4, T1);
   return value0;
  }
 }
}
/*	local function MEMBER16-VECTOR-PUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC64member16_vector_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_eval(V6);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(4, VV[134], V4, V5, T1);
   return value0;
  }
 }
}
/*	local function MEMBER16-VECTOR-PUT-PREDICATING                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65member16_vector_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_eval(V6);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(4, VV[134], V4, V5, T1);
   return value0;
  }
 }
}
/*	local function MEMBER8-VECTOR-GET                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66member8_vector_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_eval(V5);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(3, VV[127], V4, T1);
   return value0;
  }
 }
}
/*	local function MEMBER8-VECTOR-PUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67member8_vector_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_eval(V6);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(4, VV[129], V4, V5, T1);
   return value0;
  }
 }
}
/*	local function MEMBER8-VECTOR-PUT-PREDICATING                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68member8_vector_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  MEMBERSHIP-VECTOR */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_eval(V6);
   T1 = si_coerce_to_list(1, T0);
   value0 = cl_listX(4, VV[129], V4, V5, T1);
   return value0;
  }
 }
}
/*	local function BOOLE-CONSTANT-GET                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69boole_constant_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   {
    cl_object V5;                                 /*  VALUE           */
    V5 = cl_gensym(0);
    T0 = cl_list(2, VV[32], V4);
    T1 = cl_list(2, V5, T0);
    T2 = ecl_list1(T1);
    {
     cl_fixnum V6;
     V6 = ecl_length(ecl_symbol_value(VV[152]));
     T3 = ecl_list1(ecl_make_fixnum(V6));
     T4 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T3);
     T5 = cl_list(3, ECL_SYM("TYPE",869), T4, V5);
     T6 = cl_list(2, ECL_SYM("DECLARE",274), T5);
     {
      cl_fixnum V7;
      V7 = ecl_length(ecl_symbol_value(VV[152]));
      T7 = ecl_list1(ecl_make_fixnum(V7));
      T8 = cl_list(3, ECL_SYM("INTEGER",437), ecl_make_fixnum(0), T7);
      T9 = cl_list(2, ECL_SYM("QUOTE",679), T8);
      T10 = cl_list(3, VV[2], V5, T9);
      T11 = cl_list(3, ECL_SYM("SVREF",838), VV[152], V5);
      value0 = cl_list(5, ECL_SYM("LET",477), T2, T6, T10, T11);
      return value0;
     }
    }
   }
  }
 }
}
/*	local function BOOLE-CONSTANT-PUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70boole_constant_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, ECL_SYM("POSITION",644), V5, VV[154]);
   value0 = cl_list(3, VV[34], V4, T0);
   return value0;
  }
 }
}
/*	local function BOOLE-CONSTANT-PUT-PREDICATING                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71boole_constant_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   {
    cl_object V6;                                 /*  VALUE           */
    V6 = cl_gensym(0);
    T0 = cl_list(3, ECL_SYM("POSITION",644), V5, VV[154]);
    T1 = cl_list(2, V6, T0);
    T2 = ecl_list1(T1);
    T3 = cl_list(3, VV[34], V4, V6);
    T4 = cl_list(3, ECL_SYM("AND",87), V6, T3);
    value0 = cl_list(3, ECL_SYM("LET",477), T2, T4);
    return value0;
   }
  }
 }
}
/*	local function NULL-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72null_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   T0 = cl_list(2, VV[27], V4);
   T1 = cl_list(2, ECL_SYM("ZEROP",926), T0);
   T2 = cl_list(2, VV[27], V4);
   value0 = cl_list(4, ECL_SYM("IF",946), T1, ECL_NIL, T2);
   return value0;
  }
 }
}
/*	local function NULL-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73null_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[29], V4, ecl_make_fixnum(0));
   return value0;
  }
 }
}
/*	local function PAD8-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74pad8_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PAD8-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75pad8_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PAD16-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76pad16_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PAD16-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77pad16_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PAD32-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78pad32_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PAD32-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC79pad32_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function BIT-VECTOR256-GET                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC80bit_vector256_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  REAL-INDEX      */
   cl_object V6;                                  /*  DATA            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
    goto L8;
   }
L9:;
   V5 = V4;
L8:;
   if (Null(V3)) { goto L15; }
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
    goto L14;
   }
L15:;
   V6 = ECL_NIL;
L14:;
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   value0 = cl_list(4, VV[169], VV[170], V5, V6);
   return value0;
  }
 }
}
/*	local function BIT-VECTOR256-PUT                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC81bit_vector256_put(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  MAP             */
   cl_object V6;                                  /*  REAL-INDEX      */
   cl_object V7;                                  /*  BUFFER          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (Null(V3)) { goto L15; }
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
    goto L14;
   }
L15:;
   V6 = V4;
L14:;
   if (Null(V3)) { goto L21; }
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
    goto L20;
   }
L21:;
   V7 = VV[71];
L20:;
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   T0 = cl_list(3, VV[9], VV[173], V6);
   value0 = cl_list(4, VV[172], V7, T0, V5);
   return value0;
  }
 }
}
/*	local function STRING-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC82string_get(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  LENGTH          */
   cl_object V5;                                  /*  INDEX           */
   cl_object V6;
   cl_object V7;                                  /*  REPLY-BUFFER    */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   V6 = si_search_keyword(2, V3, VV[175]);
   if (!((V6)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L16; }
   V7 = ECL_NIL;
   goto L15;
L16:;
   V7 = V6;
L15:;
   si_check_keyword(2, V3, VV[176]);
   value0 = V7;
   if ((value0)!=ECL_NIL) { goto L21; }
   T0 = VV[178];
   goto L19;
L21:;
   T0 = value0;
   goto L19;
L19:;
   value0 = cl_list(8, VV[177], T0, VV[179], V4, ECL_NIL, ECL_NIL, ecl_make_fixnum(0), V5);
   return value0;
  }
 }
}
/*	local function STRING-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC83string_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  STRING          */
   cl_object V6;
   cl_object V7;                                  /*  BUFFER          */
   cl_object V8;
   cl_object V9;                                  /*  START           */
   cl_object V10;
   cl_object V11;                                 /*  END             */
   cl_object V12;
   cl_object V13;                                 /*  HEADER-LENGTH   */
   cl_object V14;
   cl_object V15;                                 /*  APPENDING       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V16;
    V16 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V16;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V16;
    V16 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V16;
   }
   V6 = si_search_keyword(2, V3, VV[107]);
   if (!((V6)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L16; }
   V7 = ECL_NIL;
   goto L15;
L16:;
   V7 = V6;
L15:;
   V8 = si_search_keyword(2, V3, ECL_SYM("START",1310));
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L20; }
   V9 = ecl_make_fixnum(0);
   goto L19;
L20:;
   V9 = V8;
L19:;
   V10 = si_search_keyword(2, V3, ECL_SYM("END",1225));
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L24; }
   V11 = ECL_NIL;
   goto L23;
L24:;
   V11 = V10;
L23:;
   V12 = si_search_keyword(2, V3, VV[181]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V13 = ECL_NIL;
   goto L27;
L28:;
   V13 = V12;
L27:;
   V14 = si_search_keyword(2, V3, VV[182]);
   if (!((V14)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V15 = ECL_NIL;
   goto L31;
L32:;
   V15 = V14;
L31:;
   si_check_keyword(2, V3, VV[183]);
   if ((V7)!=ECL_NIL) { goto L35; }
   V7 = VV[71];
L35:;
   if ((V13)!=ECL_NIL) { goto L38; }
   {
    cl_object V16;
    {
     cl_fixnum V17;
     {
      cl_object V18;
      {
       cl_fixnum V19;
       {
        cl_fixnum V20;
        V20 = 0;
        if (!(ECL_FIXNUMP(V4))) { goto L49; }
        V20 = ecl_fixnum(V4);
        if (!((V20)<=(536870911))) { goto L54; }
        T0 = ecl_make_bool((V20)>=(0));
        goto L46;
L54:;
        T0 = ECL_NIL;
        goto L46;
L49:;
        T0 = ECL_NIL;
        goto L46;
       }
L46:;
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V4);
       V19 = ecl_fixnum(V4);
       V18 = ecl_plus(ecl_make_fixnum(V19),ecl_make_fixnum(3));
      }
      {
       cl_fixnum V19;
       V19 = 0;
       if (!(ECL_FIXNUMP(V18))) { goto L60; }
       V19 = ecl_fixnum(V18);
       if (!((V19)<=(536870911))) { goto L65; }
       T0 = ecl_make_bool((V19)>=(0));
       goto L57;
L65:;
       T0 = ECL_NIL;
       goto L57;
L60:;
       T0 = ECL_NIL;
       goto L57;
      }
L57:;
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V18);
      V17 = ecl_fixnum(V18);
     }
     V16 = ecl_make_fixnum(((V17) & (-4)));
    }
    {
     cl_fixnum V17;
     V17 = 0;
     if (!(ECL_FIXNUMP(V16))) { goto L71; }
     V17 = ecl_fixnum(V16);
     if (!((V17)<=(536870911))) { goto L76; }
     T0 = ecl_make_bool((V17)>=(0));
     goto L68;
L76:;
     T0 = ECL_NIL;
     goto L68;
L71:;
     T0 = ECL_NIL;
     goto L68;
    }
L68:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V16);
    V13 = V16;
   }
L38:;
   {
    cl_object V16;                                /*  REAL-END        */
    cl_object V17;                                /*  FORM            */
    if (Null(V15)) { goto L79; }
    value0 = V11;
    if ((value0)!=ECL_NIL) { goto L82; }
    V16 = cl_list(2, ECL_SYM("LENGTH",476), V5);
    goto L78;
L82:;
    V16 = value0;
    goto L78;
L79:;
    V16 = cl_gensym(0);
L78:;
    T0 = cl_list(3, VV[9], VV[173], V13);
    V17 = cl_list(6, VV[184], V7, T0, V5, V9, V16);
    if (Null(V15)) { goto L85; }
    value0 = V17;
    cl_env_copy->nvalues = 1;
    return value0;
L85:;
    value0 = V11;
    if ((value0)!=ECL_NIL) { goto L89; }
    T0 = cl_list(2, ECL_SYM("LENGTH",476), V5);
    goto L87;
L89:;
    T0 = value0;
    goto L87;
L87:;
    T1 = cl_list(2, V16, T0);
    T2 = ecl_list1(T1);
    T3 = cl_list(3, VV[186], V16, V9);
    T4 = cl_list(3, VV[9], T3, V13);
    T5 = cl_list(3, VV[185], T4, ecl_make_fixnum(4));
    T6 = cl_list(3, VV[39], ecl_make_fixnum(2), T5);
    value0 = cl_list(4, ECL_SYM("LET",477), T2, T6, V17);
    return value0;
   }
  }
 }
}
/*	local function SEQUENCE-GET                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC84sequence_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;                                  /*  LENGTH          */
   cl_object V6;
   cl_object V7;                                  /*  FORMAT          */
   cl_object V8;
   cl_object V9;                                  /*  RESULT-TYPE     */
   cl_object V10;
   cl_object V11;                                 /*  TRANSFORM       */
   cl_object V12;
   cl_object V13;                                 /*  REPLY-BUFFER    */
   cl_object V14;
   cl_object V15;                                 /*  DATA            */
   cl_object V16;
   cl_object V17;                                 /*  INDEX           */
   cl_object V18;
   cl_object V19;                                 /*  START           */
   V3 = ecl_cdr(V1);
   V4 = si_search_keyword(2, V3, ECL_SYM("LENGTH",1263));
   if (!((V4)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L4; }
   V5 = ECL_NIL;
   goto L3;
L4:;
   V5 = V4;
L3:;
   V6 = si_search_keyword(2, V3, VV[188]);
   if (!((V6)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L8; }
   V7 = VV[26];
   goto L7;
L8:;
   V7 = V6;
L7:;
   V8 = si_search_keyword(2, V3, VV[189]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L12; }
   V9 = ECL_NIL;
   goto L11;
L12:;
   V9 = V8;
L11:;
   V10 = si_search_keyword(2, V3, VV[190]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L16; }
   V11 = ECL_NIL;
   goto L15;
L16:;
   V11 = V10;
L15:;
   V12 = si_search_keyword(2, V3, VV[175]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L20; }
   V13 = ECL_NIL;
   goto L19;
L20:;
   V13 = V12;
L19:;
   V14 = si_search_keyword(2, V3, VV[191]);
   if (!((V14)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L24; }
   V15 = ECL_NIL;
   goto L23;
L24:;
   V15 = V14;
L23:;
   V16 = si_search_keyword(2, V3, VV[192]);
   if (!((V16)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V17 = ECL_NIL;
   goto L27;
L28:;
   V17 = V16;
L27:;
   V18 = si_search_keyword(2, V3, ECL_SYM("START",1310));
   if (!((V18)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V19 = ECL_NIL;
   goto L31;
L32:;
   V19 = V18;
L31:;
   si_check_keyword(2, V3, VV[193]);
   if (!((V7)==(VV[41]))) { goto L36; }
   T0 = VV[194];
   goto L35;
L36:;
   if (!((V7)==(VV[195]))) { goto L38; }
   T0 = VV[196];
   goto L35;
L38:;
   if (!((V7)==(VV[36]))) { goto L40; }
   T0 = VV[197];
   goto L35;
L40:;
   if (!((V7)==(VV[50]))) { goto L42; }
   T0 = VV[198];
   goto L35;
L42:;
   if (!((V7)==(VV[26]))) { goto L44; }
   T0 = VV[199];
   goto L35;
L44:;
   if (!((V7)==(VV[200]))) { goto L46; }
   T0 = VV[201];
   goto L35;
L46:;
   T0 = si_ecase_error(V7, VV[202]);
L35:;
   value0 = V13;
   if ((value0)!=ECL_NIL) { goto L50; }
   T1 = VV[178];
   goto L48;
L50:;
   T1 = value0;
   goto L48;
L48:;
   if ((V19)!=ECL_NIL) { goto L55; }
   if (Null(V17)) { goto L53; }
   goto L54;
L55:;
L54:;
   value0 = V19;
   if ((value0)!=ECL_NIL) { goto L59; }
   T3 = ecl_make_fixnum(0);
   goto L57;
L59:;
   T3 = value0;
   goto L57;
L57:;
   T2 = ecl_list1(T3);
   goto L52;
L53:;
   T2 = ECL_NIL;
L52:;
   if (Null(V17)) { goto L62; }
   T3 = ecl_list1(V17);
   goto L61;
L62:;
   T3 = ECL_NIL;
L61:;
   T4 = ecl_append(T2,T3);
   value0 = cl_listX(7, T0, T1, V9, V5, V11, V15, T4);
   return value0;
  }
 }
}
/*	local function SEQUENCE-PUT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC86sequence_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 volatile cl_object lex0[7];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;                                  /*  FORMAT          */
   cl_object V6;
   cl_object V7;
   cl_object V8;
   cl_object V9;                                  /*  TRANSFORM       */
   cl_object V10;
   cl_object V11;                                 /*  BUFFER          */
   cl_object V12;
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L2; }
   si_dm_too_few_arguments(V1);
L2:;
   {
    cl_object V13;
    V13 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V13;
   }
   lex0[0] = T0;                                  /*  INDEX           */
   if (!(V3==ECL_NIL)) { goto L8; }
   si_dm_too_few_arguments(V1);
L8:;
   {
    cl_object V13;
    V13 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V13;
   }
   lex0[1] = T0;                                  /*  DATA            */
   V4 = si_search_keyword(2, V3, VV[188]);
   if (!((V4)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L16; }
   V5 = VV[26];
   goto L15;
L16:;
   V5 = V4;
L15:;
   V6 = si_search_keyword(2, V3, ECL_SYM("START",1310));
   if (!((V6)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L20; }
   T0 = ecl_make_fixnum(0);
   goto L19;
L20:;
   T0 = V6;
L19:;
   lex0[2] = T0;                                  /*  START           */
   V7 = si_search_keyword(2, V3, ECL_SYM("END",1225));
   if (!((V7)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L24; }
   T0 = ECL_NIL;
   goto L23;
L24:;
   T0 = V7;
L23:;
   lex0[3] = T0;                                  /*  END             */
   V8 = si_search_keyword(2, V3, VV[190]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V9 = ECL_NIL;
   goto L27;
L28:;
   V9 = V8;
L27:;
   V10 = si_search_keyword(2, V3, VV[107]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V11 = ECL_NIL;
   goto L31;
L32:;
   V11 = V10;
L31:;
   V12 = si_search_keyword(2, V3, VV[182]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L36; }
   T0 = ECL_NIL;
   goto L35;
L36:;
   T0 = V12;
L35:;
   lex0[4] = T0;                                  /*  APPENDING       */
   si_check_keyword(2, V3, VV[204]);
   if ((V11)!=ECL_NIL) { goto L39; }
   V11 = VV[71];
L39:;
   {
    cl_object V13;                                /*  WRITER          */
    if (Null(lex0[4])) { goto L43; }
    value0 = lex0[3];
    if ((value0)!=ECL_NIL) { goto L46; }
    T0 = cl_list(2, ECL_SYM("LENGTH",476), lex0[1]);
    goto L42;
L46:;
    T0 = value0;
    goto L42;
L43:;
    T0 = cl_gensym(0);
L42:;
    lex0[5] = T0;                                 /*  REAL-END        */
    V13 = ecl_function_dispatch(cl_env_copy,VV[466])(2, VV[205], V5) /*  XINTERN */;
    {
     cl_fixnum V14;
     {
      cl_object V15;
      {
       cl_fixnum V16;
       {
        cl_object V17;
        {
         cl_fixnum V18;
         {
          cl_fixnum V19;
          V19 = 0;
          if (!(ECL_FIXNUMP(lex0[0]))) { goto L58; }
          V19 = ecl_fixnum(lex0[0]);
          if (!((V19)<=(536870911))) { goto L63; }
          T0 = ecl_make_bool((V19)>=(0));
          goto L55;
L63:;
          T0 = ECL_NIL;
          goto L55;
L58:;
          T0 = ECL_NIL;
          goto L55;
         }
L55:;
         if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],lex0[0]);
         V18 = ecl_fixnum(lex0[0]);
         V17 = ecl_plus(ecl_make_fixnum(V18),ecl_make_fixnum(3));
        }
        {
         cl_fixnum V18;
         V18 = 0;
         if (!(ECL_FIXNUMP(V17))) { goto L69; }
         V18 = ecl_fixnum(V17);
         if (!((V18)<=(536870911))) { goto L74; }
         T0 = ecl_make_bool((V18)>=(0));
         goto L66;
L74:;
         T0 = ECL_NIL;
         goto L66;
L69:;
         T0 = ECL_NIL;
         goto L66;
        }
L66:;
        if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V17);
        V16 = ecl_fixnum(V17);
       }
       V15 = ecl_make_fixnum(((V16) & (-4)));
      }
      {
       cl_fixnum V16;
       V16 = 0;
       if (!(ECL_FIXNUMP(V15))) { goto L80; }
       V16 = ecl_fixnum(V15);
       if (!((V16)<=(536870911))) { goto L85; }
       T0 = ecl_make_bool((V16)>=(0));
       goto L77;
L85:;
       T0 = ECL_NIL;
       goto L77;
L80:;
       T0 = ECL_NIL;
       goto L77;
      }
L77:;
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V15);
      V14 = ecl_fixnum(V15);
     }
     T0 = cl_list(3, VV[9], VV[173], ecl_make_fixnum(V14));
     T1 = cl_list(7, V13, V11, T0, lex0[1], lex0[2], lex0[5], V9);
     lex0[6] = T1;                                /*  FORM            */
    }
    if (!((V5)==(VV[41]))) { goto L92; }
    goto L89;
    goto L90;
L92:;
    goto L90;
L90:;
    if (!((V5)==(VV[195]))) { goto L87; }
    goto L88;
L89:;
L88:;
    value0 = LC85maker(lex0, ecl_make_fixnum(4));
    return value0;
L87:;
    if (!((V5)==(VV[36]))) { goto L100; }
    goto L97;
    goto L98;
L100:;
    goto L98;
L98:;
    if (!((V5)==(VV[50]))) { goto L104; }
    goto L97;
    goto L102;
L104:;
    goto L102;
L102:;
    if (!((V5)==(VV[210]))) { goto L95; }
    goto L96;
L97:;
L96:;
    value0 = LC85maker(lex0, ecl_make_fixnum(2));
    return value0;
L95:;
    if (!((V5)==(VV[26]))) { goto L112; }
    goto L109;
    goto L110;
L112:;
    goto L110;
L110:;
    if (!((V5)==(VV[200]))) { goto L107; }
    goto L108;
L109:;
L108:;
    value0 = LC85maker(lex0, ecl_make_fixnum(1));
    return value0;
L107:;
    value0 = si_ecase_error(V5, VV[214]);
    return value0;
   }
  }
 }
}
/*	local function MAKER                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85maker(volatile cl_object *lex0, cl_object V1)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(lex0[4])) { goto L1; }
  value0 = lex0[6];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object V2;                                  /*  IDX             */
   V2 = cl_list(3, VV[186], lex0[5], lex0[2]);
   if (ecl_number_equalp(V1,ecl_make_fixnum(1))) { goto L4; }
   V2 = cl_list(3, VV[185], V2, V1);
L4:;
   value0 = lex0[3];
   if ((value0)!=ECL_NIL) { goto L9; }
   T0 = cl_list(2, ECL_SYM("LENGTH",476), lex0[1]);
   goto L7;
L9:;
   T0 = value0;
   goto L7;
L7:;
   T1 = cl_list(2, lex0[5], T0);
   T2 = ecl_list1(T1);
   {
    cl_fixnum V3;
    {
     cl_object V4;
     {
      cl_fixnum V5;
      {
       cl_fixnum V6;
       V6 = 0;
       if (!(ECL_FIXNUMP(lex0[0]))) { goto L18; }
       V6 = ecl_fixnum(lex0[0]);
       if (!((V6)<=(536870911))) { goto L23; }
       T3 = ecl_make_bool((V6)>=(0));
       goto L15;
L23:;
       T3 = ECL_NIL;
       goto L15;
L18:;
       T3 = ECL_NIL;
       goto L15;
      }
L15:;
      if (ecl_unlikely(!((T3)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],lex0[0]);
      V5 = ecl_fixnum(lex0[0]);
      V4 = ecl_ceiling2(ecl_make_fixnum(V5),ecl_make_fixnum(4));
     }
     {
      cl_fixnum V5;
      V5 = 0;
      if (!(ECL_FIXNUMP(V4))) { goto L29; }
      V5 = ecl_fixnum(V4);
      if (!((V5)<=(536870911))) { goto L34; }
      T3 = ecl_make_bool((V5)>=(0));
      goto L26;
L34:;
      T3 = ECL_NIL;
      goto L26;
L29:;
      T3 = ECL_NIL;
      goto L26;
     }
L26:;
     if (ecl_unlikely(!((T3)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V4);
     V3 = ecl_fixnum(V4);
    }
    T3 = cl_list(3, VV[9], V2, ecl_make_fixnum(V3));
    T4 = cl_list(3, VV[39], ecl_make_fixnum(2), T3);
    value0 = cl_list(4, ECL_SYM("LET",477), T2, T4, lex0[6]);
    return value0;
   }
  }
 }
}
/*	local function CLIENT-MESSAGE-EVENT-GET-SEQUENCE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC87client_message_event_get_sequence(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[216];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CLIENT-MESSAGE-EVENT-PUT-SEQUENCE              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC88client_message_event_put_sequence(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  FORMAT          */
   cl_object V5;                                  /*  SEQUENCE        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(2, ECL_SYM("LENGTH",476), V5);
   T1 = cl_list(3, ECL_SYM("MIN",557), T0, ecl_make_fixnum(20));
   T2 = cl_listX(8, VV[215], ecl_make_fixnum(12), V5, VV[188], VV[41], ECL_SYM("END",1225), T1, VV[218]);
   T3 = cl_list(2, ecl_make_fixnum(8), T2);
   T4 = cl_list(2, ECL_SYM("LENGTH",476), V5);
   T5 = cl_list(3, ECL_SYM("MIN",557), T4, ecl_make_fixnum(10));
   T6 = cl_listX(8, VV[215], ecl_make_fixnum(12), V5, VV[188], VV[36], ECL_SYM("END",1225), T5, VV[218]);
   T7 = cl_list(2, ecl_make_fixnum(16), T6);
   T8 = cl_list(2, ECL_SYM("LENGTH",476), V5);
   T9 = cl_list(3, ECL_SYM("MIN",557), T8, ecl_make_fixnum(5));
   T10 = cl_listX(8, VV[215], ecl_make_fixnum(12), V5, VV[188], VV[26], ECL_SYM("END",1225), T9, VV[218]);
   T11 = cl_list(2, ecl_make_fixnum(32), T10);
   value0 = cl_list(5, ECL_SYM("ECASE",321), V4, T3, T7, T11);
   return value0;
  }
 }
}
/*	local function CLIENT-MESSAGE-SEQUENCE-GET                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC89client_message_sequence_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  FORMAT          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = VV[221];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CLIENT-MESSAGE-SEQUENCE-PUT                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC90client_message_sequence_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   cl_object V6;                                  /*  FORMAT          */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   value0 = cl_list(3, VV[219], V6, V5);
   return value0;
  }
 }
}
/*	local function CODE-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC91code_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = VV[225];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CODE-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC92code_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[44], ecl_make_fixnum(0), V5);
   return value0;
  }
 }
}
/*	local function CODE-PUT-PREDICATING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC93code_put_predicating(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[44], ecl_make_fixnum(0), V5);
   return value0;
  }
 }
}
/*	local function LENGTH-GET                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC94length_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = VV[229];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function LENGTH-PUT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC95length_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[39], ecl_make_fixnum(2), V5);
   return value0;
  }
 }
}
/*	local function LENGTH-PUT-PREDICATING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC96length_put_predicating(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = cl_list(3, VV[39], ecl_make_fixnum(2), V5);
   return value0;
  }
 }
}
/*	local function DATA-GET                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC97data_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  STUFF           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = ECL_NIL;
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   if (Null(V5)) { goto L16; }
   if (!(ECL_CONSP(V5))) { goto L18; }
   T0 = ecl_car(V5);
   T1 = L6getify(T0);
   T2 = ecl_cdr(V5);
   value0 = cl_listX(3, T1, ecl_make_fixnum(1), T2);
   return value0;
L18:;
   T0 = L6getify(V5);
   value0 = cl_list(2, T0, ecl_make_fixnum(1));
   return value0;
L16:;
   value0 = VV[234];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function DATA-PUT                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC98data_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  STUFF           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (Null(V3)) { goto L15; }
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
    goto L14;
   }
L15:;
   V6 = ECL_NIL;
L14:;
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   if (Null(V6)) { goto L22; }
   if (!(ECL_CONSP(V6))) { goto L24; }
   T0 = ecl_car(V6);
   T1 = L7putify(1, T0);
   T2 = ecl_cdr(V6);
   T3 = cl_listX(4, T1, V4, V5, T2);
   T4 = cl_list(3, VV[44], ecl_make_fixnum(1), T3);
   value0 = cl_list(3, ECL_SYM("MACROLET",521), VV[236], T4);
   return value0;
L24:;
   T0 = L7putify(1, V6);
   value0 = cl_list(3, T0, ecl_make_fixnum(1), V5);
   return value0;
L22:;
   value0 = cl_list(3, VV[44], ecl_make_fixnum(1), V5);
   return value0;
  }
 }
}
/*	local function DATA-PUT-PREDICATING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99data_put_predicating(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  THING           */
   cl_object V6;                                  /*  STUFF           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (Null(V3)) { goto L15; }
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
    goto L14;
   }
L15:;
   V6 = ECL_NIL;
L14:;
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   if (Null(V6)) { goto L22; }
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V6);
   T1 = cl_list(3, VV[0], V5, T0);
   if (!(ECL_CONSP(V6))) { goto L25; }
   T3 = ecl_car(V6);
   T4 = L7putify(1, T3);
   T5 = ecl_cdr(V6);
   T6 = cl_listX(4, T4, V4, V5, T5);
   T7 = cl_list(3, VV[44], ecl_make_fixnum(1), T6);
   T2 = cl_list(3, ECL_SYM("MACROLET",521), VV[236], T7);
   goto L24;
L25:;
   T3 = L7putify(1, V6);
   T2 = cl_list(3, T3, ecl_make_fixnum(1), V5);
L24:;
   value0 = cl_list(3, ECL_SYM("AND",87), T1, T2);
   return value0;
L22:;
   T0 = cl_list(3, VV[0], V5, VV[238]);
   T1 = cl_list(3, VV[44], ecl_make_fixnum(1), V5);
   value0 = cl_list(3, ECL_SYM("AND",87), T0, T1);
   return value0;
  }
 }
}
/*	local function OR-EXPAND                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC100or_expand(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   {
    cl_object V4;
    cl_object V5;
    V4 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V5 = V3;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     if (!(ecl_endp(V5))) { goto L10; }
     goto L9;
L10:;
     V4 = _ecl_car(V5);
     {
      cl_object V8;
      V8 = _ecl_cdr(V5);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V5 = V8;
     }
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T1 = V7;
     {
      cl_object V8;
      cl_object V9;
      V8 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
      V9 = V4;
      {
       cl_object V10;
       cl_object V11;
       V10 = ecl_list1(ECL_NIL);
       V11 = V10;
L28:;
       if (!(ecl_endp(V9))) { goto L30; }
       goto L29;
L30:;
       V8 = _ecl_car(V9);
       {
        cl_object V12;
        V12 = _ecl_cdr(V9);
        if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
        V9 = V12;
       }
       if (ecl_unlikely(ECL_ATOM(V11))) FEtype_error_cons(V11);
       T3 = V11;
       T4 = ecl_function_dispatch(cl_env_copy,VV[560])(2, V8, V2) /*  CLX-MACROEXPAND */;
       V11 = ecl_list1(T4);
       (ECL_CONS_CDR(T3)=V11,T3);
       goto L28;
L29:;
       T2 = ecl_cdr(V10);
       goto L22;
      }
     }
L22:;
     V7 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V7,T1);
     goto L8;
L9:;
     T0 = ecl_cdr(V6);
     goto L2;
    }
   }
L2:;
   value0 = CONS(ECL_SYM("COND",247),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function OR-GET                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC101or_get(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  LET2905         */
    cl_object V6;                                 /*  TYPES           */
    cl_object V7;                                 /*  RESULT          */
    V5 = cl_gensym(0);
    V6 = V3;
    V7 = ECL_NIL;
    goto L13;
L12:;
    {
     cl_object V8;                                /*  LET2907         */
     cl_object V9;                                /*  ITEM            */
     cl_object V10;                               /*  ARGS            */
     V8 = ecl_car(V6);
     V9 = V8;
     V10 = ECL_NIL;
     if (!(ECL_CONSP(V9))) { goto L19; }
     V10 = ecl_cdr(V9);
     V9 = ecl_car(V9);
L19:;
     if (!((V9)==(ECL_SYM("NULL",605)))) { goto L24; }
     T0 = cl_list(2, ECL_SYM("ZEROP",926), V5);
     T1 = cl_list(2, T0, ECL_NIL);
     V7 = CONS(T1,V7);
     goto L15;
L24:;
     T0 = L6getify(V9);
     T1 = cl_listX(3, T0, V4, V10);
     T2 = ecl_list1(T1);
     V7 = CONS(T2,V7);
    }
L15:;
    V6 = ecl_cdr(V6);
L13:;
    if (ecl_endp(V6)) { goto L30; }
    goto L12;
L30:;
    T0 = cl_list(2, VV[27], V4);
    T1 = cl_list(2, V5, T0);
    T2 = ecl_list1(T1);
    T3 = cl_list(2, ECL_SYM("QUOTE",679), V5);
    T4 = cl_list(4, VV[27], VV[241], VV[242], T3);
    T5 = cl_list(2, ECL_SYM("QUOTE",679), V5);
    T6 = cl_list(4, VV[32], VV[241], VV[242], T5);
    T7 = cl_list(2, T4, T6);
    T8 = cl_nreverse(V7);
    T9 = CONS(VV[240],T8);
    T10 = ecl_function_dispatch(cl_env_copy,VV[560])(2, T9, V2) /*  CLX-MACROEXPAND */;
    T11 = cl_list(3, ECL_SYM("MACROLET",521), T7, T10);
    value0 = cl_list(3, ECL_SYM("LET",477), T2, T11);
    return value0;
   }
  }
 }
}
/*	local function OR-PUT                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC102or_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   {
    cl_object V6;                                 /*  TYPES           */
    cl_object V7;                                 /*  RESULT          */
    V6 = V3;
    V7 = ECL_NIL;
    goto L18;
L17:;
    {
     cl_object V8;                                /*  TYPE            */
     cl_object V9;                                /*  TYPE-NAME       */
     cl_object V10;                               /*  ARGS            */
     V8 = ecl_car(V6);
     V9 = V8;
     V10 = ECL_NIL;
     if (!(ECL_CONSP(V8))) { goto L24; }
     V10 = ecl_cdr(V8);
     V9 = ecl_car(V8);
L24:;
     if (Null(ecl_get(V9,VV[130],ECL_NIL))) { goto L31; }
     T0 = ECL_NIL;
     goto L30;
L31:;
     goto L35;
     if (Null(ecl_cdr(V6))) { goto L33; }
     goto L34;
L35:;
L34:;
     T1 = cl_list(2, ECL_SYM("QUOTE",679), V8);
     T2 = cl_list(3, VV[0], V5, T1);
     T0 = ecl_list1(T2);
     goto L30;
L33:;
     T0 = VV[244];
L30:;
     T1 = ecl_get(V9,VV[130],ECL_NIL);
     T2 = L7putify(2, V9, T1);
     T3 = cl_listX(4, T2, V4, V5, V10);
     T4 = ecl_list1(T3);
     T5 = ecl_append(T0,T4);
     V7 = CONS(T5,V7);
    }
    V6 = ecl_cdr(V6);
L18:;
    if (ecl_endp(V6)) { goto L39; }
    goto L17;
L39:;
    T0 = cl_nreverse(V7);
    T1 = CONS(ECL_SYM("OR",614),V3);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), T1);
    T3 = cl_list(3, VV[1], V5, T2);
    T4 = cl_list(2, ECL_T, T3);
    T5 = ecl_list1(T4);
    T6 = ecl_append(T0,T5);
    value0 = CONS(ECL_SYM("COND",247),T6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for MASK-GET                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104mask_get(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V3,env0);                    /*  BODY-FUNCTION   */
  {
   cl_object V4;                                  /*  BIT             */
   cl_object V5;                                  /*  RESULT          */
   V4 = ecl_make_fixnum(0);
   {
    cl_object V6;                                 /*  LET2912         */
    cl_object V7;
    cl_object V8;
    T0 = ecl_plus(V1,ecl_make_fixnum(4));
    {cl_object V9;
     V9 = ECL_NIL;
     V9 = ecl_make_cclosure_va((cl_objectfn)LC103__g1061,env0,Cblock);
     T1 = V9;
    }
    V6 = L112get_put_items(4, T0, V2, ECL_NIL, T1);
    V7 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    V8 = V6;
    {
     cl_object V9;
     cl_object V10;
     V9 = ecl_list1(ECL_NIL);
     V10 = V9;
L10:;
     if (!(ecl_endp(V8))) { goto L12; }
     goto L11;
L12:;
     V7 = _ecl_car(V8);
     {
      cl_object V11;
      V11 = _ecl_cdr(V8);
      if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
      V8 = V11;
     }
     if (ecl_unlikely(ECL_ATOM(V10))) FEtype_error_cons(V10);
     T0 = V10;
     if (!(ECL_ATOM(V7))) { goto L25; }
     T1 = V7;
     goto L24;
L25:;
     {
      cl_object V11;
      T2 = cl_list(3, ECL_SYM("LOGBITP",495), V4, VV[248]);
      V11 = cl_list(3, ECL_SYM("WHEN",905), T2, V7);
      V4 = ecl_plus(V4,ecl_make_fixnum(1));
      T1 = V11;
     }
L24:;
     V10 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V10,T0);
     goto L10;
L11:;
     V5 = ecl_cdr(V9);
     goto L2;
    }
   }
L2:;
   T1 = ecl_car(V5);
   if (!(ECL_ATOM(T1))) { goto L33; }
   {
    cl_object V6;
    V6 = V5;
    if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
    if (Null(V6)) { goto L39; }
    {
     cl_object V7;
     V7 = ECL_CONS_CDR(V6);
     V5 = V7;
     V6 = ECL_CONS_CAR(V6);
    }
L39:;
    T1 = V6;
   }
   T0 = ecl_list1(T1);
   goto L32;
L33:;
   T0 = ECL_NIL;
L32:;
   T1 = cl_list(2, VV[27], V1);
   T2 = cl_list(3, ECL_SYM("SETQ",751), VV[248], T1);
   T3 = ecl_ceiling2(V1,ecl_make_fixnum(4));
   T4 = cl_list(3, ECL_SYM("SETQ",751), VV[249], T3);
   T5 = ecl_car(V5);
   T6 = cl_list(4, ECL_SYM("PROGN",671), T2, T4, T5);
   T7 = ecl_cdr(V5);
   T8 = CONS(T6,T7);
   value0 = ecl_append(T0,T8);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G1061                                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC103__g1061(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  BODY-FUNCTION   */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=4)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(4, V1, VV[247], V3, V4);
  return value0;
 }
 }
}
/*	function definition for MASK-PUT                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106mask_put(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0;
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(V3,env0);                    /*  BODY-FUNCTION   */
  T0 = cl_list(2, VV[249], V1);
  T1 = cl_list(2, VV[251], T0);
  {
   cl_object env1 = env0;
   CLV1 = env1 = CONS(ecl_make_fixnum(1),env1);   /*  BIT             */
   {cl_object V4;
    V4 = ECL_NIL;
    V4 = ecl_make_cclosure_va((cl_objectfn)LC105__g1068,env1,Cblock);
    T3 = V4;
   }
   T2 = L112get_put_items(4, V1, V2, ECL_T, T3);
  }
  T3 = cl_list(3, VV[29], V1, VV[248]);
  T4 = CONS(T3,VV[255]);
  T5 = ecl_append(T2,T4);
  T6 = cl_listX(3, ECL_SYM("LET",477), T1, T5);
  value0 = ecl_list1(T6);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	closure G1068                                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC105__g1068(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  BIT             */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=4)) FEwrong_num_arguments_anonym();
 {
TTL:
  if (ECL_SYMBOLP(V3)) { goto L3; }
  if (Null(cl_constantp(1, V3))) { goto L1; }
  goto L2;
L3:;
L2:;
  T0 = cl_list(2, ECL_SYM("NULL",605), V3);
  {
   cl_object V5;
   cl_object V6;
   V5 = ECL_CONS_CAR(CLV1);
   T2 = ECL_CONS_CAR(CLV1);
   V6 = cl_ash(T2, ecl_make_fixnum(1));
   ECL_CONS_CAR(CLV1) = V6;
   T1 = V5;
  }
  T2 = cl_list(3, ECL_SYM("LOGIOR",500), VV[248], T1);
  T3 = cl_list(3, ECL_SYM("SETQ",751), VV[248], T2);
  T4 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(4, V1, VV[252], V3, V4);
  T5 = cl_listX(4, ECL_SYM("UNLESS",883), T0, T3, T4);
  value0 = ecl_list1(T5);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = cl_list(2, VV[253], V3);
  T1 = ecl_list1(T0);
  {
   cl_object V5;
   cl_object V6;
   V5 = ECL_CONS_CAR(CLV1);
   T3 = ECL_CONS_CAR(CLV1);
   V6 = cl_ash(T3, ecl_make_fixnum(1));
   ECL_CONS_CAR(CLV1) = V6;
   T2 = V5;
  }
  T3 = cl_list(3, ECL_SYM("LOGIOR",500), VV[248], T2);
  T4 = cl_list(3, ECL_SYM("SETQ",751), VV[248], T3);
  T5 = ecl_function_dispatch(cl_env_copy,ECL_CONS_CAR(CLV0))(4, V1, VV[252], VV[253], V4);
  T6 = cl_listX(4, ECL_SYM("UNLESS",883), VV[254], T4, T5);
  T7 = cl_list(3, ECL_SYM("LET",477), T1, T6);
  value0 = ecl_list1(T7);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	local function PROGN-GET                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC107progn_get(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  STATEMENT       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = V5;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PROGN-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC108progn_put(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  STATEMENT       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = V5;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function CHECK-PUT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC109check_put(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  INDEX           */
   cl_object V5;                                  /*  VALUE           */
   cl_object V6;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   {
    cl_object V7;                                 /*  VAR             */
    cl_object V8;                                 /*  BODY            */
    if (ECL_SYMBOLP(V5)) { goto L23; }
    if (Null(cl_constantp(1, V5))) { goto L21; }
    goto L22;
L23:;
L22:;
    V7 = V5;
    goto L20;
L21:;
    V7 = VV[259];
L20:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V6);
    T1 = cl_list(3, VV[2], V7, T0);
    T2 = cl_macroexpand(2, T1, V2);
    if (T2==ECL_NIL) { goto L28; }
    if (!((V6)==(ECL_SYM("OR",614)))) { goto L33; }
    goto L28;
    goto L31;
L33:;
    goto L31;
L31:;
    if (!((V6)==(ECL_SYM("PROGN",671)))) { goto L37; }
    goto L28;
    goto L35;
L37:;
    goto L35;
L35:;
    if (!((V6)==(VV[159]))) { goto L41; }
    goto L28;
    goto L39;
L41:;
    goto L39;
L39:;
    if (!((V6)==(VV[162]))) { goto L44; }
    goto L28;
    goto L30;
L44:;
    goto L30;
L30:;
    if (Null(cl_constantp(1, V5))) { goto L26; }
    goto L27;
L28:;
L27:;
    T0 = L7putify(1, V6);
    V8 = cl_listX(4, T0, V4, V7, V3);
    goto L25;
L26:;
    if (Null(ecl_get(V6,VV[130],ECL_NIL))) { goto L46; }
    T0 = L7putify(2, V6, ECL_T);
    T1 = cl_listX(4, T0, V4, V7, V3);
    if (Null(V3)) { goto L49; }
    T2 = CONS(V6,V3);
    goto L48;
L49:;
    T2 = V6;
L48:;
    T3 = cl_list(2, ECL_SYM("QUOTE",679), T2);
    T4 = cl_list(3, VV[1], V7, T3);
    V8 = cl_list(3, ECL_SYM("OR",614), T1, T4);
    goto L25;
L46:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V6);
    T1 = cl_list(3, VV[0], V7, T0);
    T2 = L7putify(1, V6);
    T3 = cl_listX(4, T2, V4, V7, V3);
    if (Null(V3)) { goto L52; }
    T4 = CONS(V6,V3);
    goto L51;
L52:;
    T4 = V6;
L51:;
    T5 = cl_list(2, ECL_SYM("QUOTE",679), T4);
    T6 = cl_list(3, VV[1], V7, T5);
    V8 = cl_list(4, ECL_SYM("IF",946), T1, T3, T6);
L25:;
    if (!((V7)==(V5))) { goto L54; }
    value0 = V8;
    cl_env_copy->nvalues = 1;
    return value0;
L54:;
    T0 = cl_list(2, V7, V5);
    T1 = ecl_list1(T0);
    value0 = cl_list(3, ECL_SYM("LET",477), T1, V8);
    return value0;
   }
  }
 }
}
/*	function definition for GET-PUT-ITEMS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L112get_put_items(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((V4)!=ECL_NIL) { goto L2; }
  {
   cl_object V5;
   {cl_object V6;
    V6 = ECL_NIL;
    V6 = ecl_make_cfun((cl_objectfn_fixed)LC111__g1101,ECL_NIL,Cblock,4);
    V5 = V6;
   }
   value0 = ecl_make_bool(V5==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L9; }
   T0 = cl_functionp(V5);
   goto L7;
L9:;
   T0 = value0;
   goto L7;
L7:;
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[265],V5);
   V4 = V5;
  }
L2:;
  {
   cl_object V5;                                  /*  ITEMS           */
   cl_object V6;                                  /*  TYPE            */
   cl_object V7;                                  /*  ARGS            */
   cl_object V8;                                  /*  RESULT          */
   cl_object V9;                                  /*  SIZES           */
   V5 = V2;
   V6 = ecl_caar(V5);
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   V9 = ECL_NIL;
   goto L18;
L17:;
   if (!(ECL_CONSP(V6))) { goto L20; }
   V7 = ecl_cdr(V6);
   V6 = ecl_car(V6);
L20:;
   {
    cl_object V10;
    if (!((V6)==(ECL_SYM("RETURN",724)))) { goto L31; }
    value0 = VV[266];
    goto L29;
L31:;
    value0 = ECL_NIL;
    goto L29;
L29:;
    if ((value0)!=ECL_NIL) { goto L28; }
    if (!((V6)==(VV[267]))) { goto L34; }
    V10 = VV[268];
    goto L26;
L34:;
    V10 = ECL_NIL;
    goto L26;
L28:;
    V10 = value0;
    goto L26;
L26:;
    if (Null(V10)) { goto L36; }
    goto L25;
L36:;
    if (!((V6)==(VV[246]))) { goto L38; }
    if (Null(V3)) { goto L43; }
    T1 = ecl_cdar(V5);
    T0 = L106mask_put(V1, T1, V4);
    goto L42;
L43:;
    T1 = ecl_cdar(V5);
    T0 = L104mask_get(V1, T1, V4);
L42:;
    V8 = ecl_append(V8,T0);
    V1 = ECL_NIL;
    goto L25;
L38:;
    {
     cl_object V11;                               /*  ITEM            */
     cl_object V12;                               /*  INCREMENT       */
     V11 = ecl_cdar(V5);
     V12 = L5index_increment(V6);
     goto L50;
L49:;
     if (Null(cl_constantp(1, V1))) { goto L52; }
     if (!((V12)==(ecl_make_fixnum(2)))) { goto L54; }
     {
      cl_object V13;
      {
       cl_fixnum V14;
       {
        cl_object V15;
        {
         cl_fixnum V16;
         {
          cl_fixnum V17;
          V17 = 0;
          if (!(ECL_FIXNUMP(V1))) { goto L65; }
          V17 = ecl_fixnum(V1);
          if (!((V17)<=(536870911))) { goto L70; }
          T0 = ecl_make_bool((V17)>=(0));
          goto L62;
L70:;
          T0 = ECL_NIL;
          goto L62;
L65:;
          T0 = ECL_NIL;
          goto L62;
         }
L62:;
         if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V1);
         V16 = ecl_fixnum(V1);
         V15 = ecl_plus(ecl_make_fixnum(V16),ecl_make_fixnum(1));
        }
        {
         cl_fixnum V16;
         V16 = 0;
         if (!(ECL_FIXNUMP(V15))) { goto L76; }
         V16 = ecl_fixnum(V15);
         if (!((V16)<=(536870911))) { goto L81; }
         T0 = ecl_make_bool((V16)>=(0));
         goto L73;
L81:;
         T0 = ECL_NIL;
         goto L73;
L76:;
         T0 = ECL_NIL;
         goto L73;
        }
L73:;
        if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V15);
        V14 = ecl_fixnum(V15);
       }
       V13 = ecl_make_fixnum(((V14) & (-2)));
      }
      {
       cl_fixnum V14;
       V14 = 0;
       if (!(ECL_FIXNUMP(V13))) { goto L87; }
       V14 = ecl_fixnum(V13);
       if (!((V14)<=(536870911))) { goto L92; }
       T0 = ecl_make_bool((V14)>=(0));
       goto L84;
L92:;
       T0 = ECL_NIL;
       goto L84;
L87:;
       T0 = ECL_NIL;
       goto L84;
      }
L84:;
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V13);
      V1 = V13;
     }
     goto L52;
L54:;
     if (!((V12)==(ecl_make_fixnum(4)))) { goto L52; }
     {
      cl_object V13;
      {
       cl_fixnum V14;
       {
        cl_object V15;
        {
         cl_fixnum V16;
         {
          cl_fixnum V17;
          V17 = 0;
          if (!(ECL_FIXNUMP(V1))) { goto L104; }
          V17 = ecl_fixnum(V1);
          if (!((V17)<=(536870911))) { goto L109; }
          T0 = ecl_make_bool((V17)>=(0));
          goto L101;
L109:;
          T0 = ECL_NIL;
          goto L101;
L104:;
          T0 = ECL_NIL;
          goto L101;
         }
L101:;
         if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V1);
         V16 = ecl_fixnum(V1);
         V15 = ecl_plus(ecl_make_fixnum(V16),ecl_make_fixnum(3));
        }
        {
         cl_fixnum V16;
         V16 = 0;
         if (!(ECL_FIXNUMP(V15))) { goto L115; }
         V16 = ecl_fixnum(V15);
         if (!((V16)<=(536870911))) { goto L120; }
         T0 = ecl_make_bool((V16)>=(0));
         goto L112;
L120:;
         T0 = ECL_NIL;
         goto L112;
L115:;
         T0 = ECL_NIL;
         goto L112;
        }
L112:;
        if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V15);
        V14 = ecl_fixnum(V15);
       }
       V13 = ecl_make_fixnum(((V14) & (-4)));
      }
      {
       cl_fixnum V14;
       V14 = 0;
       if (!(ECL_FIXNUMP(V13))) { goto L126; }
       V14 = ecl_fixnum(V13);
       if (!((V14)<=(536870911))) { goto L131; }
       T0 = ecl_make_bool((V14)>=(0));
       goto L123;
L131:;
       T0 = ECL_NIL;
       goto L123;
L126:;
       T0 = ECL_NIL;
       goto L123;
      }
L123:;
      if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V13);
      V1 = V13;
     }
L52:;
     T1 = ecl_car(V11);
     T0 = ecl_function_dispatch(cl_env_copy,V4)(4, V6, V1, T1, V7);
     V8 = ecl_append(V8,T0);
     if (Null(cl_constantp(1, V1))) { goto L136; }
     if (!(V12==ECL_NIL)) { goto L138; }
     V1 = ECL_NIL;
     goto L136;
L138:;
     V1 = ecl_plus(V1,V12);
     if (Null(V12)) { goto L143; }
     if (!(ecl_zerop(V12))) { goto L143; }
     V12 = ecl_make_fixnum(1);
L143:;
     T0 = ecl_times(V12,ecl_make_fixnum(8));
     V9 = cl_adjoin(2, T0, V9);
L136:;
     V11 = ecl_cdr(V11);
L50:;
     if (ecl_endp(V11)) { goto L150; }
     goto L49;
L150:;
    }
   }
L25:;
   V5 = ecl_cdr(V5);
   V6 = ecl_caar(V5);
   V7 = ECL_NIL;
L18:;
   if (ecl_endp(V5)) { goto L158; }
   goto L17;
L158:;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = V9;
   cl_env_copy->values[1] = V1;
   cl_env_copy->values[0] = V8;
   return cl_env_copy->values[0];
  }
 }
}
/*	local function G1101                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC111__g1101(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_listX(5, VV[264], V2, V3, V1, V4);
  value0 = ecl_list1(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITH-BUFFER-REQUEST-INTERNAL                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC113with_buffer_request_internal(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  BUFFER          */
   cl_object V7;                                  /*  OPCODE          */
   cl_object V8;
   cl_object V9;                                  /*  LENGTH          */
   cl_object V10;
   cl_object V11;                                 /*  SIZES           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V12;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V12;
   }
   V8 = si_search_keyword(2, V5, ECL_SYM("LENGTH",1263));
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L23; }
   V9 = ECL_NIL;
   goto L22;
L23:;
   V9 = V8;
L22:;
   V10 = si_search_keyword(2, V5, VV[270]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L27; }
   V11 = ECL_NIL;
   goto L26;
L27:;
   V11 = V10;
L26:;
   si_check_keyword(3, V5, VV[271], ECL_T);
   cl_env_copy->values[0] = L112get_put_items(3, ecl_make_fixnum(4), V3, ECL_T);
   {
    cl_object V13;                                /*  CODE            */
    cl_object V14;                                /*  INDEX           */
    cl_object V15;                                /*  ITEM-SIZES      */
    {
     int V16 = cl_env_copy->nvalues-0;
     if (V16--<=0) goto L31;
     V13 = cl_env_copy->values[0];
     if (V16--<=0) goto L32;
     V14 = cl_env_copy->values[1];
     if (V16--<=0) goto L33;
     V15 = cl_env_copy->values[2];
     goto L34;
    }
L31:;
    V13 = ECL_NIL;
L32:;
    V14 = ECL_NIL;
L33:;
    V15 = ECL_NIL;
L34:;
    {
     cl_object V16;                               /*  LET2941         */
     cl_object V17;                               /*  LET2942         */
     if (Null(V9)) { goto L36; }
     V16 = cl_list(3, VV[9], V9, VV[272]);
     goto L35;
L36:;
     V16 = VV[272];
L35:;
     T0 = cl_append(3, VV[273], V15, V11);
     V17 = cl_remove_duplicates(1, T0);
     T0 = cl_list(5, V6, ECL_SYM("LENGTH",1263), V16, VV[270], V17);
     T1 = cl_list(2, VV[275], V6);
     T2 = cl_list(3, ECL_SYM("SETF",750), T1, VV[173]);
     T3 = cl_list(3, VV[44], ecl_make_fixnum(0), V7);
     if (Null(V14)) { goto L40; }
     {
      cl_object V18;
      {
       cl_fixnum V19;
       {
        cl_object V20;
        {
         cl_fixnum V21;
         {
          cl_fixnum V22;
          V22 = 0;
          if (!(ECL_FIXNUMP(V14))) { goto L52; }
          V22 = ecl_fixnum(V14);
          if (!((V22)<=(536870911))) { goto L57; }
          T5 = ecl_make_bool((V22)>=(0));
          goto L49;
L57:;
          T5 = ECL_NIL;
          goto L49;
L52:;
          T5 = ECL_NIL;
          goto L49;
         }
L49:;
         if (ecl_unlikely(!((T5)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V14);
         V21 = ecl_fixnum(V14);
         V20 = ecl_plus(ecl_make_fixnum(V21),ecl_make_fixnum(3));
        }
        {
         cl_fixnum V21;
         V21 = 0;
         if (!(ECL_FIXNUMP(V20))) { goto L63; }
         V21 = ecl_fixnum(V20);
         if (!((V21)<=(536870911))) { goto L68; }
         T5 = ecl_make_bool((V21)>=(0));
         goto L60;
L68:;
         T5 = ECL_NIL;
         goto L60;
L63:;
         T5 = ECL_NIL;
         goto L60;
        }
L60:;
        if (ecl_unlikely(!((T5)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V20);
        V19 = ecl_fixnum(V20);
       }
       V18 = ecl_make_fixnum(((V19) & (-4)));
      }
      {
       cl_fixnum V19;
       V19 = 0;
       if (!(ECL_FIXNUMP(V18))) { goto L74; }
       V19 = ecl_fixnum(V18);
       if (!((V19)<=(536870911))) { goto L79; }
       T5 = ecl_make_bool((V19)>=(0));
       goto L71;
L79:;
       T5 = ECL_NIL;
       goto L71;
L74:;
       T5 = ECL_NIL;
       goto L71;
      }
L71:;
      if (ecl_unlikely(!((T5)!=ECL_NIL)))
         FEwrong_type_argument(VV[8],V18);
      V14 = V18;
     }
     T5 = ecl_ceiling2(V14,ecl_make_fixnum(4));
     T6 = cl_list(3, VV[39], ecl_make_fixnum(2), T5);
     T7 = cl_list(2, VV[173], V6);
     T8 = cl_list(3, VV[9], VV[173], V14);
     T9 = cl_list(3, ECL_SYM("SETF",750), T7, T8);
     T4 = cl_list(2, T6, T9);
     goto L39;
L40:;
     T4 = ECL_NIL;
L39:;
     T5 = cl_list(2, VV[276], V6);
     T6 = ecl_list1(T5);
     T7 = cl_append(3, V13, T4, T6);
     value0 = cl_listX(5, VV[274], T0, T2, T3, T7);
     return value0;
    }
   }
  }
 }
}
/*	local function WITH-BUFFER-REQUEST                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114with_buffer_request(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  BUFFER          */
   cl_object V7;                                  /*  OPCODE          */
   cl_object V8;
   cl_object V9;                                  /*  INLINE          */
   cl_object V10;
   cl_object V11;                                 /*  GC-FORCE        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V12;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V12;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V12;
    V12 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V12;
   }
   V8 = si_search_keyword(2, V5, VV[278]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L23; }
   V9 = ECL_NIL;
   goto L22;
L23:;
   V9 = V8;
L22:;
   V10 = si_search_keyword(2, V5, VV[279]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L27; }
   V11 = ECL_NIL;
   goto L26;
L27:;
   V11 = V10;
L26:;
   si_check_keyword(3, V5, VV[280], ECL_T);
   if (!(V9==ECL_NIL)) { goto L30; }
   if (Null(cl_macroexpand(2, VV[281], V2))) { goto L30; }
   T0 = cl_listX(3, VV[285], V7, V5);
   T1 = cl_listX(3, VV[277], T0, V3);
   T2 = cl_list(4, VV[282], VV[283], VV[284], T1);
   T3 = ecl_list1(T2);
   T5 = cl_macroexpand(2, VV[287], V2);
   T6 = ecl_car(T5);
   if (!((T6)==(ECL_SYM("PROGN",671)))) { goto L34; }
   T4 = VV[288];
   goto L33;
L34:;
   T4 = VV[289];
L33:;
   T5 = cl_list(4, T4, V6, V11, VV[290]);
   value0 = cl_list(4, ECL_SYM("FLET",373), T3, VV[286], T5);
   return value0;
L30:;
   T0 = cl_list(2, VV[285], V6);
   T1 = ecl_list1(T0);
   if (Null(V11)) { goto L37; }
   T3 = cl_list(2, VV[292], V11);
   T2 = ecl_list1(T3);
   goto L36;
L37:;
   T2 = ECL_NIL;
L36:;
   T3 = cl_listX(3, VV[285], V7, V5);
   T4 = cl_listX(3, VV[277], T3, V3);
   T5 = cl_list(2, VV[293], T4);
   T6 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-PROG1",575), T5, VV[294]);
   T7 = ecl_list1(T6);
   T8 = ecl_append(T2,T7);
   T9 = cl_listX(3, VV[291], VV[283], T8);
   value0 = cl_list(4, ECL_SYM("LET",477), T1, VV[284], T9);
   return value0;
  }
 }
}
/*	local function WITH-BUFFER-REQUEST-AND-REPLY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC115with_buffer_request_and_reply(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  BUFFER          */
   cl_object V7;                                  /*  OPCODE          */
   cl_object V8;                                  /*  REPLY-SIZE      */
   cl_object V9;
   cl_object V10;                                 /*  SIZES           */
   cl_object V11;
   cl_object V12;                                 /*  MULTIPLE-REPLY  */
   cl_object V13;
   cl_object V14;                                 /*  INLINE          */
   cl_object V15;                                 /*  TYPE-ARGS       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V16;
    V16 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V16;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V16;
    V16 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V16;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V16;
    V16 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V16;
   }
   if (!(V5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(V1);
L22:;
   {
    cl_object V16;
    V16 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V16;
   }
   V9 = si_search_keyword(2, V5, VV[270]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L29; }
   V10 = ECL_NIL;
   goto L28;
L29:;
   V10 = V9;
L28:;
   V11 = si_search_keyword(2, V5, VV[296]);
   if (!((V11)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L33; }
   V12 = ECL_NIL;
   goto L32;
L33:;
   V12 = V11;
L32:;
   V13 = si_search_keyword(2, V5, VV[278]);
   if (!((V13)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L37; }
   V14 = ECL_NIL;
   goto L36;
L37:;
   V14 = V13;
L36:;
   if (!(V3==ECL_NIL)) { goto L40; }
   si_dm_too_few_arguments(V1);
L40:;
   {
    cl_object V16;
    V16 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V15 = V16;
   }
   si_check_keyword(2, V5, VV[297]);
   {
    cl_object V16;                                /*  INNER-REPLY-BODY */
    cl_object V17;                                /*  REPLY-BODY      */
    if (Null(V10)) { goto L49; }
    T0 = cl_list(2, VV[270], V10);
    goto L47;
L49:;
    T0 = ECL_NIL;
    goto L47;
L47:;
    T1 = cl_listX(4, VV[299], VV[300], VV[285], T0);
    V16 = cl_listX(4, VV[298], T1, ECL_NIL, V3);
    if (!(ECL_SYMBOLP(V8))) { goto L54; }
    if (Null(cl_constantp(1, V8))) { goto L52; }
    goto L53;
L54:;
L53:;
    V17 = V16;
    goto L51;
L52:;
    T0 = cl_list(2, V8, VV[301]);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), VV[8], V8);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    V17 = cl_list(4, ECL_SYM("LET",477), T1, T3, V16);
L51:;
    if (!(V14==ECL_NIL)) { goto L56; }
    if (Null(cl_macroexpand(2, VV[281], V2))) { goto L56; }
    T0 = cl_list(2, VV[285], V7);
    T1 = cl_listX(3, VV[277], T0, V15);
    T2 = cl_list(4, VV[282], VV[283], VV[284], T1);
    T3 = cl_list(5, VV[302], VV[303], VV[304], VV[305], V17);
    T4 = cl_list(2, T2, T3);
    T5 = cl_listX(4, VV[307], V6, V12, VV[308]);
    value0 = cl_list(4, ECL_SYM("FLET",373), T4, VV[306], T5);
    return value0;
L56:;
    T0 = cl_list(2, VV[285], V6);
    T1 = CONS(T0,VV[309]);
    T2 = cl_list(2, VV[285], V7);
    T3 = cl_listX(3, VV[277], T2, V15);
    T4 = cl_list(2, VV[293], T3);
    T5 = cl_listX(5, VV[291], VV[283], VV[311], T4, VV[312]);
    if (Null(V12)) { goto L60; }
    T7 = cl_list(3, ECL_SYM("WHEN",905), V17, VV[314]);
    T8 = cl_list(4, ECL_SYM("LOOP",512), VV[313], T7, VV[315]);
    T6 = ecl_list1(T8);
    goto L59;
L60:;
    T6 = cl_list(2, VV[313], V17);
L59:;
    T7 = cl_listX(3, ECL_SYM("PROGN",671), T5, T6);
    T8 = cl_listX(3, ECL_SYM("UNWIND-PROTECT",888), T7, VV[316]);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, VV[310], T8);
    return value0;
   }
  }
 }
}
/*	local function COMPARE-REQUEST                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC116compare_request(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   if (Null(V5)) { goto L15; }
   si_dm_too_many_arguments(V1);
L15:;
   T0 = L112get_put_items(3, V6, V3, ECL_T);
   T1 = CONS(ECL_SYM("AND",87),T0);
   T2 = cl_list(3, ECL_SYM("MACROLET",521), VV[319], T1);
   value0 = cl_list(3, ECL_SYM("MACROLET",521), VV[318], T2);
   return value0;
  }
 }
}
/*	local function PUT-ITEMS                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC117put_items(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  INDEX           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   if (Null(V5)) { goto L15; }
   si_dm_too_many_arguments(V1);
L15:;
   T0 = L112get_put_items(3, V6, V3, ECL_T);
   value0 = CONS(ECL_SYM("PROGN",671),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function DECODE-TYPE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC118decode_type(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  TYPE            */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   {
    cl_object V6;                                 /*  ARGS            */
    V6 = ECL_NIL;
    if (!(ECL_CONSP(V4))) { goto L17; }
    V6 = ecl_cdr(V4);
    V4 = ecl_car(V4);
L17:;
    T0 = L6getify(V4);
    T1 = cl_listX(3, T0, V5, V6);
    value0 = cl_list(3, ECL_SYM("MACROLET",521), VV[322], T1);
    return value0;
   }
  }
 }
}
/*	local function ENCODE-TYPE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC119encode_type(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  TYPE            */
   cl_object V5;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   {
    cl_object V6;                                 /*  ARGS            */
    V6 = ECL_NIL;
    if (!(ECL_CONSP(V4))) { goto L17; }
    V6 = ecl_cdr(V4);
    V4 = ecl_car(V4);
L17:;
    T0 = cl_listX(5, VV[264], ecl_make_fixnum(0), V5, V4, V6);
    value0 = cl_list(3, ECL_SYM("MACROLET",521), VV[324], T0);
    return value0;
   }
  }
 }
}
/*	local function SET-DECODE-TYPE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC120set_decode_type(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  TYPE            */
   cl_object V5;                                  /*  ACCESSOR        */
   cl_object V6;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_list(3, VV[325], V4, V6);
   value0 = cl_list(3, ECL_SYM("SETF",750), V5, T0);
   return value0;
  }
 }
}
/*	local function THREADED-ATOMIC-PUSH                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC121threaded_atomic_push(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  LIST            */
   cl_object V6;                                  /*  NEXT            */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
   }
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   {
    cl_object V8;                                 /*  LET2957         */
    cl_object V9;                                 /*  LET2958         */
    V8 = cl_gensym(0);
    V9 = cl_gensym(0);
    T0 = cl_list(2, V8, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), V7, V8);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_list(2, V9, V5);
    T5 = ecl_list1(T4);
    T6 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V7);
    T7 = cl_list(3, ECL_SYM("TYPE",869), T6, V9);
    T8 = cl_list(3, ECL_SYM("DECLARE",274), T7, VV[447]);
    T9 = cl_list(2, V6, V8);
    T10 = cl_list(3, ECL_SYM("SETF",750), T9, V9);
    T11 = cl_list(4, VV[448], V5, V9, V8);
    T12 = cl_list(2, ECL_SYM("RETURN",724), V8);
    T13 = cl_list(3, ECL_SYM("WHEN",905), T11, T12);
    T14 = cl_list(5, ECL_SYM("LET",477), T5, T8, T10, T13);
    T15 = cl_list(2, ECL_SYM("LOOP",512), T14);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T15);
    return value0;
   }
  }
 }
}
/*	local function THREADED-ATOMIC-POP                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC122threaded_atomic_pop(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  LIST            */
   cl_object V5;                                  /*  NEXT            */
   cl_object V6;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   {
    cl_object V7;                                 /*  Y               */
    V7 = cl_gensym(0);
    T0 = cl_list(2, V7, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V6);
    T3 = cl_list(3, ECL_SYM("TYPE",869), T2, V7);
    T4 = cl_list(3, ECL_SYM("DECLARE",274), T3, VV[447]);
    T5 = cl_list(2, ECL_SYM("NULL",605), V7);
    T6 = cl_list(3, ECL_SYM("THE",856), V6, V7);
    T7 = cl_list(2, V5, T6);
    T8 = cl_list(4, VV[448], V4, V7, T7);
    T9 = cl_list(3, ECL_SYM("THE",856), V6, V7);
    T10 = cl_list(2, V5, T9);
    T11 = cl_list(3, ECL_SYM("SETF",750), T10, ECL_NIL);
    T12 = cl_list(2, ECL_SYM("RETURN",724), V7);
    T13 = cl_list(4, ECL_SYM("WHEN",905), T8, T11, T12);
    T14 = cl_list(4, ECL_SYM("IF",946), T5, VV[314], T13);
    T15 = cl_list(4, ECL_SYM("LET",477), T1, T4, T14);
    value0 = cl_list(2, ECL_SYM("LOOP",512), T15);
    return value0;
   }
  }
 }
}
/*	local function THREADED-NCONC                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC123threaded_nconc(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  LIST            */
   cl_object V6;                                  /*  NEXT            */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
   }
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   {
    cl_object V8;                                 /*  LET2959         */
    cl_object V9;                                 /*  LET2960         */
    cl_object V10;                                /*  LET2961         */
    cl_object V11;                                /*  LET2962         */
    V8 = cl_gensym(0);
    V9 = cl_gensym(0);
    V10 = cl_gensym(0);
    V11 = cl_gensym(0);
    T0 = cl_list(2, V11, V4);
    T1 = cl_list(2, V8, V5);
    T2 = cl_list(2, T0, T1);
    T3 = cl_list(3, ECL_SYM("TYPE",869), V7, V11);
    T4 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V7);
    T5 = cl_list(3, ECL_SYM("TYPE",869), T4, V8);
    T6 = cl_list(4, ECL_SYM("DECLARE",274), T3, T5, VV[447]);
    T7 = cl_list(2, ECL_SYM("NULL",605), V8);
    T8 = cl_list(3, ECL_SYM("SETF",750), V5, V11);
    T9 = cl_list(3, V9, V8, V10);
    T10 = cl_list(2, V6, V9);
    T11 = cl_list(2, V6, V9);
    T12 = cl_list(3, V10, T10, T11);
    T13 = cl_list(2, T9, T12);
    T14 = cl_list(2, ECL_SYM("NULL",605), V10);
    T15 = cl_list(2, V6, V9);
    T16 = cl_list(3, ECL_SYM("SETF",750), T15, V11);
    T17 = cl_list(3, T14, T16, V8);
    T18 = cl_list(3, ECL_SYM("TYPE",869), V7, V9);
    T19 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V7);
    T20 = cl_list(3, ECL_SYM("TYPE",869), T19, V10);
    T21 = cl_list(3, ECL_SYM("DECLARE",274), T18, T20);
    T22 = cl_list(4, ECL_SYM("DO*",308), T13, T17, T21);
    T23 = cl_list(4, ECL_SYM("IF",946), T7, T8, T22);
    value0 = cl_list(4, ECL_SYM("LET",477), T2, T6, T23);
    return value0;
   }
  }
 }
}
/*	local function THREADED-PUSH                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC124threaded_push(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  LIST            */
   cl_object V6;                                  /*  NEXT            */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
   }
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   {
    cl_object V8;                                 /*  X               */
    V8 = cl_gensym(0);
    T0 = cl_list(2, V8, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), V7, V8);
    T3 = cl_list(3, ECL_SYM("DECLARE",274), T2, VV[447]);
    T4 = cl_list(2, V6, V8);
    T5 = cl_list(4, ECL_SYM("SHIFTF",755), T4, V5, V8);
    value0 = cl_list(5, ECL_SYM("LET",477), T1, T3, T5, V8);
    return value0;
   }
  }
 }
}
/*	local function THREADED-POP                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC125threaded_pop(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  LIST            */
   cl_object V5;                                  /*  NEXT            */
   cl_object V6;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   {
    cl_object V7;                                 /*  X               */
    V7 = cl_gensym(0);
    T0 = cl_list(2, V7, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V6);
    T3 = cl_list(3, ECL_SYM("TYPE",869), T2, V7);
    T4 = cl_list(3, ECL_SYM("DECLARE",274), T3, VV[447]);
    T5 = cl_list(3, ECL_SYM("THE",856), V6, V7);
    T6 = cl_list(2, V5, T5);
    T7 = cl_list(4, ECL_SYM("SHIFTF",755), V4, T6, ECL_NIL);
    T8 = cl_list(3, ECL_SYM("WHEN",905), V7, T7);
    value0 = cl_list(5, ECL_SYM("LET",477), T1, T4, T8, V7);
    return value0;
   }
  }
 }
}
/*	local function THREADED-ENQUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC126threaded_enqueue(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  HEAD            */
   cl_object V6;                                  /*  TAIL            */
   cl_object V7;                                  /*  NEXT            */
   cl_object V8;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V9;
   }
   if (Null(V3)) { goto L32; }
   si_dm_too_many_arguments(V1);
L32:;
   {
    cl_object V9;                                 /*  X               */
    V9 = cl_gensym(0);
    T0 = cl_list(2, V9, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), V8, V9);
    T3 = cl_list(3, ECL_SYM("DECLARE",274), T2, VV[447]);
    T4 = cl_list(2, ECL_SYM("NULL",605), V6);
    T5 = cl_list(5, VV[451], V9, V5, V7, V8);
    T6 = cl_list(3, ECL_SYM("THE",856), V8, V6);
    T7 = cl_list(2, V7, T6);
    T8 = cl_list(5, VV[451], V9, T7, V7, V8);
    T9 = cl_list(4, ECL_SYM("IF",946), T4, T5, T8);
    T10 = cl_list(3, ECL_SYM("SETF",750), V6, V9);
    value0 = cl_list(5, ECL_SYM("LET",477), T1, T3, T9, T10);
    return value0;
   }
  }
 }
}
/*	local function THREADED-DEQUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC127threaded_dequeue(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  HEAD            */
   cl_object V5;                                  /*  TAIL            */
   cl_object V6;                                  /*  NEXT            */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
   }
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   {
    cl_object V8;                                 /*  X               */
    V8 = cl_gensym(0);
    T0 = cl_list(2, V8, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V7);
    T3 = cl_list(3, ECL_SYM("TYPE",869), T2, V8);
    T4 = cl_list(3, ECL_SYM("DECLARE",274), T3, VV[447]);
    T5 = cl_list(3, ECL_SYM("EQ",333), V8, V5);
    T6 = cl_list(3, ECL_SYM("THE",856), V7, V8);
    T7 = cl_list(2, V6, T6);
    T8 = cl_list(3, ECL_SYM("SETF",750), V5, T7);
    T9 = cl_list(3, ECL_SYM("WHEN",905), T5, T8);
    T10 = cl_list(3, ECL_SYM("THE",856), V7, V8);
    T11 = cl_list(2, V6, T10);
    T12 = cl_list(3, ECL_SYM("SETF",750), V4, T11);
    T13 = cl_list(4, ECL_SYM("WHEN",905), V8, T9, T12);
    value0 = cl_list(5, ECL_SYM("LET",477), T1, T4, T13, V8);
    return value0;
   }
  }
 }
}
/*	local function THREADED-REQUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC128threaded_requeue(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  HEAD            */
   cl_object V6;                                  /*  TAIL            */
   cl_object V7;                                  /*  NEXT            */
   cl_object V8;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V9;
   }
   if (Null(V3)) { goto L32; }
   si_dm_too_many_arguments(V1);
L32:;
   {
    cl_object V9;                                 /*  X               */
    V9 = cl_gensym(0);
    T0 = cl_list(2, V9, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), V8, V9);
    T3 = cl_list(3, ECL_SYM("DECLARE",274), T2, VV[447]);
    T4 = cl_list(2, ECL_SYM("NULL",605), V6);
    T5 = cl_list(3, ECL_SYM("SETF",750), V5, V9);
    T6 = cl_list(3, ECL_SYM("SETF",750), V6, T5);
    T7 = cl_list(2, V7, V9);
    T8 = cl_list(4, ECL_SYM("SHIFTF",755), T7, V5, V9);
    T9 = cl_list(4, ECL_SYM("IF",946), T4, T6, T8);
    value0 = cl_list(5, ECL_SYM("LET",477), T1, T3, T9, V9);
    return value0;
   }
  }
 }
}
/*	local function THREADED-DOLIST                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC129threaded_dolist(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  VARIABLE        */
   cl_object V7;                                  /*  LIST            */
   cl_object V8;                                  /*  NEXT            */
   cl_object V9;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V10;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V10;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V10;
   }
   if (!(V5==ECL_NIL)) { goto L22; }
   si_dm_too_few_arguments(V1);
L22:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V10;
   }
   if (!(V5==ECL_NIL)) { goto L28; }
   si_dm_too_few_arguments(V1);
L28:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V9 = V10;
   }
   if (Null(V5)) { goto L33; }
   si_dm_too_many_arguments(V1);
L33:;
   T0 = cl_list(3, ECL_SYM("THE",856), V9, V6);
   T1 = cl_list(2, V8, T0);
   T2 = cl_list(3, V6, V7, T1);
   T3 = ecl_list1(T2);
   T4 = cl_list(2, ECL_SYM("NULL",605), V6);
   T5 = ecl_list1(T4);
   T6 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V9);
   T7 = cl_list(3, ECL_SYM("TYPE",869), T6, V6);
   T8 = cl_list(2, ECL_SYM("DECLARE",274), T7);
   T9 = cl_listX(5, ECL_SYM("DO*",308), T3, T5, T8, V3);
   value0 = cl_list(3, ECL_SYM("BLOCK",137), ECL_NIL, T9);
   return value0;
  }
 }
}
/*	local function THREADED-DELETE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC130threaded_delete(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ITEM            */
   cl_object V5;                                  /*  LIST            */
   cl_object V6;                                  /*  NEXT            */
   cl_object V7;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V8;
   }
   if (Null(V3)) { goto L26; }
   si_dm_too_many_arguments(V1);
L26:;
   {
    cl_object V8;                                 /*  LET2963         */
    cl_object V9;                                 /*  LET2964         */
    cl_object V10;                                /*  LET2965         */
    cl_object V11;                                /*  LET2966         */
    V8 = cl_gensym(0);
    V9 = cl_gensym(0);
    V10 = cl_gensym(0);
    V11 = cl_gensym(0);
    T0 = cl_list(2, V8, V4);
    T1 = cl_list(2, V11, V5);
    T2 = cl_list(2, T0, T1);
    T3 = cl_list(3, ECL_SYM("TYPE",869), V7, V8);
    T4 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V7);
    T5 = cl_list(3, ECL_SYM("TYPE",869), T4, V11);
    T6 = cl_list(4, ECL_SYM("DECLARE",274), T3, T5, VV[447]);
    T7 = cl_list(3, ECL_SYM("EQ",333), V11, V8);
    T8 = cl_list(2, V6, V8);
    T9 = cl_list(3, ECL_SYM("SETF",750), V5, T8);
    T10 = cl_list(3, ECL_SYM("SETF",750), V11, T9);
    T11 = cl_list(3, V9, V11, V10);
    T12 = cl_list(2, V6, V9);
    T13 = cl_list(2, V6, V9);
    T14 = cl_list(3, V10, T12, T13);
    T15 = cl_list(2, T11, T14);
    T16 = cl_list(2, ECL_SYM("NULL",605), V10);
    T17 = cl_list(3, ECL_SYM("EQ",333), V10, V8);
    T18 = cl_list(3, ECL_SYM("OR",614), T16, T17);
    T19 = cl_list(3, ECL_SYM("EQ",333), V10, V8);
    T20 = cl_list(2, V6, V9);
    T21 = cl_list(2, V6, V8);
    T22 = cl_list(3, ECL_SYM("SETF",750), T20, T21);
    T23 = cl_list(3, ECL_SYM("WHEN",905), T19, T22);
    T24 = cl_list(2, T18, T23);
    T25 = cl_list(3, ECL_SYM("TYPE",869), V7, V9);
    T26 = cl_list(2, ECL_SYM("DECLARE",274), T25);
    T27 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V7);
    T28 = cl_list(3, ECL_SYM("TYPE",869), T27, V10);
    T29 = cl_list(2, ECL_SYM("DECLARE",274), T28);
    T30 = cl_list(5, ECL_SYM("DO*",308), T15, T24, T26, T29);
    T31 = cl_list(4, ECL_SYM("IF",946), T7, T10, T30);
    T32 = cl_list(3, ECL_SYM("WHEN",905), V11, T31);
    T33 = cl_list(2, V6, V8);
    T34 = cl_list(3, ECL_SYM("SETF",750), T33, ECL_NIL);
    value0 = cl_list(6, ECL_SYM("LET",477), T2, T6, T32, T34, V11);
    return value0;
   }
  }
 }
}
/*	local function THREADED-LENGTH                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC131threaded_length(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  LIST            */
   cl_object V5;                                  /*  NEXT            */
   cl_object V6;                                  /*  TYPE            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   {
    cl_object V7;                                 /*  LET2967         */
    cl_object V8;                                 /*  LET2968         */
    V7 = cl_gensym(0);
    V8 = cl_gensym(0);
    T0 = cl_list(3, ECL_SYM("THE",856), V6, V7);
    T1 = cl_list(2, V5, T0);
    T2 = cl_list(3, V7, V4, T1);
    T3 = cl_list(2, VV[459], V8);
    T4 = cl_list(3, V8, ecl_make_fixnum(0), T3);
    T5 = cl_list(2, T2, T4);
    T6 = cl_list(2, ECL_SYM("NULL",605), V7);
    T7 = cl_list(2, T6, V8);
    T8 = cl_list(3, ECL_SYM("OR",614), ECL_SYM("NULL",605), V6);
    T9 = cl_list(3, ECL_SYM("TYPE",869), T8, V7);
    T10 = cl_list(3, ECL_SYM("TYPE",869), VV[8], V8);
    T11 = cl_list(4, ECL_SYM("DECLARE",274), T9, T10, VV[447]);
    value0 = cl_list(4, ECL_SYM("DO",307), T5, T7, T11);
    return value0;
   }
  }
 }
}

#include "clx/macros.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclRFM7HYZ7_OXxgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;MACROS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclRFM7HYZ7_OXxgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defmacro(VV[461]);                       /*  TYPE-CHECK      */
 si_Xmake_special(VV[3]);
 ecl_cmp_defmacro(VV[462]);                       /*  REQUIRED-ARG    */
 ecl_cmp_defmacro(VV[463]);                       /*  LROUND          */
 ecl_cmp_defmacro(VV[464]);                       /*  WROUND          */
 ecl_cmp_defun(VV[465]);                          /*  INDEX-INCREMENT */
 ecl_cmp_defun(VV[467]);                          /*  GETIFY          */
 ecl_cmp_defun(VV[468]);                          /*  PUTIFY          */
 ecl_cmp_defmacro(VV[469]);                       /*  DEFINE-ACCESSOR */
 si_putprop(VV[26], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[470]);                       /*  CARD32-GET      */
 ecl_cmp_defmacro(VV[471]);                       /*  CARD32-PUT      */
 si_putprop(VV[31], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[472]);                       /*  CARD29-GET      */
 ecl_cmp_defmacro(VV[473]);                       /*  CARD29-PUT      */
 si_putprop(VV[36], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[474]);                       /*  CARD16-GET      */
 ecl_cmp_defmacro(VV[475]);                       /*  CARD16-PUT      */
 si_putprop(VV[41], ecl_make_fixnum(1), VV[12]);
 ecl_cmp_defmacro(VV[476]);                       /*  CARD8-GET       */
 ecl_cmp_defmacro(VV[477]);                       /*  CARD8-PUT       */
 si_putprop(ECL_SYM("INTEGER",437), ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[478]);                       /*  INTEGER-GET     */
 ecl_cmp_defmacro(VV[479]);                       /*  INTEGER-PUT     */
 si_putprop(VV[50], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[480]);                       /*  INT16-GET       */
 ecl_cmp_defmacro(VV[481]);                       /*  INT16-PUT       */
 si_putprop(VV[55], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[482]);                       /*  RGB-VAL-GET     */
 ecl_cmp_defmacro(VV[483]);                       /*  RGB-VAL-PUT     */
 si_putprop(VV[60], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[484]);                       /*  ANGLE-GET       */
 ecl_cmp_defmacro(VV[485]);                       /*  ANGLE-PUT       */
 si_putprop(ECL_SYM("BIT",123), ecl_make_fixnum(0), VV[12]);
 ecl_cmp_defmacro(VV[486]);                       /*  BIT-GET         */
 ecl_cmp_defmacro(VV[487]);                       /*  BIT-PUT         */
 si_putprop(ECL_SYM("BOOLEAN",155), ecl_make_fixnum(1), VV[12]);
 ecl_cmp_defmacro(VV[488]);                       /*  BOOLEAN-GET     */
 ecl_cmp_defmacro(VV[489]);                       /*  BOOLEAN-PUT     */
 si_putprop(VV[70], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[490]);                       /*  DRAWABLE-GET    */
 ecl_cmp_defmacro(VV[491]);                       /*  DRAWABLE-PUT    */
 si_putprop(VV[76], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[492]);                       /*  WINDOW-GET      */
 ecl_cmp_defmacro(VV[493]);                       /*  WINDOW-PUT      */
 si_putprop(VV[81], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[494]);                       /*  PIXMAP-GET      */
 ecl_cmp_defmacro(VV[495]);                       /*  PIXMAP-PUT      */
 si_putprop(VV[86], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[496]);                       /*  GCONTEXT-GET    */
 ecl_cmp_defmacro(VV[497]);                       /*  GCONTEXT-PUT    */
 si_putprop(VV[91], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[498]);                       /*  CURSOR-GET      */
 ecl_cmp_defmacro(VV[499]);                       /*  CURSOR-PUT      */
 si_putprop(VV[96], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[500]);                       /*  COLORMAP-GET    */
 ecl_cmp_defmacro(VV[501]);                       /*  COLORMAP-PUT    */
 si_putprop(VV[101], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[502]);                       /*  FONT-GET        */
 ecl_cmp_defmacro(VV[503]);                       /*  FONT-PUT        */
 si_putprop(ECL_SYM("KEYWORD",449), ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[504]);                       /*  KEYWORD-GET     */
 ecl_cmp_defmacro(VV[505]);                       /*  KEYWORD-PUT     */
 si_putprop(VV[112], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[506]);                       /*  RESOURCE-ID-GET */
 ecl_cmp_defmacro(VV[507]);                       /*  RESOURCE-ID-PUT */
 si_putprop(VV[115], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[508]);                       /*  RESOURCE-ID-OR-NIL-GET */
 ecl_cmp_defmacro(VV[509]);                       /*  RESOURCE-ID-OR-NIL-PUT */
 ecl_cmp_defmacro(VV[510]);                       /*  CHAR-INFO-GET   */
 si_putprop(VV[126], ecl_make_fixnum(1), VV[12]);
 ecl_cmp_defmacro(VV[511]);                       /*  MEMBER8-GET     */
 ecl_cmp_defmacro(VV[512]);                       /*  MEMBER8-PUT     */
 si_putprop(VV[126], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[513]);                       /*  MEMBER8-PUT-PREDICATING */
 si_putprop(VV[132], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[514]);                       /*  MEMBER16-GET    */
 ecl_cmp_defmacro(VV[515]);                       /*  MEMBER16-PUT    */
 si_putprop(VV[132], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[516]);                       /*  MEMBER16-PUT-PREDICATING */
 si_putprop(ECL_SYM("MEMBER",552), ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[517]);                       /*  MEMBER-GET      */
 ecl_cmp_defmacro(VV[518]);                       /*  MEMBER-PUT      */
 si_putprop(ECL_SYM("MEMBER",552), ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[519]);                       /*  MEMBER-PUT-PREDICATING */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC59member_vector,ECL_NIL,Cblock,1);
  T0 = V1;
 }
 si_do_deftype(3, VV[139], VVtemp[0], T0);
 }
 si_putprop(VV[139], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[520]);                       /*  MEMBER-VECTOR-GET */
 ecl_cmp_defmacro(VV[521]);                       /*  MEMBER-VECTOR-PUT */
 si_putprop(VV[139], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[522]);                       /*  MEMBER-VECTOR-PUT-PREDICATING */
 si_putprop(VV[143], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[523]);                       /*  MEMBER16-VECTOR-GET */
 ecl_cmp_defmacro(VV[524]);                       /*  MEMBER16-VECTOR-PUT */
 si_putprop(VV[143], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[525]);                       /*  MEMBER16-VECTOR-PUT-PREDICATING */
 si_putprop(VV[147], ecl_make_fixnum(1), VV[12]);
 ecl_cmp_defmacro(VV[526]);                       /*  MEMBER8-VECTOR-GET */
 ecl_cmp_defmacro(VV[527]);                       /*  MEMBER8-VECTOR-PUT */
 si_putprop(VV[147], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[528]);                       /*  MEMBER8-VECTOR-PUT-PREDICATING */
 si_putprop(VV[151], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[529]);                       /*  BOOLE-CONSTANT-GET */
 ecl_cmp_defmacro(VV[530]);                       /*  BOOLE-CONSTANT-PUT */
 si_putprop(VV[151], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[531]);                       /*  BOOLE-CONSTANT-PUT-PREDICATING */
 si_putprop(ECL_SYM("NULL",605), ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[532]);                       /*  NULL-GET        */
 ecl_cmp_defmacro(VV[533]);                       /*  NULL-PUT        */
 si_putprop(VV[159], ecl_make_fixnum(1), VV[12]);
 ecl_cmp_defmacro(VV[534]);                       /*  PAD8-GET        */
 ecl_cmp_defmacro(VV[535]);                       /*  PAD8-PUT        */
 si_putprop(VV[162], ecl_make_fixnum(2), VV[12]);
 ecl_cmp_defmacro(VV[536]);                       /*  PAD16-GET       */
 ecl_cmp_defmacro(VV[537]);                       /*  PAD16-PUT       */
 si_putprop(VV[165], ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[538]);                       /*  PAD32-GET       */
 ecl_cmp_defmacro(VV[539]);                       /*  PAD32-PUT       */
 si_putprop(VV[168], ecl_make_fixnum(32), VV[12]);
 ecl_cmp_defmacro(VV[540]);                       /*  BIT-VECTOR256-GET */
 ecl_cmp_defmacro(VV[541]);                       /*  BIT-VECTOR256-PUT */
 si_putprop(ECL_SYM("STRING",805), ECL_NIL, VV[12]);
 ecl_cmp_defmacro(VV[542]);                       /*  STRING-GET      */
 ecl_cmp_defmacro(VV[543]);                       /*  STRING-PUT      */
 si_putprop(ECL_SYM("SEQUENCE",741), ECL_NIL, VV[12]);
 ecl_cmp_defmacro(VV[544]);                       /*  SEQUENCE-GET    */
 ecl_cmp_defmacro(VV[545]);                       /*  SEQUENCE-PUT    */
 ecl_cmp_defmacro(VV[546]);                       /*  CLIENT-MESSAGE-EVENT-GET-SEQUENCE */
 ecl_cmp_defmacro(VV[547]);                       /*  CLIENT-MESSAGE-EVENT-PUT-SEQUENCE */
 si_putprop(VV[220], ecl_make_fixnum(20), VV[12]);
 ecl_cmp_defmacro(VV[548]);                       /*  CLIENT-MESSAGE-SEQUENCE-GET */
 ecl_cmp_defmacro(VV[549]);                       /*  CLIENT-MESSAGE-SEQUENCE-PUT */
 si_putprop(VV[224], ecl_make_fixnum(0), VV[12]);
 ecl_cmp_defmacro(VV[550]);                       /*  CODE-GET        */
 ecl_cmp_defmacro(VV[551]);                       /*  CODE-PUT        */
 si_putprop(VV[224], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[552]);                       /*  CODE-PUT-PREDICATING */
 si_putprop(ECL_SYM("LENGTH",476), ecl_make_fixnum(0), VV[12]);
 ecl_cmp_defmacro(VV[553]);                       /*  LENGTH-GET      */
 ecl_cmp_defmacro(VV[554]);                       /*  LENGTH-PUT      */
 si_putprop(ECL_SYM("LENGTH",476), ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[555]);                       /*  LENGTH-PUT-PREDICATING */
 si_do_deftype(3, VV[233], VVtemp[1], VV[41]);
 si_putprop(VV[233], ecl_make_fixnum(0), VV[12]);
 ecl_cmp_defmacro(VV[556]);                       /*  DATA-GET        */
 ecl_cmp_defmacro(VV[557]);                       /*  DATA-PUT        */
 si_putprop(VV[233], ECL_T, VV[130]);
 ecl_cmp_defmacro(VV[558]);                       /*  DATA-PUT-PREDICATING */
 ecl_cmp_defmacro(VV[559]);                       /*  OR-EXPAND       */
 si_putprop(ECL_SYM("OR",614), ecl_make_fixnum(4), VV[12]);
 ecl_cmp_defmacro(VV[561]);                       /*  OR-GET          */
 ecl_cmp_defmacro(VV[562]);                       /*  OR-PUT          */
 si_putprop(VV[246], ECL_NIL, VV[12]);
 ecl_cmp_defun(VV[563]);                          /*  MASK-GET        */
 ecl_cmp_defun(VV[564]);                          /*  MASK-PUT        */
 si_putprop(ECL_SYM("PROGN",671), ECL_NIL, VV[12]);
 ecl_cmp_defmacro(VV[565]);                       /*  PROGN-GET       */
 ecl_cmp_defmacro(VV[566]);                       /*  PROGN-PUT       */
 ecl_cmp_defmacro(VV[567]);                       /*  CHECK-PUT       */
 ecl_cmp_defun(VV[568]);                          /*  GET-PUT-ITEMS   */
 ecl_cmp_defmacro(VV[569]);                       /*  WITH-BUFFER-REQUEST-INTERNAL */
 ecl_cmp_defmacro(VV[570]);                       /*  WITH-BUFFER-REQUEST */
 ecl_cmp_defmacro(VV[571]);                       /*  WITH-BUFFER-REQUEST-AND-REPLY */
 ecl_cmp_defmacro(VV[572]);                       /*  COMPARE-REQUEST */
 ecl_cmp_defmacro(VV[573]);                       /*  PUT-ITEMS       */
 ecl_cmp_defmacro(VV[574]);                       /*  DECODE-TYPE     */
 ecl_cmp_defmacro(VV[575]);                       /*  ENCODE-TYPE     */
 ecl_cmp_defmacro(VV[576]);                       /*  SET-DECODE-TYPE */
 si_do_defsetf(VV[323], VV[326]);
 si_Xmake_constant(VV[327], ecl_make_fixnum(1));
 si_Xmake_constant(VV[328], ecl_make_fixnum(2));
 si_Xmake_constant(VV[329], ecl_make_fixnum(3));
 si_Xmake_constant(VV[330], ecl_make_fixnum(4));
 si_Xmake_constant(VV[331], ecl_make_fixnum(5));
 si_Xmake_constant(VV[332], ecl_make_fixnum(6));
 si_Xmake_constant(VV[333], ecl_make_fixnum(7));
 si_Xmake_constant(VV[334], ecl_make_fixnum(8));
 si_Xmake_constant(VV[335], ecl_make_fixnum(9));
 si_Xmake_constant(VV[336], ecl_make_fixnum(10));
 si_Xmake_constant(VV[337], ecl_make_fixnum(11));
 si_Xmake_constant(VV[338], ecl_make_fixnum(12));
 si_Xmake_constant(VV[339], ecl_make_fixnum(13));
 si_Xmake_constant(VV[340], ecl_make_fixnum(14));
 si_Xmake_constant(VV[341], ecl_make_fixnum(15));
 si_Xmake_constant(VV[342], ecl_make_fixnum(16));
 si_Xmake_constant(VV[343], ecl_make_fixnum(17));
 si_Xmake_constant(VV[344], ecl_make_fixnum(18));
 si_Xmake_constant(VV[345], ecl_make_fixnum(19));
 si_Xmake_constant(VV[346], ecl_make_fixnum(20));
 si_Xmake_constant(VV[347], ecl_make_fixnum(21));
 si_Xmake_constant(VV[348], ecl_make_fixnum(22));
 si_Xmake_constant(VV[349], ecl_make_fixnum(23));
 si_Xmake_constant(VV[350], ecl_make_fixnum(24));
 si_Xmake_constant(VV[351], ecl_make_fixnum(25));
 si_Xmake_constant(VV[352], ecl_make_fixnum(26));
 si_Xmake_constant(VV[353], ecl_make_fixnum(27));
 si_Xmake_constant(VV[354], ecl_make_fixnum(28));
 si_Xmake_constant(VV[355], ecl_make_fixnum(29));
 si_Xmake_constant(VV[356], ecl_make_fixnum(30));
 si_Xmake_constant(VV[357], ecl_make_fixnum(31));
 si_Xmake_constant(VV[358], ecl_make_fixnum(32));
 si_Xmake_constant(VV[359], ecl_make_fixnum(33));
 si_Xmake_constant(VV[360], ecl_make_fixnum(34));
 si_Xmake_constant(VV[361], ecl_make_fixnum(35));
 si_Xmake_constant(VV[362], ecl_make_fixnum(36));
 si_Xmake_constant(VV[363], ecl_make_fixnum(37));
 si_Xmake_constant(VV[364], ecl_make_fixnum(38));
 si_Xmake_constant(VV[365], ecl_make_fixnum(39));
 si_Xmake_constant(VV[366], ecl_make_fixnum(40));
 si_Xmake_constant(VV[367], ecl_make_fixnum(41));
 si_Xmake_constant(VV[368], ecl_make_fixnum(42));
 si_Xmake_constant(VV[369], ecl_make_fixnum(43));
 si_Xmake_constant(VV[370], ecl_make_fixnum(44));
 si_Xmake_constant(VV[371], ecl_make_fixnum(45));
 si_Xmake_constant(VV[372], ecl_make_fixnum(46));
 si_Xmake_constant(VV[373], ecl_make_fixnum(47));
 si_Xmake_constant(VV[374], ecl_make_fixnum(48));
 si_Xmake_constant(VV[375], ecl_make_fixnum(49));
 si_Xmake_constant(VV[376], ecl_make_fixnum(50));
 si_Xmake_constant(VV[377], ecl_make_fixnum(51));
 si_Xmake_constant(VV[378], ecl_make_fixnum(52));
 si_Xmake_constant(VV[379], ecl_make_fixnum(53));
 si_Xmake_constant(VV[380], ecl_make_fixnum(54));
 si_Xmake_constant(VV[381], ecl_make_fixnum(55));
 si_Xmake_constant(VV[382], ecl_make_fixnum(56));
 si_Xmake_constant(VV[383], ecl_make_fixnum(57));
 si_Xmake_constant(VV[384], ecl_make_fixnum(58));
 si_Xmake_constant(VV[385], ecl_make_fixnum(59));
 si_Xmake_constant(VV[386], ecl_make_fixnum(60));
 si_Xmake_constant(VV[387], ecl_make_fixnum(61));
 si_Xmake_constant(VV[388], ecl_make_fixnum(62));
 si_Xmake_constant(VV[389], ecl_make_fixnum(63));
 si_Xmake_constant(VV[390], ecl_make_fixnum(64));
 si_Xmake_constant(VV[391], ecl_make_fixnum(65));
 si_Xmake_constant(VV[392], ecl_make_fixnum(66));
 si_Xmake_constant(VV[393], ecl_make_fixnum(67));
 si_Xmake_constant(VV[394], ecl_make_fixnum(68));
 si_Xmake_constant(VV[395], ecl_make_fixnum(69));
 si_Xmake_constant(VV[396], ecl_make_fixnum(70));
 si_Xmake_constant(VV[397], ecl_make_fixnum(71));
 si_Xmake_constant(VV[398], ecl_make_fixnum(72));
 si_Xmake_constant(VV[399], ecl_make_fixnum(73));
 si_Xmake_constant(VV[400], ecl_make_fixnum(74));
 si_Xmake_constant(VV[401], ecl_make_fixnum(75));
 si_Xmake_constant(VV[402], ecl_make_fixnum(76));
 si_Xmake_constant(VV[403], ecl_make_fixnum(77));
 si_Xmake_constant(VV[404], ecl_make_fixnum(78));
 si_Xmake_constant(VV[405], ecl_make_fixnum(79));
 si_Xmake_constant(VV[406], ecl_make_fixnum(80));
 si_Xmake_constant(VV[407], ecl_make_fixnum(81));
 si_Xmake_constant(VV[408], ecl_make_fixnum(82));
 si_Xmake_constant(VV[409], ecl_make_fixnum(83));
 si_Xmake_constant(VV[410], ecl_make_fixnum(84));
 si_Xmake_constant(VV[411], ecl_make_fixnum(85));
 si_Xmake_constant(VV[412], ecl_make_fixnum(86));
 si_Xmake_constant(VV[413], ecl_make_fixnum(87));
 si_Xmake_constant(VV[414], ecl_make_fixnum(88));
 si_Xmake_constant(VV[415], ecl_make_fixnum(89));
 si_Xmake_constant(VV[416], ecl_make_fixnum(90));
 si_Xmake_constant(VV[417], ecl_make_fixnum(91));
 si_Xmake_constant(VV[418], ecl_make_fixnum(92));
 si_Xmake_constant(VV[419], ecl_make_fixnum(93));
 si_Xmake_constant(VV[420], ecl_make_fixnum(94));
 si_Xmake_constant(VV[421], ecl_make_fixnum(95));
 si_Xmake_constant(VV[422], ecl_make_fixnum(96));
 si_Xmake_constant(VV[423], ecl_make_fixnum(97));
 si_Xmake_constant(VV[424], ecl_make_fixnum(98));
 si_Xmake_constant(VV[425], ecl_make_fixnum(99));
 si_Xmake_constant(VV[426], ecl_make_fixnum(100));
 si_Xmake_constant(VV[427], ecl_make_fixnum(101));
 si_Xmake_constant(VV[428], ecl_make_fixnum(102));
 si_Xmake_constant(VV[429], ecl_make_fixnum(103));
 si_Xmake_constant(VV[430], ecl_make_fixnum(104));
 si_Xmake_constant(VV[431], ecl_make_fixnum(105));
 si_Xmake_constant(VV[432], ecl_make_fixnum(106));
 si_Xmake_constant(VV[433], ecl_make_fixnum(107));
 si_Xmake_constant(VV[434], ecl_make_fixnum(108));
 si_Xmake_constant(VV[435], ecl_make_fixnum(109));
 si_Xmake_constant(VV[436], ecl_make_fixnum(110));
 si_Xmake_constant(VV[437], ecl_make_fixnum(111));
 si_Xmake_constant(VV[438], ecl_make_fixnum(112));
 si_Xmake_constant(VV[439], ecl_make_fixnum(113));
 si_Xmake_constant(VV[440], ecl_make_fixnum(114));
 si_Xmake_constant(VV[441], ecl_make_fixnum(115));
 si_Xmake_constant(VV[442], ecl_make_fixnum(116));
 si_Xmake_constant(VV[443], ecl_make_fixnum(117));
 si_Xmake_constant(VV[444], ecl_make_fixnum(118));
 si_Xmake_constant(VV[445], ecl_make_fixnum(119));
 si_Xmake_constant(VV[446], ecl_make_fixnum(127));
 ecl_cmp_defmacro(VV[577]);                       /*  THREADED-ATOMIC-PUSH */
 ecl_cmp_defmacro(VV[578]);                       /*  THREADED-ATOMIC-POP */
 ecl_cmp_defmacro(VV[579]);                       /*  THREADED-NCONC  */
 ecl_cmp_defmacro(VV[580]);                       /*  THREADED-PUSH   */
 ecl_cmp_defmacro(VV[581]);                       /*  THREADED-POP    */
 ecl_cmp_defmacro(VV[582]);                       /*  THREADED-ENQUEUE */
 ecl_cmp_defmacro(VV[583]);                       /*  THREADED-DEQUEUE */
 ecl_cmp_defmacro(VV[584]);                       /*  THREADED-REQUEUE */
 ecl_cmp_defmacro(VV[585]);                       /*  THREADED-DOLIST */
 ecl_cmp_defmacro(VV[586]);                       /*  THREADED-DELETE */
 ecl_cmp_defmacro(VV[587]);                       /*  THREADED-LENGTH */
}
