/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:DEFSYSTEM;DEFSYSTEM.LISP                          */
#include <ecl/ecl-cmp.h>
#include "ext/defsystem.eclh"
/*	function definition for HOME-SUBDIRECTORY                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1home_subdirectory(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  HOMEDIR         */
   V2 = cl_user_homedir_pathname(0);
   if (Null(V2)) { goto L7; }
   value0 = cl_namestring(V2);
   goto L5;
L7:;
   value0 = ECL_NIL;
   goto L5;
L5:;
   if ((value0)!=ECL_NIL) { goto L4; }
   T0 = _ecl_static_2;
   goto L1;
L4:;
   T0 = value0;
   goto L1;
  }
L1:;
  value0 = cl_concatenate(3, ECL_SYM("STRING",805), T0, V1);
  return value0;
 }
}
/*	function definition for ADD-REGISTRY-LOCATION                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2add_registry_location(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_value(VV[9]);
  T1 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
  cl_set(VV[9],cl_adjoin(4, V1, T0, ECL_SYM("TEST",1316), T1));
  value0 = ecl_symbol_value(VV[9]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTRY-PATHNAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3registry_pathname(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(V1))) { goto L1; }
  value0 = cl_pathname(V1);
  return value0;
L1:;
  if (Null(cl_pathnamep(V1))) { goto L3; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  T0 = cl_eval(V1);
  value0 = cl_pathname(T0);
  return value0;
 }
}
/*	function definition for PRINT-CENTRAL-REGISTRY-DIRECTORIES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4print_central_registry_directories(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;
   V2 = ecl_symbol_value(VV[9]);
   goto L5;
L4:;
   {
    cl_object V3;                                 /*  REGISTRY        */
    V3 = ecl_car(V2);
    T0 = L3registry_pathname(V3);
    ecl_print(T0,V1);
   }
   V2 = ecl_cdr(V2);
L5:;
   if (Null(V2)) { goto L12; }
   goto L4;
L12:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LIST-CENTRAL-REGISTRY-DIRECTORIES     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5list_central_registry_directories()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  LET2313         */
   cl_object V2;
   cl_object V3;
   V1 = ecl_symbol_value(VV[9]);
   V2 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
   V3 = V1;
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_list1(ECL_NIL);
    V5 = V4;
L7:;
    if (!(ecl_endp(V3))) { goto L9; }
    goto L8;
L9:;
    V2 = _ecl_car(V3);
    {
     cl_object V6;
     V6 = _ecl_cdr(V3);
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     V3 = V6;
    }
    if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
    T0 = V5;
    T1 = L3registry_pathname(V2);
    V5 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=V5,T0);
    goto L7;
L8:;
    value0 = ecl_cdr(V4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for NON-EMPTY-LISTP                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6non_empty_listp(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L2; }
  value0 = ecl_make_bool(ECL_LISTP(V1));
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COMPONENT-OPERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7component_operation(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V2)) { goto L2; }
  value0 = si_hash_set(V1, ecl_symbol_value(VV[37]), V2);
  return value0;
L2:;
  value0 = cl_gethash(2, V1, ecl_symbol_value(VV[37]));
  return value0;
 }
}
/*	local function G19                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g19(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_read(4, V1, ECL_T, ECL_NIL, ECL_T);
  value0 = cl_list(2, VV[39], T0);
  return value0;
 }
}
/*	function definition for OPERATING-SYSTEM-VERSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9operating_system_version()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (cl_env_copy->function=(ECL_SYM("SOFTWARE-TYPE",784)->symbol.gfdef))->cfun.entry(0) /*  SOFTWARE-TYPE */;
  return value0;
 }
}
/*	function definition for COMPILER-VERSION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10compiler_version()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = _ecl_static_10;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for AFS-BINARY-DIRECTORY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11afs_binary_directory(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET2314         */
   cl_object V3;                                  /*  LET2315         */
   cl_object V4;                                  /*  LET2316         */
   T0 = (cl_env_copy->function=(ECL_SYM("MACHINE-TYPE",516)->symbol.gfdef))->cfun.entry(0) /*  MACHINE-TYPE */;
   V2 = L16machine_type_translation(1, T0);
   T0 = (cl_env_copy->function=(ECL_SYM("SOFTWARE-TYPE",784)->symbol.gfdef))->cfun.entry(0) /*  SOFTWARE-TYPE */;
   V3 = L17software_type_translation(1, T0);
   T0 = L10compiler_version();
   V4 = L18compiler_type_translation(1, T0);
   V1 = cl_namestring(V1);
   V1 = L14ensure_trailing_slash(V1);
   T0 = ecl_symbol_value(VV[14]);
   if (Null(ecl_symbol_value(VV[7]))) { goto L9; }
   T1 = L15afs_component(3, V2, V3, V4);
   goto L8;
L9:;
   T1 = L15afs_component(2, V2, V3);
L8:;
   value0 = cl_format(5, ECL_NIL, _ecl_static_11, V1, T0, T1);
   return value0;
  }
 }
}
/*	function definition for AFS-SOURCE-DIRECTORY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12afs_source_directory(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  V1 = cl_namestring(V1);
  V1 = L14ensure_trailing_slash(V1);
  if (Null(V2)) { goto L8; }
  T0 = L71translate_version(ecl_symbol_value(VV[36]));
  goto L6;
L8:;
  T0 = ECL_NIL;
  goto L6;
L6:;
  value0 = cl_format(4, ECL_NIL, _ecl_static_12, V1, T0);
  return value0;
 }
}
/*	function definition for NULL-STRING                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13null_string(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(V1))) { goto L1; }
  value0 = cl_string_equal(2, V1, _ecl_static_13);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for ENSURE-TRAILING-SLASH                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14ensure_trailing_slash(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  if ((L13null_string(V1))!=ECL_NIL) { goto L1; }
  {
   cl_fixnum V2;
   V2 = ecl_length(V1);
   T0 = ecl_make_integer((V2)-1);
   T1 = cl_char(V1, T0);
   if ((ecl_char_code(T1))==((ecl_character)(47))) { goto L1; }
  }
  {
   cl_fixnum V2;
   V2 = ecl_length(V1);
   T0 = ecl_make_integer((V2)-1);
   T1 = cl_char(V1, T0);
   if ((ecl_char_code(T1))==((ecl_character)(92))) { goto L1; }
  }
  value0 = cl_concatenate(3, ECL_SYM("STRING",805), V1, _ecl_static_14);
  return value0;
L1:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for AFS-COMPONENT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15afs_component(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = V2;
  if ((value0)!=ECL_NIL) { goto L4; }
  T0 = _ecl_static_16;
  goto L2;
L4:;
  T0 = value0;
  goto L2;
L2:;
  value0 = cl_format(5, ECL_NIL, _ecl_static_15, V1, T0, V3);
  return value0;
 }
}
/*	function definition for MACHINE-TYPE-TRANSLATION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16machine_type_translation(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V2)) { goto L2; }
  T0 = cl_string_upcase(1, V1);
  value0 = si_hash_set(T0, ecl_symbol_value(VV[48]), V2);
  return value0;
L2:;
  T0 = cl_string_upcase(1, V1);
  value0 = cl_gethash(2, T0, ecl_symbol_value(VV[48]));
  return value0;
 }
}
/*	function definition for SOFTWARE-TYPE-TRANSLATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17software_type_translation(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V2)) { goto L2; }
  T0 = cl_string_upcase(1, V1);
  value0 = si_hash_set(T0, ecl_symbol_value(VV[50]), V2);
  return value0;
L2:;
  T0 = cl_string_upcase(1, V1);
  value0 = cl_gethash(2, T0, ecl_symbol_value(VV[50]));
  return value0;
 }
}
/*	function definition for COMPILER-TYPE-TRANSLATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18compiler_type_translation(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V2)) { goto L2; }
  T0 = cl_string_upcase(1, V1);
  value0 = si_hash_set(T0, ecl_symbol_value(VV[52]), V2);
  return value0;
L2:;
  T0 = cl_string_upcase(1, V1);
  value0 = cl_gethash(2, T0, ecl_symbol_value(VV[52]));
  return value0;
 }
}
/*	function definition for CANONICALIZE-SYSTEM-NAME              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19canonicalize_system_name(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(V1))) { goto L1; }
  value0 = cl_string_upcase(1, V1);
  return value0;
L1:;
  T0 = cl_string(V1);
  value0 = cl_string_upcase(1, T0);
  return value0;
 }
}
/*	function definition for GET-SYSTEM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20get_system(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L19canonicalize_system_name(V1);
  value0 = cl_gethash(2, T0, ecl_symbol_value(VV[55]));
  return value0;
 }
}
/*	local function GET-SYSTEM                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21get_system(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, VV[54], V2);
  T1 = cl_list(3, ECL_SYM("GETHASH",413), T0, VV[55]);
  value0 = cl_list(3, ECL_SYM("SETF",750), T1, V1);
  return value0;
 }
}
/*	function definition for UNDEFSYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22undefsystem(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L19canonicalize_system_name(V1);
  value0 = cl_remhash(T0, ecl_symbol_value(VV[55]));
  return value0;
 }
}
/*	function definition for DEFINED-SYSTEMS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24defined_systems()
{
 cl_object T0;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);              /*  RESULT          */
   {cl_object V1;
    V1 = ECL_NIL;
    V1 = ecl_make_cclosure_va((cl_objectfn)LC23__g29,env1,Cblock);
    T0 = V1;
   }
   cl_maphash(T0, ecl_symbol_value(VV[55]));
   value0 = ECL_CONS_CAR(CLV0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	closure G29                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g29(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  RESULT          */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = CONS(V2,ECL_CONS_CAR(CLV0));
  value0 = ECL_CONS_CAR(CLV0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	function definition for DEFINED-NAMES-AND-SYSTEMS             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25defined_names_and_systems()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  LET2319         */
   cl_object V2;
   cl_object V3;                                  /*  SNAME           */
   cl_object V4;                                  /*  S               */
   V1 = ecl_symbol_value(VV[55]);
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   {
    cl_object V5;
    V5 = si_hash_table_iterator(V1);
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L8:;
     cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,V5)(0);
     {
      cl_object V9;
      cl_object V10;
      cl_object V11;
      {
       int V12 = cl_env_copy->nvalues-0;
       if (V12--<=0) goto L13;
       V9 = cl_env_copy->values[0];
       if (V12--<=0) goto L14;
       V10 = cl_env_copy->values[1];
       if (V12--<=0) goto L15;
       V11 = cl_env_copy->values[2];
       goto L16;
      }
L13:;
      V9 = ECL_NIL;
L14:;
      V10 = ECL_NIL;
L15:;
      V11 = ECL_NIL;
L16:;
      if (Null(V9)) { goto L17; }
      V4 = V11;
      V3 = V10;
L17:;
      V2 = V9;
      if ((V2)!=ECL_NIL) { goto L10; }
     }
     goto L9;
L10:;
     if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
     T0 = V7;
     T1 = CONS(V3,V4);
     V7 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V7,T0);
     goto L8;
L9:;
     value0 = ecl_cdr(V6);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	function definition for NEW-APPEND-DIRECTORIES                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27new_append_directories(cl_object volatile V1, cl_object volatile V2)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = V1;
  if ((value0)!=ECL_NIL) { goto L5; }
  V1 = _ecl_static_13;
  goto L3;
L5:;
  V1 = value0;
  goto L3;
L3:;
  value0 = V2;
  if ((value0)!=ECL_NIL) { goto L9; }
  V2 = _ecl_static_13;
  goto L7;
L9:;
  V2 = value0;
  goto L7;
L7:;
  {
   volatile cl_object V3;                         /*  ABS-DIR         */
   volatile cl_object V4;                         /*  REL-DIR         */
   volatile cl_object V5;                         /*  HOST            */
   volatile cl_object V6;                         /*  DEVICE          */
   volatile cl_object V7;                         /*  ABS-DIRECTORY   */
   volatile cl_object V8;                         /*  ABS-KEYWORD     */
   volatile cl_object V9;                         /*  ABS-NAME        */
   volatile cl_object V10;                        /*  REL-DIRECTORY   */
   volatile cl_object V11;                        /*  REL-KEYWORD     */
   volatile cl_object V12;                        /*  REL-FILE        */
   volatile cl_object V13;                        /*  DIRECTORY       */
   V3 = cl_pathname(V1);
   V4 = cl_pathname(V2);
   V5 = cl_pathname_host(1, V3);
   if (Null(L13null_string(V1))) { goto L15; }
   V6 = cl_pathname_device(1, V4);
   goto L14;
L15:;
   V6 = cl_pathname_device(1, V3);
L14:;
   T0 = cl_pathname_directory(1, V3);
   V7 = L28directory_to_list(T0);
   T0 = ecl_car(V7);
   if (Null(cl_keywordp(T0))) { goto L19; }
   {
    cl_object V14;
    V14 = V7;
    if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
    if (Null(V14)) { goto L24; }
    {
     cl_object V15;
     V15 = ECL_CONS_CDR(V14);
     V7 = V15;
     V14 = ECL_CONS_CAR(V14);
    }
L24:;
    V8 = V14;
    goto L18;
   }
L19:;
   V8 = ECL_NIL;
L18:;
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L31;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V14;
      V14 = ECL_NIL;
      V14 = ecl_make_cclosure_va((cl_objectfn)LC26__g49,env2,Cblock);
      T0 = V14;
     }
     T1 = CONS(ECL_SYM("ERROR",337),T0);
     T2 = ecl_list1(T1);
     T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
     value0 = cl_file_namestring(V3);
     ecl_frs_pop(cl_env_copy);
     V9 = value0;
     ecl_bds_unwind1(cl_env_copy);
     goto L30;
L31:;
     {
      cl_object V14;                              /*  CONDITION       */
      V14 = ECL_CONS_CAR(CLV0);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = V14;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      V9 = value0;
      goto L30;
     }
    }
   }
L30:;
   T0 = cl_pathname_directory(1, V4);
   V10 = L28directory_to_list(T0);
   T0 = ecl_car(V10);
   if (Null(cl_keywordp(T0))) { goto L38; }
   {
    cl_object V14;
    V14 = V10;
    if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
    if (Null(V14)) { goto L43; }
    {
     cl_object V15;
     V15 = ECL_CONS_CDR(V14);
     V10 = V15;
     V14 = ECL_CONS_CAR(V14);
    }
L43:;
    V11 = V14;
    goto L37;
   }
L38:;
   V11 = ECL_NIL;
L37:;
   V12 = cl_file_namestring(V4);
   V13 = ECL_NIL;
   if (Null(V9)) { goto L51; }
   if ((L13null_string(V9))!=ECL_NIL) { goto L51; }
   if (!(V7==ECL_NIL)) { goto L54; }
   if (!(V8==ECL_NIL)) { goto L54; }
   V8 = ECL_SYM("RELATIVE",1299);
   V7 = ecl_list1(V9);
   goto L51;
L54:;
   T0 = ecl_list1(V9);
   V7 = ecl_append(V7,T0);
L51:;
   if (!(V7==ECL_NIL)) { goto L61; }
   if (!(V8==ECL_NIL)) { goto L61; }
   if (Null(V11)) { goto L61; }
   V8 = V11;
L61:;
   V13 = ecl_append(V7,V10);
   if (Null(V8)) { goto L68; }
   V13 = CONS(V8,V13);
L68:;
   T0 = cl_make_pathname(8, ECL_SYM("HOST",1243), V5, ECL_SYM("DEVICE",1217), V6, ECL_SYM("DIRECTORY",1219), V13, ECL_SYM("NAME",1273), V12);
   value0 = cl_namestring(T0);
   return value0;
  }
 }
}
/*	closure G49                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26__g49(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for DIRECTORY-TO-LIST                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28directory_to_list(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_LISTP(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_STRINGP(V1))) { goto L3; }
  {
   cl_object V2;
   V2 = si_make_seq_iterator(2, V1, ecl_make_fixnum(0));
L8:;
   if ((V2)!=ECL_NIL) { goto L10; }
   goto L5;
L10:;
   {
    cl_object V3;
    V3 = si_seq_iterator_ref(V1, V2);
    if (!((ECL_CODE_CHAR((ecl_character)(59))==(V3)))) { goto L12; }
    if (Null(V3)) { goto L5; }
    goto L6;
   }
L12:;
   V2 = si_seq_iterator_next(V1, V2);
   goto L8;
  }
L6:;
  value0 = L87split_string(3, V1, VV[61], CODE_CHAR(59));
  return value0;
L5:;
  value0 = L87split_string(3, V1, VV[61], CODE_CHAR(47));
  return value0;
L3:;
  value0 = si_coerce_to_list(1, V1);
  return value0;
 }
}
/*	function definition for TEST-NEW-APPEND-DIRECTORIES           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29test_new_append_directories(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_symbol_value(VV[63]);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V2;                                  /*  DIR-LIST        */
   cl_object V3;                                  /*  ABS-DIR         */
   cl_object V4;                                  /*  REL-DIR         */
   V2 = V1;
   V3 = ecl_car(V2);
   V4 = ecl_cadr(V2);
   goto L7;
L6:;
   T0 = L27new_append_directories(V3, V4);
   cl_format(5, ECL_T, _ecl_static_77, V3, V4, T0);
   V2 = ecl_cddr(V2);
   V3 = ecl_car(V2);
   V4 = ecl_cadr(V2);
L7:;
   if (V2==ECL_NIL) { goto L16; }
   goto L6;
L16:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 0;
   return value0;
  }
 }
}
/*	function definition for APPEND-DIRECTORIES                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30append_directories(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V1)!=ECL_NIL) { goto L3; }
  if (Null(V2)) { goto L1; }
  goto L2;
L3:;
L2:;
  if (Null(L33namestring_probably_logical(V1))) { goto L5; }
  value0 = L34append_logical_pnames(V1, V2);
  return value0;
L5:;
  value0 = L27new_append_directories(V1, V2);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for PATHNAME-LOGICAL-P                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32pathname_logical_p(cl_object volatile V1)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(si_logical_pathname_p(V1))) { goto L1; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_STRINGP(V1))) { goto L3; }
  T0 = cl_count(2, CODE_CHAR(58), V1);
  if (!((1)==(ecl_to_fixnum(T0)))) { goto L6; }
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L9;
    ecl_internal_error("GO found an inexistent tag");
    }
    {cl_object V2;
     V2 = ECL_NIL;
     V2 = ecl_make_cclosure_va((cl_objectfn)LC31__g72,env2,Cblock);
     T0 = V2;
    }
    T1 = CONS(ECL_SYM("ERROR",337),T0);
    T2 = ecl_list1(T1);
    T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
    if (Null(cl_translate_logical_pathname(1, V1))) {
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
     goto L6;
    }
    value0 = cl_translate_logical_pathname(1, V1);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    goto L8;
L9:;
    {
     cl_object V2;                                /*  CONDITION       */
     V2 = ECL_CONS_CAR(CLV0);
     cl_env_copy->nvalues = 2;
     cl_env_copy->values[1] = V2;
     cl_env_copy->values[0] = ECL_NIL;
     if (Null(cl_env_copy->values[0])) {
     ecl_frs_pop(cl_env_copy); goto L6; }
     value0 = cl_env_copy->values[0];
     ecl_frs_pop(cl_env_copy);
     goto L8;
    }
   }
  }
L8:;
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	closure G72                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g72(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for NAMESTRING-PROBABLY-LOGICAL           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33namestring_probably_logical(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_STRINGP(V1))) { goto L2; }
  {
   cl_object V2;
   V2 = si_make_seq_iterator(2, V1, ecl_make_fixnum(0));
L5:;
   if ((V2)!=ECL_NIL) { goto L7; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   {
    cl_object V3;
    V3 = si_seq_iterator_ref(V1, V2);
    if (!((ECL_CODE_CHAR((ecl_character)(59))==(V3)))) { goto L9; }
    value0 = V3;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L9:;
   V2 = si_seq_iterator_next(V1, V2);
   goto L5;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for APPEND-LOGICAL-PNAMES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34append_logical_pnames(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET2321         */
   cl_object V4;                                  /*  LET2322         */
   if (Null(V1)) { goto L2; }
   V3 = cl_pathname(V1);
   goto L1;
L2:;
   T0 = ecl_list1(ECL_SYM("ABSOLUTE",1196));
   V3 = cl_make_pathname(6, ECL_SYM("DIRECTORY",1219), T0, ECL_SYM("NAME",1273), ECL_NIL, ECL_SYM("TYPE",1318), ECL_NIL);
L1:;
   if (Null(V2)) { goto L5; }
   V4 = cl_pathname(V2);
   goto L4;
L5:;
   T0 = ecl_list1(ECL_SYM("RELATIVE",1299));
   V4 = cl_make_pathname(6, ECL_SYM("DIRECTORY",1219), T0, ECL_SYM("NAME",1273), ECL_NIL, ECL_SYM("TYPE",1318), ECL_NIL);
L4:;
   if (Null(si_logical_pathname_p(V3))) { goto L7; }
   if (Null(si_logical_pathname_p(V4))) { goto L9; }
   T0 = cl_merge_pathnames(2, V4, V3);
   value0 = cl_namestring(T0);
   return value0;
L9:;
   if (Null(cl_pathnamep(V4))) { goto L11; }
   T0 = cl_translate_logical_pathname(1, V3);
   T1 = cl_merge_pathnames(2, V4, T0);
   value0 = cl_namestring(T1);
   return value0;
L11:;
   value0 = si_etypecase_error(V4, VV[68]);
   return value0;
L7:;
   if (Null(cl_pathnamep(V3))) { goto L13; }
   T0 = cl_merge_pathnames(2, V4, V3);
   value0 = cl_namestring(T0);
   return value0;
L13:;
   value0 = si_etypecase_error(V3, VV[68]);
   return value0;
  }
 }
}
/*	function definition for NEW-FILE-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35new_file_type(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_pathname_host(1, V1);
  T1 = cl_pathname_device(1, V1);
  T2 = cl_pathname_directory(1, V1);
  T3 = cl_pathname_name(1, V1);
  T4 = cl_pathname_version(V1);
  value0 = cl_make_pathname(12, ECL_SYM("HOST",1243), T0, ECL_SYM("DEVICE",1217), T1, ECL_SYM("DIRECTORY",1219), T2, ECL_SYM("NAME",1273), T3, ECL_SYM("TYPE",1318), V2, ECL_SYM("VERSION",1326), T4);
  return value0;
 }
}
/*	function definition for MAKE-TOPOLOGICAL-SORT-NODE            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36make_topological_sort_node(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L36make_topological_sort_nodekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    V1 = VV[77];
   } else {
    V1 = keyvars[0];
   }
  }
  if (!(ecl_eql(V1,VV[78]))) { goto L6; }
  goto L2;
  goto L4;
L6:;
  goto L4;
L4:;
  if (!(ecl_eql(V1,VV[80]))) { goto L10; }
  goto L2;
  goto L8;
L10:;
  goto L8;
L8:;
  if (!(ecl_eql(V1,VV[77]))) { goto L13; }
  goto L2;
  goto L3;
L13:;
  goto L3;
L3:;
  si_structure_type_error(4, V1, VV[83], VV[73], VV[84]);
L2:;
  value0 = si_make_structure(2, VV[85], V1);
  return value0;
 }
}
/*	function definition for MAKE-COMPONENT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41make_component(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  cl_object V11;
  cl_object V12;
  cl_object V13;
  cl_object V14;
  cl_object V15;
  cl_object V16;
  cl_object V17;
  cl_object V18;
  cl_object V19;
  cl_object V20;
  cl_object V21;
  cl_object V22;
  cl_object V23;
  cl_object V24;
  cl_object V25;
  cl_object V26;
  cl_object V27;
  cl_object V28;
  cl_object V29;
  cl_object V30;
  cl_object V31;
  cl_object V32;
  cl_object V33;
  cl_object V34;
  cl_object V35;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[70];
   cl_parse_key(args,35,L41make_componentkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[35])) {
    V1 = VV[77];
   } else {
    V1 = keyvars[0];
   }
   if (Null(keyvars[36])) {
    V2 = ECL_SYM("FILE",1237);
   } else {
    V2 = keyvars[1];
   }
   V3 = keyvars[2];
   if (Null(keyvars[38])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[3];
   }
   V5 = keyvars[4];
   V6 = keyvars[5];
   V7 = keyvars[6];
   if (Null(keyvars[42])) {
    V8 = ecl_symbol_value(VV[71]);
   } else {
    V8 = keyvars[7];
   }
   V9 = keyvars[8];
   if (Null(keyvars[44])) {
    V10 = ecl_symbol_value(VV[72]);
   } else {
    V10 = keyvars[9];
   }
   V11 = keyvars[10];
   V12 = keyvars[11];
   V13 = keyvars[12];
   V14 = keyvars[13];
   V15 = keyvars[14];
   V16 = keyvars[15];
   V17 = keyvars[16];
   V18 = keyvars[17];
   V19 = keyvars[18];
   V20 = keyvars[19];
   if (Null(keyvars[55])) {
    {cl_object V36;
     V36 = ECL_NIL;
     V36 = ecl_make_cfun((cl_objectfn_fixed)LC37__g84,ECL_NIL,Cblock,0);
     V21 = V36;
    }
   } else {
    V21 = keyvars[20];
   }
   if (Null(keyvars[56])) {
    {cl_object V36;
     V36 = ECL_NIL;
     V36 = ecl_make_cfun((cl_objectfn_fixed)LC38__g85,ECL_NIL,Cblock,0);
     V22 = V36;
    }
   } else {
    V22 = keyvars[21];
   }
   if (Null(keyvars[57])) {
    {cl_object V36;
     V36 = ECL_NIL;
     V36 = ecl_make_cfun((cl_objectfn_fixed)LC39__g86,ECL_NIL,Cblock,0);
     V23 = V36;
    }
   } else {
    V23 = keyvars[22];
   }
   if (Null(keyvars[58])) {
    {cl_object V36;
     V36 = ECL_NIL;
     V36 = ecl_make_cfun((cl_objectfn_fixed)LC40__g87,ECL_NIL,Cblock,0);
     V24 = V36;
    }
   } else {
    V24 = keyvars[23];
   }
   V25 = keyvars[24];
   V26 = keyvars[25];
   V27 = keyvars[26];
   V28 = keyvars[27];
   V29 = keyvars[28];
   V30 = keyvars[29];
   V31 = keyvars[30];
   V32 = keyvars[31];
   V33 = keyvars[32];
   V34 = keyvars[33];
   V35 = keyvars[34];
  }
  if (!((V35)==(ECL_NIL))) { goto L14; }
  goto L10;
  goto L12;
L14:;
  goto L12;
L12:;
  if (!(ecl_eql(V35,ECL_T))) { goto L17; }
  goto L10;
  goto L11;
L17:;
  goto L11;
L11:;
  si_structure_type_error(4, V35, ECL_SYM("BOOLEAN",155), VV[89], VV[95]);
L10:;
  if (V34==ECL_NIL) { goto L19; }
  if (ECL_STRINGP(V34)) { goto L19; }
  si_structure_type_error(4, V34, VV[96], VV[89], VV[97]);
L19:;
  if (V33==ECL_NIL) { goto L22; }
  if (ECL_STRINGP(V33)) { goto L22; }
  si_structure_type_error(4, V33, VV[96], VV[89], VV[98]);
L22:;
  if (V32==ECL_NIL) { goto L25; }
  if (ECL_STRINGP(V32)) { goto L25; }
  si_structure_type_error(4, V32, VV[96], VV[89], VV[99]);
L25:;
  if (V31==ECL_NIL) { goto L28; }
  if (ECL_STRINGP(V31)) { goto L28; }
  si_structure_type_error(4, V31, VV[96], VV[89], VV[100]);
L28:;
  if (V30==ECL_NIL) { goto L31; }
  if (ECL_STRINGP(V30)) { goto L31; }
  si_structure_type_error(4, V30, VV[96], VV[89], VV[101]);
L31:;
  if (V29==ECL_NIL) { goto L34; }
  if (ECL_STRINGP(V29)) { goto L34; }
  si_structure_type_error(4, V29, VV[96], VV[89], ECL_SYM("DOCUMENTATION",312));
L34:;
  if (V28==ECL_NIL) { goto L37; }
  if (ECL_STRINGP(V28)) { goto L37; }
  si_structure_type_error(4, V28, VV[96], VV[89], VV[102]);
L37:;
  if (ECL_LISTP(V19)) { goto L40; }
  si_structure_type_error(4, V19, ECL_SYM("LIST",481), VV[89], VV[103]);
L40:;
  if (ECL_LISTP(V18)) { goto L42; }
  si_structure_type_error(4, V18, ECL_SYM("LIST",481), VV[89], VV[104]);
L42:;
  if (ECL_LISTP(V17)) { goto L44; }
  si_structure_type_error(4, V17, ECL_SYM("LIST",481), VV[89], VV[105]);
L44:;
  if (V16==ECL_NIL) { goto L46; }
  if (ECL_SYMBOLP(V16)) { goto L46; }
  if ((cl_functionp(V16))!=ECL_NIL) { goto L46; }
  si_structure_type_error(4, V16, VV[106], VV[89], VV[107]);
L46:;
  if (V15==ECL_NIL) { goto L50; }
  if (ECL_SYMBOLP(V15)) { goto L50; }
  if ((cl_functionp(V15))!=ECL_NIL) { goto L50; }
  si_structure_type_error(4, V15, VV[106], VV[89], VV[108]);
L50:;
  if (ECL_SYMBOLP(V14)) { goto L54; }
  si_structure_type_error(4, V14, VV[109], VV[89], VV[110]);
L54:;
  {
   cl_fixnum V36;
   V36 = 0;
   if (!(ECL_FIXNUMP(V4))) { goto L60; }
   V36 = ecl_fixnum(V4);
   if (!((V36)<=(1023))) { goto L65; }
   if ((V36)>=(0)) { goto L56; }
   goto L57;
L65:;
   goto L57;
L60:;
   goto L57;
  }
L57:;
  si_structure_type_error(4, V4, VV[111], VV[89], VV[112]);
L56:;
  if (ECL_SYMBOLP(V3)) { goto L67; }
  if (ECL_STRINGP(V3)) { goto L67; }
  si_structure_type_error(4, V3, VV[113], VV[89], VV[114]);
L67:;
  if ((ecl_memql(V2,VV[115]))!=ECL_NIL) { goto L70; }
  si_structure_type_error(4, V2, VV[116], VV[89], ECL_SYM("TYPE",869));
L70:;
  if (!(ecl_eql(V1,VV[78]))) { goto L76; }
  goto L72;
  goto L74;
L76:;
  goto L74;
L74:;
  if (!(ecl_eql(V1,VV[80]))) { goto L80; }
  goto L72;
  goto L78;
L80:;
  goto L78;
L78:;
  if (!(ecl_eql(V1,VV[77]))) { goto L83; }
  goto L72;
  goto L73;
L83:;
  goto L73;
L73:;
  si_structure_type_error(4, V1, VV[83], VV[89], VV[84]);
L72:;
  value0 = si_make_structure(36, VV[117], V1, V2, V3, V4, V5, V6, V7, V8, V9, V10, V11, V12, V13, V14, V15, V16, V17, V18, V19, V20, V21, V22, V23, V24, V25, V26, V27, V28, V29, V30, V31, V32, V33, V34, V35);
  return value0;
 }
}
/*	local function G84                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37__g84()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G85                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38__g85()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G86                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39__g86()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G87                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g87()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MAKE-FOREIGN-SYSTEM                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46make_foreign_system(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  cl_object V11;
  cl_object V12;
  cl_object V13;
  cl_object V14;
  cl_object V15;
  cl_object V16;
  cl_object V17;
  cl_object V18;
  cl_object V19;
  cl_object V20;
  cl_object V21;
  cl_object V22;
  cl_object V23;
  cl_object V24;
  cl_object V25;
  cl_object V26;
  cl_object V27;
  cl_object V28;
  cl_object V29;
  cl_object V30;
  cl_object V31;
  cl_object V32;
  cl_object V33;
  cl_object V34;
  cl_object V35;
  cl_object V36;
  cl_object V37;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[74];
   cl_parse_key(args,37,L46make_foreign_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[37])) {
    V1 = VV[77];
   } else {
    V1 = keyvars[0];
   }
   if (Null(keyvars[38])) {
    V2 = VV[122];
   } else {
    V2 = keyvars[1];
   }
   V3 = keyvars[2];
   if (Null(keyvars[40])) {
    V4 = ecl_make_fixnum(0);
   } else {
    V4 = keyvars[3];
   }
   V5 = keyvars[4];
   V6 = keyvars[5];
   V7 = keyvars[6];
   if (Null(keyvars[44])) {
    V8 = ecl_symbol_value(VV[71]);
   } else {
    V8 = keyvars[7];
   }
   V9 = keyvars[8];
   if (Null(keyvars[46])) {
    V10 = ecl_symbol_value(VV[72]);
   } else {
    V10 = keyvars[9];
   }
   V11 = keyvars[10];
   V12 = keyvars[11];
   V13 = keyvars[12];
   V14 = keyvars[13];
   V15 = keyvars[14];
   V16 = keyvars[15];
   V17 = keyvars[16];
   V18 = keyvars[17];
   V19 = keyvars[18];
   V20 = keyvars[19];
   if (Null(keyvars[57])) {
    {cl_object V38;
     V38 = ECL_NIL;
     V38 = ecl_make_cfun((cl_objectfn_fixed)LC42__g103,ECL_NIL,Cblock,0);
     V21 = V38;
    }
   } else {
    V21 = keyvars[20];
   }
   if (Null(keyvars[58])) {
    {cl_object V38;
     V38 = ECL_NIL;
     V38 = ecl_make_cfun((cl_objectfn_fixed)LC43__g104,ECL_NIL,Cblock,0);
     V22 = V38;
    }
   } else {
    V22 = keyvars[21];
   }
   if (Null(keyvars[59])) {
    {cl_object V38;
     V38 = ECL_NIL;
     V38 = ecl_make_cfun((cl_objectfn_fixed)LC44__g105,ECL_NIL,Cblock,0);
     V23 = V38;
    }
   } else {
    V23 = keyvars[22];
   }
   if (Null(keyvars[60])) {
    {cl_object V38;
     V38 = ECL_NIL;
     V38 = ecl_make_cfun((cl_objectfn_fixed)LC45__g106,ECL_NIL,Cblock,0);
     V24 = V38;
    }
   } else {
    V24 = keyvars[23];
   }
   V25 = keyvars[24];
   V26 = keyvars[25];
   V27 = keyvars[26];
   V28 = keyvars[27];
   V29 = keyvars[28];
   V30 = keyvars[29];
   V31 = keyvars[30];
   V32 = keyvars[31];
   V33 = keyvars[32];
   V34 = keyvars[33];
   V35 = keyvars[34];
   V36 = keyvars[35];
   V37 = keyvars[36];
  }
  if (!((V35)==(ECL_NIL))) { goto L14; }
  goto L10;
  goto L12;
L14:;
  goto L12;
L12:;
  if (!(ecl_eql(V35,ECL_T))) { goto L17; }
  goto L10;
  goto L11;
L17:;
  goto L11;
L11:;
  si_structure_type_error(4, V35, ECL_SYM("BOOLEAN",155), VV[119], VV[95]);
L10:;
  if (V34==ECL_NIL) { goto L19; }
  if (ECL_STRINGP(V34)) { goto L19; }
  si_structure_type_error(4, V34, VV[96], VV[119], VV[97]);
L19:;
  if (V33==ECL_NIL) { goto L22; }
  if (ECL_STRINGP(V33)) { goto L22; }
  si_structure_type_error(4, V33, VV[96], VV[119], VV[98]);
L22:;
  if (V32==ECL_NIL) { goto L25; }
  if (ECL_STRINGP(V32)) { goto L25; }
  si_structure_type_error(4, V32, VV[96], VV[119], VV[99]);
L25:;
  if (V31==ECL_NIL) { goto L28; }
  if (ECL_STRINGP(V31)) { goto L28; }
  si_structure_type_error(4, V31, VV[96], VV[119], VV[100]);
L28:;
  if (V30==ECL_NIL) { goto L31; }
  if (ECL_STRINGP(V30)) { goto L31; }
  si_structure_type_error(4, V30, VV[96], VV[119], VV[101]);
L31:;
  if (V29==ECL_NIL) { goto L34; }
  if (ECL_STRINGP(V29)) { goto L34; }
  si_structure_type_error(4, V29, VV[96], VV[119], ECL_SYM("DOCUMENTATION",312));
L34:;
  if (V28==ECL_NIL) { goto L37; }
  if (ECL_STRINGP(V28)) { goto L37; }
  si_structure_type_error(4, V28, VV[96], VV[119], VV[102]);
L37:;
  if (ECL_LISTP(V19)) { goto L40; }
  si_structure_type_error(4, V19, ECL_SYM("LIST",481), VV[119], VV[103]);
L40:;
  if (ECL_LISTP(V18)) { goto L42; }
  si_structure_type_error(4, V18, ECL_SYM("LIST",481), VV[119], VV[104]);
L42:;
  if (ECL_LISTP(V17)) { goto L44; }
  si_structure_type_error(4, V17, ECL_SYM("LIST",481), VV[119], VV[105]);
L44:;
  if (V16==ECL_NIL) { goto L46; }
  if (ECL_SYMBOLP(V16)) { goto L46; }
  if ((cl_functionp(V16))!=ECL_NIL) { goto L46; }
  si_structure_type_error(4, V16, VV[106], VV[119], VV[107]);
L46:;
  if (V15==ECL_NIL) { goto L50; }
  if (ECL_SYMBOLP(V15)) { goto L50; }
  if ((cl_functionp(V15))!=ECL_NIL) { goto L50; }
  si_structure_type_error(4, V15, VV[106], VV[119], VV[108]);
L50:;
  if (ECL_SYMBOLP(V14)) { goto L54; }
  si_structure_type_error(4, V14, VV[109], VV[119], VV[110]);
L54:;
  {
   cl_fixnum V38;
   V38 = 0;
   if (!(ECL_FIXNUMP(V4))) { goto L60; }
   V38 = ecl_fixnum(V4);
   if (!((V38)<=(1023))) { goto L65; }
   if ((V38)>=(0)) { goto L56; }
   goto L57;
L65:;
   goto L57;
L60:;
   goto L57;
  }
L57:;
  si_structure_type_error(4, V4, VV[111], VV[119], VV[112]);
L56:;
  if (ECL_SYMBOLP(V3)) { goto L67; }
  if (ECL_STRINGP(V3)) { goto L67; }
  si_structure_type_error(4, V3, VV[113], VV[119], VV[114]);
L67:;
  if (!(ecl_eql(V1,VV[78]))) { goto L74; }
  goto L70;
  goto L72;
L74:;
  goto L72;
L72:;
  if (!(ecl_eql(V1,VV[80]))) { goto L78; }
  goto L70;
  goto L76;
L78:;
  goto L76;
L76:;
  if (!(ecl_eql(V1,VV[77]))) { goto L81; }
  goto L70;
  goto L71;
L81:;
  goto L71;
L71:;
  si_structure_type_error(4, V1, VV[83], VV[119], VV[84]);
L70:;
  value0 = si_make_structure(38, VV[123], V1, V2, V3, V4, V5, V6, V7, V8, V9, V10, V11, V12, V13, V14, V15, V16, V17, V18, V19, V20, V21, V22, V23, V24, V25, V26, V27, V28, V29, V30, V31, V32, V33, V34, V35, V36, V37);
  return value0;
 }
}
/*	local function G103                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g103()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G104                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g104()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G105                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g105()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G106                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45__g106()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for REGISTER-FOREIGN-SYSTEM               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47register_foreign_system(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L47register_foreign_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   V3 = keyvars[1];
  }
  {
   cl_object V4;                                  /*  FS              */
   V4 = L46make_foreign_system(6, ECL_SYM("NAME",1273), V1, VV[125], V3, ECL_SYM("OBJECT",1278), V2);
   T0 = L19canonicalize_system_name(V1);
   value0 = si_hash_set(T0, ecl_symbol_value(VV[55]), V4);
   return value0;
  }
 }
}
/*	local function G127                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49__g127()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC48__g128,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G128                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g128(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[463])(1, V1) /*  MISSING-COMPONENT-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[464])(1, V1) /*  MISSING-COMPONENT-COMPONENT */;
  value0 = cl_format(4, V2, _ecl_static_80, T0, T1);
  return value0;
 }
}
/*	local function G129                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51__g129()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC50__g130,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G130                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50__g130(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[463])(1, V1) /*  MISSING-COMPONENT-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[464])(1, V1) /*  MISSING-COMPONENT-COMPONENT */;
  value0 = cl_format(4, V2, _ecl_static_81, T0, T1);
  return value0;
 }
}
/*	local function G131                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53__g131()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {cl_object V1;
   V1 = ECL_NIL;
   V1 = ecl_make_cfun((cl_objectfn_fixed)LC52__g132,ECL_NIL,Cblock,2);
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G132                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52__g132(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[463])(1, V1) /*  MISSING-COMPONENT-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[464])(1, V1) /*  MISSING-COMPONENT-COMPONENT */;
  value0 = cl_format(4, V2, _ecl_static_82, T0, T1);
  return value0;
 }
}
/*	function definition for COMPONENT-LOAD-TIME                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54component_load_time(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  if (!(ECL_STRINGP(V1))) { goto L3; }
  value0 = cl_gethash(2, V1, ecl_symbol_value(VV[131]));
  return value0;
L3:;
  if (Null(cl_pathnamep(V1))) { goto L5; }
  T0 = cl_namestring(V1);
  value0 = cl_gethash(2, T0, ecl_symbol_value(VV[131]));
  return value0;
L5:;
  if (Null(si_of_class_p(2, V1, VV[89]))) { goto L7; }
  {
   cl_object V2;
   V2 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
   if (!(ecl_eql(V2,VV[132]))) { goto L10; }
   {
    cl_object V3;                                 /*  NAME            */
    cl_object V4;                                 /*  PATH            */
    V3 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    {
     cl_object V5;
     if (Null(V3)) { goto L15; }
     V5 = L56compute_system_path(V3, ECL_NIL);
     goto L14;
L15:;
     V5 = ECL_NIL;
L14:;
     value0 = ecl_make_bool(ECL_STRINGP(V5));
     if ((value0)!=ECL_NIL) { goto L20; }
     value0 = cl_pathnamep(V5);
     if ((value0)!=ECL_NIL) { goto L20; }
     T0 = ecl_make_bool(V5==ECL_NIL);
     goto L18;
L20:;
     T0 = value0;
     goto L18;
L18:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V5);
     V4 = V5;
    }
    if (Null(V4)) { goto L23; }
    T0 = cl_namestring(V4);
    value0 = cl_gethash(2, T0, ecl_symbol_value(VV[131]));
    return value0;
L23:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L10:;
   if (!(ecl_eql(V2,ECL_SYM("FILE",1237)))) { goto L30; }
   goto L27;
   goto L28;
L30:;
   goto L28;
L28:;
   if (!(ecl_eql(V2,VV[135]))) { goto L25; }
   goto L26;
L27:;
L26:;
   {
    cl_object V5;                                 /*  PATH            */
    V5 = L69component_full_pathname(2, V1, VV[137]);
    if (Null(V5)) { goto L34; }
    value0 = cl_gethash(2, V5, ecl_symbol_value(VV[131]));
    return value0;
L34:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L25:;
   value0 = si_ecase_error(V2, VV[138]);
   return value0;
  }
L7:;
  value0 = si_etypecase_error(V1, VV[139]);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function COMPONENT-LOAD-TIME                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55component_load_time(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(3, ECL_SYM("GETHASH",413), V2, VV[131]);
  T1 = cl_list(3, ECL_SYM("SETF",750), T0, V1);
  T2 = cl_list(2, ECL_SYM("STRING",805), T1);
  T3 = cl_list(3, ECL_SYM("THE",856), ECL_SYM("PATHNAME",630), V2);
  T4 = cl_list(2, ECL_SYM("NAMESTRING",579), T3);
  T5 = cl_list(3, ECL_SYM("GETHASH",413), T4, VV[131]);
  T6 = cl_list(3, ECL_SYM("SETF",750), T5, V1);
  T7 = cl_list(2, ECL_SYM("PATHNAME",630), T6);
  T8 = cl_list(2, VV[141], V2);
  T9 = cl_list(2, VV[142], V2);
  T10 = cl_list(2, VV[114], T9);
  T11 = cl_list(2, T10, VV[143]);
  T12 = cl_list(3, ECL_SYM("SETF",750), VV[146], V1);
  T13 = cl_list(3, ECL_SYM("WHEN",905), VV[145], T12);
  T14 = cl_list(4, ECL_SYM("LET*",478), T11, VV[144], T13);
  T15 = cl_list(2, VV[132], T14);
  T16 = cl_list(3, VV[147], V2, VV[137]);
  T17 = cl_list(2, VV[145], T16);
  T18 = ecl_list1(T17);
  T19 = cl_list(3, ECL_SYM("SETF",750), VV[148], V1);
  T20 = cl_list(3, ECL_SYM("WHEN",905), VV[145], T19);
  T21 = cl_list(3, ECL_SYM("LET",477), T18, T20);
  T22 = cl_list(2, VV[134], T21);
  T23 = cl_list(4, ECL_SYM("ECASE",321), T8, T15, T22);
  T24 = cl_list(2, VV[89], T23);
  T25 = cl_list(5, ECL_SYM("ETYPECASE",338), V2, T2, T7, T24);
  value0 = cl_list(4, ECL_SYM("WHEN",905), V2, T25, V1);
  return value0;
 }
}
/*	function definition for COMPUTE-SYSTEM-PATH                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56compute_system_path(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  MODULE-STRING-NAME */
   cl_object V4;                                  /*  FILE-PATHNAME   */
   cl_object V5;                                  /*  LIB-FILE-PATHNAME */
   if (!(ECL_SYMBOLP(V1))) { goto L2; }
   T0 = cl_string(V1);
   V3 = cl_string_downcase(1, T0);
   goto L1;
L2:;
   if (!(ECL_STRINGP(V1))) { goto L4; }
   V3 = V1;
   goto L1;
L4:;
   V3 = si_etypecase_error(V1, VV[149]);
L1:;
   V4 = cl_make_pathname(4, ECL_SYM("NAME",1273), V3, ECL_SYM("TYPE",1318), ecl_symbol_value(VV[31]));
   T0 = cl_list(2, ECL_SYM("RELATIVE",1299), V3);
   V5 = cl_make_pathname(6, ECL_SYM("DIRECTORY",1219), T0, ECL_SYM("NAME",1273), V3, ECL_SYM("TYPE",1318), ecl_symbol_value(VV[31]));
   if (Null(V2)) { goto L11; }
   value0 = cl_probe_file(V2);
   goto L10;
L11:;
   value0 = ECL_NIL;
L10:;
   if ((value0)!=ECL_NIL) { goto L9; }
   if (Null(ecl_symbol_value(VV[9]))) { goto L13; }
   if (!(ECL_LISTP(ecl_symbol_value(VV[9])))) { goto L15; }
   {
    cl_object V6;
    V6 = ecl_symbol_value(VV[9]);
    goto L20;
L19:;
    {
     cl_object V7;                                /*  REGISTRY        */
     V7 = ecl_car(V6);
     {
      cl_object V8;                               /*  REG-PATH        */
      cl_object V9;                               /*  FILE            */
      V8 = L3registry_pathname(V7);
      T0 = L30append_directories(V8, V4);
      value0 = cl_probe_file(T0);
      if ((value0)!=ECL_NIL) { goto L28; }
      T0 = L30append_directories(V8, V5);
      V9 = cl_probe_file(T0);
      goto L26;
L28:;
      V9 = value0;
      goto L26;
L26:;
      if (Null(V9)) { goto L24; }
      value0 = V9;
      cl_env_copy->nvalues = 1;
      return value0;
     }
L24:;
    }
    V6 = ecl_cdr(V6);
L20:;
    if (Null(V6)) { goto L33; }
    goto L19;
L33:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L15:;
   T0 = L30append_directories(ecl_symbol_value(VV[9]), V4);
   value0 = cl_probe_file(T0);
   if ((value0)!=ECL_NIL) { goto L36; }
   T0 = L30append_directories(ecl_symbol_value(VV[9]), V5);
   value0 = cl_probe_file(T0);
   return value0;
L36:;
   cl_env_copy->nvalues = 1;
   return value0;
L13:;
   value0 = cl_probe_file(V4);
   if ((value0)!=ECL_NIL) { goto L39; }
   value0 = cl_probe_file(V5);
   return value0;
L39:;
   cl_env_copy->nvalues = 1;
   return value0;
L9:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SYSTEM-DEFINITION-PATHNAME            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58system_definition_pathname(cl_object volatile V1)
{
 cl_object T0, T1, T2, T3;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V2;                         /*  SYSTEM          */
   {
    volatile cl_object env1 = env0;
    env1 = ECL_NIL;
    CLV0 = env1 = CONS(ECL_NIL,env1);
    {
     volatile cl_object env2 = env1;
     CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
     if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
     if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L2;
     ecl_internal_error("GO found an inexistent tag");
     }
     {cl_object V3;
      V3 = ECL_NIL;
      V3 = ecl_make_cclosure_va((cl_objectfn)LC57__g145,env2,Cblock);
      T0 = V3;
     }
     T1 = CONS(ECL_SYM("ERROR",337),T0);
     T2 = ecl_list1(T1);
     T3 = CONS(T2,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
     ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T3); /*  *HANDLER-CLUSTERS* */
     value0 = L59find_system(2, V1, ECL_SYM("ERROR",1229));
     ecl_frs_pop(cl_env_copy);
     V2 = value0;
     ecl_bds_unwind1(cl_env_copy);
     goto L1;
L2:;
     {
      cl_object V3;                               /*  CONDITION       */
      V3 = ECL_CONS_CAR(CLV0);
      cl_env_copy->nvalues = 2;
      cl_env_copy->values[1] = V3;
      cl_env_copy->values[0] = ECL_NIL;
      value0 = cl_env_copy->values[0];
      ecl_frs_pop(cl_env_copy);
      V2 = value0;
      goto L1;
     }
    }
   }
L1:;
   if (Null(V2)) { goto L7; }
   {
    cl_object V3;                                 /*  SYSTEM-DEF-PATHNAME */
    T0 = L69component_full_pathname(2, V2, VV[137]);
    T1 = cl_pathname(T0);
    V3 = cl_make_pathname(4, ECL_SYM("TYPE",1318), _ecl_static_8, ECL_SYM("DEFAULTS",1216), T1);
    T0 = cl_probe_file(V3);
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = T0;
    cl_env_copy->values[0] = V3;
    return cl_env_copy->values[0];
   }
L7:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = ECL_NIL;
   return cl_env_copy->values[0];
  }
 }
}
/*	closure G145                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57__g145(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	function definition for FIND-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59find_system(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = VV[153];
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ecl_eql(V2,VV[153]))) { goto L3; }
  value0 = L20get_system(V1);
  if ((value0)!=ECL_NIL) { goto L6; }
  if (Null(L98y_or_n_p_wait(4, CODE_CHAR(121), ecl_make_fixnum(20), _ecl_static_83, V1))) { goto L8; }
  value0 = L59find_system(3, V1, VV[154], V3);
  return value0;
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ecl_eql(V2,ECL_SYM("ERROR",1229)))) { goto L10; }
  value0 = L20get_system(V1);
  if ((value0)!=ECL_NIL) { goto L13; }
  value0 = cl_error(3, VV[130], ECL_SYM("NAME",1273), V1);
  return value0;
L13:;
  cl_env_copy->nvalues = 1;
  return value0;
L10:;
  if (!(ecl_eql(V2,VV[155]))) { goto L15; }
  {
   cl_object V4;                                  /*  SYSTEM          */
   V4 = L20get_system(V1);
   if ((ecl_symbol_value(VV[152]))!=ECL_NIL) { goto L21; }
   value0 = V4;
   goto L20;
L21:;
   value0 = ECL_NIL;
L20:;
   if ((value0)!=ECL_NIL) { goto L19; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[121])(1, V4) /*  FOREIGN-SYSTEM-P */)) { goto L24; }
   (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2, _ecl_static_84, V4) /*  WARN */;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L24:;
   value0 = ECL_NIL;
   if ((value0)!=ECL_NIL) { goto L19; }
   {
    cl_object V5;                                 /*  PATH            */
    V5 = L56compute_system_path(V1, V3);
    if (Null(V5)) { goto L29; }
    if (V4==ECL_NIL) { goto L32; }
    T0 = L54component_load_time(V5);
    if (T0==ECL_NIL) { goto L32; }
    T0 = L54component_load_time(V5);
    T1 = cl_file_write_date(V5);
    if (!(ecl_number_compare(T0,T1)<0)) { goto L29; }
    goto L30;
L32:;
L30:;
    T0 = cl_format(4, ECL_NIL, _ecl_static_85, V1, V5);
    L95tell_user_generic(T0);
    cl_load(1, V5);
    V4 = L20get_system(V1);
    if (Null(V4)) { goto L29; }
    {
     cl_object V6;
     V6 = cl_file_write_date(V5);
     if (Null(V5)) { goto L29; }
     if (!(ECL_STRINGP(V5))) { goto L43; }
     si_hash_set(V5, ecl_symbol_value(VV[131]), V6);
     goto L42;
L43:;
     if (Null(cl_pathnamep(V5))) { goto L45; }
     T1 = cl_pathnamep(V5);
     if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V5);
     T0 = V5;
     T1 = cl_namestring(T0);
     si_hash_set(T1, ecl_symbol_value(VV[131]), V6);
     goto L42;
L45:;
     if (Null(si_of_class_p(2, V5, VV[89]))) { goto L49; }
     {
      cl_object V7;
      V7 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V5) /*  COMPONENT-TYPE */;
      if (!(ecl_eql(V7,VV[132]))) { goto L52; }
      {
       cl_object V8;                              /*  NAME            */
       cl_object V9;                              /*  PATH            */
       V8 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V5) /*  COMPONENT-NAME */;
       {
        cl_object V10;
        if (Null(V8)) { goto L57; }
        V10 = L56compute_system_path(V8, ECL_NIL);
        goto L56;
L57:;
        V10 = ECL_NIL;
L56:;
        value0 = ecl_make_bool(ECL_STRINGP(V10));
        if ((value0)!=ECL_NIL) { goto L62; }
        value0 = cl_pathnamep(V10);
        if ((value0)!=ECL_NIL) { goto L62; }
        T0 = ecl_make_bool(V10==ECL_NIL);
        goto L60;
L62:;
        T0 = value0;
        goto L60;
L60:;
        if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V10);
        V9 = V10;
       }
       if (Null(V9)) { goto L42; }
       T0 = cl_namestring(V9);
       si_hash_set(T0, ecl_symbol_value(VV[131]), V6);
       goto L42;
      }
L52:;
      if (!(ecl_eql(V7,ECL_SYM("FILE",1237)))) { goto L71; }
      goto L68;
      goto L69;
L71:;
      goto L69;
L69:;
      if (!(ecl_eql(V7,VV[135]))) { goto L66; }
      goto L67;
L68:;
L67:;
      {
       cl_object V10;                             /*  PATH            */
       V10 = L69component_full_pathname(2, V5, VV[137]);
       if (Null(V10)) { goto L42; }
       si_hash_set(V10, ecl_symbol_value(VV[131]), V6);
       goto L42;
      }
L66:;
      si_ecase_error(V7, VV[138]);
      goto L42;
     }
L49:;
     si_etypecase_error(V5, VV[139]);
L42:;
    }
L29:;
    value0 = V4;
   }
   if ((value0)!=ECL_NIL) { goto L19; }
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
L19:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L15:;
  if (!(ecl_eql(V2,VV[154]))) { goto L76; }
  if ((ecl_symbol_value(VV[152]))!=ECL_NIL) { goto L81; }
  value0 = L20get_system(V1);
  goto L80;
L81:;
  value0 = ECL_NIL;
L80:;
  if ((value0)!=ECL_NIL) { goto L79; }
  T0 = L20get_system(V1);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[121])(1, T0) /*  FOREIGN-SYSTEM-P */)) { goto L84; }
  T0 = L20get_system(V1);
  (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(2, _ecl_static_84, T0) /*  WARN */;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L84:;
  value0 = ECL_NIL;
  if ((value0)!=ECL_NIL) { goto L79; }
  value0 = L59find_system(3, V1, VV[155], V3);
  if ((value0)!=ECL_NIL) { goto L88; }
  value0 = cl_error(2, _ecl_static_86, V1);
  return value0;
L88:;
  cl_env_copy->nvalues = 1;
  return value0;
L79:;
  cl_env_copy->nvalues = 1;
  return value0;
L76:;
  value0 = si_ecase_error(V2, VV[156]);
  return value0;
 }
}
/*	function definition for PRINT-COMPONENT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60print_component(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
  value0 = cl_format(4, V2, _ecl_static_87, T0, T1);
  return value0;
 }
}
/*	function definition for DESCRIBE-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61describe_system(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  SYSTEM          */
   if (Null(si_of_class_p(2, V1, VV[89]))) { goto L3; }
   V3 = V1;
   goto L2;
L3:;
   V3 = L59find_system(2, V1, VV[154]);
L2:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V3) /*  COMPONENT-TYPE */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V3) /*  COMPONENT-NAME */;
   T2 = ecl_function_dispatch(cl_env_copy,VV[471])(1, V3) /*  COMPONENT-HOST */;
   T3 = ecl_function_dispatch(cl_env_copy,VV[472])(1, V3) /*  COMPONENT-DEVICE */;
   T4 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V3) /*  COMPONENT-PACKAGE */;
   T5 = L66component_root_dir(V3, VV[137]);
   T6 = L63component_pathname(V3, VV[137]);
   T7 = L72component_extension(2, V3, VV[137]);
   T8 = L66component_root_dir(V3, VV[159]);
   T9 = L63component_pathname(V3, VV[159]);
   T10 = L72component_extension(2, V3, VV[159]);
   T11 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V3) /*  COMPONENT-DEPENDS-ON */;
   T12 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V3) /*  COMPONENT-COMPONENTS */;
   cl_format(15, V2, _ecl_static_88, T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12);
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for CANONICALIZE-COMPONENT-NAME           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62canonicalize_component_name(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
  if (!(ECL_STRINGP(T0))) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
  return value0;
L1:;
  {
   cl_object V2;
   T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
   T1 = cl_string(T0);
   V2 = cl_string_downcase(1, T1);
   value0 = ecl_structure_set(V1,VV[89],2,V2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for COMPONENT-PATHNAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63component_pathname(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  if (!(ecl_eql(V2,VV[137]))) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[165])(1, V1) /*  COMPONENT-SOURCE-PATHNAME */;
  return value0;
L3:;
  if (!(ecl_eql(V2,VV[159]))) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[166])(1, V1) /*  COMPONENT-BINARY-PATHNAME */;
  return value0;
L5:;
  if (!(ecl_eql(V2,ECL_SYM("ERROR",1229)))) { goto L7; }
  value0 = L64component_error_pathname(V1);
  return value0;
L7:;
  value0 = si_ecase_error(V2, VV[162]);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COMPONENT-ERROR-PATHNAME              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64component_error_pathname(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  BINARY          */
   V2 = L63component_pathname(V1, VV[159]);
   value0 = L35new_file_type(V2, ecl_symbol_value(VV[26]));
   return value0;
  }
 }
}
/*	local function COMPONENT-PATHNAME                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65component_pathname(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, VV[165], V2);
  T1 = cl_list(3, ECL_SYM("SETF",750), T0, V1);
  T2 = cl_list(2, VV[137], T1);
  T3 = cl_list(2, VV[166], V2);
  T4 = cl_list(3, ECL_SYM("SETF",750), T3, V1);
  T5 = cl_list(2, VV[159], T4);
  T6 = cl_list(4, ECL_SYM("ECASE",321), V3, T2, T5);
  value0 = cl_list(3, ECL_SYM("WHEN",905), V2, T6);
  return value0;
 }
}
/*	function definition for COMPONENT-ROOT-DIR                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66component_root_dir(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  if (!(ecl_eql(V2,VV[137]))) { goto L3; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[171])(1, V1) /*  COMPONENT-SOURCE-ROOT-DIR */;
  return value0;
L3:;
  if (!(ecl_eql(V2,VV[159]))) { goto L10; }
  goto L7;
  goto L8;
L10:;
  goto L8;
L8:;
  if (!(ecl_eql(V2,ECL_SYM("ERROR",1229)))) { goto L5; }
  goto L6;
L7:;
L6:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[172])(1, V1) /*  COMPONENT-BINARY-ROOT-DIR */;
  return value0;
L5:;
  value0 = si_ecase_error(V2, VV[169]);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function COMPONENT-ROOT-DIR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67component_root_dir(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, VV[171], V2);
  T1 = cl_list(3, ECL_SYM("SETF",750), T0, V1);
  T2 = cl_list(2, VV[137], T1);
  T3 = cl_list(2, VV[172], V2);
  T4 = cl_list(3, ECL_SYM("SETF",750), T3, V1);
  T5 = cl_list(2, VV[159], T4);
  T6 = cl_list(4, ECL_SYM("ECASE",321), V3, T2, T5);
  value0 = cl_list(3, ECL_SYM("WHEN",905), V2, T6);
  return value0;
 }
}
/*	function definition for CLEAR-FULL-PATHNAME-TABLES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68clear_full_pathname_tables()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_clrhash(ecl_symbol_value(VV[173]));
  value0 = cl_clrhash(ecl_symbol_value(VV[174]));
  return value0;
 }
}
/*	function definition for COMPONENT-FULL-PATHNAME               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69component_full_pathname(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V1)) { goto L2; }
  if (!(ecl_eql(V2,VV[137]))) { goto L4; }
  {
   cl_object V4;                                  /*  OLD             */
   V4 = ecl_gethash_safe(V1,ecl_symbol_value(VV[173]),ECL_NIL);
   value0 = V4;
   if ((value0)!=ECL_NIL) { goto L8; }
   {
    cl_object V5;                                 /*  NEW             */
    V5 = L70component_full_pathname_i(3, V1, V2, V3);
    si_hash_set(V1, ecl_symbol_value(VV[173]), V5);
    value0 = V5;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L8:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L4:;
  if (!(ecl_eql(V2,VV[159]))) { goto L12; }
  {
   cl_object V6;                                  /*  OLD             */
   V6 = ecl_gethash_safe(V1,ecl_symbol_value(VV[174]),ECL_NIL);
   value0 = V6;
   if ((value0)!=ECL_NIL) { goto L16; }
   {
    cl_object V7;                                 /*  NEW             */
    V7 = L70component_full_pathname_i(3, V1, V2, V3);
    si_hash_set(V1, ecl_symbol_value(VV[174]), V7);
    value0 = V7;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L16:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L12:;
  value0 = L70component_full_pathname_i(3, V1, V2, V3);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for COMPONENT-FULL-PATHNAME-I             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70component_full_pathname_i(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  VERSION-DIR     */
   cl_object V5;                                  /*  VERSION-REPLACE */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   if (Null(V3)) { goto L5; }
   cl_env_copy->values[0] = L71translate_version(V3);
   {
    int V6 = cl_env_copy->nvalues-0;
    if (V6--<=0) goto L8;
    V4 = cl_env_copy->values[0];
    if (V6--<=0) goto L9;
    V5 = cl_env_copy->values[1];
    goto L10;
   }
L8:;
   V4 = ECL_NIL;
L9:;
   V5 = ECL_NIL;
L10:;
   goto L4;
L5:;
   V4 = ecl_symbol_value(VV[34]);
   V5 = ecl_symbol_value(VV[35]);
L4:;
   {
    cl_object V6;                                 /*  PATHNAME        */
    if (Null(V5)) { goto L16; }
    T0 = V4;
    goto L15;
L16:;
    T1 = L66component_root_dir(V1, V2);
    T0 = L30append_directories(T1, V4);
L15:;
    T1 = L63component_pathname(V1, V2);
    V6 = L30append_directories(T0, T1);
    if (Null(L32pathname_logical_p(V6))) { goto L18; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    T1 = L72component_extension(2, V1, V2);
    T2 = cl_make_pathname(4, ECL_SYM("NAME",1273), T0, ECL_SYM("TYPE",1318), T1);
    V6 = cl_merge_pathnames(2, V6, T2);
    T0 = cl_translate_logical_pathname(1, V6);
    value0 = cl_namestring(T0);
    return value0;
L18:;
    value0 = ecl_function_dispatch(cl_env_copy,VV[471])(1, V1) /*  COMPONENT-HOST */;
    if ((value0)!=ECL_NIL) { goto L24; }
    T0 = cl_pathname_host(1, V6);
    goto L22;
L24:;
    T0 = value0;
    goto L22;
L22:;
    T1 = cl_pathname_directory(1, V6);
    value0 = cl_pathname_name(1, V6);
    if ((value0)!=ECL_NIL) { goto L28; }
    T2 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    goto L26;
L28:;
    T2 = value0;
    goto L26;
L26:;
    T3 = L72component_extension(2, V1, V2);
    value0 = ecl_function_dispatch(cl_env_copy,VV[472])(1, V1) /*  COMPONENT-DEVICE */;
    if ((value0)!=ECL_NIL) { goto L32; }
    T4 = cl_pathname_device(1, V6);
    goto L30;
L32:;
    T4 = value0;
    goto L30;
L30:;
    T5 = cl_make_pathname(10, ECL_SYM("HOST",1243), T0, ECL_SYM("DIRECTORY",1219), T1, ECL_SYM("NAME",1273), T2, ECL_SYM("TYPE",1318), T3, ECL_SYM("DEVICE",1217), T4);
    value0 = cl_namestring(T5);
    return value0;
   }
  }
 }
}
/*	function definition for TRANSLATE-VERSION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71translate_version(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_NIL;
  cl_env_copy->values[0] = _ecl_static_13;
  return cl_env_copy->values[0];
L1:;
  if (!(ECL_SYMBOLP(V1))) { goto L3; }
  {
   cl_object V2;                                  /*  SVERSION        */
   V2 = cl_string(V1);
   T1 = (ECL_SYM("LOWER-CASE-P",514)->symbol.gfdef);
   if (Null(cl_find_if(2, T1, V2))) { goto L7; }
   T0 = V2;
   goto L5;
L7:;
   T0 = cl_string_downcase(1, V2);
  }
L5:;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_NIL;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
L3:;
  if (!(ECL_STRINGP(V1))) { goto L10; }
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = ECL_T;
  cl_env_copy->values[0] = V1;
  return cl_env_copy->values[0];
L10:;
  value0 = cl_error(2, _ecl_static_89, V1);
  return value0;
 }
}
/*	function definition for COMPONENT-EXTENSION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72component_extension(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L72component_extensionkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  if (!(ecl_eql(V2,VV[137]))) { goto L1; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[181])(1, V1) /*  COMPONENT-SOURCE-EXTENSION */;
  if ((value0)!=ECL_NIL) { goto L4; }
  if ((V3)!=ECL_NIL) { goto L6; }
  value0 = L120default_source_extension(V1);
  return value0;
L6:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ecl_eql(V2,VV[159]))) { goto L8; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[182])(1, V1) /*  COMPONENT-BINARY-EXTENSION */;
  if ((value0)!=ECL_NIL) { goto L11; }
  if ((V3)!=ECL_NIL) { goto L13; }
  value0 = L121default_binary_extension(V1);
  return value0;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  cl_env_copy->nvalues = 1;
  return value0;
L8:;
  if (!(ecl_eql(V2,ECL_SYM("ERROR",1229)))) { goto L15; }
  value0 = ecl_symbol_value(VV[26]);
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  value0 = si_ecase_error(V2, VV[162]);
  return value0;
 }
}
/*	local function COMPONENT-EXTENSION                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73component_extension(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, VV[181], V2);
  T1 = cl_list(3, ECL_SYM("SETF",750), T0, V1);
  T2 = cl_list(2, VV[137], T1);
  T3 = cl_list(2, VV[182], V2);
  T4 = cl_list(3, ECL_SYM("SETF",750), T3, V1);
  T5 = cl_list(2, VV[159], T4);
  T6 = cl_list(3, ECL_SYM("SETF",750), VV[26], V1);
  T7 = cl_list(2, ECL_SYM("ERROR",1229), T6);
  value0 = cl_list(5, ECL_SYM("ECASE",321), V3, T2, T5, T7);
  return value0;
 }
}
/*	function definition for CREATE-COMPONENT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74create_component(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V5 = ecl_make_fixnum(0);
   } else {
    i++;
    V5 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V6;                                  /*  COMPONENT       */
   T0 = ecl_fdefinition(VV[118]);
   V6 = cl_apply(8, T0, ECL_SYM("TYPE",1318), V1, ECL_SYM("NAME",1273), V2, VV[183], V5, V3);
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L8:;
    if ((V7)!=ECL_NIL) { goto L10; }
    goto L6;
L10:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(V3, V7);
     if (!(ecl_eql(VV[184],V8))) { goto L12; }
     if ((V8)!=ECL_NIL) { goto L5; }
     goto L6;
    }
L12:;
    V7 = si_seq_iterator_next(V3, V7);
    goto L8;
   }
L6:;
   {
    cl_object V7;
    if (Null(V4)) { goto L18; }
    V7 = ecl_function_dispatch(cl_env_copy,VV[487])(1, V4) /*  COMPONENT-LOAD-ONLY */;
    goto L17;
L18:;
    V7 = ECL_NIL;
L17:;
    ecl_structure_set(V6,VV[89],24,V7);
   }
L5:;
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L23:;
    if ((V7)!=ECL_NIL) { goto L25; }
    goto L21;
L25:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(V3, V7);
     if (!(ecl_eql(VV[185],V8))) { goto L27; }
     if ((V8)!=ECL_NIL) { goto L20; }
     goto L21;
    }
L27:;
    V7 = si_seq_iterator_next(V3, V7);
    goto L23;
   }
L21:;
   {
    cl_object V7;
    if (Null(V4)) { goto L33; }
    V7 = ecl_function_dispatch(cl_env_copy,VV[488])(1, V4) /*  COMPONENT-COMPILE-ONLY */;
    goto L32;
L33:;
    V7 = ECL_NIL;
L32:;
    ecl_structure_set(V6,VV[89],25,V7);
   }
L20:;
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L38:;
    if ((V7)!=ECL_NIL) { goto L40; }
    goto L36;
L40:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(V3, V7);
     if (!(ecl_eql(VV[186],V8))) { goto L42; }
     if ((V8)!=ECL_NIL) { goto L35; }
     goto L36;
    }
L42:;
    V7 = si_seq_iterator_next(V3, V7);
    goto L38;
   }
L36:;
   {
    cl_object V7;
    if (Null(V4)) { goto L48; }
    V7 = ecl_function_dispatch(cl_env_copy,VV[489])(1, V4) /*  COMPONENT-COMPILER-OPTIONS */;
    goto L47;
L48:;
    V7 = ECL_NIL;
L47:;
    ecl_structure_set(V6,VV[89],16,V7);
   }
L35:;
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, V3, ecl_make_fixnum(0));
L53:;
    if ((V7)!=ECL_NIL) { goto L55; }
    goto L51;
L55:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(V3, V7);
     if (!(ecl_eql(VV[187],V8))) { goto L57; }
     if ((V8)!=ECL_NIL) { goto L50; }
     goto L51;
    }
L57:;
    V7 = si_seq_iterator_next(V3, V7);
    goto L53;
   }
L51:;
   {
    cl_object V7;
    if (Null(V4)) { goto L63; }
    V7 = ecl_function_dispatch(cl_env_copy,VV[490])(1, V4) /*  COMPONENT-LOAD-ALWAYS */;
    goto L62;
L63:;
    V7 = ECL_NIL;
L62:;
    ecl_structure_set(V6,VV[89],26,V7);
   }
L50:;
   L62canonicalize_component_name(V6);
   {
    cl_object V7;
    value0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V6) /*  COMPONENT-PACKAGE */;
    if ((value0)!=ECL_NIL) { goto L69; }
    if (Null(V4)) { goto L71; }
    V7 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V4) /*  COMPONENT-PACKAGE */;
    goto L67;
L71:;
    V7 = ECL_NIL;
    goto L67;
L69:;
    V7 = value0;
    goto L67;
L67:;
    ecl_structure_set(V6,VV[89],12,V7);
   }
   if ((V1)==(VV[132])) { goto L75; }
   if ((V1)==(VV[122])) { goto L75; }
   if (!((V1)==(VV[188]))) { goto L73; }
   goto L74;
L75:;
L74:;
   T0 = L19canonicalize_system_name(V2);
   si_hash_set(T0, ecl_symbol_value(VV[55]), V6);
L73:;
   L77create_component_pathnames(V6, V4);
   T0 = ecl_plus(V5,ecl_make_fixnum(2));
   L79expand_component_components(2, V6, T0);
   T0 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V6) /*  COMPONENT-COMPONENTS */;
   L84link_component_depends_on(T0);
   {
    cl_object V7;
    T0 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V6) /*  COMPONENT-COMPONENTS */;
    V7 = L86topological_sort(T0);
    ecl_structure_set(V6,VV[89],17,V7);
   }
   value0 = V6;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for PREPROCESS-COMPONENT-DEFINITION       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75preprocess_component_definition(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET2328         */
   cl_object V3;                                  /*  SLOT            */
   cl_object V4;
   V2 = ecl_symbol_value(VV[87]);
   V3 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
   V4 = V2;
   {
    cl_object V5;                                 /*  VALUE           */
    V5 = ECL_NIL;
    {
     cl_object V6;
     cl_object V7;
     V6 = ecl_list1(ECL_NIL);
     V7 = V6;
L9:;
     if (!(ecl_endp(V4))) { goto L11; }
     goto L10;
L11:;
     V3 = _ecl_car(V4);
     {
      cl_object V8;
      V8 = _ecl_cdr(V4);
      if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
      V4 = V8;
     }
     V5 = cl_getf(2, V1, V3);
     if (Null(V5)) { goto L21; }
     cl_env_copy->values[0] = si_rem_f(V1, V3);
     {
      cl_object V9;
      cl_object V10;                              /*  FLAG            */
      V9 = cl_env_copy->values[0];
      V10 = cl_env_copy->values[1];
      V1 = V9;
     }
     {
      cl_object V8;
      V8 = cl_list(2, V3, V5);
      if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
      T2 = V7;
      (ECL_CONS_CDR(T2)=V8,T2);
      T1 = V8;
     }
     V7 = ecl_cdr(T1);
L21:;
     goto L9;
L10:;
     T0 = ecl_cdr(V6);
     goto L1;
    }
   }
  }
L1:;
  {
   cl_object V2;                                  /*  LET2330         */
   cl_object V3;                                  /*  SLOT            */
   cl_object V4;
   V2 = ecl_symbol_value(VV[88]);
   V3 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
   V4 = V2;
   {
    cl_object V5;
    cl_object V6;
    V5 = ecl_list1(ECL_NIL);
    V6 = V5;
L42:;
    if (!(ecl_endp(V4))) { goto L44; }
    goto L43;
L44:;
    V3 = _ecl_car(V4);
    {
     cl_object V7;
     V7 = _ecl_cdr(V4);
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     V4 = V7;
    }
    cl_env_copy->values[0] = si_rem_f(V1, V3);
    {
     cl_object V8;
     cl_object V9;                                /*  FLAG            */
     V8 = cl_env_copy->values[0];
     V9 = cl_env_copy->values[1];
     V1 = V8;
    }
    {
     cl_object V7;
     T3 = cl_getf(2, V1, V3);
     T4 = cl_list(3, ECL_SYM("LAMBDA",452), ECL_NIL, T3);
     V7 = cl_list(2, V3, T4);
     if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
     T3 = V6;
     (ECL_CONS_CDR(T3)=V7,T3);
     T2 = V7;
    }
    V6 = ecl_cdr(T2);
    goto L42;
L43:;
    T1 = ecl_cdr(V5);
    goto L35;
   }
  }
L35:;
  T2 = cl_list(2, ECL_SYM("QUOTE",679), V1);
  T3 = ecl_list1(T2);
  T4 = cl_append(3, T0, T1, T3);
  value0 = CONS(ECL_SYM("LIST*",482),T4);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function DEFSYSTEM                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76defsystem(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  DEFINITION-BODY */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   V5 = V3;
   {
    cl_object V6;
    V6 = si_make_seq_iterator(2, V5, ecl_make_fixnum(0));
L12:;
    if ((V6)!=ECL_NIL) { goto L14; }
    goto L10;
L14:;
    {
     cl_object V7;
     V7 = si_seq_iterator_ref(V5, V6);
     if (!(ecl_eql(VV[191],V7))) { goto L16; }
     if ((V7)!=ECL_NIL) { goto L9; }
     goto L10;
    }
L16:;
    V6 = si_seq_iterator_next(V5, V6);
    goto L12;
   }
L10:;
   V5 = cl_listX(3, VV[191], VV[192], V5);
L9:;
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T1 = L75preprocess_component_definition(V5);
   value0 = cl_listX(5, VV[189], VV[132], T0, T1, VV[193]);
   return value0;
  }
 }
}
/*	function definition for CREATE-COMPONENT-PATHNAMES            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77create_component_pathnames(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   value0 = ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */;
   if ((value0)!=ECL_NIL) { goto L4; }
   if (Null(V2)) { goto L6; }
   V3 = ecl_function_dispatch(cl_env_copy,VV[494])(1, V2) /*  COMPONENT-LANGUAGE */;
   goto L2;
L6:;
   V3 = ECL_NIL;
   goto L2;
L4:;
   V3 = value0;
   goto L2;
L2:;
   ecl_structure_set(V1,VV[89],13,V3);
  }
  {
   cl_object V3;
   value0 = ecl_function_dispatch(cl_env_copy,VV[495])(1, V1) /*  COMPONENT-COMPILER */;
   if ((value0)!=ECL_NIL) { goto L11; }
   if (Null(V2)) { goto L13; }
   V3 = ecl_function_dispatch(cl_env_copy,VV[495])(1, V2) /*  COMPONENT-COMPILER */;
   goto L9;
L13:;
   V3 = ECL_NIL;
   goto L9;
L11:;
   V3 = value0;
   goto L9;
L9:;
   ecl_structure_set(V1,VV[89],14,V3);
  }
  {
   cl_object V3;
   value0 = ecl_function_dispatch(cl_env_copy,VV[496])(1, V1) /*  COMPONENT-LOADER */;
   if ((value0)!=ECL_NIL) { goto L18; }
   if (Null(V2)) { goto L20; }
   V3 = ecl_function_dispatch(cl_env_copy,VV[496])(1, V2) /*  COMPONENT-LOADER */;
   goto L16;
L20:;
   V3 = ECL_NIL;
   goto L16;
L18:;
   V3 = value0;
   goto L16;
L16:;
   ecl_structure_set(V1,VV[89],15,V3);
  }
  {
   cl_object V3;
   T0 = L66component_root_dir(V1, VV[137]);
   V3 = cl_eval(T0);
   if (Null(V1)) { goto L22; }
   if (!(ecl_eql(VV[137],VV[137]))) { goto L25; }
   ecl_structure_set(V1,VV[89],6,V3);
   goto L22;
L25:;
   if (!(ecl_eql(VV[137],VV[159]))) { goto L27; }
   ecl_structure_set(V1,VV[89],10,V3);
   goto L22;
L27:;
   si_ecase_error(VV[137], VV[195]);
  }
L22:;
  {
   cl_object V3;
   T0 = L66component_root_dir(V1, VV[159]);
   V3 = cl_eval(T0);
   if (Null(V1)) { goto L29; }
   if (!(ecl_eql(VV[159],VV[137]))) { goto L32; }
   ecl_structure_set(V1,VV[89],6,V3);
   goto L29;
L32:;
   if (!(ecl_eql(VV[159],VV[159]))) { goto L34; }
   ecl_structure_set(V1,VV[89],10,V3);
   goto L29;
L34:;
   si_ecase_error(VV[159], VV[195]);
  }
L29:;
  {
   cl_object V3;
   T0 = L63component_pathname(V1, VV[137]);
   V3 = cl_eval(T0);
   if (Null(V1)) { goto L36; }
   if (!(ecl_eql(VV[137],VV[137]))) { goto L39; }
   ecl_structure_set(V1,VV[89],7,V3);
   goto L36;
L39:;
   if (!(ecl_eql(VV[137],VV[159]))) { goto L41; }
   ecl_structure_set(V1,VV[89],9,V3);
   goto L36;
L41:;
   si_ecase_error(VV[137], VV[195]);
  }
L36:;
  {
   cl_object V3;
   T0 = L63component_pathname(V1, VV[159]);
   V3 = cl_eval(T0);
   if (Null(V1)) { goto L43; }
   if (!(ecl_eql(VV[159],VV[137]))) { goto L46; }
   ecl_structure_set(V1,VV[89],7,V3);
   goto L43;
L46:;
   if (!(ecl_eql(VV[159],VV[159]))) { goto L48; }
   ecl_structure_set(V1,VV[89],9,V3);
   goto L43;
L48:;
   si_ecase_error(VV[159], VV[195]);
  }
L43:;
  {
   cl_object V3;
   value0 = ecl_function_dispatch(cl_env_copy,VV[471])(1, V1) /*  COMPONENT-HOST */;
   if ((value0)!=ECL_NIL) { goto L53; }
   if (Null(V2)) { goto L56; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[471])(1, V2) /*  COMPONENT-HOST */;
   goto L55;
L56:;
   value0 = ECL_NIL;
L55:;
   if ((value0)!=ECL_NIL) { goto L53; }
   V3 = cl_pathname_host(1, ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",32)));
   goto L51;
L53:;
   V3 = value0;
   goto L51;
L51:;
   ecl_structure_set(V1,VV[89],4,V3);
  }
  {
   cl_object V3;
   value0 = ecl_function_dispatch(cl_env_copy,VV[472])(1, V1) /*  COMPONENT-DEVICE */;
   if ((value0)!=ECL_NIL) { goto L61; }
   if (Null(V2)) { goto L63; }
   V3 = ecl_function_dispatch(cl_env_copy,VV[472])(1, V2) /*  COMPONENT-DEVICE */;
   goto L59;
L63:;
   V3 = ECL_NIL;
   goto L59;
L61:;
   V3 = value0;
   goto L59;
L59:;
   ecl_structure_set(V1,VV[89],5,V3);
  }
  {
   cl_object V3;
   value0 = L72component_extension(4, V1, VV[137], ECL_SYM("LOCAL",1268), ECL_T);
   if ((value0)!=ECL_NIL) { goto L68; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */)) { goto L71; }
   value0 = L120default_source_extension(V1);
   goto L70;
L71:;
   value0 = ECL_NIL;
L70:;
   if ((value0)!=ECL_NIL) { goto L68; }
   if (Null(V2)) { goto L73; }
   V3 = L72component_extension(2, V2, VV[137]);
   goto L66;
L73:;
   V3 = ECL_NIL;
   goto L66;
L68:;
   V3 = value0;
   goto L66;
L66:;
   if (!(ecl_eql(VV[137],VV[137]))) { goto L75; }
   ecl_structure_set(V1,VV[89],8,V3);
   goto L65;
L75:;
   if (!(ecl_eql(VV[137],VV[159]))) { goto L77; }
   ecl_structure_set(V1,VV[89],11,V3);
   goto L65;
L77:;
   if (!(ecl_eql(VV[137],ECL_SYM("ERROR",1229)))) { goto L79; }
   cl_set(VV[26],V3);
   goto L65;
L79:;
   si_ecase_error(VV[137], VV[162]);
  }
L65:;
  {
   cl_object V3;
   value0 = L72component_extension(4, V1, VV[159], ECL_SYM("LOCAL",1268), ECL_T);
   if ((value0)!=ECL_NIL) { goto L85; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */)) { goto L88; }
   value0 = L121default_binary_extension(V1);
   goto L87;
L88:;
   value0 = ECL_NIL;
L87:;
   if ((value0)!=ECL_NIL) { goto L85; }
   if (Null(V2)) { goto L90; }
   V3 = L72component_extension(2, V2, VV[159]);
   goto L83;
L90:;
   V3 = ECL_NIL;
   goto L83;
L85:;
   V3 = value0;
   goto L83;
L83:;
   if (!(ecl_eql(VV[159],VV[137]))) { goto L92; }
   ecl_structure_set(V1,VV[89],8,V3);
   goto L82;
L92:;
   if (!(ecl_eql(VV[159],VV[159]))) { goto L94; }
   ecl_structure_set(V1,VV[89],11,V3);
   goto L82;
L94:;
   if (!(ecl_eql(VV[159],ECL_SYM("ERROR",1229)))) { goto L96; }
   cl_set(VV[26],V3);
   goto L82;
L96:;
   si_ecase_error(VV[159], VV[162]);
  }
L82:;
  L78generate_component_pathname(V1, V2, VV[137]);
  value0 = L78generate_component_pathname(V1, V2, VV[159]);
  return value0;
 }
}
/*	function definition for GENERATE-COMPONENT-PATHNAME           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L78generate_component_pathname(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;
   V4 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
   if (!(ecl_eql(V4,VV[132]))) { goto L7; }
   goto L4;
   goto L5;
L7:;
   goto L5;
L5:;
   if (!(ecl_eql(V4,VV[122]))) { goto L2; }
   goto L3;
L4:;
L3:;
   {
    cl_object V5;
    value0 = L63component_pathname(V1, V3);
    if ((value0)!=ECL_NIL) { goto L13; }
    if (!((V3)==(VV[159]))) { goto L15; }
    V5 = L66component_root_dir(V1, VV[137]);
    goto L11;
L15:;
    V5 = ECL_NIL;
    goto L11;
L13:;
    V5 = value0;
    goto L11;
L11:;
    if (Null(V1)) { goto L10; }
    if (!(ecl_eql(V3,VV[137]))) { goto L18; }
    ecl_structure_set(V1,VV[89],6,V5);
    goto L10;
L18:;
    if (!(ecl_eql(V3,VV[159]))) { goto L20; }
    ecl_structure_set(V1,VV[89],10,V5);
    goto L10;
L20:;
    si_ecase_error(V3, VV[195]);
   }
L10:;
   if (Null(V1)) { goto L22; }
   if (!(ecl_eql(V3,VV[137]))) { goto L24; }
   value0 = ecl_structure_set(V1,VV[89],7,ECL_NIL);
   cl_env_copy->nvalues = 1;
   return value0;
L24:;
   if (!(ecl_eql(V3,VV[159]))) { goto L26; }
   value0 = ecl_structure_set(V1,VV[89],9,ECL_NIL);
   cl_env_copy->nvalues = 1;
   return value0;
L26:;
   value0 = si_ecase_error(V3, VV[195]);
   return value0;
L22:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   if (!(ecl_eql(V4,VV[135]))) { goto L28; }
   if (Null(V1)) { goto L30; }
   if (!(ecl_eql(V3,VV[137]))) { goto L32; }
   ecl_structure_set(V1,VV[89],6,_ecl_static_13);
   goto L30;
L32:;
   if (!(ecl_eql(V3,VV[159]))) { goto L34; }
   ecl_structure_set(V1,VV[89],10,_ecl_static_13);
   goto L30;
L34:;
   si_ecase_error(V3, VV[195]);
L30:;
   T0 = L63component_pathname(V1, V3);
   if (Null(L13null_string(T0))) { goto L36; }
   if (Null(V1)) { goto L36; }
   if (!(ecl_eql(V3,VV[137]))) { goto L39; }
   ecl_structure_set(V1,VV[89],7,ECL_NIL);
   goto L36;
L39:;
   if (!(ecl_eql(V3,VV[159]))) { goto L41; }
   ecl_structure_set(V1,VV[89],9,ECL_NIL);
   goto L36;
L41:;
   si_ecase_error(V3, VV[195]);
L36:;
   {
    cl_object V5;
    if (!((V3)==(VV[159]))) { goto L47; }
    T0 = L63component_pathname(V1, VV[159]);
    if (!(T0==ECL_NIL)) { goto L47; }
    value0 = L63component_pathname(V1, VV[137]);
    goto L46;
L47:;
    value0 = ECL_NIL;
L46:;
    if ((value0)!=ECL_NIL) { goto L45; }
    if (Null(L63component_pathname(V1, V3))) { goto L53; }
    value0 = L63component_pathname(V1, V3);
    goto L52;
L53:;
    value0 = ECL_NIL;
L52:;
    if ((value0)!=ECL_NIL) { goto L51; }
    V5 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    goto L43;
L51:;
    V5 = value0;
    goto L43;
L45:;
    V5 = value0;
    goto L43;
L43:;
    if (Null(V1)) { goto L55; }
    if (!(ecl_eql(V3,VV[137]))) { goto L57; }
    value0 = ecl_structure_set(V1,VV[89],7,V5);
    cl_env_copy->nvalues = 1;
    return value0;
L57:;
    if (!(ecl_eql(V3,VV[159]))) { goto L59; }
    value0 = ecl_structure_set(V1,VV[89],9,V5);
    cl_env_copy->nvalues = 1;
    return value0;
L59:;
    value0 = si_ecase_error(V3, VV[195]);
    return value0;
L55:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L28:;
   if (!(ecl_eql(V4,VV[199]))) { goto L66; }
   goto L63;
   goto L64;
L66:;
   goto L64;
L64:;
   if (!(ecl_eql(V4,VV[188]))) { goto L61; }
   goto L62;
L63:;
L62:;
   {
    cl_object V6;
    V6 = L66component_root_dir(V2, V3);
    if (Null(V1)) { goto L69; }
    if (!(ecl_eql(V3,VV[137]))) { goto L72; }
    ecl_structure_set(V1,VV[89],6,V6);
    goto L69;
L72:;
    if (!(ecl_eql(V3,VV[159]))) { goto L74; }
    ecl_structure_set(V1,VV[89],10,V6);
    goto L69;
L74:;
    si_ecase_error(V3, VV[195]);
   }
L69:;
   {
    cl_object V6;
    if (!((V3)==(VV[159]))) { goto L80; }
    T0 = L63component_pathname(V1, VV[159]);
    if (!(T0==ECL_NIL)) { goto L80; }
    value0 = L63component_pathname(V1, VV[137]);
    goto L79;
L80:;
    value0 = ECL_NIL;
L79:;
    if ((value0)!=ECL_NIL) { goto L78; }
    T0 = L63component_pathname(V2, V3);
    value0 = L63component_pathname(V1, V3);
    if ((value0)!=ECL_NIL) { goto L85; }
    T1 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    goto L83;
L85:;
    T1 = value0;
    goto L83;
L83:;
    V6 = L30append_directories(T0, T1);
    goto L76;
L78:;
    V6 = value0;
    goto L76;
L76:;
    if (Null(V1)) { goto L87; }
    if (!(ecl_eql(V3,VV[137]))) { goto L89; }
    value0 = ecl_structure_set(V1,VV[89],7,V6);
    cl_env_copy->nvalues = 1;
    return value0;
L89:;
    if (!(ecl_eql(V3,VV[159]))) { goto L91; }
    value0 = ecl_structure_set(V1,VV[89],9,V6);
    cl_env_copy->nvalues = 1;
    return value0;
L91:;
    value0 = si_ecase_error(V3, VV[195]);
    return value0;
L87:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L61:;
   if (!(ecl_eql(V4,ECL_SYM("FILE",1237)))) { goto L93; }
   {
    cl_object V7;
    V7 = L66component_root_dir(V2, V3);
    if (Null(V1)) { goto L95; }
    if (!(ecl_eql(V3,VV[137]))) { goto L98; }
    ecl_structure_set(V1,VV[89],6,V7);
    goto L95;
L98:;
    if (!(ecl_eql(V3,VV[159]))) { goto L100; }
    ecl_structure_set(V1,VV[89],10,V7);
    goto L95;
L100:;
    si_ecase_error(V3, VV[195]);
   }
L95:;
   T0 = L63component_pathname(V1, V3);
   if (Null(L13null_string(T0))) { goto L102; }
   if (Null(V1)) { goto L102; }
   if (!(ecl_eql(V3,VV[137]))) { goto L105; }
   ecl_structure_set(V1,VV[89],7,ECL_NIL);
   goto L102;
L105:;
   if (!(ecl_eql(V3,VV[159]))) { goto L107; }
   ecl_structure_set(V1,VV[89],9,ECL_NIL);
   goto L102;
L107:;
   si_ecase_error(V3, VV[195]);
L102:;
   {
    cl_object V7;
    T0 = L63component_pathname(V2, V3);
    value0 = L63component_pathname(V1, V3);
    if ((value0)!=ECL_NIL) { goto L112; }
    value0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    if ((value0)!=ECL_NIL) { goto L112; }
    if (!((V3)==(VV[159]))) { goto L115; }
    T1 = L63component_pathname(V1, VV[137]);
    goto L110;
L115:;
    T1 = ECL_NIL;
    goto L110;
L112:;
    T1 = value0;
    goto L110;
L110:;
    V7 = L30append_directories(T0, T1);
    if (Null(V1)) { goto L117; }
    if (!(ecl_eql(V3,VV[137]))) { goto L119; }
    value0 = ecl_structure_set(V1,VV[89],7,V7);
    cl_env_copy->nvalues = 1;
    return value0;
L119:;
    if (!(ecl_eql(V3,VV[159]))) { goto L121; }
    value0 = ecl_structure_set(V1,VV[89],9,V7);
    cl_env_copy->nvalues = 1;
    return value0;
L121:;
    value0 = si_ecase_error(V3, VV[195]);
    return value0;
L117:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L93:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for EXPAND-COMPONENT-COMPONENTS           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79expand_component_components(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ecl_make_fixnum(0);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  DEFINITIONS     */
   V3 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V1) /*  COMPONENT-COMPONENTS */;
   T0 = ecl_car(V3);
   if (!((T0)==(VV[203]))) { goto L3; }
   {
    cl_object V4;
    T0 = ecl_cdr(V3);
    V4 = L81expand_serial_component_chain(3, T0, V1, V2);
    value0 = ecl_structure_set(V1,VV[89],17,V4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L3:;
   {
    cl_object V5;
    V5 = L80expand_component_definitions(3, V3, V1, V2);
    value0 = ecl_structure_set(V1,VV[89],17,V5);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for EXPAND-COMPONENT-DEFINITIONS          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80expand_component_definitions(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_make_fixnum(0);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  COMPONENTS      */
   V4 = ECL_NIL;
   {
    cl_object V5;
    V5 = V1;
    goto L7;
L6:;
    {
     cl_object V6;                                /*  DEFINITION      */
     V6 = ecl_car(V5);
     {
      cl_object V7;                               /*  NEW             */
      V7 = L83expand_component_definition(3, V6, V2, V3);
      if (Null(V7)) { goto L11; }
      V4 = CONS(V7,V4);
     }
L11:;
    }
    V5 = ecl_cdr(V5);
L7:;
    if (Null(V5)) { goto L17; }
    goto L6;
L17:;
   }
   value0 = cl_nreverse(V4);
   return value0;
  }
 }
}
/*	function definition for EXPAND-SERIAL-COMPONENT-CHAIN         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81expand_serial_component_chain(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_make_fixnum(0);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  PREVIOUS        */
   cl_object V5;                                  /*  COMPONENTS      */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   {
    cl_object V6;
    V6 = V1;
    goto L8;
L7:;
    {
     cl_object V7;                                /*  DEFINITION      */
     V7 = ecl_car(V6);
     {
      cl_object V8;                               /*  NEW             */
      V8 = L83expand_component_definition(3, V7, V2, V3);
      if (Null(V8)) { goto L12; }
      if (Null(V4)) { goto L15; }
      {
       cl_object V9;
       T0 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V8) /*  COMPONENT-DEPENDS-ON */;
       V9 = cl_adjoin(2, V4, T0);
       ecl_structure_set(V8,VV[89],18,V9);
      }
L15:;
      V4 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V8) /*  COMPONENT-NAME */;
      V5 = CONS(V8,V5);
     }
L12:;
    }
    V6 = ecl_cdr(V6);
L8:;
    if (Null(V6)) { goto L23; }
    goto L7;
L23:;
   }
   value0 = cl_nreverse(V5);
   return value0;
  }
 }
}
/*	function definition for ABSOLUTE-FILE-NAMESTRING-P            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82absolute_file_namestring_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;
   V2 = si_make_seq_iterator(2, V1, ecl_make_fixnum(0));
L5:;
   if ((V2)!=ECL_NIL) { goto L7; }
   value0 = ECL_NIL;
   goto L3;
L7:;
   {
    cl_object V3;
    V3 = si_seq_iterator_ref(V1, V2);
    if (!(ecl_char_code(CODE_CHAR(58))==ecl_char_code(V3))) { goto L9; }
    value0 = V3;
    goto L3;
   }
L9:;
   V2 = si_seq_iterator_next(V1, V2);
   goto L5;
  }
L3:;
  if ((value0)!=ECL_NIL) { goto L2; }
  if ((L13null_string(V1))!=ECL_NIL) { goto L15; }
  {
   ecl_character V2;
   V2 = ecl_char(V1,0);
   value0 = ecl_make_bool((V2)==((ecl_character)(47)));
   cl_env_copy->nvalues = 1;
   return value0;
  }
L15:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for EXPAND-COMPONENT-DEFINITION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83expand_component_definition(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_make_fixnum(0);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(V1==ECL_NIL)) { goto L2; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!(ECL_STRINGP(V1))) { goto L4; }
  if (Null(ecl_symbol_value(VV[207]))) { goto L6; }
  if (Null(L82absolute_file_namestring_p(V1))) { goto L6; }
  value0 = L74create_component(5, VV[135], V1, ECL_NIL, V2, V3);
  return value0;
L6:;
  value0 = L74create_component(5, ECL_SYM("FILE",1237), V1, ECL_NIL, V2, V3);
  return value0;
L4:;
  if (!(ECL_LISTP(V1))) { goto L9; }
  T0 = ecl_car(V1);
  if ((ecl_memql(T0,VV[115]))!=ECL_NIL) { goto L9; }
  T0 = ecl_car(V1);
  T1 = ecl_cdr(V1);
  value0 = L74create_component(5, ECL_SYM("FILE",1237), T0, T1, V2, V3);
  return value0;
L9:;
  if (!(ECL_LISTP(V1))) { goto L12; }
  T0 = ecl_car(V1);
  T1 = ecl_cadr(V1);
  T2 = ecl_cddr(V1);
  value0 = L74create_component(5, T0, T1, T2, V2, V3);
  return value0;
L12:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LINK-COMPONENT-DEPENDS-ON             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84link_component_depends_on(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;
   V2 = V1;
   goto L4;
L3:;
   {
    cl_object V3;                                 /*  COMPONENT       */
    V3 = ecl_car(V2);
    if (Null(ecl_symbol_value(VV[32]))) { goto L11; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V3) /*  COMPONENT-TYPE */;
    if ((T0)==(VV[132])) { goto L8; }
    goto L9;
L11:;
    goto L9;
L9:;
    {
     cl_object V4;
     {
      cl_object V5;                               /*  LET2334         */
      cl_object V6;
      cl_object V7;
      V5 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V3) /*  COMPONENT-DEPENDS-ON */;
      V6 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
      V7 = V5;
      {
       cl_object V8;
       cl_object V9;
       V8 = ecl_list1(ECL_NIL);
       V9 = V8;
L20:;
       if (!(ecl_endp(V7))) { goto L22; }
       goto L21;
L22:;
       V6 = _ecl_car(V7);
       {
        cl_object V10;
        V10 = _ecl_cdr(V7);
        if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
        V7 = V10;
       }
       if (ecl_unlikely(ECL_ATOM(V9))) FEtype_error_cons(V9);
       T0 = V9;
       {
        cl_object V10;                            /*  PARENT          */
        {
         cl_object V11;
         V11 = cl_string(V6);
         {
          cl_object V12;
          V12 = si_make_seq_iterator(2, V1, ecl_make_fixnum(0));
L38:;
          if ((V12)!=ECL_NIL) { goto L40; }
          V10 = ECL_NIL;
          goto L35;
L40:;
          {
          cl_object V13;
          V13 = si_seq_iterator_ref(V1, V12);
          T2 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V13) /*  COMPONENT-NAME */;
          if (Null(cl_string_equal(2, V11, T2))) { goto L42; }
          V10 = V13;
          goto L35;
          }
L42:;
          V12 = si_seq_iterator_next(V1, V12);
          goto L38;
         }
        }
L35:;
        if (Null(V10)) { goto L47; }
        T1 = V10;
        goto L34;
L47:;
        T1 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(3, _ecl_static_90, V6, V3) /*  WARN */;
       }
L34:;
       V9 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=V9,T0);
       goto L20;
L21:;
       V4 = ecl_cdr(V8);
       goto L13;
      }
     }
L13:;
     ecl_structure_set(V3,VV[89],18,V4);
    }
L8:;
   }
   V2 = ecl_cdr(V2);
L4:;
   if (Null(V2)) { goto L53; }
   goto L3;
L53:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for TOPOLOGICAL-SORT                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L86topological_sort(cl_object V1)
{
 cl_object T0;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  lex0[0] = ECL_NIL;                              /*  SORTED-LIST     */
  {
   cl_object V2;
   V2 = V1;
   goto L5;
L4:;
   {
    cl_object V3;                                 /*  ZNODE           */
    V3 = ecl_car(V2);
    ecl_structure_set(V3,VV[73],0,VV[77]);
   }
   V2 = ecl_cdr(V2);
L5:;
   if (Null(V2)) { goto L12; }
   goto L4;
L12:;
  }
  {
   cl_object V2;
   V2 = V1;
   goto L18;
L17:;
   {
    cl_object V3;                                 /*  ZNODE           */
    V3 = ecl_car(V2);
    T0 = ecl_function_dispatch(cl_env_copy,VV[505])(1, V3) /*  TOPSORT-COLOR */;
    if (!((T0)==(VV[77]))) { goto L22; }
    LC85dfs_visit(lex0, V3);
L22:;
   }
   V2 = ecl_cdr(V2);
L18:;
   if (Null(V2)) { goto L26; }
   goto L17;
L26:;
  }
  value0 = cl_nreverse(lex0[0]);
  return value0;
 }
}
/*	local function DFS-VISIT                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85dfs_visit(volatile cl_object *lex0, cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_structure_set(V1,VV[73],0,VV[78]);
  if (Null(ecl_symbol_value(VV[32]))) { goto L5; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
  if ((T0)==(VV[122])) { goto L2; }
  goto L3;
L5:;
  goto L3;
L3:;
  {
   cl_object V2;
   V2 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V1) /*  COMPONENT-DEPENDS-ON */;
   goto L10;
L9:;
   {
    cl_object V3;                                 /*  CHILD           */
    V3 = ecl_car(V2);
    T0 = ecl_function_dispatch(cl_env_copy,VV[505])(1, V3) /*  TOPSORT-COLOR */;
    if (!((T0)==(VV[77]))) { goto L15; }
    LC85dfs_visit(lex0, V3);
    goto L14;
L15:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[505])(1, V3) /*  TOPSORT-COLOR */;
    if (!((T0)==(VV[78]))) { goto L14; }
    cl_format(3, ECL_T, _ecl_static_91, V3);
L14:;
   }
   V2 = ecl_cdr(V2);
L10:;
   if (Null(V2)) { goto L20; }
   goto L9;
L20:;
  }
L2:;
  ecl_structure_set(V1,VV[73],0,VV[80]);
  lex0[0] = CONS(V1,lex0[0]);
  value0 = lex0[0];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for SPLIT-STRING                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87split_string(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L87split_stringkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    V2 = CODE_CHAR(32);
   } else {
    V2 = keyvars[0];
   }
   if (Null(keyvars[3])) {
    V3 = (ECL_SYM("CHAR=",219)->symbol.gfdef);
   } else {
    V3 = keyvars[1];
   }
  }
  {
   cl_fixnum V4;                                  /*  LET2335         */
   cl_object V5;                                  /*  INDEX           */
   cl_object V6;                                  /*  RESULT          */
   V4 = ecl_length(V1);
   V5 = ecl_make_fixnum(0);
   V6 = ECL_NIL;
   {
    cl_object V7;                                 /*  I               */
    V7 = ecl_make_fixnum(0);
    goto L9;
L8:;
    T0 = cl_char(V1, V7);
    if (Null(ecl_function_dispatch(cl_env_copy,V3)(2, T0, V2))) { goto L11; }
    if (ecl_number_equalp(V5,V7)) { goto L13; }
    T0 = cl_subseq(3, V1, V5, V7);
    V6 = CONS(T0,V6);
L13:;
    V5 = ecl_one_plus(V7);
L11:;
    V7 = ecl_one_plus(V7);
L9:;
    if (!(ecl_number_compare(V7,ecl_make_fixnum(V4))<0)) { goto L19; }
    goto L8;
L19:;
    if (ecl_number_equalp(V5,ecl_make_fixnum(V4))) { goto L21; }
    T0 = cl_subseq(2, V1, V5);
    V6 = CONS(T0,V6);
L21:;
    value0 = cl_reverse(V6);
    return value0;
   }
  }
 }
}
/*	function definition for PROMPT-STRING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88prompt_string(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_symbol_value(VV[17]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[510])(1, V1) /*  COMPONENT-INDENT */;
  value0 = cl_format(4, ECL_NIL, _ecl_static_92, T0, T1);
  return value0;
 }
}
/*	function definition for FORMAT-JUSTIFIED-STRING               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L89format_justified_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ecl_make_fixnum(80);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67));
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  PROMPT-LENGTH   */
   {
    cl_fixnum V6;
    V6 = ecl_length(V1);
    V5 = ecl_plus(ecl_make_fixnum(2),ecl_make_fixnum(V6));
   }
   {
    cl_fixnum V6;
    V6 = ecl_length(V2);
    T0 = ecl_plus(V5,ecl_make_fixnum(V6));
    if (!(ecl_number_compare(T0,V3)<0)) { goto L5; }
   }
   cl_format(4, V4, _ecl_static_93, V1, V2);
   goto L3;
L5:;
   cl_format(3, V4, _ecl_static_94, V1);
   {
    cl_object V6;                                 /*  CURSOR          */
    cl_object V7;                                 /*  CONTENTS        */
    cl_object V8;                                 /*  CONTENT         */
    cl_object V9;                                 /*  CONTENT-LENGTH  */
    V6 = V5;
    V7 = L87split_string(1, V2);
    V8 = ecl_car(V7);
    {
     cl_fixnum V10;
     V10 = ecl_length(V8);
     V9 = ecl_make_integer((V10)+1);
    }
    goto L14;
L13:;
    T0 = ecl_plus(V6,V9);
    if (!(ecl_number_compare(T0,V3)<0)) { goto L17; }
    V6 = ecl_plus(V6,V9);
    cl_format(3, V4, _ecl_static_95, V8);
    goto L16;
L17:;
    V6 = ecl_plus(V5,V9);
    cl_format(4, V4, _ecl_static_96, V1, V8);
L16:;
    V7 = ecl_cdr(V7);
    V8 = ecl_car(V7);
    {
     cl_fixnum V10;
     V10 = ecl_length(V8);
     V9 = ecl_make_integer((V10)+1);
    }
L14:;
    if (V7==ECL_NIL) { goto L29; }
    goto L13;
L29:;
   }
  }
L3:;
  value0 = cl_finish_output(1, V4);
  return value0;
 }
}
/*	function definition for TELL-USER                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90tell_user(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  cl_object V5;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V5 = ECL_NIL;
   } else {
    i++;
    V5 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((ecl_symbol_value(VV[16]))!=ECL_NIL) { goto L6; }
  if (Null(V5)) { goto L4; }
  goto L5;
L6:;
L5:;
  T0 = L88prompt_string(V2);
  if (!((V1)==(ECL_SYM("COMPILE",233)))) { goto L14; }
  goto L11;
  goto L12;
L14:;
  goto L12;
L12:;
  if (!(ecl_eql(V1,VV[216]))) { goto L9; }
  goto L10;
L11:;
L10:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[487])(1, V2) /*  COMPONENT-LOAD-ONLY */)) { goto L17; }
  T1 = _ecl_static_98;
  goto L8;
L17:;
  T1 = _ecl_static_99;
  goto L8;
L9:;
  if (!((V1)==(ECL_SYM("LOAD",487)))) { goto L24; }
  goto L21;
  goto L22;
L24:;
  goto L22;
L22:;
  if (!(ecl_eql(V1,VV[154]))) { goto L19; }
  goto L20;
L21:;
L20:;
  T1 = _ecl_static_98;
  goto L8;
L19:;
  T1 = V1;
L8:;
  T2 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V2) /*  COMPONENT-TYPE */;
  if (Null(V3)) { goto L31; }
  value0 = L69component_full_pathname(2, V2, V3);
  goto L30;
L31:;
  value0 = ECL_NIL;
L30:;
  if ((value0)!=ECL_NIL) { goto L29; }
  T3 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V2) /*  COMPONENT-NAME */;
  goto L27;
L29:;
  T3 = value0;
  goto L27;
L27:;
  if (Null(ecl_symbol_value(VV[15]))) { goto L35; }
  T4 = Null(V4)?ECL_T:ECL_NIL;
  goto L33;
L35:;
  T4 = ECL_NIL;
  goto L33;
L33:;
  T5 = cl_format(6, ECL_NIL, _ecl_static_97, T1, T2, T3, T4);
  value0 = L89format_justified_string(2, T0, T5);
  return value0;
L4:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for TELL-USER-DONE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91tell_user_done(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(ecl_symbol_value(VV[15]))) { goto L3; }
  if ((ecl_symbol_value(VV[16]))!=ECL_NIL) { goto L6; }
  if (Null(V2)) { goto L3; }
  goto L4;
L6:;
L4:;
  T0 = L88prompt_string(V1);
  T1 = Null(V3)?ECL_T:ECL_NIL;
  cl_format(4, ECL_T, _ecl_static_100, T0, T1);
  value0 = cl_finish_output(1, ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)));
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITH-TELL-USER                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC92with_tell_user(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  WHAT            */
   cl_object V7;                                  /*  COMPONENT       */
   cl_object V8;                                  /*  TYPE            */
   cl_object V9;                                  /*  NO-DOTS         */
   cl_object V10;                                 /*  FORCE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V11;
    V11 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V11;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V11;
    V11 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V11;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V11;
    V11 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V11;
   }
   if (Null(V5)) { goto L22; }
   {
    cl_object V11;
    V11 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V11;
    goto L21;
   }
L22:;
   V8 = ECL_NIL;
L21:;
   if (Null(V5)) { goto L28; }
   {
    cl_object V11;
    V11 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V9 = V11;
    goto L27;
   }
L28:;
   V9 = ECL_NIL;
L27:;
   if (Null(V5)) { goto L34; }
   {
    cl_object V11;
    V11 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V10 = V11;
    goto L33;
   }
L34:;
   V10 = ECL_NIL;
L33:;
   if (Null(V5)) { goto L39; }
   si_dm_too_many_arguments(V1);
L39:;
   T0 = cl_list(6, VV[220], V6, V7, V8, V9, V10);
   T1 = cl_list(4, VV[221], V7, V10, V9);
   T2 = ecl_list1(T1);
   T3 = ecl_append(V3,T2);
   value0 = cl_listX(3, ECL_SYM("PROGN",671), T0, T3);
   return value0;
  }
 }
}
/*	function definition for TELL-USER-NO-FILES                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L93tell_user_no_files(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if ((ecl_symbol_value(VV[16]))!=ECL_NIL) { goto L4; }
  if (Null(V2)) { goto L2; }
  goto L3;
L4:;
L3:;
  T0 = L88prompt_string(V1);
  T1 = L69component_full_pathname(2, V1, VV[137]);
  value0 = ecl_symbol_value(VV[18]);
  if ((value0)!=ECL_NIL) { goto L8; }
  T2 = ecl_symbol_value(VV[20]);
  goto L6;
L8:;
  T2 = value0;
  goto L6;
L6:;
  T3 = L69component_full_pathname(2, V1, VV[159]);
  T4 = cl_format(5, ECL_NIL, _ecl_static_101, T1, T2, T3);
  value0 = L89format_justified_string(2, T0, T4);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for TELL-USER-REQUIRE-SYSTEM              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94tell_user_require_system(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[16]))) { goto L1; }
  T0 = ecl_symbol_value(VV[17]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V2) /*  COMPONENT-NAME */;
  cl_format(5, ECL_T, _ecl_static_102, T0, T1, V1);
  value0 = cl_finish_output(1, ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)));
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for TELL-USER-GENERIC                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95tell_user_generic(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[16]))) { goto L1; }
  cl_format(4, ECL_T, _ecl_static_103, ecl_symbol_value(VV[17]), V1);
  value0 = cl_finish_output(1, ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",67)));
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INTERNAL-REAL-TIME-IN-SECONDS         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L96internal_real_time_in_seconds()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_get_universal_time();
  return value0;
 }
}
/*	function definition for READ-CHAR-WAIT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97read_char_wait(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ecl_make_fixnum(20);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_T;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  PEEK            */
   V5 = ECL_NIL;
   {
    cl_object V6;                                 /*  START           */
    V6 = L96internal_real_time_in_seconds();
    goto L9;
L8:;
    if (ecl_zerop(ecl_symbol_value(VV[228]))) { goto L11; }
    cl_sleep(ecl_symbol_value(VV[228]));
L11:;
L9:;
    V5 = cl_listen(1, V2);
    if ((V5)!=ECL_NIL) { goto L13; }
    T0 = ecl_plus(V6,V1);
    T1 = L96internal_real_time_in_seconds();
    if (ecl_number_compare(T0,T1)<0) { goto L13; }
    goto L8;
L13:;
    if (Null(V5)) { goto L17; }
    value0 = cl_read_char(3, V2, V3, V4);
    return value0;
L17:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for Y-OR-N-P-WAIT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L98y_or_n_p_wait(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   int i = 0;
   if (i >= narg) {
    V1 = CODE_CHAR(121);
   } else {
    i++;
    V1 = ecl_va_arg(args);
   }
   if (i >= narg) {
    V2 = ecl_make_fixnum(20);
   } else {
    i++;
    V2 = ecl_va_arg(args);
   }
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = ecl_va_arg(args);
   }
  }
  V4 = cl_grab_rest_args(args);
  ecl_va_end(args);
  if (Null(ecl_symbol_value(VV[227]))) { goto L4; }
  cl_clear_input(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
L4:;
  if (Null(V3)) { goto L6; }
  cl_fresh_line(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
  T0 = (ECL_SYM("FORMAT",387)->symbol.gfdef);
  cl_apply(4, T0, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), V3, V4);
  cl_finish_output(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
L6:;
L11:;
  {
   cl_object V5;                                  /*  READ-CHAR       */
   cl_object V6;                                  /*  CHAR            */
   if (Null(ecl_symbol_value(VV[226]))) { goto L14; }
   V5 = L97read_char_wait(4, V2, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), ECL_NIL, ECL_NIL);
   goto L13;
L14:;
   V5 = cl_read_char(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
L13:;
   value0 = V5;
   if ((value0)!=ECL_NIL) { goto L18; }
   V6 = V1;
   goto L16;
L18:;
   V6 = value0;
   goto L16;
L16:;
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, VV[231], ecl_make_fixnum(0));
L22:;
    if ((V7)!=ECL_NIL) { goto L24; }
    goto L20;
L24:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(VV[231], V7);
     if (!(ecl_eql(V6,V8))) { goto L26; }
     if ((V8)!=ECL_NIL) { goto L12; }
     goto L20;
    }
L26:;
    V7 = si_seq_iterator_next(VV[231], V7);
    goto L22;
   }
L20:;
   if (!(V5==ECL_NIL)) { goto L31; }
   cl_format(3, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), _ecl_static_105, V1);
   cl_finish_output(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
L31:;
   if (!(V6==ECL_NIL)) { goto L34; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L34:;
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, VV[232], ecl_make_fixnum(0));
L39:;
    if ((V7)!=ECL_NIL) { goto L41; }
    goto L36;
L41:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(VV[232], V7);
     if (!(ecl_char_code(V6)==ecl_char_code(V8))) { goto L43; }
     if (Null(V8)) { goto L36; }
     goto L37;
    }
L43:;
    V7 = si_seq_iterator_next(VV[232], V7);
    goto L39;
   }
L37:;
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L36:;
   {
    cl_object V7;
    V7 = si_make_seq_iterator(2, VV[233], ecl_make_fixnum(0));
L51:;
    if ((V7)!=ECL_NIL) { goto L53; }
    goto L48;
L53:;
    {
     cl_object V8;
     V8 = si_seq_iterator_ref(VV[233], V7);
     if (!(ecl_char_code(V6)==ecl_char_code(V8))) { goto L55; }
     if (Null(V8)) { goto L48; }
     goto L49;
    }
L55:;
    V7 = si_seq_iterator_next(VV[233], V7);
    goto L51;
   }
L49:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L48:;
   if (Null(ecl_symbol_value(VV[227]))) { goto L60; }
   cl_clear_input(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
L60:;
   cl_format(2, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), _ecl_static_106);
   if (Null(V3)) { goto L63; }
   cl_fresh_line(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
   T0 = (ECL_SYM("FORMAT",387)->symbol.gfdef);
   cl_apply(4, T0, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)), V3, V4);
L63:;
   cl_finish_output(1, ecl_symbol_value(ECL_SYM("*QUERY-IO*",59)));
  }
L12:;
  goto L11;
 }
}
/*	local function WITH-SPECIAL-COMPONENT-VARS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99with_special_component_vars(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  C               */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V7;
    V7 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V7;
   }
   if (Null(V5)) { goto L15; }
   si_dm_too_many_arguments(V1);
L15:;
   T0 = cl_list(2, VV[235], V6);
   T1 = ecl_list1(T0);
   value0 = cl_listX(4, ECL_SYM("LET",477), T1, VV[236], V3);
   return value0;
  }
 }
}
/*	function definition for OPERATE-ON-SYSTEM                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100operate_on_system(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V3;
  volatile cl_object V4;
  volatile cl_object V5;
  volatile cl_object V6;
  volatile cl_object V7;
  volatile cl_object V8;
  volatile cl_object V9;
  volatile cl_object V10;
  volatile cl_object V11;
  volatile cl_object V12;
  volatile cl_object V13;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[22];
   cl_parse_key(args,11,L100operate_on_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
   if (Null(keyvars[12])) {
    V4 = ecl_symbol_value(VV[36]);
   } else {
    V4 = keyvars[1];
   }
   if (Null(keyvars[13])) {
    V5 = ecl_symbol_value(VV[17]);
   } else {
    V5 = keyvars[2];
   }
   if (Null(keyvars[14])) {
    V6 = ecl_symbol_value(VV[16]);
   } else {
    V6 = keyvars[3];
   }
   if (Null(keyvars[15])) {
    V7 = ecl_symbol_value(VV[20]);
   } else {
    V7 = keyvars[4];
   }
   if (Null(keyvars[16])) {
    V8 = ecl_symbol_value(VV[18]);
   } else {
    V8 = keyvars[5];
   }
   if (Null(keyvars[17])) {
    V9 = ecl_symbol_value(VV[19]);
   } else {
    V9 = keyvars[6];
   }
   if (Null(keyvars[18])) {
    V10 = ecl_symbol_value(VV[21]);
   } else {
    V10 = keyvars[7];
   }
   V11 = keyvars[8];
   if (Null(keyvars[20])) {
    V12 = ecl_symbol_value(VV[23]);
   } else {
    V12 = keyvars[9];
   }
   if (Null(keyvars[21])) {
    V13 = ECL_T;
   } else {
    V13 = keyvars[10];
   }
  }
  {
   volatile bool unwinding = FALSE;
   cl_index V14=ECL_STACK_INDEX(cl_env_copy),V15;
   ecl_frame_ptr next_fr;
   if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
     unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
   } else {
   if (Null(ecl_symbol_value(VV[175]))) { goto L11; }
   L68clear_full_pathname_tables();
L11:;
   if (Null(V11)) { goto L13; }
   (cl_env_copy->function=(ECL_SYM("DRIBBLE",319)->symbol.gfdef))->cfun.entry(1, V11) /*  DRIBBLE */;
L13:;
   if (Null(V5)) { goto L15; }
   V6 = ECL_T;
L15:;
   if (!(V3==ECL_NIL)) { goto L18; }
   if (!((V2)==(ECL_SYM("LOAD",487)))) { goto L25; }
   goto L22;
   goto L23;
L25:;
   goto L23;
L23:;
   if (!(ecl_eql(V2,VV[154]))) { goto L20; }
   goto L21;
L22:;
L21:;
   V3 = VV[238];
   goto L18;
L20:;
   if (!((V2)==(ECL_SYM("COMPILE",233)))) { goto L34; }
   goto L31;
   goto L32;
L34:;
   goto L32;
L32:;
   if (!(ecl_eql(V2,VV[216]))) { goto L29; }
   goto L30;
L31:;
L30:;
   V3 = VV[239];
   goto L18;
L29:;
   V3 = VV[238];
L18:;
   cl_env_copy->values[0] = L71translate_version(V4);
   {
    {
     int V17 = cl_env_copy->nvalues-0;
     if (V17--<=0) goto L40;
     ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
     if (V17--<=0) goto L41;
     ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
     goto L42;
    }
L40:;
    ecl_bds_bind(cl_env_copy,VV[34],ECL_NIL);     /*  *VERSION-DIR*   */
L41:;
    ecl_bds_bind(cl_env_copy,VV[35],ECL_NIL);     /*  *VERSION-REPLACE* */
L42:;
    {
     cl_object V17;                               /*  LET2347         */
     if (Null(ecl_function_dispatch(cl_env_copy,VV[92])(1, V1) /*  COMPONENT-P */)) { goto L44; }
     {
      cl_object V18;
      V18 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
      if (!(ecl_eql(V18,VV[122]))) { goto L51; }
      goto L48;
      goto L49;
L51:;
      goto L49;
L49:;
      if (!(ecl_eql(V18,VV[132]))) { goto L55; }
      goto L48;
      goto L53;
L55:;
      goto L53;
L53:;
      if (!(ecl_eql(V18,VV[188]))) { goto L44; }
      goto L45;
L48:;
     }
L45:;
     V17 = V1;
     goto L43;
L44:;
     V17 = L59find_system(2, V1, VV[154]);
L43:;
     ecl_bds_bind(cl_env_copy,ECL_SYM("*LOAD-VERBOSE*",39),ECL_T); /*  *LOAD-VERBOSE* */
     ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-VERBOSE*",29),ECL_T); /*  *COMPILE-VERBOSE* */
     ecl_bds_bind(cl_env_copy,VV[36],V4);         /*  *VERSION*       */
     ecl_bds_bind(cl_env_copy,VV[16],V6);         /*  *OOS-VERBOSE*   */
     ecl_bds_bind(cl_env_copy,VV[17],V5);         /*  *OOS-TEST*      */
     ecl_bds_bind(cl_env_copy,VV[18],V8);         /*  *LOAD-SOURCE-IF-NO-BINARY* */
     ecl_bds_bind(cl_env_copy,VV[21],V10);        /*  *COMPILE-DURING-LOAD* */
     ecl_bds_bind(cl_env_copy,VV[19],V9);         /*  *BOTHER-USER-IF-NO-BINARY* */
     ecl_bds_bind(cl_env_copy,VV[20],V7);         /*  *LOAD-SOURCE-INSTEAD-OF-BINARY* */
     ecl_bds_bind(cl_env_copy,VV[23],V12);        /*  *MINIMAL-LOAD*  */
     if ((L7component_operation(1, V2))!=ECL_NIL) { goto L58; }
     cl_error(2, _ecl_static_107, V2);
L58:;
     cl_env_copy->values[0] = L107operate_on_component(V17, V2, V3);
     ecl_bds_unwind_n(cl_env_copy,12);
    }
   }
   }
   ecl_frs_pop(cl_env_copy);
   V15=ecl_stack_push_values(cl_env_copy);
   if (Null(V11)) { goto L60; }
   (cl_env_copy->function=(ECL_SYM("DRIBBLE",319)->symbol.gfdef))->cfun.entry(0) /*  DRIBBLE */;
L60:;
   ecl_stack_pop_values(cl_env_copy,V15);
   if (unwinding) ecl_unwind(cl_env_copy,next_fr);
   ECL_STACK_SET_INDEX(cl_env_copy,V14);
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for COMPILE-SYSTEM                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101compile_system(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  cl_object V11;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[20];
   cl_parse_key(args,10,L101compile_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   if (Null(keyvars[11])) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    V3 = keyvars[1];
   }
   if (Null(keyvars[12])) {
    V4 = ecl_symbol_value(VV[17]);
   } else {
    V4 = keyvars[2];
   }
   if (Null(keyvars[13])) {
    V5 = ecl_symbol_value(VV[16]);
   } else {
    V5 = keyvars[3];
   }
   if (Null(keyvars[14])) {
    V6 = ecl_symbol_value(VV[20]);
   } else {
    V6 = keyvars[4];
   }
   if (Null(keyvars[15])) {
    V7 = ecl_symbol_value(VV[18]);
   } else {
    V7 = keyvars[5];
   }
   if (Null(keyvars[16])) {
    V8 = ecl_symbol_value(VV[19]);
   } else {
    V8 = keyvars[6];
   }
   if (Null(keyvars[17])) {
    V9 = ecl_symbol_value(VV[21]);
   } else {
    V9 = keyvars[7];
   }
   V10 = keyvars[8];
   if (Null(keyvars[19])) {
    V11 = ecl_symbol_value(VV[23]);
   } else {
    V11 = keyvars[9];
   }
  }
  value0 = L100operate_on_system(22, V1, VV[216], VV[244], V2, ECL_SYM("VERSION",1326), V3, ECL_SYM("TEST",1316), V4, ECL_SYM("VERBOSE",1325), V5, VV[245], V6, VV[246], V7, VV[247], V8, VV[248], V9, VV[249], V10, VV[250], V11);
  return value0;
 }
}
/*	function definition for LOAD-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102load_system(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  cl_object V11;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[20];
   cl_parse_key(args,10,L102load_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   if (Null(keyvars[11])) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    V3 = keyvars[1];
   }
   if (Null(keyvars[12])) {
    V4 = ecl_symbol_value(VV[17]);
   } else {
    V4 = keyvars[2];
   }
   if (Null(keyvars[13])) {
    V5 = ecl_symbol_value(VV[16]);
   } else {
    V5 = keyvars[3];
   }
   if (Null(keyvars[14])) {
    V6 = ecl_symbol_value(VV[20]);
   } else {
    V6 = keyvars[4];
   }
   if (Null(keyvars[15])) {
    V7 = ecl_symbol_value(VV[18]);
   } else {
    V7 = keyvars[5];
   }
   if (Null(keyvars[16])) {
    V8 = ecl_symbol_value(VV[19]);
   } else {
    V8 = keyvars[6];
   }
   if (Null(keyvars[17])) {
    V9 = ecl_symbol_value(VV[21]);
   } else {
    V9 = keyvars[7];
   }
   V10 = keyvars[8];
   if (Null(keyvars[19])) {
    V11 = ecl_symbol_value(VV[23]);
   } else {
    V11 = keyvars[9];
   }
  }
  value0 = L100operate_on_system(22, V1, VV[154], VV[244], V2, ECL_SYM("VERSION",1326), V3, ECL_SYM("TEST",1316), V4, ECL_SYM("VERBOSE",1325), V5, VV[245], V6, VV[246], V7, VV[247], V8, VV[248], V9, VV[249], V10, VV[250], V11);
  return value0;
 }
}
/*	function definition for CLEAN-SYSTEM                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103clean_system(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L103clean_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[5])) {
    V2 = VV[238];
   } else {
    V2 = keyvars[0];
   }
   if (Null(keyvars[6])) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    V3 = keyvars[1];
   }
   if (Null(keyvars[7])) {
    V4 = ecl_symbol_value(VV[17]);
   } else {
    V4 = keyvars[2];
   }
   if (Null(keyvars[8])) {
    V5 = ecl_symbol_value(VV[16]);
   } else {
    V5 = keyvars[3];
   }
   V6 = keyvars[4];
  }
  value0 = L100operate_on_system(12, V1, VV[253], VV[244], V2, ECL_SYM("VERSION",1326), V3, ECL_SYM("TEST",1316), V4, ECL_SYM("VERBOSE",1325), V5, VV[249], V6);
  return value0;
 }
}
/*	function definition for EDIT-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104edit_system(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L104edit_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   if (Null(keyvars[6])) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    V3 = keyvars[1];
   }
   if (Null(keyvars[7])) {
    V4 = ecl_symbol_value(VV[17]);
   } else {
    V4 = keyvars[2];
   }
   if (Null(keyvars[8])) {
    V5 = ecl_symbol_value(VV[16]);
   } else {
    V5 = keyvars[3];
   }
   V6 = keyvars[4];
  }
  value0 = L100operate_on_system(12, V1, VV[255], VV[244], V2, ECL_SYM("VERSION",1326), V3, ECL_SYM("TEST",1316), V4, ECL_SYM("VERBOSE",1325), V5, VV[249], V6);
  return value0;
 }
}
/*	function definition for HARDCOPY-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105hardcopy_system(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L105hardcopy_systemkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V2 = keyvars[0];
   if (Null(keyvars[6])) {
    V3 = ecl_symbol_value(VV[36]);
   } else {
    V3 = keyvars[1];
   }
   if (Null(keyvars[7])) {
    V4 = ecl_symbol_value(VV[17]);
   } else {
    V4 = keyvars[2];
   }
   if (Null(keyvars[8])) {
    V5 = ecl_symbol_value(VV[16]);
   } else {
    V5 = keyvars[3];
   }
   V6 = keyvars[4];
  }
  value0 = L100operate_on_system(12, V1, VV[257], VV[244], V2, ECL_SYM("VERSION",1326), V3, ECL_SYM("TEST",1316), V4, ECL_SYM("VERBOSE",1325), V5, VV[249], V6);
  return value0;
 }
}
/*	function definition for ENSURE-EXTERNAL-SYSTEM-DEF-LOADED     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106ensure_external_system_def_loaded(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  goto L3;
L2:;
  si_assert_failure(1, VV[259]);
L3:;
  {
   cl_object V2;
   V2 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
   if (!(ecl_eql(V2,VV[188]))) { goto L11; }
   goto L6;
   goto L9;
L11:;
   goto L9;
L9:;
   if (!(ecl_eql(V2,VV[122]))) { goto L14; }
   goto L6;
   goto L7;
L14:;
   goto L7;
  }
L7:;
  goto L2;
L6:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V1) /*  COMPONENT-COMPONENTS */;
  if (!(T0==ECL_NIL)) { goto L16; }
  {
   cl_object V2;                                  /*  CNAME           */
   V2 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
   L22undefsystem(V2);
   {
    cl_object V3;                                 /*  SYSTEM-COMPONENT */
    ecl_bds_bind(cl_env_copy,VV[152],ECL_T);      /*  *RELOAD-SYSTEMS-FROM-DISK* */
    T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    V3 = L59find_system(2, T0, VV[154]);
    {
     cl_object V4;
     V4 = ecl_list1(V3);
     value0 = ecl_structure_set(V1,VV[89],17,V4);
     cl_env_copy->nvalues = 1;
     ecl_bds_unwind1(cl_env_copy);
     return value0;
    }
   }
  }
L16:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for OPERATE-ON-COMPONENT                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L107operate_on_component(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V4;                         /*  CHANGED         */
   V4 = ECL_NIL;
   {
    volatile cl_object V5;                        /*  LET2348         */
    volatile cl_object V6;                        /*  LET2349         */
    V5 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
    V6 = cl_package_name(ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    {
     volatile bool unwinding = FALSE;
     cl_index V7=ECL_STACK_INDEX(cl_env_copy),V8;
     ecl_frame_ptr next_fr;
     if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
       unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
     } else {
     if (Null(ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */)) { goto L7; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */;
     T1 = cl_format(3, ECL_NIL, _ecl_static_108, T0);
     L95tell_user_generic(T1);
     if ((ecl_symbol_value(VV[17]))!=ECL_NIL) { goto L7; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */;
     if ((cl_find_package(T0))!=ECL_NIL) { goto L11; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */;
     T1 = cl_string(T0);
     T2 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
     if (Null(cl_string_equal(2, T1, T2))) { goto L13; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
     cl_format(3, ECL_T, _ecl_static_109, T0);
     T0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */;
     cl_error(2, _ecl_static_110, T0);
L13:;
     T0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */;
     L113new_require(1, T0);
L11:;
     {
      cl_object V9;                               /*  PACKAGE         */
      T0 = ecl_function_dispatch(cl_env_copy,VV[473])(1, V1) /*  COMPONENT-PACKAGE */;
      V9 = cl_find_package(T0);
      if (Null(V9)) { goto L7; }
      cl_set(ECL_SYM("*PACKAGE*",43),V9);
     }
L7:;
     if ((V5)==(VV[122])) { goto L21; }
     if (!((V5)==(VV[188]))) { goto L19; }
     goto L20;
L21:;
L20:;
     L106ensure_external_system_def_loaded(V1);
L19:;
     if ((V5)==(VV[132])) { goto L25; }
     if (!((V5)==(VV[122]))) { goto L23; }
     goto L24;
L25:;
L24:;
     L108operate_on_system_dependencies(3, V1, V2, V3);
L23:;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[546])(1, V1) /*  COMPONENT-PROCLAMATIONS */)) { goto L27; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
     T1 = cl_format(3, ECL_NIL, _ecl_static_111, T0);
     L95tell_user_generic(T1);
     if ((ecl_symbol_value(VV[17]))!=ECL_NIL) { goto L27; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[546])(1, V1) /*  COMPONENT-PROCLAMATIONS */;
     (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, T0) /*  PROCLAIM */;
L27:;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[547])(1, V1) /*  COMPONENT-INITIALLY-DO */)) { goto L31; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
     T1 = cl_format(3, ECL_NIL, _ecl_static_112, T0);
     L95tell_user_generic(T1);
     if ((ecl_symbol_value(VV[17]))!=ECL_NIL) { goto L31; }
     ecl_bds_bind(cl_env_copy,VV[235],V1);        /*  %%COMPONENT%%   */
     {
      cl_object V9;                               /*  INITIALLY-DO    */
      V9 = ecl_function_dispatch(cl_env_copy,VV[547])(1, V1) /*  COMPONENT-INITIALLY-DO */;
      if (Null(cl_functionp(V9))) { goto L36; }
      ecl_function_dispatch(cl_env_copy,V9)(0);
      ecl_bds_unwind1(cl_env_copy);
      goto L31;
L36:;
      cl_eval(V9);
      ecl_bds_unwind1(cl_env_copy);
     }
L31:;
     if (!(ecl_eql(V5,ECL_SYM("FILE",1237)))) { goto L45; }
     goto L42;
     goto L43;
L45:;
     goto L43;
L43:;
     if (!(ecl_eql(V5,VV[135]))) { goto L40; }
     goto L41;
L42:;
L41:;
     T0 = L7component_operation(1, V2);
     V4 = ecl_function_dispatch(cl_env_copy,T0)(2, V1, V3);
     goto L39;
L40:;
     if (!(ecl_eql(V5,VV[199]))) { goto L54; }
     goto L51;
     goto L52;
L54:;
     goto L52;
L52:;
     if (!(ecl_eql(V5,VV[122]))) { goto L58; }
     goto L51;
     goto L56;
L58:;
     goto L56;
L56:;
     if (!(ecl_eql(V5,VV[188]))) { goto L62; }
     goto L51;
     goto L60;
L62:;
     goto L60;
L60:;
     if (!(ecl_eql(V5,VV[132]))) { goto L49; }
     goto L50;
L51:;
L50:;
     V4 = L110operate_on_components(V1, V2, V3, V4);
     goto L39;
L49:;
     V4 = ECL_NIL;
L39:;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[548])(1, V1) /*  COMPONENT-FINALLY-DO */)) { goto L65; }
     T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
     T1 = cl_format(3, ECL_NIL, _ecl_static_113, T0);
     L95tell_user_generic(T1);
     if ((ecl_symbol_value(VV[17]))!=ECL_NIL) { goto L68; }
     ecl_bds_bind(cl_env_copy,VV[235],V1);        /*  %%COMPONENT%%   */
     {
      cl_object V9;                               /*  FINALLY-DO      */
      V9 = ecl_function_dispatch(cl_env_copy,VV[548])(1, V1) /*  COMPONENT-FINALLY-DO */;
      if (Null(cl_functionp(V9))) { goto L71; }
      cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,V9)(0);
      ecl_bds_unwind1(cl_env_copy);
      goto L6;
L71:;
      cl_env_copy->values[0] = cl_eval(V9);
      ecl_bds_unwind1(cl_env_copy);
      goto L6;
     }
L68:;
     cl_env_copy->values[0] = ECL_NIL;
     cl_env_copy->nvalues = 1;
     goto L6;
L65:;
     cl_env_copy->values[0] = ECL_NIL;
     cl_env_copy->nvalues = 1;
L6:;
     }
     ecl_frs_pop(cl_env_copy);
     V8=ecl_stack_push_values(cl_env_copy);
     cl_set(ECL_SYM("*PACKAGE*",43),cl_find_package(V6));
     ecl_stack_pop_values(cl_env_copy,V8);
     if (unwinding) ecl_unwind(cl_env_copy,next_fr);
     ECL_STACK_SET_INDEX(cl_env_copy,V7);
    }
    if ((V5)==(VV[132])) { goto L76; }
    if ((V5)==(VV[122])) { goto L76; }
    if (!((V5)==(VV[188]))) { goto L2; }
    goto L75;
L76:;
L75:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    T1 = cl_format(3, ECL_NIL, _ecl_static_114, T0);
    L95tell_user_generic(T1);
    value0 = ecl_symbol_value(VV[17]);
    if ((value0)!=ECL_NIL) { goto L81; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
    T1 = L19canonicalize_system_name(T0);
    cl_provide(T1);
    goto L2;
L81:;
    goto L2;
   }
L2:;
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for OPERATE-ON-SYSTEM-DEPENDENCIES        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L108operate_on_system_dependencies(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(ecl_symbol_value(VV[32]))) { goto L2; }
  ecl_bds_bind(cl_env_copy,VV[267],V3);           /*  *FORCE*         */
  {
   cl_object V4;
   V4 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V1) /*  COMPONENT-DEPENDS-ON */;
   goto L7;
L6:;
   {
    cl_object V5;                                 /*  SYSTEM          */
    V5 = ecl_car(V4);
    if (Null(ecl_symbol_value(VV[25]))) { goto L12; }
    if (ECL_LISTP(V5)) { goto L12; }
    if (ECL_STRINGP(V5)) { goto L17; }
    if (!(ECL_SYMBOLP(V5))) { goto L12; }
    goto L16;
L17:;
L16:;
    if (Null(L59find_system(2, V5, VV[155]))) { goto L12; }
    if (Null(ecl_symbol_value(VV[268]))) { goto L21; }
    {
     cl_object V6;
     V6 = si_make_seq_iterator(2, VV[218], ecl_make_fixnum(0));
L25:;
     if ((V6)!=ECL_NIL) { goto L27; }
     goto L21;
L27:;
     {
      cl_object V7;
      V7 = si_seq_iterator_ref(VV[218], V6);
      if (!(ecl_eql(V2,V7))) { goto L29; }
      if (Null(V7)) { goto L21; }
      goto L23;
     }
L29:;
     V6 = si_seq_iterator_next(VV[218], V6);
     goto L25;
    }
L23:;
    {
     cl_object V6;
     V6 = L19canonicalize_system_name(V5);
     {
      cl_object V7;
      cl_object V8;
      V7 = ecl_symbol_value(ECL_SYM("*MODULES*",41));
      V8 = si_make_seq_iterator(2, V7, ecl_make_fixnum(0));
L37:;
      if ((V8)!=ECL_NIL) { goto L39; }
      goto L19;
L39:;
      {
       cl_object V9;
       V9 = si_seq_iterator_ref(V7, V8);
       if (Null(cl_string_equal(2, V6, V9))) { goto L41; }
       if ((V9)!=ECL_NIL) { goto L11; }
       goto L19;
      }
L41:;
      V8 = si_seq_iterator_next(V7, V8);
      goto L37;
     }
    }
L21:;
    goto L19;
L19:;
    L100operate_on_system(4, V5, V2, VV[244], V3);
    goto L11;
L12:;
    if (!(ECL_LISTP(V5))) { goto L46; }
    {
     cl_object V6;
     cl_object V7;                                /*  SYSTEM-NAME     */
     cl_object V8;                                /*  DEFINITION-PATHNAME */
     cl_object V9;                                /*  ACTION          */
     cl_object V10;                               /*  VERSION         */
     V6 = V5;
     if (!(V6==ECL_NIL)) { goto L50; }
     si_dm_too_few_arguments(V5);
L50:;
     {
      cl_object V11;
      V11 = ecl_car(V6);
      V6 = ecl_cdr(V6);
      V7 = V11;
     }
     if (!(V6==ECL_NIL)) { goto L56; }
     si_dm_too_few_arguments(V5);
L56:;
     {
      cl_object V11;
      V11 = ecl_car(V6);
      V6 = ecl_cdr(V6);
      V8 = V11;
     }
     if (!(V6==ECL_NIL)) { goto L62; }
     si_dm_too_few_arguments(V5);
L62:;
     {
      cl_object V11;
      V11 = ecl_car(V6);
      V6 = ecl_cdr(V6);
      V9 = V11;
     }
     if (Null(V6)) { goto L68; }
     {
      cl_object V11;
      V11 = ecl_car(V6);
      V6 = ecl_cdr(V6);
      V10 = V11;
      goto L67;
     }
L68:;
     V10 = ECL_NIL;
L67:;
     if (Null(V6)) { goto L73; }
     si_dm_too_many_arguments(V5);
L73:;
     if (!(V7==ECL_NIL)) { goto L77; }
     if (!(V8==ECL_NIL)) { goto L77; }
     T0 = V9;
     goto L76;
L77:;
     T0 = V5;
L76:;
     L94tell_user_require_system(T0, V1);
     value0 = ecl_symbol_value(VV[17]);
     if ((value0)!=ECL_NIL) { goto L81; }
     T0 = cl_eval(V8);
     value0 = V10;
     if ((value0)!=ECL_NIL) { goto L85; }
     T1 = ecl_symbol_value(VV[36]);
     goto L83;
L85:;
     T1 = value0;
     goto L83;
L83:;
     L113new_require(5, V7, ECL_NIL, T0, V9, T1);
     goto L11;
L81:;
     goto L11;
    }
L46:;
    {
     cl_object V11;
     if (Null(ecl_function_dispatch(cl_env_copy,VV[92])(1, V5) /*  COMPONENT-P */)) { goto L89; }
     {
      cl_object V12;
      V12 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V5) /*  COMPONENT-TYPE */;
      if (!(ecl_eql(V12,VV[132]))) { goto L97; }
      value0 = VV[269];
      goto L95;
L97:;
      value0 = ECL_NIL;
      goto L95;
L95:;
      if ((value0)!=ECL_NIL) { goto L94; }
      if (!(ecl_eql(V12,VV[188]))) { goto L101; }
      value0 = VV[260];
      goto L99;
L101:;
      value0 = ECL_NIL;
      goto L99;
L99:;
      if ((value0)!=ECL_NIL) { goto L94; }
      if (!(ecl_eql(V12,VV[122]))) { goto L104; }
      T0 = VV[198];
      goto L91;
L104:;
      T0 = ECL_NIL;
      goto L91;
L94:;
      T0 = value0;
      goto L91;
     }
L91:;
     V11 = Null(T0)?ECL_T:ECL_NIL;
     goto L87;
L89:;
     V11 = ECL_NIL;
     goto L87;
L87:;
     if (Null(V11)) { goto L106; }
     goto L11;
L106:;
     L94tell_user_require_system(V5, V1);
     value0 = ecl_symbol_value(VV[17]);
     if ((value0)!=ECL_NIL) { goto L110; }
     L113new_require(1, V5);
     goto L11;
L110:;
     goto L11;
    }
L11:;
   }
   V4 = ecl_cdr(V4);
L7:;
   if (Null(V4)) { goto L114; }
   goto L6;
L114:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   ecl_bds_unwind1(cl_env_copy);
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MODULE-DEPENDS-ON-CHANGED             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L109module_depends_on_changed(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V1) /*  COMPONENT-DEPENDS-ON */;
   goto L4;
L3:;
   {
    cl_object V4;                                 /*  DEPENDENT       */
    V4 = ecl_car(V3);
    if (Null(ecl_memql(V4,V2))) { goto L8; }
    value0 = ECL_T;
    cl_env_copy->nvalues = 1;
    return value0;
L8:;
   }
   V3 = ecl_cdr(V3);
L4:;
   if (Null(V3)) { goto L12; }
   goto L3;
L12:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for OPERATE-ON-COMPONENTS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L110operate_on_components(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L90tell_user(5, V2, V1, ECL_NIL, ECL_NIL, ECL_NIL);
  if (Null(ecl_function_dispatch(cl_env_copy,VV[475])(1, V1) /*  COMPONENT-COMPONENTS */)) { goto L4; }
  {
   cl_object V5;
   V5 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V1) /*  COMPONENT-COMPONENTS */;
   goto L9;
L8:;
   {
    cl_object V6;                                 /*  MODULE          */
    V6 = ecl_car(V5);
    if (Null(L109module_depends_on_changed(V6, V4))) { goto L16; }
    if ((L6non_empty_listp(V3))!=ECL_NIL) { goto L19; }
    if (!((V3)==(VV[239]))) { goto L16; }
    goto L17;
L19:;
L17:;
    if (!((V3)==(VV[239]))) { goto L21; }
    T0 = VV[272];
    goto L15;
L21:;
    T0 = VV[238];
    goto L15;
L16:;
    if (Null(L6non_empty_listp(V3))) { goto L23; }
    {
     cl_object V7;
     V7 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V6) /*  COMPONENT-NAME */;
     {
      cl_object V8;
      V8 = V3;
      goto L30;
L29:;
      {
       cl_object V9;
       cl_object V10;
       if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
       V9 = V8;
       V10 = ECL_CONS_CAR(V9);
       T1 = cl_string(V10);
       if (Null(cl_string_equal(2, V7, T1))) { goto L32; }
       if (Null(V9)) { goto L23; }
       goto L24;
      }
L32:;
      V8 = ECL_CONS_CDR(V8);
L30:;
      if (V8==ECL_NIL) { goto L39; }
      goto L29;
L39:;
      goto L23;
     }
    }
L24:;
    T0 = VV[238];
    goto L15;
L23:;
    T0 = V3;
L15:;
    if (Null(L107operate_on_component(V6, V2, T0))) { goto L13; }
    V4 = CONS(V6,V4);
L13:;
   }
   V5 = ecl_cdr(V5);
L9:;
   if (Null(V5)) { goto L44; }
   goto L8;
L44:;
   goto L3;
  }
L4:;
  if (!((V2)==(ECL_SYM("COMPILE",233)))) { goto L51; }
  goto L48;
  goto L49;
L51:;
  goto L49;
L49:;
  if (!(ecl_eql(V2,VV[216]))) { goto L46; }
  goto L47;
L48:;
L47:;
  ecl_bds_bind(cl_env_copy,VV[235],V1);           /*  %%COMPONENT%%   */
  {
   cl_object V6;                                  /*  COMPILE-FORM    */
   V6 = ecl_function_dispatch(cl_env_copy,VV[552])(1, V1) /*  COMPONENT-COMPILE-FORM */;
   if (Null(cl_functionp(V6))) { goto L55; }
   ecl_function_dispatch(cl_env_copy,V6)(0);
   ecl_bds_unwind1(cl_env_copy);
   goto L3;
L55:;
   cl_eval(V6);
   ecl_bds_unwind1(cl_env_copy);
   goto L3;
  }
L46:;
  if (!((V2)==(ECL_SYM("LOAD",487)))) { goto L61; }
  goto L58;
  goto L59;
L61:;
  goto L59;
L59:;
  if (!(ecl_eql(V2,VV[154]))) { goto L3; }
  goto L57;
L58:;
L57:;
  ecl_bds_bind(cl_env_copy,VV[235],V1);           /*  %%COMPONENT%%   */
  {
   cl_object V7;                                  /*  LOAD-FORM       */
   V7 = ecl_function_dispatch(cl_env_copy,VV[553])(1, V1) /*  COMPONENT-LOAD-FORM */;
   if (Null(cl_functionp(V7))) { goto L65; }
   ecl_function_dispatch(cl_env_copy,V7)(0);
   ecl_bds_unwind1(cl_env_copy);
   goto L3;
L65:;
   cl_eval(V7);
   ecl_bds_unwind1(cl_env_copy);
  }
L3:;
  L91tell_user_done(3, V1, ECL_NIL, ECL_NIL);
  value0 = V4;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NEW-REQUIRE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L113new_require(volatile cl_narg narg, cl_object volatile V1, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object volatile env0;
 cl_object volatile CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>5)) FEwrong_num_arguments_anonym();
 {
  volatile cl_object V2;
  volatile cl_object V3;
  volatile cl_object V4;
  volatile cl_object V5;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V5 = ecl_symbol_value(VV[36]);
   } else {
    i++;
    V5 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(V1)) { goto L8; }
  {
   cl_object V6;
   V6 = cl_string(V1);
   {
    cl_object V7;
    cl_object V8;
    V7 = ecl_symbol_value(ECL_SYM("*MODULES*",41));
    V8 = si_make_seq_iterator(2, V7, ecl_make_fixnum(0));
L13:;
    if ((V8)!=ECL_NIL) { goto L15; }
    goto L6;
L15:;
    {
     cl_object V9;
     V9 = si_seq_iterator_ref(V7, V8);
     if (Null(cl_stringE(2, V6, V9))) { goto L17; }
     if ((V9)!=ECL_NIL) { goto L5; }
     goto L6;
    }
L17:;
    V8 = si_seq_iterator_next(V7, V8);
    goto L13;
   }
  }
L8:;
  goto L6;
L6:;
  {
   volatile cl_object env1 = env0;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);
   {
    volatile cl_object env2 = env1;
    CLV1 = env2 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
    if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
    if (cl_env_copy->values[0]==ecl_make_fixnum(0))goto L22;
    if (cl_env_copy->values[0]==ecl_make_fixnum(1))goto L23;
    ecl_internal_error("GO found an inexistent tag");
    }
    {cl_object V6;
     V6 = ECL_NIL;
     V6 = ecl_make_cclosure_va((cl_objectfn)LC111__g620,env2,Cblock);
     T0 = V6;
    }
    T1 = CONS(VV[129],T0);
    {cl_object V6;
     V6 = ECL_NIL;
     V6 = ecl_make_cclosure_va((cl_objectfn)LC112__g621,env2,Cblock);
     T2 = V6;
    }
    T3 = CONS(ECL_SYM("ERROR",337),T2);
    T4 = cl_list(2, T1, T3);
    T5 = CONS(T4,ecl_symbol_value(ECL_SYM("*HANDLER-CLUSTERS*",5)));
    ecl_bds_bind(cl_env_copy,ECL_SYM("*HANDLER-CLUSTERS*",5),T5); /*  *HANDLER-CLUSTERS* */
    if (Null(V2)) { goto L27; }
    value0 = ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[274]))(2, V1, V2);
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L27:;
    if (Null(L59find_system(3, V1, VV[155], V3))) { goto L29; }
    value0 = L100operate_on_system(20, V1, VV[154], VV[244], ecl_symbol_value(VV[267]), ECL_SYM("VERSION",1326), V5, ECL_SYM("TEST",1316), ecl_symbol_value(VV[17]), ECL_SYM("VERBOSE",1325), ecl_symbol_value(VV[16]), VV[246], ecl_symbol_value(VV[18]), VV[247], ecl_symbol_value(VV[19]), VV[248], ecl_symbol_value(VV[21]), VV[245], ecl_symbol_value(VV[20]), VV[250], ecl_symbol_value(VV[23]));
    ecl_frs_pop(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
L29:;
    {
     cl_object V6;
     if (Null(V4)) { goto L33; }
     V6 = cl_eval(V4);
     goto L31;
L33:;
     V6 = ECL_NIL;
     goto L31;
L31:;
     if (Null(V6)) { goto L35; }
     value0 = V6;
     cl_env_copy->nvalues = 1;
     ecl_frs_pop(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
L35:;
     {
      cl_object V7;
      V7 = ecl_function_dispatch(cl_env_copy,ecl_symbol_value(VV[274]))(1, V1);
      if (Null(V7)) { goto L38; }
      value0 = V7;
      cl_env_copy->nvalues = 1;
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      return value0;
L38:;
      value0 = cl_error(3, VV[130], ECL_SYM("NAME",1273), V1);
      ecl_frs_pop(cl_env_copy);
      ecl_bds_unwind1(cl_env_copy);
      return value0;
     }
    }
L22:;
    {
     cl_object V6;                                /*  MMC             */
     V6 = ECL_CONS_CAR(CLV0);
     value0 = (cl_env_copy->function=(ECL_SYM("SIGNAL",760)->symbol.gfdef))->cfun.entry(1, V6) /*  SIGNAL */;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }
L23:;
    value0 = cl_error(3, VV[130], ECL_SYM("NAME",1273), V1);
    ecl_frs_pop(cl_env_copy);
    return value0;
   }
  }
L5:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	closure G620                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC111__g620(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(0));
 }
 }
}
/*	closure G621                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112__g621(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0, CLV1
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  TAGBODY         */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  ECL_CONS_CAR(CLV0) = V1;
  cl_go(ECL_CONS_CAR(CLV1),ecl_make_fixnum(1));
 }
 }
}
/*	function definition for CMUCL-MK-DEFSYSTEM-MODULE-PROVIDER    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L114cmucl_mk_defsystem_module_provider(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  MODULE-NAME     */
   T0 = cl_string(V1);
   V2 = cl_string_downcase(1, T0);
   if (Null(L59find_system(2, V2, VV[155]))) { goto L2; }
   value0 = L102load_system(5, V2, VV[248], ECL_T, ECL_SYM("VERBOSE",1325), ECL_NIL);
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FIND-LANGUAGE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L115find_language(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_gethash(2, V1, ecl_symbol_value(VV[277]));
  return value0;
 }
}
/*	function definition for MAKE-LANGUAGE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L116make_language(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L116make_languagekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
  }
  value0 = si_make_structure(6, VV[282], V1, V2, V3, V4, V5);
  return value0;
 }
}
/*	function definition for PRINT-LANGUAGE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L117print_language(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[564])(1, V1) /*  LANGUAGE-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[565])(1, V1) /*  LANGUAGE-SOURCE-EXTENSION */;
  T2 = ecl_function_dispatch(cl_env_copy,VV[566])(1, V1) /*  LANGUAGE-BINARY-EXTENSION */;
  value0 = cl_format(5, V2, _ecl_static_117, T0, T1, T2);
  return value0;
 }
}
/*	function definition for COMPILE-FUNCTION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L118compile_function(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[495])(1, V1) /*  COMPONENT-COMPILER */;
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object V2;                                  /*  LANGUAGE        */
   value0 = ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */;
   if ((value0)!=ECL_NIL) { goto L8; }
   T0 = VV[285];
   goto L6;
L8:;
   T0 = value0;
   goto L6;
L6:;
   V2 = L115find_language(T0);
   if (Null(V2)) { goto L10; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[568])(1, V2) /*  LANGUAGE-COMPILER */;
   goto L4;
L10:;
   value0 = ECL_NIL;
  }
L4:;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = (ECL_SYM("COMPILE-FILE",234)->symbol.gfdef);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOAD-FUNCTION                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L119load_function(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[496])(1, V1) /*  COMPONENT-LOADER */;
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object V2;                                  /*  LANGUAGE        */
   value0 = ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */;
   if ((value0)!=ECL_NIL) { goto L8; }
   T0 = VV[285];
   goto L6;
L8:;
   T0 = value0;
   goto L6;
L6:;
   V2 = L115find_language(T0);
   if (Null(V2)) { goto L10; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[570])(1, V2) /*  LANGUAGE-LOADER */;
   goto L4;
L10:;
   value0 = ECL_NIL;
  }
L4:;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = (ECL_SYM("LOAD",487)->symbol.gfdef);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DEFAULT-SOURCE-EXTENSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L120default_source_extension(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LANGUAGE        */
   value0 = ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */;
   if ((value0)!=ECL_NIL) { goto L4; }
   T0 = VV[285];
   goto L2;
L4:;
   T0 = value0;
   goto L2;
L2:;
   V2 = L115find_language(T0);
   if (Null(V2)) { goto L9; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[565])(1, V2) /*  LANGUAGE-SOURCE-EXTENSION */;
   goto L8;
L9:;
   value0 = ECL_NIL;
L8:;
   if ((value0)!=ECL_NIL) { goto L7; }
   value0 = ecl_car(ecl_symbol_value(VV[30]));
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for DEFAULT-BINARY-EXTENSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L121default_binary_extension(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LANGUAGE        */
   value0 = ecl_function_dispatch(cl_env_copy,VV[494])(1, V1) /*  COMPONENT-LANGUAGE */;
   if ((value0)!=ECL_NIL) { goto L4; }
   T0 = VV[285];
   goto L2;
L4:;
   T0 = value0;
   goto L2;
L2:;
   V2 = L115find_language(T0);
   if (Null(V2)) { goto L9; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[566])(1, V2) /*  LANGUAGE-BINARY-EXTENSION */;
   goto L8;
L9:;
   value0 = ECL_NIL;
L8:;
   if ((value0)!=ECL_NIL) { goto L7; }
   value0 = ecl_cdr(ecl_symbol_value(VV[30]));
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function DEFINE-LANGUAGE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC122define_language(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;
   cl_object V6;                                  /*  COMPILER        */
   cl_object V7;
   cl_object V8;                                  /*  LOADER          */
   cl_object V9;
   cl_object V10;                                 /*  SOURCE-EXTENSION */
   cl_object V11;
   cl_object V12;                                 /*  BINARY-EXTENSION */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V13;
    V13 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V13;
   }
   V5 = si_search_keyword(2, V3, VV[290]);
   if (!((V5)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L10; }
   V6 = ECL_NIL;
   goto L9;
L10:;
   V6 = V5;
L9:;
   V7 = si_search_keyword(2, V3, VV[291]);
   if (!((V7)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L14; }
   V8 = ECL_NIL;
   goto L13;
L14:;
   V8 = V7;
L13:;
   V9 = si_search_keyword(2, V3, VV[292]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L18; }
   V10 = ECL_NIL;
   goto L17;
L18:;
   V10 = V9;
L17:;
   V11 = si_search_keyword(2, V3, VV[293]);
   if (!((V11)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L22; }
   V12 = ECL_NIL;
   goto L21;
L22:;
   V12 = V11;
L21:;
   si_check_keyword(2, V3, VV[294]);
   {
    cl_object V13;                                /*  LANGUAGE        */
    V13 = cl_gensym(1, _ecl_static_118);
    T0 = cl_list(11, VV[283], ECL_SYM("NAME",1273), V4, VV[290], V6, VV[291], V8, VV[292], V10, VV[293], V12);
    T1 = cl_list(2, V13, T0);
    T2 = ecl_list1(T1);
    T3 = cl_list(3, ECL_SYM("GETHASH",413), V4, VV[277]);
    T4 = cl_list(3, ECL_SYM("SETF",750), T3, V13);
    value0 = cl_list(4, ECL_SYM("LET",477), T2, T4, V4);
    return value0;
   }
  }
 }
}
/*	function definition for SCHEME-COMPILE-FILE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L123scheme_compile_file(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V3;                                  /*  SCHEME-PACKAGE  */
   V3 = cl_find_package(VV[296]);
   T0 = ecl_symbol_name(ECL_SYM("COMPILE-FILE",234));
   T1 = cl_find_symbol(2, T0, V3);
   T2 = cl_symbol_function(T1);
   T5 = ecl_symbol_name(VV[297]);
   T6 = cl_find_symbol(2, T5, V3);
   T4 = cl_symbol_function(T6);
   T3 = ecl_function_dispatch(cl_env_copy,T4)(0);
   value0 = cl_apply(4, T2, V1, T3, V2);
   return value0;
  }
 }
}
/*	function definition for RUN-UNIX-PROGRAM                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L124run_unix_program(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_format(4, ECL_NIL, _ecl_static_122, V1, V2);
  value0 = ecl_function_dispatch(cl_env_copy,VV[576])(1, T0) /*  SYSTEM */;
  return value0;
 }
}
/*	function definition for RUN-SHELL-COMMAND                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L125run_shell_command(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L125run_shell_commandkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    V3 = ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
   } else {
    V3 = keyvars[0];
   }
   if (Null(keyvars[3])) {
    V4 = ecl_symbol_value(VV[302]);
   } else {
    V4 = keyvars[1];
   }
  }
  {
   cl_object V5;                                  /*  COMMAND         */
   T0 = (ECL_SYM("FORMAT",387)->symbol.gfdef);
   V5 = cl_apply(4, T0, ECL_NIL, V1, V2);
   value0 = cl_error(1, _ecl_static_124);
   return value0;
  }
 }
}
/*	function definition for DEFAULT-OUTPUT-PATHNAME               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L126default_output_pathname(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((V1)==(ECL_T))) { goto L1; }
  T0 = cl_make_pathname(2, ECL_SYM("TYPE",1318), V3);
  T1 = cl_pathname(V2);
  T2 = cl_merge_pathnames(2, T0, T1);
  value0 = cl_translate_logical_pathname(1, T2);
  return value0;
L1:;
  T0 = cl_pathname(V1);
  value0 = cl_translate_logical_pathname(1, T0);
  return value0;
 }
}
/*	function definition for RUN-COMPILER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L128run_compiler(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3, cl_object volatile V4, cl_object volatile V5, cl_object volatile V6)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V7;                         /*  LET2351         */
   volatile cl_object V8;                         /*  VERBOSE-STREAM  */
   volatile cl_object V9;                         /*  FATAL-ERROR     */
   volatile cl_object V10;                        /*  OUTPUT-FILE-WRITTEN */
   V7 = cl_file_write_date(V3);
   V8 = ECL_NIL;
   V9 = ECL_NIL;
   V10 = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index V11=ECL_STACK_INDEX(cl_env_copy),V12;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    if (Null(V6)) { goto L10; }
    T0 = ecl_symbol_value(ECL_SYM("*TRACE-OUTPUT*",69));
    goto L8;
L10:;
    T0 = ECL_NIL;
    goto L8;
L8:;
    V8 = LC127make_useable_stream(1, T0);
    cl_format(4, V8, _ecl_static_125, V1, V2);
    if (Null(L124run_unix_program(V1, V2))) { goto L16; }
    V9 = ECL_NIL;
    goto L14;
L16:;
    V9 = ECL_NIL;
    goto L14;
L14:;
    if (Null(cl_probe_file(V3))) { goto L21; }
    T0 = cl_file_write_date(V3);
    {
     bool V13;
     V13 = ecl_eql(V7,T0);
     V10 = (V13)?ECL_NIL:ECL_T;
     goto L19;
    }
L21:;
    V10 = ECL_NIL;
    goto L19;
L19:;
    if (Null(V10)) { goto L23; }
    cl_format(3, V8, _ecl_static_126, V3);
L23:;
    cl_format(3, V8, _ecl_static_127, V1);
    if (Null(V10)) { goto L28; }
    T0 = V3;
    goto L26;
L28:;
    T0 = ECL_NIL;
    goto L26;
L26:;
    cl_env_copy->nvalues = 3;
    cl_env_copy->values[2] = V9;
    cl_env_copy->values[1] = V9;
    cl_env_copy->values[0] = T0;
    }
    ecl_frs_pop(cl_env_copy);
    V12=ecl_stack_push_values(cl_env_copy);
    if (Null(V10)) { goto L33; }
    goto L31;
L33:;
    goto L31;
L31:;
    ecl_stack_pop_values(cl_env_copy,V12);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,V11);
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	local function MAKE-USEABLE-STREAM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC127make_useable_stream(cl_narg narg, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  V1 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("MAKE-BROADCAST-STREAM",523)->symbol.gfdef);
  T1 = cl_delete(2, ECL_NIL, V1);
  value0 = cl_apply(2, T0, T1);
  return value0;
 }
}
/*	function definition for C-COMPILE-FILE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L131c_compile_file(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  cl_object V9;
  cl_object V10;
  cl_object V11;
  cl_object V12;
  cl_object V13;
  cl_object V14;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[26];
   cl_parse_key(args,13,L131c_compile_filekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[13])) {
    V2 = ECL_T;
   } else {
    V2 = keyvars[0];
   }
   if (Null(keyvars[14])) {
    V3 = ECL_T;
   } else {
    V3 = keyvars[1];
   }
   if (Null(keyvars[15])) {
    V4 = ECL_T;
   } else {
    V4 = keyvars[2];
   }
   if (Null(keyvars[16])) {
    V5 = ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",29));
   } else {
    V5 = keyvars[3];
   }
   V6 = keyvars[4];
   V7 = keyvars[5];
   V8 = keyvars[6];
   V9 = keyvars[7];
   V10 = keyvars[8];
   V11 = keyvars[9];
   V12 = keyvars[10];
   V13 = keyvars[11];
   if (Null(keyvars[25])) {
    V14 = ECL_T;
   } else {
    V14 = keyvars[12];
   }
  }
  {
   cl_object V15;                                 /*  OUTPUT-FILE     */
   cl_object V16;                                 /*  ARGUMENTS       */
   V15 = L126default_output_pathname(V2, V1, _ecl_static_129);
   if ((V7)!=ECL_NIL) { goto L9; }
   T0 = VV[306];
   goto L8;
L9:;
   T0 = ECL_NIL;
L8:;
   if (Null(V6)) { goto L12; }
   T1 = VV[307];
   goto L11;
L12:;
   T1 = ECL_NIL;
L11:;
   if (Null(V8)) { goto L15; }
   T3 = cl_format(3, ECL_NIL, _ecl_static_130, V8);
   T2 = ecl_list1(T3);
   goto L14;
L15:;
   T2 = ECL_NIL;
L14:;
   {cl_object V17;
    V17 = ECL_NIL;
    V17 = ecl_make_cfun((cl_objectfn_fixed)LC130__g657,ECL_NIL,Cblock,1);
    T4 = V17;
   }
   T3 = LC129map_options(3, _ecl_static_131, V10, T4);
   T5 = (ECL_SYM("TRUENAME",864)->symbol.gfdef);
   T4 = LC129map_options(3, _ecl_static_133, V11, T5);
   T5 = cl_truename(V1);
   T6 = cl_namestring(T5);
   T7 = cl_translate_logical_pathname(1, V15);
   T8 = cl_namestring(T7);
   T10 = (ECL_SYM("TRUENAME",864)->symbol.gfdef);
   T9 = LC129map_options(3, _ecl_static_135, V12, T10);
   T10 = LC129map_options(2, _ecl_static_136, V13);
   T11 = ecl_append(T9,T10);
   T12 = cl_listX(4, T6, _ecl_static_134, T8, T11);
   V16 = cl_append(7, T0, T1, T2, V9, T3, T4, T12);
   cl_env_copy->values[0] = L128run_compiler(ecl_symbol_value(VV[300]), V16, V15, V3, V4, V5);
   {
    cl_object V18;                                /*  OUTPUT-FILE     */
    cl_object V19;                                /*  WARNINGS        */
    cl_object V20;                                /*  FATAL-ERRORS    */
    {
     int V21 = cl_env_copy->nvalues-0;
     if (V21--<=0) goto L25;
     V18 = cl_env_copy->values[0];
     if (V21--<=0) goto L26;
     V19 = cl_env_copy->values[1];
     if (V21--<=0) goto L27;
     V20 = cl_env_copy->values[2];
     goto L28;
    }
L25:;
    V18 = ECL_NIL;
L26:;
    V19 = ECL_NIL;
L27:;
    V20 = ECL_NIL;
L28:;
    if (Null(V14)) { goto L29; }
    if (Null(V18)) { goto L32; }
    if (Null(V20)) { goto L29; }
    goto L30;
L32:;
L30:;
    value0 = cl_error(1, _ecl_static_137);
    return value0;
L29:;
    cl_env_copy->nvalues = 3;
    cl_env_copy->values[2] = V20;
    cl_env_copy->values[1] = V19;
    cl_env_copy->values[0] = V18;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	local function MAP-OPTIONS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC129map_options(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;
   cl_object V5;
   V4 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
   V5 = V2;
   {
    cl_object V6;
    cl_object V7;
    V6 = ecl_list1(ECL_NIL);
    V7 = V6;
L7:;
    if (!(ecl_endp(V5))) { goto L9; }
    goto L8;
L9:;
    V4 = _ecl_car(V5);
    {
     cl_object V8;
     V8 = _ecl_cdr(V5);
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V5 = V8;
    }
    if (ecl_unlikely(ECL_ATOM(V7))) FEtype_error_cons(V7);
    T0 = V7;
    T2 = ecl_function_dispatch(cl_env_copy,V3)(1, V4);
    T1 = cl_format(4, ECL_NIL, _ecl_static_128, V1, T2);
    V7 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=V7,T0);
    goto L7;
L8:;
    value0 = ecl_cdr(V6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function G657                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC130__g657(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_ATOM(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = (ECL_SYM("FORMAT",387)->symbol.gfdef);
  value0 = cl_apply(4, T0, ECL_NIL, _ecl_static_132, V1);
  return value0;
 }
}
/*	function definition for FORTRAN-COMPILE-FILE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L132fortran_compile_file(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L132fortran_compile_filekeys,keyvars,NULL,TRUE);
   ecl_va_end(args);
   V2 = keyvars[0];
   V3 = keyvars[1];
  }
  {
   cl_object V4;                                  /*  ARG-LIST        */
   if (Null(V2)) { goto L3; }
   T0 = cl_list(2, _ecl_static_134, V2);
   goto L2;
L3:;
   T0 = ECL_NIL;
L2:;
   T1 = cl_listX(3, _ecl_static_140, V1, T0);
   V4 = ecl_append(ecl_symbol_value(VV[311]),T1);
   value0 = L124run_unix_program(ecl_symbol_value(VV[310]), V4);
   return value0;
  }
 }
}
/*	function definition for BUILD-LIB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L133build_lib(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  ARGS            */
   T0 = cl_truename(V1);
   V3 = cl_list(2, _ecl_static_143, T0);
   cl_format(3, ECL_T, _ecl_static_144, V1);
   T0 = ecl_symbol_value(VV[314]);
   {
    cl_object V4;                                 /*  LET2357         */
    cl_object V5;
    cl_object V6;
    V4 = cl_directory(1, V2);
    V5 = ECL_NIL;
    V6 = V4;
    {
     cl_object V7;
     cl_object V8;
     V7 = ecl_list1(ECL_NIL);
     V8 = V7;
L9:;
     if (!(ecl_endp(V6))) { goto L11; }
     goto L10;
L11:;
     V5 = _ecl_car(V6);
     {
      cl_object V9;
      V9 = _ecl_cdr(V6);
      if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
      V6 = V9;
     }
     if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
     T2 = V8;
     T3 = cl_truename(V5);
     V8 = ecl_list1(T3);
     (ECL_CONS_CDR(T2)=V8,T2);
     goto L9;
L10:;
     T1 = ecl_cdr(V7);
     goto L3;
    }
   }
L3:;
   T2 = ecl_append(V3,T1);
   value0 = L124run_unix_program(T0, T2);
   return value0;
  }
 }
}
/*	function definition for COMPILE-AND-LOAD-OPERATION            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L134compile_and_load_operation(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  CHANGED         */
   V3 = L136compile_file_operation(V1, V2);
   if (Null(V3)) { goto L2; }
   if (Null(ecl_function_dispatch(cl_env_copy,VV[488])(1, V1) /*  COMPONENT-COMPILE-ONLY */)) { goto L2; }
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   if (Null(L140load_file_operation(V1, V2))) { goto L6; }
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for UNMUNGE-LUCID                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L135unmunge_lucid(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(L13null_string(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   ecl_character V2;
   V2 = ecl_char(V1,0);
   if (!((V2)==((ecl_character)(47)))) { goto L3; }
  }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  value0 = cl_concatenate(3, ECL_SYM("STRING",805), _ecl_static_145, V1);
  return value0;
 }
}
/*	function definition for COMPILE-FILE-OPERATION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L136compile_file_operation(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET2358         */
   cl_object V4;                                  /*  LET2359         */
   T0 = ecl_function_dispatch(cl_env_copy,VV[487])(1, V1) /*  COMPONENT-LOAD-ONLY */;
   if (!(T0==ECL_NIL)) { goto L3; }
   {
    cl_object V5;
    V5 = si_make_seq_iterator(2, VV[320], ecl_make_fixnum(0));
L9:;
    if ((V5)!=ECL_NIL) { goto L11; }
    value0 = ECL_NIL;
    goto L7;
L11:;
    {
     cl_object V6;
     V6 = si_seq_iterator_ref(VV[320], V5);
     if (!((V2)==(V6))) { goto L13; }
     value0 = V6;
     goto L7;
    }
L13:;
    V5 = si_seq_iterator_next(VV[320], V5);
    goto L9;
   }
L7:;
   if ((value0)!=ECL_NIL) { goto L6; }
   {
    cl_object V5;
    V5 = si_make_seq_iterator(2, VV[321], ecl_make_fixnum(0));
L22:;
    if ((V5)!=ECL_NIL) { goto L24; }
    goto L19;
L24:;
    {
     cl_object V6;
     V6 = si_seq_iterator_ref(VV[321], V5);
     if (!((V2)==(V6))) { goto L26; }
     if (Null(V6)) { goto L19; }
     goto L20;
    }
L26:;
    V5 = si_seq_iterator_next(VV[321], V5);
    goto L22;
   }
L20:;
   V3 = L138needs_compilation(V1, ECL_NIL);
   goto L1;
L19:;
   V3 = ECL_NIL;
   goto L1;
L6:;
   V3 = value0;
   goto L1;
L3:;
   V3 = ECL_NIL;
   goto L1;
L1:;
   V4 = L69component_full_pathname(2, V1, VV[137]);
   if (Null(V3)) { goto L32; }
   if (Null(cl_probe_file(V4))) { goto L32; }
   L90tell_user(5, _ecl_static_146, V1, VV[137], ECL_NIL, ECL_NIL);
   {
    cl_object V5;                                 /*  OUTPUT-FILE     */
    V5 = L69component_full_pathname(2, V1, VV[159]);
    T0 = cl_pathname_host(1, V5);
    T1 = cl_pathname_directory(1, V5);
    T2 = cl_make_pathname(4, ECL_SYM("HOST",1243), T0, ECL_SYM("DIRECTORY",1219), T1);
    cl_ensure_directories_exist(1, T2);
    value0 = ecl_symbol_value(VV[17]);
    if ((value0)!=ECL_NIL) { goto L41; }
    T0 = L118compile_function(V1);
    T1 = ecl_function_dispatch(cl_env_copy,VV[489])(1, V1) /*  COMPONENT-COMPILER-OPTIONS */;
    cl_apply(5, T0, V4, VV[322], V5, T1);
    goto L37;
L41:;
    goto L37;
   }
L37:;
   L91tell_user_done(3, V1, ECL_NIL, ECL_NIL);
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
L32:;
   if (Null(V3)) { goto L43; }
   L90tell_user(5, _ecl_static_147, V1, VV[137], VV[323], VV[244]);
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L43:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for COMPILED-FILE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L137compiled_file_p(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for NEEDS-COMPILATION                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L138needs_compilation(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET2360         */
   cl_object V4;                                  /*  LET2361         */
   V3 = L69component_full_pathname(2, V1, VV[137]);
   V4 = L69component_full_pathname(2, V1, VV[159]);
   if (Null(cl_probe_file(V3))) { goto L4; }
   T0 = cl_probe_file(V4);
   value0 = ecl_make_bool(T0==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L7; }
   T0 = cl_file_write_date(V4);
   T1 = cl_file_write_date(V3);
   value0 = ecl_make_bool(ecl_number_compare(T0,T1)<0);
   if ((value0)!=ECL_NIL) { goto L7; }
   T0 = L137compiled_file_p(V4);
   value0 = Null(T0)?ECL_T:ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   cl_env_copy->nvalues = 1;
   return value0;
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NEEDS-LOADING                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L139needs_loading(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_T;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_T;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  LET2362         */
   cl_object V5;                                  /*  LET2363         */
   cl_object V6;                                  /*  LET2364         */
   V4 = L54component_load_time(V1);
   V5 = L69component_full_pathname(2, V1, VV[137]);
   V6 = L69component_full_pathname(2, V1, VV[159]);
   value0 = ecl_function_dispatch(cl_env_copy,VV[490])(1, V1) /*  COMPONENT-LOAD-ALWAYS */;
   if ((value0)!=ECL_NIL) { goto L7; }
   value0 = ecl_make_bool(V4==ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L7; }
   if (Null(V3)) { goto L11; }
   if (Null(cl_probe_file(V6))) { goto L11; }
   T0 = cl_file_write_date(V6);
   value0 = ecl_make_bool(ecl_number_compare(V4,T0)<0);
   goto L10;
L11:;
   value0 = ECL_NIL;
L10:;
   if ((value0)!=ECL_NIL) { goto L7; }
   if (Null(V2)) { goto L14; }
   if (Null(cl_probe_file(V5))) { goto L14; }
   T0 = cl_file_write_date(V5);
   value0 = ecl_make_bool(ecl_number_compare(V4,T0)<0);
   cl_env_copy->nvalues = 1;
   return value0;
L14:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOAD-FILE-OPERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L140load_file_operation(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  BINARY-PNAME    */
   cl_object V4;                                  /*  SOURCE-PNAME    */
   cl_object V5;                                  /*  BINARY-EXISTS   */
   cl_object V6;                                  /*  SOURCE-EXISTS   */
   cl_object V7;                                  /*  SOURCE-NEEDS-LOADING */
   cl_object V8;                                  /*  BINARY-NEEDS-LOADING */
   cl_object V9;                                  /*  NEEDS-COMPILATION */
   cl_object V10;                                 /*  CHECK-FOR-NEW-SOURCE */
   cl_object V11;                                 /*  LOAD-BINARY     */
   cl_object V12;                                 /*  LOAD-SOURCE     */
   cl_object V13;                                 /*  COMPILE-AND-LOAD */
   V3 = L69component_full_pathname(2, V1, VV[159]);
   V4 = L69component_full_pathname(2, V1, VV[137]);
   V5 = cl_probe_file(V3);
   V6 = cl_probe_file(V4);
   V7 = L139needs_loading(3, V1, ECL_T, ECL_NIL);
   V8 = L139needs_loading(3, V1, ECL_NIL, ECL_T);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[487])(1, V1) /*  COMPONENT-LOAD-ONLY */)) { goto L8; }
   V9 = V7;
   goto L7;
L8:;
   V9 = L138needs_compilation(V1, V2);
L7:;
   {
    cl_object V14;
    V14 = si_make_seq_iterator(2, VV[329], ecl_make_fixnum(0));
L12:;
    if ((V14)!=ECL_NIL) { goto L14; }
    V10 = ECL_NIL;
    goto L10;
L14:;
    {
     cl_object V15;
     V15 = si_seq_iterator_ref(VV[329], V14);
     if (!((V2)==(V15))) { goto L16; }
     V10 = V15;
     goto L10;
    }
L16:;
    V14 = si_seq_iterator_next(VV[329], V14);
    goto L12;
   }
L10:;
   {
    cl_object V14;
    V14 = si_make_seq_iterator(2, VV[320], ecl_make_fixnum(0));
L26:;
    if ((V14)!=ECL_NIL) { goto L28; }
    value0 = ECL_NIL;
    goto L24;
L28:;
    {
     cl_object V15;
     V15 = si_seq_iterator_ref(VV[320], V14);
     if (!((V2)==(V15))) { goto L30; }
     value0 = V15;
     goto L24;
    }
L30:;
    V14 = si_seq_iterator_next(VV[320], V14);
    goto L26;
   }
L24:;
   if ((value0)!=ECL_NIL) { goto L23; }
   V11 = V8;
   goto L21;
L23:;
   V11 = value0;
   goto L21;
L21:;
   value0 = ecl_symbol_value(VV[20]);
   if ((value0)!=ECL_NIL) { goto L37; }
   if (Null(V11)) { goto L41; }
   value0 = ecl_function_dispatch(cl_env_copy,VV[487])(1, V1) /*  COMPONENT-LOAD-ONLY */;
   goto L39;
L41:;
   value0 = ECL_NIL;
   goto L39;
L39:;
   if ((value0)!=ECL_NIL) { goto L37; }
   if (Null(V10)) { goto L44; }
   V12 = V9;
   goto L35;
L44:;
   V12 = ECL_NIL;
   goto L35;
L37:;
   V12 = value0;
   goto L35;
L35:;
   if (Null(V9)) { goto L48; }
   if ((V11)!=ECL_NIL) { goto L51; }
   if (Null(V10)) { goto L48; }
   goto L50;
L51:;
L50:;
   V13 = L143compile_and_load_source_if_no_binary(V1);
   goto L46;
L48:;
   V13 = ECL_NIL;
   goto L46;
L46:;
   if (Null(ecl_symbol_value(VV[23]))) { goto L53; }
   {
    cl_object V14;
    V14 = si_make_seq_iterator(2, VV[330], ecl_make_fixnum(0));
L57:;
    if ((V14)!=ECL_NIL) { goto L59; }
    goto L54;
L59:;
    {
     cl_object V15;
     V15 = si_seq_iterator_ref(VV[330], V14);
     if (!((V2)==(V15))) { goto L61; }
     if ((V15)!=ECL_NIL) { goto L53; }
     goto L54;
    }
L61:;
    V14 = si_seq_iterator_next(VV[330], V14);
    goto L57;
   }
L54:;
   if (Null(V12)) { goto L66; }
   V12 = V7;
L66:;
   if (Null(V11)) { goto L53; }
   V11 = V8;
L53:;
   if ((V12)!=ECL_NIL) { goto L73; }
   if ((V11)!=ECL_NIL) { goto L73; }
   if (Null(V13)) { goto L71; }
   goto L72;
L73:;
L72:;
   if (Null(V13)) { goto L76; }
   L136compile_file_operation(V1, ECL_T);
   L90tell_user(5, _ecl_static_150, V1, VV[159], ECL_NIL, ECL_NIL);
   value0 = ecl_symbol_value(VV[17]);
   if ((value0)!=ECL_NIL) { goto L83; }
   T0 = L119load_function(V1);
   ecl_function_dispatch(cl_env_copy,T0)(1, V3);
   {
    cl_object V14;
    V14 = cl_file_write_date(V3);
    if (Null(V1)) { goto L81; }
    if (!(ECL_STRINGP(V1))) { goto L90; }
    si_hash_set(V1, ecl_symbol_value(VV[131]), V14);
    goto L89;
L90:;
    if (Null(cl_pathnamep(V1))) { goto L92; }
    T1 = cl_pathnamep(V1);
    if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V1);
    T0 = V1;
    T1 = cl_namestring(T0);
    si_hash_set(T1, ecl_symbol_value(VV[131]), V14);
    goto L89;
L92:;
    if (Null(si_of_class_p(2, V1, VV[89]))) { goto L96; }
    {
     cl_object V15;
     V15 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
     if (!(ecl_eql(V15,VV[132]))) { goto L99; }
     {
      cl_object V16;                              /*  NAME            */
      cl_object V17;                              /*  PATH            */
      V16 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
      {
       cl_object V18;
       if (Null(V16)) { goto L104; }
       V18 = L56compute_system_path(V16, ECL_NIL);
       goto L103;
L104:;
       V18 = ECL_NIL;
L103:;
       value0 = ecl_make_bool(ECL_STRINGP(V18));
       if ((value0)!=ECL_NIL) { goto L109; }
       value0 = cl_pathnamep(V18);
       if ((value0)!=ECL_NIL) { goto L109; }
       T0 = ecl_make_bool(V18==ECL_NIL);
       goto L107;
L109:;
       T0 = value0;
       goto L107;
L107:;
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V18);
       V17 = V18;
      }
      if (Null(V17)) { goto L89; }
      T0 = cl_namestring(V17);
      si_hash_set(T0, ecl_symbol_value(VV[131]), V14);
      goto L89;
     }
L99:;
     if (!(ecl_eql(V15,ECL_SYM("FILE",1237)))) { goto L118; }
     goto L115;
     goto L116;
L118:;
     goto L116;
L116:;
     if (!(ecl_eql(V15,VV[135]))) { goto L113; }
     goto L114;
L115:;
L114:;
     {
      cl_object V18;                              /*  PATH            */
      V18 = L69component_full_pathname(2, V1, VV[137]);
      if (Null(V18)) { goto L89; }
      si_hash_set(V18, ecl_symbol_value(VV[131]), V14);
      goto L89;
     }
L113:;
     si_ecase_error(V15, VV[138]);
     goto L89;
    }
L96:;
    si_etypecase_error(V1, VV[139]);
L89:;
    goto L81;
   }
L83:;
   goto L81;
L81:;
   L91tell_user_done(3, V1, ECL_NIL, ECL_NIL);
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L76:;
   if (Null(V6)) { goto L123; }
   if (Null(V12)) { goto L129; }
   if ((ecl_symbol_value(VV[20]))!=ECL_NIL) { goto L126; }
   if ((ecl_function_dispatch(cl_env_copy,VV[487])(1, V1) /*  COMPONENT-LOAD-ONLY */)!=ECL_NIL) { goto L126; }
   if (Null(ecl_symbol_value(VV[21]))) { goto L126; }
   goto L127;
L129:;
   goto L127;
L127:;
   if (Null(V11)) { goto L123; }
   if ((V5)!=ECL_NIL) { goto L123; }
   if (Null(L144load_source_if_no_binary(V1))) { goto L123; }
   goto L124;
L126:;
L124:;
   L90tell_user(5, _ecl_static_151, V1, VV[137], ECL_NIL, ECL_NIL);
   value0 = ecl_symbol_value(VV[17]);
   if ((value0)!=ECL_NIL) { goto L139; }
   T0 = L119load_function(V1);
   ecl_function_dispatch(cl_env_copy,T0)(1, V4);
   {
    cl_object V14;
    V14 = cl_file_write_date(V4);
    if (Null(V1)) { goto L137; }
    if (!(ECL_STRINGP(V1))) { goto L146; }
    si_hash_set(V1, ecl_symbol_value(VV[131]), V14);
    goto L145;
L146:;
    if (Null(cl_pathnamep(V1))) { goto L148; }
    T1 = cl_pathnamep(V1);
    if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V1);
    T0 = V1;
    T1 = cl_namestring(T0);
    si_hash_set(T1, ecl_symbol_value(VV[131]), V14);
    goto L145;
L148:;
    if (Null(si_of_class_p(2, V1, VV[89]))) { goto L152; }
    {
     cl_object V15;
     V15 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
     if (!(ecl_eql(V15,VV[132]))) { goto L155; }
     {
      cl_object V16;                              /*  NAME            */
      cl_object V17;                              /*  PATH            */
      V16 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
      {
       cl_object V18;
       if (Null(V16)) { goto L160; }
       V18 = L56compute_system_path(V16, ECL_NIL);
       goto L159;
L160:;
       V18 = ECL_NIL;
L159:;
       value0 = ecl_make_bool(ECL_STRINGP(V18));
       if ((value0)!=ECL_NIL) { goto L165; }
       value0 = cl_pathnamep(V18);
       if ((value0)!=ECL_NIL) { goto L165; }
       T0 = ecl_make_bool(V18==ECL_NIL);
       goto L163;
L165:;
       T0 = value0;
       goto L163;
L163:;
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V18);
       V17 = V18;
      }
      if (Null(V17)) { goto L145; }
      T0 = cl_namestring(V17);
      si_hash_set(T0, ecl_symbol_value(VV[131]), V14);
      goto L145;
     }
L155:;
     if (!(ecl_eql(V15,ECL_SYM("FILE",1237)))) { goto L174; }
     goto L171;
     goto L172;
L174:;
     goto L172;
L172:;
     if (!(ecl_eql(V15,VV[135]))) { goto L169; }
     goto L170;
L171:;
L170:;
     {
      cl_object V18;                              /*  PATH            */
      V18 = L69component_full_pathname(2, V1, VV[137]);
      if (Null(V18)) { goto L145; }
      si_hash_set(V18, ecl_symbol_value(VV[131]), V14);
      goto L145;
     }
L169:;
     si_ecase_error(V15, VV[138]);
     goto L145;
    }
L152:;
    si_etypecase_error(V1, VV[139]);
L145:;
    goto L137;
   }
L139:;
   goto L137;
L137:;
   L91tell_user_done(3, V1, ECL_NIL, ECL_NIL);
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L123:;
   if (Null(V5)) { goto L179; }
   if (Null(V11)) { goto L179; }
   L90tell_user(5, _ecl_static_150, V1, VV[159], ECL_NIL, ECL_NIL);
   value0 = ecl_symbol_value(VV[17]);
   if ((value0)!=ECL_NIL) { goto L186; }
   T0 = L119load_function(V1);
   ecl_function_dispatch(cl_env_copy,T0)(1, V3);
   {
    cl_object V14;
    V14 = cl_file_write_date(V3);
    if (Null(V1)) { goto L184; }
    if (!(ECL_STRINGP(V1))) { goto L193; }
    si_hash_set(V1, ecl_symbol_value(VV[131]), V14);
    goto L192;
L193:;
    if (Null(cl_pathnamep(V1))) { goto L195; }
    T1 = cl_pathnamep(V1);
    if (ecl_unlikely(!((T1)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("PATHNAME",630),V1);
    T0 = V1;
    T1 = cl_namestring(T0);
    si_hash_set(T1, ecl_symbol_value(VV[131]), V14);
    goto L192;
L195:;
    if (Null(si_of_class_p(2, V1, VV[89]))) { goto L199; }
    {
     cl_object V15;
     V15 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
     if (!(ecl_eql(V15,VV[132]))) { goto L202; }
     {
      cl_object V16;                              /*  NAME            */
      cl_object V17;                              /*  PATH            */
      V16 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V1) /*  COMPONENT-NAME */;
      {
       cl_object V18;
       if (Null(V16)) { goto L207; }
       V18 = L56compute_system_path(V16, ECL_NIL);
       goto L206;
L207:;
       V18 = ECL_NIL;
L206:;
       value0 = ecl_make_bool(ECL_STRINGP(V18));
       if ((value0)!=ECL_NIL) { goto L212; }
       value0 = cl_pathnamep(V18);
       if ((value0)!=ECL_NIL) { goto L212; }
       T0 = ecl_make_bool(V18==ECL_NIL);
       goto L210;
L212:;
       T0 = value0;
       goto L210;
L210:;
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[133],V18);
       V17 = V18;
      }
      if (Null(V17)) { goto L192; }
      T0 = cl_namestring(V17);
      si_hash_set(T0, ecl_symbol_value(VV[131]), V14);
      goto L192;
     }
L202:;
     if (!(ecl_eql(V15,ECL_SYM("FILE",1237)))) { goto L221; }
     goto L218;
     goto L219;
L221:;
     goto L219;
L219:;
     if (!(ecl_eql(V15,VV[135]))) { goto L216; }
     goto L217;
L218:;
L217:;
     {
      cl_object V18;                              /*  PATH            */
      V18 = L69component_full_pathname(2, V1, VV[137]);
      if (Null(V18)) { goto L192; }
      si_hash_set(V18, ecl_symbol_value(VV[131]), V14);
      goto L192;
     }
L216:;
     si_ecase_error(V15, VV[138]);
     goto L192;
    }
L199:;
    si_etypecase_error(V1, VV[139]);
L192:;
    goto L184;
   }
L186:;
   goto L184;
L184:;
   L91tell_user_done(3, V1, ECL_NIL, ECL_NIL);
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L179:;
   if ((V5)!=ECL_NIL) { goto L226; }
   if ((V6)!=ECL_NIL) { goto L226; }
   L93tell_user_no_files(2, V1, VV[244]);
   if (Null(ecl_symbol_value(VV[24]))) { goto L230; }
   value0 = ecl_symbol_value(VV[18]);
   if ((value0)!=ECL_NIL) { goto L234; }
   T0 = ecl_symbol_value(VV[20]);
   goto L232;
L234:;
   T0 = value0;
   goto L232;
L232:;
   cl_cerror(5, _ecl_static_152, _ecl_static_153, V4, T0, V3);
L230:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L226:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L71:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for DELETE-BINARIES-OPERATION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L141delete_binaries_operation(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V2)==(VV[238])) { goto L3; }
  if ((V2)==(ECL_T)) { goto L3; }
  {
   cl_object V3;
   V3 = si_make_seq_iterator(2, VV[329], ecl_make_fixnum(0));
L8:;
   if ((V3)!=ECL_NIL) { goto L10; }
   goto L1;
L10:;
   {
    cl_object V4;
    V4 = si_seq_iterator_ref(VV[329], V3);
    if (!((V2)==(V4))) { goto L12; }
    if (Null(V4)) { goto L1; }
    goto L6;
   }
L12:;
   V3 = si_seq_iterator_next(VV[329], V3);
   goto L8;
  }
L6:;
  if (Null(L138needs_compilation(V1, ECL_NIL))) { goto L1; }
  goto L2;
L3:;
L2:;
  {
   cl_object V3;                                  /*  BINARY-PNAME    */
   V3 = L69component_full_pathname(2, V1, VV[159]);
   if (Null(cl_probe_file(V3))) { goto L18; }
   L90tell_user(5, _ecl_static_154, V1, VV[159], ECL_NIL, ECL_NIL);
   value0 = ecl_symbol_value(VV[17]);
   if ((value0)!=ECL_NIL) { goto L23; }
   cl_delete_file(V3);
   goto L21;
L23:;
   goto L21;
L21:;
   value0 = L91tell_user_done(3, V1, ECL_NIL, ECL_NIL);
   return value0;
L18:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for BINARY-EXISTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L142binary_exists(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L69component_full_pathname(2, V1, VV[159]);
  value0 = cl_probe_file(T0);
  return value0;
 }
}
/*	function definition for COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L143compile_and_load_source_if_no_binary(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_symbol_value(VV[20]))!=ECL_NIL) { goto L1; }
  if (Null(ecl_symbol_value(VV[18]))) { goto L5; }
  if (Null(L142binary_exists(V1))) { goto L1; }
  goto L2;
L5:;
  goto L2;
L2:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[487])(1, V1) /*  COMPONENT-LOAD-ONLY */)) { goto L7; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (!((ecl_symbol_value(VV[21]))==(VV[22]))) { goto L9; }
  {
   cl_object V2;                                  /*  PROMPT          */
   cl_object V3;                                  /*  COMPILE-SOURCE  */
   V2 = L88prompt_string(V1);
   T0 = L69component_full_pathname(2, V1, VV[159]);
   T1 = L69component_full_pathname(2, V1, VV[137]);
   V3 = L98y_or_n_p_wait(7, CODE_CHAR(121), ecl_make_fixnum(30), _ecl_static_155, V2, T0, V2, T1);
   if ((L98y_or_n_p_wait(4, CODE_CHAR(121), ecl_make_fixnum(30), _ecl_static_156, V2))!=ECL_NIL) { goto L13; }
   cl_set(VV[21],L98y_or_n_p_wait(4, CODE_CHAR(121), ecl_make_fixnum(30), _ecl_static_157, V2));
L13:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L9:;
  {
   cl_object V4;
   V4 = ecl_symbol_value(VV[21]);
   if (Null(V4)) { goto L17; }
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
L17:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOAD-SOURCE-IF-NO-BINARY              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L144load_source_if_no_binary(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_symbol_value(VV[20]))!=ECL_NIL) { goto L2; }
  if (Null(ecl_symbol_value(VV[18]))) { goto L8; }
  T0 = L142binary_exists(V1);
  value0 = Null(T0)?ECL_T:ECL_NIL;
  goto L6;
L8:;
  value0 = ECL_NIL;
  goto L6;
L6:;
  if ((value0)!=ECL_NIL) { goto L5; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[487])(1, V1) /*  COMPONENT-LOAD-ONLY */;
  if ((value0)!=ECL_NIL) { goto L5; }
  if (Null(ecl_symbol_value(VV[19]))) { goto L11; }
  {
   cl_object V2;                                  /*  PROMPT          */
   cl_object V3;                                  /*  LOAD-SOURCE     */
   V2 = L88prompt_string(V1);
   T0 = L69component_full_pathname(2, V1, VV[159]);
   T1 = L69component_full_pathname(2, V1, VV[137]);
   V3 = L98y_or_n_p_wait(7, CODE_CHAR(121), ecl_make_fixnum(30), _ecl_static_158, V2, T0, V2, T1);
   cl_set(VV[19],L98y_or_n_p_wait(4, CODE_CHAR(110), ecl_make_fixnum(30), _ecl_static_156, V2));
   if ((ecl_symbol_value(VV[19]))!=ECL_NIL) { goto L17; }
   cl_set(VV[18],V3);
L17:;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L11:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for FILES-WHICH-NEED-COMPILATION          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L145files_which_need_compilation(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  LET2366         */
   cl_object V3;
   cl_object V4;
   T0 = L59find_system(2, V1, VV[154]);
   T1 = L150file_components_in_component(2, T0, VV[340]);
   V2 = cl_remove(2, ECL_NIL, T1);
   V3 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
   V4 = V2;
   {
    cl_object V5;
    cl_object V6;
    V5 = ecl_list1(ECL_NIL);
    V6 = V5;
L7:;
    if (!(ecl_endp(V4))) { goto L9; }
    goto L8;
L9:;
    V3 = _ecl_car(V4);
    {
     cl_object V7;
     V7 = _ecl_cdr(V4);
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     V4 = V7;
    }
    if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
    T0 = V6;
    T1 = L69component_full_pathname(2, V3, VV[137]);
    V6 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=V6,T0);
    goto L7;
L8:;
    value0 = ecl_cdr(V5);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for FILES-IN-SYSTEM-AND-DEPENDENTS        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L146files_in_system_and_dependents(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = VV[238];
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = VV[137];
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  SYSTEM          */
   V5 = L59find_system(2, V1, VV[154]);
   cl_env_copy->values[0] = L71translate_version(V4);
   {
    {
     int V7 = cl_env_copy->nvalues-0;
     if (V7--<=0) goto L6;
     ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
     if (V7--<=0) goto L7;
     ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
     goto L8;
    }
L6:;
    ecl_bds_bind(cl_env_copy,VV[34],ECL_NIL);     /*  *VERSION-DIR*   */
L7:;
    ecl_bds_bind(cl_env_copy,VV[35],ECL_NIL);     /*  *VERSION-REPLACE* */
L8:;
    ecl_bds_bind(cl_env_copy,VV[36],V4);          /*  *VERSION*       */
    {
     cl_object V7;                                /*  RESULT          */
     V7 = L148file_pathnames_in_component(3, V5, V3, V2);
     {
      cl_object V8;
      T0 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V5) /*  COMPONENT-DEPENDS-ON */;
      V8 = cl_reverse(T0);
      goto L14;
L13:;
      {
       cl_object V9;                              /*  DEPENDENT       */
       V9 = ecl_car(V8);
       T0 = L146files_in_system_and_dependents(4, V9, V2, V3, V4);
       V7 = ecl_append(T0,V7);
      }
      V8 = ecl_cdr(V8);
L14:;
      if (Null(V8)) { goto L22; }
      goto L13;
L22:;
     }
     value0 = V7;
     cl_env_copy->nvalues = 1;
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     ecl_bds_unwind1(cl_env_copy);
     return value0;
    }
   }
  }
 }
}
/*	function definition for FILES-IN-SYSTEM                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L147files_in_system(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = VV[238];
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = VV[137];
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V5;                                  /*  SYSTEM          */
   if (Null(ecl_function_dispatch(cl_env_copy,VV[92])(1, V1) /*  COMPONENT-P */)) { goto L5; }
   {
    cl_object V6;
    V6 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
    if (!(ecl_eql(V6,VV[132]))) { goto L12; }
    goto L9;
    goto L10;
L12:;
    goto L10;
L10:;
    if (!(ecl_eql(V6,VV[122]))) { goto L16; }
    goto L9;
    goto L14;
L16:;
    goto L14;
L14:;
    if (!(ecl_eql(V6,VV[188]))) { goto L5; }
    goto L6;
L9:;
   }
L6:;
   V5 = V1;
   goto L4;
L5:;
   V5 = L59find_system(2, V1, VV[154]);
L4:;
   cl_env_copy->values[0] = L71translate_version(V4);
   {
    {
     int V7 = cl_env_copy->nvalues-0;
     if (V7--<=0) goto L20;
     ecl_bds_bind(cl_env_copy,VV[34],cl_env_copy->values[0]); /*  *VERSION-DIR* */
     if (V7--<=0) goto L21;
     ecl_bds_bind(cl_env_copy,VV[35],cl_env_copy->values[1]); /*  *VERSION-REPLACE* */
     goto L22;
    }
L20:;
    ecl_bds_bind(cl_env_copy,VV[34],ECL_NIL);     /*  *VERSION-DIR*   */
L21:;
    ecl_bds_bind(cl_env_copy,VV[35],ECL_NIL);     /*  *VERSION-REPLACE* */
L22:;
    ecl_bds_bind(cl_env_copy,VV[36],V4);          /*  *VERSION*       */
    value0 = L148file_pathnames_in_component(3, V5, V3, V2);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
  }
 }
}
/*	function definition for FILE-PATHNAMES-IN-COMPONENT           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L148file_pathnames_in_component(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = VV[238];
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  LET2368         */
   cl_object V5;
   cl_object V6;
   V4 = L150file_components_in_component(2, V1, V3);
   V5 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
   V6 = V4;
   {
    cl_object V7;
    cl_object V8;
    V7 = ecl_list1(ECL_NIL);
    V8 = V7;
L8:;
    if (!(ecl_endp(V6))) { goto L10; }
    goto L9;
L10:;
    V5 = _ecl_car(V6);
    {
     cl_object V9;
     V9 = _ecl_cdr(V6);
     if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
     V6 = V9;
    }
    if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
    T0 = V8;
    T1 = L69component_full_pathname(2, V5, V2);
    V8 = ecl_list1(T1);
    (ECL_CONS_CDR(T0)=V8,T0);
    goto L8;
L9:;
    value0 = ecl_cdr(V7);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for FILE-COMPONENTS-IN-COMPONENT          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L150file_components_in_component(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2;
 cl_object env0;
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = VV[238];
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  RESULT          */
   cl_object env1 = env0;
   V3 = ECL_NIL;
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(ECL_NIL,env1);              /*  CHANGED         */
   {
    cl_object V4;
    V4 = ecl_function_dispatch(cl_env_copy,VV[141])(1, V1) /*  COMPONENT-TYPE */;
    if (!(ecl_eql(V4,ECL_SYM("FILE",1237)))) { goto L10; }
    goto L7;
    goto L8;
L10:;
    goto L8;
L8:;
    if (!(ecl_eql(V4,VV[135]))) { goto L5; }
    goto L6;
L7:;
L6:;
    {
     cl_object V5;
     V5 = si_make_seq_iterator(2, VV[347], ecl_make_fixnum(0));
L19:;
     if ((V5)!=ECL_NIL) { goto L21; }
     value0 = ECL_NIL;
     goto L17;
L21:;
     {
      cl_object V6;
      V6 = si_seq_iterator_ref(VV[347], V5);
      if (!((V2)==(V6))) { goto L23; }
      value0 = V6;
      goto L17;
     }
L23:;
     V5 = si_seq_iterator_next(VV[347], V5);
     goto L19;
    }
L17:;
    if ((value0)!=ECL_NIL) { goto L16; }
    if ((L6non_empty_listp(V2))!=ECL_NIL) { goto L29; }
    ECL_CONS_CAR(CLV0) = L138needs_compilation(V1, ECL_NIL);
    goto L14;
L29:;
    ECL_CONS_CAR(CLV0) = ECL_NIL;
    goto L14;
L16:;
    ECL_CONS_CAR(CLV0) = value0;
    goto L14;
L14:;
    if (Null(ECL_CONS_CAR(CLV0))) { goto L3; }
    V3 = ecl_list1(V1);
    goto L3;
L5:;
    if (!(ecl_eql(V4,VV[199]))) { goto L36; }
    goto L33;
    goto L34;
L36:;
    goto L34;
L34:;
    if (!(ecl_eql(V4,VV[122]))) { goto L40; }
    goto L33;
    goto L38;
L40:;
    goto L38;
L38:;
    if (!(ecl_eql(V4,VV[188]))) { goto L44; }
    goto L33;
    goto L42;
L44:;
    goto L42;
L42:;
    if (!(ecl_eql(V4,VV[132]))) { goto L3; }
    goto L32;
L33:;
L32:;
    {
     cl_object V5;
     V5 = ecl_function_dispatch(cl_env_copy,VV[475])(1, V1) /*  COMPONENT-COMPONENTS */;
     goto L50;
L49:;
     {
      cl_object V6;                               /*  MODULE          */
      V6 = ecl_car(V5);
      {cl_object V7;
       V7 = ECL_NIL;
       V7 = ecl_make_cclosure_va((cl_objectfn)LC149__g804,env1,Cblock);
       T1 = V7;
      }
      T2 = ecl_function_dispatch(cl_env_copy,VV[474])(1, V6) /*  COMPONENT-DEPENDS-ON */;
      if (Null(cl_some(2, T1, T2))) { goto L57; }
      if ((L6non_empty_listp(V2))!=ECL_NIL) { goto L61; }
      if (!((V2)==(VV[239]))) { goto L57; }
      goto L58;
L61:;
L58:;
      T0 = VV[238];
      goto L56;
L57:;
      if (Null(L6non_empty_listp(V2))) { goto L63; }
      {
       cl_object V7;
       V7 = ecl_function_dispatch(cl_env_copy,VV[142])(1, V6) /*  COMPONENT-NAME */;
       {
        cl_object V8;
        V8 = V2;
        goto L70;
L69:;
        {
         cl_object V9;
         cl_object V10;
         if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
         V9 = V8;
         V10 = ECL_CONS_CAR(V9);
         T1 = cl_string(V10);
         if (Null(cl_string_equal(2, V7, T1))) { goto L72; }
         if (Null(V9)) { goto L63; }
         goto L64;
        }
L72:;
        V8 = ECL_CONS_CDR(V8);
L70:;
        if (V8==ECL_NIL) { goto L79; }
        goto L69;
L79:;
        goto L63;
       }
      }
L64:;
      T0 = VV[238];
      goto L56;
L63:;
      T0 = V2;
L56:;
      cl_env_copy->values[0] = L150file_components_in_component(2, V6, T0);
      {
       cl_object V8;                              /*  R               */
       cl_object V9;                              /*  C               */
       {
        int V10 = cl_env_copy->nvalues-0;
        if (V10--<=0) goto L81;
        V8 = cl_env_copy->values[0];
        if (V10--<=0) goto L82;
        V9 = cl_env_copy->values[1];
        goto L83;
       }
L81:;
       V8 = ECL_NIL;
L82:;
       V9 = ECL_NIL;
L83:;
       if (Null(V9)) { goto L54; }
       ECL_CONS_CAR(CLV0) = CONS(V6,ECL_CONS_CAR(CLV0));
       V3 = ecl_append(V3,V8);
      }
L54:;
     }
     V5 = ecl_cdr(V5);
L50:;
     if (Null(V5)) { goto L90; }
     goto L49;
L90:;
    }
   }
L3:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_CONS_CAR(CLV0);
   cl_env_copy->values[0] = V3;
   return cl_env_copy->values[0];
  }
 }
}
/*	closure G804                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC149__g804(cl_narg narg, cl_object V1, ...)
{
 cl_object CLV0
 ;
 const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  CHANGED         */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  value0 = ecl_memql(V1,ECL_CONS_CAR(CLV0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*	function definition for SYSTEM-SOURCE-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L151system_source_size(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = VV[238];
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  FILE-LIST       */
   cl_object V4;                                  /*  TOTAL-SIZE      */
   V3 = L147files_in_system(3, V1, V2, VV[137]);
   V4 = L152file_list_size(V3);
   {
    cl_fixnum V5;
    V5 = ecl_length(V3);
    T0 = ecl_round2(V4,ecl_make_fixnum(1024));
    cl_format(7, ECL_T, _ecl_static_160, V1, V2, ecl_make_fixnum(V5), V4, T0);
   }
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FILE-LIST-SIZE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L152file_list_size(cl_object volatile V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object V2;                         /*  TOTAL-SIZE      */
   V2 = ecl_make_fixnum(0);
   {
    volatile cl_object V3;
    V3 = V1;
    goto L6;
L5:;
    {
     volatile cl_object V4;                       /*  FILE            */
     V4 = ecl_car(V3);
     {
      volatile cl_object V5;                      /*  STREAM          */
      V5 = cl_open(1, V4);
      {
       volatile bool unwinding = FALSE;
       cl_index V6=ECL_STACK_INDEX(cl_env_copy),V7;
       ecl_frame_ptr next_fr;
       if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       {
        struct ecl_stack_frame _ecl_inner_frame_aux;
        volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
        {
         cl_object V8;
         V8 = _ecl_inner_frame;
         {
          cl_object V9;
          V9 = cl_file_length(V5);
          V2 = ecl_plus(V2,V9);
          cl_env_copy->values[0] = V2;
          cl_env_copy->nvalues = 1;
         }
         ecl_stack_frame_push_values(V8);
         if (Null(V5)) { goto L19; }
         cl_close(1, V5);
L19:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V8);
        }
        ecl_stack_frame_close(_ecl_inner_frame);
       }
       }
       ecl_frs_pop(cl_env_copy);
       V7=ecl_stack_push_values(cl_env_copy);
       if (Null(V5)) { goto L21; }
       cl_close(3, V5, ECL_SYM("ABORT",1195), ECL_T);
L21:;
       ecl_stack_pop_values(cl_env_copy,V7);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,V6);
      }
     }
    }
    V3 = ecl_cdr(V3);
L6:;
    if (Null(V3)) { goto L25; }
    goto L5;
L25:;
   }
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "ext/defsystem.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclsgRSmra7_fJcgNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:DEFSYSTEM;DEFSYSTEM.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclsgRSmra7_fJcgNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 ecl_function_dispatch(cl_env_copy,VV[353])(10, _ecl_static_0, VVtemp[0], ECL_NIL, VVtemp[1], ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL) /*  DODEFPACKAGE */;
 si_select_package(_ecl_static_0);
 cl_provide(VV[0]);
 cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[1], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
 si_Xmake_special(VV[2]);
 if (ecl_boundp(cl_env_copy,VV[2])) { goto L8; }
 cl_set(VV[2],ECL_NIL);
L8:;
 si_Xmake_special(VV[3]);
 if (ecl_boundp(cl_env_copy,VV[3])) { goto L15; }
 cl_set(VV[3],ECL_NIL);
L15:;
 si_Xmake_special(VV[4]);
 if (ecl_boundp(cl_env_copy,VV[4])) { goto L22; }
 cl_set(VV[4],ECL_NIL);
L22:;
 cl_set(VV[3],VVtemp[2]);
 cl_export(1, VVtemp[2]);
 cl_set(VV[2],ECL_NIL);
 cl_export(1, ECL_NIL);
 cl_set(VV[4],VVtemp[3]);
 cl_export(1, VVtemp[3]);
 si_Xmake_special(VV[5]);
 cl_set(VV[5],_ecl_static_1);
 si_Xmake_special(VV[6]);
 if (ecl_boundp(cl_env_copy,VV[6])) { goto L41; }
 cl_set(VV[6],ECL_NIL);
L41:;
 si_Xmake_special(VV[7]);
 if (ecl_boundp(cl_env_copy,VV[7])) { goto L48; }
 cl_set(VV[7],ECL_T);
L48:;
 ecl_cmp_defun(VV[354]);                          /*  HOME-SUBDIRECTORY */
 si_Xmake_special(VV[9]);
 if (ecl_boundp(cl_env_copy,VV[9])) { goto L59; }
 cl_set(VV[9],VVtemp[4]);
L59:;
 ecl_cmp_defun(VV[355]);                          /*  ADD-REGISTRY-LOCATION */
 ecl_cmp_defun(VV[356]);                          /*  REGISTRY-PATHNAME */
 ecl_cmp_defun(VV[357]);                          /*  PRINT-CENTRAL-REGISTRY-DIRECTORIES */
 ecl_cmp_defun(VV[358]);                          /*  LIST-CENTRAL-REGISTRY-DIRECTORIES */
 si_Xmake_special(VV[14]);
 if (ecl_boundp(cl_env_copy,VV[14])) { goto L82; }
 cl_set(VV[14],_ecl_static_3);
L82:;
 si_Xmake_special(VV[15]);
 if (ecl_boundp(cl_env_copy,VV[15])) { goto L89; }
 cl_set(VV[15],ECL_NIL);
L89:;
 si_Xmake_special(VV[16]);
 if (ecl_boundp(cl_env_copy,VV[16])) { goto L96; }
 cl_set(VV[16],ECL_NIL);
L96:;
 si_Xmake_special(VV[17]);
 if (ecl_boundp(cl_env_copy,VV[17])) { goto L103; }
 cl_set(VV[17],ECL_NIL);
L103:;
 si_Xmake_special(VV[18]);
 if (ecl_boundp(cl_env_copy,VV[18])) { goto L110; }
 cl_set(VV[18],ECL_NIL);
L110:;
 si_Xmake_special(VV[19]);
 if (ecl_boundp(cl_env_copy,VV[19])) { goto L117; }
 cl_set(VV[19],ECL_T);
L117:;
 si_Xmake_special(VV[20]);
 if (ecl_boundp(cl_env_copy,VV[20])) { goto L124; }
 cl_set(VV[20],ECL_NIL);
L124:;
 si_Xmake_special(VV[21]);
 if (ecl_boundp(cl_env_copy,VV[21])) { goto L131; }
 cl_set(VV[21],VV[22]);
L131:;
 si_Xmake_special(VV[23]);
 if (ecl_boundp(cl_env_copy,VV[23])) { goto L138; }
 cl_set(VV[23],ECL_NIL);
L138:;
 si_Xmake_special(VV[24]);
 if (ecl_boundp(cl_env_copy,VV[24])) { goto L145; }
 cl_set(VV[24],ECL_T);
L145:;
 si_Xmake_special(VV[25]);
 if (ecl_boundp(cl_env_copy,VV[25])) { goto L152; }
 cl_set(VV[25],ECL_T);
L152:;
 si_Xmake_special(VV[26]);
 if (ecl_boundp(cl_env_copy,VV[26])) { goto L159; }
 cl_set(VV[26],_ecl_static_4);
L159:;
 si_Xmake_special(VV[27]);
 if (ecl_boundp(cl_env_copy,VV[27])) { goto L166; }
 cl_set(VV[27],ECL_T);
L166:;
 si_Xmake_special(VV[28]);
 if (ecl_boundp(cl_env_copy,VV[28])) { goto L173; }
 cl_set(VV[28],ECL_T);
L173:;
 {
  cl_object T0;
 {
  cl_object V1;
  V1 = ecl_symbol_value(ECL_SYM("*FEATURES*",34));
  goto L183;
L182:;
  {
   cl_object V2;                                  /*  FEATURE         */
   V2 = ecl_car(V1);
   if (!(ECL_SYMBOLP(V2))) { goto L187; }
   T0 = ecl_symbol_name(V2);
   if (!(ecl_equal(T0,_ecl_static_5))) { goto L187; }
   cl_set(ECL_SYM("*FEATURES*",34),cl_adjoin(2, VV[29], ecl_symbol_value(ECL_SYM("*FEATURES*",34))));
L187:;
  }
  V1 = ecl_cdr(V1);
L183:;
  if (Null(V1)) { goto L193; }
  goto L182;
L193:;
 }
 }
 {
  cl_object T0, T1, T2, T3;
 si_Xmake_special(VV[30]);
 if (ecl_boundp(cl_env_copy,VV[30])) { goto L196; }
 T0 = (cl_env_copy->function=(ECL_SYM("COMPILE-FILE-PATHNAME",235)->symbol.gfdef))->cfun.entry(1, _ecl_static_7) /*  COMPILE-FILE-PATHNAME */;
 T1 = cl_pathname_type(1, T0);
 T2 = CONS(_ecl_static_6,T1);
 T3 = cl_list(2, VVtemp[5], T2);
 cl_set(VV[30],ecl_car(T3));
L196:;
 }
 si_Xmake_special(VV[31]);
 if (ecl_boundp(cl_env_copy,VV[31])) { goto L203; }
 cl_set(VV[31],_ecl_static_8);
L203:;
 si_Xmake_special(VV[32]);
 if (ecl_boundp(cl_env_copy,VV[32])) { goto L210; }
 cl_set(VV[32],ECL_T);
L210:;
 ecl_cmp_defun(VV[359]);                          /*  NON-EMPTY-LISTP */
 si_Xmake_special(VV[34]);
 if (ecl_boundp(cl_env_copy,VV[34])) { goto L221; }
 cl_set(VV[34],ECL_NIL);
L221:;
 si_Xmake_special(VV[35]);
 if (ecl_boundp(cl_env_copy,VV[35])) { goto L228; }
 cl_set(VV[35],ECL_NIL);
L228:;
 si_Xmake_special(VV[36]);
 if (ecl_boundp(cl_env_copy,VV[36])) { goto L235; }
 cl_set(VV[36],ECL_NIL);
L235:;
 {
  cl_object T0;
 si_Xmake_special(VV[37]);
 if (ecl_boundp(cl_env_copy,VV[37])) { goto L242; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[37],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L242:;
 }
 ecl_cmp_defun(VV[360]);                          /*  COMPONENT-OPERATION */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC8__g19,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 cl_set_dispatch_macro_character(3, CODE_CHAR(35), CODE_CHAR(64), T0);
 }
 si_Xmake_special(VV[40]);
 if (ecl_boundp(cl_env_copy,VV[40])) { goto L256; }
 cl_set(VV[40],_ecl_static_9);
L256:;
 ecl_cmp_defun(VV[361]);                          /*  OPERATING-SYSTEM-VERSION */
 ecl_cmp_defun(VV[362]);                          /*  COMPILER-VERSION */
 ecl_cmp_defun(VV[363]);                          /*  AFS-BINARY-DIRECTORY */
 ecl_cmp_defun(VV[364]);                          /*  AFS-SOURCE-DIRECTORY */
 ecl_cmp_defun(VV[365]);                          /*  NULL-STRING     */
 ecl_cmp_defun(VV[366]);                          /*  ENSURE-TRAILING-SLASH */
 ecl_cmp_defun(VV[367]);                          /*  AFS-COMPONENT   */
 {
  cl_object T0;
 si_Xmake_special(VV[48]);
 if (ecl_boundp(cl_env_copy,VV[48])) { goto L291; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[48],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L291:;
 }
 ecl_cmp_defun(VV[368]);                          /*  MACHINE-TYPE-TRANSLATION */
 L16machine_type_translation(2, _ecl_static_17, _ecl_static_18);
 L16machine_type_translation(2, _ecl_static_19, _ecl_static_20);
 L16machine_type_translation(2, _ecl_static_21, _ecl_static_22);
 L16machine_type_translation(2, _ecl_static_23, _ecl_static_20);
 L16machine_type_translation(2, _ecl_static_24, _ecl_static_25);
 L16machine_type_translation(2, _ecl_static_26, _ecl_static_27);
 L16machine_type_translation(2, _ecl_static_28, _ecl_static_29);
 L16machine_type_translation(2, _ecl_static_30, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_32, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_33, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_34, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_35, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_36, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_37, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_38, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_39, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_40, _ecl_static_31);
 L16machine_type_translation(2, _ecl_static_41, _ecl_static_41);
 L16machine_type_translation(2, _ecl_static_42, _ecl_static_41);
 L16machine_type_translation(2, _ecl_static_43, _ecl_static_41);
 L16machine_type_translation(2, _ecl_static_44, _ecl_static_41);
 {
  cl_object T0;
 si_Xmake_special(VV[50]);
 if (ecl_boundp(cl_env_copy,VV[50])) { goto L324; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[50],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L324:;
 }
 ecl_cmp_defun(VV[369]);                          /*  SOFTWARE-TYPE-TRANSLATION */
 L17software_type_translation(2, _ecl_static_45, _ecl_static_16);
 L17software_type_translation(2, _ecl_static_46, _ecl_static_16);
 L17software_type_translation(2, _ecl_static_47, _ecl_static_47);
 L17software_type_translation(2, _ecl_static_48, _ecl_static_16);
 L17software_type_translation(2, _ecl_static_49, _ecl_static_50);
 L17software_type_translation(2, _ecl_static_51, _ecl_static_52);
 L17software_type_translation(2, _ecl_static_53, _ecl_static_52);
 L17software_type_translation(2, _ecl_static_54, _ecl_static_52);
 L17software_type_translation(2, _ecl_static_55, _ecl_static_52);
 L17software_type_translation(2, _ecl_static_56, _ecl_static_52);
 L17software_type_translation(2, _ecl_static_57, _ecl_static_58);
 L17software_type_translation(2, _ecl_static_59, _ecl_static_58);
 L17software_type_translation(2, _ecl_static_60, _ecl_static_61);
 L17software_type_translation(2, _ecl_static_62, _ecl_static_61);
 L17software_type_translation(2, _ecl_static_63, _ecl_static_64);
 L17software_type_translation(2, _ecl_static_65, _ecl_static_64);
 L17software_type_translation(2, ECL_NIL, _ecl_static_13);
 {
  cl_object T0;
 si_Xmake_special(VV[52]);
 if (ecl_boundp(cl_env_copy,VV[52])) { goto L353; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[52],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L353:;
 }
 ecl_cmp_defun(VV[370]);                          /*  COMPILER-TYPE-TRANSLATION */
 L18compiler_type_translation(2, _ecl_static_66, _ecl_static_67);
 L18compiler_type_translation(2, _ecl_static_68, _ecl_static_67);
 L18compiler_type_translation(2, _ecl_static_69, _ecl_static_67);
 L18compiler_type_translation(2, _ecl_static_70, _ecl_static_71);
 L18compiler_type_translation(2, _ecl_static_72, _ecl_static_71);
 L18compiler_type_translation(2, _ecl_static_73, _ecl_static_74);
 L18compiler_type_translation(2, _ecl_static_75, _ecl_static_74);
 L18compiler_type_translation(2, _ecl_static_76, _ecl_static_74);
 ecl_cmp_defun(VV[371]);                          /*  CANONICALIZE-SYSTEM-NAME */
 {
  cl_object T0;
 si_Xmake_special(VV[55]);
 if (ecl_boundp(cl_env_copy,VV[55])) { goto L377; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[55],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L377:;
 }
 ecl_cmp_defun(VV[372]);                          /*  GET-SYSTEM      */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC21get_system,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(VV[56], T0);
 }
 ecl_cmp_defun(VV[373]);                          /*  UNDEFSYSTEM     */
 ecl_cmp_defun(VV[374]);                          /*  DEFINED-SYSTEMS */
 ecl_cmp_defun(VV[375]);                          /*  DEFINED-NAMES-AND-SYSTEMS */
 ecl_cmp_defun(VV[376]);                          /*  NEW-APPEND-DIRECTORIES */
 ecl_cmp_defun(VV[377]);                          /*  DIRECTORY-TO-LIST */
 si_Xmake_special(VV[63]);
 cl_set(VV[63],VVtemp[6]);
 ecl_cmp_defun(VV[378]);                          /*  TEST-NEW-APPEND-DIRECTORIES */
 ecl_cmp_defun(VV[379]);                          /*  APPEND-DIRECTORIES */
 ecl_cmp_defun(VV[380]);                          /*  PATHNAME-LOGICAL-P */
 ecl_cmp_defun(VV[381]);                          /*  NAMESTRING-PROBABLY-LOGICAL */
 ecl_cmp_defun(VV[382]);                          /*  APPEND-LOGICAL-PNAMES */
 ecl_cmp_defun(VV[383]);                          /*  NEW-FILE-TYPE   */
 si_Xmake_special(VV[71]);
 if (ecl_boundp(cl_env_copy,VV[71])) { goto L442; }
 cl_set(VV[71],ECL_NIL);
L442:;
 si_Xmake_special(VV[72]);
 if (ecl_boundp(cl_env_copy,VV[72])) { goto L449; }
 cl_set(VV[72],ECL_NIL);
L449:;
 si_define_structure(15, VV[73], VV[74], ECL_NIL, ECL_NIL, VVtemp[7], VVtemp[8], VV[75], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[9], ecl_make_fixnum(1), ECL_NIL, ECL_NIL, VV[76]);
 VV[85]= cl_find_class(1, VV[73]);
 ecl_cmp_defun(VV[384]);                          /*  MAKE-TOPOLOGICAL-SORT-NODE */
 si_Xmake_special(VV[87]);
 cl_set(VV[87],VVtemp[10]);
 si_Xmake_special(VV[88]);
 cl_set(VV[88],VVtemp[11]);
 si_define_structure(15, VV[89], _ecl_static_78, ECL_NIL, ECL_NIL, VVtemp[12], VVtemp[13], VV[90], VV[73], VV[91], ECL_NIL, VVtemp[14], ecl_make_fixnum(35), ECL_NIL, ECL_NIL, VV[92]);
 VV[117]= cl_find_class(1, VV[89]);
 ecl_cmp_defun(VV[386]);                          /*  MAKE-COMPONENT  */
 si_define_structure(15, VV[119], _ecl_static_79, ECL_NIL, ECL_NIL, VVtemp[15], VVtemp[16], VV[120], VV[89], ECL_NIL, ECL_NIL, VVtemp[17], ecl_make_fixnum(37), ECL_NIL, ECL_NIL, VV[121]);
 VV[123]= cl_find_class(1, VV[119]);
 ecl_cmp_defun(VV[422]);                          /*  MAKE-FOREIGN-SYSTEM */
 ecl_cmp_defun(VV[460]);                          /*  REGISTER-FOREIGN-SYSTEM */
 {
  cl_object T0, T1, T2, T3, T4, T5, T6;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC49__g127,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[19]);
 T2 = cl_list(3, T1, VVtemp[20], VVtemp[21]);
 T3 = cl_constantly(ECL_NIL);
 T4 = cl_list(3, VV[128], ECL_NIL, T3);
 T5 = ecl_list1(T4);
 T6 = cl_list(2, ECL_SYM("DIRECT-DEFAULT-INITARGS",989), T5);
 clos_load_defclass(VV[127], VVtemp[18], T2, T6);
 }
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC51__g129,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[23]);
 T2 = ecl_list1(T1);
 clos_load_defclass(VV[129], VVtemp[22], T2, ECL_NIL);
 }
 {
  cl_object T0, T1, T2;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC53__g131,ECL_NIL,Cblock,0);
  T0 = V1;
 }
 T1 = cl_listX(3, ECL_SYM("INITFUNCTION",997), T0, VVtemp[25]);
 T2 = ecl_list1(T1);
 clos_load_defclass(VV[130], VVtemp[24], T2, ECL_NIL);
 }
 {
  cl_object T0;
 si_Xmake_special(VV[131]);
 if (ecl_boundp(cl_env_copy,VV[131])) { goto L508; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[131],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L508:;
 }
 ecl_cmp_defun(VV[465]);                          /*  COMPONENT-LOAD-TIME */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC55component_load_time,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_do_defsetf(VV[140], T0);
 }
 ecl_cmp_defun(VV[466]);                          /*  COMPUTE-SYSTEM-PATH */
 ecl_cmp_defun(VV[467]);                          /*  SYSTEM-DEFINITION-PATHNAME */
 si_Xmake_special(VV[152]);
 if (ecl_boundp(cl_env_copy,VV[152])) { goto L531; }
 cl_set(VV[152],ECL_T);
L531:;
 ecl_cmp_defun(VV[468]);                          /*  FIND-SYSTEM     */
 ecl_cmp_defun(VV[469]);                          /*  PRINT-COMPONENT */
 ecl_cmp_defun(VV[470]);                          /*  DESCRIBE-SYSTEM */
 ecl_cmp_defun(VV[476]);                          /*  CANONICALIZE-COMPONENT-NAME */
 ecl_cmp_defun(VV[477]);                          /*  COMPONENT-PATHNAME */
 ecl_cmp_defun(VV[478]);                          /*  COMPONENT-ERROR-PATHNAME */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC65component_pathname,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[163], T0);
 }
 ecl_cmp_defun(VV[479]);                          /*  COMPONENT-ROOT-DIR */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC67component_root_dir,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[170], T0);
 }
 {
  cl_object T0;
 si_Xmake_special(VV[173]);
 if (ecl_boundp(cl_env_copy,VV[173])) { goto L572; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[173],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L572:;
 }
 {
  cl_object T0;
 si_Xmake_special(VV[174]);
 if (ecl_boundp(cl_env_copy,VV[174])) { goto L580; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[174],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L580:;
 }
 si_Xmake_special(VV[175]);
 cl_set(VV[175],ECL_T);
 ecl_cmp_defun(VV[480]);                          /*  CLEAR-FULL-PATHNAME-TABLES */
 ecl_cmp_defun(VV[481]);                          /*  COMPONENT-FULL-PATHNAME */
 ecl_cmp_defun(VV[482]);                          /*  COMPONENT-FULL-PATHNAME-I */
 ecl_cmp_defun(VV[483]);                          /*  TRANSLATE-VERSION */
 ecl_cmp_defun(VV[484]);                          /*  COMPONENT-EXTENSION */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC73component_extension,ECL_NIL,Cblock,3);
  T0 = V1;
 }
 si_do_defsetf(VV[180], T0);
 }
 ecl_cmp_defun(VV[486]);                          /*  CREATE-COMPONENT */
 ecl_cmp_defun(VV[491]);                          /*  PREPROCESS-COMPONENT-DEFINITION */
 ecl_cmp_defmacro(VV[492]);                       /*  DEFSYSTEM       */
 ecl_cmp_defun(VV[493]);                          /*  CREATE-COMPONENT-PATHNAMES */
 ecl_cmp_defun(VV[497]);                          /*  GENERATE-COMPONENT-PATHNAME */
 ecl_cmp_defun(VV[498]);                          /*  EXPAND-COMPONENT-COMPONENTS */
 ecl_cmp_defun(VV[499]);                          /*  EXPAND-COMPONENT-DEFINITIONS */
 ecl_cmp_defun(VV[500]);                          /*  EXPAND-SERIAL-COMPONENT-CHAIN */
 si_Xmake_special(VV[207]);
 cl_set(VV[207],ECL_NIL);
 ecl_cmp_defun(VV[501]);                          /*  ABSOLUTE-FILE-NAMESTRING-P */
 ecl_cmp_defun(VV[502]);                          /*  EXPAND-COMPONENT-DEFINITION */
 ecl_cmp_defun(VV[503]);                          /*  LINK-COMPONENT-DEPENDS-ON */
 ecl_cmp_defun(VV[504]);                          /*  TOPOLOGICAL-SORT */
 ecl_cmp_defun(VV[506]);                          /*  SPLIT-STRING    */
 ecl_cmp_defun(VV[509]);                          /*  PROMPT-STRING   */
 ecl_cmp_defun(VV[511]);                          /*  FORMAT-JUSTIFIED-STRING */
 ecl_cmp_defun(VV[512]);                          /*  TELL-USER       */
 ecl_cmp_defun(VV[513]);                          /*  TELL-USER-DONE  */
 ecl_cmp_defmacro(VV[514]);                       /*  WITH-TELL-USER  */
 ecl_cmp_defun(VV[515]);                          /*  TELL-USER-NO-FILES */
 ecl_cmp_defun(VV[516]);                          /*  TELL-USER-REQUIRE-SYSTEM */
 ecl_cmp_defun(VV[517]);                          /*  TELL-USER-GENERIC */
 si_Xmake_special(VV[226]);
 cl_set(VV[226],ECL_T);
 si_Xmake_special(VV[227]);
 cl_set(VV[227],ECL_T);
 si_Xmake_special(VV[228]);
 cl_set(VV[228],_ecl_static_104);
 ecl_cmp_defun(VV[518]);                          /*  INTERNAL-REAL-TIME-IN-SECONDS */
 ecl_cmp_defun(VV[519]);                          /*  READ-CHAR-WAIT  */
 ecl_cmp_defun(VV[520]);                          /*  Y-OR-N-P-WAIT   */
 si_Xmake_special(VV[235]);
 if (ecl_boundp(cl_env_copy,VV[235])) { goto L733; }
 cl_set(VV[235],ECL_NIL);
L733:;
 cl_export(1, VVtemp[26]);
 ecl_cmp_defmacro(VV[521]);                       /*  WITH-SPECIAL-COMPONENT-VARS */
 ecl_cmp_defun(VV[522]);                          /*  OPERATE-ON-SYSTEM */
 ecl_cmp_defun(VV[534]);                          /*  COMPILE-SYSTEM  */
 ecl_cmp_defun(VV[535]);                          /*  LOAD-SYSTEM     */
 ecl_cmp_defun(VV[536]);                          /*  CLEAN-SYSTEM    */
 ecl_cmp_defun(VV[542]);                          /*  EDIT-SYSTEM     */
 ecl_cmp_defun(VV[543]);                          /*  HARDCOPY-SYSTEM */
 ecl_cmp_defun(VV[544]);                          /*  ENSURE-EXTERNAL-SYSTEM-DEF-LOADED */
 ecl_cmp_defun(VV[545]);                          /*  OPERATE-ON-COMPONENT */
 si_Xmake_special(VV[267]);
 if (ecl_boundp(cl_env_copy,VV[267])) { goto L775; }
 cl_set(VV[267],ECL_NIL);
L775:;
 si_Xmake_special(VV[268]);
 if (ecl_boundp(cl_env_copy,VV[268])) { goto L782; }
 cl_set(VV[268],ECL_T);
L782:;
 ecl_cmp_defun(VV[549]);                          /*  OPERATE-ON-SYSTEM-DEPENDENCIES */
 ecl_cmp_defun(VV[550]);                          /*  MODULE-DEPENDS-ON-CHANGED */
 ecl_cmp_defun(VV[551]);                          /*  OPERATE-ON-COMPONENTS */
 si_Xmake_special(VV[274]);
 if (ecl_boundp(cl_env_copy,VV[274])) { goto L801; }
 cl_set(VV[274],ECL_NIL);
L801:;
 ecl_cmp_defun(VV[554]);                          /*  NEW-REQUIRE     */
 {
  cl_object T0;
 if ((ecl_symbol_value(VV[274]))!=ECL_NIL) { goto L811; }
 cl_set(VV[274],cl_symbol_function(ECL_SYM("REQUIRE",718)));
 if ((ecl_symbol_value(VV[6]))!=ECL_NIL) { goto L811; }
 si_package_lock(_ecl_static_115, ECL_NIL);
 T0 = cl_symbol_function(VV[275]);
 si_fset(4, ECL_SYM("REQUIRE",718), T0, ECL_NIL, ECL_NIL);
 si_package_lock(_ecl_static_115, ECL_T);
L811:;
 }
 ecl_cmp_defun(VV[555]);                          /*  CMUCL-MK-DEFSYSTEM-MODULE-PROVIDER */
 cl_set(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42),cl_adjoin(2, VV[276], ecl_symbol_value(ECL_SYM("*MODULE-PROVIDER-FUNCTIONS*",42))));
 {
  cl_object T0;
 si_Xmake_special(VV[277]);
 if (ecl_boundp(cl_env_copy,VV[277])) { goto L825; }
 T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
 cl_set(VV[277],cl_make_hash_table(2, ECL_SYM("TEST",1316), T0));
L825:;
 }
 ecl_cmp_defun(VV[556]);                          /*  FIND-LANGUAGE   */
 si_define_structure(15, VV[110], _ecl_static_116, ECL_NIL, ECL_NIL, VVtemp[27], VVtemp[28], VV[279], ECL_NIL, VV[280], ECL_NIL, VVtemp[29], ecl_make_fixnum(5), ECL_NIL, ECL_NIL, VV[281]);
 VV[282]= cl_find_class(1, VV[110]);
 ecl_cmp_defun(VV[557]);                          /*  MAKE-LANGUAGE   */
 ecl_cmp_defun(VV[563]);                          /*  PRINT-LANGUAGE  */
 ecl_cmp_defun(VV[567]);                          /*  COMPILE-FUNCTION */
 ecl_cmp_defun(VV[569]);                          /*  LOAD-FUNCTION   */
 ecl_cmp_defun(VV[571]);                          /*  DEFAULT-SOURCE-EXTENSION */
 ecl_cmp_defun(VV[572]);                          /*  DEFAULT-BINARY-EXTENSION */
 ecl_cmp_defmacro(VV[573]);                       /*  DEFINE-LANGUAGE */
 {
  cl_object T0, T1, T2, T3;
 {
  cl_object V1;
  T0 = (ECL_SYM("COMPILE-FILE",234)->symbol.gfdef);
  T1 = (ECL_SYM("LOAD",487)->symbol.gfdef);
  T2 = ecl_car(ecl_symbol_value(VV[30]));
  T3 = ecl_cdr(ecl_symbol_value(VV[30]));
  V1 = L116make_language(10, ECL_SYM("NAME",1273), VV[285], VV[290], T0, VV[291], T1, VV[292], T2, VV[293], T3);
  si_hash_set(VV[285], ecl_symbol_value(VV[277]), V1);
 }
 }
 ecl_cmp_defun(VV[574]);                          /*  SCHEME-COMPILE-FILE */
 {
  cl_object T0, T1;
 {
  cl_object V1;
  T0 = ecl_fdefinition(VV[298]);
  T1 = (ECL_SYM("LOAD",487)->symbol.gfdef);
  V1 = L116make_language(10, ECL_SYM("NAME",1273), VV[299], VV[290], T0, VV[291], T1, VV[292], _ecl_static_119, VV[293], _ecl_static_120);
  si_hash_set(VV[299], ecl_symbol_value(VV[277]), V1);
 }
 }
 si_Xmake_special(VV[300]);
 cl_set(VV[300],_ecl_static_121);
 ecl_cmp_defun(VV[575]);                          /*  RUN-UNIX-PROGRAM */
 si_Xmake_special(VV[302]);
 if (ecl_boundp(cl_env_copy,VV[302])) { goto L892; }
 cl_set(VV[302],_ecl_static_123);
L892:;
 ecl_cmp_defun(VV[577]);                          /*  RUN-SHELL-COMMAND */
 ecl_cmp_defun(VV[580]);                          /*  DEFAULT-OUTPUT-PATHNAME */
 ecl_cmp_defun(VV[581]);                          /*  RUN-COMPILER    */
 ecl_cmp_defun(VV[582]);                          /*  C-COMPILE-FILE  */
 {
  cl_object T0, T1;
 {
  cl_object V1;
  T0 = ecl_fdefinition(VV[308]);
  T1 = (ECL_SYM("LOAD",487)->symbol.gfdef);
  V1 = L116make_language(10, ECL_SYM("NAME",1273), VV[309], VV[290], T0, VV[291], T1, VV[292], _ecl_static_138, VV[293], _ecl_static_129);
  si_hash_set(VV[309], ecl_symbol_value(VV[277]), V1);
 }
 }
 cl_export(1, VVtemp[30]);
 si_Xmake_special(VV[310]);
 cl_set(VV[310],_ecl_static_139);
 si_Xmake_special(VV[311]);
 cl_set(VV[311],VVtemp[31]);
 ecl_cmp_defun(VV[596]);                          /*  FORTRAN-COMPILE-FILE */
 {
  cl_object T0, T1;
 {
  cl_object V1;
  T0 = ecl_fdefinition(VV[312]);
  T1 = (ECL_SYM("IDENTITY",426)->symbol.gfdef);
  V1 = L116make_language(10, ECL_SYM("NAME",1273), VV[313], VV[290], T0, VV[291], T1, VV[292], _ecl_static_141, VV[293], _ecl_static_129);
  si_hash_set(VV[313], ecl_symbol_value(VV[277]), V1);
 }
 }
 cl_export(1, VVtemp[32]);
 si_Xmake_special(VV[314]);
 cl_set(VV[314],_ecl_static_142);
 ecl_cmp_defun(VV[597]);                          /*  BUILD-LIB       */
 L7component_operation(2, VV[216], VV[316]);
 L7component_operation(2, ECL_SYM("COMPILE",233), VV[316]);
 L7component_operation(2, VV[154], VV[317]);
 L7component_operation(2, ECL_SYM("LOAD",487), VV[317]);
 ecl_cmp_defun(VV[598]);                          /*  COMPILE-AND-LOAD-OPERATION */
 ecl_cmp_defun(VV[599]);                          /*  UNMUNGE-LUCID   */
 ecl_cmp_defun(VV[600]);                          /*  COMPILE-FILE-OPERATION */
 {
  cl_object T0;
 if (Null(cl_find_package(_ecl_static_148))) { goto L968; }
 T0 = cl_find_symbol(2, _ecl_static_149, _ecl_static_148);
 cl_import(1, T0);
L968:;
 }
 if ((cl_fboundp(VV[325]))!=ECL_NIL) { goto L970; }
 ecl_cmp_defun(VV[601]);                          /*  COMPILED-FILE-P */
L970:;
 ecl_cmp_defun(VV[602]);                          /*  NEEDS-COMPILATION */
 ecl_cmp_defun(VV[603]);                          /*  NEEDS-LOADING   */
 ecl_cmp_defun(VV[604]);                          /*  LOAD-FILE-OPERATION */
 L7component_operation(2, VV[332], VV[333]);
 L7component_operation(2, VV[334], VV[333]);
 L7component_operation(2, VV[253], VV[333]);
 L7component_operation(2, VV[335], VV[333]);
 ecl_cmp_defun(VV[605]);                          /*  DELETE-BINARIES-OPERATION */
 ecl_cmp_defun(VV[606]);                          /*  BINARY-EXISTS   */
 ecl_cmp_defun(VV[607]);                          /*  COMPILE-AND-LOAD-SOURCE-IF-NO-BINARY */
 ecl_cmp_defun(VV[608]);                          /*  LOAD-SOURCE-IF-NO-BINARY */
 ecl_cmp_defun(VV[609]);                          /*  FILES-WHICH-NEED-COMPILATION */
 ecl_cmp_defun(VV[610]);                          /*  FILES-IN-SYSTEM-AND-DEPENDENTS */
 ecl_cmp_defun(VV[611]);                          /*  FILES-IN-SYSTEM */
 ecl_cmp_defun(VV[612]);                          /*  FILE-PATHNAMES-IN-COMPONENT */
 ecl_cmp_defun(VV[613]);                          /*  FILE-COMPONENTS-IN-COMPONENT */
 {
  cl_object T0;
 T0 = cl_symbol_function(VV[243]);
 si_fset(4, VV[349], T0, ECL_NIL, ECL_NIL);
 }
 si_Xmake_special(VV[350]);
 cl_set(VV[350],_ecl_static_159);
 ecl_cmp_defun(VV[614]);                          /*  SYSTEM-SOURCE-SIZE */
 ecl_cmp_defun(VV[615]);                          /*  FILE-LIST-SIZE  */
}
