/*	Compiler: ECL 12.12.1                                         */
/*	Source: SRC:LSP;LOOP2.LSP                                     */
#include <ecl/ecl-cmp.h>
#include "lsp/loop2.eclh"
/*	local function LOOP-UNSAFE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1loop_unsafe(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = cl_listX(3, ECL_SYM("LOCALLY",490), VV[0], V3);
   return value0;
  }
 }
}
/*	local function LOOP-COPYLIST*                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2loop_copylist_(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  L               */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(2, ECL_SYM("COPY-LIST",257), V4);
   return value0;
  }
 }
}
/*	function definition for LOOP-OPTIMIZATION-QUANTITIES          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3loop_optimization_quantities(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->nvalues = 5;
  cl_env_copy->values[4] = ecl_make_fixnum(1);
  cl_env_copy->values[3] = ecl_make_fixnum(1);
  cl_env_copy->values[2] = ecl_make_fixnum(1);
  cl_env_copy->values[1] = ecl_make_fixnum(1);
  cl_env_copy->values[0] = ecl_make_fixnum(1);
  return cl_env_copy->values[0];
 }
}
/*	function definition for HIDE-VARIABLE-REFERENCES              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4hide_variable_references(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for HIDE-VARIABLE-REFERENCE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5hide_variable_reference(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITH-LOOP-LIST-COLLECTION-HEAD                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6with_loop_list_collection_head(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  HEAD-VAR        */
   cl_object V7;                                  /*  TAIL-VAR        */
   cl_object V8;                                  /*  USER-HEAD-VAR   */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V9;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V9;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V9;
   }
   if (Null(V5)) { goto L22; }
   {
    cl_object V9;
    V9 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V9;
    goto L21;
   }
L22:;
   V8 = ECL_NIL;
L21:;
   if (Null(V5)) { goto L27; }
   si_dm_too_many_arguments(V1);
L27:;
   {
    cl_object V9;                                 /*  L               */
    if (Null(V8)) { goto L31; }
    T0 = cl_list(2, V8, ECL_NIL);
    V9 = ecl_list1(T0);
    goto L29;
L31:;
    V9 = ECL_NIL;
    goto L29;
L29:;
    T0 = cl_list(2, V6, VV[4]);
    T1 = cl_list(2, V7, V6);
    T2 = cl_listX(3, T0, T1, V9);
    value0 = cl_listX(3, ECL_SYM("LET*",478), T2, V3);
    return value0;
   }
  }
 }
}
/*	local function LOOP-COLLECT-RPLACD                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8loop_collect_rplacd(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;
   cl_object V5;
   cl_object V6;                                  /*  HEAD-VAR        */
   cl_object V7;                                  /*  TAIL-VAR        */
   cl_object V8;                                  /*  USER-HEAD-VAR   */
   cl_object V9;                                  /*  FORM            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V10;
   }
   V5 = V4;
   if (!(V5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(V1);
L10:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V6 = V10;
   }
   if (!(V5==ECL_NIL)) { goto L16; }
   si_dm_too_few_arguments(V1);
L16:;
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V7 = V10;
   }
   if (Null(V5)) { goto L22; }
   {
    cl_object V10;
    V10 = ecl_car(V5);
    V5 = ecl_cdr(V5);
    V8 = V10;
    goto L21;
   }
L22:;
   V8 = ECL_NIL;
L21:;
   if (!(V3==ECL_NIL)) { goto L28; }
   si_dm_too_few_arguments(V1);
L28:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V9 = V10;
   }
   if (Null(V3)) { goto L33; }
   si_dm_too_many_arguments(V1);
L33:;
   if (Null(V5)) { goto L35; }
   si_dm_too_many_arguments(V1);
L35:;
   V9 = cl_macroexpand(2, V9, V2);
   {
    cl_object V10;                                /*  NCDRS           */
    V10 = ECL_NIL;
    if (!(ECL_CONSP(V9))) { goto L40; }
    T0 = ecl_car(V9);
    if (!((T0)==(ECL_SYM("LIST",481)))) { goto L42; }
    T0 = ecl_cdr(V9);
    {
     cl_fixnum V11;
     V11 = ecl_length(T0);
     V10 = ecl_make_integer((V11)-1);
    }
    goto L40;
L42:;
    {
     cl_object V11;
     V11 = ecl_car(V9);
     if (!((V11)==(ECL_SYM("LIST*",482)))) { goto L50; }
     goto L47;
     goto L48;
L50:;
     goto L48;
L48:;
     if (!((V11)==(ECL_SYM("CONS",251)))) { goto L40; }
     goto L45;
L47:;
    }
L45:;
    if (Null(ecl_cddr(V9))) { goto L40; }
    {
     cl_object V11;
     T0 = ecl_last(V9,1);
     V11 = ecl_car(T0);
     if (!((V11)==(ECL_NIL))) { goto L59; }
     goto L56;
     goto L57;
L59:;
     goto L57;
L57:;
     if (!(ecl_eql(V11,VV[9]))) { goto L40; }
     goto L53;
L56:;
    }
L53:;
    T0 = ecl_cdr(V9);
    {
     cl_fixnum V11;
     V11 = ecl_length(T0);
     V10 = ecl_minus(ecl_make_fixnum(V11),ecl_make_fixnum(2));
    }
L40:;
    {
     cl_object V11;                               /*  ANSWER          */
     if (!(V10==ECL_NIL)) { goto L64; }
     T0 = cl_list(2, ECL_SYM("CDR",198), V7);
     T1 = cl_list(3, ECL_SYM("SETF",750), T0, V9);
     T2 = cl_list(2, ECL_SYM("CDR",198), V7);
     T3 = cl_list(2, ECL_SYM("LAST",455), T2);
     T4 = cl_list(3, ECL_SYM("SETQ",751), V7, T3);
     V11 = cl_list(3, ECL_SYM("WHEN",905), T1, T4);
     goto L63;
L64:;
     if (!(ecl_number_compare(V10,ecl_make_fixnum(0))<0)) { goto L66; }
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 1;
     return value0;
L66:;
     if (!(ecl_number_equalp(V10,ecl_make_fixnum(0)))) { goto L68; }
     T0 = cl_list(3, ECL_SYM("SETQ",751), V7, V9);
     V11 = cl_list(3, ECL_SYM("RPLACD",733), V7, T0);
     goto L63;
L68:;
     T1 = cl_list(2, ECL_SYM("CDR",198), V7);
     T2 = cl_list(3, ECL_SYM("SETF",750), T1, V9);
     T0 = LC7cdr_wrap(T2, V10);
     V11 = cl_list(3, ECL_SYM("SETQ",751), V7, T0);
L63:;
     if (Null(V8)) { goto L71; }
     T0 = cl_list(2, ECL_SYM("CDR",198), V6);
     T1 = cl_list(3, ECL_SYM("SETQ",751), V8, T0);
     V11 = cl_list(3, ECL_SYM("PROGN",671), V11, T1);
L71:;
     value0 = V11;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function CDR-WRAP                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7cdr_wrap(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum V3;
  V3 = ecl_to_fixnum(V2);
TTL:
  goto L3;
L2:;
  V1 = cl_list(2, ECL_SYM("CDDDDR",195), V1);
  {
   cl_object V4;
   V4 = ecl_minus(ecl_make_fixnum(V3),ecl_make_fixnum(4));
   {
    bool V5;
    V5 = ECL_FIXNUMP(V4);
    if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V4);
   }
   V3 = ecl_fixnum(V4);
  }
L3:;
  if ((V3)<=(4)) { goto L11; }
  goto L2;
L11:;
  if (!((V3)==(1))) { goto L15; }
  T0 = ECL_SYM("CDR",198);
  goto L14;
L15:;
  if (!((V3)==(2))) { goto L17; }
  T0 = ECL_SYM("CDDR",197);
  goto L14;
L17:;
  if (!((V3)==(3))) { goto L19; }
  T0 = ECL_SYM("CDDDR",196);
  goto L14;
L19:;
  if (!((V3)==(4))) { goto L21; }
  T0 = ECL_SYM("CDDDDR",195);
  goto L14;
L21:;
  T0 = ECL_NIL;
L14:;
  V1 = cl_list(2, T0, V1);
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function LOOP-COLLECT-ANSWER                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9loop_collect_answer(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  HEAD-VAR        */
   cl_object V5;                                  /*  USER-HEAD-VAR   */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (Null(V3)) { goto L9; }
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
    goto L8;
   }
L9:;
   V5 = ECL_NIL;
L8:;
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   value0 = V5;
   if ((value0)!=ECL_NIL) { goto L17; }
   value0 = cl_list(2, ECL_SYM("CDR",198), V4);
   return value0;
L17:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for MAKE-LOOP-MINIMAX-INTERNAL            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10make_loop_minimax_internal(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,L10make_loop_minimax_internalkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
   V6 = keyvars[5];
  }
  T0 = cl_list(6, V1, V2, V3, V4, V5, V6);
  value0 = cl_make_array(5, VV[15], ECL_SYM("ELEMENT-TYPE",1224), ECL_T, ECL_SYM("INITIAL-CONTENTS",1252), T0);
  return value0;
 }
}
/*	function definition for MAKE-LOOP-MINIMAX                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11make_loop_minimax(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  INFINITY-DATA   */
   {
    cl_object V4;
    V4 = ecl_symbol_value(VV[17]);
    goto L6;
L5:;
    {
     cl_object V5;
     cl_object V6;
     if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
     V5 = V4;
     V6 = ECL_CONS_CAR(V5);
     if (Null(V6)) { goto L8; }
     {
      cl_object V7;
      if (ecl_unlikely(ECL_ATOM(V6))) FEtype_error_cons(V6);
      T1 = V6;
      V7 = ECL_CONS_CAR(T1);
      if (Null(cl_subtypep(2, V2, V7))) { goto L8; }
      T0 = V6;
      goto L2;
     }
    }
L8:;
    V4 = ECL_CONS_CDR(V4);
L6:;
    if (V4==ECL_NIL) { goto L19; }
    goto L5;
L19:;
    T0 = ECL_NIL;
   }
L2:;
   V3 = ecl_cdr(T0);
   T0 = cl_gensym(1, _ecl_static_2);
   if ((V3)!=ECL_NIL) { goto L23; }
   T1 = cl_gensym(1, _ecl_static_3);
   goto L21;
L23:;
   T1 = ECL_NIL;
   goto L21;
L21:;
   value0 = L10make_loop_minimax_internal(12, VV[18], V1, ECL_SYM("TYPE",1318), V2, VV[19], T0, VV[20], T1, VV[21], ECL_NIL, VV[22], V3);
   return value0;
  }
 }
}
/*	function definition for LOOP-NOTE-MINIMAX-OPERATION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12loop_note_minimax_operation(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[235])(1, V2) /*  LOOP-MINIMAX-OPERATIONS */;
   V3 = cl_adjoin(2, V1, T0);
   ecl_elt_set(V2,4,V3);
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[235])(1, V2) /*  LOOP-MINIMAX-OPERATIONS */;
  if (Null(ecl_cdr(T0))) { goto L3; }
  if ((ecl_function_dispatch(cl_env_copy,VV[236])(1, V2) /*  LOOP-MINIMAX-FLAG-VARIABLE */)!=ECL_NIL) { goto L3; }
  {
   cl_object V3;
   V3 = cl_gensym(1, _ecl_static_3);
   ecl_elt_set(V2,3,V3);
  }
L3:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function WITH-MINIMAX-VALUE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13with_minimax_value(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  LM              */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  LET220          */
    cl_object V6;                                 /*  LET221          */
    cl_object V7;                                 /*  LET222          */
    cl_object V8;                                 /*  LET223          */
    cl_object V9;                                 /*  LET224          */
    cl_object V10;                                /*  LET225          */
    cl_object V11;                                /*  LET226          */
    T0 = ecl_function_dispatch(cl_env_copy,VV[238])(1, V4) /*  LOOP-MINIMAX-TYPE */;
    V5 = L59loop_typed_init(T0);
    T0 = ecl_function_dispatch(cl_env_copy,VV[235])(1, V4) /*  LOOP-MINIMAX-OPERATIONS */;
    V6 = ecl_car(T0);
    V7 = ecl_function_dispatch(cl_env_copy,VV[239])(1, V4) /*  LOOP-MINIMAX-INFINITY-DATA */;
    V8 = ecl_function_dispatch(cl_env_copy,VV[240])(1, V4) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
    V9 = ecl_function_dispatch(cl_env_copy,VV[241])(1, V4) /*  LOOP-MINIMAX-TEMP-VARIABLE */;
    V10 = ecl_function_dispatch(cl_env_copy,VV[236])(1, V4) /*  LOOP-MINIMAX-FLAG-VARIABLE */;
    V11 = ecl_function_dispatch(cl_env_copy,VV[238])(1, V4) /*  LOOP-MINIMAX-TYPE */;
    if (Null(V10)) { goto L15; }
    T0 = cl_list(2, V8, V5);
    T1 = cl_list(2, V9, V5);
    T2 = cl_list(2, V10, ECL_NIL);
    T3 = cl_list(3, T0, T1, T2);
    T4 = cl_list(4, ECL_SYM("TYPE",869), V11, V8, V9);
    T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
    value0 = cl_listX(4, ECL_SYM("LET",477), T3, T5, V3);
    return value0;
L15:;
    if (!((V6)==(ECL_SYM("MIN",557)))) { goto L18; }
    T0 = ecl_car(V7);
    goto L17;
L18:;
    T0 = ecl_cadr(V7);
L17:;
    T1 = cl_list(2, V8, T0);
    T2 = cl_list(2, V9, V5);
    T3 = cl_list(2, T1, T2);
    T4 = cl_list(4, ECL_SYM("TYPE",869), V11, V8, V9);
    T5 = cl_list(2, ECL_SYM("DECLARE",274), T4);
    value0 = cl_listX(4, ECL_SYM("LET",477), T3, T5, V3);
    return value0;
   }
  }
 }
}
/*	local function LOOP-ACCUMULATE-MINIMAX-VALUE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14loop_accumulate_minimax_value(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  LM              */
   cl_object V5;                                  /*  OPERATION       */
   cl_object V6;                                  /*  FORM            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   {
    cl_object V7;                                 /*  ANSWER-VAR      */
    cl_object V8;                                 /*  TEMP-VAR        */
    cl_object V9;                                 /*  FLAG-VAR        */
    cl_object V10;                                /*  TEST            */
    V7 = ecl_function_dispatch(cl_env_copy,VV[240])(1, V4) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
    V8 = ecl_function_dispatch(cl_env_copy,VV[241])(1, V4) /*  LOOP-MINIMAX-TEMP-VARIABLE */;
    V9 = ecl_function_dispatch(cl_env_copy,VV[236])(1, V4) /*  LOOP-MINIMAX-FLAG-VARIABLE */;
    T0 = ecl_function_dispatch(cl_env_copy,VV[240])(1, V4) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
    if (!((V5)==(ECL_SYM("MIN",557)))) { goto L27; }
    T1 = ECL_SYM("<",72);
    goto L26;
L27:;
    if (!((V5)==(ECL_SYM("MAX",551)))) { goto L29; }
    T1 = ECL_SYM(">",75);
    goto L26;
L29:;
    T1 = si_ecase_error(V5, VV[24]);
L26:;
    T2 = cl_list(3, T1, V8, V7);
    V10 = L5hide_variable_reference(ECL_T, T0, T2);
    T0 = cl_list(3, ECL_SYM("SETQ",751), V8, V6);
    if (Null(V9)) { goto L32; }
    T2 = cl_list(2, ECL_SYM("NOT",584), V9);
    T1 = cl_list(3, ECL_SYM("OR",614), T2, V10);
    goto L31;
L32:;
    T1 = V10;
L31:;
    if (Null(V9)) { goto L36; }
    T2 = cl_list(2, V9, ECL_T);
    goto L34;
L36:;
    T2 = ECL_NIL;
    goto L34;
L34:;
    T3 = cl_list(2, V7, V8);
    T4 = ecl_append(T2,T3);
    T5 = CONS(ECL_SYM("SETQ",751),T4);
    T6 = cl_list(3, ECL_SYM("WHEN",905), T1, T5);
    value0 = cl_list(3, ECL_SYM("PROGN",671), T0, T6);
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-TEQUAL                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15loop_tequal(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(V1))) { goto L2; }
  value0 = cl_stringE(2, V1, V2);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-TASSOC                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16loop_tassoc(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(V1))) { goto L2; }
  {
   cl_object V3;
   V3 = V2;
   goto L7;
L6:;
   {
    cl_object V4;
    cl_object V5;
    if (ecl_unlikely(ECL_ATOM(V3))) FEtype_error_cons(V3);
    V4 = V3;
    V5 = ECL_CONS_CAR(V4);
    if (Null(V5)) { goto L9; }
    {
     cl_object V6;
     if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
     T0 = V5;
     V6 = ECL_CONS_CAR(T0);
     if (Null(cl_stringE(2, V1, V6))) { goto L9; }
     value0 = V5;
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
L9:;
   V3 = ECL_CONS_CDR(V3);
L7:;
   if (V3==ECL_NIL) { goto L20; }
   goto L6;
L20:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-TMEMBER                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17loop_tmember(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(V1))) { goto L2; }
  {
   cl_object V3;
   V3 = V2;
   goto L7;
L6:;
   {
    cl_object V4;
    cl_object V5;
    if (ecl_unlikely(ECL_ATOM(V3))) FEtype_error_cons(V3);
    V4 = V3;
    V5 = ECL_CONS_CAR(V4);
    if (Null(cl_stringE(2, V1, V5))) { goto L9; }
    value0 = V4;
    cl_env_copy->nvalues = 1;
    return value0;
   }
L9:;
   V3 = ECL_CONS_CDR(V3);
L7:;
   if (V3==ECL_NIL) { goto L16; }
   goto L6;
L16:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-LOOKUP-KEYWORD                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18loop_lookup_keyword(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_SYMBOLP(V1))) { goto L2; }
  T0 = ecl_symbol_name(V1);
  value0 = ecl_gethash_safe(T0,V2,ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function LOOP-STORE-TABLE-DATA                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19loop_store_table_data(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  SYMBOL          */
   cl_object V5;                                  /*  TABLE           */
   cl_object V6;                                  /*  DATUM           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_list(2, ECL_SYM("SYMBOL-NAME",843), V4);
   T1 = cl_list(3, ECL_SYM("GETHASH",413), T0, V5);
   value0 = cl_list(3, ECL_SYM("SETF",750), T1, V6);
   return value0;
  }
 }
}
/*	function definition for MAKE-LOOP-UNIVERSE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20make_loop_universe(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  cl_object V8;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[16];
   cl_parse_key(args,8,L20make_loop_universekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
   V6 = keyvars[5];
   V7 = keyvars[6];
   V8 = keyvars[7];
  }
  T0 = cl_list(8, V1, V2, V3, V4, V5, V6, V7, V8);
  value0 = cl_make_array(5, VV[29], ECL_SYM("ELEMENT-TYPE",1224), ECL_T, ECL_SYM("INITIAL-CONTENTS",1252), T0);
  return value0;
 }
}
/*	function definition for MAKE-STANDARD-LOOP-UNIVERSE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22make_standard_loop_universe(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  cl_object V7;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[14];
   cl_parse_key(args,7,L22make_standard_loop_universekeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
   V6 = keyvars[5];
   V7 = keyvars[6];
  }
  {
   cl_object V8;
   V8 = V7;
   if (!((V8)==(ECL_NIL))) { goto L7; }
   goto L3;
   goto L5;
L7:;
   goto L5;
L5:;
   if (!(ecl_eql(V8,ECL_T))) { goto L11; }
   goto L3;
   goto L9;
L11:;
   goto L9;
L9:;
   if (!(ecl_eql(V8,VV[34]))) { goto L14; }
   goto L3;
   goto L4;
L14:;
   goto L4;
L4:;
   V7 = si_do_check_type(V8, VV[36], ECL_NIL, VV[37]);
L3:;
  }
  T0 = LC21maketable(V1);
  T1 = LC21maketable(V2);
  T2 = LC21maketable(V3);
  T3 = LC21maketable(V4);
  {
   bool V8;
   V8 = V7==ECL_NIL;
   T4 = (V8)?ECL_NIL:ECL_T;
  }
  T5 = LC21maketable(V5);
  {
   cl_fixnum V8;                                  /*  SIZE            */
   cl_object V9;                                  /*  HT              */
   V8 = ecl_length(V6);
   {
    cl_fixnum V10;
    if (!((V8)<(10))) { goto L27; }
    V10 = 10;
    goto L26;
L27:;
    V10 = V8;
L26:;
    T7 = (ECL_SYM("EQ",333)->symbol.gfdef);
    V9 = cl_make_hash_table(4, ECL_SYM("SIZE",1308), ecl_make_fixnum(V10), ECL_SYM("TEST",1316), T7);
   }
   {
    cl_object V10;
    V10 = V6;
    goto L34;
L33:;
    {
     cl_object V11;                               /*  X               */
     V11 = ecl_car(V10);
     if (!(ECL_ATOM(V11))) { goto L39; }
     si_hash_set(V11, V9, V11);
     goto L38;
L39:;
     T7 = ecl_car(V11);
     T8 = ecl_cadr(V11);
     si_hash_set(T7, V9, T8);
L38:;
    }
    V10 = ecl_cdr(V10);
L34:;
    if (Null(V10)) { goto L43; }
    goto L33;
L43:;
   }
   T6 = V9;
  }
  value0 = L20make_loop_universe(16, VV[38], T0, VV[39], T1, VV[40], T2, VV[41], T3, VV[42], V7, VV[43], T4, VV[44], T5, VV[45], T6);
  return value0;
 }
}
/*	local function MAKETABLE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21maketable(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V2;                                  /*  SIZE            */
   cl_object V3;                                  /*  HT              */
   V2 = ecl_length(V1);
   {
    cl_fixnum V4;
    if (!((V2)<(10))) { goto L4; }
    V4 = 10;
    goto L3;
L4:;
    V4 = V2;
L3:;
    T0 = (ECL_SYM("EQUAL",335)->symbol.gfdef);
    V3 = cl_make_hash_table(4, ECL_SYM("SIZE",1308), ecl_make_fixnum(V4), ECL_SYM("TEST",1316), T0);
   }
   {
    cl_object V4;
    V4 = V1;
    goto L11;
L10:;
    {
     cl_object V5;                                /*  X               */
     V5 = ecl_car(V4);
     T0 = ecl_car(V5);
     T1 = ecl_symbol_name(T0);
     T2 = ecl_cadr(V5);
     si_hash_set(T1, V3, T2);
    }
    V4 = ecl_cdr(V4);
L11:;
    if (Null(V4)) { goto L18; }
    goto L10;
L18:;
   }
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-MAKE-PSETQ                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23loop_make_psetq(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L2; }
  T0 = ecl_car(V1);
  T2 = ecl_cddr(V1);
  if (!(T2==ECL_NIL)) { goto L5; }
  T1 = ecl_cadr(V1);
  goto L4;
L5:;
  T2 = ecl_cadr(V1);
  T3 = ecl_cddr(V1);
  T4 = L23loop_make_psetq(T3);
  T1 = cl_list(3, ECL_SYM("PROG1",669), T2, T4);
L4:;
  T2 = cl_list(2, T0, T1);
  value0 = L24loop_make_desetq(T2);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-MAKE-DESETQ                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24loop_make_desetq(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(ecl_symbol_value(VV[46]))) { goto L4; }
  T0 = ecl_cadr(ecl_symbol_value(VV[46]));
  goto L3;
L4:;
  T0 = VV[47];
L3:;
  value0 = CONS(T0,V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function LOOP-REALLY-DESETQ                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27loop_really_desetq(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = V2;                                   /*  ENV             */
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  VAR-VAL-PAIRS   */
   V3 = ecl_cdr(V1);
   V4 = V3;
   {
    cl_object V5;                                 /*  ACTIONS         */
    V5 = ECL_NIL;
    goto L6;
L5:;
    {
     cl_object V6;
     V6 = V4;
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     if (Null(V6)) { goto L15; }
     {
      cl_object V7;
      V7 = ECL_CONS_CDR(V6);
      V4 = V7;
      V6 = ECL_CONS_CAR(V6);
     }
L15:;
     T1 = V6;
    }
    {
     cl_object V6;
     V6 = V4;
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     if (Null(V6)) { goto L25; }
     {
      cl_object V7;
      V7 = ECL_CONS_CDR(V6);
      V4 = V7;
      V6 = ECL_CONS_CAR(V6);
     }
L25:;
     T2 = V6;
    }
    T0 = LC26loop_desetq_internal(2, lex0, T1, T2);
    V5 = cl_revappend(T0, V5);
L6:;
    if (V4==ECL_NIL) { goto L31; }
    goto L5;
L31:;
    T0 = ecl_cdr(V5);
    if (!(T0==ECL_NIL)) { goto L33; }
    value0 = ecl_car(V5);
    cl_env_copy->nvalues = 1;
    return value0;
L33:;
    T0 = cl_nreverse(V5);
    value0 = CONS(ECL_SYM("PROGN",671),T0);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function LOOP-DESETQ-INTERNAL                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26loop_desetq_internal(cl_narg narg, volatile cl_object *lex0, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(ECL_CONSP(V2))) { goto L2; }
  T0 = ecl_car(V2);
  if (!((T0)==(VV[1]))) { goto L2; }
  {
   cl_object V4;                                  /*  FORMS           */
   V4 = ecl_cdr(V2);
   if (Null(ecl_cdr(V4))) { goto L8; }
   V4 = CONS(ECL_SYM("PROGN",671),V4);
   goto L7;
L8:;
   V4 = ecl_car(V4);
L7:;
   T0 = LC26loop_desetq_internal(2, lex0, V1, V4);
   T1 = CONS(VV[1],T0);
   value0 = ecl_list1(T1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  if (!(V1==ECL_NIL)) { goto L11; }
  if (!(ECL_CONSP(V2))) { goto L13; }
  T0 = ecl_car(V2);
  if (!((T0)==(ECL_SYM("PROG1",669)))) { goto L15; }
  {
   cl_object V4;                                  /*  LET228          */
   cl_object V5;
   cl_object V6;
   V4 = ecl_cdr(V2);
   V5 = ECL_NIL;
   if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
   V6 = V4;
   {
    cl_object V7;
    cl_object V8;
    V7 = ecl_list1(ECL_NIL);
    V8 = V7;
L23:;
    if (!(ecl_endp(V6))) { goto L25; }
    goto L24;
L25:;
    V5 = _ecl_car(V6);
    {
     cl_object V9;
     V9 = _ecl_cdr(V6);
     if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
     V6 = V9;
    }
    {
     cl_object V9;
     {
      cl_object V10;                              /*  X               */
      V10 = V5;
      if (!(ECL_CONSP(V10))) { goto L38; }
      T0 = ecl_car(V10);
      if (!((T0)==(ECL_SYM("CAR",180)))) { goto L41; }
      T0 = ecl_cadr(V10);
      if (!(ECL_SYMBOLP(T0))) { goto L41; }
      V10 = cl_macroexpand(2, V10, lex0[0]);
      if (ECL_SYMBOLP(V10)) { goto L38; }
      goto L40;
L41:;
L40:;
      V9 = CONS(V10,ECL_NIL);
      goto L35;
L38:;
      V9 = ECL_NIL;
      goto L35;
     }
L35:;
     if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
     T0 = V8;
     (ECL_CONS_CDR(T0)=V9,T0);
     if (Null(V9)) { goto L33; }
    }
    T0 = ecl_cdr(V8);
    V8 = ecl_last(T0,1);
L33:;
    goto L23;
L24:;
    value0 = ecl_cdr(V7);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
L15:;
  value0 = ecl_list1(V2);
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  if (!(ECL_CONSP(V1))) { goto L51; }
  {
   cl_object V9;                                  /*  CAR             */
   cl_object V10;                                 /*  CDR             */
   cl_object V11;                                 /*  CAR-NON-NULL    */
   cl_object V12;                                 /*  CDR-NON-NULL    */
   V9 = ecl_car(V1);
   V10 = ecl_cdr(V1);
   V11 = LC25find_non_null(V9);
   V12 = LC25find_non_null(V10);
   if ((V11)!=ECL_NIL) { goto L59; }
   if (Null(V12)) { goto L57; }
   goto L58;
L59:;
L58:;
   if (Null(V12)) { goto L61; }
   {
    cl_object V13;                                /*  TEMP            */
    cl_object V14;                                /*  BODY            */
    value0 = V3;
    if ((value0)!=ECL_NIL) { goto L65; }
    V13 = ecl_symbol_value(VV[48]);
    goto L63;
L65:;
    V13 = value0;
    goto L63;
L63:;
    T1 = cl_list(2, ECL_SYM("CAR",180), V13);
    T0 = LC26loop_desetq_internal(2, lex0, V9, T1);
    T1 = cl_list(2, ECL_SYM("CDR",198), V13);
    T2 = cl_list(3, ECL_SYM("SETQ",751), V13, T1);
    T3 = LC26loop_desetq_internal(3, lex0, V10, V13, V13);
    T4 = CONS(T2,T3);
    V14 = ecl_append(T0,T4);
    if (Null(V3)) { goto L70; }
    if ((V13)==(V2)) { goto L73; }
    T1 = cl_list(3, ECL_SYM("SETQ",751), V13, V2);
    T0 = ecl_list1(T1);
    goto L72;
L73:;
    T0 = ECL_NIL;
L72:;
    value0 = ecl_append(T0,V14);
    cl_env_copy->nvalues = 1;
    return value0;
L70:;
    T0 = cl_list(2, V13, V2);
    T1 = ecl_list1(T0);
    T2 = cl_listX(3, ECL_SYM("LET",477), T1, V14);
    value0 = ecl_list1(T2);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L61:;
   T0 = cl_list(2, ECL_SYM("CAR",180), V2);
   value0 = LC26loop_desetq_internal(3, lex0, V9, T0, V3);
   return value0;
L57:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L51:;
  if ((V1)==(V2)) { goto L75; }
  T0 = cl_list(3, ECL_SYM("SETQ",751), V1, V2);
  value0 = ecl_list1(T0);
  cl_env_copy->nvalues = 1;
  return value0;
L75:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function FIND-NON-NULL                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25find_non_null(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  TAIL            */
   V2 = V1;
   goto L4;
L3:;
   {
    cl_object V3;
    V3 = V2;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    if (Null(V3)) { goto L12; }
    {
     cl_object V4;
     V4 = ECL_CONS_CDR(V3);
     V2 = V4;
     V3 = ECL_CONS_CAR(V3);
    }
L12:;
    T0 = V3;
   }
   if (Null(LC25find_non_null(T0))) { goto L6; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
L4:;
   if (!(ECL_CONSP(V2))) { goto L18; }
   goto L3;
L18:;
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-CONSTANT-FOLD-IF-POSSIBLE        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28loop_constant_fold_if_possible(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V3;                                  /*  CONSTANTP       */
   cl_object V4;                                  /*  CONSTANT-VALUE  */
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   V3 = cl_constantp(1, V1);
   if (Null(V3)) { goto L4; }
   V4 = cl_eval(V1);
L4:;
   if (Null(V3)) { goto L8; }
   if (Null(V2)) { goto L8; }
   if ((cl_typep(2, V4, V2))!=ECL_NIL) { goto L8; }
   L42loop_warn(4, _ecl_static_6, V1, V4, V2);
   V3 = ECL_NIL;
   V4 = ECL_NIL;
L8:;
   cl_env_copy->nvalues = 3;
   cl_env_copy->values[2] = V4;
   cl_env_copy->values[1] = V3;
   cl_env_copy->values[0] = V1;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for LOOP-CONSTANTP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29loop_constantp(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_constantp(1, V1);
  return value0;
 }
}
/*	function definition for LOOP-CODE-DUPLICATION-THRESHOLD       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30loop_code_duplication_threshold(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L3loop_optimization_quantities(V1);
  {
   cl_object V3;                                  /*  SPEED           */
   cl_object V4;                                  /*  SPACE           */
   {
    int V5 = cl_env_copy->nvalues-0;
    if (V5--<=0) goto L2;
    V3 = cl_env_copy->values[0];
    if (V5--<=0) goto L3;
    V4 = cl_env_copy->values[1];
    goto L4;
   }
L2:;
   V3 = ECL_NIL;
L3:;
   V4 = ECL_NIL;
L4:;
   T0 = ecl_minus(V3,V4);
   T1 = ecl_times(T0,ecl_make_fixnum(10));
   value0 = ecl_plus(ecl_make_fixnum(40),T1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function LOOP-BODY                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34loop_body(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 volatile cl_object lex0[6];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  BEFORE-LOOP     */
   cl_object V5;                                  /*  AFTER-LOOP      */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L2; }
   si_dm_too_few_arguments(V1);
L2:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V6;
   }
   lex0[0] = T0;                                  /*  PROLOGUE        */
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L14; }
   si_dm_too_few_arguments(V1);
L14:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V6;
   }
   lex0[1] = T0;                                  /*  MAIN-BODY       */
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L26; }
   si_dm_too_few_arguments(V1);
L26:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V6;
   }
   lex0[2] = T0;                                  /*  EPILOGUE        */
   lex0[3] = ECL_NIL;                             /*  RBEFORE         */
   lex0[4] = ECL_NIL;                             /*  RAFTER          */
   lex0[5] = ECL_NIL;                             /*  FLAGVAR         */
   if (Null(V3)) { goto L32; }
   si_dm_too_many_arguments(V1);
L32:;
   {
    cl_fixnum V6;
    V6 = ecl_length(V4);
    {
     cl_fixnum V7;
     V7 = ecl_length(V5);
     if ((V6)==(V7)) { goto L34; }
    }
   }
   cl_error(1, _ecl_static_8);
L34:;
   lex0[3] = cl_reverse(V4);
   lex0[4] = cl_reverse(V5);
   if ((ecl_symbol_value(VV[76]))!=ECL_NIL) { goto L42; }
   if ((lex0[3])!=ECL_NIL) { goto L40; }
   goto L41;
L42:;
L41:;
   value0 = LC33makebody(lex0);
   return value0;
L40:;
   {
    cl_fixnum V6;                                 /*  THRESHOLD       */
    {
     cl_object V7;
     V7 = L30loop_code_duplication_threshold(V2);
     {
      bool V8;
      V8 = ECL_FIXNUMP(V7);
      if (ecl_unlikely(!(V8)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V7);
     }
     V6 = ecl_fixnum(V7);
    }
    goto L49;
L48:;
    goto L54;
L53:;
    {
     cl_object V7;
     V7 = lex0[3];
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     if (Null(V7)) { goto L62; }
     {
      cl_object V8;
      V8 = ECL_CONS_CDR(V7);
      lex0[3] = V8;
      V7 = ECL_CONS_CAR(V7);
     }
L62:;
     T0 = V7;
    }
    lex0[1] = CONS(T0,lex0[1]);
    {
     cl_object V7;
     V7 = lex0[4];
     if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
     if (Null(V7)) { goto L72; }
     {
      cl_object V8;
      V8 = ECL_CONS_CDR(V7);
      lex0[4] = V8;
      V7 = ECL_CONS_CAR(V7);
     }
L72:;
    }
L54:;
    if (lex0[3]==ECL_NIL) { goto L78; }
    T0 = ecl_car(lex0[3]);
    T1 = ecl_car(lex0[4]);
    if (!(ecl_equal(T0,T1))) { goto L78; }
    goto L53;
L78:;
    if ((lex0[3])!=ECL_NIL) { goto L81; }
    value0 = LC33makebody(lex0);
    return value0;
L81:;
    {
     cl_object V7;                                /*  LET232          */
     cl_object V8;                                /*  LET233          */
     cl_object V9;                                /*  BB              */
     cl_object V10;                               /*  AA              */
     cl_object V11;                               /*  LASTDIFF        */
     cl_object V12;                               /*  COUNT           */
     cl_object V13;                               /*  INC             */
     V7 = lex0[3];
     V8 = lex0[4];
     V9 = V7;
     V10 = V8;
     V11 = ECL_NIL;
     V12 = ecl_make_fixnum(0);
     V13 = ECL_NIL;
     goto L93;
L92:;
     T0 = ecl_car(V9);
     T1 = ecl_car(V10);
     if (ecl_equal(T0,T1)) { goto L96; }
     V11 = V9;
     V12 = ecl_make_fixnum(0);
     goto L95;
L96:;
     T0 = ecl_car(V9);
     V13 = L37estimate_code_size(T0, V2);
     if (Null(V13)) { goto L102; }
     V12 = ecl_plus(V12,V13);
     T0 = V12;
     if (!(ecl_number_compare(T0,ecl_make_fixnum(V6))>0)) { goto L95; }
     goto L101;
L102:;
L101:;
     {
      cl_object V14;                              /*  THEN            */
      cl_object V15;                              /*  ELSE            */
      V14 = ECL_NIL;
      V15 = ECL_NIL;
      goto L113;
L112:;
      {
       cl_object V16;
       V16 = lex0[3];
       if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
       if (Null(V16)) { goto L121; }
       {
        cl_object V17;
        V17 = ECL_CONS_CDR(V16);
        lex0[3] = V17;
        V16 = ECL_CONS_CAR(V16);
       }
L121:;
       T0 = V16;
      }
      V15 = CONS(T0,V15);
      {
       cl_object V16;
       V16 = lex0[4];
       if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
       if (Null(V16)) { goto L133; }
       {
        cl_object V17;
        V17 = ECL_CONS_CDR(V16);
        lex0[4] = V17;
        V16 = ECL_CONS_CAR(V16);
       }
L133:;
       T0 = V16;
      }
      V14 = CONS(T0,V14);
      T0 = ecl_cdr(V11);
      if (!((lex0[3])==(T0))) { goto L139; }
      goto L110;
L139:;
L113:;
      goto L112;
L110:;
      if ((lex0[5])!=ECL_NIL) { goto L142; }
      lex0[5] = ecl_symbol_value(VV[77]);
      T0 = cl_list(3, ECL_SYM("SETQ",751), lex0[5], ECL_T);
      V15 = CONS(T0,V15);
L142:;
      T1 = LC31psimp(V14);
      T0 = LC32pify(T1);
      T2 = LC31psimp(V15);
      T1 = LC32pify(T2);
      T2 = cl_list(4, ECL_SYM("IF",946), lex0[5], T0, T1);
      lex0[1] = CONS(T2,lex0[1]);
     }
     goto L154;
L153:;
     {
      cl_object V14;
      V14 = lex0[4];
      if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
      if (Null(V14)) { goto L160; }
      {
       cl_object V15;
       V15 = ECL_CONS_CDR(V14);
       lex0[4] = V15;
       V14 = ECL_CONS_CAR(V14);
      }
L160:;
     }
     {
      cl_object V14;
      V14 = lex0[3];
      if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
      if (Null(V14)) { goto L172; }
      {
       cl_object V15;
       V15 = ECL_CONS_CDR(V14);
       lex0[3] = V15;
       V14 = ECL_CONS_CAR(V14);
      }
L172:;
      T0 = V14;
     }
     lex0[1] = CONS(T0,lex0[1]);
     T0 = ecl_cdr(V9);
     if (!((lex0[3])==(T0))) { goto L178; }
     goto L151;
L178:;
L154:;
     goto L153;
L151:;
     goto L83;
L95:;
     V9 = ecl_cdr(V9);
     V10 = ecl_cdr(V10);
L93:;
     if (V9==ECL_NIL) { goto L184; }
     goto L92;
L184:;
     value0 = LC33makebody(lex0);
     return value0;
    }
L83:;
L49:;
    goto L48;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function MAKEBODY                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33makebody(volatile cl_object *lex0)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  FORM            */
   T1 = cl_nreverse(lex0[3]);
   T2 = ecl_append(lex0[0],T1);
   T0 = LC31psimp(T2);
   T2 = cl_nreconc(lex0[4], VV[82]);
   T3 = ecl_append(lex0[1],T2);
   T1 = LC31psimp(T3);
   T2 = LC31psimp(lex0[2]);
   T3 = CONS(VV[83],T2);
   T4 = ecl_append(T1,T3);
   T5 = CONS(VV[81],T4);
   T6 = ecl_append(T0,T5);
   V1 = CONS(ECL_SYM("TAGBODY",850),T6);
   if (Null(lex0[5])) { goto L5; }
   T0 = cl_list(2, lex0[5], ECL_NIL);
   T1 = ecl_list1(T0);
   value0 = cl_list(3, ECL_SYM("LET",477), T1, V1);
   return value0;
L5:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function PIFY                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32pify(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_cdr(V1);
  if (!(T0==ECL_NIL)) { goto L1; }
  value0 = ecl_car(V1);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = CONS(ECL_SYM("PROGN",671),V1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function PSIMP                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31psimp(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  ANS             */
   V2 = ECL_NIL;
   {
    cl_object V3;
    V3 = V1;
    goto L6;
L5:;
    {
     cl_object V4;                                /*  X               */
     V4 = ecl_car(V3);
     if (Null(V4)) { goto L10; }
     V2 = CONS(V4,V2);
     if (!(ECL_CONSP(V4))) { goto L10; }
     {
      cl_object V5;
      V5 = ecl_car(V4);
      if (!((V5)==(ECL_SYM("GO",414)))) { goto L20; }
      goto L17;
      goto L18;
L20:;
      goto L18;
L18:;
      if (!((V5)==(ECL_SYM("RETURN",724)))) { goto L24; }
      goto L17;
      goto L22;
L24:;
      goto L22;
L22:;
      if (!((V5)==(ECL_SYM("RETURN-FROM",725)))) { goto L10; }
      goto L14;
L17:;
     }
L14:;
     goto L2;
L10:;
    }
    V3 = ecl_cdr(V3);
L6:;
    if (Null(V3)) { goto L29; }
    goto L5;
L29:;
   }
L2:;
   value0 = cl_nreverse(V2);
   return value0;
  }
 }
}
/*	function definition for DUPLICATABLE-CODE-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35duplicatable_code_p(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ecl_make_fixnum(0);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_fixnum V3;                                  /*  ANS             */
   {
    cl_object V4;
    V4 = L37estimate_code_size(V1, V2);
    {
     bool V5;
     V5 = ECL_FIXNUMP(V4);
     if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V4);
    }
    V3 = ecl_fixnum(V4);
   }
   value0 = ecl_make_fixnum(V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for DESTRUCTURING-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36destructuring_size(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  X               */
   cl_object V3;                                  /*  N               */
   V2 = V1;
   V3 = ecl_make_fixnum(0);
   goto L5;
L4:;
   {
    cl_object V4;
    V4 = ecl_cdr(V2);
    T0 = ecl_car(V2);
    T1 = L36destructuring_size(T0);
    V3 = ecl_plus(T1,V3);
    V2 = V4;
   }
L5:;
   if (ECL_ATOM(V2)) { goto L10; }
   goto L4;
L10:;
   {
    cl_fixnum V4;
    if (!(V2==ECL_NIL)) { goto L13; }
    V4 = 0;
    goto L12;
L13:;
    V4 = 1;
L12:;
    value0 = ecl_plus(V3,ecl_make_fixnum(V4));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for ESTIMATE-CODE-SIZE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37estimate_code_size(cl_object volatile V1, cl_object volatile V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 volatile cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[87];
  if (ecl_frs_push(cl_env_copy,value0)) {         /*  BEGIN CATCH 1   */
   value0 = cl_env_copy->values[0];
  } else {
   value0 = L39estimate_code_size_1(V1, V2);
  }
  ecl_frs_pop(cl_env_copy);                       /*  END CATCH 1     */
  return value0;
 }
}
/*	function definition for ESTIMATE-CODE-SIZE-1                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39estimate_code_size_1(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 volatile cl_object lex0[1];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = V2;                                   /*  ENV             */
TTL:
  if (Null(cl_constantp(1, V1))) { goto L1; }
  value0 = ecl_make_fixnum(1);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_SYMBOLP(V1))) { goto L3; }
  cl_env_copy->values[0] = cl_macroexpand_1(2, V1, lex0[0]);
  {
   cl_object V4;                                  /*  NEW-FORM        */
   cl_object V5;                                  /*  EXPANDED-P      */
   V4 = cl_env_copy->values[0];
   V5 = cl_env_copy->values[1];
   if (Null(V5)) { goto L6; }
   V1 = V4;
   goto TTL;
L6:;
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
  }
L3:;
  if (!(ECL_ATOM(V1))) { goto L11; }
  value0 = ecl_make_fixnum(1);
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  T0 = ecl_car(V1);
  if (!(ECL_SYMBOLP(T0))) { goto L13; }
  {
   cl_object V3;                                  /*  LET241          */
   cl_object V4;                                  /*  FN              */
   cl_object V5;                                  /*  TEM             */
   cl_fixnum V6;                                  /*  N               */
   V3 = ecl_car(V1);
   {
    bool V7;
    V7 = ECL_SYMBOLP(V3);
    if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("SYMBOL",840),V3);
   }
   V4 = V3;
   V5 = ECL_NIL;
   V6 = 0;
   V5 = si_get_sysprop(V4, VV[87]);
   if (Null(V5)) { goto L20; }
   if (!(ECL_FIXNUMP(V5))) { goto L23; }
   {
    cl_fixnum V7;
    T0 = ecl_cdr(V1);
    V7 = ecl_fixnum(LC38list_size(lex0, T0));
    value0 = ecl_plus(V5,ecl_make_fixnum(V7));
    cl_env_copy->nvalues = 1;
    return value0;
   }
L23:;
   value0 = ecl_function_dispatch(cl_env_copy,V5)(2, V1, lex0[0]);
   return value0;
L20:;
   V5 = ecl_assql(V4,ecl_symbol_value(VV[85]));
   if (Null(V5)) { goto L26; }
   T0 = ecl_cadr(V5);
   {
    cl_fixnum V8;
    T1 = ecl_cdr(V1);
    V8 = ecl_fixnum(LC38list_size(lex0, T1));
    value0 = ecl_plus(T0,ecl_make_fixnum(V8));
    cl_env_copy->nvalues = 1;
    return value0;
   }
L26:;
   if (!((V4)==(ECL_SYM("COND",247)))) { goto L30; }
   {
    cl_object V9;
    V9 = ecl_cdr(V1);
    goto L35;
L34:;
    {
     cl_object V10;                               /*  CLAUSE          */
     V10 = ecl_car(V9);
     {
      cl_object V11;
      V11 = LC38list_size(lex0, V10);
      {
       cl_object V12;
       V12 = ecl_plus(ecl_make_fixnum(V6),V11);
       {
        bool V13;
        V13 = ECL_FIXNUMP(V12);
        if (ecl_unlikely(!(V13)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V12);
       }
       V6 = ecl_fixnum(V12);
      }
     }
     {
      cl_object V11;
      V11 = ecl_plus(ecl_make_fixnum(V6),ecl_make_fixnum(1));
      {
       bool V12;
       V12 = ECL_FIXNUMP(V11);
       if (ecl_unlikely(!(V12)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V11);
      }
      V6 = ecl_fixnum(V11);
     }
    }
    V9 = ecl_cdr(V9);
L35:;
    if (Null(V9)) { goto L50; }
    goto L34;
L50:;
    value0 = ecl_make_fixnum(V6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L30:;
   if (!((V4)==(VV[88]))) { goto L52; }
   {
    cl_object V10;                                /*  L               */
    V10 = ecl_cdr(V1);
    goto L57;
L56:;
    {
     cl_object V11;
     T0 = ecl_car(V10);
     T1 = L36destructuring_size(T0);
     T2 = ecl_plus(ecl_make_fixnum(V6),T1);
     T3 = ecl_cadr(V10);
     T4 = L39estimate_code_size_1(T3, lex0[0]);
     V11 = ecl_plus(T2,T4);
     {
      bool V12;
      V12 = ECL_FIXNUMP(V11);
      if (ecl_unlikely(!(V12)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V11);
     }
     V6 = ecl_fixnum(V11);
    }
    V10 = ecl_cdr(V10);
L57:;
    if (V10==ECL_NIL) { goto L65; }
    goto L56;
L65:;
    value0 = ecl_make_fixnum(V6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L52:;
   if (!((V4)==(ECL_SYM("SETQ",751)))) { goto L72; }
   goto L69;
   goto L70;
L72:;
   goto L70;
L70:;
   if (!((V4)==(ECL_SYM("PSETQ",676)))) { goto L67; }
   goto L68;
L69:;
L68:;
   {
    cl_object V11;                                /*  L               */
    V11 = ecl_cdr(V1);
    goto L78;
L77:;
    {
     cl_object V12;
     T0 = ecl_cadr(V11);
     T1 = L39estimate_code_size_1(T0, lex0[0]);
     T2 = ecl_plus(ecl_make_fixnum(V6),T1);
     V12 = ecl_plus(T2,ecl_make_fixnum(1));
     {
      bool V13;
      V13 = ECL_FIXNUMP(V12);
      if (ecl_unlikely(!(V13)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V12);
     }
     V6 = ecl_fixnum(V12);
    }
    V11 = ecl_cdr(V11);
L78:;
    if (V11==ECL_NIL) { goto L86; }
    goto L77;
L86:;
    value0 = ecl_make_fixnum(V6);
    cl_env_copy->nvalues = 1;
    return value0;
   }
L67:;
   if (!((V4)==(ECL_SYM("GO",414)))) { goto L88; }
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
L88:;
   if (!((V4)==(ECL_SYM("FUNCTION",396)))) { goto L90; }
   T0 = ecl_cadr(V1);
   if (ECL_SYMBOLP(T0)) { goto L94; }
   T0 = ecl_cadr(V1);
   if (!(ECL_CONSP(T0))) { goto L92; }
   T0 = ecl_caadr(V1);
   if (!((T0)==(ECL_SYM("SETF",750)))) { goto L92; }
   goto L93;
L94:;
L93:;
   value0 = ecl_make_fixnum(1);
   cl_env_copy->nvalues = 1;
   return value0;
L92:;
   cl_env_copy->values[0] = ECL_NIL;
   cl_env_copy->nvalues = 1;
   cl_throw(VV[91]);
L90:;
   if (!((V4)==(ECL_SYM("MULTIPLE-VALUE-SETQ",576)))) { goto L98; }
   T0 = ecl_cadr(V1);
   {
    cl_fixnum V12;
    V12 = ecl_length(T0);
    {
     cl_fixnum V13;
     T1 = ecl_cddr(V1);
     V13 = ecl_fixnum(LC38list_size(lex0, T1));
     value0 = ecl_plus(ecl_make_fixnum(V12),ecl_make_fixnum(V13));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
L98:;
   if (!((V4)==(ECL_SYM("RETURN-FROM",725)))) { goto L101; }
   T0 = ecl_caddr(V1);
   T1 = L39estimate_code_size_1(T0, lex0[0]);
   value0 = ecl_one_plus(T1);
   cl_env_copy->nvalues = 1;
   return value0;
L101:;
   if ((cl_special_operator_p(V4))!=ECL_NIL) { goto L105; }
   if (Null(ecl_memql(V4,ecl_symbol_value(VV[86])))) { goto L103; }
   goto L104;
L105:;
L104:;
   cl_env_copy->values[0] = ECL_NIL;
   cl_env_copy->nvalues = 1;
   cl_throw(VV[87]);
L103:;
   cl_env_copy->values[0] = cl_macroexpand_1(2, V1, lex0[0]);
   {
    cl_object V15;                                /*  NEW-FORM        */
    cl_object V16;                                /*  EXPANDED-P      */
    V15 = cl_env_copy->values[0];
    V16 = cl_env_copy->values[1];
    if (Null(V16)) { goto L109; }
    V1 = V15;
    goto TTL;
L109:;
    {
     cl_fixnum V17;
     T0 = ecl_cdr(V1);
     V17 = ecl_fixnum(LC38list_size(lex0, T0));
     value0 = ecl_plus(ecl_make_fixnum(3),ecl_make_fixnum(V17));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
L13:;
  cl_env_copy->values[0] = ECL_NIL;
  cl_env_copy->nvalues = 1;
  cl_throw(VV[87]);
 }
}
/*	local function LIST-SIZE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38list_size(volatile cl_object *lex0, cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V2;                                  /*  N               */
   V2 = 0;
   {
    cl_object V3;
    V3 = V1;
    goto L5;
L4:;
    {
     cl_object V4;                                /*  X               */
     V4 = ecl_car(V3);
     {
      cl_object V5;
      V5 = L39estimate_code_size_1(V4, lex0[0]);
      {
       cl_object V6;
       V6 = ecl_plus(ecl_make_fixnum(V2),V5);
       {
        bool V7;
        V7 = ECL_FIXNUMP(V6);
        if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V6);
       }
       V2 = ecl_fixnum(V6);
      }
     }
    }
    V3 = ecl_cdr(V3);
L5:;
    if (Null(V3)) { goto L16; }
    goto L4;
L16:;
    value0 = ecl_make_fixnum(V2);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-CONTEXT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L40loop_context()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  LET244          */
   cl_object V2;                                  /*  L               */
   cl_object V3;                                  /*  NEW             */
   V1 = ecl_symbol_value(VV[52]);
   V2 = V1;
   V3 = ECL_NIL;
   goto L6;
L5:;
   {
    cl_object V4;
    V4 = ecl_cdr(V2);
    T0 = ecl_car(V2);
    V3 = CONS(T0,V3);
    V2 = V4;
   }
L6:;
   T0 = ecl_cdr(ecl_symbol_value(VV[50]));
   if ((V2)==(T0)) { goto L11; }
   goto L5;
L11:;
   value0 = cl_nreverse(V3);
   return value0;
  }
 }
}
/*	function definition for LOOP-ERROR                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L41loop_error(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = L40loop_context();
  value0 = si_simple_program_error(4, _ecl_static_9, V1, V2, T0);
  return value0;
 }
}
/*	function definition for LOOP-WARN                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42loop_warn(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = L40loop_context();
  T1 = cl_list(3, V1, V2, T0);
  value0 = (cl_env_copy->function=(ECL_SYM("WARN",903)->symbol.gfdef))->cfun.entry(5, VV[92], ECL_SYM("FORMAT-CONTROL",1240), _ecl_static_9, ECL_SYM("FORMAT-ARGUMENTS",1239), T1) /*  WARN */;
  return value0;
 }
}
/*	function definition for LOOP-CHECK-DATA-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43loop_check_data_type(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = V2;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(V1==ECL_NIL)) { goto L2; }
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->values[0] = cl_subtypep(2, V1, V2);
  {
   cl_object V5;                                  /*  A               */
   cl_object V6;                                  /*  B               */
   V5 = cl_env_copy->values[0];
   V6 = cl_env_copy->values[1];
   if ((V6)!=ECL_NIL) { goto L6; }
   L42loop_warn(3, _ecl_static_10, V1, V2);
   goto L5;
L6:;
   if ((V5)!=ECL_NIL) { goto L5; }
   L41loop_error(3, _ecl_static_11, V1, V2);
L5:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function LOOP-FINISH                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44loop_finish(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[93];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SUBST-GENSYMS-FOR-NIL                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45subst_gensyms_for_nil(cl_object V1)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  T0 = cl_gensym(0);
  cl_set(VV[95],CONS(T0,ecl_symbol_value(VV[95])));
  value0 = ecl_car(ecl_symbol_value(VV[95]));
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_ATOM(V1))) { goto L4; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  T0 = ecl_car(V1);
  T1 = L45subst_gensyms_for_nil(T0);
  T2 = ecl_cdr(V1);
  T3 = L45subst_gensyms_for_nil(T2);
  value0 = CONS(T1,T3);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-BUILD-DESTRUCTURING-BINDINGS     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46loop_build_destructuring_bindings(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  ecl_bds_bind(cl_env_copy,VV[95],ECL_NIL);       /*  *IGNORES*       */
  T0 = ecl_car(V1);
  T1 = L45subst_gensyms_for_nil(T0);
  T2 = ecl_cadr(V1);
  T3 = CONS(ECL_SYM("IGNORE",428),ecl_symbol_value(VV[95]));
  T4 = cl_list(2, ECL_SYM("DECLARE",274), T3);
  T5 = ecl_cddr(V1);
  T6 = L46loop_build_destructuring_bindings(T5, V2);
  T7 = cl_listX(5, ECL_SYM("DESTRUCTURING-BIND",300), T1, T2, T4, T6);
  value0 = ecl_list1(T7);
  cl_env_copy->nvalues = 1;
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L1:;
  value0 = V2;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-TRANSLATE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47loop_translate(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  ecl_bds_bind(cl_env_copy,VV[50],V1);            /*  *LOOP-SOURCE-CODE* */
  ecl_bds_bind(cl_env_copy,VV[54],V2);            /*  *LOOP-MACRO-ENVIRONMENT* */
  ecl_bds_bind(cl_env_copy,VV[31],V3);            /*  *LOOP-UNIVERSE* */
TTL:
  {
   cl_object V4;                                  /*  LET246          */
   V4 = ecl_symbol_value(VV[50]);
   ecl_bds_bind(cl_env_copy,VV[51],V4);           /*  *LOOP-ORIGINAL-SOURCE-CODE* */
   ecl_bds_bind(cl_env_copy,VV[52],ECL_NIL);      /*  *LOOP-SOURCE-CONTEXT* */
   ecl_bds_bind(cl_env_copy,VV[62],ECL_NIL);      /*  *LOOP-ITERATION-VARIABLES* */
   ecl_bds_bind(cl_env_copy,VV[56],ECL_NIL);      /*  *LOOP-VARIABLES* */
   ecl_bds_bind(cl_env_copy,VV[61],ECL_NIL);      /*  *LOOP-NODECLARE* */
   ecl_bds_bind(cl_env_copy,VV[55],ECL_NIL);      /*  *LOOP-NAMED-VARIABLES* */
   ecl_bds_bind(cl_env_copy,VV[57],ECL_NIL);      /*  *LOOP-DECLARATIONS* */
   ecl_bds_bind(cl_env_copy,VV[58],ECL_NIL);      /*  *LOOP-DESETQ-CROCKS* */
   ecl_bds_bind(cl_env_copy,VV[60],ECL_NIL);      /*  *LOOP-BIND-STACK* */
   ecl_bds_bind(cl_env_copy,VV[63],ECL_NIL);      /*  *LOOP-PROLOGUE* */
   ecl_bds_bind(cl_env_copy,VV[59],ECL_NIL);      /*  *LOOP-WRAPPERS* */
   ecl_bds_bind(cl_env_copy,VV[64],ECL_NIL);      /*  *LOOP-BEFORE-LOOP* */
   ecl_bds_bind(cl_env_copy,VV[65],ECL_NIL);      /*  *LOOP-BODY*     */
   ecl_bds_bind(cl_env_copy,VV[67],ECL_NIL);      /*  *LOOP-EMITTED-BODY* */
   ecl_bds_bind(cl_env_copy,VV[66],ECL_NIL);      /*  *LOOP-AFTER-BODY* */
   ecl_bds_bind(cl_env_copy,VV[68],ECL_NIL);      /*  *LOOP-EPILOGUE* */
   ecl_bds_bind(cl_env_copy,VV[69],ECL_NIL);      /*  *LOOP-AFTER-EPILOGUE* */
   ecl_bds_bind(cl_env_copy,VV[70],ECL_NIL);      /*  *LOOP-FINAL-VALUE-CULPRIT* */
   ecl_bds_bind(cl_env_copy,VV[71],ECL_NIL);      /*  *LOOP-INSIDE-CONDITIONAL* */
   ecl_bds_bind(cl_env_copy,VV[72],ECL_NIL);      /*  *LOOP-WHEN-IT-VARIABLE* */
   ecl_bds_bind(cl_env_copy,VV[73],ECL_NIL);      /*  *LOOP-NEVER-STEPPED-VARIABLE* */
   ecl_bds_bind(cl_env_copy,VV[53],ECL_NIL);      /*  *LOOP-NAMES*    */
   ecl_bds_bind(cl_env_copy,VV[74],ECL_NIL);      /*  *LOOP-COLLECTION-CRUFT* */
   L48loop_iteration_driver();
   L63loop_bind_block();
   {
    cl_object V5;                                 /*  ANSWER          */
    T0 = cl_nreverse(ecl_symbol_value(VV[63]));
    T1 = cl_nreverse(ecl_symbol_value(VV[64]));
    T2 = cl_nreverse(ecl_symbol_value(VV[65]));
    T3 = cl_nreverse(ecl_symbol_value(VV[66]));
    T4 = ecl_symbol_value(VV[68]);
    T5 = cl_nreverse(ecl_symbol_value(VV[69]));
    T6 = cl_nreconc(T4, T5);
    V5 = cl_list(6, VV[84], T0, T1, T2, T3, T6);
    {
     cl_object V6;
     V6 = ecl_symbol_value(VV[60]);
     goto L9;
L8:;
     {
      cl_object V7;                               /*  ENTRY           */
      V7 = ecl_car(V6);
      {
       cl_object V8;                              /*  LET269          */
       cl_object V9;                              /*  LET270          */
       cl_object V10;                             /*  LET271          */
       cl_object V11;                             /*  LET272          */
       V8 = ecl_car(V7);
       V9 = ecl_cadr(V7);
       V10 = ecl_caddr(V7);
       V11 = ecl_cadddr(V7);
       {
        cl_object V12;
        V12 = V11;
        goto L22;
L21:;
        {
         cl_object V13;                           /*  W               */
         V13 = ecl_car(V12);
         T0 = ecl_list1(V5);
         V5 = ecl_append(V13,T0);
        }
        V12 = ecl_cdr(V12);
L22:;
        if (Null(V12)) { goto L30; }
        goto L21;
L30:;
       }
       if ((V8)!=ECL_NIL) { goto L33; }
       if ((V9)!=ECL_NIL) { goto L33; }
       if (Null(V10)) { goto L13; }
       goto L32;
L33:;
L32:;
       {
        cl_object V12;                            /*  FORMS           */
        V12 = ecl_list1(V5);
        if (Null(V9)) { goto L37; }
        T0 = CONS(ECL_SYM("DECLARE",274),V9);
        V12 = CONS(T0,V12);
L37:;
        if ((V8)!=ECL_NIL) { goto L42; }
        T0 = ECL_SYM("LOCALLY",490);
        goto L41;
L42:;
        if (Null(ecl_symbol_value(VV[46]))) { goto L44; }
        T0 = ecl_car(ecl_symbol_value(VV[46]));
        goto L41;
L44:;
        T0 = ECL_SYM("LET",477);
L41:;
        T1 = L46loop_build_destructuring_bindings(V10, V12);
        V5 = cl_listX(3, T0, V8, T1);
       }
      }
L13:;
     }
     V6 = ecl_cdr(V6);
L9:;
     if (Null(V6)) { goto L48; }
     goto L8;
L48:;
    }
    if (Null(ecl_symbol_value(VV[53]))) { goto L50; }
    goto L54;
L53:;
    {
     cl_object V6;
     V6 = ecl_symbol_value(VV[53]);
     if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
     if (Null(V6)) { goto L62; }
     {
      cl_object V7;
      V7 = ECL_CONS_CDR(V6);
      cl_set(VV[53],V7);
      V6 = ECL_CONS_CAR(V6);
     }
L62:;
     T0 = V6;
    }
    V5 = cl_list(3, ECL_SYM("BLOCK",137), T0, V5);
L54:;
    T0 = ecl_car(ecl_symbol_value(VV[53]));
    if (T0==ECL_NIL) { goto L68; }
    goto L53;
L68:;
    value0 = V5;
    cl_env_copy->nvalues = 1;
    ecl_bds_unwind_n(cl_env_copy,26);
    return value0;
L50:;
    value0 = cl_list(3, ECL_SYM("BLOCK",137), ECL_NIL, V5);
    ecl_bds_unwind_n(cl_env_copy,26);
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-ITERATION-DRIVER                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L48loop_iteration_driver()
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  goto L3;
L2:;
  {
   cl_object V1;                                  /*  LET273          */
   cl_object V2;                                  /*  TEM             */
   V1 = ecl_car(ecl_symbol_value(VV[50]));
   V2 = ECL_NIL;
   if (ECL_SYMBOLP(V1)) { goto L8; }
   L41loop_error(2, _ecl_static_12, V1);
   goto L5;
L8:;
   cl_set(VV[52],ecl_symbol_value(VV[50]));
   L49loop_pop_source();
   T0 = ecl_function_dispatch(cl_env_copy,VV[266])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-KEYWORDS */;
   V2 = L18loop_lookup_keyword(V1, T0);
   if (Null(V2)) { goto L13; }
   T0 = ecl_car(V2);
   T1 = cl_symbol_function(T0);
   T2 = ecl_cdr(V2);
   cl_apply(2, T1, T2);
   goto L5;
L13:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[267])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-ITERATION-KEYWORDS */;
   V2 = L18loop_lookup_keyword(V1, T0);
   if (Null(V2)) { goto L16; }
   L86loop_hack_iteration(V2);
   goto L5;
L16:;
   if (Null(L17loop_tmember(V1, VV[98]))) { goto L19; }
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   T1 = ecl_cadr(ecl_symbol_value(VV[50]));
   L41loop_error(4, _ecl_static_13, V1, T0, T1);
   goto L5;
L19:;
   L41loop_error(2, _ecl_static_14, V1);
  }
L5:;
L3:;
  if (ecl_symbol_value(VV[50])==ECL_NIL) { goto L21; }
  goto L2;
L21:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-POP-SOURCE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49loop_pop_source()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[50]))) { goto L1; }
  {
   cl_object V1;
   V1 = ecl_symbol_value(VV[50]);
   if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
   if (Null(V1)) { goto L6; }
   {
    cl_object V2;
    V2 = ECL_CONS_CDR(V1);
    cl_set(VV[50],V2);
    V1 = ECL_CONS_CAR(V1);
   }
L6:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L1:;
  value0 = L41loop_error(1, _ecl_static_15);
  return value0;
 }
}
/*	function definition for LOOP-GET-COMPOUND-FORM                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50loop_get_compound_form()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  FORM            */
   V1 = L52loop_get_form();
   if (ECL_CONSP(V1)) { goto L2; }
   L41loop_error(2, _ecl_static_16, V1);
L2:;
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-GET-PROGN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51loop_get_progn()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  LET275          */
   cl_object V2;                                  /*  LET276          */
   cl_object V3;                                  /*  FORMS           */
   cl_object V4;                                  /*  NEXTFORM        */
   T0 = L50loop_get_compound_form();
   V1 = ecl_list1(T0);
   V2 = ecl_car(ecl_symbol_value(VV[50]));
   V3 = V1;
   V4 = V2;
   goto L7;
L6:;
   T0 = L50loop_get_compound_form();
   V3 = CONS(T0,V3);
   V4 = ecl_car(ecl_symbol_value(VV[50]));
L7:;
   if (ECL_ATOM(V4)) { goto L12; }
   goto L6;
L12:;
   T0 = ecl_cdr(V3);
   if (!(T0==ECL_NIL)) { goto L14; }
   value0 = ecl_car(V3);
   cl_env_copy->nvalues = 1;
   return value0;
L14:;
   T0 = cl_nreverse(V3);
   value0 = CONS(ECL_SYM("PROGN",671),T0);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-GET-FORM                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52loop_get_form()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[50]))) { goto L1; }
  value0 = L49loop_pop_source();
  return value0;
L1:;
  value0 = L41loop_error(1, _ecl_static_17);
  return value0;
 }
}
/*	function definition for LOOP-CONSTRUCT-RETURN                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53loop_construct_return(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_car(ecl_symbol_value(VV[53]));
  value0 = cl_list(3, ECL_SYM("RETURN-FROM",725), T0, V1);
  return value0;
 }
}
/*	function definition for LOOP-EMIT-BODY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54loop_emit_body(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_set(VV[67],ECL_T);
  cl_set(VV[65],CONS(V1,ecl_symbol_value(VV[65])));
  value0 = ecl_symbol_value(VV[65]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-EMIT-FINAL-VALUE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55loop_emit_final_value(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  cl_object V2;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
    V2 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
    V2 = ECL_T;
   }
  }
  va_end(args);
  if (Null(V2)) { goto L2; }
  T0 = L53loop_construct_return(V1);
  cl_set(VV[69],CONS(T0,ecl_symbol_value(VV[69])));
L2:;
  if (Null(ecl_symbol_value(VV[70]))) { goto L5; }
  L42loop_warn(2, _ecl_static_18, ecl_symbol_value(VV[70]));
L5:;
  cl_set(VV[70],ecl_car(ecl_symbol_value(VV[52])));
  value0 = ecl_symbol_value(VV[70]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-DISALLOW-CONDITIONAL             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56loop_disallow_conditional(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_NIL;
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (Null(ecl_symbol_value(VV[71]))) { goto L2; }
  value0 = L41loop_error(2, _ecl_static_19, V1);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-DISALLOW-ANONYMOUS-COLLECTORS    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57loop_disallow_anonymous_collectors()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_find_if_not(2, VV[99], ecl_symbol_value(VV[74])))) { goto L1; }
  value0 = L41loop_error(1, _ecl_static_20);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-DISALLOW-AGGREGATE-BOOLEANS      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58loop_disallow_aggregate_booleans()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(L17loop_tmember(ecl_symbol_value(VV[70]), VV[101]))) { goto L1; }
  value0 = L41loop_error(1, _ecl_static_21);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-TYPED-INIT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59loop_typed_init(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("CHARACTER",222)))) { goto L3; }
  value0 = CODE_CHAR(48);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if ((cl_subtypep(2, V1, ECL_SYM("NUMBER",606)))!=ECL_NIL) { goto L5; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, V1, VV[103]))) { goto L7; }
  value0 = cl_coerce(ecl_make_fixnum(0), V1);
  return value0;
L7:;
  value0 = ecl_make_fixnum(0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-OPTIONAL-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62loop_optional_type(cl_narg narg, ...)
{
 cl_object T0, T1;
 volatile cl_object lex0[2];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    lex0[0] = ECL_NIL;                            /*  VARIABLE        */
   } else {
    i++;
    lex0[0] = va_arg(args,cl_object);             /*  VARIABLE        */
   }
  }
  va_end(args);
  if (Null(ecl_symbol_value(VV[50]))) { goto L2; }
  T0 = ecl_car(ecl_symbol_value(VV[50]));
  lex0[1] = T0;                                   /*  Z               */
  if (Null(L15loop_tequal(lex0[1], VV[104]))) { goto L4; }
  L49loop_pop_source();
  value0 = L49loop_pop_source();
  return value0;
L4:;
  if (!(ECL_SYMBOLP(lex0[1]))) { goto L7; }
  {
   cl_object V1;                                  /*  TYPE-SPEC       */
   T0 = ecl_function_dispatch(cl_env_copy,VV[270])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-SYMBOLS */;
   value0 = ecl_gethash_safe(lex0[1],T0,ECL_NIL);
   if ((value0)!=ECL_NIL) { goto L11; }
   T0 = ecl_symbol_name(lex0[1]);
   T1 = ecl_function_dispatch(cl_env_copy,VV[271])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-KEYWORDS */;
   V1 = ecl_gethash_safe(T0,T1,ECL_NIL);
   goto L9;
L11:;
   V1 = value0;
   goto L9;
L9:;
   if (Null(V1)) { goto L13; }
   L49loop_pop_source();
   value0 = V1;
   cl_env_copy->nvalues = 1;
   return value0;
L13:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L7:;
  if (!(ECL_CONSP(lex0[0]))) { goto L17; }
  if (ECL_CONSP(lex0[1])) { goto L16; }
  L41loop_error(2, _ecl_static_22, lex0[1]);
  goto L16;
L17:;
  L41loop_error(2, _ecl_static_23, lex0[1]);
L16:;
  L49loop_pop_source();
  value0 = LC60translate(lex0, lex0[1], lex0[0]);
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function REPLICATE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61replicate(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_ATOM(V2))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T1 = ecl_car(V2);
  T0 = LC61replicate(V1, T1);
  T2 = ecl_cdr(V2);
  T1 = LC61replicate(V1, T2);
  value0 = CONS(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function TRANSLATE                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60translate(volatile cl_object *lex0, cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_ATOM(V1))) { goto L3; }
  T1 = ecl_function_dispatch(cl_env_copy,VV[270])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-SYMBOLS */;
  value0 = ecl_gethash_safe(V1,T1,ECL_NIL);
  if ((value0)!=ECL_NIL) { goto L7; }
  T1 = ecl_symbol_name(V1);
  T2 = ecl_function_dispatch(cl_env_copy,VV[271])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-TYPE-KEYWORDS */;
  value0 = ecl_gethash_safe(T1,T2,ECL_NIL);
  if ((value0)!=ECL_NIL) { goto L7; }
  T0 = L41loop_error(3, _ecl_static_24, lex0[1], V1);
  goto L5;
L7:;
  T0 = value0;
  goto L5;
L5:;
  value0 = LC61replicate(T0, V2);
  return value0;
L3:;
  if (!(ECL_ATOM(V2))) { goto L10; }
  value0 = L41loop_error(3, _ecl_static_25, lex0[1], lex0[0]);
  return value0;
L10:;
  T1 = ecl_car(V1);
  T2 = ecl_car(V2);
  T0 = LC60translate(lex0, T1, T2);
  T2 = ecl_cdr(V1);
  T3 = ecl_cdr(V2);
  T1 = LC60translate(lex0, T2, T3);
  value0 = CONS(T0,T1);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-BIND-BLOCK                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63loop_bind_block()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((ecl_symbol_value(VV[56]))!=ECL_NIL) { goto L3; }
  if ((ecl_symbol_value(VV[57]))!=ECL_NIL) { goto L3; }
  if (Null(ecl_symbol_value(VV[59]))) { goto L1; }
  goto L2;
L3:;
L2:;
  T0 = cl_nreverse(ecl_symbol_value(VV[56]));
  T1 = cl_list(4, T0, ecl_symbol_value(VV[57]), ecl_symbol_value(VV[58]), ecl_symbol_value(VV[59]));
  cl_set(VV[60],CONS(T1,ecl_symbol_value(VV[60])));
  cl_set(VV[56],ECL_NIL);
  cl_set(VV[57],ECL_NIL);
  cl_set(VV[58],ECL_NIL);
  cl_set(VV[59],ECL_NIL);
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-VARIABLE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64loop_variable_p(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  ENTRY           */
   V2 = ecl_symbol_value(VV[60]);
   goto L4;
L3:;
   if (!(V2==ECL_NIL)) { goto L7; }
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L7:;
   T0 = ecl_caar(V2);
   if (Null(ecl_assq(V1,T0))) { goto L6; }
   value0 = ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   V2 = ecl_cdr(V2);
L4:;
   goto L3;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-MAKE-VARIABLE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65loop_make_variable(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  va_list args; va_start(args,V3);
  {
   int i = 3;
   if (i >= narg) {
    V4 = ECL_NIL;
   } else {
    i++;
    V4 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!(V1==ECL_NIL)) { goto L3; }
  if (V2==ECL_NIL) { goto L2; }
  V1 = cl_gensym(1, _ecl_static_26);
  T0 = cl_list(2, V1, V2);
  cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
  T0 = cl_list(2, ECL_SYM("IGNORE",428), V1);
  cl_set(VV[57],CONS(T0,ecl_symbol_value(VV[57])));
  goto L2;
L3:;
  if (!(ECL_ATOM(V1))) { goto L10; }
  if (Null(V4)) { goto L13; }
  if (Null(ecl_memql(V1,ecl_symbol_value(VV[62])))) { goto L15; }
  L41loop_error(2, _ecl_static_27, V1);
  goto L12;
L15:;
  cl_set(VV[62],CONS(V1,ecl_symbol_value(VV[62])));
  goto L12;
L13:;
  if (Null(ecl_assql(V1,ecl_symbol_value(VV[56])))) { goto L12; }
  L41loop_error(2, _ecl_static_28, V1);
L12:;
  if (ECL_SYMBOLP(V1)) { goto L19; }
  L41loop_error(2, _ecl_static_29, V1);
L19:;
  L67loop_declare_variable(V1, V3);
  value0 = V2;
  if ((value0)!=ECL_NIL) { goto L25; }
  T0 = L59loop_typed_init(V3);
  goto L23;
L25:;
  T0 = value0;
  goto L23;
L23:;
  T1 = cl_list(2, V1, T0);
  cl_set(VV[56],CONS(T1,ecl_symbol_value(VV[56])));
  goto L2;
L10:;
  if (Null(V2)) { goto L27; }
  if (Null(ecl_symbol_value(VV[46]))) { goto L29; }
  L67loop_declare_variable(V1, V3);
  T0 = cl_list(2, V1, V2);
  cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
  goto L2;
L29:;
  {
   cl_object V5;                                  /*  NEWVAR          */
   V5 = cl_gensym(1, _ecl_static_30);
   L67loop_declare_variable(V1, V3);
   T0 = cl_list(2, V5, V2);
   cl_set(VV[56],CONS(T0,ecl_symbol_value(VV[56])));
   cl_set(VV[58],cl_listX(3, V1, V5, ecl_symbol_value(VV[58])));
   goto L2;
  }
L27:;
  {
   cl_object V6;                                  /*  TCAR            */
   cl_object V7;                                  /*  TCDR            */
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   if (!(ECL_ATOM(V3))) { goto L41; }
   V7 = V3;
   V6 = V7;
   goto L40;
L41:;
   V6 = ecl_car(V3);
   V7 = ecl_cdr(V3);
L40:;
   T0 = ecl_car(V1);
   L65loop_make_variable(4, T0, ECL_NIL, V6, V4);
   T0 = ecl_cdr(V1);
   L65loop_make_variable(4, T0, ECL_NIL, V7, V4);
  }
L2:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-MAKE-ITERATION-VARIABLE          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66loop_make_iteration_variable(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = L65loop_make_variable(4, V1, V2, V3, ECL_T);
  return value0;
 }
}
/*	function definition for LOOP-DECLARE-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67loop_declare_variable(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (V1==ECL_NIL) { goto L3; }
  if (V2==ECL_NIL) { goto L3; }
  if (!((V2)==(ECL_T))) { goto L1; }
  goto L2;
L3:;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!(ECL_SYMBOLP(V1))) { goto L6; }
  if ((V2)==(ECL_T)) { goto L8; }
  if ((ecl_memql(V1,ecl_symbol_value(VV[61])))!=ECL_NIL) { goto L8; }
  {
   cl_object V3;                                  /*  PREVIOUS        */
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_symbol_value(VV[57]);
    V5 = si_make_seq_iterator(2, V4, ecl_make_fixnum(0));
L14:;
    if ((V5)!=ECL_NIL) { goto L16; }
    V3 = ECL_NIL;
    goto L11;
L16:;
    {
     cl_object V6;
     V6 = si_seq_iterator_ref(V4, V5);
     if (!(ECL_CONSP(V6))) { goto L23; }
     {
      cl_fixnum V7;
      V7 = ecl_length(V6);
      if (!((V7)==(3))) { goto L23; }
     }
     T1 = _ecl_car(V6);
     if (!((T1)==(ECL_SYM("TYPE",869)))) { goto L23; }
     T0 = ecl_caddr(V6);
     goto L21;
L23:;
     T0 = ECL_NIL;
     goto L21;
L21:;
     if (!(ecl_eql(V1,T0))) { goto L18; }
     V3 = V6;
     goto L11;
    }
L18:;
    V5 = si_seq_iterator_next(V4, V5);
    goto L14;
   }
L11:;
   if (Null(V3)) { goto L29; }
   {
    cl_object V4;
    V4 = ecl_cdr(V3);
    if (ecl_unlikely(ECL_ATOM(V4))) FEtype_error_cons(V4);
    T0 = V4;
   }
   (ECL_CONS_CAR(T0)=V2,T0);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
L29:;
   T0 = cl_list(3, ECL_SYM("TYPE",869), V2, V1);
   cl_set(VV[57],CONS(T0,ecl_symbol_value(VV[57])));
   value0 = ecl_symbol_value(VV[57]);
   cl_env_copy->nvalues = 1;
   return value0;
  }
L8:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L6:;
  if (!(ECL_CONSP(V1))) { goto L36; }
  if (!(ECL_CONSP(V2))) { goto L38; }
  T0 = ecl_car(V1);
  T1 = ecl_car(V2);
  L67loop_declare_variable(T0, T1);
  V1 = ecl_cdr(V1);
  V2 = ecl_cdr(V2);
  goto TTL;
L38:;
  T0 = ecl_car(V1);
  L67loop_declare_variable(T0, V2);
  V1 = ecl_cdr(V1);
  goto TTL;
L36:;
  value0 = cl_error(2, _ecl_static_31, V1);
  return value0;
 }
}
/*	function definition for LOOP-MAYBE-BIND-FORM                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68loop_maybe_bind_form(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(L29loop_constantp(V1))) { goto L1; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  T0 = cl_gensym(1, _ecl_static_32);
  value0 = L65loop_make_variable(3, T0, V1, V2);
  return value0;
 }
}
/*	function definition for LOOP-DO-IF                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70loop_do_if(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 volatile cl_object lex0[2];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  LET279          */
   cl_object V4;                                  /*  FORM            */
   V3 = L52loop_get_form();
   V4 = V3;
   ecl_bds_bind(cl_env_copy,VV[71],ECL_T);        /*  *LOOP-INSIDE-CONDITIONAL* */
   lex0[0] = ECL_NIL;                             /*  IT-P            */
   lex0[1] = ECL_T;                               /*  FIRST-CLAUSE-P  */
   {
    cl_object V5;                                 /*  LET285          */
    cl_object V6;                                 /*  LET286          */
    V5 = LC69get_clause(lex0, V1);
    T0 = ecl_car(ecl_symbol_value(VV[50]));
    if (Null(L15loop_tequal(T0, VV[108]))) { goto L5; }
    L49loop_pop_source();
    T0 = LC69get_clause(lex0, VV[108]);
    V6 = ecl_list1(T0);
    goto L4;
L5:;
    V6 = ECL_NIL;
L4:;
    T0 = ecl_car(ecl_symbol_value(VV[50]));
    if (Null(L15loop_tequal(T0, ECL_SYM("END",1225)))) { goto L9; }
    L49loop_pop_source();
L9:;
    if (Null(lex0[0])) { goto L11; }
    T0 = lex0[0];
    V4 = cl_list(3, ECL_SYM("SETQ",751), T0, V4);
L11:;
    if (Null(V2)) { goto L15; }
    T0 = cl_list(2, ECL_SYM("NOT",584), V4);
    goto L14;
L15:;
    T0 = V4;
L14:;
    T1 = cl_listX(4, ECL_SYM("IF",946), T0, V5, V6);
    value0 = L54loop_emit_body(T1);
    ecl_bds_unwind1(cl_env_copy);
    return value0;
   }
  }
 }
}
/*	local function GET-CLAUSE                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69get_clause(volatile cl_object *lex0, cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  BODY            */
   V2 = ECL_NIL;
   goto L4;
L3:;
   {
    cl_object V3;                                 /*  LET283          */
    cl_object V4;                                 /*  DATA            */
    V3 = ecl_car(ecl_symbol_value(VV[50]));
    ecl_bds_bind(cl_env_copy,VV[65],ECL_NIL);     /*  *LOOP-BODY*     */
    V4 = ECL_NIL;
    if (ECL_SYMBOLP(V3)) { goto L9; }
    L41loop_error(3, _ecl_static_33, V3, V1);
    ecl_bds_unwind1(cl_env_copy);
    goto L6;
L9:;
    cl_set(VV[52],ecl_symbol_value(VV[50]));
    L49loop_pop_source();
    T0 = ecl_car(ecl_symbol_value(VV[50]));
    if (Null(L15loop_tequal(T0, VV[106]))) { goto L14; }
    if (Null(lex0[1])) { goto L14; }
    value0 = lex0[0];
    if ((value0)!=ECL_NIL) { goto L20; }
    lex0[0] = L89loop_when_it_variable();
    T0 = lex0[0];
    goto L18;
L20:;
    T0 = value0;
    goto L18;
L18:;
    T1 = ecl_cdr(ecl_symbol_value(VV[50]));
    cl_set(VV[50],CONS(T0,T1));
L14:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[266])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-KEYWORDS */;
    V4 = L18loop_lookup_keyword(V3, T0);
    if (Null(V4)) { goto L25; }
    T0 = ecl_car(V4);
    T1 = cl_symbol_function(T0);
    T2 = ecl_cdr(V4);
    cl_apply(2, T1, T2);
    if (!(ecl_symbol_value(VV[65])==ECL_NIL)) { goto L23; }
    goto L24;
L25:;
L24:;
    L41loop_error(3, _ecl_static_34, V3, V1);
    ecl_bds_unwind1(cl_env_copy);
    goto L6;
L23:;
    V2 = cl_nreconc(ecl_symbol_value(VV[65]), V2);
    ecl_bds_unwind1(cl_env_copy);
   }
L6:;
   lex0[1] = ECL_NIL;
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if (Null(L15loop_tequal(T0, VV[107]))) { goto L33; }
   L49loop_pop_source();
   goto L32;
L33:;
   if (Null(ecl_cdr(V2))) { goto L35; }
   T0 = cl_nreverse(V2);
   value0 = CONS(ECL_SYM("PROGN",671),T0);
   cl_env_copy->nvalues = 1;
   return value0;
L35:;
   value0 = ecl_car(V2);
   cl_env_copy->nvalues = 1;
   return value0;
L32:;
L4:;
   goto L3;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-DO-INITIALLY                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71loop_do_initially()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L56loop_disallow_conditional(1, VV[110]);
  T0 = L51loop_get_progn();
  cl_set(VV[63],CONS(T0,ecl_symbol_value(VV[63])));
  value0 = ecl_symbol_value(VV[63]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-DO-FINALLY                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72loop_do_finally()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L56loop_disallow_conditional(1, VV[112]);
  T0 = L51loop_get_progn();
  cl_set(VV[68],CONS(T0,ecl_symbol_value(VV[68])));
  value0 = ecl_symbol_value(VV[68]);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-DO-DO                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73loop_do_do()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L51loop_get_progn();
  value0 = L54loop_emit_body(T0);
  return value0;
 }
}
/*	function definition for LOOP-DO-NAMED                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74loop_do_named()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  NAME            */
   V1 = L49loop_pop_source();
   if (ECL_SYMBOLP(V1)) { goto L2; }
   L41loop_error(2, _ecl_static_35, V1);
L2:;
   if ((ecl_symbol_value(VV[64]))!=ECL_NIL) { goto L6; }
   if ((ecl_symbol_value(VV[65]))!=ECL_NIL) { goto L6; }
   if ((ecl_symbol_value(VV[69]))!=ECL_NIL) { goto L6; }
   if (Null(ecl_symbol_value(VV[71]))) { goto L4; }
   goto L5;
L6:;
L5:;
   L41loop_error(2, _ecl_static_36, V1);
L4:;
   if (Null(ecl_symbol_value(VV[53]))) { goto L10; }
   T0 = ecl_car(ecl_symbol_value(VV[53]));
   L41loop_error(3, _ecl_static_37, T0, V1);
L10:;
   cl_set(VV[53],cl_list(2, V1, ECL_NIL));
   value0 = ecl_symbol_value(VV[53]);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-DO-RETURN                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75loop_do_return()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L52loop_get_form();
  T1 = L53loop_construct_return(T0);
  value0 = L54loop_emit_body(T1);
  return value0;
 }
}
/*	function definition for MAKE-LOOP-COLLECTOR                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76make_loop_collector(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[12];
   cl_parse_key(args,6,L76make_loop_collectorkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
   V6 = keyvars[5];
  }
  T0 = cl_list(6, V1, V2, V3, V4, V5, V6);
  value0 = cl_make_array(5, VV[15], ECL_SYM("ELEMENT-TYPE",1224), ECL_T, ECL_SYM("INITIAL-CONTENTS",1252), T0);
  return value0;
 }
}
/*	function definition for LOOP-GET-COLLECTION-INFO              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77loop_get_collection_info(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  LET287          */
   cl_object V5;                                  /*  LET288          */
   cl_object V6;                                  /*  LET289          */
   cl_object V7;                                  /*  DTYPE           */
   V4 = L52loop_get_form();
   if ((ecl_function_dispatch(cl_env_copy,VV[286])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-ANSI */)!=ECL_NIL) { goto L4; }
   V5 = L62loop_optional_type(0);
   goto L2;
L4:;
   V5 = ECL_NIL;
   goto L2;
L2:;
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if (Null(L15loop_tequal(T0, VV[120]))) { goto L7; }
   L49loop_pop_source();
   V6 = L49loop_pop_source();
   goto L6;
L7:;
   V6 = ECL_NIL;
L6:;
   V7 = V5;
   if (ECL_SYMBOLP(V6)) { goto L11; }
   L41loop_error(2, _ecl_static_39, V6);
L11:;
   if ((V6)!=ECL_NIL) { goto L13; }
   L58loop_disallow_aggregate_booleans();
L13:;
   if ((V7)!=ECL_NIL) { goto L15; }
   value0 = L62loop_optional_type(0);
   if ((value0)!=ECL_NIL) { goto L19; }
   V7 = V3;
   goto L17;
L19:;
   V7 = value0;
   goto L17;
L17:;
L15:;
   {
    cl_object V8;                                 /*  CRUFT           */
    {
     cl_object V9;
     cl_object V10;
     V9 = ecl_symbol_value(VV[74]);
     V10 = si_make_seq_iterator(2, V9, ecl_make_fixnum(0));
L24:;
     if ((V10)!=ECL_NIL) { goto L26; }
     V8 = ECL_NIL;
     goto L21;
L26:;
     {
      cl_object V11;
      V11 = si_seq_iterator_ref(V9, V10);
      T0 = ecl_function_dispatch(cl_env_copy,VV[99])(1, V11) /*  LOOP-COLLECTOR-NAME */;
      if (!((V6)==(T0))) { goto L28; }
      V8 = V11;
      goto L21;
     }
L28:;
     V10 = si_seq_iterator_next(V9, V10);
     goto L24;
    }
L21:;
    if ((V8)!=ECL_NIL) { goto L34; }
    if (Null(V6)) { goto L36; }
    if (Null(L64loop_variable_p(V6))) { goto L36; }
    L41loop_error(2, _ecl_static_40, V6);
L36:;
    T0 = ecl_list1(V1);
    V8 = L76make_loop_collector(8, ECL_SYM("NAME",1273), V6, VV[121], V2, VV[122], T0, VV[123], V7);
    cl_set(VV[74],CONS(V8,ecl_symbol_value(VV[74])));
    goto L33;
L34:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[287])(1, V8) /*  LOOP-COLLECTOR-CLASS */;
    if ((T0)==(V2)) { goto L41; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[288])(1, V8) /*  LOOP-COLLECTOR-HISTORY */;
    T1 = ecl_car(T0);
    L41loop_error(4, _ecl_static_41, V6, T1, V1);
L41:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V8) /*  LOOP-COLLECTOR-DTYPE */;
    if (ecl_equal(V7,T0)) { goto L43; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V8) /*  LOOP-COLLECTOR-DTYPE */;
    L42loop_warn(4, _ecl_static_42, V6, V7, T0);
    T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V8) /*  LOOP-COLLECTOR-DTYPE */;
    if (!((T0)==(ECL_T))) { goto L43; }
    ecl_elt_set(V8,4,V7);
L43:;
    {
     cl_object V9;
     T0 = ecl_function_dispatch(cl_env_copy,VV[288])(1, V8) /*  LOOP-COLLECTOR-HISTORY */;
     V9 = CONS(V1,T0);
     ecl_elt_set(V8,2,V9);
    }
L33:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = V4;
    cl_env_copy->values[0] = V8;
    return cl_env_copy->values[0];
   }
  }
 }
}
/*	function definition for LOOP-LIST-COLLECTION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L78loop_list_collection(cl_object V1)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L77loop_get_collection_info(V1, ECL_SYM("LIST",481), ECL_SYM("LIST",481));
  {
   cl_object V3;                                  /*  LC              */
   cl_object V4;                                  /*  FORM            */
   {
    int V5 = cl_env_copy->nvalues-0;
    if (V5--<=0) goto L2;
    V3 = cl_env_copy->values[0];
    if (V5--<=0) goto L3;
    V4 = cl_env_copy->values[1];
    goto L4;
   }
L2:;
   V3 = ECL_NIL;
L3:;
   V4 = ECL_NIL;
L4:;
   {
    cl_object V5;                                 /*  TEMPVARS        */
    V5 = ecl_function_dispatch(cl_env_copy,VV[291])(1, V3) /*  LOOP-COLLECTOR-TEMPVARS */;
    if ((V5)!=ECL_NIL) { goto L6; }
    {
     cl_object V6;
     T0 = cl_gensym(1, _ecl_static_43);
     T1 = cl_gensym(1, _ecl_static_44);
     if (Null(ecl_function_dispatch(cl_env_copy,VV[99])(1, V3) /*  LOOP-COLLECTOR-NAME */)) { goto L13; }
     T3 = ecl_function_dispatch(cl_env_copy,VV[99])(1, V3) /*  LOOP-COLLECTOR-NAME */;
     T2 = ecl_list1(T3);
     goto L11;
L13:;
     T2 = ECL_NIL;
     goto L11;
L11:;
     V5 = cl_listX(3, T0, T1, T2);
     V6 = V5;
     ecl_elt_set(V3,3,V6);
    }
    T0 = cl_list(2, VV[5], V5);
    cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
    if ((ecl_function_dispatch(cl_env_copy,VV[99])(1, V3) /*  LOOP-COLLECTOR-NAME */)!=ECL_NIL) { goto L6; }
    T0 = ecl_car(V5);
    T1 = ecl_cddr(V5);
    T2 = cl_listX(3, VV[12], T0, T1);
    L55loop_emit_final_value(1, T2);
L6:;
    if (!((V1)==(ECL_SYM("LIST",481)))) { goto L19; }
    V4 = cl_list(2, ECL_SYM("LIST",481), V4);
    goto L18;
L19:;
    if ((V1)==(ECL_SYM("NCONC",581))) { goto L18; }
    if (!((V1)==(ECL_SYM("APPEND",88)))) { goto L23; }
    if (!(ECL_CONSP(V4))) { goto L27; }
    T0 = ecl_car(V4);
    if ((T0)==(ECL_SYM("LIST",481))) { goto L18; }
    goto L25;
L27:;
    goto L25;
L25:;
    V4 = cl_list(2, VV[2], V4);
    goto L18;
L23:;
    si_ecase_error(V1, VV[124]);
L18:;
    T0 = cl_list(3, VV[11], V5, V4);
    value0 = L54loop_emit_body(T0);
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-SUM-COLLECTION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L79loop_sum_collection(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L77loop_get_collection_info(V1, VV[126], V3);
  {
   cl_object V5;                                  /*  LC              */
   cl_object V6;                                  /*  FORM            */
   {
    int V7 = cl_env_copy->nvalues-0;
    if (V7--<=0) goto L2;
    V5 = cl_env_copy->values[0];
    if (V7--<=0) goto L3;
    V6 = cl_env_copy->values[1];
    goto L4;
   }
L2:;
   V5 = ECL_NIL;
L3:;
   V6 = ECL_NIL;
L4:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V5) /*  LOOP-COLLECTOR-DTYPE */;
   L43loop_check_data_type(2, T0, V2);
   {
    cl_object V7;                                 /*  TEMPVARS        */
    V7 = ecl_function_dispatch(cl_env_copy,VV[291])(1, V5) /*  LOOP-COLLECTOR-TEMPVARS */;
    if ((V7)!=ECL_NIL) { goto L7; }
    {
     cl_object V8;
     value0 = ecl_function_dispatch(cl_env_copy,VV[99])(1, V5) /*  LOOP-COLLECTOR-NAME */;
     if ((value0)!=ECL_NIL) { goto L14; }
     T0 = cl_gensym(1, _ecl_static_45);
     goto L12;
L14:;
     T0 = value0;
     goto L12;
L12:;
     T1 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V5) /*  LOOP-COLLECTOR-DTYPE */;
     T2 = L65loop_make_variable(3, T0, ECL_NIL, T1);
     V7 = ecl_list1(T2);
     V8 = V7;
     ecl_elt_set(V5,3,V8);
    }
    if ((ecl_function_dispatch(cl_env_copy,VV[99])(1, V5) /*  LOOP-COLLECTOR-NAME */)!=ECL_NIL) { goto L7; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[291])(1, V5) /*  LOOP-COLLECTOR-TEMPVARS */;
    T1 = ecl_car(T0);
    L55loop_emit_final_value(1, T1);
L7:;
    if (!((V1)==(ECL_SYM("COUNT",266)))) { goto L18; }
    T1 = ecl_car(V7);
    T2 = ecl_car(V7);
    T3 = ecl_car(V7);
    T4 = cl_list(2, ECL_SYM("1+",70), T3);
    T5 = L5hide_variable_reference(ECL_T, T2, T4);
    T6 = cl_list(3, ECL_SYM("SETQ",751), T1, T5);
    T0 = cl_list(3, ECL_SYM("WHEN",905), V6, T6);
    goto L17;
L18:;
    T1 = ecl_car(V7);
    T2 = ecl_car(V7);
    T3 = ecl_car(V7);
    T4 = L5hide_variable_reference(ECL_T, T2, T3);
    T5 = cl_list(3, ECL_SYM("+",14), T4, V6);
    T0 = cl_list(3, ECL_SYM("SETQ",751), T1, T5);
L17:;
    value0 = L54loop_emit_body(T0);
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-MAXMIN-COLLECTION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L80loop_maxmin_collection(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L77loop_get_collection_info(V1, VV[128], ecl_symbol_value(VV[3]));
  {
   cl_object V3;                                  /*  LC              */
   cl_object V4;                                  /*  FORM            */
   {
    int V5 = cl_env_copy->nvalues-0;
    if (V5--<=0) goto L2;
    V3 = cl_env_copy->values[0];
    if (V5--<=0) goto L3;
    V4 = cl_env_copy->values[1];
    goto L4;
   }
L2:;
   V3 = ECL_NIL;
L3:;
   V4 = ECL_NIL;
L4:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V3) /*  LOOP-COLLECTOR-DTYPE */;
   L43loop_check_data_type(2, T0, ecl_symbol_value(VV[3]));
   {
    cl_object V5;                                 /*  DATA            */
    V5 = ecl_function_dispatch(cl_env_copy,VV[294])(1, V3) /*  LOOP-COLLECTOR-DATA */;
    if ((V5)!=ECL_NIL) { goto L7; }
    {
     cl_object V6;
     value0 = ecl_function_dispatch(cl_env_copy,VV[99])(1, V3) /*  LOOP-COLLECTOR-NAME */;
     if ((value0)!=ECL_NIL) { goto L14; }
     T0 = cl_gensym(1, _ecl_static_46);
     goto L12;
L14:;
     T0 = value0;
     goto L12;
L12:;
     T1 = ecl_function_dispatch(cl_env_copy,VV[289])(1, V3) /*  LOOP-COLLECTOR-DTYPE */;
     V5 = L11make_loop_minimax(T0, T1);
     V6 = V5;
     ecl_elt_set(V3,5,V6);
    }
    if ((ecl_function_dispatch(cl_env_copy,VV[99])(1, V3) /*  LOOP-COLLECTOR-NAME */)!=ECL_NIL) { goto L7; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[240])(1, V5) /*  LOOP-MINIMAX-ANSWER-VARIABLE */;
    L55loop_emit_final_value(1, T0);
L7:;
    L12loop_note_minimax_operation(V1, V5);
    T0 = cl_list(2, VV[23], V5);
    cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
    T0 = cl_list(4, VV[25], V5, V1, V4);
    value0 = L54loop_emit_body(T0);
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-DO-ALWAYS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81loop_do_always(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  FORM            */
   V3 = L52loop_get_form();
   if (Null(V1)) { goto L2; }
   L56loop_disallow_conditional(0);
L2:;
   L57loop_disallow_anonymous_collectors();
   if (Null(V2)) { goto L7; }
   T0 = ECL_SYM("WHEN",905);
   goto L6;
L7:;
   T0 = ECL_SYM("UNLESS",883);
L6:;
   T1 = L53loop_construct_return(ECL_NIL);
   T2 = cl_list(3, T0, V3, T1);
   L54loop_emit_body(T2);
   value0 = L55loop_emit_final_value(1, ECL_T);
   return value0;
  }
 }
}
/*	function definition for LOOP-DO-THEREIS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L82loop_do_thereis(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  L56loop_disallow_conditional(0);
L1:;
  L57loop_disallow_anonymous_collectors();
  L55loop_emit_final_value(0);
  T0 = L89loop_when_it_variable();
  T1 = L52loop_get_form();
  T2 = cl_list(3, ECL_SYM("SETQ",751), T0, T1);
  T3 = L53loop_construct_return(ecl_symbol_value(VV[72]));
  T4 = cl_list(3, ECL_SYM("WHEN",905), T2, T3);
  value0 = L54loop_emit_body(T4);
  return value0;
 }
}
/*	function definition for LOOP-DO-WHILE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L83loop_do_while(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;                                  /*  FORM            */
   V3 = L52loop_get_form();
   L56loop_disallow_conditional(1, V2);
   if (Null(V1)) { goto L4; }
   T0 = ECL_SYM("WHEN",905);
   goto L3;
L4:;
   T0 = ECL_SYM("UNLESS",883);
L3:;
   T1 = cl_list(3, T0, V3, VV[93]);
   value0 = L54loop_emit_body(T1);
   return value0;
  }
 }
}
/*	function definition for LOOP-DO-WITH                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L84loop_do_with()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L56loop_disallow_conditional(1, VV[133]);
  {
   cl_object V1;                                  /*  VAR             */
   cl_object V2;                                  /*  VAL             */
   cl_object V3;                                  /*  DTYPE           */
   V1 = ECL_NIL;
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   goto L7;
L6:;
   V1 = L49loop_pop_source();
   V3 = L62loop_optional_type(1, V1);
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if (Null(L15loop_tequal(T0, VV[134]))) { goto L15; }
   L49loop_pop_source();
   V2 = L52loop_get_form();
   goto L14;
L15:;
   V2 = ECL_NIL;
L14:;
   if (Null(V1)) { goto L18; }
   if (Null(L64loop_variable_p(V1))) { goto L18; }
   L41loop_error(2, _ecl_static_47, V1);
L18:;
   L65loop_make_variable(3, V1, V2, V3);
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if (Null(L15loop_tequal(T0, VV[107]))) { goto L23; }
   L49loop_pop_source();
   goto L22;
L23:;
   value0 = L63loop_bind_block();
   return value0;
L22:;
L7:;
   goto L6;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-HACK-ITERATION                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L86loop_hack_iteration(cl_object V1)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  PRE-STEP-TESTS  */
   cl_object V3;                                  /*  STEPS           */
   cl_object V4;                                  /*  POST-STEP-TESTS */
   cl_object V5;                                  /*  PSEUDO-STEPS    */
   cl_object V6;                                  /*  PRE-LOOP-PRE-STEP-TESTS */
   cl_object V7;                                  /*  PRE-LOOP-STEPS  */
   cl_object V8;                                  /*  PRE-LOOP-POST-STEP-TESTS */
   cl_object V9;                                  /*  PRE-LOOP-PSEUDO-STEPS */
   cl_object V10;                                 /*  TEM             */
   cl_object V11;                                 /*  DATA            */
   V2 = ECL_NIL;
   V3 = ECL_NIL;
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   V9 = ECL_NIL;
   V10 = ECL_NIL;
   V11 = ECL_NIL;
   goto L13;
L12:;
   T0 = ecl_car(V1);
   T1 = cl_symbol_function(T0);
   T2 = ecl_cdr(V1);
   V11 = cl_apply(2, T1, T2);
   V10 = V11;
   if (Null(ecl_car(V10))) { goto L20; }
   T0 = ecl_car(V10);
   V2 = CONS(T0,V2);
   goto L18;
L20:;
   goto L18;
L18:;
   V10 = ecl_cdr(V10);
   T0 = ecl_car(V10);
   T1 = cl_copy_list(T0);
   V3 = ecl_nconc(V3,T1);
   V10 = ecl_cdr(V10);
   if (Null(ecl_car(V10))) { goto L28; }
   T0 = ecl_car(V10);
   V4 = CONS(T0,V4);
   goto L26;
L28:;
   goto L26;
L26:;
   V10 = ecl_cdr(V10);
   T0 = ecl_car(V10);
   T1 = cl_copy_list(T0);
   V5 = ecl_nconc(V5,T1);
   V10 = ecl_cdr(V10);
   if (Null(ecl_symbol_value(VV[67]))) { goto L37; }
   L42loop_warn(1, _ecl_static_48);
L37:;
   if ((V10)!=ECL_NIL) { goto L39; }
   V10 = V11;
L39:;
   if (Null(ecl_car(V10))) { goto L42; }
   T0 = ecl_car(V10);
   V6 = CONS(T0,V6);
L42:;
   V10 = ecl_cdr(V10);
   T0 = ecl_car(V10);
   T1 = cl_copy_list(T0);
   V7 = ecl_nconc(V7,T1);
   V10 = ecl_cdr(V10);
   if (Null(ecl_car(V10))) { goto L48; }
   T0 = ecl_car(V10);
   V8 = CONS(T0,V8);
L48:;
   T0 = ecl_cadr(V10);
   T1 = cl_copy_list(T0);
   V9 = ecl_nconc(V9,T1);
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if ((L15loop_tequal(T0, VV[107]))!=ECL_NIL) { goto L54; }
   T0 = L24loop_make_desetq(V9);
   T1 = LC85make_endtest(V8);
   T2 = L23loop_make_psetq(V7);
   T3 = LC85make_endtest(V6);
   cl_set(VV[64],cl_listX(5, T0, T1, T2, T3, ecl_symbol_value(VV[64])));
   T0 = L24loop_make_desetq(V5);
   T1 = LC85make_endtest(V4);
   T2 = L23loop_make_psetq(V3);
   T3 = LC85make_endtest(V2);
   cl_set(VV[66],cl_listX(5, T0, T1, T2, T3, ecl_symbol_value(VV[66])));
   L63loop_bind_block();
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
L54:;
   L49loop_pop_source();
   if ((ecl_function_dispatch(cl_env_copy,VV[299])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-IMPLICIT-FOR-REQUIRED */)!=ECL_NIL) { goto L66; }
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   T1 = ecl_function_dispatch(cl_env_copy,VV[267])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-ITERATION-KEYWORDS */;
   V10 = L18loop_lookup_keyword(T0, T1);
   if (Null(V10)) { goto L66; }
   L49loop_pop_source();
   V1 = V10;
L66:;
L13:;
   goto L12;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function MAKE-ENDTEST                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC85make_endtest(cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(V1==ECL_NIL)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(ecl_memql(ECL_T,V1))) { goto L3; }
  value0 = VV[93];
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  V1 = cl_nreverse(V1);
  T1 = ecl_cdr(V1);
  if (!(T1==ECL_NIL)) { goto L6; }
  T0 = ecl_car(V1);
  goto L5;
L6:;
  T0 = CONS(ECL_SYM("OR",614),V1);
L5:;
  value0 = cl_list(3, ECL_SYM("WHEN",905), T0, VV[93]);
  return value0;
 }
}
/*	function definition for LOOP-DO-FOR                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L87loop_do_for()
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V1;                                  /*  VAR             */
   cl_object V2;                                  /*  DATA-TYPE       */
   cl_object V3;                                  /*  KEYWORD         */
   cl_object V4;                                  /*  FIRST-ARG       */
   cl_object V5;                                  /*  TEM             */
   V1 = L49loop_pop_source();
   V2 = L62loop_optional_type(1, V1);
   V3 = L49loop_pop_source();
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V4 = L52loop_get_form();
   if (!(ECL_SYMBOLP(V3))) { goto L11; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[301])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-FOR-KEYWORDS */;
   V5 = L18loop_lookup_keyword(V3, T0);
   if ((V5)!=ECL_NIL) { goto L8; }
   goto L9;
L11:;
   goto L9;
L9:;
   L41loop_error(2, _ecl_static_49, V3);
L8:;
   T0 = ecl_car(V5);
   T1 = ecl_cdr(V5);
   value0 = cl_apply(5, T0, V1, V4, V2, T1);
   return value0;
  }
 }
}
/*	function definition for LOOP-DO-REPEAT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L88loop_do_repeat()
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L56loop_disallow_conditional(1, VV[137]);
  {
   cl_object V1;                                  /*  FORM            */
   cl_object V2;                                  /*  TYPE            */
   cl_object V3;                                  /*  VAR             */
   cl_object V4;                                  /*  FORM            */
   V1 = L52loop_get_form();
   if (!(ECL_FIXNUMP(V1))) { goto L4; }
   V2 = ECL_SYM("FIXNUM",372);
   goto L3;
L4:;
   V2 = ECL_SYM("REAL",703);
L3:;
   T0 = cl_gensym(0);
   V3 = L65loop_make_variable(3, T0, V1, V2);
   T0 = cl_list(2, ECL_SYM("DECF",271), V3);
   T1 = cl_list(2, ECL_SYM("MINUSP",558), T0);
   T2 = cl_list(3, ECL_SYM("WHEN",905), T1, VV[93]);
   V4 = cl_list(2, VV[1], T2);
   cl_set(VV[64],CONS(V4,ecl_symbol_value(VV[64])));
   cl_set(VV[66],CONS(V4,ecl_symbol_value(VV[66])));
   value0 = ecl_symbol_value(VV[66]);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-WHEN-IT-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L89loop_when_it_variable()
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_symbol_value(VV[72]);
  if ((value0)!=ECL_NIL) { goto L2; }
  T0 = cl_gensym(1, _ecl_static_50);
  cl_set(VV[72],L65loop_make_variable(3, T0, ECL_NIL, ECL_NIL));
  value0 = ecl_symbol_value(VV[72]);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-ANSI-FOR-EQUALS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L90loop_ansi_for_equals(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L66loop_make_iteration_variable(V1, ECL_NIL, V3);
  T0 = ecl_car(ecl_symbol_value(VV[50]));
  if (Null(L15loop_tequal(T0, VV[139]))) { goto L2; }
  L49loop_pop_source();
  T0 = L52loop_get_form();
  T1 = cl_list(2, V1, T0);
  T2 = cl_list(2, V1, V2);
  value0 = cl_listX(7, ECL_NIL, T1, ECL_NIL, ECL_NIL, ECL_NIL, T2, VV[140]);
  return value0;
L2:;
  T0 = cl_list(2, V1, V2);
  value0 = cl_listX(3, ECL_NIL, T0, VV[140]);
  return value0;
 }
}
/*	function definition for LOOP-FOR-ACROSS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L91loop_for_across(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L66loop_make_iteration_variable(V1, ECL_NIL, V3);
  {
   cl_object V4;                                  /*  LET303          */
   cl_object V5;                                  /*  LET304          */
   V4 = cl_gensym(1, _ecl_static_51);
   V5 = cl_gensym(1, _ecl_static_52);
   cl_env_copy->values[0] = L28loop_constant_fold_if_possible(2, V2, ECL_SYM("VECTOR",898));
   {
    cl_object V7;                                 /*  VECTOR-FORM     */
    cl_object V8;                                 /*  CONSTANTP       */
    cl_object V9;                                 /*  VECTOR-VALUE    */
    {
     int V10 = cl_env_copy->nvalues-0;
     if (V10--<=0) goto L5;
     V7 = cl_env_copy->values[0];
     if (V10--<=0) goto L6;
     V8 = cl_env_copy->values[1];
     if (V10--<=0) goto L7;
     V9 = cl_env_copy->values[2];
     goto L8;
    }
L5:;
    V7 = ECL_NIL;
L6:;
    V8 = ECL_NIL;
L7:;
    V9 = ECL_NIL;
L8:;
    if (!(ECL_CONSP(V7))) { goto L11; }
    T1 = ecl_car(V7);
    if (!((T1)==(ECL_SYM("THE",856)))) { goto L11; }
    T0 = ecl_cadr(V7);
    goto L10;
L11:;
    T0 = ECL_SYM("VECTOR",898);
L10:;
    L65loop_make_variable(3, V4, V7, T0);
    L65loop_make_variable(3, V5, ecl_make_fixnum(0), ECL_SYM("FIXNUM",372));
    {
     cl_fixnum V10;                               /*  LENGTH          */
     cl_object V11;                               /*  LENGTH-FORM     */
     cl_object V12;                               /*  FIRST-TEST      */
     cl_object V13;                               /*  OTHER-TEST      */
     cl_object V14;                               /*  STEP            */
     cl_object V15;                               /*  PSTEP           */
     V10 = 0;
     if ((V8)!=ECL_NIL) { goto L17; }
     {
      cl_object V16;                              /*  V               */
      V16 = cl_gensym(1, _ecl_static_53);
      T0 = cl_list(2, ECL_SYM("LENGTH",476), V4);
      T1 = cl_list(3, ECL_SYM("SETQ",751), V16, T0);
      cl_set(VV[63],CONS(T1,ecl_symbol_value(VV[63])));
      V11 = L65loop_make_variable(3, V16, ecl_make_fixnum(0), ECL_SYM("FIXNUM",372));
      goto L16;
     }
L17:;
     V10 = ecl_length(V9);
     V11 = ecl_make_fixnum(V10);
L16:;
     V12 = cl_list(3, ECL_SYM(">=",76), V5, V11);
     V13 = V12;
     T0 = cl_list(3, ECL_SYM("AREF",92), V4, V5);
     V14 = cl_list(2, V1, T0);
     T0 = cl_list(2, ECL_SYM("1+",70), V5);
     V15 = cl_list(2, V5, T0);
     if (Null(V8)) { goto L27; }
     V12 = ecl_make_bool((V10)==(0));
     if (!((V10)<=(1))) { goto L27; }
     V13 = ECL_T;
L27:;
     if ((V12)==(V13)) { goto L35; }
     T0 = cl_list(4, V12, V14, ECL_NIL, V15);
     goto L33;
L35:;
     T0 = ECL_NIL;
     goto L33;
L33:;
     value0 = cl_listX(5, V13, V14, ECL_NIL, V15, T0);
     return value0;
    }
   }
  }
 }
}
/*	function definition for LOOP-LIST-STEP                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L92loop_list_step(cl_object V1)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  STEPPER         */
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if (Null(L15loop_tequal(T0, VV[143]))) { goto L2; }
   L49loop_pop_source();
   V2 = L52loop_get_form();
   goto L1;
L2:;
   V2 = VV[144];
L1:;
   if (!(ECL_CONSP(V2))) { goto L5; }
   T0 = ecl_car(V2);
   if (!((T0)==(ECL_SYM("QUOTE",679)))) { goto L5; }
   L42loop_warn(1, _ecl_static_54);
   T0 = cl_list(3, ECL_SYM("FUNCALL",394), V2, V1);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
L5:;
   if (!(ECL_CONSP(V2))) { goto L9; }
   T0 = ecl_car(V2);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L9; }
   T0 = ecl_cadr(V2);
   T1 = cl_list(2, T0, V1);
   T2 = ecl_cadr(V2);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T1;
   return cl_env_copy->values[0];
L9:;
   T0 = cl_gensym(1, _ecl_static_55);
   T1 = L65loop_make_variable(3, T0, V2, ECL_SYM("FUNCTION",396));
   T2 = cl_list(3, ECL_SYM("FUNCALL",394), T1, V1);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = T2;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for LOOP-FOR-ON                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L93loop_for_on(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L28loop_constant_fold_if_possible(1, V2);
  {
   cl_object V5;                                  /*  LIST            */
   cl_object V6;                                  /*  CONSTANTP       */
   cl_object V7;                                  /*  LIST-VALUE      */
   {
    int V8 = cl_env_copy->nvalues-0;
    if (V8--<=0) goto L2;
    V5 = cl_env_copy->values[0];
    if (V8--<=0) goto L3;
    V6 = cl_env_copy->values[1];
    if (V8--<=0) goto L4;
    V7 = cl_env_copy->values[2];
    goto L5;
   }
L2:;
   V5 = ECL_NIL;
L3:;
   V6 = ECL_NIL;
L4:;
   V7 = ECL_NIL;
L5:;
   {
    cl_object V8;                                 /*  LISTVAR         */
    V8 = V1;
    if (Null(V1)) { goto L8; }
    if (!(ECL_SYMBOLP(V1))) { goto L8; }
    L66loop_make_iteration_variable(V1, V5, V3);
    goto L7;
L8:;
    V8 = cl_gensym(0);
    L65loop_make_variable(3, V8, V5, ECL_SYM("LIST",481));
    L66loop_make_iteration_variable(V1, ECL_NIL, V3);
L7:;
    cl_env_copy->values[0] = L92loop_list_step(V8);
    {
     cl_object V10;                               /*  LIST-STEP       */
     cl_object V11;                               /*  STEP-FUNCTION   */
     {
      int V12 = cl_env_copy->nvalues-0;
      if (V12--<=0) goto L14;
      V10 = cl_env_copy->values[0];
      if (V12--<=0) goto L15;
      V11 = cl_env_copy->values[1];
      goto L16;
     }
L14:;
     V10 = ECL_NIL;
L15:;
     V11 = ECL_NIL;
L16:;
     {
      cl_object V12;                              /*  FIRST-ENDTEST   */
      cl_object V13;                              /*  OTHER-ENDTEST   */
      {
       bool V14;
       V14 = (V1)==(V8);
       T0 = cl_list(2, ECL_SYM("ATOM",119), V8);
       V12 = L5hide_variable_reference(ecl_make_bool(V14), V8, T0);
      }
      V13 = V12;
      if (Null(V6)) { goto L19; }
      if (!(ECL_LISTP(V7))) { goto L19; }
      V12 = ecl_make_bool(V7==ECL_NIL);
L19:;
      if (!((V1)==(V8))) { goto L23; }
      T0 = L5hide_variable_reference(ECL_T, V8, V10);
      T1 = cl_list(2, V8, T0);
      value0 = cl_list(8, ECL_NIL, T1, V13, ECL_NIL, ECL_NIL, ECL_NIL, V12, ECL_NIL);
      return value0;
L23:;
      {
       cl_object V14;                             /*  LET305          */
       cl_object V15;                             /*  LET306          */
       V14 = cl_list(2, V1, V8);
       V15 = cl_list(2, V8, V10);
       if ((V12)==(V13)) { goto L29; }
       T0 = cl_list(4, V12, V14, ECL_NIL, V15);
       goto L27;
L29:;
       T0 = ECL_NIL;
       goto L27;
L27:;
       value0 = cl_listX(5, V13, V14, ECL_NIL, V15, T0);
       return value0;
      }
     }
    }
   }
  }
 }
}
/*	function definition for LOOP-FOR-IN                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L94loop_for_in(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  cl_env_copy->values[0] = L28loop_constant_fold_if_possible(1, V2);
  {
   cl_object V5;                                  /*  LIST            */
   cl_object V6;                                  /*  CONSTANTP       */
   cl_object V7;                                  /*  LIST-VALUE      */
   {
    int V8 = cl_env_copy->nvalues-0;
    if (V8--<=0) goto L2;
    V5 = cl_env_copy->values[0];
    if (V8--<=0) goto L3;
    V6 = cl_env_copy->values[1];
    if (V8--<=0) goto L4;
    V7 = cl_env_copy->values[2];
    goto L5;
   }
L2:;
   V5 = ECL_NIL;
L3:;
   V6 = ECL_NIL;
L4:;
   V7 = ECL_NIL;
L5:;
   {
    cl_object V8;                                 /*  LISTVAR         */
    V8 = cl_gensym(1, _ecl_static_56);
    L66loop_make_iteration_variable(V1, ECL_NIL, V3);
    L65loop_make_variable(3, V8, V5, ECL_SYM("LIST",481));
    cl_env_copy->values[0] = L92loop_list_step(V8);
    {
     cl_object V10;                               /*  LIST-STEP       */
     cl_object V11;                               /*  STEP-FUNCTION   */
     {
      int V12 = cl_env_copy->nvalues-0;
      if (V12--<=0) goto L10;
      V10 = cl_env_copy->values[0];
      if (V12--<=0) goto L11;
      V11 = cl_env_copy->values[1];
      goto L12;
     }
L10:;
     V10 = ECL_NIL;
L11:;
     V11 = ECL_NIL;
L12:;
     {
      cl_object V12;                              /*  FIRST-ENDTEST   */
      cl_object V13;                              /*  OTHER-ENDTEST   */
      cl_object V14;                              /*  STEP            */
      cl_object V15;                              /*  PSEUDO-STEP     */
      V12 = cl_list(2, ECL_SYM("ENDP",330), V8);
      V13 = V12;
      T0 = cl_list(2, ECL_SYM("CONS-CAR",1777), V8);
      V14 = cl_list(2, V1, T0);
      V15 = cl_list(2, V8, V10);
      if (Null(V6)) { goto L17; }
      if (!(ECL_LISTP(V7))) { goto L17; }
      V12 = ecl_make_bool(V7==ECL_NIL);
L17:;
      if ((V12)==(V13)) { goto L23; }
      T0 = cl_list(4, V12, V14, ECL_NIL, V15);
      goto L21;
L23:;
      T0 = ECL_NIL;
      goto L21;
L21:;
      value0 = cl_listX(5, V13, V14, ECL_NIL, V15, T0);
      return value0;
     }
    }
   }
  }
 }
}
/*	function definition for MAKE-LOOP-PATH                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L95make_loop_path(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object V1;
  cl_object V2;
  cl_object V3;
  cl_object V4;
  cl_object V5;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[10];
   cl_parse_key(args,5,L95make_loop_pathkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V1 = keyvars[0];
   V2 = keyvars[1];
   V3 = keyvars[2];
   V4 = keyvars[3];
   V5 = keyvars[4];
  }
  T0 = cl_list(5, V1, V2, V3, V4, V5);
  value0 = cl_make_array(5, VV[149], ECL_SYM("ELEMENT-TYPE",1224), ECL_T, ECL_SYM("INITIAL-CONTENTS",1252), T0);
  return value0;
 }
}
/*	function definition for ADD-LOOP-PATH                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L96add_loop_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  cl_object V5;
  cl_object V6;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L96add_loop_pathkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
   V5 = keyvars[1];
   V6 = keyvars[2];
  }
  if (ECL_LISTP(V1)) { goto L1; }
  V1 = ecl_list1(V1);
L1:;
  {
   cl_object V7;                                  /*  LET307          */
   cl_object V8;                                  /*  LET308          */
   V7 = ecl_function_dispatch(cl_env_copy,VV[316])(1, V3) /*  LOOP-UNIVERSE-PATH-KEYWORDS */;
   {
    cl_object V9;
    cl_object V10;
    V9 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
    V10 = V1;
    {
     cl_object V11;
     cl_object V12;
     V11 = ecl_list1(ECL_NIL);
     V12 = V11;
L12:;
     if (!(ecl_endp(V10))) { goto L14; }
     goto L13;
L14:;
     V9 = _ecl_car(V10);
     {
      cl_object V13;
      V13 = _ecl_cdr(V10);
      if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
      V10 = V13;
     }
     if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
     T1 = V12;
     T2 = ecl_symbol_name(V9);
     V12 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V12,T1);
     goto L12;
L13:;
     T0 = ecl_cdr(V11);
     goto L6;
    }
   }
L6:;
   {
    cl_object V9;
    cl_object V10;
    V9 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
    V10 = V4;
    {
     cl_object V11;
     cl_object V12;
     V11 = ecl_list1(ECL_NIL);
     V12 = V11;
L34:;
     if (!(ecl_endp(V10))) { goto L36; }
     goto L35;
L36:;
     V9 = _ecl_car(V10);
     {
      cl_object V13;
      V13 = _ecl_cdr(V10);
      if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
      V10 = V13;
     }
     if (ecl_unlikely(ECL_ATOM(V12))) FEtype_error_cons(V12);
     T2 = V12;
     if (!(ECL_LISTP(V9))) { goto L49; }
     T3 = V9;
     goto L48;
L49:;
     T3 = ecl_list1(V9);
L48:;
     V12 = ecl_list1(T3);
     (ECL_CONS_CDR(T2)=V12,T2);
     goto L34;
L35:;
     T1 = ecl_cdr(V11);
     goto L28;
    }
   }
L28:;
   V8 = L95make_loop_path(10, VV[151], T0, ECL_SYM("FUNCTION",1241), V2, VV[152], V6, VV[153], T1, VV[154], V5);
   {
    cl_object V9;
    V9 = V1;
    goto L57;
L56:;
    {
     cl_object V10;                               /*  NAME            */
     V10 = ecl_car(V9);
     T0 = ecl_symbol_name(V10);
     si_hash_set(T0, V7, V8);
    }
    V9 = ecl_cdr(V9);
L57:;
    if (Null(V9)) { goto L64; }
    goto L56;
L64:;
   }
   value0 = V8;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-FOR-BEING                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L97loop_for_being(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V4;                                  /*  PATH            */
   cl_object V5;                                  /*  DATA            */
   cl_object V6;                                  /*  INCLUSIVE       */
   cl_object V7;                                  /*  STUFF           */
   cl_object V8;                                  /*  INITIAL-PREPOSITIONS */
   V4 = ECL_NIL;
   V5 = ECL_NIL;
   V6 = ECL_NIL;
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   if (Null(L17loop_tmember(V2, VV[155]))) { goto L7; }
   V4 = L49loop_pop_source();
   goto L6;
L7:;
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if (Null(L15loop_tequal(T0, VV[107]))) { goto L10; }
   L49loop_pop_source();
   V6 = ECL_T;
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   if ((L17loop_tmember(T0, VV[156]))!=ECL_NIL) { goto L15; }
   T0 = ecl_car(ecl_symbol_value(VV[50]));
   L41loop_error(2, _ecl_static_58, T0);
L15:;
   L49loop_pop_source();
   V4 = L49loop_pop_source();
   T0 = cl_list(2, VV[157], V2);
   V8 = ecl_list1(T0);
   goto L6;
L10:;
   L41loop_error(1, _ecl_static_59);
L6:;
   if (ECL_SYMBOLP(V4)) { goto L22; }
   L41loop_error(2, _ecl_static_60, V4);
   goto L21;
L22:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[316])(1, ecl_symbol_value(VV[31])) /*  LOOP-UNIVERSE-PATH-KEYWORDS */;
   V5 = L18loop_lookup_keyword(V4, T0);
   if ((V5)!=ECL_NIL) { goto L24; }
   L41loop_error(2, _ecl_static_61, V4);
   goto L21;
L24:;
   if (Null(V6)) { goto L21; }
   if ((ecl_function_dispatch(cl_env_copy,VV[318])(1, V5) /*  LOOP-PATH-INCLUSIVE-PERMITTED */)!=ECL_NIL) { goto L21; }
   L41loop_error(2, _ecl_static_62, V4);
L21:;
   {
    cl_object V9;                                 /*  LET318          */
    cl_object V10;                                /*  LET319          */
    cl_object V11;                                /*  LET320          */
    cl_object V12;                                /*  FUN             */
    V9 = ecl_function_dispatch(cl_env_copy,VV[319])(1, V5) /*  LOOP-PATH-FUNCTION */;
    T0 = ecl_function_dispatch(cl_env_copy,VV[320])(1, V5) /*  LOOP-PATH-PREPOSITION-GROUPS */;
    T1 = L100loop_collect_prepositional_phrases(2, T0, ECL_T);
    V10 = ecl_nconc(V8,T1);
    V11 = ecl_function_dispatch(cl_env_copy,VV[321])(1, V5) /*  LOOP-PATH-USER-DATA */;
    V12 = V9;
    if (!(ECL_SYMBOLP(V12))) { goto L34; }
    V12 = cl_symbol_function(V12);
L34:;
    if (Null(V6)) { goto L38; }
    V7 = cl_apply(7, V12, V1, V3, V10, VV[158], ECL_T, V11);
    goto L37;
L38:;
    V7 = cl_apply(5, V12, V1, V3, V10, V11);
L37:;
   }
   if (Null(ecl_symbol_value(VV[55]))) { goto L40; }
   L41loop_error(2, _ecl_static_63, ecl_symbol_value(VV[55]));
L40:;
   {
    cl_fixnum V9;
    V9 = ecl_length(V7);
    if (!((V9)==(6))) { goto L47; }
    goto L42;
    goto L45;
L47:;
    goto L45;
L45:;
    if (!((V9)==(10))) { goto L50; }
    goto L42;
    goto L43;
L50:;
    goto L43;
   }
L43:;
   L41loop_error(2, _ecl_static_64, V4);
L42:;
   {
    cl_object V9;                                 /*  LET321          */
    cl_object V10;                                /*  L               */
    cl_object V11;                                /*  X               */
    V9 = ecl_car(V7);
    V10 = V9;
    V11 = ECL_NIL;
    goto L58;
L57:;
    V11 = ecl_car(V10);
    if (!(ECL_ATOM(V11))) { goto L61; }
    L66loop_make_iteration_variable(V11, ECL_NIL, ECL_NIL);
    goto L60;
L61:;
    T0 = ecl_car(V11);
    T1 = ecl_cadr(V11);
    T2 = ecl_caddr(V11);
    L66loop_make_iteration_variable(T0, T1, T2);
L60:;
    V10 = ecl_cdr(V10);
L58:;
    if (V10==ECL_NIL) { goto L66; }
    goto L57;
L66:;
   }
   T0 = ecl_cadr(V7);
   T1 = cl_reverse(T0);
   cl_set(VV[63],ecl_nconc(T1,ecl_symbol_value(VV[63])));
   value0 = ecl_cddr(V7);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NAMED-VARIABLE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L98named_variable(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  TEM             */
   {
    cl_object V3;
    V3 = L16loop_tassoc(V1, ecl_symbol_value(VV[55]));
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V2 = V3;
   }
   if (!(V2==ECL_NIL)) { goto L4; }
   T0 = cl_gensym(0);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_NIL;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
L4:;
   cl_set(VV[55],cl_delete(2, V2, ecl_symbol_value(VV[55])));
   T0 = ecl_cdr(V2);
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = ECL_T;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for LOOP-COLLECT-PREPOSITIONAL-PHRASES    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L100loop_collect_prepositional_phrases(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_NIL;
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  LET327          */
   cl_object V5;                                  /*  LET328          */
   cl_object V6;                                  /*  TOKEN           */
   cl_object V7;                                  /*  PREPOSITIONAL-PHRASES */
   cl_object V8;                                  /*  THIS-GROUP      */
   cl_object V9;                                  /*  THIS-PREP       */
   cl_object V10;                                 /*  USED-PREPOSITIONS */
   {
    cl_object V11;
    cl_object V12;
    V11 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V12 = V3;
    {
     cl_object V13;
     cl_object V14;
     V13 = ecl_list1(ECL_NIL);
     V14 = V13;
L9:;
     if (!(ecl_endp(V12))) { goto L11; }
     goto L10;
L11:;
     V11 = _ecl_car(V12);
     {
      cl_object V15;
      V15 = _ecl_cdr(V12);
      if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
      V12 = V15;
     }
     {
      cl_object V15;
      {
       cl_object V16;
       V16 = ecl_car(V11);
       {
        cl_object V17;
        V17 = si_make_seq_iterator(2, V1, ecl_make_fixnum(0));
L25:;
        if ((V17)!=ECL_NIL) { goto L27; }
        T0 = ECL_NIL;
        goto L22;
L27:;
        {
         cl_object V18;
         V18 = si_seq_iterator_ref(V1, V17);
         if (Null(LC99in_group_p(V16, V18))) { goto L29; }
         T0 = V18;
         goto L22;
        }
L29:;
        V17 = si_seq_iterator_next(V1, V17);
        goto L25;
       }
      }
L22:;
      V15 = cl_copy_list(T0);
      if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
      T0 = V14;
      (ECL_CONS_CDR(T0)=V15,T0);
      if (Null(V15)) { goto L19; }
     }
     T0 = ecl_cdr(V14);
     V14 = ecl_last(T0,1);
L19:;
     goto L9;
L10:;
     V4 = ecl_cdr(V13);
     goto L3;
    }
   }
L3:;
   {
    cl_object V11;
    cl_object V12;
    V11 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V12 = V3;
    {
     cl_object V13;
     cl_object V14;
     V13 = ecl_list1(ECL_NIL);
     V14 = V13;
L46:;
     if (!(ecl_endp(V12))) { goto L48; }
     goto L47;
L48:;
     V11 = _ecl_car(V12);
     {
      cl_object V15;
      V15 = _ecl_cdr(V12);
      if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
      V12 = V15;
     }
     if (ecl_unlikely(ECL_ATOM(V14))) FEtype_error_cons(V14);
     T0 = V14;
     T1 = ecl_car(V11);
     V14 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=V14,T0);
     goto L46;
L47:;
     V5 = ecl_cdr(V13);
     goto L40;
    }
   }
L40:;
   V6 = ECL_NIL;
   V7 = V3;
   V8 = ECL_NIL;
   V9 = ECL_NIL;
   V10 = V5;
   goto L69;
L68:;
   V6 = ecl_car(ecl_symbol_value(VV[50]));
   {
    cl_object V11;
    V11 = V1;
    goto L77;
L76:;
    {
     cl_object V12;                               /*  GROUP           */
     V12 = ecl_car(V11);
     {
      cl_object V13;
      V13 = LC99in_group_p(V6, V12);
      {
       bool V14;
       V14 = ECL_SYMBOLP(V13);
       if (ecl_unlikely(!(V14)))
         FEwrong_type_argument(ECL_SYM("SYMBOL",840),V13);
      }
      V9 = V13;
     }
     if (Null(V9)) { goto L81; }
     V8 = V12;
     goto L73;
L81:;
    }
    V11 = ecl_cdr(V11);
L77:;
    if (Null(V11)) { goto L89; }
    goto L76;
L89:;
   }
L73:;
   if (Null(V8)) { goto L92; }
   if (Null(ecl_memql(V9,V4))) { goto L94; }
   if (Null(ecl_memql(V9,V10))) { goto L97; }
   T0 = _ecl_static_65;
   goto L96;
L97:;
   T0 = _ecl_static_66;
L96:;
   L41loop_error(2, T0, V6);
L94:;
   if (!(ECL_LISTP(V8))) { goto L101; }
   V10 = ecl_append(V8,V10);
   goto L100;
L101:;
   V10 = CONS(V8,V10);
L100:;
   L49loop_pop_source();
   T0 = L52loop_get_form();
   T1 = cl_list(2, V9, T0);
   V7 = CONS(T1,V7);
   goto L91;
L92:;
   if (Null(V2)) { goto L105; }
   if (Null(L15loop_tequal(V6, VV[162]))) { goto L105; }
   L49loop_pop_source();
   {
    cl_object V11;                                /*  LET333          */
    cl_object V12;                                /*  Z               */
    cl_object V13;                                /*  TEM             */
    V11 = L49loop_pop_source();
    V12 = V11;
    V13 = ECL_NIL;
    goto L114;
L113:;
    if (Null(ecl_cadr(V12))) { goto L116; }
    T0 = ecl_car(V12);
    V13 = L16loop_tassoc(T0, ecl_symbol_value(VV[55]));
    if (Null(V13)) { goto L118; }
    T0 = ecl_car(V12);
    T1 = ecl_cadr(V12);
    T2 = ecl_cadr(V13);
    L41loop_error(4, _ecl_static_67, T0, T1, T2);
    goto L116;
L118:;
    T0 = ecl_car(V12);
    T1 = ecl_cadr(V12);
    T2 = CONS(T0,T1);
    cl_set(VV[55],CONS(T2,ecl_symbol_value(VV[55])));
L116:;
    if (ecl_symbol_value(VV[50])==ECL_NIL) { goto L124; }
    T0 = ecl_car(ecl_symbol_value(VV[50]));
    if (!(ECL_SYMBOLP(T0))) { goto L122; }
    goto L123;
L124:;
L123:;
    goto L91;
L122:;
    V12 = L49loop_pop_source();
L114:;
    goto L113;
    goto L91;
   }
L105:;
   value0 = cl_nreverse(V7);
   return value0;
L91:;
   V8 = ECL_NIL;
   V9 = ECL_NIL;
L69:;
   if (ecl_symbol_value(VV[50])==ECL_NIL) { goto L132; }
   goto L68;
L132:;
   value0 = cl_nreverse(V7);
   return value0;
  }
 }
}
/*	local function IN-GROUP-P                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC99in_group_p(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L17loop_tmember(V1, V2);
  value0 = ecl_car(T0);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for LOOP-SEQUENCER                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L101loop_sequencer(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V11;                                 /*  LET339          */
   cl_object V12;                                 /*  ENDFORM         */
   cl_object V13;                                 /*  SEQUENCEP       */
   cl_object V14;                                 /*  TESTFN          */
   cl_object V15;                                 /*  TEST            */
   cl_object V16;                                 /*  STEPBY          */
   cl_object V17;                                 /*  STEPBY-CONSTANTP */
   cl_object V18;                                 /*  STEP            */
   cl_object V19;                                 /*  DIR             */
   cl_object V20;                                 /*  INCLUSIVE-ITERATION */
   cl_object V21;                                 /*  START-GIVEN     */
   cl_object V22;                                 /*  START-VALUE     */
   cl_object V23;                                 /*  START-CONSTANTP */
   cl_object V24;                                 /*  LIMIT-GIVEN     */
   cl_object V25;                                 /*  LIMIT-CONSTANTP */
   cl_object V26;                                 /*  LIMIT-VALUE     */
   value0 = L59loop_typed_init(V2);
   if ((value0)!=ECL_NIL) { goto L4; }
   T0 = ecl_make_fixnum(0);
   goto L2;
L4:;
   T0 = value0;
   goto L2;
L2:;
   V11 = ecl_one_plus(T0);
   V12 = ECL_NIL;
   V13 = ECL_NIL;
   V14 = ECL_NIL;
   V15 = ECL_NIL;
   V16 = V11;
   V17 = ECL_T;
   V18 = ECL_NIL;
   V19 = ECL_NIL;
   V20 = ECL_NIL;
   V21 = ECL_NIL;
   V22 = ECL_NIL;
   V23 = ECL_NIL;
   V24 = ECL_NIL;
   V25 = ECL_NIL;
   V26 = ECL_NIL;
   if (Null(V4)) { goto L21; }
   L66loop_make_iteration_variable(V4, ECL_NIL, V5);
L21:;
   {
    cl_object V27;                                /*  L               */
    cl_object V28;                                /*  PREP            */
    cl_object V29;                                /*  FORM            */
    cl_object V30;                                /*  ODIR            */
    V27 = V10;
    V28 = ECL_NIL;
    V29 = ECL_NIL;
    V30 = ECL_NIL;
    goto L30;
L29:;
    V28 = ecl_caar(V27);
    V29 = ecl_cadar(V27);
    if (!(ecl_eql(V28,VV[163]))) { goto L42; }
    goto L39;
    goto L40;
L42:;
    goto L40;
L40:;
    if (!(ecl_eql(V28,VV[157]))) { goto L37; }
    goto L38;
L39:;
L38:;
    V13 = ECL_T;
    L65loop_make_variable(3, V6, V29, V7);
    goto L36;
L37:;
    if (!(ecl_eql(V28,VV[166]))) { goto L52; }
    goto L49;
    goto L50;
L52:;
    goto L50;
L50:;
    if (!(ecl_eql(V28,VV[168]))) { goto L56; }
    goto L49;
    goto L54;
L56:;
    goto L54;
L54:;
    if (!(ecl_eql(V28,VV[170]))) { goto L47; }
    goto L48;
L49:;
L48:;
    V21 = ECL_T;
    if (!((V28)==(VV[168]))) { goto L62; }
    V19 = VV[172];
    goto L61;
L62:;
    if (!((V28)==(VV[170]))) { goto L61; }
    V19 = ECL_SYM("UP",1321);
L61:;
    cl_env_copy->values[0] = L28loop_constant_fold_if_possible(2, V29, V2);
    {
     int V31 = cl_env_copy->nvalues-0;
     if (V31--<=0) goto L69;
     V29 = cl_env_copy->values[0];
     if (V31--<=0) goto L70;
     V23 = cl_env_copy->values[1];
     if (V31--<=0) goto L71;
     V22 = cl_env_copy->values[2];
     goto L72;
    }
L69:;
    V29 = ECL_NIL;
L70:;
    V23 = ECL_NIL;
L71:;
    V22 = ECL_NIL;
L72:;
    L66loop_make_iteration_variable(V1, V29, V2);
    goto L36;
L47:;
    if (Null(ecl_memql(V28,VV[173]))) { goto L73; }
    if (Null(L15loop_tequal(V28, VV[174]))) { goto L76; }
    V19 = ECL_SYM("UP",1321);
    V20 = ECL_SYM("UP",1321);
    goto L75;
L76:;
    if (Null(L15loop_tequal(V28, VV[175]))) { goto L80; }
    V20 = ECL_T;
    goto L75;
L80:;
    if (Null(L15loop_tequal(V28, VV[176]))) { goto L83; }
    V19 = VV[172];
    V20 = VV[172];
    goto L75;
L83:;
    if (Null(L15loop_tequal(V28, VV[177]))) { goto L87; }
    V19 = VV[172];
    goto L75;
L87:;
    if (Null(L15loop_tequal(V28, VV[178]))) { goto L75; }
    V19 = ECL_SYM("UP",1321);
L75:;
    V24 = ECL_T;
    cl_env_copy->values[0] = L28loop_constant_fold_if_possible(2, V29, V2);
    {
     int V31 = cl_env_copy->nvalues-0;
     if (V31--<=0) goto L96;
     V29 = cl_env_copy->values[0];
     if (V31--<=0) goto L97;
     V25 = cl_env_copy->values[1];
     if (V31--<=0) goto L98;
     V26 = cl_env_copy->values[2];
     goto L99;
    }
L96:;
    V29 = ECL_NIL;
L97:;
    V25 = ECL_NIL;
L98:;
    V26 = ECL_NIL;
L99:;
    if (Null(V25)) { goto L101; }
    V12 = cl_list(2, ECL_SYM("QUOTE",679), V26);
    goto L100;
L101:;
    T0 = cl_gensym(1, _ecl_static_68);
    V12 = L65loop_make_variable(3, T0, V29, V2);
L100:;
    goto L36;
L73:;
    if (!(ecl_eql(V28,VV[143]))) { goto L103; }
    cl_env_copy->values[0] = L28loop_constant_fold_if_possible(2, V29, V2);
    {
     int V31 = cl_env_copy->nvalues-0;
     if (V31--<=0) goto L107;
     V29 = cl_env_copy->values[0];
     if (V31--<=0) goto L108;
     V17 = cl_env_copy->values[1];
     if (V31--<=0) goto L109;
     V16 = cl_env_copy->values[2];
     goto L110;
    }
L107:;
    V29 = ECL_NIL;
L108:;
    V17 = ECL_NIL;
L109:;
    V16 = ECL_NIL;
L110:;
    if ((V17)!=ECL_NIL) { goto L36; }
    V16 = cl_gensym(1, _ecl_static_69);
    L65loop_make_variable(3, V16, V29, V2);
    goto L36;
L103:;
    L41loop_error(2, _ecl_static_70, V28);
L36:;
    if (Null(V30)) { goto L113; }
    if (Null(V19)) { goto L113; }
    if ((V19)==(V30)) { goto L113; }
    L41loop_error(1, _ecl_static_71);
L113:;
    V30 = V19;
    V27 = ecl_cdr(V27);
L30:;
    if (V27==ECL_NIL) { goto L121; }
    goto L29;
L121:;
   }
   if (Null(V6)) { goto L123; }
   if ((V13)!=ECL_NIL) { goto L123; }
   L41loop_error(1, _ecl_static_72);
L123:;
   if ((V21)!=ECL_NIL) { goto L126; }
   V23 = ECL_T;
   value0 = L59loop_typed_init(V2);
   if ((value0)!=ECL_NIL) { goto L132; }
   V22 = ecl_make_fixnum(0);
   goto L130;
L132:;
   V22 = value0;
   goto L130;
L130:;
   L66loop_make_iteration_variable(V1, V22, V2);
L126:;
   if (!((V19)==(ECL_NIL))) { goto L140; }
   goto L137;
   goto L138;
L140:;
   goto L138;
L138:;
   if (!(ecl_eql(V19,ECL_SYM("UP",1321)))) { goto L135; }
   goto L136;
L137:;
L136:;
   if ((V24)!=ECL_NIL) { goto L145; }
   if (Null(V9)) { goto L143; }
   goto L144;
L145:;
L144:;
   if ((V24)!=ECL_NIL) { goto L147; }
   V12 = cl_gensym(1, _ecl_static_73);
   L65loop_make_variable(3, V12, ECL_NIL, V2);
   T0 = cl_list(3, ECL_SYM("SETQ",751), V12, V9);
   cl_set(VV[63],CONS(T0,ecl_symbol_value(VV[63])));
L147:;
   if (Null(V20)) { goto L153; }
   V14 = ECL_SYM(">",75);
   goto L152;
L153:;
   V14 = ECL_SYM(">=",76);
L152:;
L143:;
   if (!((V16)==(ecl_make_fixnum(1)))) { goto L156; }
   V18 = cl_list(2, ECL_SYM("1+",70), V1);
   goto L155;
L156:;
   V18 = cl_list(3, ECL_SYM("+",14), V1, V16);
L155:;
   goto L134;
L135:;
   if ((V21)!=ECL_NIL) { goto L158; }
   if ((V9)!=ECL_NIL) { goto L160; }
   L41loop_error(1, _ecl_static_74);
L160:;
   T0 = cl_list(2, ECL_SYM("1-",71), V9);
   T1 = cl_list(3, ECL_SYM("SETQ",751), V1, T0);
   cl_set(VV[63],CONS(T1,ecl_symbol_value(VV[63])));
L158:;
   if (Null(V9)) { goto L163; }
   if ((V12)!=ECL_NIL) { goto L163; }
   V12 = L59loop_typed_init(V2);
   V20 = ECL_T;
L163:;
   if (Null(V12)) { goto L169; }
   if (Null(V20)) { goto L172; }
   V14 = ECL_SYM("<",72);
   goto L171;
L172:;
   V14 = ECL_SYM("<=",73);
L171:;
L169:;
   if (!((V16)==(ecl_make_fixnum(1)))) { goto L175; }
   V18 = cl_list(2, ECL_SYM("1-",71), V1);
   goto L174;
L175:;
   V18 = cl_list(3, ECL_SYM("-",17), V1, V16);
L174:;
L134:;
   V18 = cl_list(2, VV[1], V18);
   if (Null(V14)) { goto L179; }
   T0 = cl_list(3, V14, V1, V12);
   V15 = L5hide_variable_reference(ECL_T, V1, T0);
L179:;
   if (Null(V8)) { goto L182; }
   T0 = L5hide_variable_reference(V3, V1, V8);
   V8 = cl_list(2, V4, T0);
L182:;
   {
    cl_object V27;                                /*  FIRST-TEST      */
    cl_object V28;                                /*  REMAINING-TESTS */
    V27 = V15;
    V28 = V15;
    if (Null(V17)) { goto L187; }
    if (Null(V23)) { goto L187; }
    if (Null(V25)) { goto L187; }
    {
     cl_object V29;                               /*  NEW-TYPE        */
     {
      cl_object V30;
      T0 = ecl_plus(V22,V16);
      V30 = ecl_plus(T0,V26);
      if (!(ECL_FIXNUMP(V30)||ECL_BIGNUMP(V30))) { goto L194; }
      if (!(ECL_FIXNUMP(V22))) { goto L196; }
      if (!(ECL_FIXNUMP(V26))) { goto L196; }
      V29 = ECL_SYM("FIXNUM",372);
      goto L192;
L196:;
      V29 = V2;
      goto L192;
L194:;
      if (!(ECL_SINGLE_FLOAT_P(V30))) { goto L199; }
      V29 = ECL_SYM("SINGLE-FLOAT",778);
      goto L192;
L199:;
      if (!(ECL_DOUBLE_FLOAT_P(V30))) { goto L201; }
      V29 = ECL_SYM("DOUBLE-FLOAT",315);
      goto L192;
L201:;
      if (!(ECL_LONG_FLOAT_P(V30))) { goto L203; }
      V29 = ECL_SYM("LONG-FLOAT",508);
      goto L192;
L203:;
      if (!(ECL_SINGLE_FLOAT_P(V30))) { goto L205; }
      V29 = ECL_SYM("SHORT-FLOAT",756);
      goto L192;
L205:;
      V29 = V2;
     }
L192:;
     if ((cl_subtypep(2, V2, V29))!=ECL_NIL) { goto L191; }
     L67loop_declare_variable(V1, V29);
    }
L191:;
    T0 = cl_symbol_function(V14);
    V27 = ecl_function_dispatch(cl_env_copy,T0)(2, V22, V26);
    if (Null(V27)) { goto L187; }
    V28 = ECL_T;
L187:;
    T0 = L5hide_variable_reference(ECL_T, V1, V18);
    T1 = cl_list(2, V1, T0);
    value0 = cl_list(8, ECL_NIL, T1, V28, V8, ECL_NIL, ECL_NIL, V27, V8);
    return value0;
   }
  }
 }
}
/*	function definition for LOOP-FOR-ARITHMETIC                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L102loop_for_arithmetic(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if ((V1)!=ECL_NIL) { goto L1; }
  V1 = cl_gensym(0);
L1:;
  T0 = L43loop_check_data_type(2, V3, ecl_symbol_value(VV[3]));
  T1 = cl_list(2, V4, V2);
  T2 = ecl_list1(T1);
  T3 = L100loop_collect_prepositional_phrases(3, VV[181], ECL_NIL, T2);
  value0 = L101loop_sequencer(V1, T0, ECL_T, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, T3);
  return value0;
 }
}
/*	function definition for LOOP-HASH-TABLE-ITERATION-PATH        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L103loop_hash_table_iteration_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L103loop_hash_table_iteration_pathkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  {
   cl_object V5;
   V5 = V4;
   if (!((V5)==(VV[183]))) { goto L7; }
   goto L3;
   goto L5;
L7:;
   goto L5;
L5:;
   if (!((V5)==(VV[185]))) { goto L10; }
   goto L3;
   goto L4;
L10:;
   goto L4;
L4:;
   V4 = si_do_check_type(V5, VV[187], ECL_NIL, VV[188]);
L3:;
  }
  if ((ecl_cdr(V3))!=ECL_NIL) { goto L16; }
  {
   cl_object V5;
   V5 = ecl_caar(V3);
   if (!(ecl_eql(V5,VV[157]))) { goto L21; }
   goto L14;
   goto L19;
L21:;
   goto L19;
L19:;
   if (!(ecl_eql(V5,VV[163]))) { goto L24; }
   goto L14;
   goto L15;
L24:;
   goto L15;
  }
L16:;
L15:;
  L41loop_error(1, _ecl_static_75);
  goto L13;
L14:;
  if (!(V3==ECL_NIL)) { goto L13; }
  L41loop_error(1, _ecl_static_76);
L13:;
  {
   cl_object V5;                                  /*  LET356          */
   cl_object V6;                                  /*  LET357          */
   cl_object V7;                                  /*  DUMMY-PREDICATE-VAR */
   cl_object V8;                                  /*  POST-STEPS      */
   V5 = cl_gensym(1, _ecl_static_77);
   V6 = cl_gensym(1, _ecl_static_78);
   V7 = ECL_NIL;
   V8 = ECL_NIL;
   if (!((V4)==(VV[183]))) { goto L33; }
   T0 = VV[185];
   goto L32;
L33:;
   T0 = VV[183];
L32:;
   cl_env_copy->values[0] = L98named_variable(T0);
   {
    cl_object V10;                                /*  OTHER-VAR       */
    cl_object V11;                                /*  OTHER-P         */
    {
     int V12 = cl_env_copy->nvalues-0;
     if (V12--<=0) goto L35;
     V10 = cl_env_copy->values[0];
     if (V12--<=0) goto L36;
     V11 = cl_env_copy->values[1];
     goto L37;
    }
L35:;
    V10 = ECL_NIL;
L36:;
    V11 = ECL_NIL;
L37:;
    V11 = ECL_T;
    V7 = L89loop_when_it_variable();
    {
     cl_object V12;                               /*  KEY-VAR         */
     cl_object V13;                               /*  VAL-VAR         */
     cl_object V14;                               /*  TEMP-VAL-VAR    */
     cl_object V15;                               /*  TEMP-KEY-VAR    */
     cl_object V16;                               /*  TEMP-PREDICATE-VAR */
     cl_object V17;                               /*  VARIABLE        */
     cl_object V18;                               /*  BINDINGS        */
     V12 = ECL_NIL;
     V13 = ECL_NIL;
     V14 = cl_gensym(1, _ecl_static_79);
     V15 = cl_gensym(1, _ecl_static_80);
     V16 = cl_gensym(1, _ecl_static_81);
     value0 = V1;
     if ((value0)!=ECL_NIL) { goto L49; }
     V17 = cl_gensym(0);
     goto L47;
L49:;
     V17 = value0;
     goto L47;
L47:;
     T0 = cl_list(3, V17, ECL_NIL, V2);
     T1 = ecl_cadar(V3);
     T2 = cl_list(2, V5, T1);
     if (Null(V11)) { goto L54; }
     if (Null(V10)) { goto L54; }
     T4 = cl_list(2, V10, ECL_NIL);
     T3 = ecl_list1(T4);
     goto L52;
L54:;
     T3 = ECL_NIL;
     goto L52;
L52:;
     V18 = cl_listX(3, T0, T2, T3);
     if (!((V4)==(VV[183]))) { goto L58; }
     V12 = V17;
     if (Null(V11)) { goto L64; }
     V13 = V10;
     goto L62;
L64:;
     V13 = ECL_NIL;
     goto L62;
L62:;
     goto L57;
L58:;
     if (Null(V11)) { goto L69; }
     V12 = V10;
     goto L67;
L69:;
     V12 = ECL_NIL;
     goto L67;
L67:;
     V13 = V17;
L57:;
     T0 = cl_list(2, V6, V5);
     T1 = cl_list(2, ECL_SYM("WITH-HASH-TABLE-ITERATOR",909), T0);
     cl_set(VV[59],CONS(T1,ecl_symbol_value(VV[59])));
     if (!(ECL_CONSP(V12))) { goto L74; }
     T0 = V12;
     V12 = cl_gensym(1, _ecl_static_80);
     V8 = cl_listX(3, T0, V12, V8);
     T0 = cl_list(2, V12, ECL_NIL);
     V18 = CONS(T0,V18);
L74:;
     if (!(ECL_CONSP(V13))) { goto L80; }
     T0 = V13;
     V13 = cl_gensym(1, _ecl_static_79);
     V8 = cl_listX(3, T0, V13, V8);
     T0 = cl_list(2, V13, ECL_NIL);
     V18 = CONS(T0,V18);
L80:;
     T0 = cl_list(3, V16, V15, V14);
     T1 = ecl_list1(V6);
     T2 = cl_list(3, ECL_SYM("SETQ",751), V13, V14);
     T3 = cl_list(3, ECL_SYM("SETQ",751), V12, V15);
     T4 = cl_list(4, ECL_SYM("WHEN",905), V16, T2, T3);
     T5 = cl_list(3, ECL_SYM("SETQ",751), V7, V16);
     T6 = cl_list(5, ECL_SYM("MULTIPLE-VALUE-BIND",572), T0, T1, T4, T5);
     T7 = cl_list(2, ECL_SYM("NOT",584), T6);
     value0 = cl_list(6, V18, ECL_NIL, ECL_NIL, ECL_NIL, T7, V8);
     return value0;
    }
   }
  }
 }
}
/*	function definition for LOOP-PACKAGE-SYMBOLS-ITERATION-PATH   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L104loop_package_symbols_iteration_path(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 {
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V3,narg,3);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L104loop_package_symbols_iteration_pathkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V4 = keyvars[0];
  }
  if (Null(V3)) { goto L2; }
  if (Null(ecl_cdr(V3))) { goto L2; }
  L41loop_error(1, _ecl_static_75);
  goto L1;
L2:;
  if (Null(V3)) { goto L1; }
  {
   cl_object V5;
   V5 = ecl_caar(V3);
   if (!(ecl_eql(V5,VV[157]))) { goto L10; }
   goto L1;
   goto L8;
L10:;
   goto L8;
L8:;
   if (!(ecl_eql(V5,VV[163]))) { goto L13; }
   goto L1;
   goto L5;
L13:;
   goto L5;
  }
L5:;
  T0 = ecl_caar(V3);
  L41loop_error(2, _ecl_static_82, T0);
L1:;
  if (ECL_SYMBOLP(V1)) { goto L15; }
  L41loop_error(1, _ecl_static_83);
L15:;
  {
   cl_object V5;                                  /*  LET360          */
   cl_object V6;                                  /*  LET361          */
   cl_object V7;                                  /*  LET362          */
   cl_object V8;                                  /*  LET363          */
   V5 = cl_gensym(1, _ecl_static_84);
   V6 = cl_gensym(1, _ecl_static_85);
   value0 = V1;
   if ((value0)!=ECL_NIL) { goto L21; }
   V7 = cl_gensym(0);
   goto L19;
L21:;
   V7 = value0;
   goto L19;
L19:;
   value0 = ecl_cadar(V3);
   if ((value0)!=ECL_NIL) { goto L25; }
   V8 = ECL_SYM("*PACKAGE*",43);
   goto L23;
L25:;
   V8 = value0;
   goto L23;
L23:;
   T0 = cl_listX(3, V6, V5, V4);
   T1 = cl_list(2, ECL_SYM("WITH-PACKAGE-ITERATOR",914), T0);
   cl_set(VV[59],CONS(T1,ecl_symbol_value(VV[59])));
   T0 = cl_list(3, V7, ECL_NIL, V2);
   T1 = cl_list(2, V5, V8);
   T2 = cl_list(2, T0, T1);
   T3 = L89loop_when_it_variable();
   T4 = cl_list(2, T3, V7);
   T5 = ecl_list1(V6);
   T6 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-SETQ",576), T4, T5);
   T7 = cl_list(2, ECL_SYM("NOT",584), T6);
   value0 = cl_list(6, T2, ECL_NIL, ECL_NIL, ECL_NIL, T7, ECL_NIL);
   return value0;
  }
 }
}
/*	function definition for MAKE-ANSI-LOOP-UNIVERSE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L105make_ansi_loop_universe(cl_object V1)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V2;                                  /*  W               */
   T0 = cl_list(4, VV[127], ECL_SYM("COUNT",266), ecl_symbol_value(VV[3]), ECL_SYM("FIXNUM",372));
   T1 = cl_list(2, ECL_SYM("COUNT",266), T0);
   T2 = cl_list(4, VV[127], ECL_SYM("COUNT",266), ecl_symbol_value(VV[3]), ECL_SYM("FIXNUM",372));
   T3 = cl_list(2, VV[205], T2);
   T4 = cl_listX(15, VV[193], VV[194], VV[195], VV[196], VV[197], VV[198], VV[199], VV[200], VV[201], VV[202], VV[203], VV[204], T1, T3, VV[206]);
   if (Null(V1)) { goto L3; }
   T5 = VV[34];
   goto L2;
L3:;
   T5 = ECL_T;
L2:;
   V2 = L22make_standard_loop_universe(12, VV[38], T4, VV[39], VV[207], VV[40], VV[208], VV[45], VV[209], VV[44], ECL_NIL, VV[42], T5);
   L96add_loop_path(9, VV[210], VV[191], V2, VV[153], VV[211], VV[154], ECL_NIL, VV[152], VV[212]);
   L96add_loop_path(9, VV[213], VV[191], V2, VV[153], VV[211], VV[154], ECL_NIL, VV[152], VV[214]);
   L96add_loop_path(9, VV[215], VV[192], V2, VV[153], VV[211], VV[154], ECL_NIL, VV[152], VV[216]);
   L96add_loop_path(9, VV[217], VV[192], V2, VV[153], VV[211], VV[154], ECL_NIL, VV[152], VV[218]);
   L96add_loop_path(9, VV[219], VV[192], V2, VV[153], VV[211], VV[154], ECL_NIL, VV[152], VV[220]);
   value0 = V2;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOP-STANDARD-EXPANSION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L106loop_standard_expansion(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(V1)) { goto L1; }
  T0 = ecl_car(V1);
  if (!(ECL_SYMBOLP(T0))) { goto L1; }
  value0 = L47loop_translate(V1, V2, V3);
  return value0;
L1:;
  {
   cl_object V4;                                  /*  TAG             */
   V4 = cl_gensym(0);
   T0 = CONS(ECL_SYM("PROGN",671),V1);
   T1 = cl_list(2, ECL_SYM("GO",414), V4);
   T2 = cl_list(4, ECL_SYM("TAGBODY",850), V4, T0, T1);
   value0 = cl_list(3, ECL_SYM("BLOCK",137), ECL_NIL, T2);
   return value0;
  }
 }
}
/*	local function LOOP                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC107loop(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   value0 = L106loop_standard_expansion(V3, V2, ecl_symbol_value(VV[221]));
   return value0;
  }
 }
}

#include "lsp/loop2.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclRuMWDWa7_75yfNl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:LSP;LOOP2.LSP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclRuMWDWa7_75yfNl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defmacro(VV[223]);                       /*  LOOP-UNSAFE     */
 ecl_cmp_defmacro(VV[224]);                       /*  LOOP-COPYLIST*  */
 si_Xmake_special(VV[3]);
 cl_set(VV[3],ECL_SYM("REAL",703));
 (void)0; /* No entry created for LOOP-OPTIMIZATION-QUANTITIES */
 (void)0; /* No entry created for HIDE-VARIABLE-REFERENCES */
 (void)0; /* No entry created for HIDE-VARIABLE-REFERENCE */
 ecl_cmp_defmacro(VV[225]);                       /*  WITH-LOOP-LIST-COLLECTION-HEAD */
 ecl_cmp_defmacro(VV[226]);                       /*  LOOP-COLLECT-RPLACD */
 ecl_cmp_defmacro(VV[227]);                       /*  LOOP-COLLECT-ANSWER */
 si_define_structure(15, VV[13], _ecl_static_1, ECL_SYM("VECTOR",898), ECL_NIL, VVtemp[0], VVtemp[1], VV[14], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[2], ecl_make_fixnum(6), ECL_NIL, ECL_NIL, ECL_NIL);
 ecl_cmp_defun(VV[228]);                          /*  MAKE-LOOP-MINIMAX-INTERNAL */
 si_Xmake_special(VV[17]);
 cl_set(VV[17],VVtemp[3]);
 (void)0; /* No entry created for MAKE-LOOP-MINIMAX */
 (void)0; /* No entry created for LOOP-NOTE-MINIMAX-OPERATION */
 ecl_cmp_defmacro(VV[237]);                       /*  WITH-MINIMAX-VALUE */
 ecl_cmp_defmacro(VV[242]);                       /*  LOOP-ACCUMULATE-MINIMAX-VALUE */
 (void)0; /* No entry created for LOOP-TEQUAL */
 (void)0; /* No entry created for LOOP-TASSOC */
 (void)0; /* No entry created for LOOP-TMEMBER */
 (void)0; /* No entry created for LOOP-LOOKUP-KEYWORD */
 ecl_cmp_defmacro(VV[243]);                       /*  LOOP-STORE-TABLE-DATA */
 si_define_structure(15, VV[27], _ecl_static_4, ECL_SYM("VECTOR",898), ECL_NIL, VVtemp[4], VVtemp[5], VV[28], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[6], ecl_make_fixnum(8), ECL_NIL, ECL_NIL, ECL_NIL);
 ecl_cmp_defun(VV[244]);                          /*  MAKE-LOOP-UNIVERSE */
 si_Xmake_special(VV[31]);
 (void)0; /* No entry created for MAKE-STANDARD-LOOP-UNIVERSE */
 si_Xmake_special(VV[46]);
 cl_set(VV[46],ECL_NIL);
 (void)0; /* No entry created for LOOP-MAKE-PSETQ */
 (void)0; /* No entry created for LOOP-MAKE-DESETQ */
 si_Xmake_special(VV[48]);
 cl_set(VV[48],cl_make_symbol(_ecl_static_5));
 ecl_cmp_defmacro(VV[260]);                       /*  LOOP-REALLY-DESETQ */
 si_Xmake_special(VV[50]);
 si_Xmake_special(VV[51]);
 si_Xmake_special(VV[52]);
 si_Xmake_special(VV[53]);
 si_Xmake_special(VV[54]);
 si_Xmake_special(VV[55]);
 si_Xmake_special(VV[56]);
 si_Xmake_special(VV[57]);
 si_Xmake_special(VV[58]);
 si_Xmake_special(VV[59]);
 si_Xmake_special(VV[60]);
 si_Xmake_special(VV[61]);
 si_Xmake_special(VV[62]);
 si_Xmake_special(VV[63]);
 si_Xmake_special(VV[64]);
 si_Xmake_special(VV[65]);
 si_Xmake_special(VV[66]);
 si_Xmake_special(VV[67]);
 si_Xmake_special(VV[68]);
 si_Xmake_special(VV[69]);
 si_Xmake_special(VV[70]);
 si_Xmake_special(VV[71]);
 si_Xmake_special(VV[72]);
 si_Xmake_special(VV[73]);
 si_Xmake_special(VV[74]);
 (void)0; /* No entry created for LOOP-CONSTANT-FOLD-IF-POSSIBLE */
 ecl_cmp_defun(VV[261]);                          /*  LOOP-CONSTANTP  */
 si_Xmake_special(VV[76]);
 cl_set(VV[76],ECL_NIL);
 si_Xmake_special(VV[77]);
 cl_set(VV[77],cl_make_symbol(_ecl_static_7));
 (void)0; /* No entry created for LOOP-CODE-DUPLICATION-THRESHOLD */
 ecl_cmp_defmacro(VV[262]);                       /*  LOOP-BODY       */
 (void)0; /* No entry created for DUPLICATABLE-CODE-P */
 si_Xmake_special(VV[85]);
 cl_set(VV[85],VVtemp[7]);
 si_Xmake_special(VV[86]);
 cl_set(VV[86],VVtemp[8]);
 (void)0; /* No entry created for DESTRUCTURING-SIZE */
 (void)0; /* No entry created for ESTIMATE-CODE-SIZE */
 (void)0; /* No entry created for ESTIMATE-CODE-SIZE-1 */
 (void)0; /* No entry created for LOOP-CONTEXT */
 (void)0; /* No entry created for LOOP-ERROR */
 (void)0; /* No entry created for LOOP-WARN */
 (void)0; /* No entry created for LOOP-CHECK-DATA-TYPE */
 ecl_cmp_defmacro(VV[263]);                       /*  LOOP-FINISH     */
 ecl_cmp_defun(VV[264]);                          /*  SUBST-GENSYMS-FOR-NIL */
 ecl_cmp_defun(VV[265]);                          /*  LOOP-BUILD-DESTRUCTURING-BINDINGS */
 (void)0; /* No entry created for LOOP-TRANSLATE */
 (void)0; /* No entry created for LOOP-ITERATION-DRIVER */
 (void)0; /* No entry created for LOOP-POP-SOURCE */
 (void)0; /* No entry created for LOOP-GET-COMPOUND-FORM */
 (void)0; /* No entry created for LOOP-GET-PROGN */
 (void)0; /* No entry created for LOOP-GET-FORM */
 (void)0; /* No entry created for LOOP-CONSTRUCT-RETURN */
 (void)0; /* No entry created for LOOP-EMIT-BODY */
 (void)0; /* No entry created for LOOP-EMIT-FINAL-VALUE */
 (void)0; /* No entry created for LOOP-DISALLOW-CONDITIONAL */
 ecl_cmp_defun(VV[268]);                          /*  LOOP-DISALLOW-ANONYMOUS-COLLECTORS */
 ecl_cmp_defun(VV[269]);                          /*  LOOP-DISALLOW-AGGREGATE-BOOLEANS */
 (void)0; /* No entry created for LOOP-TYPED-INIT */
 (void)0; /* No entry created for LOOP-OPTIONAL-TYPE */
 (void)0; /* No entry created for LOOP-BIND-BLOCK */
 ecl_cmp_defun(VV[272]);                          /*  LOOP-VARIABLE-P */
 (void)0; /* No entry created for LOOP-MAKE-VARIABLE */
 (void)0; /* No entry created for LOOP-MAKE-ITERATION-VARIABLE */
 (void)0; /* No entry created for LOOP-DECLARE-VARIABLE */
 (void)0; /* No entry created for LOOP-MAYBE-BIND-FORM */
 ecl_cmp_defun(VV[273]);                          /*  LOOP-DO-IF      */
 ecl_cmp_defun(VV[274]);                          /*  LOOP-DO-INITIALLY */
 ecl_cmp_defun(VV[275]);                          /*  LOOP-DO-FINALLY */
 ecl_cmp_defun(VV[276]);                          /*  LOOP-DO-DO      */
 ecl_cmp_defun(VV[277]);                          /*  LOOP-DO-NAMED   */
 ecl_cmp_defun(VV[278]);                          /*  LOOP-DO-RETURN  */
 si_define_structure(15, VV[117], _ecl_static_38, ECL_SYM("VECTOR",898), ECL_NIL, VVtemp[9], VVtemp[10], VV[118], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[11], ecl_make_fixnum(6), ECL_NIL, ECL_NIL, ECL_NIL);
 ecl_cmp_defun(VV[279]);                          /*  MAKE-LOOP-COLLECTOR */
 (void)0; /* No entry created for LOOP-GET-COLLECTION-INFO */
 ecl_cmp_defun(VV[290]);                          /*  LOOP-LIST-COLLECTION */
 ecl_cmp_defun(VV[292]);                          /*  LOOP-SUM-COLLECTION */
 ecl_cmp_defun(VV[293]);                          /*  LOOP-MAXMIN-COLLECTION */
 ecl_cmp_defun(VV[295]);                          /*  LOOP-DO-ALWAYS  */
 ecl_cmp_defun(VV[296]);                          /*  LOOP-DO-THEREIS */
 ecl_cmp_defun(VV[297]);                          /*  LOOP-DO-WHILE   */
 ecl_cmp_defun(VV[298]);                          /*  LOOP-DO-WITH    */
 (void)0; /* No entry created for LOOP-HACK-ITERATION */
 ecl_cmp_defun(VV[300]);                          /*  LOOP-DO-FOR     */
 ecl_cmp_defun(VV[302]);                          /*  LOOP-DO-REPEAT  */
 (void)0; /* No entry created for LOOP-WHEN-IT-VARIABLE */
 ecl_cmp_defun(VV[303]);                          /*  LOOP-ANSI-FOR-EQUALS */
 ecl_cmp_defun(VV[304]);                          /*  LOOP-FOR-ACROSS */
 (void)0; /* No entry created for LOOP-LIST-STEP */
 ecl_cmp_defun(VV[305]);                          /*  LOOP-FOR-ON     */
 ecl_cmp_defun(VV[306]);                          /*  LOOP-FOR-IN     */
 si_define_structure(15, VV[147], _ecl_static_57, ECL_SYM("VECTOR",898), ECL_NIL, VVtemp[12], VVtemp[13], VV[148], ECL_NIL, ECL_NIL, ECL_NIL, VVtemp[14], ecl_make_fixnum(5), ECL_NIL, ECL_NIL, ECL_NIL);
 ecl_cmp_defun(VV[307]);                          /*  MAKE-LOOP-PATH  */
 (void)0; /* No entry created for ADD-LOOP-PATH */
 ecl_cmp_defun(VV[317]);                          /*  LOOP-FOR-BEING  */
 (void)0; /* No entry created for NAMED-VARIABLE */
 (void)0; /* No entry created for LOOP-COLLECT-PREPOSITIONAL-PHRASES */
 (void)0; /* No entry created for LOOP-SEQUENCER */
 ecl_cmp_defun(VV[322]);                          /*  LOOP-FOR-ARITHMETIC */
 ecl_cmp_defun(VV[323]);                          /*  LOOP-HASH-TABLE-ITERATION-PATH */
 ecl_cmp_defun(VV[325]);                          /*  LOOP-PACKAGE-SYMBOLS-ITERATION-PATH */
 (void)0; /* No entry created for MAKE-ANSI-LOOP-UNIVERSE */
 si_Xmake_special(VV[221]);
 cl_set(VV[221],L105make_ansi_loop_universe(ECL_NIL));
 (void)0; /* No entry created for LOOP-STANDARD-EXPANSION */
 ecl_cmp_defmacro(VV[327]);                       /*  LOOP            */
}
